<?php /**
* LetterBox Class
*
* Contains all the specific functions of Maarch LetterBox
*
* @package Maarch LetterBox 2.4
* @version 2.1
* @since 06/2007
* @license GPL
* @author  Claire Figueras  <dev@maarch.org>
* @author  Loic Vinet <dev@maarch.org>
*/
class LetterBox extends dbquery
{
	/**
	*
    * @access private
    * @var integer
    */
	private $the_start;
	
	/**
	* XML Config PATH
    * @access private
    * @var string
    */
	private $xml_config_path;

	/**
	* Redefinition of the LetterBox object constructor
	*/
	function __construct($xml_config_path="xml")
	{
		$this->xml_config_path = $xml_config_path;
	
		// configure the sql argument order by
		if(isset($_GET['start']))
		{
			$this->the_start = strip_tags($_GET['start']);
		}
		else
		{
			$this->the_start = 0;
		}
	}

	/**
	* Configure the sql argument order by
	*
	*/
	public function define_order()
	{
		// configure the sql argument order by
		$orderby = "";

		if(isset($_GET['order']))
		{

			if($_GET['order'] == "arrivdesc")
			{
				$orderby = "order by CREATION_DATE desc";
			}
			elseif($_GET['order'] == "arrivasc")
			{
				$orderby = "order by CREATION_DATE asc";
			}
			if($_GET['order'] == "datedesc")
			{
				$orderby = "order by CREATION_DATE desc";
			}
			elseif($_GET['order'] == "dateasc")
			{
				$orderby = "order by CREATION_DATE asc";
			}
			if($_GET['order'] == "typedesc")
			{
				$orderby = "order by TYPE_ID desc";
			}
			elseif($_GET['order'] == "typeasc")
			{
				$orderby = "order by TYPE_ID asc";
			}
			if($_GET['order'] == "limdesc")
			{
				$orderby = "order by CUSTOM_D2 desc";
			}
			elseif($_GET['order'] == "limasc")
			{
				$orderby = "order by CUSTOM_D2 asc";
			}
			if($_GET['order'] == "expdesc")
			{
				$orderby = "order by AUTHOR desc";
			}
			elseif($_GET['order'] == "expasc")
			{
				$orderby = "order by AUTHOR asc";
			}
			if($_GET['order'] == "statusdesc")
			{
				$orderby = "order by STATUS desc";
			}
			elseif($_GET['order'] == "statusasc")
			{
				$orderby = "order by STATUS asc";
			}
			if($_GET['order'] == "residdesc")
			{
				$orderby = "order by RES_ID desc";
			}
			elseif($_GET['order'] == "residasc")
			{
				$orderby = "order by RES_ID asc";
			}
			if($_GET['order'] == "residdesc_copy")
			{
				$orderby = "order by r.RES_ID desc";
			}
			elseif($_GET['order'] == "residasc_copy")
			{
				$orderby = "order by r.RES_ID asc";
			}
			if($_GET['order'] == "objdesc")
			{
				$orderby = "order by DESCRIPTION desc";
			}
			elseif($_GET['order'] == "objasc")
			{
				$orderby = "order by DESCRIPTION asc";
			}
			if($_GET['order'] == "destdesc")
			{
				$orderby = "order by DEST_USER desc";
			}
			elseif($_GET['order'] == "destasc")
			{
				$orderby = "order by DEST_USER asc";
			}
			if($_GET['order'] == "limdesc")
			{
				$orderby = "order by CUSTOM_D2 desc";
			}
			elseif($_GET['order'] == "limasc")
			{
				$orderby = "order by CUSTOM_D2 asc";
			}
			if($_GET['order'] == "priodesc")
			{
				$orderby = "order by PRIORITY desc";
			}
			elseif($_GET['order'] == "prioasc")
			{
				$orderby = "order by PRIORITY asc";
			}
			if($_GET['order'] == "servdesc")
			{
				$orderby = "order by DESTINATION desc";
			}
			elseif($_GET['order'] == "servasc")
			{
				$orderby = "order by DESTINATION asc";
			}
			if($_GET['order'] == "socidesc")
			{
				$orderby = "order by SOCIETE desc";
			}
			elseif($_GET['order'] == "sociasc")
			{
				$orderby = "order by SOCIETE asc";
			}
			if($_GET['order'] == "vieweddesc")
			{
				$orderby = "order by VIEWED desc";
			}
			elseif($_GET['order'] == "viewedasc")
			{
				$orderby = "order by VIEWED asc";
			}

		}
		return $orderby;
	}

	/**
	* Show the list of mail to validate
	*
	* @param array $listarr array which contains all the data to show
	* @param int $nb_total number of element to show
	* @param string $title list title
	* @param string $name page name
	*/
	public function validate_list($listarr, $nb_total, $title, $name)
	{

		//$_SESSION['resultat'] = "";
		$_SESSION['error'] = '';
		// show the document list in result of the search
		$page_list1 = "";
		$page_list2 = "";

		//require_once("class_functions.php");
		$func = new functions();

		if(isset($_REQUEST['start']))
		{
			$start = strip_tags($_REQUEST['start']);
		}
		else
		{
			$start = 0;
		}

		if(isset($_GET['order']))
		{
			$orderby = strip_tags($_GET['order']);
		}
		else
		{
			$orderby = 0;
		}


			$link = "index.php?page=".$name;


		// define the defaults values
		$nb_show = $_SESSION['config']['nblinetoshow'];
		$nb_pages = ceil($nb_total/$nb_show);

		// if they are more than 1 page we do pagination with 2 forms
			if($nb_pages > 1)
		{
			$next_start = 0;

			$page_list1 = '<form action="" name="newpage1" id="newpage1" class="smallforms" method="get">
				<p>
					<label for="startpage">'._GO_TO_PAGE.'</label>
					<select name="startpage" id="startpage" class="textbox small" onchange="window.location.href=\''.$link.'&amp;order='.$orderby.'&amp;start=\'+document.newpage1.startpage.value;">';

			$lastpage = 0;

			for($i = 0;$i <> $nb_pages; $i++)
			{
				$page_name = $i + 1;

				$the_line = $i + 1;
				if($start == $next_start)
				{
					$page_list1 .= "<option value=\"".$next_start."\" selected=\"selected\">".$the_line."</option>";
						}
				else
				{
					$page_list1 .= "<option value=\"".$next_start."\">".$the_line."</option>";
					}

				$next_start = $next_start + $nb_show;
				$lastpage = $next_start;
			}

			$lastpage = $lastpage - $nb_show;

			$previous = "";
			$next = "";

			if($start > 0)
			{
				$start_prev = $start - $nb_show;
				$previous = "< <a href=\"".$link."&amp;start=".$start_prev."&amp;order=".$orderby."\">"._PREVIOUS."</a> ";
			}

			if($start <> $lastpage)
			{
				$start_next = $start + $nb_show;
				$next = " <a href=\"".$link."&amp;start=".$start_next."&amp;order=".$orderby."\">"._NEXT."</a> >";
			}

			$page_list1 = $page_list1."</select>".$previous." ".$next."</p></form>";

		}
		?>

		<h1><img src="<?php echo $_SESSION['config']['img'];?>/picto_trait_b.gif"  align="middle" alt="" /><?php echo $title; ?></h1>
        <div id="inner_content" class="clearfix">
					<?php echo $page_list1;?>
				<form name="choose_mail" id="choose_mail" method="post" action="manage_redirection.php">
                  <input type="hidden" name="start" id="start" value="<?php echo $start;?>" />
			<table cellpadding="0" cellspacing="0" border="0" class="listing">
				<thead>
					<tr>
                      <?php if(!$_SESSION['current_basket']['no_action']){ ?><th>&nbsp;</th><?php }?>
						<th class="date" >
							<?php echo _RECEIPT_DATE;?><br/>
							<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=arrivdesc">
							<img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" border="0" alt="<?php echo _DESC_SORT;?>" title="<?php echo _DESC_SORT;?>"/>										</a>
							<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=arrivasc">
							<img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" border="0" alt="<?php echo _ASC_SORT;?>" title="<?php echo _ASC_SORT;?>"/>										</a>
						</th>
						<th class="price">
							<?php echo _GED_NUM;?><br/>
							<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=residdesc">
							<img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT;?>" title="<?php echo _DESC_SORT;?>" border="0" />										</a>
							<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=residasc">
							<img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT;?>" title="<?php echo _ASC_SORT;?>" border="0" />										</a>
						</th>
						<th class="type2" >
							<?php echo _DEPARTMENT;?><br/>
							<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=destdesc">
							<img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT;?>" title="<?php echo _DESC_SORT;?>" border="0" />										</a>
							<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=destasc">
							<img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT;?>" title="<?php echo _ASC_SORT;?>" border="0" />										</a>
						</th>
						<th class="emetteur" >
							<?php if($_SESSION['config']['corporate'] == "true" && $_SESSION['config']['replace_subject_by_society'] == "true")
							{
							echo _SOCIETY;?><br/>
							<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=socidesc">
							<img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT;?>" title="<?php echo _DESC_SORT;?>" border="0" />										</a>
							<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=sociasc">
							<img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT;?>" title="<?php echo _ASC_SORT;?>" border="0" />										</a>

                           <?php 
						   }
						   else
						   {
						   echo _OBJECT;?><br/>
							<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=objdesc">
							<img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT;?>" title="<?php echo _DESC_SORT;?>" border="0" />										</a>
							<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=objasc">
							<img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT;?>" title="<?php echo _ASC_SORT;?>" border="0" />										</a>
                            <?php } ?>
						</th>
						<th>
							<?php echo _SHIPPER;?><br/>
							<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=expdesc">
							<img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT;?>" title="<?php echo _DESC_SORT;?>" border="0" />										</a>
							<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=expasc">
							<img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT;?>" title="<?php echo _ASC_SORT;?>" border="0" />										</a>
						</th>
						<th class="date">
							<?php echo _LIMIT_DATE_PROCESS;?><br/>
							<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=limdesc">
							<img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT;?>" title="<?php echo _DESC_SORT;?>" border="0" />										</a>
							<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=limasc">
							<img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT;?>" title="<?php echo _ASC_SORT;?>" border="0" />										</a>
						</th>
						<?php 
						if ($_SESSION['current_basket']['is_global'] == "Y") 
						{ 
						?>
							<th><?php echo _PROCESSED_BY;?></th><br/> 
						<?php 
						
						}
						?>
						
					</tr>
				</thead>
			<tbody>
		<?php $color = "";
		
		$this->connect();
		
		for($theline = 0; $theline < count($listarr) ; $theline++)
		{
			// background color
			if($color == ' class="col"')
			{
				$color = '';
			}
			else
			{
				$color = ' class="col"';
			}
			
			$bool_click = true;
			
			if($listarr[$theline]['RESERVED'] == 'Y' && $listarr[$theline]['BY_USER_ID'] <> $_SESSION['user']['UserId'] && $_SESSION['current_basket']['is_global'] == "Y")
			{
				$bool_click = false;
			}
			
			?>
		<tr <?php echo $color; ?> >
        	<td > <?php if($bool_click){ ?><input type="checkbox" name="mail[]" value="<?php echo $listarr[$theline]['ID']; ?>" /><?php }elseif(!$bool_click){ echo '<img src="'.$_SESSION['config']['img'].'/cadenas_rouge.png" alt="'._DOC_LOCKED.'" title="'._DOC_LOCKED.'" border="0"/>';} ?></td>

			 <td class="date" <?php if($bool_click){?> onMouseOver="changeCouleur2(this,'#000000',true);" onMouseOut="changeCouleur2(this,'#666',false);" onClick="changeCouleur2(this,'#CC3300',true);window.open('validation.php?id=<?php echo $listarr[$theline]['ID']; ?>','Validation', 'scrollbars=yes, resizable=yes,width='+screen.availWidth+',height='+screen.availHeight);"<?php } ?>> 
			 <?php 
				if(!$bool_click){echo "<em>";}
				
				if($listarr[$theline]['STATUS'] == "OUT")
				{
					 echo $this->dateformat($listarr[$theline]['CREATION_DATE']);
				}
				else
				{

				 	if("0000-00-00" == $listarr[$theline]['ARRIVEE'] || "00-00-0000" == $listarr[$theline]['ARRIVEE'])
					{
						echo $this->dateformat($listarr[$theline]['CREATION_DATE']);
					}
					else
					{
				 		echo $this->dateformat($listarr[$theline]['ARRIVEE']);
					}
				}  
				
				if(!$bool_click){echo "</em>";}
				?>
				</td>
				<td class="price" <?php if($bool_click){?> onMouseOver="changeCouleur2(this,'#000000',true);" onMouseOut="changeCouleur2(this,'#666',false);" onClick="changeCouleur2(this,'#CC3300',true);window.open('validation.php?id=<?php echo $listarr[$theline]['ID']; ?>','Validation', 'scrollbars=yes, resizable=yes,width='+screen.availWidth+',height='+screen.availHeight);" <?php } ?>><?php if(!$bool_click){echo "<em>";} echo $listarr[$theline]['ID']; if(!$bool_click){echo "</em>";} ?></td>

				<td class="type2" <?php if($bool_click){?> onMouseOver="changeCouleur2(this,'#000000',true);" onMouseOut="changeCouleur2(this,'#666',false);" onClick="changeCouleur2(this,'#CC3300',true);window.open('validation.php?id=<?php echo $listarr[$theline]['ID']; ?>','Validation', 'scrollbars=yes, resizable=yes, width='+screen.availWidth+',height='+screen.availHeight);" <?php } ?>>
				<?php
				
				if(!$bool_click){echo "<em>";} 
				echo $func->show($listarr[$theline]['SERVICE_ID']);
				if(!$bool_click){echo "</em>";} 
				?>
				</td>
				<td class="emetteur" <?php if($bool_click){?> onMouseOver="changeCouleur2(this,'#000000',true);" onMouseOut="changeCouleur2(this,'#666',false);" onClick="changeCouleur2(this,'#CC3300',true);window.open('validation.php?id=<?php echo $listarr[$theline]['ID']; ?>','Validation', 'scrollbars=yes, resizable=yes,width='+screen.availWidth+',height='+screen.availHeight);" <?php } ?>>
				<?php 
				if(!$bool_click){echo "<em>";}
				
				if($_SESSION['config']['corporate'] == "true" && $_SESSION['config']['replace_subject_by_society'] == "true")
				{
					echo $func->show($listarr[$theline]['SOCIETE']);
				 }
				 else
				 {
				 	echo $func->show($listarr[$theline]['OBJET']);
				 }
				 if(!$bool_click){echo "</em>";}
				 ?></td>
				<td ><?php if(!$bool_click){echo "<em>";} echo $listarr[$theline]['SHIPPER']; if(!$bool_click){echo "</em>";}?></td>
			    <td class="date" <?php if($bool_click){?> onMouseOver="changeCouleur2(this,'#000000',true);" onMouseOut="changeCouleur2(this,'#666',false);" onClick="changeCouleur2(this,'#CC3300',true);window.open('validation.php?id=<?php echo $listarr[$theline]['ID']; ?>','Validation', 'scrollbars=yes, resizable=yes,width='+screen.availWidth+',height='+screen.availHeight);" <?php } ?>><?php if(!$bool_click){echo "<em>";} echo $listarr[$theline]['LIMITE']; if(!$bool_click){echo "</em>";} ?></td>
		     	<?php 
				if ($_SESSION['current_basket']['is_global'] == "Y") 
				{ 
				?>
					<td>
					<?php 
					if(!$bool_click){echo '<em>';}
										
					if( !empty($listarr[$theline]['USER']) )
						echo $func->show($listarr[$theline]['USER']);
					else 
						echo '&nbsp;';
					
					if(!$bool_click){echo "</em>";}
					?>
					</td> 
				<?php 
				} 
				?>

			 </tr>

		<?php }

			?>
		</tbody>
		  </table>

			<p><em><?php echo _CLICK_LINE_VALID;?></em> </p>
              <br/>
          <div>
          	<p>
			
		  <?php 
		  
		  if(!$_SESSION['current_basket']['no_action'])
		  {
		  ?>

            	<label><?php echo _CHOOSE_ACTION;?> : </label>

                <select name="action" id="action">
				<option value="VAL"><?php echo _VALIDATION;?></option>
				
                <?php if($_SESSION['current_basket']['can_redirect'] == 'Y' )
				{
					?>
                    <option value="RED"><?php echo _REDIRECTION;?></option>
                    <?php }
				if($_SESSION['config']['enablefolder'] == "true" && $_SESSION['user']['folder_rights'] === true )
				{
					?>
	                <option value="PUT"><?php echo _PUT_FOLDER;?></option>
	                <?php
				}
				
				if($_SESSION['current_basket']['can_delete'] == 'Y')
				{
				?>
                <option value="DEL"><?php echo _DELETION;?></option>
                <?php }
				?>
				<option value="cloture"><?php echo _CLOSE_MAIL;?></option>
                </select>
                <input type="submit" name="valid" id="valid" value="<?php echo _VALIDATE;?>" class="button" />

          <?php } ?>
		  <?php if ($_SESSION['user']['print_rights'] == true)
				{
				?><input type="button" onClick="window.open('validate_print_list.php','', 'scrollbars=auto,menubar=no,toolbar=no,resizable=yes,status=no,width=350,height=350');" value="<?php echo _PRINT_BASKET;?>" class="button"> <?php } ?>
               </p>
          </div>
          </form>
				</div>
			 <?php }

	/**
	* Show the list of mail to postindex
	*
	* @param array $listarr array which contains all the data to show
	* @param int $nb_total number of element to show
	* @param string $title list title
	* @param string $name page name
	* @param string $global list is global (for all users))
	*/
	public function qualif_list($listarr, $nb_total, $title, $name)
	{
		$func = new functions();
	
		//$_SESSION['resultat'] = "";
		$_SESSION['error'] = '';
		// show the document list in result of the search
		$page_list1 = "";
		$page_list2 = "";

		if(isset($_REQUEST['start']))
		{
			$start = strip_tags($_REQUEST['start']);
		}
		else
		{
			$start = 0;
		}

		if(isset($_GET['order']))
		{
			$orderby = strip_tags($_GET['order']);
		}
		else
		{
			$orderby = 0;
		}


			$link = "index.php?page=".$name;


		// define the defaults values
		$nb_show = $_SESSION['config']['nblinetoshow'];
		$nb_pages = ceil($nb_total/$nb_show);

		// if they are more than 1 page we do pagination with 2 forms
			if($nb_pages > 1)
		{
			$next_start = 0;

			$page_list1 = '<form action="" name="newpage1" id="newpage1" class="smallforms" method="get">
				<p>
					<label for="startpage">'._GO_TO_PAGE.'</label>
					<select name="startpage" id="startpage" class="textbox small" onchange="window.location.href=\''.$link.'&amp;order='.$orderby.'&amp;start=\'+document.newpage1.startpage.value;">';

			$lastpage = 0;

			for($i = 0;$i <> $nb_pages; $i++)
			{
				$page_name = $i + 1;

				$the_line = $i + 1;
				if($start == $next_start)
				{
					$page_list1 .= "<option value=\"".$next_start."\" selected=\"selected\">".$the_line."</option>";
						}
				else
				{
					$page_list1 .= "<option value=\"".$next_start."\">".$the_line."</option>";
					}

				$next_start = $next_start + $nb_show;
				$lastpage = $next_start;
			}

			$lastpage = $lastpage - $nb_show;

			$previous = "";
			$next = "";

			if($start > 0)
			{
				$start_prev = $start - $nb_show;
				$previous = "< <a href=\"".$link."&amp;start=".$start_prev."&amp;order=".$orderby."\">"._PREVIOUS."</a> ";
			}

			if($start <> $lastpage)
			{
				$start_next = $start + $nb_show;
				$next = " <a href=\"".$link."&amp;start=".$start_next."&amp;order=".$orderby."\">"._NEXT."</a> >";
			}

			$page_list1 = $page_list1."</select>".$previous." ".$next."</p></form>";

		}
		$this->connect();
		?>

		<h1><img src="<?php echo $_SESSION['config']['img'];?>/picto_trait_b.gif"  align="middle" alt="" /><?php echo $title; ?></h1>
        <div id="inner_content" class="clearfix">
					<?php echo $page_list1;?>
				<form name="choose_mail" id="choose_mail" method="post" action="manage_redirection.php">
                  <input type="hidden" name="start" id="start" value="<?php echo $start;?>" />
			<table cellpadding="0" cellspacing="0" border="0" class="listing">
				<thead>
					<tr>
                     	<th>&nbsp;</th>
						<th class="price">
							<?php echo _GED_NUM;?><br/>
							<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=residdesc">
							<img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT;?>" title="<?php echo _DESC_SORT;?>" border="0" />										</a>
							<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=residasc">
							<img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT;?>" title="<?php echo _ASC_SORT;?>" border="0" />										</a>
						</th>
						<th class="type2"><?php echo _MAIL_TYPE;?><br/>
								<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=typedesc"><img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif"  border="0" /></a>
								<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=typeasc"><img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" border="0" /></a>
						</th>
						<th class="date">
							<?php echo _REG_DATE;?><br/>
							<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=arrivdesc">
							<img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT;?>" title="<?php echo _DESC_SORT;?>" border="0" />										</a>
							<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=arrivasc">
							<img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT;?>" title="<?php echo _ASC_SORT;?>" border="0" />										</a>
						</th>
						<th  >
							<?php echo _DEPARTMENT;?><br/>
							<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=destdesc">
							<img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT;?>" title="<?php echo _DESC_SORT;?>" border="0" />										</a>
							<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=destasc">
							<img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT;?>" title="<?php echo _ASC_SORT;?>" border="0" />										</a>
						</th>
						<th   ><?php echo _STATUS;?> <br/><a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=statusdesc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif"  border="0" alt="<?php echo _DESC_SORT;?>" title="<?php echo _DESC_SORT;?>" /> </a>
										<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=statusasc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" border="0" alt="<?php echo _ASC_SORT;?>" title="<?php echo _ASC_SORT;?>" /></a>
						</th>
						<th  ><?php echo _PROCESSED_BY;?><br/> </th>
					</tr>
				</thead>
			<tbody>
		<?php $color = "";

		for($theline = 0; $theline < count($listarr) ; $theline++)
		{
			// background color
			if($color == ' class="col"')
			{
				$color = '';
			}
			else
			{
				$color = ' class="col"';
			}
			$bool_click = true;
			
			if(($listarr[$theline]['RESERVED'] == 'Y' && $listarr[$theline]['USER'] <> $_SESSION['user']['BY_USER_ID']) && $_SESSION['current_basket']['is_global'] == "Y")
			{
				$bool_click = false;
			}
			?>
			<tr <?php echo $color; ?> >
        		<td> <?php if(!$_SESSION['current_basket']['no_action']&& $bool_click){ ?><input type="checkbox" name="mail[]" value="<?php echo $listarr[$theline]['ID']; ?>" /><?php }elseif(!$bool_click){ echo '<img src="'.$_SESSION['config']['img'].'/cadenas_rouge.png" alt="'._DOC_LOCKED.'" title="'._DOC_LOCKED.'" border="0"/>';}else { echo '<img src="'.$_SESSION['config']['img'].'/cadenas_vert.png" alt="'._DOC_UNLOCKED.'" title="'._DOC_UNLOCKED.'" border="0"/>';} ?></td>
        		
        		 <td class="price" style="width:60px" <?php if($bool_click){?>onMouseOver="changeCouleur2(this,'#000000',true);" onMouseOut="changeCouleur2(this,'#666',false);" onClick="changeCouleur2(this,'#CC3300',true);window.open('qualif.php?id=<?php echo $listarr[$theline]['ID']."&ts=".$_SESSION['current_basket']['locktime']; ?>','Qualification', 'scrollbars=yes, resizable=yes,width='+screen.availWidth+',height='+screen.availHeight);" <?php } ?>><?php if(!$bool_click){echo "<em>";} echo $listarr[$theline]['ID']; if(!$bool_click){echo "</em>";} ?></td>
				 <td class="type2"  onmouseover="changeCouleur2(this,'#000000',true);" onmouseout="changeCouleur2(this,'#666',false);" onclick="changeCouleur2(this,'#CC3300',true); window.open('qualif.php?id=<?php echo $listarr[$theline]['ID']."&ts=".$_SESSION['current_basket']['locktime']; ?>','Qualification', 'scrollbars=yes, resizable=yes,width='+screen.availWidth+',height='+screen.availHeight);"><?php echo $func->show($listarr[$theline]['TYPE']); ?></td>
			  	 <td class="date"  <?php if($bool_click){?>onMouseOver="changeCouleur2(this,'#000000',true);" onMouseOut="changeCouleur2(this,'#666',false);" onClick="changeCouleur2(this,'#CC3300',true);window.open('qualif.php?id=<?php echo $listarr[$theline]['ID']."&ts=".$_SESSION['current_basket']['locktime']; ?>','Qualification', 'scrollbars=yes, resizable=yes,width='+screen.availWidth+',height='+screen.availHeight);"<?php } ?>><?php if(!$bool_click){echo "<em>";}  echo $this->dateformat($listarr[$theline]['CREATION_DATE']);if(!$bool_click){echo "</em>";}
				 ?></td>
				<td style="width:300px" <?php if($bool_click){?> onMouseOver="changeCouleur2(this,'#000000',true);" onMouseOut="changeCouleur2(this,'#666',false);" onClick="changeCouleur2(this,'#CC3300',true);window.open('qualif.php?id=<?php echo $listarr[$theline]['ID']."&ts=".$_SESSION['current_basket']['locktime']; ?>','Qualification', 'scrollbars=yes, resizable=yes,width='+screen.availWidth+',height='+screen.availHeight);"<?php } ?>>
					<?php 
					$this->query("select SERVICE from ".$_SESSION['tablename']['services']." where ID = '".$listarr[$theline]['DESTINATION']."'");
					$res3 = $this->fetch_object();
					if(!$bool_click){echo "<em>";}echo str_replace('\\', '',$res3->SERVICE); if(!$bool_click){echo "</em>";} ?>
					</td>
				<td class="picto" <?php if($bool_click){?>onmouseover="changeCouleur2(this,'#000000',true);" onMouseOut="changeCouleur2(this,'#666',false);" onClick="changeCouleur2(this,'#CC3300',true);window.open('qualif.php?id=<?php echo $listarr[$theline]['ID']."&ts=".$_SESSION['current_basket']['locktime']; ?>','Qualification', 'scrollbars=yes, resizable=yes,width='+screen.availWidth+',height='+screen.availHeight);"<?php } ?>>
					<img src="<?php echo $_SESSION['config']['img'];?>/mail_dgs.gif" alt="<?php echo _TO_QUALIF;?>" title="<?php echo _TO_QUALIF;?>"/>
					<?php 
					//if(!$bool_click){echo "<em>";} echo $listarr[$theline]['STATUS']; if(!$bool_click){echo "</em>";}
					?>
				</td>
				<td class="user"><?php if(!$bool_click){echo '<em>';}
				
				if( !empty($listarr[$theline]['USER']) ) 
					echo $func->show($listarr[$theline]['USER']);
				else
					echo "&nbsp;";
				
				if(!$bool_click){echo "</em>";}
				?></td>
				</td>
		     </tr>
		<?php }

			?>
		</tbody>
		  </table>

			<p><em><?php echo _CLICK_LINE_QUALIF;?></em> </p>
              <br/>
          <div>
          	<p>
		  <?php
		  if(!$_SESSION['current_basket']['no_action'])
		  {
		  ?>

            	<label><?php echo _CHOOSE_ACTION;?> : </label>

                <select name="action" id="action">

                <?php if($_SESSION['current_basket']['can_redirect'] == 'Y' )
				{
					?>
                    <option value="RED"><?php echo _REDIRECTION;?></option>
					<option value="cloture"><?php echo _CLOSE_MAIL;?></option>
                    <?php }
				if($_SESSION['config']['enablefolder'] == "true" && $_SESSION['user']['folder_rights'] === true )
				{
					?>
	                <option value="PUT"><?php echo _PUT_FOLDER;?></option>
	                <?php
				}
				if($_SESSION['current_basket']['can_delete'] == 'Y')
				{
				?>
                <option value="DEL"><?php echo _DELETION;?></option>
                <?php }
				?>
                </select>
                <input type="submit" name="valid" id="valid" value="<?php echo _VALIDATE;?>" class="button" />

          <?php } ?>
		  <?php if ($_SESSION['user']['print_rights'] == true)
				{
				?><input type="button" onClick="window.open('validate_print_list.php','', 'scrollbars=auto,menubar=no,toolbar=no,resizable=yes,status=no,width=350,height=350');" value="<?php echo _PRINT_BASKET;?>" class="button"> <?php } ?>
               </p>
          </div>
          </form>
				</div>
			 <?php }

	/**
	* Build the alphabetic list of departments letters
	*
	* @param string $page page name
	*/
	public function servicelistletters($page = "liste")
	{
		// List all the alphabet letter to view the doc types who are starting with the letter
		if(isset($_GET['show']))
		{
			if($_GET['show'] == "false")
			{
				$show = "&amp;show=false";
			}
			else
			{
				$show = "";
			}
		}
		else
		{
			$show = "";
		}
		?>
		<form action="index.php" method="get" name="frmletters" id="frmletters">
			<fieldset>
				<p>
					<input name="what" type="text" class="textbox medium" value="" />
					<input name="Submit" type="submit" value="<?php echo _SEARCH; ?>" class="button" />
					<input name="page" type="hidden" value="<?php echo $page; ?>" />
					<?php if($show == "&amp;show=false") { ?><input name="show" type="hidden" value="false" /><?php } ?>
				</p>
			</fieldset>
				<p><strong><?php echo _ALPHABETICAL_LIST; ?></strong> :

				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=A">A</a>
				<a href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=B">B</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=C">C</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=D">D</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=E">E</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=F">F</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=G">G</a>
				<a href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=H">H</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=I">I</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=J">J</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=K">K</a>
				<a href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=L">L</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=M">M</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=N">N</a>
				<a href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=O">O</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=P">P</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=Q">Q</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=R">R</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=S">S</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=T">T</a>
				<a href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=U">U</a>
				<a href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=V">V</a>
				<a href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=W">W</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=X">X</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=Y">Y</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=Z">Z</a>
				- <a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>"><?php echo _ALL_DEPARTMENTS;?></a>

			</p>

				</form>

		<?php }

	/**
	* Build the alphabetic list of departments letters
	*
	* @param string $page page name
	*/
	public function emetlistletters($page = "emet")
	{
		// List all the alphabet letter to view the doc types who are starting with the letter
		if(isset($_GET['show']))
		{
			if($_GET['show'] == "false")
			{
				$show = "&amp;show=false";
			}
			else
			{
				$show = "";
			}
		}
		else
		{
			$show = "";
		}
		?>
		<form action="index.php" method="get" name="frmletters" id="frmletters">
			<fieldset>
				<p>
					<input name="what" type="text" class="textbox medium" value="" />
					<input name="Submit" type="submit" value="<?php echo _SEARCH; ?>" class="button" />
					<input name="page" type="hidden" value="<?php echo $page; ?>" />
					<?php if($show == "&amp;show=false") { ?><input name="show" type="hidden" value="false" /><?php } ?>
				</p>
			</fieldset>
				<p><strong><?php echo _ALPHABETICAL_LIST; ?></strong> :

				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=A">A</a>
				<a href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=B">B</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=C">C</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=D">D</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=E">E</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=F">F</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=G">G</a>
				<a href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=H">H</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=I">I</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=J">J</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=K">K</a>
				<a href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=L">L</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=M">M</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=N">N</a>
				<a href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=O">O</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=P">P</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=Q">Q</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=R">R</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=S">S</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=T">T</a>
				<a href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=U">U</a>
				<a href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=V">V</a>
				<a href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=W">W</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=X">X</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=Y">Y</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=Z">Z</a>
				- <a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>"><?php echo _ALL_SHIPPERS;?></a>

			</p>

				</form>

		<?php }

	public function senderlistletters($page = "sender")
	{
		// List all the alphabet letter to view the doc types who are starting with the letter
		if(isset($_GET['show']))
		{
			if($_GET['show'] == "false")
			{
				$show = "&amp;show=false";
			}
			else
			{
				$show = "";
			}
		}
		else
		{
			$show = "";
		}
		?>
		<form action="index.php" method="get" name="frmletters" id="frmletters">
			<fieldset>
				<p>
					<input name="what" type="text" class="textbox medium" value="" />
					<input name="Submit" type="submit" value="<?php echo _SEARCH; ?>" class="button" />
					<input name="page" type="hidden" value="<?php echo $page; ?>" />
					<?php if($show == "&amp;show=false") { ?><input name="show" type="hidden" value="false" /><?php } ?>
				</p>
			</fieldset>
				<p><strong><?php echo _ALPHABETICAL_LIST; ?></strong> :

				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=A">A</a>
				<a href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=B">B</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=C">C</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=D">D</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=E">E</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=F">F</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=G">G</a>
				<a href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=H">H</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=I">I</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=J">J</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=K">K</a>
				<a href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=L">L</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=M">M</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=N">N</a>
				<a href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=O">O</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=P">P</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=Q">Q</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=R">R</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=S">S</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=T">T</a>
				<a href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=U">U</a>
				<a href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=V">V</a>
				<a href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=W">W</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=X">X</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=Y">Y</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=Z">Z</a>
				- <a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>"><?php echo _ALL_SENDERS;?></a>

			</p>

				</form>

		<?php }
	/**
	* Draw the departments list
	*
	* @param 	string  $where sorting of the list (empty by default)
	* @param 	string  $what  first letter of the name (empty by default)
	*/
	public function serviceslist($where = "",$what = "")
	{
		// draw the services list
		$func = new functions();

		/* Configuration */
		$title = _DEPARTMENTS_LIST;
		$page_name = "liste";
		$table_name = $_SESSION['tablename']['services'];
		$res_table = "res_x";
		$nb_show = $_SESSION['config']['nblinetoshow'];


		if(!empty($what))
		{
			$what = "&what=".$what;
		}
		/***********************/

		$this->connect();
		$this->query("select count(*) as total from ".$table_name." where ENABLED = 'Y' ".$where);
		$nb_total_1 = $this->fetch_object();
		$nb_total = $nb_total_1->total;

		// define the defaults values
		$nb_pages = ceil($nb_total/$nb_show);

		$link = "index.php?page=".$page_name."&start=".$this->the_start."&order=".$this->orderby.$what;

		if($nb_pages > 1)
		{
			$next_start = 0;

			$page_list1 = '<form name="newpage1" id="newpage1" method="get" action="index.php?page=groups" >
			<p>
				<label for="startpage">'._GO_TO_PAGE.'</label>
				<select name="startpage" id="startpage" class="textbox small" onchange="window.location.href=\''.$link.'&amp;start=\'+document.newpage1.startpage.value;">';

			$page_list2 = '<form name="newpage2" id="newpage2" method="get" action="index.php?page=groups"  >
			<p>
				<label for="startpage">'._GO_TO_PAGE.'</label>
				<select name="startpage" id="startpage" class="textbox small" onchange="window.location.href=\''.$link.'&amp;start=\'+document.newpage2.startpage.value;">';

			$lastpage = 0;

			for($i = 0;$i <> $nb_pages; $i++)
			{
				$page_name = $i + 1;

				$the_line = $i + 1;
				if($this->the_start == $next_start)
				{
					$page_list1 .= "<option value=\"".$next_start."\" selected=\"selected\">".$the_line."</option>";
					$page_list2 .= "<option value=\"".$next_start."\" selected=\"selected\">".$the_line."</option>";
				}
				else
				{
					$page_list1 .= "<option value=\"".$next_start."\">".$the_line."</option>";
					$page_list2 .= "<option value=\"".$next_start."\">".$the_line."</option>";
				}

				$next_start = $next_start + $nb_show;
				$lastpage = $next_start;
			}

			$lastpage = $lastpage - $nb_show;

			$previous = "";
			$next = "";

			if($this->the_start > 0)
			{
				$start_prev = $this->the_start - $nb_show;
				$previous = '<a href="'.$link.'&amp;start='.$start_prev.'" class="prev">'._PREVIOUS.'</a>';
			}

			if($this->the_start <> $lastpage)
			{
				$start_next = $this->the_start + $nb_show;
				$next = '<a href="'.$link.'&amp;start='.$start_next.'" class="next">'._NEXT.'</a>';
			}

			$page_list1 = $page_list1."</select>";
			$page_list2 = $page_list2."</select>";

			if($previous <> '' || $next <> '')
			{
				if(empty($previous)) { $previous = "&nbsp;"; }
				if(empty($next)) { $next = "&nbsp;"; }

				$page_list1 .= $previous." ".$next.'</p></form>';
				$page_list2 .= $previous." ".$next.'</p></form>';
			}
		}

		$this->query("select distinct ID from ".$table_name." where ENABLED = 'Y' ".$where." order by SERVICE asc limit ".$this->the_start.",".$nb_show);

			echo '<h1><img src="'.$_SESSION['config']['img'].'/picto_service_b.gif" alt="" /> '.$title.'</h1>

			<div id="inner_content" class="clearfix">';

		$this->servicelistletters();
		 echo $page_list1;
		?>
		<table cellpadding="0" cellspacing="0" border="0" class="listing spec">
				<thead>
					<tr>
						<th class="id"><?php echo _ID.' '._DEPARTMENT;?></th>
						<th class="title"><?php echo _DESC;?> </th>
				   		<th colspan="3" align="right" class="price"><span class="add clearfix"><a  href="index.php?page=service_add"  ><span><?php echo _ADD_DEPARTMENT;?></span></a></span></th>
				  </tr>
				</thead>
				<tfoot>
					<tr>
						<td colspan="7" class="price"><span class="add clearfix"><a  href="index.php?page=service_add"  ><span><?php echo _ADD_DEPARTMENT;?></span></a></span></td>
					</tr>
				</tfoot>
				<tbody>

		<?php $db = new dbquery();
		$db->connect();

		$color = "line1";
		while($line = $this->fetch_object())
		{
			if($color == ' class="col"')
			{
				$color = '';
			}
			else
			{
				$color = ' class="col"';
			}
			$db->query("select ID, SERVICE from ".$table_name." where ID ='".$line->ID."'");
			$desc = "";
			$line2 = $db->fetch_object();
			$desc = $line2->SERVICE;
			?>
			<tr <?php echo $color; ?>>
				<td class="id"><strong><?php echo $line->ID; ?></strong></td>
				<td class="descr"><?php echo str_replace('\\', '',$desc); ?></td>

				<td class="action">
                <a href="index.php?page=service_up&amp;id=<?php echo $line->ID;?>" class="change"  ><?php echo _MODIFY; ?></a>
                </td>
				<td class="action">
					<a href="javascript://"  class="delete" onClick="window.open('service_del.php?id=<?php echo $line->ID;?>', '', 'scrollbar=yes,menubar=no,toolbar=no,resizable=yes,status=no,width=400,height=200');" ><?php echo _DELETE;?></a>
				</td>
			</tr>
				<?php }
			?>
			</tbody>
		</table>
		</div>

		<?php $this->clearserviceinfos();
	}





	/**
	* Draw the departments list
	*
	* @param 	string  $where sorting of the list (empty by default)
	* @param 	string  $what  first letter of the name (empty by default)
	*/
	public function emetlist($where = "",$what = "")
	{
		// draw the services list
		$func = new functions();

		/* Configuration */
		$title = _SHIPPER_LIST;
		$page_name = "emet";
		$table_name = $_SESSION['tablename']['senders'];
		$res_table = $_SESSION['ressources'][0]['tablename'];
		$nb_show = $_SESSION['config']['nblinetoshow'];


		if(!empty($what))
		{
			$what = "&what=".$what;
		}
		/***********************/

		$this->connect();
		$this->query("select count(*) as total from ".$table_name." where (1=1) and (TOCONTACT <> 'EXT' or TOCONTACT is null) ".$where);
		//$this->show();
		$nb_total_1 = $this->fetch_object();
		$nb_total = $nb_total_1->total;

		// define the defaults values
		$nb_pages = ceil($nb_total/$nb_show);

		$link = "index.php?page=".$page_name."&start=".$this->the_start."&order=".$this->orderby.$what;

		if($nb_pages > 1)
		{
			$next_start = 0;

			$page_list1 = '<form name="newpage1" id="newpage1" method="get" action="index.php?page=groups" >
			<p>
				<label for="startpage">'._GO_TO_PAGE.'</label>
				<select name="startpage" id="startpage" class="textbox small" onchange="window.location.href=\''.$link.'&amp;start=\'+document.newpage1.startpage.value;">';

			$page_list2 = '<form name="newpage2" id="newpage2" method="get" action="index.php?page=groups"  >
			<p>
				<label for="startpage">'._GO_TO_PAGE.'</label>
				<select name="startpage" id="startpage" class="textbox small" onchange="window.location.href=\''.$link.'&amp;start=\'+document.newpage2.startpage.value;">';

			$lastpage = 0;

			for($i = 0;$i <> $nb_pages; $i++)
			{
				$page_name = $i + 1;

				$the_line = $i + 1;
				if($this->the_start == $next_start)
				{
					$page_list1 .= "<option value=\"".$next_start."\" selected=\"selected\">".$the_line."</option>";
					$page_list2 .= "<option value=\"".$next_start."\" selected=\"selected\">".$the_line."</option>";
				}
				else
				{
					$page_list1 .= "<option value=\"".$next_start."\">".$the_line."</option>";
					$page_list2 .= "<option value=\"".$next_start."\">".$the_line."</option>";
				}

				$next_start = $next_start + $nb_show;
				$lastpage = $next_start;
			}

			$lastpage = $lastpage - $nb_show;

			$previous = "";
			$next = "";

			if($this->the_start > 0)
			{
				$start_prev = $this->the_start - $nb_show;
				$previous = '<a href="'.$link.'&amp;start='.$start_prev.'" class="prev">'._PREVIOUS.'</a>';
			}

			if($this->the_start <> $lastpage)
			{
				$start_next = $this->the_start + $nb_show;
				$next = '<a href="'.$link.'&amp;start='.$start_next.'" class="next">'._NEXT.'</a>';
			}

			$page_list1 = $page_list1."</select>";
			$page_list2 = $page_list2."</select>";

			if($previous <> '' || $next <> '')
			{
				if(empty($previous)) { $previous = "&nbsp;"; }
				if(empty($next)) { $next = "&nbsp;"; }

				$page_list1 .= $previous." ".$next.'</p></form>';
				$page_list2 .= $previous." ".$next.'</p></form>';
			}
		}

		$this->query("select distinct ID from ".$table_name." where (1=1) and (TOCONTACT <> 'EXT' or TOCONTACT is null)  ".$where." order by ID asc limit ".$this->the_start.",".$nb_show);

			echo '<h1><img src="'.$_SESSION['config']['img'].'/liste_emetteurs_b.gif" alt="" /> '.$title.'</h1>

			<div id="inner_content" class="clearfix">';

		$this->emetlistletters();
		 echo $page_list1;
		?>
		<table cellpadding="0" cellspacing="0" border="0" class="listing spec">
				<thead>
					<tr>
						<th class="id"><?php echo _LASTNAME;?></th>
                        <th ><?php echo _FIRSTNAME;?></th>
                         <th ><?php echo _SOCIETY;?></th>
				   		<th colspan="3" align="right" class="price"><span class="add clearfix"><a  href="index.php?page=emet_add"  ><span><?php echo _ADD_SHIPPER;?></span></a></span></th>
				  </tr>
				</thead>
				<tfoot>
					<tr>
						<td colspan="6" class="price"><span class="add clearfix"><a  href="index.php?page=emet_add"  ><span><?php echo _ADD_SHIPPER;?></span></a></span></td>
					</tr>
				</tfoot>
				<tbody>

		<?php $db = new dbquery();
		$db->connect();

		$color = "line1";
		while($line = $this->fetch_object())
		{
			if($color == ' class="col"')
			{
				$color = '';
			}
			else
			{
				$color = ' class="col"';
			}

			$db->query("select ID, LASTNAME, FIRSTNAME, SOCIETY from ".$table_name." where ID ='".$line->ID."'");
			$desc = "";
			$line2 = $db->fetch_object();
			$name = $line2->LASTNAME;
			$prenom = $line2->FIRSTNAME;
			$societe = $line2->SOCIETY;
			
			//Fix : Affichage des sociétés 
			if (($societe == $name) && empty($prenom)){
				$prenom =	''; $name = ''; }
			
			?>
			<tr <?php echo $color; ?>>
				<td class="id"><strong><?php echo $name; ?></strong></td>
                <td ><?php echo $prenom; ?></td>
                <td ><?php echo $societe; ?></td>
				<td class="action">
                <a href="index.php?page=emet_up&amp;id=<?php echo $line->ID;?>" class="change"  ><?php echo _MODIFY; ?></a>
                </td>
				<td class="action">
					<a href="emet_del.php?id=<?php echo $line->ID;?>" class="delete" onClick="return (confirm('<?php echo ' '._REALLY_DELETE.' '.addslashes($name).'  ?\n'._DEFINITIVE_ACTION."!";?>'));" ><?php echo _DELETE;?></a>
				</td>
			</tr>
				<?php }
			?>
			</tbody>
		</table>
		</div>

		<?php $this->clearemetinfos();
	}

	/**
	* Draw the senders list
	*
	* @param 	string  $where sorting of the list (empty by default)
	* @param 	string  $what  first letter of the name (empty by default)
	*/
	public function senderlist($where = "",$what = "")
	{
		// draw the services list
		$func = new functions();

		/* Configuration */
		$title = _SENDER_LIST;
		$page_name = "sender";
		$table_name = $_SESSION['tablename']['senders'];
		$res_table = $_SESSION['ressources'][0]['tablename'];
		$nb_show = $_SESSION['config']['nblinetoshow'];


		if(!empty($what))
		{
			$what = "&what=".$what;
		}
		/***********************/

		$this->connect();
		$this->query("select count(*) as total from ".$table_name." where (1=1) and TOCONTACT = 'EXT' ".$where);
		//$this->show();
		$nb_total_1 = $this->fetch_object();
		$nb_total = $nb_total_1->total;

		// define the defaults values
		$nb_pages = ceil($nb_total/$nb_show);

		$link = "index.php?page=".$page_name."&start=".$this->the_start."&order=".$this->orderby.$what;

		if($nb_pages > 1)
		{
			$next_start = 0;

			$page_list1 = '<form name="newpage1" id="newpage1" method="get" action="index.php?page=groups" >
			<p>
				<label for="startpage">'._GO_TO_PAGE.'</label>
				<select name="startpage" id="startpage" class="textbox small" onchange="window.location.href=\''.$link.'&amp;start=\'+document.newpage1.startpage.value;">';

			$page_list2 = '<form name="newpage2" id="newpage2" method="get" action="index.php?page=groups"  >
			<p>
				<label for="startpage">'._GO_TO_PAGE.'</label>
				<select name="startpage" id="startpage" class="textbox small" onchange="window.location.href=\''.$link.'&amp;start=\'+document.newpage2.startpage.value;">';

			$lastpage = 0;

			for($i = 0;$i <> $nb_pages; $i++)
			{
				$page_name = $i + 1;

				$the_line = $i + 1;
				if($this->the_start == $next_start)
				{
					$page_list1 .= "<option value=\"".$next_start."\" selected=\"selected\">".$the_line."</option>";
					$page_list2 .= "<option value=\"".$next_start."\" selected=\"selected\">".$the_line."</option>";
				}
				else
				{
					$page_list1 .= "<option value=\"".$next_start."\">".$the_line."</option>";
					$page_list2 .= "<option value=\"".$next_start."\">".$the_line."</option>";
				}

				$next_start = $next_start + $nb_show;
				$lastpage = $next_start;
			}

			$lastpage = $lastpage - $nb_show;

			$previous = "";
			$next = "";

			if($this->the_start > 0)
			{
				$start_prev = $this->the_start - $nb_show;
				$previous = '<a href="'.$link.'&amp;start='.$start_prev.'" class="prev">'._PREVIOUS.'</a>';
			}

			if($this->the_start <> $lastpage)
			{
				$start_next = $this->the_start + $nb_show;
				$next = '<a href="'.$link.'&amp;start='.$start_next.'" class="next">'._NEXT.'</a>';
			}

			$page_list1 = $page_list1."</select>";
			$page_list2 = $page_list2."</select>";

			if($previous <> '' || $next <> '')
			{
				if(empty($previous)) { $previous = "&nbsp;"; }
				if(empty($next)) { $next = "&nbsp;"; }

				$page_list1 .= $previous." ".$next.'</p></form>';
				$page_list2 .= $previous." ".$next.'</p></form>';
			}
		}

		$this->query("select distinct ID from ".$table_name." where (1=1) and TOCONTACT = 'EXT' ".$where." order by ID asc limit ".$this->the_start.",".$nb_show);

			echo '<h1><img src="'.$_SESSION['config']['img'].'/liste_emetteurs_b.gif" alt="" /> '.$title.'</h1>

			<div id="inner_content" class="clearfix">';

		$this->senderlistletters();
		 echo $page_list1;
		?>
		<table cellpadding="0" cellspacing="0" border="0" class="listing spec">
				<thead>
					<tr>
						<th class="id"><?php echo _LASTNAME;?></th>
                        <th ><?php echo _FIRSTNAME;?></th>
                         <th ><?php echo _SOCIETY;?></th>
				   		<th colspan="3" align="right" class="price"><span class="add clearfix"><a  href="index.php?page=sender_add"  ><span><?php echo _ADD_SENDER;?></span></a></span></th>
				  </tr>
				</thead>
				<tfoot>
					<tr>
						<td colspan="6" class="price"><span class="add clearfix"><a  href="index.php?page=sender_add"  ><span><?php echo _ADD_SENDER;?></span></a></span></td>
					</tr>
				</tfoot>
				<tbody>

		<?php $db = new dbquery();
		$db->connect();

		$color = "line1";
		while($line = $this->fetch_object())
		{
			if($color == ' class="col"')
			{
				$color = '';
			}
			else
			{
				$color = ' class="col"';
			}

			$db->query("select ID, LASTNAME, FIRSTNAME, SOCIETY from ".$table_name." where ID ='".$line->ID."'");
			$desc = "";
			$line2 = $db->fetch_object();
			$name = $line2->LASTNAME;
			$prenom = $line2->FIRSTNAME;
			$societe = $line2->SOCIETY;
			
			//Fix : Affichage des sociétés 
			if (($societe == $name) && empty($prenom)){
				$prenom =	''; $name = ''; }
			?>
			<tr <?php echo $color; ?>>
				<td class="id"><strong><?php echo $name; ?></strong></td>
                <td ><?php echo $prenom; ?></td>
                <td ><?php echo $societe; ?></td>
				<td class="action">
                <a href="index.php?page=sender_up&amp;id=<?php echo $line->ID;?>" class="change"  ><?php echo _MODIFY; ?></a>
                </td>
				<td class="action">
					<a href="sender_del.php?id=<?php echo $line->ID;?>" class="delete" onClick="return (confirm('<?php echo ' '._REALLY_DELETE.' '.addslashes($name).'  ?\n'._DEFINITIVE_ACTION."!";?>'));" ><?php echo _DELETE;?></a>
				</td>
			</tr>
				<?php }
			?>
			</tbody>
		</table>
		</div>

		<?php $this->clearsenderinfos();
	}
	
	/**
	* Draw the senders list
	*
	* @param 	string  $where sorting of the list (empty by default)
	* @param 	string  $what  first letter of the name (empty by default)
	*/
	public function contactlist($where = "",$what = "")
	{
		// draw the services list
		$func = new functions();

		/* Configuration */
		$title = _ADDRESS_BOOK;
		$page_name = "sender2";
		$table_name = $_SESSION['tablename']['senders'];
		$res_table = $_SESSION['ressources'][0]['tablename'];
		$nb_show = $_SESSION['config']['nblinetoshow'];


		if(!empty($what)){
			$what = "&what=".$what;
		}
		/***********************/

		$this->connect();
		$this->query("select count(*) as total from ".$table_name." where TOCONTACT = '".$_SESSION['user']['UserId']."' ".$where);
		//$this->show();
		$nb_total_1 = $this->fetch_object();
		$nb_total = $nb_total_1->total;

		// define the defaults values
		$nb_pages = ceil($nb_total/$nb_show);

		$link = "index.php?page=".$page_name."&start=".$this->the_start."&order=".$this->orderby.$what;

		if($nb_pages > 1){
			$next_start = 0;

			$page_list1 = '<form name="newpage1" id="newpage1" method="get" action="index.php?page=groups" >
			<p>
				<label for="startpage">'._GO_TO_PAGE.'</label>
				<select name="startpage" id="startpage" class="textbox small" onchange="window.location.href=\''.$link.'&amp;start=\'+document.newpage1.startpage.value;">';

			$page_list2 = '<form name="newpage2" id="newpage2" method="get" action="index.php?page=groups"  >
			<p>
				<label for="startpage">'._GO_TO_PAGE.'</label>
				<select name="startpage" id="startpage" class="textbox small" onchange="window.location.href=\''.$link.'&amp;start=\'+document.newpage2.startpage.value;">';

			$lastpage = 0;

			for($i = 0;$i <> $nb_pages; $i++){
				$page_name = $i + 1;

				$the_line = $i + 1;
				if($this->the_start == $next_start){
					$page_list1 .= "<option value=\"".$next_start."\" selected=\"selected\">".$the_line."</option>";
					$page_list2 .= "<option value=\"".$next_start."\" selected=\"selected\">".$the_line."</option>";
				}
				else{
					$page_list1 .= "<option value=\"".$next_start."\">".$the_line."</option>";
					$page_list2 .= "<option value=\"".$next_start."\">".$the_line."</option>";
				}

				$next_start = $next_start + $nb_show;
				$lastpage = $next_start;
			}

			$lastpage = $lastpage - $nb_show;

			$previous = "";
			$next = "";

			if($this->the_start > 0){
				$start_prev = $this->the_start - $nb_show;
				$previous = '<a href="'.$link.'&amp;start='.$start_prev.'" class="prev">'._PREVIOUS.'</a>';
			}

			if($this->the_start <> $lastpage){
				$start_next = $this->the_start + $nb_show;
				$next = '<a href="'.$link.'&amp;start='.$start_next.'" class="next">'._NEXT.'</a>';
			}

			$page_list1 = $page_list1."</select>";
			$page_list2 = $page_list2."</select>";

			if($previous <> '' || $next <> ''){
				if(empty($previous)) { $previous = "&nbsp;"; }
				if(empty($next)) { $next = "&nbsp;"; }

				$page_list1 .= $previous." ".$next.'</p></form>';
				$page_list2 .= $previous." ".$next.'</p></form>';
			}
		}

		$this->query("select distinct ID from ".$table_name." where TOCONTACT = '".$_SESSION['user']['UserId']."' ".$where." order by ID asc limit ".$this->the_start.",".$nb_show);

			echo '<h1><img src="'.$_SESSION['config']['img'].'/liste_emetteurs_b.gif" alt="" /> '.$title.'</h1>

			<div id="inner_content" class="clearfix">';

		$this->senderlistletters('sender2');
		 echo $page_list1;
		?>
		<table cellpadding="0" cellspacing="0" border="0" class="listing spec">
				<thead>
					<tr>
						<th class="id"><?php echo _LASTNAME;?></th>
                        <th ><?php echo _FIRSTNAME;?></th>
                        <th ><?php echo _SOCIETY;?></th>
						<th ><?php echo _MAIL;?></th>
				   		<th colspan="3" align="right" class="price"><span class="add clearfix"><a href="index.php?page=sender_add2" ><span><?php echo _ADD_CONTACT2;?></span></a></span></th>
				  </tr>
				</thead>
				<tfoot>
					<tr>
						<td colspan="6" class="price"><span class="add clearfix"><a href="index.php?page=sender_add2" ><span><?php echo _ADD_CONTACT2;?></span></a></span></td>
					</tr>
				</tfoot>
				<tbody>

		<?php $db = new dbquery();
		$db->connect();

		$color = "line1";
		while($line = $this->fetch_object()){
			if($color == ' class="col"'){
				$color = '';
			}
			else{
				$color = ' class="col"';
			}

			$db->query("select ID, LASTNAME, FIRSTNAME, SOCIETY, MAIL from ".$table_name." where ID ='".$line->ID."'");
			$desc = "";
			$line2 = $db->fetch_object();
			
			$name = $line2->LASTNAME;
			$prenom = $line2->FIRSTNAME;
			$societe = $line2->SOCIETY;
			$email = $line2->MAIL;
			
			//Fix : Affichage des sociétés 
			if (($societe == $name) && empty($prenom)){
				$prenom =	''; $name = ''; }		
			
			?>
			<tr <?php echo $color; ?>>
				<td class="id"><strong><?php echo $name; ?></strong></td>
                <td ><?php echo $prenom; ?></td>
                <td ><?php echo $societe; ?></td>
				<td ><?php echo $email; ?></td>
				<td class="action">
                <a href="index.php?page=sender_up2&amp;id=<?php echo $line->ID;?>" class="change"  ><?php echo _MODIFY; ?></a>
                </td>
				<td class="action">
					<a href="contact_del.php?contid=<?php echo $line->ID;?>" class="delete" onClick="return (confirm('<?php echo ' '._REALLY_DELETE.' '.addslashes($name).'  ?\n'._DEFINITIVE_ACTION."!";?>'));" ><?php echo _DELETE;?></a>
				</td>
			</tr>
				<?php }
			?>
			</tbody>
		</table>
		</div>

		<?php $this->clearcontactinfos();
	}

	/**
	* Load the data of the letterbox.xml file into session
	*
	*/
	public function xmltosessionletterbox()
	{
		$xmlfile = simplexml_load_file("$this->xml_config_path/letterbox.xml");
		$_SESSION['civilite'] = array();
		$_SESSION['civilite']['physique'] = array();
		$_SESSION['civilite']['morale'] = array();
		$_SESSION['nature'] = array();
		$_SESSION['quartiers'] = array();
		$_SESSION['tycketName'] = '';
		$_SESSION['mail'] = array();
		$_SESSION['print_sep_mode'] = array();
		
		foreach( $xmlfile->xpath('/ROOT/CIVILITE/PHYSIQUE/CIV') as $CIV )
		{
			$_SESSION['civilite']['physique'][] = utf8_decode((string) $CIV);
		}
		
		foreach( $xmlfile->xpath('/ROOT/CIVILITE/MORALE/CIV') as $CIV )
		{
			$_SESSION['civilite']['morale'][] = utf8_decode((string) $CIV);
		}
		
		$increment = 0;
		foreach($xmlfile->NATURE as $NATURE)
		{
			foreach($NATURE-> NAT as $NAT)
			{
				$_SESSION['nature'][$increment] = utf8_decode((string) $NAT);
				$increment++;
			}
		}

		$increment = 0;
		foreach($xmlfile->QUARTIERS as $QUARTIERS)
		{
			foreach($QUARTIERS->QUA as $QUA)
			{
				$_SESSION['quartiers'][$increment] = utf8_decode((string) $QUA);
				$increment++;
			}
		}		
		
		foreach($xmlfile->PRIORITES as $PRIORITES)
		{
			$_SESSION['priority']['default'] = utf8_decode ((string) $PRIORITES->DEFAULT[0]);
			
			foreach($PRIORITES->PRI as $PRI)
			{
				$_SESSION['priority'][utf8_decode ($PRI->ID)]['label'] = utf8_decode ((string) $PRI->LABEL);
			}
		}
		
		foreach($xmlfile->BORDEREAU as $TICKET)
		{
			$_SESSION['tycketName'] = utf8_decode ((string) $TICKET->NAME);
			
		}
		
		foreach($xmlfile->MAIL_ACTION as $MAIL_ACTION)
		{
			$_SESSION['mail_action']['default_to'] = utf8_decode ((string) $MAIL_ACTION->DEFAULT_TO[0]);
			$_SESSION['mail_action']['default_cc'] = utf8_decode ((string) $MAIL_ACTION->DEFAULT_CC[0]);

			foreach($MAIL_ACTION->ACTION as $ACTION)
			{
				$_SESSION['mail_action'][utf8_decode ($ACTION->ID)]['label'] = utf8_decode ((string) $ACTION->LABEL);
			}
		}

		foreach($xmlfile->MAIL as $MAIL)
		{
			foreach($MAIL->children() as $FIELD)
			{
				$value = (string) $FIELD;
				if( !empty($value) )
					$_SESSION['mail'][$FIELD->getName()] = utf8_decode ($value);
			}
		}
		
		foreach($xmlfile->PRINT_SEP as $PRINT_SEP)
		{
			foreach($PRINT_SEP->children() as $TYPE)
			{
				//Boolean
				if( ( strcasecmp(trim($TYPE),"true") == 0 ) || ( strcasecmp(trim($TYPE),"false") == 0 ) )
				{
					if( strcasecmp(trim($TYPE),"true") == 0 )
					{
						$_SESSION['print_sep_mode'][$TYPE->getName()] = true;
					}
					else
					{
						$_SESSION['print_sep_mode'][$TYPE->getName()] = false;
					}
				}
				//String
				else
				{
					$_SESSION['print_sep_mode'][$TYPE->getName()] = utf8_decode ( trim($TYPE) );
				}
			}
		}
		
		foreach($xmlfile->STREET_COMMUNE_ID as $STREET_COMMUNE_ID)
		{
			foreach($STREET_COMMUNE_ID->children() as $ID)
			{
				$value = (string) $ID;
				if( !empty($value) )
					$_SESSION['street_commune_id'][] = utf8_decode ($value);
			}
		}
	}

	/**
	* Load the rights on the departments in the database (used in the class_usergroups.php file)
	*
	*/
	public function load_group_service()
	{
		if(count($_SESSION['services_choisis']) > 0)
		{
			$where = " DESTINATION IN ( ";
			for($i=0; $i < count($_SESSION['services_choisis']); $i++)
			{
				$where .= " \'".trim($_SESSION['services_choisis'][$i])."\', ";
			}
			$where = ereg_replace(", $", " )", $where);
		}
		else
		{
			$where = " (1=-1) ";
		}

		$this->connect();

		$this->query("DELETE FROM ".$_SESSION['tablename']['security'] ." where GROUP_ID = '".$_SESSION['m_admin']['groups']['GroupId']."'");

		$this->query("INSERT INTO ".$_SESSION['tablename']['security']." VALUES ('".$_SESSION['m_admin']['groups']['GroupId']."', '".$_SESSION['ressources'][0]['tablename']."', '".$where."', '', 'N' , 'N')");
	}

		
	/**
	* List of the mail for the view_and_redirect basketpage
	*
	* @param  array  $listarr contains the document index of the process basket
	* @param int  $nb_total  number of document
	* @param string  $title  title
	* @param string  $name  page name
	*/
	public function view_and_redirect($listarr, $nb_total, $title, $name)
	{

		$_SESSION['error'] = '';

		// show the document list in result of the search
		$page_list1 = "";
		$page_list2 = "";

		$func = new functions();

		if(isset($_REQUEST['start']))
		{
			$start = strip_tags($_REQUEST['start']);
		}
		else
		{
			$start = 0;
		}

		if(isset($_GET['order']))
		{
			$orderby = strip_tags($_GET['order']);
		}
		else
		{
			$orderby = 0;
		}
			$link = "index.php?page=".$name;

		// define the defaults values
		$nb_show = $_SESSION['config']['nblinetoshow'];
		$nb_pages = ceil($nb_total/$nb_show);

		// if they are more than 1 page we do pagination with 2 forms
			if($nb_pages > 1)
		{
			$next_start = 0;

			$page_list1 = '<form action="" name="newpage1" id="newpage1" class="smallforms" method="get">
				<p>
					<label for="startpage">'._GO_TO_PAGE.'</label>
					<select name="startpage" id="startpage" class="textbox small" onchange="window.location.href=\''.$link.'&amp;order='.$orderby.'&amp;start=\'+document.newpage1.startpage.value;">';
			$page_list2 = '<form action="" name="newpage2" id="newpage2" class="smallforms" method="get">
				<p>
					<label for="startpage">'._GO_TO_PAGE.'</label>
					<select name="startpage" id="startpage" class="textbox small" onchange="window.location.href=\''.$link.'&amp;order='.$orderby.'&amp;start=\'+document.newpage2.startpage.value;">';
			$lastpage = 0;

			for($i = 0;$i <> $nb_pages; $i++)
			{
				$page_name = $i + 1;

				$the_line = $i + 1;
				if($start == $next_start)
				{
					$page_list1 .= "<option value=\"".$next_start."\" selected>".$the_line."</option>";
					$page_list2 .= "<option value=\"".$next_start."\" selected>".$the_line."</option>";
				}
				else
				{
					$page_list1 .= "<option value=\"".$next_start."\">".$the_line."</option>";
					$page_list2 .= "<option value=\"".$next_start."\">".$the_line."</option>";
				}

				$next_start = $next_start + $nb_show;
				$lastpage = $next_start;
			}

			$lastpage = $lastpage - $nb_show;

			$previous = "";
			$next = "";

			if($start > 0)
			{
				$start_prev = $start - $nb_show;
				$previous = "< <a href=\"".$link."&start=".$start_prev."&order=".$orderby."\">"._PREVIOUS."</a> ";
			}

			if($start <> $lastpage)
			{
				$start_next = $start + $nb_show;
				$next = " <a href=\"".$link."&start=".$start_next."&order=".$orderby."\">"._NEXT."</a> >";
			}

			$page_list1 = $page_list1."</select>".$previous." ".$next."</p></form>";
			$page_list2 = $page_list2."</select>".$previous." ".$next."</p></form>";
		}
		?>

			<h1><img src="<?php echo $_SESSION['config']['img'];?>/picto_post_b.gif" alt="" /> <?php echo $title; ?></h1>

				<div id="inner_content" class="clearfix">
					<?php echo $page_list1;?>
					<form name="choose_mail" id="choose_mail" method="post" action="manage_redirection.php">
                      <input type="hidden" name="start" id="start" value="<?php echo $start;?>" />
					<table cellpadding="0" cellspacing="0" border="0" class="listing">
						<thead>
							<tr>
                            <?php if(!$_SESSION['current_basket']['no_action']){ ?><th>&nbsp;</th><?php }?>
								<th class="picto"  ><?php echo _STATUS;?> <br/><a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=statusdesc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif"  border="0" alt="<?php echo _DESC_SORT;?>" title="<?php echo _DESC_SORT;?>" /> </a>
										<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=statusasc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" border="0" alt="<?php echo _ASC_SORT;?>" title="<?php echo _ASC_SORT;?>" /></a>
								</th>
                                <th class="picto"  ><?php echo _PRIORITY;?> <br/><a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=priodesc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif"  border="0" alt="<?php echo _DESC_SORT;?>" title="<?php echo _DESC_SORT;?>"/> </a>
										<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=prioasc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" border="0" alt="<?php echo _ASC_SORT;?>" title="<?php echo _ASC_SORT;?>" /></a>
								</th>
								<th class="date"><?php echo _DATE_START;?> <a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=arrivdesc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif"  border="0" alt="<?php echo _DESC_SORT;?>" title="<?php echo _DESC_SORT;?>"/></a>
										<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=arrivasc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" border="0" alt="<?php echo _ASC_SORT;?>" title="<?php echo _ASC_SORT;?>" /></a>
								</th>
								<th class="price"><?php echo _GED_NUM;?><br/><a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=residdesc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif"  border="0" alt="<?php echo _DESC_SORT;?>" title="<?php echo _DESC_SORT;?>"/></a>
										<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=residasc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" border="0" alt="<?php echo _ASC_SORT;?>" title="<?php echo _ASC_SORT;?>" /></a>
								</th>
								<th class="type2"><?php echo _MAIL_TYPE;?><br/>
										<a href="<?php echo $link; ?>&start=<?php echo $start; ?>&order=typedesc"><img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif"  border="0" /></a>
										<a href="<?php echo $link; ?>&start=<?php echo $start; ?>&order=typeasc"><img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" border="0" /></a>
								</th>
								<th ><?php if($_SESSION['config']['corporate'] == "true" && $_SESSION['config']['replace_subject_by_society'] == "true")
								{
								echo _SOCIETY;?><br/><a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=socidesc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif"  border="0" alt="<?php echo _DESC_SORT;?>" title="<?php echo _DESC_SORT;?>"/></a>
										<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=sociasc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" border="0" alt="<?php echo _ASC_SORT;?>" title="<?php echo _ASC_SORT;?>"/></a>
                                 <?php }
								 else
								 {
									 echo _OBJECT;?><br/><a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=objdesc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif"  border="0" alt="<?php echo _DESC_SORT;?>" title="<?php echo _DESC_SORT;?>"/></a>
										<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=objasc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" border="0" alt="<?php echo _ASC_SORT;?>" title="<?php echo _ASC_SORT;?>"/></a>
								<?php }?>
								</th>
 								<th class="emetteur"><?php echo _SHIPPER;?><br/><a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=expdesc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif"  border="0" alt="<?php echo _DESC_SORT;?>" title="<?php echo _DESC_SORT;?>"/></a>
										<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=expasc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" border="0" alt="<?php echo _ASC_SORT;?>" title="<?php echo _ASC_SORT;?>"/></a>
								</th>

								<th class="date"><?php echo _LIMIT_DATE_PROCESS;?>
										<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=limdesc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif"  border="0" alt="<?php echo _DESC_SORT;?>" title="<?php echo _DESC_SORT;?>"/></a>
										<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=limasc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" border="0" alt="<?php echo _ASC_SORT;?>" title="<?php echo _ASC_SORT;?>"/></a>
								</th>
								<th><?php echo _PROCESSED_BY;?></th><br/> 
							</tr>
						</thead>
						<tbody>
		<?php $color = "";
		$func =new functions();
		for($theline = 0; $theline < count($listarr) ; $theline++)
		{
			if($color == ' class="col"')
			{
				$color = '';
			}
			else
			{
				$color = ' class="col"';
			}
			?>
		<tr <?php echo $color; ?>>
					  <?php if(!$_SESSION['current_basket']['no_action']){ ?><td><input type="checkbox" name="mail[]" value="<?php echo $listarr[$theline]['ID']; ?>" /></td><?php } ?>
                    <td class="picto"  onmouseover="changeCouleur2(this,'#000000',true);" onMouseOut="changeCouleur2(this,'#666',false);" onClick="changeCouleur2(this,'#CC3300',true);window.open('show_folder_doc.php?id=<?php echo $listarr[$theline]['ID']; ?>','Traitement', 'scrollbars=yes,menubar=no,toolbar=no,resizable=yes,status=no,width='+screen.availWidth+',height='+screen.availHeight);">
				 <?php 
				       	if(($listarr[$theline]['STATUS'] == "NEW"))
						{ ?>
						<img src="<?php echo $_SESSION['config']['img'];?>/mail_new.gif" alt="<?php echo _TO_PROCESS;?>" title="<?php echo _TO_PROCESS;?>" />
						<?php }
						elseif(($listarr[$theline]['STATUS'] == "COU"))
						{ ?>
						<img src="<?php echo $_SESSION['config']['img'];?>/mail.gif" alt="<?php echo _IN_PROGRESS;?>" title="<?php echo _IN_PROGRESS;?>" />
						<?php }
						elseif(($listarr[$theline]['STATUS'] == "END"))
						{ ?>
						<img src="<?php echo $_SESSION['config']['img'];?>/mail_end.gif" alt="<?php echo _CLOSED;?>" title="<?php echo _CLOSED;?>" />
						<?php }
						elseif(($listarr[$theline]['STATUS'] == "OUT"))
						{ ?>
						<img src="<?php echo $_SESSION['config']['img'];?>/status_out.gif" alt="<?php echo _ONGOING;?>" title="<?php echo _ONGOING;?>"/>
						<?php }
						elseif(($listarr[$theline]['STATUS'] == "WAI"))
						{ ?>
						<img src="<?php echo $_SESSION['config']['img'];?>/waiting_mail.gif" alt="<?php echo _WAITINGDOC_PROCESS_IN_PROGRESS;?>" title="<?php echo _WAITINGDOC_PROCESS_IN_PROGRESS;?>"/>
						<?php 
						}
						else
						{
							echo $listarr[$theline]['STATUS'];
						}
				?>
				<td onmouseover="changeCouleur2(this,'#000000',true);" onMouseOut="changeCouleur2(this,'#666',false);" onClick="changeCouleur2(this,'#CC3300',true);window.open('show_folder_doc.php?id=<?php echo $listarr[$theline]['ID']; ?>','Traitement', 'scrollbars=yes,menubar=no,toolbar=no,resizable=yes,status=no,width='+screen.availWidth+',height='+screen.availHeight);">
					<?php echo $listarr[$theline]['PRIORITY']; ?> 
				</td>
				<td class="date" onMouseOver="changeCouleur2(this,'#000000',true);" onMouseOut="changeCouleur2(this,'#666',false);" onClick="changeCouleur2(this,'#CC3300',true);window.open('show_folder_doc.php?id=<?php echo $listarr[$theline]['ID']; ?>','Traitement', 'scrollbars=yes,menubar=no,toolbar=no,resizable=yes,status=no,width='+screen.availWidth+',height='+screen.availHeight);"><?php if($listarr[$theline]['STATUS'] == "OUT")
					 {
						 echo $this->dateformat($listarr[$theline]['CREATION_DATE']);
					 }
					 else
					 {

					 	if("0000-00-00" == $listarr[$theline]['ARRIVEE'] || "00-00-0000" == $listarr[$theline]['ARRIVEE'])
						{
							echo $this->dateformat($listarr[$theline]['CREATION_DATE']);
						}
						else
						{
					 		echo $this->dateformat($listarr[$theline]['ARRIVEE']);
						}
					} ?></td>
				<td class="price"  onmouseover="changeCouleur2(this,'#000000',true);" onMouseOut="changeCouleur2(this,'#666',false);" onClick="changeCouleur2(this,'#CC3300',true);window.open('show_folder_doc.php?id=<?php echo $listarr[$theline]['ID']; ?>','Traitement', 'scrollbars=yes,menubar=no,toolbar=no,resizable=yes,status=no,width='+screen.availWidth+',height='+screen.availHeight);"><?php echo $listarr[$theline]['ID']; ?></td>
				<td class="type2"  onmouseover="changeCouleur2(this,'#000000',true);" onmouseout="changeCouleur2(this,'#666',false);" onclick="changeCouleur2(this,'#CC3300',true);window.open('show_folder_doc.php?id=<?php echo $listarr[$theline]['ID']; ?>','Traitement', 'scrollbars=yes,menubar=no,toolbar=no,resizable=yes,status=no,width='+screen.availWidth+',height='+screen.availHeight);"><?php echo $func->show($listarr[$theline]['TYPE']); ?></td>
				<td class="emetteur"  onmouseover="changeCouleur2(this,'#000000',true);" onMouseOut="changeCouleur2(this,'#666',false);" onClick="changeCouleur2(this,'#CC3300',true);window.open('show_folder_doc.php?id=<?php echo $listarr[$theline]['ID']; ?>','Traitement', 'scrollbars=yes,menubar=no,toolbar=no,resizable=yes,status=no,width='+screen.availWidth+',height='+screen.availHeight);"><?php if($_SESSION['config']['corporate']=="true" && $_SESSION['config']['replace_subject_by_society'] == "true"){ echo $func->show($listarr[$theline]['SOCIETE']);}else
				{ echo $func->show($listarr[$theline]['OBJET']); } ?></td>

				<td  onmouseover="changeCouleur2(this,'#000000',true);" onMouseOut="changeCouleur2(this,'#666',false);" onClick="changeCouleur2(this,'#CC3300',true);window.open('show_folder_doc.php?id=<?php echo $listarr[$theline]['ID']; ?>','Traitement', 'scrollbars=yes,menubar=no,toolbar=no,resizable=yes,status=no,width='+screen.availWidth+',height='+screen.availHeight);"><?php echo $func->show($listarr[$theline]['EMETTEUR']); ?></td>

			    <td class="date"  onmouseover="changeCouleur2(this,'#000000',true);" onMouseOut="changeCouleur2(this,'#666',false);" onClick="changeCouleur2(this,'#CC3300',true);window.open('show_folder_doc.php?id=<?php echo $listarr[$theline]['ID']; ?>','Traitement', 'scrollbars=yes,menubar=no,toolbar=no,resizable=yes,status=no,width='+screen.availWidth+',height='+screen.availHeight);"><?php echo $listarr[$theline]['LIMITE'];  if ($listarr[$theline]['STATUS']=="WAI")  echo "<br/>"._WAITINGDOC.""; ?></td>
				<td>
				<?php 
				if( !empty($listarr[$theline]['USER']) )
					echo $func->show($listarr[$theline]['USER']);
				else
					echo "&nbsp;";
				?>
				</td> 
		   </tr>
		   <?php }
			?>
		  </tbody>
		  </table>

		  <p><em><?php echo _CLICK_LINE_VIEW;?></em> </p>
          <br/>
          <div>
          <p>
		  <?php if(!$_SESSION['current_basket']['no_action'])
		  {
		  ?>

            	<label><?php echo _CHOOSE_ACTION;?> : </label>

                <select name="action" id="action">

                <?php if($_SESSION['current_basket']['can_redirect'] == 'Y' )
				{
					?>
                    <option value="RED"><?php echo _REDIRECTION;?></option>
                    <?php }
				if($_SESSION['current_basket']['can_delete'] == 'Y')
				{
				?>
                <option value="DEL"><?php echo _DELETION;?></option>
                <?php }
				?>
                </select>
                <input type="submit" name="valid" id="valid" value="<?php echo _VALIDATE;?>" class="button" />



          <?php } ?>
		  <?php if ($_SESSION['user']['print_rights'] == true)
				{
				?><input type="button" onClick="window.open('mail_process_print_list.php','', 'scrollbars=auto,menubar=no,toolbar=no,resizable=yes,status=no,width=350,height=350');" value="<?php echo _PRINT_BASKET;?>" class="button"> <?php } ?>
			  </p>
			</div>
            </form>
	</div>

		<?php 
	}
	
		/**
	* List of the mail process basket documents
	*
	* @param  array  $listarr contains the document index of the process basket
	* @param int  $nb_total  number of document
	* @param string  $title  title
	* @param string  $name  page name
	*/
	public function mail_process($listarr, $nb_total, $title, $name)
	{
		$func = new functions();

		$_SESSION['error'] = '';

		// show the document list in result of the search
		$page_list1 = "";
		$page_list2 = "";

		$func = new functions();

		if(isset($_REQUEST['start']))
		{
			$start = strip_tags($_REQUEST['start']);
		}
		else
		{
			$start = 0;
		}

		if(isset($_GET['order']))
		{
			$orderby = strip_tags($_GET['order']);
		}
		else
		{
			$orderby = 0;
		}
			$link = "index.php?page=".$name;

		// define the defaults values
		$nb_show = $_SESSION['config']['nblinetoshow'];
		$nb_pages = ceil($nb_total/$nb_show);

		// if they are more than 1 page we do pagination with 2 forms
			if($nb_pages > 1)
		{
			$next_start = 0;

			$page_list1 = '<form action="" name="newpage1" id="newpage1" class="smallforms" method="get">
				<p>
					<label for="startpage">'._GO_TO_PAGE.'</label>
					<select name="startpage" id="startpage" class="textbox small" onchange="window.location.href=\''.$link.'&amp;order='.$orderby.'&amp;start=\'+document.newpage1.startpage.value;">';
			$page_list2 = '<form action="" name="newpage2" id="newpage2" class="smallforms" method="get">
				<p>
					<label for="startpage">'._GO_TO_PAGE.'</label>
					<select name="startpage" id="startpage" class="textbox small" onchange="window.location.href=\''.$link.'&amp;order='.$orderby.'&amp;start=\'+document.newpage2.startpage.value;">';
			$lastpage = 0;

			for($i = 0;$i <> $nb_pages; $i++)
			{
				$page_name = $i + 1;

				$the_line = $i + 1;
				if($start == $next_start)
				{
					$page_list1 .= "<option value=\"".$next_start."\" selected>".$the_line."</option>";
					$page_list2 .= "<option value=\"".$next_start."\" selected>".$the_line."</option>";
				}
				else
				{
					$page_list1 .= "<option value=\"".$next_start."\">".$the_line."</option>";
					$page_list2 .= "<option value=\"".$next_start."\">".$the_line."</option>";
				}

				$next_start = $next_start + $nb_show;
				$lastpage = $next_start;
			}

			$lastpage = $lastpage - $nb_show;

			$previous = "";
			$next = "";

			if($start > 0)
			{
				$start_prev = $start - $nb_show;
				$previous = "< <a href=\"".$link."&start=".$start_prev."&order=".$orderby."\">"._PREVIOUS."</a> ";
			}

			if($start <> $lastpage)
			{
				$start_next = $start + $nb_show;
				$next = " <a href=\"".$link."&start=".$start_next."&order=".$orderby."\">"._NEXT."</a> >";
			}

			$page_list1 = $page_list1."</select>".$previous." ".$next."</p></form>";
			$page_list2 = $page_list2."</select>".$previous." ".$next."</p></form>";
		}
		?>

			<h1><img src="<?php echo $_SESSION['config']['img'];?>/picto_post_b.gif" alt="" /> <?php echo $title; ?></h1>

				<div id="inner_content" class="clearfix">
					<?php echo $page_list1;?>
					<form name="choose_mail" id="choose_mail" method="post" action="manage_redirection.php">
                      <input type="hidden" name="start" id="start" value="<?php echo $start;?>" />
					<table cellpadding="0" cellspacing="0" border="0" class="listing">
						<thead>
							<tr>
                            <?php if(!$_SESSION['current_basket']['no_action']){ ?><th>&nbsp;</th><?php }?>
								<th class="picto"  ><?php echo _STATUS;?> <br/><a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=statusdesc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif"  border="0" alt="<?php echo _DESC_SORT;?>" title="<?php echo _DESC_SORT;?>" /> </a>
										<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=statusasc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" border="0" alt="<?php echo _ASC_SORT;?>" title="<?php echo _ASC_SORT;?>" /></a>
								</th>
                                <th class="picto"  ><?php echo _PRIORITY;?> <br/><a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=priodesc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif"  border="0" alt="<?php echo _DESC_SORT;?>" title="<?php echo _DESC_SORT;?>"/> </a>
										<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=prioasc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" border="0" alt="<?php echo _ASC_SORT;?>" title="<?php echo _ASC_SORT;?>" /></a>
								</th>
								<th class="date"><?php echo _DATE_START;?> <a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=arrivdesc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif"  border="0" alt="<?php echo _DESC_SORT;?>" title="<?php echo _DESC_SORT;?>"/></a>
										<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=arrivasc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" border="0" alt="<?php echo _ASC_SORT;?>" title="<?php echo _ASC_SORT;?>" /></a>
								</th>
								<th class="price"><?php echo _GED_NUM;?><br/><a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=residdesc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif"  border="0" alt="<?php echo _DESC_SORT;?>" title="<?php echo _DESC_SORT;?>"/></a>
										<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=residasc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" border="0" alt="<?php echo _ASC_SORT;?>" title="<?php echo _ASC_SORT;?>" /></a>
								</th>
								<th class="type2"><?php echo _MAIL_TYPE;?><br/>
										<a href="<?php echo $link; ?>&start=<?php echo $start; ?>&order=typedesc"><img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif"  border="0" /></a>
										<a href="<?php echo $link; ?>&start=<?php echo $start; ?>&order=typeasc"><img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" border="0" /></a>
								</th>
								<th ><?php if($_SESSION['config']['corporate'] == "true" && $_SESSION['config']['replace_subject_by_society'] == "true")
								{
								echo _SOCIETY;?><br/><a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=socidesc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif"  border="0" alt="<?php echo _DESC_SORT;?>" title="<?php echo _DESC_SORT;?>"/></a>
										<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=sociasc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" border="0" alt="<?php echo _ASC_SORT;?>" title="<?php echo _ASC_SORT;?>"/></a>
                                 <?php }
								 else
								 {
									 echo _OBJECT;?><br/><a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=objdesc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif"  border="0" alt="<?php echo _DESC_SORT;?>" title="<?php echo _DESC_SORT;?>"/></a>
										<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=objasc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" border="0" alt="<?php echo _ASC_SORT;?>" title="<?php echo _ASC_SORT;?>"/></a>
								<?php }?>
								</th>
 								<th class="emetteur"><?php echo _SHIPPER;?><br/><a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=expdesc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif"  border="0" alt="<?php echo _DESC_SORT;?>" title="<?php echo _DESC_SORT;?>"/></a>
										<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=expasc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" border="0" alt="<?php echo _ASC_SORT;?>" title="<?php echo _ASC_SORT;?>"/></a>
								</th>

								<th class="date"><?php echo _LIMIT_DATE_PROCESS;?>
										<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=limdesc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif"  border="0" alt="<?php echo _DESC_SORT;?>" title="<?php echo _DESC_SORT;?>"/></a>
										<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=limasc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" border="0" alt="<?php echo _ASC_SORT;?>" title="<?php echo _ASC_SORT;?>"/></a>
								</th>
								<?php 
								if ($_SESSION['current_basket']['is_global'] == "Y") 
								{ 
								?>
									<th><?php echo _PROCESSED_BY;?></th><br/>
								<?php 
								
								}
								?>
							</tr>
						</thead>
						<tbody>
		<?php $color = "";
		$func =new functions();
		for($theline = 0; $theline < count($listarr) ; $theline++)
		{
			if($color == ' class="col"')
			{
				$color = '';
			}
			else
			{
				$color = ' class="col"';
			}
			
			$bool_click = true;
			
			if($listarr[$theline]['RESERVED'] == 'Y' && $listarr[$theline]['BY_USER_ID'] <> $_SESSION['user']['UserId'] && $_SESSION['current_basket']['is_global'] == "Y")
			{
				$bool_click = false;
			}
			?>
			
		<tr <?php echo $color; ?>>
					<td> <?php if(!$_SESSION['current_basket']['no_action']&& $bool_click){ ?><input type="checkbox" name="mail[]" value="<?php echo $listarr[$theline]['ID']; ?>" /><?php }elseif(!$bool_click){ echo '<img src="'.$_SESSION['config']['img'].'/cadenas_rouge.png" alt="'._DOC_LOCKED.'" title="'._DOC_LOCKED.'" border="0"/>';}else { echo '<img src="'.$_SESSION['config']['img'].'/cadenas_vert.png" alt="'._DOC_UNLOCKED.'" title="'._DOC_UNLOCKED.'" border="0"/>';} ?></td>
					<td class="picto"  onmouseover="changeCouleur2(this,'#000000',true);" onMouseOut="changeCouleur2(this,'#666',false);" onClick="changeCouleur2(this,'#CC3300',true);window.open('process.php?id=<?php echo $listarr[$theline]['ID']; ?>','Traitement', 'scrollbars=yes,menubar=no,toolbar=no,resizable=yes,status=no,width='+screen.availWidth+',height='+screen.availHeight);">
				<?php 
				       	if(($listarr[$theline]['STATUS'] == "NEW"))
						{ ?>
						<img src="<?php echo $_SESSION['config']['img'];?>/mail_new.gif" alt="<?php echo _TO_PROCESS;?>" title="<?php echo _TO_PROCESS;?>" />
						<?php }
						elseif(($listarr[$theline]['STATUS'] == "COU"))
						{ ?>
						<img src="<?php echo $_SESSION['config']['img'];?>/mail.gif" alt="<?php echo _IN_PROGRESS;?>" title="<?php echo _IN_PROGRESS;?>" />
						<?php }
						elseif(($listarr[$theline]['STATUS'] == "END"))
						{ ?>
						<img src="<?php echo $_SESSION['config']['img'];?>/mail_end.gif" alt="<?php echo _CLOSED;?>" title="<?php echo _CLOSED;?>" />
						<?php }
						elseif(($listarr[$theline]['STATUS'] == "OUT"))
						{ ?>
						<img src="<?php echo $_SESSION['config']['img'];?>/status_out.gif" alt="<?php echo _ONGOING;?>" title="<?php echo _ONGOING;?>"/>
						<?php }
						elseif(($listarr[$theline]['STATUS'] == "WAI"))
						{ ?>
						<img src="<?php echo $_SESSION['config']['img'];?>/waiting_mail.gif" alt="<?php echo _WAITINGDOC_PROCESS_IN_PROGRESS;?>" title="<?php echo _WAITINGDOC_PROCESS_IN_PROGRESS;?>"/>
						<?php 
						}
						else
						{
							echo $listarr[$theline]['STATUS'];
						}
				?>
				<td onmouseover="changeCouleur2(this,'#000000',true);" onMouseOut="changeCouleur2(this,'#666',false);" onClick="changeCouleur2(this,'#CC3300',true);window.open('process.php?id=<?php echo $listarr[$theline]['ID']; ?>','Traitement', 'scrollbars=yes,menubar=no,toolbar=no,resizable=yes,status=no,width='+screen.availWidth+',height='+screen.availHeight);">
					<?php echo $func->show($listarr[$theline]['PRIORITY']); ?> 
				</td>
				<td class="date" onMouseOver="changeCouleur2(this,'#000000',true);" onMouseOut="changeCouleur2(this,'#666',false);" onClick="changeCouleur2(this,'#CC3300',true);window.open('process.php?id=<?php echo $listarr[$theline]['ID']; ?>','Traitement', 'scrollbars=yes,menubar=no,toolbar=no,resizable=yes,status=no,width='+screen.availWidth+',height='+screen.availHeight);"><?php if($listarr[$theline]['STATUS'] == "OUT")
					 {
						 echo $this->dateformat($listarr[$theline]['CREATION_DATE']);
					 }
					 else
					 {

					 	if("0000-00-00" == $listarr[$theline]['ARRIVEE'] || "00-00-0000" == $listarr[$theline]['ARRIVEE'])
						{
							echo $this->dateformat($listarr[$theline]['CREATION_DATE']);
						}
						else
						{
					 		echo $this->dateformat($listarr[$theline]['ARRIVEE']);
						}
					} ?></td>
				<td class="price"  onmouseover="changeCouleur2(this,'#000000',true);" onMouseOut="changeCouleur2(this,'#666',false);" onClick="changeCouleur2(this,'#CC3300',true);window.open('process.php?id=<?php echo $listarr[$theline]['ID']; ?>','Traitement', 'scrollbars=yes,menubar=no,toolbar=no,resizable=yes,status=no,width='+screen.availWidth+',height='+screen.availHeight);"><?php echo $listarr[$theline]['ID']; ?></td>
				<td class="type2"  onmouseover="changeCouleur2(this,'#000000',true);" onmouseout="changeCouleur2(this,'#666',false);" onclick="changeCouleur2(this,'#CC3300',true);window.open('process.php?id=<?php echo $listarr[$theline]['ID']; ?>','Traitement', 'scrollbars=yes,menubar=no,toolbar=no,resizable=yes,status=no,width='+screen.availWidth+',height='+screen.availHeight);"><?php echo $func->show($listarr[$theline]['TYPE']); ?></td>
				<td class="emetteur"  onmouseover="changeCouleur2(this,'#000000',true);" onMouseOut="changeCouleur2(this,'#666',false);" onClick="changeCouleur2(this,'#CC3300',true);window.open('process.php?id=<?php echo $listarr[$theline]['ID']; ?>','Traitement', 'scrollbars=yes,menubar=no,toolbar=no,resizable=yes,status=no,width='+screen.availWidth+',height='+screen.availHeight);"><?php if($_SESSION['config']['corporate']=="true" && $_SESSION['config']['replace_subject_by_society'] == "true"){ echo $func->show($listarr[$theline]['SOCIETE']);}else
				{ echo $func->show($listarr[$theline]['OBJET']); } ?></td>

				<td  onmouseover="changeCouleur2(this,'#000000',true);" onMouseOut="changeCouleur2(this,'#666',false);" onClick="changeCouleur2(this,'#CC3300',true);window.open('process.php?id=<?php echo $listarr[$theline]['ID']; ?>','Traitement', 'scrollbars=yes,menubar=no,toolbar=no,resizable=yes,status=no,width='+screen.availWidth+',height='+screen.availHeight);"><?php echo $func->show($listarr[$theline]['EMETTEUR']); ?></td>

			    <td class="date"  onmouseover="changeCouleur2(this,'#000000',true);" onMouseOut="changeCouleur2(this,'#666',false);" onClick="changeCouleur2(this,'#CC3300',true);window.open('process.php?id=<?php echo $listarr[$theline]['ID']; ?>','Traitement', 'scrollbars=yes,menubar=no,toolbar=no,resizable=yes,status=no,width='+screen.availWidth+',height='+screen.availHeight);"><?php echo $listarr[$theline]['LIMITE'];  if ($listarr[$theline]['STATUS']=="WAI")  echo "<br/>"._WAITINGDOC.""; ?></td>
		   
				<?php 
				if ($_SESSION['current_basket']['is_global'] == "Y") 
				{ 
				?>
					<td>
					<?php 
					if( !empty($listarr[$theline]['USER']) )
						echo $func->show($listarr[$theline]['USER']);
					else
						echo "&nbsp;";
					?>
					</td> 
				<?php 
				} 
				?>
		   </tr>
		   <?php }
			?>
		  </tbody>
		  </table>

		  <p><em><?php echo _CLICK_LINE_PROCESS;?></em> </p>
          <br/>
          <div>
          <p>
		  <?php if(!$_SESSION['current_basket']['no_action'])
		  {
		  ?>

            	<label><?php echo _CHOOSE_ACTION;?> : </label>

                <select name="action" id="action">

                <?php if($_SESSION['current_basket']['can_redirect'] == 'Y' )
				{
					?>
                    <option value="RED"><?php echo _REDIRECTION;?></option>
					<option value="cloture"><?php echo _CLOSE_MAIL;?></option>
                    <?php 
				}
				if($_SESSION['config']['enablefolder'] == "true" && $_SESSION['user']['folder_rights'] === true )
				{
					?>
	                <option value="PUT"><?php echo _PUT_FOLDER;?></option>
	                <?php
				}
				if($_SESSION['current_basket']['can_delete'] == 'Y')
				{
				?>
                <option value="DEL"><?php echo _DELETION;?></option>
                <?php }
				?>
                </select>
                <input type="submit" name="valid" id="valid" value="<?php echo _VALIDATE;?>" class="button" />



          <?php } ?>
		  <?php if ($_SESSION['user']['print_rights'] == true)
				{
				?><input type="button" onClick="window.open('mail_process_print_list.php','', 'scrollbars=auto,menubar=no,toolbar=no,resizable=yes,status=no,width=350,height=350');" value="<?php echo _PRINT_BASKET;?>" class="button"> <?php } ?>
			  </p>
			</div>
            </form>
	</div>

		<?php }
		


	/**
	* List of the mail process basket documents
	*
	* @param  array  $listarr contains the document index of the process basket
	* @param int  $nb_total  number of document
	* @param string  $title  title
	* @param string  $name  page name
	*/
	public function ending_process($listarr, $nb_total, $title, $name)
	{

		$_SESSION['error'] = '';

		// show the document list in result of the search
		$page_list1 = "";
		$page_list2 = "";

		$func = new functions();

		if(isset($_REQUEST['start']))
		{
			$start = strip_tags($_REQUEST['start']);
		}
		else
		{
			$start = 0;
		}

		if(isset($_GET['order']))
		{
			$orderby = strip_tags($_GET['order']);
		}
		else
		{
			$orderby = 0;
		}


			$link = "index.php?page=".$name;


		// define the defaults values
		$nb_show = $_SESSION['config']['nblinetoshow'];
		$nb_pages = ceil($nb_total/$nb_show);

		// if they are more than 1 page we do pagination with 2 forms
			if($nb_pages > 1)
		{
			$next_start = 0;

			$page_list1 = '<form action="" name="newpage1" id="newpage1" class="smallforms" method="get">
				<p>
					<label for="startpage">'._GO_TO_PAGE.'</label>
					<select name="startpage" id="startpage" class="textbox small" onchange="window.location.href=\''.$link.'&amp;order='.$orderby.'&amp;start=\'+document.newpage1.startpage.value;">';
			$page_list2 = '<form action="" name="newpage2" id="newpage2" class="smallforms" method="get">
				<p>
					<label for="startpage">'._GO_TO_PAGE.'</label>
					<select name="startpage" id="startpage" class="textbox small" onchange="window.location.href=\''.$link.'&amp;order='.$orderby.'&amp;start=\'+document.newpage2.startpage.value;">';
			$lastpage = 0;

			for($i = 0;$i <> $nb_pages; $i++)
			{
				$page_name = $i + 1;

				$the_line = $i + 1;
				if($start == $next_start)
				{
					$page_list1 .= "<option value=\"".$next_start."\" selected>".$the_line."</option>";
					$page_list2 .= "<option value=\"".$next_start."\" selected>".$the_line."</option>";
				}
				else
				{
					$page_list1 .= "<option value=\"".$next_start."\">".$the_line."</option>";
					$page_list2 .= "<option value=\"".$next_start."\">".$the_line."</option>";
				}

				$next_start = $next_start + $nb_show;
				$lastpage = $next_start;
			}

			$lastpage = $lastpage - $nb_show;

			$previous = "";
			$next = "";

			if($start > 0)
			{
				$start_prev = $start - $nb_show;
				$previous = "< <a href=\"".$link."&start=".$start_prev."&order=".$orderby."\">"._PREVIOUS."</a> ";
			}

			if($start <> $lastpage)
			{
				$start_next = $start + $nb_show;
				$next = " <a href=\"".$link."&start=".$start_next."&order=".$orderby."\">"._NEXT."</a> >";
			}

			$page_list1 = $page_list1."</select>".$previous." ".$next."</p></form>";
			$page_list2 = $page_list2."</select>".$previous." ".$next."</p></form>";

		}

		?>

			<h1><img src="<?php echo $_SESSION['config']['img'];?>/picto_post_b.gif" alt="" /> <?php echo $title; ?></h1>

				<div id="inner_content" class="clearfix">
					<?php echo $page_list1;?>
					<form name="choose_mail" id="choose_mail" method="post" action="manage_redirection.php">
                      <input type="hidden" name="start" id="start" value="<?php echo $start;?>" />
					<table cellpadding="0" cellspacing="0" border="0" class="listing">
						<thead>
							<tr>
                            <?php if(!$_SESSION['current_basket']['no_action']){ ?><th>&nbsp;</th><?php }?>
								<th class="picto"  ><?php echo _STATUS;?> <br/><a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=statusdesc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif"  border="0" alt="<?php echo _DESC_SORT;?>" title="<?php echo _DESC_SORT;?>" /> </a>
										<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=statusasc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" border="0" alt="<?php echo _ASC_SORT;?>" title="<?php echo _ASC_SORT;?>" /></a>
								</th>
                                <th class="picto"  ><?php echo _PRIORITY;?> <br/><a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=priodesc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif"  border="0" alt="<?php echo _DESC_SORT;?>" title="<?php echo _DESC_SORT;?>"/> </a>
										<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=prioasc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" border="0" alt="<?php echo _ASC_SORT;?>" title="<?php echo _ASC_SORT;?>" /></a>
								</th>
								<th class="date"><?php echo _DATE_START;?> <a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=arrivdesc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif"  border="0" alt="<?php echo _DESC_SORT;?>" title="<?php echo _DESC_SORT;?>"/></a>
										<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=arrivasc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" border="0" alt="<?php echo _ASC_SORT;?>" title="<?php echo _ASC_SORT;?>" /></a>
								</th>
								<th class="price"><?php echo _GED_NUM;?><br/><a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=residdesc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif"  border="0" alt="<?php echo _DESC_SORT;?>" title="<?php echo _DESC_SORT;?>"/></a>
										<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=residasc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" border="0" alt="<?php echo _ASC_SORT;?>" title="<?php echo _ASC_SORT;?>" /></a>
								</th>
								<th class="emetteur"><?php echo _SHIPPER;?><br/><a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=expdesc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif"  border="0" alt="<?php echo _DESC_SORT;?>" title="<?php echo _DESC_SORT;?>"/></a>
										<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=expasc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" border="0" alt="<?php echo _ASC_SORT;?>" title="<?php echo _ASC_SORT;?>"/></a>
								</th>
								<th ><?php echo _OBJECT;?><br/><a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=objdesc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif"  border="0" alt="<?php echo _DESC_SORT;?>" title="<?php echo _DESC_SORT;?>"/></a>
										<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=objasc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" border="0" alt="<?php echo _ASC_SORT;?>" title="<?php echo _ASC_SORT;?>"/></a>
								</th>

								<th class="date"><?php echo _LIMIT_DATE_PROCESS;?>
										<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=limdesc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif"  border="0" alt="<?php echo _DESC_SORT;?>" title="<?php echo _DESC_SORT;?>"/></a>
										<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=limasc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" border="0" alt="<?php echo _ASC_SORT;?>" title="<?php echo _ASC_SORT;?>"/></a>
								</th>
							</tr>
						</thead>
						<tbody>
		<?php $color = "";
		for($theline = 0; $theline < count($listarr) ; $theline++)
		{
			if($color == ' class="col"')
			{
				$color = '';
			}
			else
			{
				$color = ' class="col"';
			}
			?>
		<tr <?php echo $color; ?>>
					  <?php if(!$_SESSION['current_basket']['no_action']){ ?><td><input type="checkbox" name="mail[]" value="<?php echo $listarr[$theline]['ID']; ?>" /></td><?php } ?>
                    <td class="picto"  onmouseover="changeCouleur2(this,'#000000',true);" onMouseOut="changeCouleur2(this,'#666',false);" onClick="changeCouleur2(this,'#CC3300',true);window.open('ending.php?id=<?php echo $listarr[$theline]['ID']; ?>','Traitement', 'scrollbars=yes,menubar=no,toolbar=no,resizable=yes,status=no,width='+screen.availWidth+',height='+screen.availHeight);">
				<?php if ($listarr[$theline]['STATUS']=="NEW")
				{ ?>
				 <img src="<?php echo $_SESSION['config']['img'];?>/mail_new.gif" alt="<?php echo _TO_PROCESS;?>" title="<?php echo _TO_PROCESS;?>"/>


			<?php }  else
			{ ?>
				 <img src="<?php echo $_SESSION['config']['img'];?>/mail.gif" alt="<?php echo _IN_PROGRESS;?>" title="<?php echo _IN_PROGRESS;?>" />


			<?php }  ?></td>
				<td onmouseover="changeCouleur2(this,'#000000',true);" onMouseOut="changeCouleur2(this,'#666',false);" onClick="changeCouleur2(this,'#CC3300',true);window.open('ending.php?id=<?php echo $listarr[$theline]['ID']; ?>','Traitement', 'scrollbars=yes,menubar=no,toolbar=no,resizable=yes,status=no,width='+screen.availWidth+',height='+screen.availHeight);">
					<?php echo $listarr[$theline]['PRIORITY']; ?>
				</td>
				<td class="date" onMouseOver="changeCouleur2(this,'#000000',true);" onMouseOut="changeCouleur2(this,'#666',false);" onClick="changeCouleur2(this,'#CC3300',true);window.open('ending.php?id=<?php echo $listarr[$theline]['ID']; ?>','Traitement', 'scrollbars=yes,menubar=no,toolbar=no,resizable=yes,status=no,width='+screen.availWidth+',height='+screen.availHeight);"><?php echo $listarr[$theline]['ARRIVEE']; ?></td>
				<td class="price"  onmouseover="changeCouleur2(this,'#000000',true);" onMouseOut="changeCouleur2(this,'#666',false);" onClick="changeCouleur2(this,'#CC3300',true);window.open('ending.php?id=<?php echo $listarr[$theline]['ID']; ?>','Traitement', 'scrollbars=yes,menubar=no,toolbar=no,resizable=yes,status=no,width='+screen.availWidth+',height='+screen.availHeight);"><?php echo $listarr[$theline]['ID']; ?></td>
                <td class="emetteur"  onmouseover="changeCouleur2(this,'#000000',true);" onMouseOut="changeCouleur2(this,'#666',false);" onClick="changeCouleur2(this,'#CC3300',true);window.open('ending.php?id=<?php echo $listarr[$theline]['ID']; ?>','Traitement', 'scrollbars=yes,menubar=no,toolbar=no,resizable=yes,status=no,width='+screen.availWidth+',height='+screen.availHeight);"><?php echo $listarr[$theline]['EMETTEUR']; ?></td>

				<td  onmouseover="changeCouleur2(this,'#000000',true);" onMouseOut="changeCouleur2(this,'#666',false);" onClick="changeCouleur2(this,'#CC3300',true);window.open('ending.php?id=<?php echo $listarr[$theline]['ID']; ?>','Traitement', 'scrollbars=yes,menubar=no,toolbar=no,resizable=yes,status=no,width='+screen.availWidth+',height='+screen.availHeight);"><?php echo $func->show($listarr[$theline]['OBJET']); ?></td>

			    <td class="date"  onmouseover="changeCouleur2(this,'#000000',true);" onMouseOut="changeCouleur2(this,'#666',false);" onClick="changeCouleur2(this,'#CC3300',true);window.open('ending.php?id=<?php echo $listarr[$theline]['ID']; ?>','Traitement', 'scrollbars=yes,menubar=no,toolbar=no,resizable=yes,status=no,width='+screen.availWidth+',height='+screen.availHeight);"><?php echo $listarr[$theline]['LIMITE']; ?></td>
		   </tr>
		   <?php }
			?>
		  </tbody>
		  </table>

		  <p><em><?php echo _CLICK_LINE_PROCESS;?></em> </p>
          <br/>
          <?php if(!$_SESSION['current_basket']['no_action'])
		  {
		  ?>
          <div>
          	<p>
            	<label><?php echo _CHOOSE_ACTION;?> : </label>

                <select name="action" id="action">

                <?php if($_SESSION['current_basket']['can_redirect'] == 'Y' )
				{
					?>
                    <option value="RED"><?php echo _REDIRECTION;?></option>
                    <?php }
				if($_SESSION['current_basket']['can_delete'] == 'Y')
				{
				?>
                <option value="DEL"><?php echo _DELETION;?></option>
                <?php }
				?>
                </select>
                <input type="submit" name="valid" id="valid" value="<?php echo _VALIDATE;?>" class="button" />
            </p>
          </div>
          <?php } ?>
            </form>
	</div>

		<?php }





	/**
	* Form to modify a department
	*
	* @param  $string $mode up or add
	* @param int  $id  $id of the department to change
	*/
	public function formservice($mode,$id = "")
	{
		$func = new functions();

		$state = true;

		if(!isset($_SESSION['m_admin']['services']))
		{
			$this->clearserviceinfos();
		}

		if( $mode <> "add" && empty($_SESSION['error']))
		{
			$this->connect();
			$this->query("select * from ".$_SESSION['tablename']['services']." where ID = '".$id."'");

			if($this->nb_result() == 0)
			{
				$_SESSION['error'] = _DEPARTMENT.' '._ALREADY_EXISTS;
				$state = false;
			}
			else
			{
				 $_SESSION['m_admin']['services'] = array();
				 $line = $this->fetch_object();

			 	 $_SESSION['m_admin']['services']['ID'] = $line->ID;
			 	 $_SESSION['m_admin']['services']['LABEL'] = $line->SERVICE;
				 $_SESSION['m_admin']['services']['VALIDATE'] = $line->ENABLED;

				 if ($_SESSION['config']['collectivities'] =="true")
				 {
					include_once($_SESSION['config']['includedir']."/addon_collectivities.php");
					$selected_entities = get_selected_entities($_SESSION['m_admin']['services']['ID'], $this);
				 }
			}

		}
 		if ($_SESSION['config']['collectivities'] =="true")
		{
			include_once($_SESSION['config']['includedir']."/addon_collectivities.php");
			$entities = get_xml_value();
		}
		?>
		<h1><img src="<?php echo $_SESSION['config']['img'];?>/picto_add_b.gif" alt="" />
				<?php if($mode == "up")
				{
					echo _DEPARTMENT_MODIF;
				}
				elseif($mode == "add")
				{
					echo _DEPARTMENT_ADDITION;
				}
				?>
				</h1>

		<div id="inner_content" class="clearfix">
				
				<div id="type_box" class="bloc">
					<iframe name="manage_models" id="manage_models" src="manage_models.php" frameborder="0" width="400" height="auto"></iframe>
				</div>
				
				<?php if($state == false)
				{
					echo "<br /><br /><br /><br />"._DOCTYPE.' '._UNKOWN."<br /><br /><br /><br />";
				}
				else
				{
					?>
					<form name="frmservice" id="frmservice" method="post" action="service_up_db.php" class="forms addforms">
						<p>
							<label ><?php echo _ID;?> : </label>
								<?php if($mode <> "prop" && $mode <> "add")
									{
										echo $func->show($_SESSION['m_admin']['services']['ID']);
									?>
										<input type="hidden" name="id" value="<?php echo $id; ?>" />
									<?php }
									else
									{
									?>
										<input name="id" type="text" id="id" class="textbox" value="<?php echo $func->show($_SESSION['m_admin']['services']['ID']); ?>" />
										<?php }
									?><span class="red_asterisk">*</span>
								<input  type="hidden" name="mode" value="<?php echo $mode; ?>" />
							</p>

							 <p>
								<label for="label"><?php echo _WORDING; ?> : </label>
								<textarea name="label"   id="label" ><?php echo $func->show($_SESSION['m_admin']['services']['LABEL']); ?></textarea><span class="red_asterisk">*</span>
							 </p>
						   <p>
						   </p>
							<?php if ($_SESSION['config']['collectivities'] =="true")
							 {
								echo "<div style='margin-top:200px'>";
								include_once($_SESSION['config']['includedir']."/addon_collectivities.php");
								show_entities_list_in_formservice($entities,$selected_entities);
								echo "</div>";
							 }
							 ?>
							<p class="buttons">

							<input type="button" class="button"  name="Submit" onClick="selectall_multiple('frmservice');this.form.submit();" value="<?php echo _VALIDATE; ?>" />
							<input type="button" class="button"  name="cancel" value="<?php echo _CANCEL; ?>" onClick="javascript:window.location.href='index.php?page=liste';" />
							</p>
						</form >

				<?php 
				}
				?>
			</div>
	<?php }
	/**
	* Return the user information in sessions vars
	*
	* @param string $mode add or up
	*/
	public function emetinfo($mode)
	{
		require_once("class_usergroup_content.php");
		// return the user information in sessions vars
		$func = new functions();
		
		//Hack : Pour les civilité morales, on duplique le champ societé dans Nom
		if ($_REQUEST['society_tag'] == "society"){
			$_REQUEST['name'] = $_REQUEST['societe'];
			$_SESSION['m_admin']['emet']['NAME'] = $_REQUEST['societe'];
			$_REQUEST['prenom'] = '';
		}
		
		if (!$_REQUEST['society_tag'])
		{	
			$_SESSION['m_admin']['emet']['NAME'] = $func->wash($_REQUEST['name'], "no", _THE_LASTNAME.' ');
		}
		
		if ($_REQUEST['society_tag'] == "society")
		{
			$_SESSION['m_admin']['emet']['SOCIETE'] = $func->wash($_REQUEST['societe'], "no", _THE_SOCIETY." ");
		}
		
		if(isset($_REQUEST['civility']) && !empty($_REQUEST['civility']))
		{
			$_SESSION['m_admin']['emet']['CIVILITY'] = $func->wash($_REQUEST['civility'], "no", _CIVILITY.' ');
		}
		
		if(isset($_REQUEST['prenom']) && !empty($_REQUEST['prenom']))
		{
			$_SESSION['m_admin']['emet']['PRENOM'] = $func->wash($_REQUEST['prenom'], "no", _THE_FIRSTNAME.' ');
		}

		if(isset($_REQUEST['prenom']) && !empty($_REQUEST['prenom']))
		{
			$_SESSION['m_admin']['emet']['PRENOM'] = $func->wash($_REQUEST['prenom'], "no", _THE_FIRSTNAME.' ');
		}
		$_SESSION['m_admin']['emet']['FONCTION'] = '';
		if(isset($_REQUEST['fonction']) && !empty($_REQUEST['fonction']))
		{
			$_SESSION['m_admin']['emet']['FONCTION'] = $func->wash($_REQUEST['fonction'], "no", _THE_FUNCTION.' ');
		}

		if ($_REQUEST['societe'] <> '')
		{
			$_SESSION['m_admin']['emet']['SOCIETE'] = $func->wash($_REQUEST['societe'], "no", _THE_SOCIETY." ");
		}
		else
		{
			$_SESSION['m_admin']['emet']['SOCIETE'] = '';
		}

		if ($_REQUEST['street_num'] <> '')
		{
			$_SESSION['m_admin']['emet']['STREET_NUM'] = $func->wash($_REQUEST['street_num'], "no", _ROAD_NUM.' ');
		}
		else
		{
			$_SESSION['m_admin']['emet']['STREET_NUM'] = '';
		}
		
		if ($_REQUEST['street'] <> '')
		{
			$_SESSION['m_admin']['emet']['STREET'] = $func->wash($_REQUEST['street'], "no", _ADDRESS.' ');
		}
		else
		{
			$_SESSION['m_admin']['emet']['STREET'] = '';
		}

		if ($_REQUEST['town'] <> '')
		{
			$_SESSION['m_admin']['emet']['TOWN'] = $func->wash($_REQUEST['town'], "no", _TOWN.' ');
		}
		else
		{
			$_SESSION['m_admin']['emet']['TOWN'] = '';
		}
		if ($_REQUEST['cp'] <> '')
		{
			$_SESSION['m_admin']['emet']['CP'] = $func->wash($_REQUEST['cp'], "no", _POSTAL_CODE.' ');
		}
		else
		{
			$_SESSION['m_admin']['emet']['CP'] = '';
		}
		if ($_REQUEST['phone'] <> '')
		{
			$_SESSION['m_admin']['emet']['PHONE'] = $func->wash($_REQUEST['phone'], "num", _PHONE." ");
		}
		else
		{
			$_SESSION['m_admin']['emet']['PHONE'] = '';
		}
		if ($_REQUEST['phone2'] <> '')
		{
			$_SESSION['m_admin']['emet']['PHONE2'] = $func->wash($_REQUEST['phone2'], "num", _PHONE."2 ");
		}
		else
		{
			$_SESSION['m_admin']['emet']['PHONE2'] = '';
		}
		if ($_REQUEST['mobile'] <> '')
		{
			$_SESSION['m_admin']['emet']['MOBILE'] = $func->wash($_REQUEST['mobile'], "num", _MOBILE." ");
		}
		else
		{
			$_SESSION['m_admin']['emet']['MOBILE'] = '';
		}
		if ($_REQUEST['fax'] <> '')
		{
			$_SESSION['m_admin']['emet']['FAX'] = $func->wash($_REQUEST['fax'], "num", _FAX." ");
		}
		else
		{
			$_SESSION['m_admin']['emet']['FAX'] = '';
		}
		if ($_REQUEST['mail'] <> '')
		{
			$_SESSION['m_admin']['emet']['MAIL'] = $func->wash($_REQUEST['mail'], "mail", _MAIL);
		}
		else
		{
			$_SESSION['m_admin']['emet']['MAIL'] = '';
		}
	/*	if ($_REQUEST['tocontact'] <> '')
		{
			$_SESSION['m_admin']['emet']['TOCONTACT'] = $func->wash($_REQUEST['tocontact'], "no", "Contact privilegi�");
		}
		else
		{
			$_SESSION['m_admin']['emet']['TOCONTACT'] = '';
		}*/
	}

	/**
	* Return the user information in sessions vars
	*
	* @param string $mode add or up
	*/
	public function senderinfo($mode)
	{
		require_once("class_usergroup_content.php");
		// return the user information in sessions vars
		$func = new functions();

		//Hack : Pour les civilité morales, on duplique le champ societé dans Nom
		if ($_REQUEST['society_tag'] == "society"){
			$_REQUEST['name'] = $_REQUEST['societe'];
			$_SESSION['m_admin']['sender']['NAME'] = $_REQUEST['societe'];
			$_REQUEST['prenom'] = '';
		}

		
		if (!$_REQUEST['society_tag'])
		{	
			$_SESSION['m_admin']['sender']['NAME'] = $func->wash($_REQUEST['name'], "no", _THE_LASTNAME.' ');
		}
		
		if ($_REQUEST['society_tag'] == "society"){
			$_SESSION['m_admin']['sender']['SOCIETE'] = $func->wash($_REQUEST['societe'], "no", _THE_SOCIETY." ");
		}
		
		if(isset($_REQUEST['civility']) && !empty($_REQUEST['civility']))
		{
			$_SESSION['m_admin']['sender']['CIVILITY'] = $func->wash($_REQUEST['civility'], "no", _CIVILITY.' ');
		}
		
		if(isset($_REQUEST['prenom']) && !empty($_REQUEST['prenom']))
		{
			$_SESSION['m_admin']['sender']['PRENOM'] = $func->wash($_REQUEST['prenom'], "no", _THE_FIRSTNAME.' ');
		}
		$_SESSION['m_admin']['sender']['FONCTION'] = '';
		if(isset($_REQUEST['fonction']) && !empty($_REQUEST['fonction']))
		{
			$_SESSION['m_admin']['sender']['FONCTION'] = $func->wash($_REQUEST['fonction'], "no", _THE_FUNCTION.' ');
		}

		if ($_REQUEST['societe'] <> '')
		{
			$_SESSION['m_admin']['sender']['SOCIETE'] = $func->wash($_REQUEST['societe'], "no", _THE_SOCIETY." ");
		}
		else
		{
			$_SESSION['m_admin']['sender']['SOCIETE'] = '';
		}

		if ($_REQUEST['street'] <> '')
		{
			$_SESSION['m_admin']['sender']['STREET'] = $func->wash($_REQUEST['street'], "no", _ADDRESS.' ');
		}
		else
		{
			$_SESSION['m_admin']['sender']['STREET'] = '';
		}
		if ($_REQUEST['street_num'] <> '')
		{
			$_SESSION['m_admin']['sender']['STREET_NUM'] = $func->wash($_REQUEST['street_num'], "no", _ROAD_NUM.' ');
		}
		else
		{
			$_SESSION['m_admin']['sender']['STREET_NUM'] = '';
		}

		if ($_REQUEST['town'] <> '')
		{
			$_SESSION['m_admin']['sender']['TOWN'] = $func->wash($_REQUEST['town'], "no", _TOWN.' ');
		}
		else
		{
			$_SESSION['m_admin']['sender']['TOWN'] = '';
		}
		if ($_REQUEST['cp'] <> '')
		{
			$_SESSION['m_admin']['sender']['CP'] = $func->wash($_REQUEST['cp'], "no", _POSTAL_CODE.' ');
		}
		else
		{
			$_SESSION['m_admin']['sender']['CP'] = '';
		}
		if ($_REQUEST['phone'] <> '')
		{
			$_SESSION['m_admin']['sender']['PHONE'] = $func->wash($_REQUEST['phone'], "num", _PHONE." ");
		}
		else
		{
			$_SESSION['m_admin']['sender']['PHONE'] = '';
		}
		if ($_REQUEST['phone2'] <> '')
		{
			$_SESSION['m_admin']['sender']['PHONE2'] = $func->wash($_REQUEST['phone2'], "num", _PHONE."2 ");
		}
		else
		{
			$_SESSION['m_admin']['sender']['PHONE2'] = '';
		}
		if ($_REQUEST['mobile'] <> '')
		{
			$_SESSION['m_admin']['sender']['MOBILE'] = $func->wash($_REQUEST['mobile'], "num", _MOBILE." ");
		}
		else
		{
			$_SESSION['m_admin']['sender']['MOBILE'] = '';
		}
		if ($_REQUEST['fax'] <> '')
		{
			$_SESSION['m_admin']['sender']['FAX'] = $func->wash($_REQUEST['fax'], "num", _FAX." ");
		}
		else
		{
			$_SESSION['m_admin']['sender']['FAX'] = '';
		}
		if ($_REQUEST['mail'] <> '')
		{
			$_SESSION['m_admin']['sender']['MAIL'] = $func->wash($_REQUEST['mail'], "mail", _MAIL);
		}
		else
		{
			$_SESSION['m_admin']['sender']['MAIL'] = '';
		}

	}
	
	
	/**
	* To allow to delete contacts
	*
	* @param integer $id contact identifier
	* @param string $mode allow, ban or del
	*/
	public function admincontact($id, $mode, $redirect)
	{
		// To allow administrator to admin users
		if(!empty($_SESSION['error'])){
			if(!empty($redirect)){
?>
			<script language="javascript">window.location = "liste_user_diffusion.php?<?php echo $redirect;?>&tab=cont";</script>
<?php				
			}
			else{
?>
			<script language="javascript">window.location = "index.php?page=sender2";</script>
<?php				
			}

			exit;
		}
		else{
			$this->connect();

			$this->query("select ID, LASTNAME, FIRSTNAME from ".$_SESSION['tablename']['senders']." where ID = '".$id."' and TOCONTACT = '".$_SESSION['user']['UserId']."'");

			if($this->nb_result() == 0){
				$_SESSION['error'] = _CONTACT.' '._UNKNOWN;
				
				if(!empty($redirect)){
?>
				<script language="javascript">window.location = "liste_user_diffusion.php?<?php echo $redirect;?>&tab=cont";</script>
<?php				
				}
				else{
?>
				<script language="javascript">window.location = "index.php?page=sender2";</script>
<?php				
				}
				exit;
			}
			else{
				$info = $this->fetch_object();
				$theuser = $info->LastName." ".$info->FirstName;

				if($mode == "del" ){
					$this->query("delete from ".$_SESSION['tablename']['senders']." where ID = '".$id."' and TOCONTACT = '".$_SESSION['user']['UserId']."' ");
					
					$_SESSION['error'] = _DELETED_CONTACT;
				}
				
				if(!empty($redirect)){
?>
				<script language="javascript">window.location = "liste_user_diffusion.php?<?php echo $redirect;?>&tab=cont";</script>
<?php				
				}
				else{
?>
				<script language="javascript">window.location = "index.php?page=sender2";</script>
<?php				
				}
				exit;
			}
		}
	}
	
	/**
	* Return the user information in sessions vars
	*
	* @param string $mode add or up
	*/
	public function contactinfo($mode)
	{
		//require_once("class_usergroup_content.php");
		// return the user information in sessions vars
		$func = new functions();

		//Hack : Pour les civilité morales, on duplique le champ societé dans Nom
		if ($_REQUEST['society_tag'] == "society"){
			$_REQUEST['name'] = $_REQUEST['societe'];
			$_SESSION['user']['contact']['NAME'] = $_REQUEST['societe'];
			$_REQUEST['prenom'] = '';
		}
		if (!$_REQUEST['society_tag'])
		{
			$_SESSION['user']['contact']['NAME'] = $func->wash($_REQUEST['name'], "no", _THE_LASTNAME.' ');
		}
		
		if ($_REQUEST['society_tag'] == "society"){
			$_SESSION['m_admin']['sender']['SOCIETE'] = $func->wash($_REQUEST['societe'], "no", _THE_SOCIETY." ");
		}
		
		if(isset($_REQUEST['civility']) && !empty($_REQUEST['civility'])){
			$_SESSION['user']['contact']['CIVILITY'] = $func->wash($_REQUEST['civility'], "no", _CIVILITY.' ');
		}
		
		if(isset($_REQUEST['prenom']) && !empty($_REQUEST['prenom'])){
			$_SESSION['user']['contact']['PRENOM'] = $func->wash($_REQUEST['prenom'], "no", _THE_FIRSTNAME.' ');
		}
		$_SESSION['user']['contact']['FONCTION'] = '';
		if(isset($_REQUEST['fonction']) && !empty($_REQUEST['fonction'])){
			$_SESSION['user']['contact']['FONCTION'] = $func->wash($_REQUEST['fonction'], "no", _THE_FUNCTION.' ');
		}

		if ($_REQUEST['societe'] <> ''){
			$_SESSION['user']['contact']['SOCIETE'] = $func->wash($_REQUEST['societe'], "no", _THE_SOCIETY." ");
		}
		else{
			$_SESSION['user']['contact']['SOCIETE'] = '';
		}

		if ($_REQUEST['street'] <> ''){
			$_SESSION['user']['contact']['STREET'] = $func->wash($_REQUEST['street'], "no", _ADDRESS.' ');
		}
		else{
			$_SESSION['user']['contact']['STREET'] = '';
		}
		if ($_REQUEST['street_num'] <> ''){
			$_SESSION['user']['contact']['STREET_NUM'] = $func->wash($_REQUEST['street_num'], "no", _ROAD_NUM.' ');
		}
		else{
			$_SESSION['user']['contact']['STREET_NUM'] = '';
		}

		if ($_REQUEST['town'] <> ''){
			$_SESSION['user']['contact']['TOWN'] = $func->wash($_REQUEST['town'], "no", _TOWN.' ');
		}
		else{
			$_SESSION['user']['contact']['TOWN'] = '';
		}
		if ($_REQUEST['cp'] <> ''){
			$_SESSION['user']['contact']['CP'] = $func->wash($_REQUEST['cp'], "no", _POSTAL_CODE.' ');
		}
		else{
			$_SESSION['user']['contact']['CP'] = '';
		}
		if ($_REQUEST['phone'] <> ''){
			$_SESSION['user']['contact']['PHONE'] = $func->wash($_REQUEST['phone'], "num", _PHONE." ");
		}
		else{
			$_SESSION['user']['contact']['PHONE'] = '';
		}
		if ($_REQUEST['phone2'] <> ''){
			$_SESSION['user']['contact']['PHONE2'] = $func->wash($_REQUEST['phone2'], "num", _PHONE."2 ");
		}
		else{
			$_SESSION['m_admin']['sender']['PHONE2'] = '';
		}
		if ($_REQUEST['mobile'] <> ''){
			$_SESSION['user']['contact']['MOBILE'] = $func->wash($_REQUEST['mobile'], "num", _MOBILE." ");
		}
		else{
			$_SESSION['user']['contact']['MOBILE'] = '';
		}
		if ($_REQUEST['fax'] <> ''){
			$_SESSION['user']['contact']['FAX'] = $func->wash($_REQUEST['fax'], "num", _FAX." ");
		}
		else{
			$_SESSION['user']['contact']['FAX'] = '';
		}
		$_SESSION['user']['contact']['MAIL'] = $func->wash($_REQUEST['mail'], "mail", _MAIL);
		/*if ($_REQUEST['mail'] <> ''){
			$_SESSION['user']['contact']['MAIL'] = $func->wash($_REQUEST['mail'], "mail", _MAIL);
		}
		else{
			$_SESSION['user']['contact']['MAIL'] = '';
		}*/
	}


	/**
	* Add ou modify emett in the database
	*
	* @param string $mode up or add
	*/
	public function addupemet($mode)
	{
		// add ou modify users in the database
		$this->emetinfo($mode);

		if(!empty($_SESSION['error']))
		{
			if($mode == "up")
			{
				if(!empty($_SESSION['m_admin']['emet']['ID']))
				{
					header("location: index.php?page=emet_up&id=".$_SESSION['m_admin']['emet']['ID']);
					exit;
				}
				else
				{
					header("location: index.php?page=emet");
					exit;
				}
			}
			if($mode == "add")
			{
				header("location: index.php?page=emet_add");
				exit;
			}
		}
		else
		{
			$this->connect();

			if($mode == "add")
			{
				$this->query("INSERT INTO `".$_SESSION['tablename']['senders']."` (  CIVILITY, LASTNAME , FIRSTNAME , SOCIETY, FUNCTION ,STREET_NUM, STREET, TOWN, CP, PHONE, PHONE2, MOBILE, FAX, MAIL ) 
							  VALUES (  '".$_SESSION['m_admin']['emet']['CIVILITY']."','".$_SESSION['m_admin']['emet']['NAME']."', '".$_SESSION['m_admin']['emet']['PRENOM']."', 
							  '".$_SESSION['m_admin']['emet']['SOCIETE']."', '".$_SESSION['m_admin']['emet']['FONCTION']."', '".$_SESSION['m_admin']['emet']['STREET_NUM']."','".$_SESSION['m_admin']['emet']['STREET']."', '".$_SESSION['m_admin']['emet']['TOWN']."', 
							  '".$_SESSION['m_admin']['emet']['CP']."', '".$_SESSION['m_admin']['emet']['PHONE']."', '".$_SESSION['m_admin']['emet']['PHONE2']."', '".$_SESSION['m_admin']['emet']['MOBILE']."',
							  '".$_SESSION['m_admin']['emet']['FAX']."','".$_SESSION['m_admin']['emet']['MAIL']."' )");

				$this->clearemetinfos();

				$_SESSION['error'] = _SHIPPER_ADDED;
				header("location: index.php?page=emet");
				exit;

			}
			elseif($mode == "up")
			{
					
				$this->query("update `".$_SESSION['tablename']['senders']."` set `CIVILITY` = '".$_SESSION['m_admin']['emet']['CIVILITY']."',`LASTNAME` = '".$_SESSION['m_admin']['emet']['NAME']."', `FIRSTNAME` = '".$_SESSION['m_admin']['emet']['PRENOM']."', 
					`FUNCTION` = '".$_SESSION['m_admin']['emet']['FONCTION']."', `SOCIETY` = '".$_SESSION['m_admin']['emet']['SOCIETE']."', `STREET` = '".$_SESSION['m_admin']['emet']['STREET']."', `STREET_NUM` = '".$_SESSION['m_admin']['emet']['STREET_NUM']."', 
					`TOWN` = '".$_SESSION['m_admin']['emet']['TOWN']."', `CP` = '".$_SESSION['m_admin']['emet']['CP']."' , `PHONE` = '".$_SESSION['m_admin']['emet']['PHONE']."', `PHONE2` = '".$_SESSION['m_admin']['emet']['PHONE2']."', 
					`MOBILE` = '".$_SESSION['m_admin']['emet']['MOBILE']."',`FAX` = '".$_SESSION['m_admin']['emet']['FAX']."',`MAIL` = '".$_SESSION['m_admin']['emet']['MAIL']."' where ID = '".$_SESSION['m_admin']['emet']['ID']."'");

				$this->clearemetinfos();

				$_SESSION['error'] = _SHIPPER_UPDATED;
				header("location: index.php?page=emet");
				exit;
			}
		}
	}


	/**
	* Add ou modify a sender in the database
	*
	* @param string $mode up or add
	*/
	public function addupsender($mode)
	{
		// add ou modify users in the database
		$this->senderinfo($mode);

		if(!empty($_SESSION['error']))
		{
			if($mode == "up")
			{
				if(!empty($_SESSION['m_admin']['sender']['ID']))
				{
					header("location: index.php?page=sender_up&id=".$_SESSION['m_admin']['sender']['ID']);
					exit;
				}
				else
				{
					header("location: index.php?page=sender");
					exit;
				}
			}
			if($mode == "add")
			{
				header("location: index.php?page=sender_add");
				exit;
			}
		}
		else
		{
			$this->connect();

			if($mode == "add")
			{
				
				$this->query("INSERT INTO `".$_SESSION['tablename']['senders']."` (  CIVILITY, LASTNAME , FIRSTNAME , SOCIETY, FUNCTION , STREET_NUM, STREET, TOWN, CP, PHONE, PHONE2, MOBILE, FAX, MAIL, TOCONTACT ) 
							  VALUES (  '".$_SESSION['m_admin']['sender']['CIVILITY']."','".$_SESSION['m_admin']['sender']['NAME']."', '".$_SESSION['m_admin']['sender']['PRENOM']."', 
							  '".$_SESSION['m_admin']['sender']['SOCIETE']."', '".$_SESSION['m_admin']['sender']['FONCTION']."', '".$_SESSION['m_admin']['sender']['STREET_NUM']."', '".$_SESSION['m_admin']['sender']['STREET']."', '".$_SESSION['m_admin']['sender']['TOWN']."', 
							  '".$_SESSION['m_admin']['sender']['CP']."', '".$_SESSION['m_admin']['sender']['PHONE']."', '".$_SESSION['m_admin']['sender']['PHONE2']."', '".$_SESSION['m_admin']['sender']['MOBILE']."',
							  '".$_SESSION['m_admin']['sender']['FAX']."','".$_SESSION['m_admin']['sender']['MAIL']."','EXT')");

				$this->clearsenderinfos();

				$_SESSION['error'] = _SENDER_ADDED;
				header("location: index.php?page=sender");
				exit;
			}
			elseif($mode == "up")
			{
					
					$this->query("update `".$_SESSION['tablename']['senders']."` set `CIVILITY` = '".$_SESSION['m_admin']['sender']['CIVILITY']."',`LASTNAME` = '".$_SESSION['m_admin']['sender']['NAME']."', `FIRSTNAME` = '".$_SESSION['m_admin']['sender']['PRENOM']."', 
					`FUNCTION` = '".$_SESSION['m_admin']['sender']['FONCTION']."', `SOCIETY` = '".$_SESSION['m_admin']['sender']['SOCIETE']."', `STREET` = '".$_SESSION['m_admin']['sender']['STREET']."', `STREET_NUM` = '".$_SESSION['m_admin']['sender']['STREET_NUM']."',
					`TOWN` = '".$_SESSION['m_admin']['sender']['TOWN']."', `CP` = '".$_SESSION['m_admin']['sender']['CP']."' , `PHONE` = '".$_SESSION['m_admin']['sender']['PHONE']."', `PHONE2` = '".$_SESSION['m_admin']['sender']['PHONE2']."', 
					`MOBILE` = '".$_SESSION['m_admin']['sender']['MOBILE']."',`FAX` = '".$_SESSION['m_admin']['sender']['FAX']."',`MAIL` = '".$_SESSION['m_admin']['sender']['MAIL']."',`TOCONTACT` = 'EXT' where ID = '".$_SESSION['m_admin']['sender']['ID']."'");

				$this->clearsenderinfos();

				$_SESSION['error'] = _SENDER_UPDATED;
				header("location: index.php?page=sender");
				exit;
			}
		}
	}

	
	/**
	* Add ou modify a sender in the database
	*
	* @param string $mode up or add
	*/
	public function addupcontact($mode, $redirect)
	{
		// add ou modify users in the database
		$this->contactinfo($mode);
		if(!empty($_SESSION['error'])){
			if($mode == "up"){
				if(!empty($_SESSION['user']['contact']['ID'])){
					if(!empty($redirect)){
?>
					<script language="javascript">window.location = "contact_up.php?contid=<?php echo $_SESSION['user']['contact']['ID'].'&'.$redirect;?>";</script>
<?php					
					}
					else{
						//die('sans redirection');
?>
					<script language="javascript">window.location = "index.php?page=sender_up2&id=<?php echo $_SESSION['user']['contact']['ID'];?>";</script>
<?php
					}
					exit;
				}
				else{
					if(!empty($redirect)){
?>
					<script language="javascript">window.location = "contact_add.php?<?php echo $redirect;?>";</script>
<?php					
					}
					else{
?>
					<script language="javascript">window.location = "index.php?page=sender_add2";</script>
<?php
					}
					exit;
				}
			}
			if($mode == "add"){
				if(!empty($redirect)){
?>
				<script language="javascript">window.location = "contact_add.php?<?php echo $redirect;?>";</script>
<?php					
				}
				else{
?>
				<script language="javascript">window.location = "index.php?page=sender_add2";</script>
<?php
				}
				exit;
			}
		}
		else{
			$this->connect();

			if($mode == "add"){
				
				$this->query("INSERT INTO `".$_SESSION['tablename']['senders']."` (  CIVILITY, LASTNAME , FIRSTNAME , SOCIETY, FUNCTION , STREET_NUM, STREET, TOWN, CP, PHONE, PHONE2, MOBILE, FAX, MAIL, TOCONTACT ) 
							  VALUES (  '".$_SESSION['user']['contact']['CIVILITY']."','".$_SESSION['user']['contact']['NAME']."', '".$_SESSION['user']['contact']['PRENOM']."', 
							  '".$_SESSION['user']['contact']['SOCIETE']."', '".$_SESSION['user']['contact']['FONCTION']."', '".$_SESSION['user']['contact']['STREET_NUM']."', '".$_SESSION['user']['contact']['STREET']."', '".$_SESSION['user']['contact']['TOWN']."', 
							  '".$_SESSION['user']['contact']['CP']."', '".$_SESSION['user']['contact']['PHONE']."', '".$_SESSION['user']['contact']['PHONE2']."', '".$_SESSION['user']['contact']['MOBILE']."',
							  '".$_SESSION['user']['contact']['FAX']."','".$_SESSION['user']['contact']['MAIL']."','".$_SESSION['user']['UserId']."')");

				$this->clearcontactinfos();

				$_SESSION['error'] = _CONTACT_ADDED;
				//header("location: index.php?page=sender");
				
				if(!empty($redirect)){
?>
				<script language="javascript">window.location = "liste_user_diffusion.php?<?php echo $redirect;?>&tab=cont";</script>
<?php					
				}
				else{
?>
				<script language="javascript">window.location = "index.php?page=sender2";</script>
<?php
				}
				
?>
				
<?php
				exit;
			}
			elseif($mode == "up"){
					
					$this->query("update `".$_SESSION['tablename']['senders']."` set `CIVILITY` = '".$_SESSION['user']['contact']['CIVILITY']."',`LASTNAME` = '".$_SESSION['user']['contact']['NAME']."', `FIRSTNAME` = '".$_SESSION['user']['contact']['PRENOM']."', 
					`FUNCTION` = '".$_SESSION['user']['contact']['FONCTION']."', `SOCIETY` = '".$_SESSION['user']['contact']['SOCIETE']."', `STREET` = '".$_SESSION['user']['contact']['STREET']."', `STREET_NUM` = '".$_SESSION['user']['contact']['STREET_NUM']."',
					`TOWN` = '".$_SESSION['user']['contact']['TOWN']."', `CP` = '".$_SESSION['user']['contact']['CP']."' , `PHONE` = '".$_SESSION['user']['contact']['PHONE']."', `PHONE2` = '".$_SESSION['user']['contact']['PHONE2']."', 
					`MOBILE` = '".$_SESSION['user']['contact']['MOBILE']."',`FAX` = '".$_SESSION['user']['contact']['FAX']."',`MAIL` = '".$_SESSION['user']['contact']['MAIL']."',`TOCONTACT` = '".$_SESSION['user']['UserId']."' where ID = '".$_SESSION['user']['contact']['ID']."'");

				$this->clearcontactinfos();

				$_SESSION['error'] = _CONTACT_UPDATED;
				if(!empty($redirect)){
?>
				<script language="javascript">window.location = "liste_user_diffusion.php?<?php echo $redirect;?>&tab=cont";</script>
<?php					
				}
				else{
?>
				<script language="javascript">window.location = "index.php?page=sender2";</script>
<?php
				}
				
				exit;
			}
		}
	}
	

	/**
	* Form to modify a emettor
	*
	* @param  $string $mode up or add
	* @param int  $id  $id of the department to change
	*/
	public function formemet($mode,$id = "")
	{
		$func = new functions();

		$state = true;

		if(!isset($_SESSION['m_admin']['emet']))
		{
			$this->clearemetinfos();
		}

		if( $mode <> "add" && empty($_SESSION['error']))
		{
			$this->connect();
			$this->query("select * from ".$_SESSION['tablename']['senders']." where ID = '".$id."'");

			if($this->nb_result() == 0)
			{
				$_SESSION['error'] = _THE_SHIPPER.' '._ALREADY_EXISTS;
				$state = false;
			}
			else
			{
				$_SESSION['m_admin']['emet'] = array();
				$line = $this->fetch_object();

				$_SESSION['m_admin']['emet']['CIVILITY'] = $line->CIVILITY;
				$_SESSION['m_admin']['emet']['ID'] = $line->ID;
				$_SESSION['m_admin']['emet']['NAME'] = $line->LASTNAME;
				$_SESSION['m_admin']['emet']['PRENOM'] = $line->FIRSTNAME;
				$_SESSION['m_admin']['emet']['SOCIETE'] = $line->SOCIETY;
				$_SESSION['m_admin']['emet']['FONCTION'] = $line->FUNCTION;
				$_SESSION['m_admin']['emet']['STREET_NUM'] = $line->STREET_NUM;
				$_SESSION['m_admin']['emet']['STREET'] = $line->STREET;
				$_SESSION['m_admin']['emet']['TOWN'] = $line->TOWN;
				$_SESSION['m_admin']['emet']['CP'] = $line->CP;
				$_SESSION['m_admin']['emet']['PHONE'] = $line->PHONE;
				$_SESSION['m_admin']['emet']['PHONE2'] = $line->PHONE2;
				$_SESSION['m_admin']['emet']['MOBILE'] = $line->MOBILE;
				$_SESSION['m_admin']['emet']['FAX'] = $line->FAX;
				$_SESSION['m_admin']['emet']['MAIL'] = $line->MAIL;
				$_SESSION['m_admin']['emet']['TOCONTACT'] = $line->TOCONTACT;

			}
		}
		?>
		<h1><img src="<?php echo $_SESSION['config']['img'];?>/picto_add_b.gif" alt="" />
				<?php if($mode == "up")
				{
					echo _MODIFICATION_SHIPPER;
				}
				elseif($mode == "add")
				{
					echo _ADD_SHIPPER;
				}
				?>
				</h1>


		<div id="inner_content" class="clearfix">


			<?php if($state == false)
			{
				echo "<br /><br /><br /><br />"._SHIPPER." "._UNKOWN."<br /><br /><br /><br />";
			}
			else
			{
				?>

				<form name="frmemett" id="frmemett" method="post" action="emet_up_db.php" class="forms">

					 	  <p>
						   	<label for="label"><?php echo _CIVILITY; ?> : </label>
							<select name="civility" id="civility" onchange="var m_val = this.options[this.selectedIndex];update_emet_exp_form(m_val,document.getElementById('frmemett'));">
								<option value="-1"><?php echo _CHOOSE_CIVILITY; ?></option>
								
								<optgroup label="<?php echo _PHYSIQUE;?>">
								<?php 
								foreach( $_SESSION['civilite']['physique'] as $civ )
								{
									if($_SESSION['m_admin']['emet']['CIVILITY'] == $civ)
									{
										echo "<option id='".$civ."' class='physique' value='".$civ."' selected>".$civ."</option>";
									}
									else
									{
										echo "<option id='".$civ."' class='physique' value='".$civ."'>".$civ."</option>";
									}
								}
								?>
								</optgroup>
								
								<optgroup label="<?php echo _MORALE;?>">
								<?php 
								foreach( $_SESSION['civilite']['morale'] as $civ )
								{
									if($_SESSION['m_admin']['emet']['CIVILITY'] == $civ){
										echo "<option id='".$civ."' class='morale' value='".$civ."' selected>".$civ."</option>";
									}
									else
									{
										echo "<option id='".$civ."' class='morale' value='".$civ."'>".$civ."</option>";
									}
								}
								?>
								</optgroup>
							</select>
					 	 </p>
					 	 <p>
					 	 	<label for="label" id="label_name"><?php echo _LASTNAME; ?> : <span class="red_asterisk">*</span></label>
							<input name="name" type="text" id="name" value="<?php echo $func->show($_SESSION['m_admin']['emet']['NAME']); ?>"/>
					 	 </p>
                          <p>
					 	 	<label for="label" id="label_prenom"><?php echo _FIRSTNAME; ?> : </label>
							<input name="prenom" type="text" id="prenom" value="<?php echo $func->show($_SESSION['m_admin']['emet']['PRENOM']); ?>"/>
					 	 </p>
                          <p>
					 	 	<label for="label" id="label_societe"><?php echo _SOCIETY;?> : <span id="societe_asterisk" class="red_asterisk" style="display:none;">*</span></label>
							<input name="societe" type="text" id="societe" value="<?php echo $func->show($_SESSION['m_admin']['emet']['SOCIETE']); ?>"/>
					 	 </p>
                         <p>
					 	 	<label for="label" id="label_fonction"><?php echo _FUNCTION; ?> : </label>
							<textarea name="fonction" id="fonction" ><?php echo $func->show($_SESSION['m_admin']['emet']['FONCTION']); ?></textarea>
					 	 </p>
					     <p>
					 	 	<label for="label" id="label_street_num"><?php echo _ROAD_NUM; ?> : </label>
							<input name="street_num" type="text" class="textbox" id="label" value="<?php echo $func->show($_SESSION['m_admin']['emet']['STREET_NUM']); ?>"/>
					 	 </p>
                         <p>
					 	 	<label for="label" id="label_street"><?php echo _ADDRESS; ?> : </label>
							<input name="street" type="text" class="textbox" id="label" value="<?php echo $func->show($_SESSION['m_admin']['emet']['STREET']); ?>"/>
					 	 </p>
					 	<p>
					 	 	<label for="label" id="label_town"><?php echo _TOWN; ?> : </label>
							<input name="town" type="text" class="textbox" id="label" value="<?php echo $func->show($_SESSION['m_admin']['emet']['TOWN']); ?>"/>
					 	 </p>
                         <p>
					 	 	<label for="label" id="label_cp"><?php echo _POSTAL_CODE; ?> : </label>
							<input name="cp" type="text" class="textbox" id="label" value="<?php echo $func->show($_SESSION['m_admin']['emet']['CP']); ?>"/>
					 	 </p>
                         <p>
					 	 	<label for="label" id="label_phone"><?php echo _PHONE; ?> : </label>
							<input name="phone" type="text" class="textbox" id="label" value="<?php echo $func->show($_SESSION['m_admin']['emet']['PHONE']); ?>"/>
					 	 </p>
						 <p>
					 	 	<label for="label" id="label_phone2"><?php echo _PHONE."2"; ?> : </label>
							<input name="phone2" type="text" class="textbox" id="label" value="<?php echo $func->show($_SESSION['m_admin']['emet']['PHONE2']); ?>"/>
					 	 </p>
						 <p>
					 	 	<label for="label" id="label_mobile"><?php echo _MOBILE; ?> : </label>
							<input name="mobile" type="text" class="textbox" id="label" value="<?php echo $func->show($_SESSION['m_admin']['emet']['MOBILE']); ?>"/>
					 	 </p>
						 <p>
					 	 	<label for="label" id="label_fax"><?php echo _FAX; ?> : </label>
							<input name="fax" type="text" class="textbox" id="label" value="<?php echo $func->show($_SESSION['m_admin']['emet']['FAX']); ?>"/>
					 	 </p>
                         <p>
					 	 	<label for="label" id="label_mail"><?php echo _MAIL; ?> : </label>
							<input name="mail" type="text" class="textbox" id="label" value="<?php echo $func->show($_SESSION['m_admin']['emet']['MAIL']); ?>"/>
					 	 </p>

                         	<input name="mode" type="hidden" value="<?php echo $mode; ?>" />


						<p class="buttons">
									<?php if($mode == "up")
						{
						?>
							<input class="button" type="submit" name="Submit" value="<?php echo _VALIDATE;?>" />
						<?php 
						}

						elseif($mode == "add")
						{
						?>
							<input type="submit" class="button"  name="Submit" value="<?php echo _VALIDATE;?>" />
						<?php }
						?>
                       <input type="button" class="button"  name="cancel" value="<?php echo _CANCEL; ?>" onClick="javascript:window.location.href='index.php?page=emet';" />

								</p>
					</form >
					<script language="javascript">
					var options = document.getElementById('civility').options;
					
					for (i=0; i<options.length;i++){
						if (options[i].value != "")
						{
							if (options[i].value == document.getElementById('civility').value)
							{
								//Fonction mettant à jour la liste des champs en fonction du type de civilité (morale ou physique)
								update_emet_exp_form(options[i],document.getElementById('frmemett'));
							}
						}
					}
					</script>

			<?php }
			?>

		</div>
	<?php }

	/**
	* Form to modify a sender
	*
	* @param  $string $mode up or add
	* @param int  $id  $id of the department to change
	*/
	public function formsender($mode,$id = "")
	{
		$func = new functions();

		$state = true;

		if(!isset($_SESSION['m_admin']['sender']))
		{
			$this->clearsenderinfos();
		}

		if( $mode <> "add" && empty($_SESSION['error']))
		{
			$this->connect();
			$this->query("select * from ".$_SESSION['tablename']['senders']." where ID = '".$id."'");

			if($this->nb_result() == 0)
			{
				$_SESSION['error'] = _THE_SENDER.' '._ALREADY_EXISTS;
				$state = false;
			}
			else
			{
				$_SESSION['m_admin']['sender'] = array();
				$line = $this->fetch_object();

				$_SESSION['m_admin']['sender']['ID'] = $line->ID;
				$_SESSION['m_admin']['sender']['CIVILITY'] = $line->CIVILITY;
				$_SESSION['m_admin']['sender']['NAME'] = $line->LASTNAME;
				$_SESSION['m_admin']['sender']['PRENOM'] = $line->FIRSTNAME;
				$_SESSION['m_admin']['sender']['SOCIETE'] = $line->SOCIETY;
				$_SESSION['m_admin']['sender']['FONCTION'] = $line->FUNCTION;
				$_SESSION['m_admin']['sender']['STREET_NUM'] = $line->STREET_NUM;
				$_SESSION['m_admin']['sender']['STREET'] = $line->STREET;
				$_SESSION['m_admin']['sender']['TOWN'] = $line->TOWN;
				$_SESSION['m_admin']['sender']['CP'] = $line->CP;
				$_SESSION['m_admin']['sender']['PHONE'] = $line->PHONE;
				$_SESSION['m_admin']['sender']['PHONE2'] = $line->PHONE2;
				$_SESSION['m_admin']['sender']['MOBILE'] = $line->MOBILE;
				$_SESSION['m_admin']['sender']['FAX'] = $line->FAX;
				$_SESSION['m_admin']['sender']['MAIL'] = $line->MAIL;
				$_SESSION['m_admin']['sender']['TOCONTACT'] = $line->TOCONTACT;

			}
		}
		?>
		<h1><img src="<?php echo $_SESSION['config']['img'];?>/picto_add_b.gif" alt="" />
				<?php if($mode == "up")
				{
					echo _MODIFICATION_SENDER;
				}
				elseif($mode == "add")
				{
					echo _ADD_SENDER;
				}
				?>
				</h1>


		<div id="inner_content" class="clearfix">
		

			<?php if($state == false)
			{
				echo "<br /><br /><br /><br />"._SHIPPER." "._UNKOWN."<br /><br /><br /><br />";
			}
			else
			{
				?>

				<form name="frmemett" id="frmemett" method="post" action="sender_up_db.php" class="forms">

						 <p>
					 	 	<label for="label"><?php echo _CIVILITY; ?> : </label>
							<select name="civility" id="civility" onchange="var m_val = this.options[this.selectedIndex];update_emet_exp_form(m_val,document.getElementById('frmemett'));">
								<option value="-1"><?php echo _CHOOSE_CIVILITY; ?></option>
								
								<optgroup label="<?php echo _PHYSIQUE;?>">
								<?php 
								foreach( $_SESSION['civilite']['physique'] as $civ )
								{
									if($_SESSION['m_admin']['sender']['CIVILITY'] == $civ)
									{
										echo "<option id='".$civ."' class='physique' value='".$civ."' selected>".$civ."</option>";
									}
									else
									{
										echo "<option id='".$civ."' class='physique' value='".$civ."'>".$civ."</option>";
									}
								}
								?>
								</optgroup>
								
								<optgroup label="<?php echo _MORALE;?>">
								<?php 
								foreach( $_SESSION['civilite']['morale'] as $civ )
								{
									if($_SESSION['m_admin']['sender']['CIVILITY'] == $civ){
										echo "<option id='".$civ."' class='morale' value='".$civ."' selected>".$civ."</option>";
									}
									else
									{
										echo "<option id='".$civ."' class='morale' value='".$civ."'>".$civ."</option>";
									}
								}
								?>
								</optgroup>
							</select>
					 	 </p>
					 	 <p>
					 	 	<label for="label" id="label_name"><?php echo _LASTNAME; ?> : <span class="red_asterisk">*</span></label>
							<input name="name" type="text" id="name" value="<?php echo $func->show($_SESSION['m_admin']['sender']['NAME']); ?>"/>
					 	 </p>
                          <p>
					 	 	<label for="label" id="label_prenom"><?php echo _FIRSTNAME; ?> : </label>
							<input name="prenom" type="text" id="prenom" value="<?php echo $func->show($_SESSION['m_admin']['sender']['PRENOM']); ?>"/>
					 	 </p>
                          <p>
					 	 	<label for="label" id="label_societe"><?php echo _SOCIETY;?> : <span id="societe_asterisk" class="red_asterisk" style="display:none;">*</span></label>
							<input name="societe" type="text" id="societe" value="<?php echo $func->show($_SESSION['m_admin']['sender']['SOCIETE']); ?>"/>
					 	 </p>
                         <p>
					 	 	<label for="label" id="label_fonction"><?php echo _FUNCTION; ?> : </label>
							<textarea name="fonction" id="fonction" ><?php echo $func->show($_SESSION['m_admin']['sender']['FONCTION']); ?></textarea>
					 	 </p>
					     <p>
					 	 	<label for="label" id="label_street_num"><?php echo _ROAD_NUM; ?> : </label>
							<input name="street_num" type="text" class="textbox" id="label" value="<?php echo $func->show($_SESSION['m_admin']['sender']['STREET_NUM']); ?>"/>
					 	 </p>
                         <p>
					 	 	<label for="label" id="label_street"><?php echo _ADDRESS; ?> : </label>
							<input name="street" type="text" class="textbox" id="label" value="<?php echo $func->show($_SESSION['m_admin']['sender']['STREET']); ?>"/>
					 	 </p>
					 	<p>
					 	 	<label for="label" id="label_town"><?php echo _TOWN; ?> : </label>
							<input name="town" type="text" class="textbox" id="label" value="<?php echo $func->show($_SESSION['m_admin']['sender']['TOWN']); ?>"/>
					 	 </p>
                         <p>
					 	 	<label for="label"  id="label_cp"><?php echo _POSTAL_CODE; ?> : </label>
							<input name="cp" type="text" class="textbox" id="label" value="<?php echo $func->show($_SESSION['m_admin']['sender']['CP']); ?>"/>
					 	 </p>
                         <p>
					 	 	<label for="label" id="label_phone"><?php echo _PHONE; ?> : </label>
							<input name="phone" type="text" class="textbox" id="label" value="<?php echo $func->show($_SESSION['m_admin']['sender']['PHONE']); ?>"/>
					 	 </p>
						 <p>
					 	 	<label for="label" id="label_phone2"><?php echo _PHONE."2"; ?> : </label>
							<input name="phone2" type="text" class="textbox" id="label" value="<?php echo $func->show($_SESSION['m_admin']['sender']['PHONE2']); ?>"/>
					 	 </p>
						 <p>
					 	 	<label for="label" id="label_mobile"><?php echo _MOBILE; ?> : </label>
							<input name="mobile" type="text" class="textbox" id="label" value="<?php echo $func->show($_SESSION['m_admin']['sender']['MOBILE']); ?>"/>
					 	 </p>
						 <p>
					 	 	<label for="label" id="label_fax"><?php echo _FAX; ?> : </label>
							<input name="fax" type="text" class="textbox" id="label" value="<?php echo $func->show($_SESSION['m_admin']['sender']['FAX']); ?>"/>
					 	 </p>
                         <p>
					 	 	<label for="label" id="label_mail"><?php echo _MAIL; ?> : </label>
							<input name="mail" type="text" class="textbox" id="label" value="<?php echo $func->show($_SESSION['m_admin']['sender']['MAIL']); ?>"/>
					 	 </p>
                      <!--   <p>
					 	 	<label for="label"><?php echo "Contact"; ?> : </label>
							<input name="tocontact" type="text" class="textbox" id="label" value="<?php echo $func->show($_SESSION['m_admin']['sender']['TOCONTACT']); ?>"/>
					 	 </p>-->

                         	<input name="mode" type="hidden" value="<?php echo $mode; ?>" />


						<p class="buttons">
									<?php if($mode == "up")
						{
						?>
							<input class="button" type="submit" name="Submit" value="<?php echo _VALIDATE;?>" />
						<?php }

						elseif($mode == "add")
						{
						?>
							<input type="submit" class="button"  name="Submit" value="<?php echo _VALIDATE;?>" />
						<?php }
						?>
                       <input type="button" class="button"  name="cancel" value="<?php echo _CANCEL; ?>" onClick="javascript:window.location.href='index.php?page=sender';" />

								</p>
					</form >
					<script language="javascript">
					var options = document.getElementById('civility').options;
					
					for (i=0; i<options.length;i++){
						if (options[i].value != "")
						{
							if (options[i].value == document.getElementById('civility').value)
							{
								//Fonction mettant à jour la liste des champs en fonction du type de civilité (morale ou physique)
								update_emet_exp_form(options[i],document.getElementById('frmemett'));
							}
						}
					}
					</script>

			<?php }
			?>

		</div>
	<?php }

	
	/**
	* Form to modify a sender
	*
	* @param  $string $mode up or add
	* @param int  $id  $id of the department to change
	*/
	public function formcontact($mode, $id = "")
	{
		$func = new functions();

		$state = true;

		if(!isset($_SESSION['user']['contact'])){
			$this->clearcontactinfos();
		}

		if( $mode <> "add" && empty($_SESSION['error'])){
			$this->connect();
			$this->query("select * from ".$_SESSION['tablename']['senders']." where ID = '".$id."'");

			if($this->nb_result() == 0)	{
				$_SESSION['error'] = _CONTACT.' '._ALREADY_EXISTS;
				$state = false;
			}
			else{
				$_SESSION['user']['contact'] = array();
				$line = $this->fetch_object();

				$_SESSION['user']['contact']['ID'] = $line->ID;
				$_SESSION['user']['contact']['CIVILITY'] = $line->CIVILITY;
				$_SESSION['user']['contact']['NAME'] = $line->LASTNAME;
				$_SESSION['user']['contact']['PRENOM'] = $line->FIRSTNAME;
				$_SESSION['user']['contact']['SOCIETE'] = $line->SOCIETY;
				$_SESSION['user']['contact']['FONCTION'] = $line->FUNCTION;
				$_SESSION['user']['contact']['STREET_NUM'] = $line->STREET_NUM;
				$_SESSION['user']['contact']['STREET'] = $line->STREET;
				$_SESSION['user']['contact']['TOWN'] = $line->TOWN;
				$_SESSION['user']['contact']['CP'] = $line->CP;
				$_SESSION['user']['contact']['PHONE'] = $line->PHONE;
				$_SESSION['user']['contact']['PHONE2'] = $line->PHONE2;
				$_SESSION['user']['contact']['MOBILE'] = $line->MOBILE;
				$_SESSION['user']['contact']['FAX'] = $line->FAX;
				$_SESSION['user']['contact']['MAIL'] = $line->MAIL;
				//$_SESSION['user']['contact']['TOCONTACT'] = $line->TOCONTACT;

			}
		}
		?>
		<h1><img src="<?php echo $_SESSION['config']['img'];?>/picto_add_b.gif" alt="" />
				<?php 
				if($mode == "up"){
					echo _UPDATE_CONTACT2;
				}
				elseif($mode == "add"){
					echo _ADD_CONTACT2;
				}
				?>
				</h1>


		<div id="inner_content" class="clearfix">


			<?php 
			if($state == false){
				echo "<br /><br /><br /><br />"._CONTACT." "._UNKOWN."<br /><br /><br /><br />";
			}
			else{
				?>

				<form name="frmemett" id="frmemett" method="post" action="contact_up_db.php" class="forms">

						 <p>
					 	 	<label for="label"><?php echo _CIVILITY; ?> : </label>
							<select name="civility" id="civility" onchange="var m_val = this.options[this.selectedIndex];update_emet_exp_form(m_val,document.getElementById('frmemett'));">
								
								<optgroup label="<?php echo _PHYSIQUE;?>">
								<?php 
								foreach( $_SESSION['civilite']['physique'] as $civ )
								{
									if($_SESSION['user']['contact']['CIVILITY'] == $civ)
									{
										echo "<option id='".$civ."' class='physique' value='".$civ."' selected>".$civ."</option>";
									}
									else
									{
										echo "<option id='".$civ."' class='physique' value='".$civ."'>".$civ."</option>";
									}
								}
								?>
								</optgroup>
								
								<optgroup label="<?php echo _MORALE;?>">
								<?php 
								foreach( $_SESSION['civilite']['morale'] as $civ )
								{
									if($_SESSION['user']['contact']['CIVILITY'] == $civ){
										echo "<option id='".$civ."' class='morale' value='".$civ."' selected>".$civ."</option>";
									}
									else
									{
										echo "<option id='".$civ."' class='morale' value='".$civ."'>".$civ."</option>";
									}
								}
								?>
								</optgroup>
							</select>
					 	 </p>
					 	 <p>
					 	 	<label for="label" id="label_name"><?php echo _LASTNAME; ?> : <span class="red_asterisk">*</span></label>
							<input name="name" type="text" id="name" value="<?php echo $func->show($_SESSION['user']['contact']['NAME']); ?>"/>
					 	 </p>
                          <p>
					 	 	<label for="label" id="label_prenom"><?php echo _FIRSTNAME; ?> : </label>
							<input name="prenom" type="text" id="prenom" value="<?php echo $func->show($_SESSION['user']['contact']['PRENOM']); ?>"/>
					 	 </p>
                          <p>
					 	 	<label for="label" id="label_societe"><?php echo _SOCIETY;?> : <span id="societe_asterisk" class="red_asterisk" style="display:none;">*</span></label>
							<input name="societe" type="text" id="societe" value="<?php echo $func->show($_SESSION['user']['contact']['SOCIETE']); ?>"/>
					 	 </p>
                         <p>
					 	 	<label for="label" id="label_fonction"><?php echo _FUNCTION; ?> : </label>
							<textarea name="fonction" id="fonction" ><?php echo $func->show($_SESSION['user']['contact']['FONCTION']); ?></textarea>
					 	 </p>
					     <p>
					 	 	<label for="label" id="label_street_num"><?php echo _ROAD_NUM; ?> : </label>
							<input name="street_num" type="text" class="textbox" id="label" value="<?php echo $func->show($_SESSION['user']['contact']['STREET_NUM']); ?>"/>
					 	 </p>
                         <p>
					 	 	<label for="label" id="label_street"><?php echo _ADDRESS; ?> : </label>
							<input name="street" type="text" class="textbox" id="label" value="<?php echo $func->show($_SESSION['user']['contact']['STREET']); ?>"/>
					 	 </p>
					 	<p>
					 	 	<label for="label" id="label_town"><?php echo _TOWN; ?> : </label>
							<input name="town" type="text" class="textbox" id="label" value="<?php echo $func->show($_SESSION['user']['contact']['TOWN']); ?>"/>
					 	 </p>
                         <p>
					 	 	<label for="label" id="label_cp"><?php echo _POSTAL_CODE; ?> : </label>
							<input name="cp" type="text" class="textbox" id="label" value="<?php echo $func->show($_SESSION['user']['contact']['CP']); ?>"/>
					 	 </p>
                         <p>
					 	 	<label for="label" id="label_phone"><?php echo _PHONE; ?> : </label>
							<input name="phone" type="text" class="textbox" id="label" value="<?php echo $func->show($_SESSION['user']['contact']['PHONE']); ?>"/>
					 	 </p>
						 <p>
					 	 	<label for="label" id="label_phone2"><?php echo _PHONE."2"; ?> : </label>
							<input name="phone2" type="text" class="textbox" id="label" value="<?php echo $func->show($_SESSION['user']['contact']['PHONE2']); ?>"/>
					 	 </p>
						 <p>
					 	 	<label for="label" id="label_mobile"><?php echo _MOBILE; ?> : </label>
							<input name="mobile" type="text" class="textbox" id="label" value="<?php echo $func->show($_SESSION['user']['contact']['MOBILE']); ?>"/>
					 	 </p>
						 <p>
					 	 	<label for="label" id="label_fax"><?php echo _FAX; ?> : </label>
							<input name="fax" type="text" class="textbox" id="label" value="<?php echo $func->show($_SESSION['user']['contact']['FAX']); ?>"/>
					 	 </p>
                         <p>
					 	 	<label for="label" id="label_mail"><?php echo _MAIL; ?> : </label>
							<input name="mail" type="text" class="textbox" id="label" value="<?php echo $func->show($_SESSION['user']['contact']['MAIL']); ?>"/><span class="red_asterisk">*</span>
					 	 </p>
                      <!--   <p>
					 	 	<label for="label"><?php echo "Contact"; ?> : </label>
							<input name="tocontact" type="text" class="textbox" id="label" value="<?php echo $func->show($_SESSION['user']['contact']['TOCONTACT']); ?>"/>
					 	 </p>-->

                         	<input name="mode" type="hidden" value="<?php echo $mode; ?>" />


						<p class="buttons">
									<?php if($mode == "up")
						{
						?>
							<input class="button" type="submit" name="Submit" value="<?php echo _VALIDATE;?>" />
						<?php }

						elseif($mode == "add")
						{
						?>
							<input type="submit" class="button"  name="Submit" value="<?php echo _VALIDATE;?>" />
						<?php }
						?>
                       <input type="button" class="button"  name="cancel" value="<?php echo _CANCEL; ?>" onClick="javascript:window.location.href='index.php?page=sender2';" />

								</p>
					</form >
					<script language="javascript">
					var options = document.getElementById('civility').options;
					
					for (i=0; i<options.length;i++){
						if (options[i].value != "")
						{
							if (options[i].value == document.getElementById('civility').value)
							{
								//Fonction mettant à jour la liste des champs en fonction du type de civilité (morale ou physique)
								update_emet_exp_form(options[i],document.getElementById('frmemett'));
							}
						}
					}
					</script>
			<?php }
			?>

		</div>
	<?php }

	/**
	* Clear the session variables of the sender 's administration
	*
	*/
	private function clearsenderinfos()
	{
		// clear the session variable
		$_SESSION['m_admin']['sender'] = array();
		$_SESSION['m_admin']['sender']['CIVILITY'] = "";
		$_SESSION['m_admin']['sender']['ID'] = "";
		$_SESSION['m_admin']['sender']['NAME'] = "";
		$_SESSION['m_admin']['sender']['PRENOM'] = "";
		$_SESSION['m_admin']['sender']['FONCTION'] = "";
		$_SESSION['m_admin']['sender']['SOCIETE'] = "";
		$_SESSION['m_admin']['sender']['STREET_NUM'] = "";
		$_SESSION['m_admin']['sender']['STREET'] = "";
		$_SESSION['m_admin']['sender']['TOWN'] = "";
		$_SESSION['m_admin']['sender']['CP'] = "";
		$_SESSION['m_admin']['sender']['PHONE'] = "";
		$_SESSION['m_admin']['sender']['PHONE2'] = "";
		$_SESSION['m_admin']['sender']['MOBILE'] = "";
		$_SESSION['m_admin']['sender']['FAX'] = "";
		$_SESSION['m_admin']['sender']['MAIL'] = "";
	}

	/**
	* Clear the session variables of the contact
	*
	*/
	public function clearcontactinfos()
	{
		// clear the session variable
		$_SESSION['user']['contact'] = array();
		$_SESSION['user']['contact']['CIVILITY'] = "";
		$_SESSION['user']['contact']['ID'] = "";
		$_SESSION['user']['contact']['NAME'] = "";
		$_SESSION['user']['contact']['PRENOM'] = "";
		$_SESSION['user']['contact']['FONCTION'] = "";
		$_SESSION['user']['contact']['SOCIETE'] = "";
		$_SESSION['user']['contact']['STREET_NUM'] = "";
		$_SESSION['user']['contact']['STREET'] = "";
		$_SESSION['user']['contact']['TOWN'] = "";
		$_SESSION['user']['contact']['CP'] = "";
		$_SESSION['user']['contact']['PHONE'] = "";
		$_SESSION['user']['contact']['PHONE2'] = "";
		$_SESSION['user']['contact']['MOBILE'] = "";
		$_SESSION['user']['contact']['FAX'] = "";
		$_SESSION['user']['contact']['MAIL'] = "";
	}
	
	/**
	* Clear the session variables of the edmit 's administration
	*
	*/
	private function clearemetinfos()
	{
		// clear the session variable
		$_SESSION['m_admin']['emet'] = array();
		$_SESSION['m_admin']['emet']['CIVILITY'] = "";
		$_SESSION['m_admin']['emet']['ID'] = "";
		$_SESSION['m_admin']['emet']['NAME'] = "";
		$_SESSION['m_admin']['emet']['PRENOM'] = "";
		$_SESSION['m_admin']['emet']['FONCTION'] = "";
		$_SESSION['m_admin']['emet']['SOCIETE'] = "";
		$_SESSION['m_admin']['emet']['STREET_NUM'] = "";
		$_SESSION['m_admin']['emet']['STREET'] = "";
		$_SESSION['m_admin']['emet']['TOWN'] = "";
		$_SESSION['m_admin']['emet']['CP'] = "";
		$_SESSION['m_admin']['emet']['PHONE'] = "";
		$_SESSION['m_admin']['emet']['PHONE2'] = "";
		$_SESSION['m_admin']['emet']['MOBILE'] = "";
		$_SESSION['m_admin']['emet']['FAX'] = "";
		$_SESSION['m_admin']['emet']['MAIL'] = "";
		//$_SESSION['m_admin']['emet']['TOCONTACT'] = "";
		//$_SESSION['m_admin']['emet']['listmodel'] = array();
	}


	/**
	* Clear the session variables of the department administration
	*
	*/
	private function clearserviceinfos()
	{
		// clear the session variable
		$_SESSION['m_admin']['services'] = array();
		$_SESSION['m_admin']['services']['ID'] = "";
		$_SESSION['m_admin']['services']['LABEL'] = "";
		$_SESSION['m_admin']['services']['VALIDATE'] = "";

		$_SESSION['m_admin']['services']['listmodel'] = array();
	}

	/**
	* Verify the data of the department modification / addition form
	*
	*/
	private function servicesinfo()
	{
		$func = new functions();

		if(!isset($_REQUEST['mode']))
		{
			$_SESSION['error'] = _UNKNOWN_PARAM."<br />";
		}

		$_SESSION['m_admin']['services']['LABEL'] = $func->wash($_REQUEST['label'], "no", _THE_WORDING);
		$_SESSION['m_admin']['services']['ID'] = $func->wash($_REQUEST['id'], "no", _ID);

	}

	/**
	* Update or insert trhe database with the department info
	*/
	public function upservices()
	{
		$this->servicesinfo();

		if(!empty($_SESSION['error']))
		{
			if($_REQUEST['mode'] == "up")
			{
				if(!empty($_SESSION['m_admin']['services']['ID']))
				{
					header("location: index.php?page=service_up&id=".$_SESSION['m_admin']['services']['ID']);
					exit;
				}
				else
				{
					header("location: index.php?page=liste");
					exit;
				}
			}

			elseif($_REQUEST['mode'] == "add" )
			{
				header("location: index.php?page=service_add");
				exit;
			}
		}
		else
		{
			$this->connect();

			if( $_REQUEST['mode'] <> "add")
			{
				$this->query("update `".$_SESSION['tablename']['services']."` set `SERVICE` = '".addslashes($_SESSION['m_admin']['services']['LABEL'])."' , `ENABLED` = 'Y' where ID = '".$_SESSION['m_admin']['services']['ID']."'");

				if($_SESSION['config']['collectivities'] == "true")
				{
				 		include_once($_SESSION['config']['includedir']."/addon_collectivities.php");
				 		up_collectivity($_REQUEST['entities'], $_SESSION['m_admin']['services']['ID'],$this);
				}

				if($_REQUEST['mode'] == "up")
				{
					$_SESSION['error'] = _DEPARTMENT_MODIF;
					if($_SESSION['history']['servicesup'] == "true")
					{
						require_once("class_history.php");
						$users = new history();
						$users->add($_SESSION['tablename']['services'], $_SESSION['m_admin']['services']['ID'],"UP",_DEPARTMENT_MODIF." : ".$_SESSION['m_admin']['services']['LABEL']);
					}
				}

				$this->clearserviceinfos();
				header("location: index.php?page=liste");
				exit;
			}
			else
			{
				$this->query("select ID from `".$_SESSION['tablename']['services']."` where ID = '".$_SESSION['m_admin']['services']['ID']."'");

				if($this->nb_result() > 0)
				{
					$_SESSION['error'] = _THE_DEPARTMENT.' '.$_SESSION['m_admin']['services']['ID'].' '._ALREADY_EXISTS;
					header("location: index.php?page=service_add&show=false");
					exit;
				}
				else
				{
					require_once("class_history.php");
					$users = new history();

					 if( $_REQUEST['mode'] == "add")
					 {
						$this->query("INSERT INTO `".$_SESSION['tablename']['services']."` ( `ID` , `SERVICE`,`ENABLED`  ) VALUES ('".$_SESSION['m_admin']['services']['ID']."', '".$_SESSION['m_admin']['services']['LABEL']."','Y')");
						if($_SESSION['config']['collectivities'] == "true")
						{
							include_once($_SESSION['config']['includedir']."/addon_collectivities.php");
							add_collectivity($_REQUEST['entities'], $_SESSION['m_admin']['services']['ID'],$this);
						}

						if($_SESSION['history']['servicesadd'] == "true")
						{
							$users->add($_SESSION['tablename']['services'], $_SESSION['m_admin']['services']['ID'],"ADD", _DEPARTMENT_ADDED." : ".$_SESSION['m_admin']['services']['LABEL']);
						}
					 }

					$_SESSION['error'] = _DEPARTMENT_ADDED;
				}

				$_SESSION['error'] = "";
			}

			if ($_REQUEST['mode'] == "add")
			{
				$url = "index.php?page=liste";
			}

			$this->clearserviceinfos();
			header("location: ".$url);
			exit;
		}
	}

	/**
	* List of the mail in copy
	*
	* @param  array  $listarr contains the document index of the mail in copy
	* @param int  $nb_total  number of document
	* @param string  $title  title
	* @param string  $name  page name
	*/
	public function list_copy_mail($listarr, $nb_total, $title,$name )
	{
		$page_list1 = "";
		$page_list2 = "";

		$func = new functions();

		if(isset($_REQUEST['start']))
		{
			$start = strip_tags($_REQUEST['start']);
		}
		else
		{
			$start = 0;
		}

		if(isset($_GET['order']))
		{
			$orderby = strip_tags($_GET['order']);
		}
		else
		{
			$orderby = 0;
		}


			$link = "index.php?page=".$name;


		// define the defaults values
		$nb_show = $_SESSION['config']['nblinetoshow'];
		$nb_pages = ceil($nb_total/$nb_show);

		// if they are more 1 page we do pagination with 2 forms
		if($nb_pages > 1)
		{
			$next_start = 0;

			$page_list1 = '<form action="" name="newpage1" id="newpage1" class="smallforms" method="get">
				<p>
					<label for="startpage">'._GO_TO_PAGE.'</label>
					<select name="startpage" id="startpage" class="textbox small" onchange="window.location.href=\''.$link.'&amp;order='.$orderby.'&amp;start=\'+document.newpage1.startpage.value;">';
			$page_list2 = '<form action="" name="newpage2" id="newpage2" class="smallforms" method="get">
				<p>
					<label for="startpage">'._GO_TO_PAGE.'</label>
					<select name="startpage" id="startpage" class="textbox small" onchange="window.location.href=\''.$link.'&amp;order='.$orderby.'&amp;start=\'+document.newpage2.startpage.value;">';
			$lastpage = 0;

			for($i = 0;$i <> $nb_pages; $i++)
			{
				$page_name = $i + 1;

				$the_line = $i + 1;
				if($start == $next_start)
				{
					$page_list1 .= "<option value=\"".$next_start."\" selected=\"selected\">".$the_line."</option>";
					$page_list2 .= "<option value=\"".$next_start."\" selected>".$the_line."</option>";
				}
				else
				{
					$page_list1 .= "<option value=\"".$next_start."\">".$the_line."</option>";
					$page_list2 .= "<option value=\"".$next_start."\">".$the_line."</option>";
				}

				$next_start = $next_start + $nb_show;
				$lastpage = $next_start;
			}

			$lastpage = $lastpage - $nb_show;

			$previous = "";
			$next = "";

			if($start > 0)
			{
				$start_prev = $start - $nb_show;
				$previous = "< <a href=\"".$link."&start=".$start_prev."&order=".$orderby."\">"._PREVIOUS."</a> ";
			}

			if($start <> $lastpage)
			{
				$start_next = $start + $nb_show;
				$next = " <a href=\"".$link."&start=".$start_next."&order=".$orderby."\">"._NEXT."</a> >";
			}

			$page_list1 = $page_list1."</select>".$previous." ".$next."</p></form>";
			$page_list2 = $page_list2."</select>".$previous." ".$next."</p></form>";
		}
		?>
<h1><img src="<?php echo $_SESSION['config']['img'];?>/picto_search_b.gif" alt="" /> <?php echo $title; ?></h1>
	<div id="inner_content" class="clearfix">
	<?php echo $page_list1;?>


			<form name="choose_mail" id="choose_mail" method="post" action="index.php?page=copy_mail">
             <input type="hidden" name="start" id="start" value="<?php echo $start;?>" />
             	<table cellpadding="0" cellspacing="0" border="0" class="listing">
	<thead>
				<tr>
                    <th class="picto"><?php echo _STATUS; ?><br/><br/>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=statdesc'; ?>" title="<?php echo _DESC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT; ?>"/></a>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=statasc'; ?>" title="<?php echo _ASC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT; ?>" /></a></th>
                      <th ><?php echo _NOT_VIEWED; ?><br/><br/>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=vieweddesc'; ?>" title="<?php echo _DESC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT; ?>"/></a>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=viewedasc'; ?>" title="<?php echo _ASC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT; ?>" /></a></th>
                      <th ><?php echo _PRIORITY; ?><br/><br/>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=priodesc'; ?>" title="<?php echo _DESC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT; ?>"/></a>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=prioasc'; ?>" title="<?php echo _ASC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT; ?>" /></a></th>
                      <th class="date"><?php echo _DATE_START; ?>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=datedesc'; ?>" title="<?php echo _DESC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT; ?>"/></a>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=dateasc'; ?>" title="<?php echo _ASC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT; ?>" /></a></th>
					 <th class="price"><?php echo _GED_NUM;?><br/><br/>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=residdesc_copy'; ?>" title="<?php echo _DESC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT; ?>" /></a>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=residasc_copy'; ?>" title="<?php echo _ASC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT; ?>" /></a></th>
					<th class="emetteur"><?php echo _SHIPPER; ?><br/><br/>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=autdesc'; ?>" title="<?php echo _DESC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT; ?>"/></a>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=auttasc'; ?>" title="<?php echo _ASC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT; ?>" /></a></th>
                      <th>
					  <?php if($_SESSION['config']['corporate'] == "true" && $_SESSION['config']['replace_subject_by_society'] == "true")
					  {  echo _SOCIETY; ?><br/><br/>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=socidesc'; ?>" title="<?php echo _DESC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT; ?>"/></a>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=sociasc'; ?>" title="<?php echo _ASC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT; ?>" /></a>
                      <?php }
					  else
					  {
					   echo _OBJECT; ?><br/><br/>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=objdesc'; ?>" title="<?php echo _DESC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT; ?>"/></a>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=objasc'; ?>" title="<?php echo _ASC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT; ?>" /></a><?php }?>
                      </th>
					<th><?php echo _MAIL_TYPE;?><br/>
						<a href="<?php echo $link.'&amp;start='.$start.'&amp;order=typedesc'; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif"  border="0" /></a>
						<a href="<?php echo $link.'&amp;start='.$start.'&amp;order=typeasc'; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" border="0" /></a>
					</th>
					<th><?php echo _RECIPIENT; ?><br/><br/>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=destdesc'; ?>" title="<?php echo _DESC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT; ?>"/></a>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=destasc'; ?>" title="<?php echo _ASC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT; ?>" /></a></th>
	  				<th class="picto">&nbsp;</th>


				</tr>
				</thead>
		<?php if(count($listarr) > 0)
		{
        	echo '<tbody>';
		}
?>
		<?php $color  = 'class="col"';
		for($theline = 0; $theline < count($listarr) ; $theline++)
		{
			// background color
			if($color == 'class="col"')
			{

				$color = "";
			}
			else
			{
				$color = 'class="col"';

			}
				?>
			<tr <?php echo $color; ?> >

                    <td class="picto"  onmouseover="javascript:changeCouleur2(this,'#000000',true);" onMouseOut="javascript:changeCouleur2(this,'#666',false);" onClick="javascript:changeCouleur2(this,'#CC3300',true);window.open('view.php?id=<?php echo $listarr[$theline]['ID']; ?>','', 'scrollbars=yes, resizable=yes, width='+screen.availWidth+',height='+screen.availHeight);">

						<?php 
                    	if(($listarr[$theline]['STATUS'] == "NEW"))
						{ ?>
						<img src="<?php echo $_SESSION['config']['img'];?>/mail_new.gif" alt="<?php echo _TO_PROCESS;?>" title="<?php echo _TO_PROCESS;?>" />
						<?php }
						elseif(($listarr[$theline]['STATUS'] == "COU"))
						{ ?>
						<img src="<?php echo $_SESSION['config']['img'];?>/mail.gif" alt="<?php echo _IN_PROGRESS;?>" title="<?php echo _IN_PROGRESS;?>" />
						<?php }
						elseif(($listarr[$theline]['STATUS'] == "END"))
						{ ?>
						<img src="<?php echo $_SESSION['config']['img'];?>/mail_end.gif" alt="<?php echo _CLOSED;?>" title="<?php echo _CLOSED;?>" />
						<?php }
						elseif(($listarr[$theline]['STATUS'] == "OUT"))
						{ ?>
						<img src="<?php echo $_SESSION['config']['img'];?>/status_out.gif" alt="<?php echo _ONGOING;?>" title="<?php echo _ONGOING;?>"/>
						<?php }
						elseif(($listarr[$theline]['STATUS'] == "WAI"))
						{ ?>
						<img src="<?php echo $_SESSION['config']['img'];?>/waiting_mail.gif" alt="<?php echo _WAITINGDOC_PROCESS_IN_PROGRESS;?>" title="<?php echo _WAITINGDOC_PROCESS_IN_PROGRESS;?>"/>
						<?php }
						else
						{
							echo $listarr[$theline]['STATUS'];
						}
					?>
				 </td>
				<!-- <td class="price" onMouseOver="javascript:changeCouleur2(this,'#000000',true);" onMouseOut="javascript:changeCouleur2(this,'#666',false);" onClick="javascript:changeCouleur2(this,'#CC3300',true);window.open('view.php?id=<?php echo $listarr[$theline]['ID']; ?>','', 'scrollbars=yes, resizable=yes, width=1020, height=780');"><?php echo $func->show($listarr[$theline]['VIEWED']); ?></td>-->
				 <td style="width:25px"; onMouseOver="javascript:changeCouleur2(this,'#000000',true);" onMouseOut="javascript:changeCouleur2(this,'#666',false);" onClick="javascript:changeCouleur2(this,'#CC3300',true);window.open('view.php?id=<?php echo $listarr[$theline]['ID']; ?>','', 'scrollbars=yes, resizable=yes, width='+screen.availWidth+',height='+screen.availHeight);">
				 <?php if ($listarr[$theline]['VIEWED'] < 1)
				 {
				 	?><img src="<?php echo $_SESSION['config']['img'];?>/new_copy_mail.gif" alt="<?php echo _NEW;?>" title="<?php echo _NEW;?>" /><?php }
				 else
				 {
				 	echo "";
				 }
				 ?>



                   <td onmouseover="javascript:changeCouleur2(this,'#000000',true);" onMouseOut="javascript:changeCouleur2(this,'#666',false);" onClick="javascript:changeCouleur2(this,'#CC3300',true);window.open('view.php?id=<?php echo $listarr[$theline]['ID']; ?>','', 'scrollbars=yes, resizable=yes,width='+screen.availWidth+',height='+screen.availHeight);">
                    <?php echo $listarr[$theline]['PRIORITY']; ?>
				  </td>
                  <td class="date"  onmouseover="javascript:changeCouleur2(this,'#000000',true);" onMouseOut="javascript:changeCouleur2(this,'#666',false);" onClick="javascript:changeCouleur2(this,'#CC3300',true);window.open('view.php?id=<?php echo $listarr[$theline]['ID']; ?>','', 'scrollbars=yes, resizable=yes,width='+screen.availWidth+',height='+screen.availHeight);"><?php if(			$listarr[$theline]['STATUS'] == "OUT")
					 {
						 echo $this->dateformat($listarr[$theline]['CREATION_DATE']);
					 }
					 else
					 {
					 	if("0000-00-00" == $listarr[$theline]['ARRIVEE'] || "00-00-0000" == $listarr[$theline]['ARRIVEE'])
						{

							echo $this->dateformat($listarr[$theline]['CREATION_DATE']);
						}
						else
						{

					 		echo $this->dateformat($listarr[$theline]['ARRIVEE']);
						}
					}?></td>
					 <td class="price" onMouseOver="javascript:changeCouleur2(this,'#000000',true);" onMouseOut="javascript:changeCouleur2(this,'#666',false);" onClick="javascript:changeCouleur2(this,'#CC3300',true);window.open('view.php?id=<?php echo $listarr[$theline]['ID']; ?>','', 'scrollbars=yes, resizable=yes,width='+screen.availWidth+',height='+screen.availHeight);"><?php echo $func->show($listarr[$theline]['ID']); ?></td>
				 	 <td class="emetteur"  onmouseover="javascript:changeCouleur2(this,'#000000',true);" onMouseOut="javascript:changeCouleur2(this,'#666',false);" onClick="javascript:changeCouleur2(this,'#CC3300',true);window.open('view.php?id=<?php echo $listarr[$theline]['ID']; ?>','', 'scrollbars=yes, resizable=yes, width='+screen.availWidth+',height='+screen.availHeight);"><?php echo $func->show($listarr[$theline]['NOM']); ?></td>
					<td  onmouseover="javascript:changeCouleur2(this,'#000000',true);" onMouseOut="javascript:changeCouleur2(this,'#666',false);" onClick="javascript:changeCouleur2(this,'#CC3300',true);window.open('view.php?id=<?php echo $listarr[$theline]['ID']; ?>','', 'scrollbars=yes, resizable=yes,width='+screen.availWidth+',height='+screen.availHeight);"><?php echo $func->show($listarr[$theline]['OBJET']); ?></td>
					<td onmouseover="changeCouleur2(this,'#000000',true);" onmouseout="changeCouleur2(this,'#666',false);" onclick="changeCouleur2(this,'#CC3300',true);window.open('view.php?id=<?php echo $listarr[$theline]['ID']; ?>','', 'scrollbars=yes, resizable=yes,width='+screen.availWidth+',height='+screen.availHeight);"><?php echo $func->show($listarr[$theline]['TYPE']); ?></td>
					<td  onmouseover="javascript:changeCouleur2(this,'#000000',true);" onMouseOut="javascript:changeCouleur2(this,'#666',false);" onClick="javascript:changeCouleur2(this,'#CC3300',true);window.open('view.php?id=<?php echo $listarr[$theline]['ID']; ?>','', 'scrollbars=yes, resizable=yes,width='+screen.availWidth+',height='+screen.availHeight);"><?php echo $func->show($listarr[$theline]['DEST']); ?></td>

			<td class="picto"><a href="index.php?page=details&amp;id=<?php echo $listarr[$theline]['ID']; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/picto_infos.gif"  alt=" <?php echo _DETAILS; ?>"/></a></td>




			</tr>
		<?php }
			if(count($listarr) > 0)
		{
        	echo '</tbody>';
		}

			   	echo "</table></form>";
				echo "<br/><em>"._CLICK_LINE_VIEW."</em><br/>";
				 if ($_SESSION['user']['print_rights'] == true)
				{
				?><div align="center"><p><input type="button" onClick="window.open('copy_print_list.php','', 'scrollbars=auto,menubar=no,toolbar=no,resizable=yes,status=no,width=350,height=350');" value="<?php echo _PRINT_BASKET;?>" class="button">
				    </p>
					</div>
				<?php } ?>
            <?php echo "</div>";
	}

	/**
	* List of the mail in the autorized departments
	*
	* @param  array  $listarr contains the document index
	* @param int  $nb_total  number of document
	* @param string  $title  title
	* @param string  $name  page name
	*/
	public function dep_mail_list($listarr, $nb_total, $title, $service, $status )
	{
		$page_list1 = "";
		$page_list2 = "";

		$func = new functions();

		if(isset($_REQUEST['start']))
		{
			$start = strip_tags($_REQUEST['start']);
		}
		else
		{
			$start = 0;
		}

		if(isset($_GET['order']))
		{
			$orderby = strip_tags($_GET['order']);
		}
		else
		{
			$orderby = 0;
		}


			$link = "dep_result.php";


		// define the defaults values
		$nb_show = $_SESSION['config']['nblinetoshow'];
		$nb_pages = ceil($nb_total/$nb_show);

		// if they are more 1 page we do pagination with 2 forms
		if($nb_pages > 1)
		{
			$next_start = 0;

			$page_list1 = '<form action="" name="newpage1" id="newpage1" class="smallforms" method="get">
				<p>
					<label for="startpage">'._GO_TO_PAGE.'</label>
					<select name="startpage" id="startpage" class="textbox small" onchange="window.location.href=\''.$link.'?order='.$orderby.'&amp;start=\'+document.newpage1.startpage.value;">';
			$page_list2 = '<form action="" name="newpage2" id="newpage2" class="smallforms" method="get">
				<p>
					<label for="startpage">'._GO_TO_PAGE.'</label>
					<select name="startpage" id="startpage" class="textbox small" onchange="window.location.href=\''.$link.'?order='.$orderby.'&amp;start=\'+document.newpage2.startpage.value;">';
			$lastpage = 0;

			for($i = 0;$i <> $nb_pages; $i++)
			{
				$page_name = $i + 1;

				$the_line = $i + 1;
				if($start == $next_start)
				{
					$page_list1 .= "<option value=\"".$next_start."\" selected>".$the_line."</option>";
					$page_list2 .= "<option value=\"".$next_start."\" selected>".$the_line."</option>";
				}
				else
				{
					$page_list1 .= "<option value=\"".$next_start."\">".$the_line."</option>";
					$page_list2 .= "<option value=\"".$next_start."\">".$the_line."</option>";
				}

				$next_start = $next_start + $nb_show;
				$lastpage = $next_start;
			}

			$lastpage = $lastpage - $nb_show;

			$previous = "";
			$next = "";

			if($start > 0)
			{
				$start_prev = $start - $nb_show;
				$previous = "< <a href=\"".$link."?start=".$start_prev."&order=".$orderby."\">"._PREVIOUS."</a> ";
			}

			if($start <> $lastpage)
			{
				$start_next = $start + $nb_show;
				$next = " <a href=\"".$link."?start=".$start_next."&order=".$orderby."\">"._NEXT."</a> >";
			}

			$page_list1 = $page_list1."</select>".$previous." ".$next."</p></form>";
			$page_list2 = $page_list2."</select>".$previous." ".$next."</p></form>";

		}
		//exit();
		?>
		<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $_SESSION['config']['lang'] ?>" lang="<?php echo $_SESSION['config']['lang'] ?>">

<head>
	<title><?php echo $_SESSION['config']['applicationname']; ?></title>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta http-equiv="Content-Language" content="<?php echo $_SESSION['config']['lang'] ?>" />
	<link rel="stylesheet" type="text/css" href="<?php echo $_SESSION['config']['css']; ?>" media="screen" />
	<!--[if lt IE 7.0]>  <link rel="stylesheet" type="text/css" href="<?php echo $_SESSION['config']['css_IE']; ?>" media="screen" />  <![endif]-->
	<!--[if gte IE 7.0]>  <link rel="stylesheet" type="text/css" href="<?php echo $_SESSION['config']['css_IE7']; ?>" media="screen" />  <![endif]-->
	<script type="text/javascript" src="js/functions.js"></script>
</head>

<body id="mes_services">
<br/>
<div class="error"><?php echo $_SESSION['error']; $_SESSION['error'] = ""; ?></div>
<h2 class="title"><?php echo $title; ?></h2>
	<div>
	<?php echo $page_list1;?>
	<form name="choose_mail" id="choose_mail" method="post" action="manage_redirection.php?frame=dep_result">
    <input type="hidden" name="start" id="start" value="<?php echo $start;?>" />
<table cellpadding="0" cellspacing="0" border="0" class="listing" >
	<thead>

				<tr>
					  <?php if(!$_SESSION['current_basket']['no_action']){ ?><th class="picto">&nbsp;</th><?php }?>
					 <th ><?php echo _GED_NUM;?>
					  <a href="<?php echo $link.'?start='.$start.'&amp;service='.$service.'&amp;status='.$status.'&amp;order=residdesc'; ?>" title="<?php echo _DESC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT; ?>" /></a>
					  <a href="<?php echo $link.'?start='.$start.'&amp;service='.$service.'&amp;status='.$status.'&amp;order=residasc'; ?>" title="<?php echo _ASC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT; ?>" /></a></th>
					 <th ><?php echo _PRIORITY;?>
					  <a href="<?php echo $link.'?start='.$start.'&amp;service='.$service.'&amp;status='.$status.'&amp;order=priodesc'; ?>" title="<?php echo _DESC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT; ?>" /></a>
					  <a href="<?php echo $link.'?start='.$start.'&amp;service='.$service.'&amp;status='.$status.'&amp;order=prioasc'; ?>" title="<?php echo _ASC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT; ?>" /></a></th>
                    <th ><?php echo _SHIPPER; ?>
					  <a href="<?php echo $link.'?start='.$start.'&amp;service='.$service.'&amp;status='.$status.'&amp;order=expdesc'; ?>" title="<?php echo _DESC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT; ?>"/></a>
					  <a href="<?php echo $link.'?start='.$start.'&amp;service='.$service.'&amp;status='.$status.'&amp;order=expasc'; ?>" title="<?php echo _ASC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT; ?>" /></a></th>
                      <th class="type"><?php if($_SESSION['config']['corporate'] == "true" && $_SESSION['config']['replace_subject_by_society'] == "true")
					  {
					  	echo _SOCIETY; ?>
					  <a href="<?php echo $link.'?start='.$start.'&amp;service='.$service.'&amp;status='.$status.'&amp;order=socidesc'; ?>" title="<?php echo _DESC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT; ?>"/></a>
					  <a href="<?php echo $link.'?start='.$start.'&amp;service='.$service.'&amp;status='.$status.'&amp;order=sociasc'; ?>" title="<?php echo _ASC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT; ?>" /></a>
                      <?php }
					  else
					  {
					  echo _OBJECT; ?>
					  <a href="<?php echo $link.'?start='.$start.'&amp;service='.$service.'&amp;status='.$status.'&amp;order=objdesc'; ?>" title="<?php echo _DESC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT; ?>"/></a>
					  <a href="<?php echo $link.'?start='.$start.'&amp;service='.$service.'&amp;status='.$status.'&amp;order=objasc'; ?>" title="<?php echo _ASC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT; ?>" /></a><?php }?>
                      </th>
					<th>
						<?php echo _MAIL_TYPE;?><br/>
						<a href="<?php echo $link.'?start='.$start.'&amp;service='.$service.'&amp;status='.$status.'&amp;order=typedesc'; ?>" title="<?php echo _DESC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif"  border="0" /></a>
						<a href="<?php echo $link.'?start='.$start.'&amp;service='.$service.'&amp;status='.$status.'&amp;order=typeasc'; ?>" title="<?php echo _ASC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" border="0" /></a>
					</th>
					<th><?php echo _RECIPIENT; ?>
					  <a href="<?php echo $link.'?start='.$start.'&amp;service='.$service.'&amp;status='.$status.'&amp;order=destdesc'; ?>" title="<?php echo _DESC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT; ?>"/></a>
					  <a href="<?php echo $link.'?start='.$start.'&amp;service='.$service.'&amp;status='.$status.'&amp;order=destasc'; ?>" title="<?php echo _ASC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT; ?>" /></a></th>
	  				<th><?php echo _LIMIT_DATE_PROCESS; ?>
					  <a href="<?php echo $link.'?start='.$start.'&amp;service='.$service.'&amp;status='.$status.'&amp;order=limdesc'; ?>" title="<?php echo _DESC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT; ?>"/></a>
					  <a href="<?php echo $link.'?start='.$start.'&amp;service='.$service.'&amp;status='.$status.'&amp;order=limasc'; ?>" title="<?php echo _ASC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT; ?>" /></a></th>
					<th><?php echo _NOTES; ?></th>
					<th class="picto">&nbsp;</th>
				</tr>
				</thead>
			<tbody>


		<?php $color  = 'class="col"';
		for($theline = 0; $theline < count($listarr) ; $theline++)
		{
			// background color
			if($color == 'class="col"')
			{

				$color = "";
			}
			else
			{
				$color = 'class="col"';

			}
				?>
			<tr <?php echo $color; ?> >
            	<?php if(!$_SESSION['current_basket']['no_action']){ ?><td class="picto"><input type="checkbox" name="mail[]" value="<?php echo $listarr[$theline]['ID']; ?>" /></td><?php } ?>
					 <td class="price" onMouseOver="javascript:changeCouleur2(this,'#000000',true);" onMouseOut="javascript:changeCouleur2(this,'#666',false);" onClick="javascript:changeCouleur2(this,'#CC3300',true);window.open('show_folder_doc.php?id=<?php echo $listarr[$theline]['ID']; ?>','', 'scrollbars=yes, resizable=no, width='+screen.availWidth+',height='+screen.availHeight);"><?php echo $func->show($listarr[$theline]['ID']); ?></td>
                     <td class="price" onMouseOver="javascript:changeCouleur2(this,'#000000',true);" onMouseOut="javascript:changeCouleur2(this,'#666',false);" onClick="javascript:changeCouleur2(this,'#CC3300',true);window.open('show_folder_doc.php?id=<?php echo $listarr[$theline]['ID']; ?>','', 'scrollbars=yes, resizable=no, width='+screen.availWidth+',height='+screen.availHeight);">
						<?php echo $listarr[$theline]['PRIORITY']; ?>
                     </td>
				 	 <td onMouseOver="javascript:changeCouleur2(this,'#000000',true);" onMouseOut="javascript:changeCouleur2(this,'#666',false);" onClick="javascript:changeCouleur2(this,'#CC3300',true);window.open('show_folder_doc.php?id=<?php echo $listarr[$theline]['ID']; ?>','', 'scrollbars=yes, resizable=no, width='+screen.availWidth+',height='+screen.availHeight);"><?php echo $func->show($listarr[$theline]['NOM']); ?></td>
                      <td class="type" onMouseOver="javascript:changeCouleur2(this,'#000000',true);" onMouseOut="javascript:changeCouleur2(this,'#666',false);" onClick="javascript:changeCouleur2(this,'#CC3300',true);window.open('show_folder_doc.php?id=<?php echo $listarr[$theline]['ID']; ?>','', 'scrollbars=yes, resizable=no, width='+screen.availWidth+',height='+screen.availHeight);"><?php if($_SESSION['config']['corporate'] == "true" && $_SESSION['config']['replace_subject_by_society'] == "true"){echo  $func->show($listarr[$theline]['SOCIETE']);}else{echo $func->show($listarr[$theline]['OBJET']);} ?></td>
					  <td onMouseOver="javascript:changeCouleur2(this,'#000000',true);" onMouseOut="javascript:changeCouleur2(this,'#666',false);" onClick="javascript:changeCouleur2(this,'#CC3300',true);window.open('show_folder_doc.php?id=<?php echo $listarr[$theline]['ID']; ?>','', 'scrollbars=yes, resizable=no, width='+screen.availWidth+',height='+screen.availHeight);"><?php echo $func->show($listarr[$theline]['TYPE']); ?></td>
					  <td onMouseOver="javascript:changeCouleur2(this,'#000000',true);" onMouseOut="javascript:changeCouleur2(this,'#666',false);" onClick="javascript:changeCouleur2(this,'#CC3300',true);window.open('show_folder_doc.php?id=<?php echo $listarr[$theline]['ID']; ?>','', 'scrollbars=yes, resizable=no, width='+screen.availWidth+',height='+screen.availHeight);"><?php echo $func->show($listarr[$theline]['DEST']); ?></td>
					  <td onMouseOver="javascript:changeCouleur2(this,'#000000',true);" onMouseOut="javascript:changeCouleur2(this,'#666',false);" onClick="javascript:changeCouleur2(this,'#CC3300',true);window.open('show_folder_doc.php?id=<?php echo $listarr[$theline]['ID']; ?>','', 'scrollbars=yes, resizable=no, width='+screen.availWidth+',height='+screen.availHeight);"><?php echo $this->dateformat($listarr[$theline]['LIMITE']); ?></td>
					 
					 <td onMouseOver="javascript:changeCouleur2(this,'#000000',true);" onMouseOut="javascript:changeCouleur2(this,'#666',false);" onClick="javascript:changeCouleur2(this,'#CC3300',true);window.open('show_folder_doc.php?id=<?php echo $listarr[$theline]['ID']; ?>','', 'scrollbars=yes, resizable=no, width='+screen.availWidth+',height='+screen.availHeight);"><?php echo $listarr[$theline]['NBR']; ?></td>
				  <td class="picto"><a href="javascript://" onClick="javascript:window.parent.location='index.php?page=details&amp;id=<?php echo $listarr[$theline]['ID'] ;?>';"><img src="<?php echo $_SESSION['config']['img'];?>/picto_infos.gif"  alt=" <?php echo _DETAILS; ?>"/></a></td>
			</tr>
		<?php }
			   ?></tbody></table>
                <p><em><?php echo _CLICK_LINE_VIEW;?></em> </p>
          <br/>
        <div>
          	<p>
		<?php if(!$_SESSION['current_basket']['no_action'])
		  {
		  ?>

            	<label><?php echo _CHOOSE_ACTION;?> : </label>

                <select name="action" id="action">

                <?php if($_SESSION['current_basket']['can_redirect'] == 'Y' )
				{
					?>
                    <option value="RED"><?php echo _REDIRECTION;?></option>
					<option value="cloture"><?php echo _CLOSE_MAIL;?></option>
                    <?php }
				if($_SESSION['current_basket']['can_delete'] == 'Y')
				{
				?>
                <option value="DEL"><?php echo _DELETION;?></option>
                <?php }
				?>
                </select>
                <input type="submit" name="valid" id="valid" value="<?php echo _VALIDATE;?>" class="button" />


          <?php } ?>
		  <?php if ($_SESSION['user']['print_rights'] == true)
				{
				?><input type="button" onClick="window.open('dep_print_list.php','', 'scrollbars=auto,menubar=no,toolbar=no,resizable=yes,status=no,width=350,height=350');" value="<?php echo _PRINT_BASKET;?>" class="button"> <?php } ?>
               </p>
          </div>
			  </form>
		        </div>
                </body>
                </html>

                <?php }

	/**
	* Alphabetical list of the models
	*
	* @param string  $page  page name
	*/
	public function modelslistletters($page = "models")
	{
		// List all the alphabet letter to view the doc types who are starting with the letter
		if(isset($_GET['show']))
		{
			if($_GET['show'] == "false")
			{
				$show = "&show=false";
			}
			else
			{
				$show = "";
			}
		}
		else
		{
			$show = "";
		}
		?>
		<form action="index.php" method="get" name="frmletters" id="frmletters">
			<fieldset>
				<p>
					<input name="what" type="text" class="textbox medium" value="" />
					<input name="Submit" type="submit" value="<?php echo _SEARCH; ?>" class="button" />
					<input name="page" type="hidden" value="<?php echo $page; ?>" />
					<?php if($show == "&show=false") { ?><input name="show" type="hidden" value="false" /><?php } ?>
				</p>
			</fieldset>
				<p><strong><?php echo _ALPHABETICAL_LIST; ?></strong> :

				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=A">A</a>
				<a href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=B">B</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=C">C</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=D">D</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=E">E</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=F">F</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=G">G</a>
				<a href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=H">H</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=I">I</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=J">J</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=K">K</a>
				<a href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=L">L</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=M">M</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=N">N</a>
				<a href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=O">O</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=P">P</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=Q">Q</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=R">R</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=S">S</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=T">T</a>
				<a href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=U">U</a>
				<a href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=V">V</a>
				<a href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=W">W</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=X">X</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=Y">Y</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=Z">Z</a>
				- <a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>"><?php echo _ALL_DEPARTMENTS;?></a>

			</p>

				</form>

		<?php }

	/**
	* List of models
	*
	* @param string  $where $where clause
	* @param string  $what sort info
	*/
	public function modelslist($where = "",$what = "")
	{
		// draw the models list
		$func = new functions();

		/* Configuration */
		$title = _MODELS_LIST;
		$page_name = "models";
		$table_name = $_SESSION['tablename']['models'];
		$res_table = "res_x";
		$nb_show = $_SESSION['config']['nblinetoshow'];


		if(!empty($what))
		{
			$what = "&what=".$what;
		}

		if(!empty($where))
		{
			$where = " where ".$where;
		}
		/***********************/

		$this->connect();
		$this->query("select count(*) as total from ".$table_name." ".$where);
		$nb_total_1 = $this->fetch_object();
		$nb_total = $nb_total_1->total;

		// define the defaults values
		$nb_pages = ceil($nb_total/$nb_show);

		$link = "index.php?page=".$page_name."&start=".$this->the_start."&order=".$this->orderby.$what;

		if($nb_pages > 1)
		{
			$next_start = 0;

			$page_list1 = '<form name="newpage1" id="newpage1" method="get" action="index.php?page=groups" >
			<p>
				<label for="startpage">'._GO_TO_PAGE.'</label>
				<select name="startpage" id="startpage" class="textbox small" onchange="window.location.href=\''.$link.'&amp;start=\'+document.newpage1.startpage.value;">';

			$page_list2 = '<form name="newpage2" id="newpage2" method="get" action="index.php?page=groups"  >
			<p>
				<label for="startpage">'._GO_TO_PAGE.'</label>
				<select name="startpage" id="startpage" class="textbox small" onchange="window.location.href=\''.$link.'&amp;start=\'+document.newpage2.startpage.value;">';

			$lastpage = 0;

			for($i = 0;$i <> $nb_pages; $i++)
			{
				$page_name = $i + 1;

				$the_line = $i + 1;
				if($this->the_start == $next_start)
				{
					$page_list1 .= "<option value=\"".$next_start."\" selected=\"selected\">".$the_line."</option>";
					$page_list2 .= "<option value=\"".$next_start."\" selected=\"selected\">".$the_line."</option>";
				}
				else
				{
					$page_list1 .= "<option value=\"".$next_start."\">".$the_line."</option>";
					$page_list2 .= "<option value=\"".$next_start."\">".$the_line."</option>";
				}

				$next_start = $next_start + $nb_show;
				$lastpage = $next_start;
			}

			$lastpage = $lastpage - $nb_show;

			$previous = "";
			$next = "";

			if($this->the_start > 0)
			{
				$start_prev = $this->the_start - $nb_show;
				$previous = '<a href="'.$link.'&amp;start='.$start_prev.'" class="prev">'._PREVIOUS.'</a>';
			}

			if($this->the_start <> $lastpage)
			{
				$start_next = $this->the_start + $nb_show;
				$next = '<a href="'.$link.'&amp;start='.$start_next.'" class="next">'._NEXT.'</a>';
			}

			$page_list1 = $page_list1."</select>";
			$page_list2 = $page_list2."</select>";

			if($previous <> '' || $next <> '')
			{
				if(empty($previous)) { $previous = "&nbsp;"; }
				if(empty($next)) { $next = "&nbsp;"; }

				$page_list1 .= $previous." ".$next.'</p></form>';
				$page_list2 .= $previous." ".$next.'</p></form>';
			}
		}

		$this->query("select distinct ID from ".$table_name." ".$where." order by label asc limit ".$this->the_start.",".$nb_show);

			echo '<h1><img src="'.$_SESSION['config']['img'].'/picto_types_b.gif" alt="" /> '.$title.'</h1>

			<div id="inner_content" class="clearfix">';

		$this->modelslistletters();
		 echo $page_list1;
		?>
		<table cellpadding="0" cellspacing="0" border="0" class="listing spec">
				<thead>
					<tr>
						<th class="id"><?php echo _WORDING;?></th>
						<th class="title"><?php echo _DESC;?> </th>

				   		<th colspan="3" align="right" class="price"><span class="add clearfix"><a  href="index.php?page=model_add"  ><span><?php echo _ADD_MODEL;?></span></a></span></th>
				  </tr>
				</thead>
				<tfoot>
					<tr>
						<td colspan="7" class="price"><span class="add clearfix"><a  href="index.php?page=model_add"  ><span><?php echo _ADD_MODEL;?></span></a></span></td>
					</tr>
				</tfoot>
				<tbody>

		<?php $db = new dbquery();
		$db->connect();

		$color = "line1";
		while($line = $this->fetch_object())
		{
			if($color == ' class="col"')
			{
				$color = '';
			}
			else
			{
				$color = ' class="col"';
			}
			$db->query("select ID, LABEL, COMMENT from ".$table_name." where ID ='".$line->ID."'");
			$desc = "";
			$line2 = $db->fetch_object();
			$desc = $line2->LABEL;
			$comment = $line2->COMMENT;
			?>
			<tr <?php echo $color; ?>>
				<td class="id"><strong><?php echo $desc; ?></strong></td>
				<td class="descr"><?php echo $comment; ?></td>

				<td class="action">
                <a href="index.php?page=model_up&amp;id=<?php echo $line->ID;?>" class="change"  ><?php echo _MODIFY; ?></a>
                </td>
				<td class="action">

					<a href="model_del.php?id=<?php echo $line->ID;?>" class="delete" onClick="return (confirm('<?php echo ' '._REALLY_DELETE.' '.addslashes($line2->LABEL).' ('.addslashes($line->ID).') ?\n'._DEFINITIVE_ACTION."!";?>'));" ><?php echo _DELETE;?></a>
				</td>
			</tr>
				<?php }
			?>
			</tbody>
		</table>
		</div>

		<?php $this->clearmodelinfos();
		$_SESSION['services'] = array();
		$this->query("select ID, SERVICE from ".$_SESSION['tablename']['services']." where ENABLED = 'Y'");

		while($line = $this->fetch_object())
		{
			array_push($_SESSION['services'], array("ID"=>$line->ID, "LABEL" => $line->SERVICE));
		}
		$_SESSION['chosen_services'] = array();
	}

	/**
	* Clear the session variables of the model administration
	*
	*/
	private function clearmodelinfos()
	{
		// clear the session variable for the models
		$_SESSION['m_admin']['model'] = array();
		$_SESSION['m_admin']['model']['ID'] = "";
		$_SESSION['m_admin']['model']['LABEL'] = "";
		$_SESSION['m_admin']['model']['COMMENT'] = "";
		$_SESSION['m_admin']['model']['DATE'] = "";
		$_SESSION['m_admin']['model']['CONTENT'] = "";
		$_SESSION['m_admin']['model']['SERVICES'] = array();

	}

	/**
	* Form to add or modify a model
	*
	* @param string  $mode  up or add
	* @param string  $id  identifier of the model to modify
	*/
	public function formmodel($mode,$id = "")
	{
		$func = new functions();

		$state = true;

		if(!isset($_SESSION['m_admin']['model']))
		{
			$this->clearmodelinfos();
		}

		if( $mode <> "add" && empty($_SESSION['error']))
		{
			$this->connect();
			$this->query("select * from ".$_SESSION['tablename']['models']." where ID = '".$id."'");

			if($this->nb_result() == 0)
			{
				$_SESSION['error'] = _MODEL.' '._UNKNOWN;
				$state = false;
			}
			else
			{
				$_SESSION['m_admin']['model'] = array();
				$line = $this->fetch_object();

				$_SESSION['m_admin']['model']['ID'] = $line->ID;
				$_SESSION['m_admin']['model']['LABEL'] = trim($line->LABEL);
				$_SESSION['m_admin']['model']['COMMENT'] = trim($line->COMMENT);
				$_SESSION['m_admin']['model']['DATE'] = $line->CREATION_DATE;
				$_SESSION['m_admin']['model']['CONTENT'] = stripslashes($line->CONTENT);

				//$_SESSION['m_admin']['model']['CONTENT'] = str_replace("\'", "'",$line->CONTENT);
				//$_SESSION['m_admin']['model']['CONTENT'] = str_replace('\"', '"' ,$line->CONTENT);
				//$_SESSION['m_admin']['model']['CONTENT'] = $line->CONTENT;

				$_SESSION['m_admin']['model']['SERVICES'] = array();
				$this->query("select s.ID, s.SERVICE from ".$_SESSION['tablename']['model_service']." ms, ".$_SESSION['tablename']['services']." s where ms.ID_MODEL = ".$_SESSION['m_admin']['model']['ID']." and s.ID = ms.ID_SERVICE");
				//$this->show();
				while($res = $this->fetch_object())
				{
					array_push($_SESSION['m_admin']['model']['SERVICES'] , array('ID' =>$res->ID, 'LABEL' => $res->SERVICE));
				}

			}
		}
		?>
		<h1><img src="<?php echo $_SESSION['config']['img'];?>/picto_add_b.gif" alt="" />
				<?php if($mode == "up")
				{
					echo _MODEL_MODIFICATION;
				}
				elseif($mode == "add")
				{
					echo _MODEL_ADDITION;
				}
				?>
				</h1>


		<div id="inner_content" class="clearfix">


			<?php if($state == false)
			{
			?>
            	<script language="javascript" type="text/javascript">window.document.location.href = 'index.php?page=models';</script>
            <?php }
			else
			{
				?>

				<form name="frmmodel" id="frmmodel" method="post" action="model_up_db.php" class="forms">
				<input type="hidden" name="mode" id="mode" value="<?php echo $mode;?>" />
						<?php if($mode == "up")
						{
						?>
							<input  type="hidden" name="model_id" id="model_id" value="<?php echo $_SESSION['m_admin']['model']['ID']; ?>"/>
						<?php }?>
                        <p>
                        	<label><?php echo _WORDING;?> :</label>
                            <input type="text" name="model_name" id="model_name" value="<?php echo $_SESSION['m_admin']['model']['LABEL'];?>"/><span class="red_asterisk">*</span>
                        </p>
                        <p>
                        	<label><?php echo _DESC;?> :</label>
                             <textarea name="model_comment" id="model_comment" rows="3" cols="15" ><?php echo $_SESSION['m_admin']['model']['COMMENT'];?></textarea>
                        </p>
                        <p>
                        <textarea name="model_content" style="width:100%" rows="15" cols="60"><?php echo $_SESSION['m_admin']['model']['CONTENT'];?></textarea>
                        </p>
                        <div align="center">
                        	<iframe align="middle" name="associated_services" id="associated_services" src="associated_services.php" frameborder="0" height="180px" width="600px;"></iframe>
                        </div>
						<p class="buttons">
									<?php /*	if($mode == "up")
						{
						?>
							<input class="button" type="submit" name="Submit" value="<?php echo _MODIFY_DEPARTMENT; ?>"  />
						<?php }

						elseif($mode == "add")
						{
						?>
							<input type="submit" class="button"  name="Submit" value="<?php echo _ADD_MODEL; ?>" />
						<?php }*/
						?>
                        <input type="submit" class="button"  name="Submit" value="<?php echo _VALIDATE; ?>" />
                        <input type="button" onClick="javascript:window.location.href='index.php?page=models';" class="button"  name="cancel" value="<?php echo _CANCEL; ?>" />
								</p>

					</form >

			<?php }
			?>

		</div>
	<?php }

	/**
	* Verify the model informations
	*
	*/
	private function modelinfo()
	{
		$func = new functions();

		if(!isset($_REQUEST['mode']))
		{
			$_SESSION['error'] = _UNKNOWN_PARAM."<br />";
		}
		$allowedTags='<p><strong><em><u><h1><h2><h3><h4><h5><h6><img>';
 		$allowedTags.='<li><ol><ul><span><div><br><ins><del><blockquote><font><strike><table><tr><td><th><tbody><thead><tfooter><caption>';

  		if($_REQUEST['model_content']!='')
		{
  		  $_SESSION['m_admin']['model']['CONTENT'] = strip_tags(addslashes(trim($_REQUEST['model_content'])),$allowedTags);
  		}
		else
		{
		 $_SESSION['m_admin']['model']['CONTENT'] = '';
			//$_SESSION['error'] .= _MODEL_EMPTY.".<br/>";
		}
		$_SESSION['m_admin']['model']['LABEL'] = $func->wash($_REQUEST['model_name'], "no", _THE_WORDING);
		$_SESSION['m_admin']['model']['LABEL'] = trim(stripslashes($_SESSION['m_admin']['model']['LABEL']));

		$_SESSION['m_admin']['model']['COMMENT'] = "";
		if(!empty($_REQUEST['model_comment']) && isset($_REQUEST['model_comment']))
		{
			$_SESSION['m_admin']['model']['COMMENT'] = trim(stripslashes($_REQUEST['model_comment']));
		}
		if($_REQUEST['mode'] == "up")
		{
			$_SESSION['m_admin']['model']['ID'] = $func->wash($_REQUEST['model_id'], "no", _ID);
		}

		//if(count($_SESSION['m_admin']['model']['SERVICES']) < 1)
		//{
		//	$_SESSION['error'] .= _ATTACH_MODEL_TO_DEP.".<br/>";
		//}


	}

	/**
	* Update the database with the model data
	*
	*/
	public function upmodel()
	{
		$this->modelinfo();

		if(!empty($_SESSION['error']))
		{
			if($_REQUEST['mode'] == "up")
			{
				if(!empty($_SESSION['m_admin']['model']['ID']))
				{
					header("location: index.php?page=model_up&id=".$_SESSION['m_admin']['label']['ID']);
					exit;
				}
				else
				{
					header("location: index.php?page=models");
					exit;
				}
			}

			elseif($_REQUEST['mode'] == "add" )
			{
				header("location: index.php?page=model_add");
				exit;
			}
		}
		else
		{
			$this->connect();

			if( $_REQUEST['mode'] <> "add")
			{

				$this->query("update `".$_SESSION['tablename']['models']."` set LABEL = '".addslashes($_SESSION['m_admin']['model']['LABEL'])."' , COMMENT = '".addslashes($_SESSION['m_admin']['model']['COMMENT'])."', CONTENT = '".$_SESSION['m_admin']['model']['CONTENT']."' where ID = '".$_SESSION['m_admin']['model']['ID']."'");

				$this->query("Delete from ".$_SESSION['tablename']['model_service']." where ID_MODEL = '".$_SESSION['m_admin']['model']['ID']."'");

				for($i=0; $i < count($_SESSION['m_admin']['model']['SERVICES']);$i++)
				{
					$this->query("insert into ".$_SESSION['tablename']['model_service']." ( ID_SERVICE, ID_MODEL  ) VALUES ( '".$_SESSION['m_admin']['model']['SERVICES'][$i]['ID']."', ".$_SESSION['m_admin']['model']['ID'].")");
				}

				if($_REQUEST['mode'] == "up")
				{
					$_SESSION['error'] = _MODEL_MODIFICATION;
					if($_SESSION['history']['modelsup'] == "true")
					{
						require_once("class_history.php");
						$users = new history();
						$users->add($_SESSION['tablename']['models'], $_SESSION['m_admin']['model']['ID'],"UP",_MODEL_MODIFICATION." : ".$_SESSION['m_admin']['model']['LABEL']);
					}
				}

				$this->clearmodelinfos();
				header("location: index.php?page=models");
				exit;
			}
			else
			{
				$this->query("select LABEL from ".$_SESSION['tablename']['models']." where LABEL = '".addslashes($_SESSION['m_admin']['model']['LABEL'])."'");

				if($this->nb_result() > 0)
				{
					$_SESSION['error'] = _THE_MODEL.' '.$_SESSION['m_admin']['model']['LABEL'].' '._ALREADY_EXISTS;
					header("location: index.php?page=model_add");
					exit;
				}
				else
				{
					require_once("class_history.php");
					$users = new history();

				 if( $_REQUEST['mode'] == "add")
				 {
				 	$this->query("INSERT INTO ".$_SESSION['tablename']['models']." ( LABEL, CREATION_DATE, COMMENT, CONTENT  ) VALUES ( '".addslashes($_SESSION['m_admin']['model']['LABEL'])."', now(),'".addslashes($_SESSION['m_admin']['model']['COMMENT'])."', '".$_SESSION['m_admin']['model']['CONTENT']."')");
					$this->query("select ID from ".$_SESSION['tablename']['models']." where LABEL = '".addslashes($_SESSION['m_admin']['model']['LABEL'])."' and COMMENT = '".addslashes($_SESSION['m_admin']['model']['COMMENT'])."' and CONTENT = '".$_SESSION['m_admin']['model']['CONTENT']."'");
					$res = $this->fetch_object();
					$_SESSION['m_admin']['model']['ID'] = $res->ID;

					if($_SESSION['history']['modelsadd'] == "true")
					{
						$users->add($_SESSION['tablename']['models'], $_SESSION['m_admin']['model']['ID'],"ADD", _MODEL_ADDED." : ".$_SESSION['m_admin']['model']['LABEL']);
				 	}
				 }


			//	$this->query("Delete from ".$_SESSION['tablename']['model_service']." where ID = ".$_SESSION['m_admin']['model']['ID']);

				for($i=0; $i < count($_SESSION['m_admin']['model']['SERVICES']);$i++)
				{
					$this->query("insert into ".$_SESSION['tablename']['model_service']." (ID_MODEL, ID_SERVICE  ) VALUES (".$_SESSION['m_admin']['model']['ID'].", '".$_SESSION['m_admin']['model']['SERVICES'][$i]['ID']."' )");
				}
					$_SESSION['error'] = _MODEL_ADDED;


				}

				$_SESSION['error'] = "";
			}

			if ($_REQUEST['mode'] == "add")
			{
				$url = "index.php?page=models";
			}

			$this->clearmodelinfos();
			header("location: ".$url);
			exit;
		}
	}

	/**
	* replace the defined fields in the instance of the model
	*
	* @param string  $content model content
	*/
	public function fields_replace($content)
	{
		$content = str_replace("[REF_COURRIER]",  $_SESSION['courrier']['identifier'], $content);
		$content = str_replace("[NO_AFFAIRE]",  $_SESSION['courrier']['res_id'], $content);
		$content = str_replace("[CIV_EMETTEUR]",  $_SESSION['courrier']['civ'], $content);
		$content = str_replace("[NOM_EMETTEUR]",  $_SESSION['courrier']['author'], $content);
		$content = str_replace("[PRENOM_EMETTEUR]",  $_SESSION['courrier']['prenom'], $content);
		$content = str_replace("[SOCIETE_EMETTEUR]", $_SESSION['courrier']['societe'], $content);
		$content = str_replace("[OBJET]",  $_SESSION['courrier']['description'], $content);
		$content = str_replace("[TYPE]",  $_SESSION['courrier']['type_id'], $content);
		$content = str_replace("[DATE_LIM]",  $_SESSION['courrier']['date_limite'], $content);
		$content = str_replace("[DATE_ARRIVEE]",  $_SESSION['courrier']['date_arrivee'], $content);
		$content = str_replace("[NATURE]",  $_SESSION['courrier']['nature'], $content);

		$this->query("select SERVICE from ".$_SESSION['tablename']['services']." where ID = '".$_SESSION['courrier']['service']."'");
		$res = $this->fetch_object();
		$content = str_replace("[SERVICE]",  $res->SERVICE, $content);

		$content = str_replace("[NEW_EMETTEUR]",  $_SESSION['user']['FirstName'].' '.$_SESSION['user']['LastName'], $content);
		$content = str_replace("[PHONE_EMETTEUR]",  $_SESSION['user']['Phone'], $content);
		$content = str_replace("[MAIL_EMETTEUR]",  $_SESSION['user']['Mail'], $content);
		$content = str_replace("[DEP_EMETTEUR]",  $_SESSION['user']['department'], $content);

		$content = str_replace("[REP_COURRIER_SIMPLE]",  $_SESSION['courrier']['rep_courrier_simple'], $content);
		$content = str_replace("[REP_DIRECT]",  $_SESSION['courrier']['rep_direct'], $content);
		$content = str_replace("[REP_MAIL]",  $_SESSION['courrier']['rep_mail'], $content);
		$content = str_replace("[REP_AR]", $_SESSION['courrier']['rep_AR'], $content);
		$content = str_replace("[REP_FAX]",  $_SESSION['courrier']['rep_fax'], $content);
		$content = str_replace("[REP_AUTRE]",  $_SESSION['courrier']['rep_autre'], $content);
		$content = str_replace("[NOTES_TRAIT]", $_SESSION['courrier']['notes'], $content);

		$content = str_replace("[QUALITE]", $_SESSION['courrier']['qualite'], $content);
		$content = str_replace("[NUM_RUE]",  $_SESSION['courrier']['num_rue'], $content);
		$content = str_replace("[RUE]",  $_SESSION['courrier']['rue'], $content);
		$content = str_replace("[VILLE]", $_SESSION['courrier']['ville'], $content);
		$content = str_replace("[CODE_POSTAL]",  $_SESSION['courrier']['code'], $content);

		$content = str_replace("[DATE_TODAY]",  date("d-m-Y"), $content);

		return $content;
	}

	/**
	* delete a model in the database
	*
	* @param string $id model identifier
	*/
	public function delmodel($id)
	{
		if(!empty($_SESSION['error']))
		{
			header("location: index.php?page=models");
			exit;
		}
		else
		{
			$this->connect();

			$this->query("select ID, LABEL from ".$_SESSION['tablename']['models']." where ID = ".$id);

			if($this->nb_result() == 0)
			{
				$_SESSION['error'] = _MODEL.' '._UNKNOWN;
				header("location: index.php?page=models");
				exit;
			}
			else
			{
				$res = $this->fetch_object();
				$label = $res->LABEL;
				$this->query("delete from ".$_SESSION['tablename']['models']." where ID = ".$id);
				$this->query("delete from ".$_SESSION['tablename']['model_service']." where ID_MODEL = ".$id);

				if($_SESSION['history']['modelsdel'])
				{
					require_once("class_history.php");
					$users = new history();
					$users->add($_SESSION['tablename']['models'], $id,"DEL",_MODEL_DELETION." : ".$label);
				}
					$_SESSION['error'] = _DELETED_MODEL;
					header("location: index.php?page=models");
					exit;
			}
		}
	}

	/**
	* delete a model in the database
	*
	* @param string $id model identifier
	*/
	public function delemet($id)
	{
		if(!empty($_SESSION['error']))
		{
			header("location: index.php?page=emet");
			exit;
		}
		else
		{
			$this->connect();

			$this->query("select ID from ".$_SESSION['tablename']['senders']." where ID = ".$id);

			if($this->nb_result() == 0)
			{
				$_SESSION['error'] = _SHIPPER.' '._UNKNOWN;
				header("location: index.php?page=emet");
				exit;
			}
			else
			{
				$res = $this->fetch_object();
				$label = $res->LABEL;
				$this->query("delete from ".$_SESSION['tablename']['senders']." where ID = ".$id);

					$_SESSION['error'] = _SHIPPER." ".strtolower(_DELETED);
					header("location: index.php?page=emet");
					exit;
			}
		}
	}

	/**
	* delete a model in the database
	*
	* @param string $id model identifier
	*/
	public function delsender($id)
	{
		if(!empty($_SESSION['error']))
		{
			header("location: index.php?page=sender");
			exit;
		}
		else
		{
			$this->connect();

			$this->query("select ID from ".$_SESSION['tablename']['senders']." where ID = ".$id);

			if($this->nb_result() == 0)
			{
				$_SESSION['error'] = _SENDER.' '._UNKNOWN;
				header("location: index.php?page=sender");
				exit;
			}
			else
			{
				$res = $this->fetch_object();
				$label = $res->LABEL;
				$this->query("delete from ".$_SESSION['tablename']['senders']." where ID = ".$id);

					$_SESSION['error'] = _SENDER." ".strtolower(_DELETED);
					header("location: index.php?page=sender");
					exit;
			}
		}
	}


	/**
	* List of the out mail basket
	*
	* @param  array  $listarr contains the document index of the out basket
	* @param int  $nb_total  number of document
	* @param string  $title  title
	* @param string  $name  page name
	*/
	public function mail_out($listarr, $nb_total, $title, $name)
	{
		//$_SESSION['diff'] = array();
		$_SESSION['error'] = '';

		// show the document list in result of the search
		$page_list1 = "";
		$page_list2 = "";

		$func = new functions();

		if(isset($_REQUEST['start']))
		{
			$start = strip_tags($_REQUEST['start']);
		}
		else
		{
			$start = 0;
		}

		if(isset($_GET['order']))
		{
			$orderby = strip_tags($_GET['order']);
		}
		else
		{
			$orderby = 0;
		}


			$link = "index.php?page=".$name;


		// define the defaults values
		$nb_show = $_SESSION['config']['nblinetoshow'];
		$nb_pages = ceil($nb_total/$nb_show);

		// if they are more than 1 page we do pagination with 2 forms
			if($nb_pages > 1)
		{
			$next_start = 0;

			$page_list1 = '<form action="" name="newpage1" id="newpage1" class="smallforms" method="get">
				<p>
					<label for="startpage">'._GO_TO_PAGE.'</label>
					<select name="startpage" id="startpage" class="textbox small" onchange="window.location.href=\''.$link.'&amp;order='.$orderby.'&amp;start=\'+document.newpage1.startpage.value;">';
			$page_list2 = '<form action="" name="newpage2" id="newpage2" class="smallforms" method="get">
				<p>
					<label for="startpage">'._GO_TO_PAGE.'</label>
					<select name="startpage" id="startpage" class="textbox small" onchange="window.location.href=\''.$link.'&amp;order='.$orderby.'&amp;start=\'+document.newpage2.startpage.value;">';
			$lastpage = 0;

			for($i = 0;$i <> $nb_pages; $i++)
			{
				$page_name = $i + 1;

				$the_line = $i + 1;
				if($start == $next_start)
				{
					$page_list1 .= "<option value=\"".$next_start."\" selected>".$the_line."</option>";
					$page_list2 .= "<option value=\"".$next_start."\" selected>".$the_line."</option>";
				}
				else
				{
					$page_list1 .= "<option value=\"".$next_start."\">".$the_line."</option>";
					$page_list2 .= "<option value=\"".$next_start."\">".$the_line."</option>";
				}

				$next_start = $next_start + $nb_show;
				$lastpage = $next_start;
			}

			$lastpage = $lastpage - $nb_show;

			$previous = "";
			$next = "";

			if($start > 0)
			{
				$start_prev = $start - $nb_show;
				$previous = "< <a href=\"".$link."&start=".$start_prev."&order=".$orderby."\">"._PREVIOUS."</a> ";
			}

			if($start <> $lastpage)
			{
				$start_next = $start + $nb_show;
				$next = " <a href=\"".$link."&start=".$start_next."&order=".$orderby."\">"._NEXT."</a> >";
			}

			$page_list1 = $page_list1."</select>".$previous." ".$next."</p></form>";
			$page_list2 = $page_list2."</select>".$previous." ".$next."</p></form>";

		}
		?>
			<h1><img src="<?php echo $_SESSION['config']['img'];?>/picto_post_b.gif" alt="" /> <?php echo $title; ?></h1>

				<div id="inner_content" class="clearfix">
					<?php echo $page_list1;?>
					<form name="choose_mail" id="choose_mail" method="post" action="manage_redirection.php">
                      <input type="hidden" name="start" id="start" value="<?php echo $start;?>" />
					<table cellpadding="0" cellspacing="0" border="0" class="listing">
						<thead>
							<tr>
                            <?php if(!$_SESSION['current_basket']['no_action']){ ?><th>&nbsp;</th><?php }?>
								<th class="price"><?php echo _GED_NUM;?><br/><a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=residdesc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif"  border="0" alt="<?php echo _DESC_SORT;?>" title="<?php echo _DESC_SORT;?>"/></a>
										<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=residasc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" border="0" alt="<?php echo _ASC_SORT;?>" title="<?php echo _ASC_SORT;?>" /></a>
								</th>
                                <th class="date"><?php echo _MAIL_DATE;?> <a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=arrivdesc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif"  border="0" alt="<?php echo _DESC_SORT;?>" title="<?php echo _DESC_SORT;?>"/></a>
										<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=arrivasc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" border="0" alt="<?php echo _ASC_SORT;?>" title="<?php echo _ASC_SORT;?>" /></a>
								</th>


								<th class="emetteur"><?php echo _SHIPPER2;?><br/><a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=expdesc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif"  border="0" alt="<?php echo _DESC_SORT;?>" title="<?php echo _DESC_SORT;?>"/></a>
										<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=expasc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" border="0" alt="<?php echo _ASC_SORT;?>" title="<?php echo _ASC_SORT;?>"/></a>
								</th>
								<th ><?php if($_SESSION['config']['corporate'] == "true" && $_SESSION['config']['replace_subject_by_society'] == "true")
								{ echo _SOCIETY;?><br/><a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=socidesc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif"  border="0" alt="<?php echo _DESC_SORT;?>" title="<?php echo _DESC_SORT;?>"/></a>
										<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=sociasc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" border="0" alt="<?php echo _ASC_SORT;?>" title="<?php echo _ASC_SORT;?>"/></a>
                                  <?php }
								  else
								  {
								  echo _OBJECT;?><br/><a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=objdesc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif"  border="0" alt="<?php echo _DESC_SORT;?>" title="<?php echo _DESC_SORT;?>"/></a>
										<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=objasc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" border="0" alt="<?php echo _ASC_SORT;?>" title="<?php echo _ASC_SORT;?>"/></a>
                                    <?php } ?>
								</th>
								<th ><?php echo _DEPARTMENT;?><br/><a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=servdesc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif"  border="0" alt="<?php echo _DESC_SORT;?>" title="<?php echo _DESC_SORT;?>"/></a>
										<a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=servasc">
										<img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" border="0" alt="<?php echo _ASC_SORT;?>" title="<?php echo _ASC_SORT;?>" /></a>
								</th>
                                <th>&nbsp;</th>
                                <th>&nbsp;</th>
							</tr>
						</thead>
						<tbody>
		<?php $color = "";
		for($theline = 0; $theline < count($listarr) ; $theline++)
		{
			if($color == ' class="col"')
			{
				$color = '';
			}
			else
			{
				$color = ' class="col"';
			}
			?>
		<tr <?php echo $color; ?>>
					  <?php if(!$_SESSION['current_basket']['no_action']){ ?><td><input type="checkbox" name="mail[]" value="<?php echo $listarr[$theline]['ID']; ?>" /></td><?php } ?>
                  <td class="price"  ><?php echo $listarr[$theline]['ID']; ?></td>
				<td class="date" ><?php echo $listarr[$theline]['ARRIVEE']; ?></td>

             	<td class="emetteur" ><?php echo $listarr[$theline]['EMETTEUR']; ?></td>
				<td ><?php if($_SESSION['config']['corporate'] && $_SESSION['config']['replace_subject_by_society'] == "true")
				{
					echo $listarr[$theline]['SOCIETE'];
				}
				else
				{
					echo $func->show($listarr[$theline]['OBJET']);
				}?></td>
				<td ><?php echo $listarr[$theline]['SERVICE']; ?></td>
                <td class="picto"><a href="index.php?page=details&id=<?php echo $listarr[$theline]['ID'] ;?>"><img src="<?php echo $_SESSION['config']['img'];?>/picto_infos.gif"  alt=" <?php echo _DETAILS; ?>"/></a> </td>
                <td class="picto"><?php echo "<a href='view.php?id=".$listarr[$theline]['ID']."' target=\"_blank\">
				  		<img src='".$_SESSION['config']['img']."/picto_dld.gif'alt='"._SHOW_MAIL."' border='0'/></a>"; ?></td>

		   </tr>
		   <?php }
			?>
		  </tbody>
		  </table>


          <br/>
          <?php if(!$_SESSION['current_basket']['no_action'])
		  {
		  ?>
          <div>
          	<p>
            	<label><?php echo _CHOOSE_ACTION;?> : </label>

                <select name="action" id="action">

                <?php if($_SESSION['current_basket']['can_redirect'] == 'Y' )
				{
					?>
                    <option value="RED"><?php echo _REDIRECTION;?></option>
                    <?php }
				if($_SESSION['current_basket']['can_delete'] == 'Y')
				{
				?>
                <option value="DEL"><?php echo _DELETION;?></option>
                <?php }
				?>
                </select>
                <input type="submit" name="valid" id="valid" value="<?php echo _VALIDATE;?>" class="button" />
            </p>
          </div>
          <?php } ?>
            </form>
	</div>

		<?php }

	public function manage_list($res_id, $user_id)
	{
		$this->query("select * from ".$_SESSION['tablename']['listinstance']." where res_id = ".$res_id);

		if($this->nb_result() < 1)
		{
			$this->query("insert into ".$_SESSION['tablename']['listinstance']."  (res_table, res_id, sequence, user_id, by_user_id)  values ('res_x', ".$res_id.", 1, '".$user_id."','".$_SESSION['user']['UserId']."')");
			//$this->show();
		}
		else
		{
			$this->query("update ".$_SESSION['tablename']['listinstance']." set user_id = '".$user_id."', by_user_id = '".$_SESSION['user']['UserId']."' where res_id = ".$res_id." and res_table = 'res_x' and sequence = 1");
			//$this->show();
		}
		//exit();
	}

	/**
	* delete a note in the database
	*
	* @param string $id note identifier
	*/
	public function delnote($id, $resid)
	{
		if(!empty($_SESSION['error']))
		{
		?>
			<script language="javascript" type="text/javascript">
			window.parent.document.location = "index.php?page=details&id=<?php echo $resid; ?> ";
			</script>
		<?php exit;
		}
		else
		{
			$this->connect();

			$this->query("select ID from ".$_SESSION['tablename']['notes']." where ID = ".$id." and USER_ID = '".$_SESSION['user']['UserId']."'");

			if($this->nb_result() == 0)
			{
				$_SESSION['error'] = _CANT_DELETE_NOTE;
				header("location: index.php?page=details&id=".$resid);
				exit;
			}
			else
			{
				$res = $this->fetch_object();
				$label = $res->LABEL;
				$this->query("delete from ".$_SESSION['tablename']['notes']." where ID = ".$id);

				//Mise à jour de l'historique
				if($_SESSION['history']['notesdel'])
				{
					require_once("class_history.php");
					$hist = new history();

					$hist->add($_SESSION['tablechoice'], $resid ,"DEL", _DELETION_NOTE);

				}

				header("location: notes_courrier.php?id=".$resid);
				exit;
			}
		}
	}

	public function increment_viewed_var($res_table, $res_id, $user_id)
	{
		if(!empty($res_table) && !empty($res_id) && !empty($user_id))
		{
			$this->connect();
			$this->query("select viewed from ".$_SESSION['tablename']['listinstance']." where res_table ='".$res_table."' and res_id = ".$res_id." and user_id = '".$user_id."'");

			if($this->nb_result() == 0)
			{
				return false;
			}
			else
			{
				$res = $this->fetch_object();
				$viewed = $res->viewed;
				$viewed ++;
				$this->query("update ".$_SESSION['tablename']['listinstance']." set viewed = ".$viewed." where  res_table ='".$res_table."' and res_id = ".$res_id." and user_id = '".$user_id."'");
				//$this->show();
				return true;
			}
		}
		else
		{
			return false;
		}
	}
	
	public function release($res_id, $res_table)
	{
		$this->connect();
		$this->query("DELETE FROM ".$_SESSION['tablename']['param']." where key1 = '".$res_table."' and key2 = '".$res_id."' and id = 'affaire_reservee'");
	}

	public function is_locked($res_id, $res_table, $time)
	{
		
		$nextime = time() + ($time * 60);
		
		$this->connect();
		$this->query("SELECT param_value_char as by_user_id, value as locktime from ".$_SESSION['tablename']['param']." 
					  WHERE id = 'affaire_reservee'
					  AND key1 = '".$res_table."' 
					  AND key2 = '".$res_id."'");
			
		$locked = false;
				
		if($res = $this->fetch_object())
		{
			if( $res->by_user_id == $_SESSION['user']['UserId'] )
			{
				$this->query("UPDATE ". $_SESSION['tablename']['param']." 
							  SET value = '".$nextime."' 
							  where key1 = '".$res_table."' 
							  AND key2 = '".$res_id."' 
							  AND id = 'affaire_reservee'");
			}
			else
			{
				$locked = true;
			}
		}
		else
		{
			$this->query("	INSERT INTO ".$_SESSION['tablename']['param']." 
							(key1, key2, id, value,param_value_char) VALUES 
							('".$res_table."','".$res_id."','affaire_reservee','".$nextime."','".$_SESSION['user']['UserId']."')");
		}
		
		return $locked;
	}
	
	public function test_reserved_time($res_id, $res_table)
	{
		$this->connect();
		
		$this->query("SELECT param_value_char as by_user_id, value as locktime from ".$_SESSION['tablename']['param']." 
					  WHERE id = 'affaire_reservee'
					  AND key1 = '".$res_table."' 
					  AND key2 = '".$res_id."'");
		
		//Not reserved
		$by_user_id = null;
		
		if($res = $this->fetch_object())
		{
			//Reserved
			
			// Reserved time expired
			if( ($res->locktime - mktime( date("H") , date("i")  , date("s") , date("m") , date("d") , date("Y"))) < 0 )
			{
				$this->query("DELETE FROM ".$_SESSION['tablename']['param']." where key1 = '".$res_table."' and key2 = '".$res_id."' and id = 'affaire_reservee'");
			}
			// Reserved time not yet expired
			else
			{
				$by_user_id = $res->by_user_id;
			}
		}
				
		return $by_user_id;
	}
	
	public function mail_attachement($to, 
									$cc='', 
									$cci='', 
									$subject, 
									$message, 
									$tabDocJoin , 
									$reply ='', 
									$from = '', 
									$fromName = '',
									$isHtml = false
									)
	{
		require_once($_SESSION['config']['path_to_php_mailer']."/class.phpmailer.php");
		require_once($_SESSION['config']['path_to_php_mailer']."/class.smtp.php");

		$mail = new PHPMailer(true); // defaults to using php "mail()"
		
		$mail->IsHTML($isHtml);
		
		//Mail Is SMTP
		if($_SESSION['config']['mail_is_smtp'] == "true")
		{
			$mail->IsSMTP();
			$mail->Host = $_SESSION['config']['mail_host'];
			
			if($_SESSION['config']['mail_smtp_auth'] == "true")
			{
				$mail->SMTPAuth = true; 
				$mail->Username = $_SESSION['config']['mail_user'];
				$mail->Password = $_SESSION['config']['mail_password'];
			}
			else
			{
				$mail->SMTPAuth = false; 
			}
			
		}
		
		//$body = eregi_replace("[\]",'',$message);
		
		$mail->AddReplyTo($reply);
		
		$mail->CharSet = "utf-8";
		$mail->From = $from;
		$mail->FromName = $fromName;
		$mail->AddAddress($to);
		
		if (!empty($cc))
		{
			$mail->AddCC($cc);
		}
		
		if (!empty($cci))
		{
			$mail->AddBCC($cci);
		}
		
		$mail->Subject = $subject;
		$mail->Body = $message;
		//$mail->MsgHTML($body);
		if (count($tabDocJoin) >0)
		{
			foreach ($tabDocJoin as $fichier) 
			{
				$mail->AddAttachment($fichier['PATH'],$fichier['NAME'],'base64',$fichier['TYPEMIME']);
			}
		}
		
		if (!$mail->Send())
		{
			return $mail->ErrorInfo;
		}
		else
		{
			return true;
		}
	}
	
	public function getCountLetter($service_id)
	{
		$this->connect();
		$this->query("SELECT COUNT(*) AS NBR_LETTER FROM res_x WHERE DESTINATION = '$service_id' AND (STATUS <> 'END' AND STATUS <> 'DEL' AND STATUS <> 'ATT' AND STATUS <> 'VAL') AND IS_FOLDER = 'Y' ");
		$res = $this->fetch_object();
		return $res->NBR_LETTER;
	}
	
	public function getBoroughLabel($borough_id)
	{
		$this->connect();
		$this->query("SELECT BOROUGH_LABEL FROM ".$_SESSION['tablename']['borough']." WHERE BOROUGH_ID = '".$borough_id."' ");
		$res = $this->fetch_object();
		return $res->BOROUGH_LABEL;
		
	}
	
	public function getCantonLabel($canton_id)
	{
		$this->connect();
		$this->query("SELECT CANTON_LABEL FROM ".$_SESSION['tablename']['cantons']." WHERE CANTON_ID = '".$canton_id."' ");
		$res = $this->fetch_object();
		return $res->CANTON_LABEL;
		
	}
	
	public function getEpciLabel($epci_id)
	{
		$this->connect();
		$this->query("SELECT EPCI_LABEL FROM ".$_SESSION['tablename']['epci']." WHERE EPCI_ID = '".$epci_id."' ");
		$res = $this->fetch_object();
		return $res->EPCI_LABEL;
		
	}
	
	public function getCommuneLabel($commune_id)
	{
		$this->connect();
		$this->query("SELECT COMMUNE_LABEL FROM ".$_SESSION['tablename']['communes']." WHERE COMMUNE_ID = '".$commune_id."' ");
		$res = $this->fetch_object();
		return $res->COMMUNE_LABEL;
	}
	
	public function get_file($res_id, $table)
	{
		$this->connect();
		$this->query("SELECT IDENTIFIER from ".$table." where RES_ID = ".$res_id);
		
		if($this->nb_result() < 1)
		{
			$_SESSION['error'] .= _DOC_NOT_FOUND.'<br/>';
			
			$the_file = false;
		}
		else
		{
			if($this->nb_result() > 1)
			{
				$_SESSION['error'] .= _DOUBLED_DOC.'<br/>';
				
				$the_file = false;
			}
			else
			{
				$this->query("SELECT RES_ID, DOCSERVER_ID, PATH, FILENAME, FORMAT FROM ".$table." where RES_ID = ".$res_id);
				//$this->show();
				$line = $this->fetch_object();
				$docserver_id = $line->DOCSERVER_ID;
				$path = $line->PATH;
				$filename = $line->FILENAME;
				$format = $line->FORMAT;
				
				$this->query("select PATH_TEMPLATE from ".$_SESSION['tablename']['docservers']." where DOCSERVER_ID = '".$docserver_id."'");
				//$this->show();
				$line_doc = $this->fetch_object();
				$docserver = $line_doc->PATH_TEMPLATE;
				
				if ($docserver_id == 'aidocserver')
				{
					$file = $docserver.$path.strtoupper($filename);
				}
				else
				{
					$file = $docserver.$path.strtolower($filename);
				}
				
				$file = str_replace("#",DIRECTORY_SEPARATOR,$file);
				//echo $file;
				if(file_exists($file))
				{
					require("load_extensions.php");
					
					$mime_type = '';
					for($i=0;$i<count($ext_list);$i++)
					{
						if($ext_list[$i]['name'] == strtoupper($format))
						{
							$mime_type = $ext_list[$i]['mime'];
							$i=count($ext_list);
						}
					}
					
					$the_file = array();
					$the_file['res_id'] = $res_id;
					$the_file['filename'] = $filename;
					$the_file['path'] = $file;
					$the_file['mime'] = $mime_type;
				}
				else
				{
					$_SESSION['error'] .= _NO_DOC_OR_NO_RIGHTS.' ('.$filename.')<br/>';
					
					$the_file = false;
				}
			}
		}
		
		return $the_file;
		
	}
	
	/**
	* Check if a doc has some mails send
	*
	* @param  int  $res_id the resource identifier
	*/
	public function have_mail_send($res_id){
		$table_name = "res_x";
		$this->query("SELECT COUNT(i.RES_ID) AS TOTAL from ".$table_name." i WHERE RELATION = ".$res_id." AND STATUS = 'MEL' ");
		$nbMail = $this->fetch_object();
		
		if($nbMail->TOTAL > 0){
			return true;
		}
		else{
			return false;
		}
	}
	
	/**
	* List of the mails send
	*
	* @param  array  $listarr contains the document index of the mail send
	* @param int  $nb_total  number of document
	* @param string  $title  title
	* @param string  $name  page name
	*/
	public function list_mail_send($listarr, $nb_total, $title, $name)
	{
		$page_list1 = "";
		$page_list2 = "";
		
		$func = new functions();
		
		if(isset($_REQUEST['start'])){
			$start = strip_tags($_REQUEST['start']);
		}
		else{
			$start = 0;
		}
		
		if(isset($_GET['order'])){
			$orderby = strip_tags($_GET['order']);
		}
		else{
			$orderby = 0;
		}
		
		$link = "index.php?page=".$name;
		
		// define the defaults values
		$nb_show = $_SESSION['config']['nblinetoshow'];
		$nb_pages = ceil($nb_total/$nb_show);
		
		// if they are more 1 page we do pagination with 2 forms
		if($nb_pages > 1){
			$next_start = 0;
			
			$page_list1 = '<form action="" name="newpage1" id="newpage1" class="smallforms" method="get">
				<p>
					<label for="startpage">'._GO_TO_PAGE.'</label>
					<select name="startpage" id="startpage" class="textbox small" onchange="window.location.href=\''.$link.'&amp;order='.$orderby.'&amp;start=\'+document.newpage1.startpage.value;">';
			
			$lastpage = 0;
			
			for($i = 0;$i <> $nb_pages; $i++){
				$page_name = $i + 1;
				
				$the_line = $i + 1;
				if($start == $next_start){
					$page_list1 .= "<option value=\"".$next_start."\" selected=\"selected\">".$the_line."</option>";
				}
				else{
					$page_list1 .= "<option value=\"".$next_start."\">".$the_line."</option>";
				}
				
				$next_start = $next_start + $nb_show;
				$lastpage = $next_start;
			}
			
			$lastpage = $lastpage - $nb_show;
			
			$previous = "";
			$next = "";
			
			if($start > 0){
				$start_prev = $start - $nb_show;
				$previous = "&lt; <a href=\"".$link."&amp;start=".$start_prev."&amp;order=".$orderby."\"&gt;"._PREVIOUS."</a> ";
			}
			
			if($start <> $lastpage){
				$start_next = $start + $nb_show;
				$next = " <a href=\"".$link."&amp;start=".$start_next."&amp;order=".$orderby."\">"._NEXT."</a> >";
			}
			
			$page_list1 = $page_list1."</select>".$previous." ".$next."</p></form>";
			
		}
		?>
		<h1><img src="<?php echo $_SESSION['config']['img'];?>/picto_search_b.gif" alt="" /> <?php echo $title; ?></h1>
			<div id="inner_content" class="clearfix">
		<?php echo $page_list1;?>

<form name="choose_mail" id="choose_mail" method="post" action="index.php?page=mail_send_list">
	<input type="hidden" name="start" id="start" value="<?php echo $start;?>" />
	<table cellpadding="0" cellspacing="0" border="0" class="listing">
		<thead>
			<tr>
				<th>&nbsp;</th>
				<th><?php echo _GED_NUM;?>&nbsp;<a href="<?php echo $link.'&amp;start='.$start.'&amp;order=residdesc_copy'; ?>" title="<?php echo _DESC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT; ?>" /></a><a href="<?php echo $link.'&amp;start='.$start.'&amp;order=residasc_copy'; ?>" title="<?php echo _ASC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT; ?>" /></a></th>
				
				<th><?php echo _OBJECT; ?>&nbsp;<a href="<?php echo $link.'&amp;start='.$start.'&amp;order=objdesc'; ?>" title="<?php echo _DESC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT; ?>"/></a><a href="<?php echo $link.'&amp;start='.$start.'&amp;order=objasc'; ?>" title="<?php echo _ASC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT; ?>" /></a></th>
				
				<th><?php echo _SHIPPING_DATE; ?>&nbsp;<a href="<?php echo $link.'&amp;start='.$start.'&amp;order=datedesc'; ?>" title="<?php echo _DESC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT; ?>"/></a><a href="<?php echo $link.'&amp;start='.$start.'&amp;order=dateasc'; ?>" title="<?php echo _ASC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT; ?>" /></a></th>
				
				<th class="emetteur"><?php echo _TO; ?>&nbsp;<a href="<?php echo $link.'&amp;start='.$start.'&amp;order=todesc'; ?>" title="<?php echo _DESC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT; ?>"/></a><a href="<?php echo $link.'&amp;start='.$start.'&amp;order=toasc'; ?>" title="<?php echo _ASC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT; ?>" /></a></th>
			</tr>
		</thead>
<?php
		if(count($listarr) > 0){
			echo '<tbody>';
		}
	
		$color  = 'class="col"';
		for($theline = 0; $theline < count($listarr) ; $theline++){
			// background color
			if($color == 'class="col"'){
				$color = "";
			}
			else{
				$color = 'class="col"';
			}
?>
		<tr <?php echo $color; ?> >
			<td><input type="checkbox" name="mail[]" value="<?php echo $listarr[$theline]['ID']; ?>" /></td>
			<td onMouseOver="javascript:changeCouleur2(this,'#000000',true);" onMouseOut="javascript:changeCouleur2(this,'#666',false);" onClick="javascript:changeCouleur2(this,'#CC3300',true);window.open('send_doc.php?id=<?php echo $listarr[$theline]['ID']; ?>&task=up','', 'scrollbars=yes, resizable=yes,width=660,height=630');"><?php echo $func->show($listarr[$theline]['ID']); ?></td>
			
			<td onmouseover="javascript:changeCouleur2(this,'#000000',true);" onMouseOut="javascript:changeCouleur2(this,'#666',false);" onClick="javascript:changeCouleur2(this,'#CC3300',true);window.open('send_doc.php?id=<?php echo $listarr[$theline]['ID']; ?>&task=up','', 'scrollbars=yes, resizable=yes,width=660,height=630');"><?php echo $func->show($listarr[$theline]['OBJET'],15); ?></td>
			
			<td onMouseOver="javascript:changeCouleur2(this,'#000000',true);" onMouseOut="javascript:changeCouleur2(this,'#666',false);" onClick="javascript:changeCouleur2(this,'#CC3300',true);window.open('send_doc.php?id=<?php echo $listarr[$theline]['ID']; ?>&task=up','', 'scrollbars=yes, resizable=yes,width=660,height=630');"><?php echo $func->dateformat($listarr[$theline]['CREATION_DATE']); ?></td>
			
			<td  onmouseover="javascript:changeCouleur2(this,'#000000',true);" onMouseOut="javascript:changeCouleur2(this,'#666',false);" onClick="javascript:changeCouleur2(this,'#CC3300',true);window.open('send_doc.php?id=<?php echo $listarr[$theline]['ID']; ?>&task=up','', 'scrollbars=yes, resizable=yes,width=660,height=630');"><?php echo substr($func->show($listarr[$theline]['TO']), 0, 50); ?></td>
		</tr>
<?php
		}
	
		if(count($listarr) > 0){
			echo '</tbody>';
		}
		
		echo "</table></form>";
		/*
		echo "<br/><em>"._CLICK_LINE_VIEW."</em><br/>";
		if ($_SESSION['user']['print_rights'] == true){
?>
		<div align="center">
			<p>
				<input type="button" onClick="window.open('copy_print_list.php','', 'scrollbars=auto,menubar=no,toolbar=no,resizable=yes,status=no,width=350,height=350');" value="<?php echo _PRINT_BASKET;?>" class="button">
			</p>
		</div>
<?php
		}
		*/
?>
<?php echo "</div>";
	}
}
?>
