<?php /**
* File : associated_domain_services.php
*
* Frame used to associate one or more services to a domain
*
* @package Maarch LetterBox 2.4
* @version 1.0
* @since 10/2007
* @license GPL
* @author Claire Figueras <dev@maarch.org>
* @author Loic Vinet <dev@maarch.org>
* */ 
    
include("session.php"); 
require_once('class_functions.php');
require_once('class_db.php');
$db = new dbquery();
$db->connect();
$func = new functions();   
if(file_exists($_SESSION['config']['lang'].'.php'))
{
	include($_SESSION['config']['lang'].'.php');
}
else
{
	$_SESSION['error'] = "Language file missing...<br/>";
}
if(isset($_REQUEST['services_chosen']) && count($_REQUEST['services_chosen']) > 0)
{		
	for($i=0; $i < count($_REQUEST['services_chosen']); $i++)
	{
		$find = false;
		$tmp = trim($_REQUEST['services_chosen'][$i]);
		for($j=0; $j < count($_SESSION['m_admin']['domain']['SERVICES']); $j++)
		{
			if($tmp == $_SESSION['m_admin']['domain']['SERVICES'][$j]['ID'])
			{
				$find = true;
				break;
			}
		}
		if(!$find)
		{
			$db->query("select SERVICE from ".$_SESSION['tablename']['services']." where ID ='".$tmp."'");
			$res = $db->fetch_object();
			array_push($_SESSION['m_admin']['domain']['SERVICES'], array('ID' =>$tmp, 'LABEL' => $res->SERVICE));
		}
	
	}	
}
else if(isset($_REQUEST['serviceslist']) && count($_REQUEST['serviceslist']) > 0)
{
	$indices = array();
	for($i=0; $i < count($_SESSION['m_admin']['domain']['SERVICES']); $i++)
	{
		for($j=0; $j < count($_REQUEST['serviceslist']); $j++)
		{
			if(trim($_REQUEST['serviceslist'][$j]) == trim($_SESSION['m_admin']['domain']['SERVICES'][$i]['ID']))
			{
					unset($_SESSION['m_admin']['domain']['SERVICES'][$i]);
			}
		}
	}
	$_SESSION['m_admin']['domain']['SERVICES'] = array_values($_SESSION['m_admin']['domain']['SERVICES']);
}
elseif(isset($_REQUEST['services_chosen']) && count($_REQUEST['services_chosen']) <= 0)
{
	$_SESSION['m_admin']['domain']['SERVICES'] = array();
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $_SESSION['config']['lang'] ?>" lang="<?php echo $_SESSION['config']['lang'] ?>">
<head>
	<title><?php echo $_SESSION['config']['applicationname']; ?></title>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta http-equiv="Content-Language" content="<?php echo $_SESSION['config']['lang'] ?>" />
	<link rel="stylesheet" type="text/css" href="<?php echo $_SESSION['config']['css']; ?>" media="screen" />
	<!--[if lt IE 7.0]>  <link rel="stylesheet" type="text/css" href="<?php echo $_SESSION['config']['css_IE']; ?>" media="screen" />  <![endif]-->
	<!--[if gte IE 7.0]>  <link rel="stylesheet" type="text/css" href="<?php echo $_SESSION['config']['css_IE7']; ?>" media="screen" />  <![endif]-->
	<script type="text/javascript" src="js/functions.js"></script>
</head>
<body id="iframe">
<form method="post" name="servicesdomain" id="servicesdomain" action="associated_domain_services.php">
	<table align="center" width="100%">
	 	<tr>
	    	<td colspan="3"><?php echo _CHOOSE_DEP_DOMAIN;?> :</td>
	    </tr>
	 	<tr>
			<td width="150" align="center">
			<select name="serviceslist[]" id="serviceslist" size="10" ondblclick='moveclick(document.servicesdomain.elements["serviceslist[]"],document.servicesdomain.elements["services_chosen[]"]);this.form.submit();' multiple="multiple" >
			<?php for($i=0;$i<count($_SESSION['services']);$i++)
			{
				$state_services = false;
				
				for($j=0;$j<count($_SESSION['m_admin']['domain']['SERVICES']);$j++)
				{
					if($_SESSION['services'][$i]['ID'] == $_SESSION['m_admin']['domain']['SERVICES'][$j]['ID'])
					{
						$state_services = true;
					}
				}			
				if($state_services == false)
				{
					?>
					<option value="<?php echo $_SESSION['services'][$i]['ID']; ?>"><?php echo $func->show($_SESSION['services'][$i]['LABEL']); ?></option>
					<?php }
			}
			?>
	    </select>
		<em><a href='javascript:selectall(document.forms["servicesdomain"].elements["serviceslist[]"]);' ><?php echo _SELECT_ALL; ?></a></em></td>
	    <td width="135" align="center">
		<input type="button" class="button" value="<?php echo _ADD; ?>" onclick='Move(document.servicesdomain.elements["serviceslist[]"],document.servicesdomain.elements["services_chosen[]"]);this.form.submit();' />
		<br />
		<br />
		<input type="button" class="button" value="<?php echo _REMOVE; ?>" onclick='Move(document.servicesdomain.elements["services_chosen[]"],document.servicesdomain.elements["serviceslist[]"]);this.form.submit();' />
		</td>
	    <td width="150" align="center">
		<select name="services_chosen[]" id="services_chosen" size="10" ondblclick='moveclick(document.servicesdomain.elements["services_chosen[]"],document.servicesdomain.elements["serviceslist"]);this.form.submit();' multiple="multiple" >
			<?php for($i=0;$i<count($_SESSION['services']);$i++)
			{
				$state_services = false;
				
				for($j=0;$j<count($_SESSION['m_admin']['domain']['SERVICES']);$j++)
				{
					if($_SESSION['services'][$i]['ID'] == $_SESSION['m_admin']['domain']['SERVICES'][$j]['ID'])
					{
						$state_services = true;
					}
				}
				if($state_services == true)
				{
					?>
					<option value="<?php echo $_SESSION['services'][$i]['ID']; ?>" selected="selected" ><?php echo $func->show($_SESSION['services'][$i]['LABEL']); ?></option>
					<?php }
			}
			?>
	    </select>
		<em><a href="javascript:selectall(document.forms['servicesdomain'].elements['services_chosen[]']);" >
		<?php echo _SELECT_ALL; ?></a></em></td>
		</tr>
	</table>
</form>
</body>
</html>
