<?php /**
* File : borough_dropdown.php
*
*
* @package Maarch LetterBox 2.7
* @version 1.0
* @since 07/2009
* @license GPL
* @author  Jimmy Cdric Ndoumba  <dev@maarch.org>
*/

$select = "Selection";

include("session.php");
require("class_functions.php");
require_once("class_db.php");
//require_once("class_letterbox.php");

if(file_exists($_SESSION['config']['lang'].'.php'))
{
	include($_SESSION['config']['lang'].'.php');
}
else
{
	$_SESSION['error'] = "Language file missing...<br/>";
}

//Header
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $_SESSION['config']['lang'] ?>" lang="<?php echo $_SESSION['config']['lang'] ?>">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta http-equiv="Content-Language" content="<?php echo $_SESSION['config']['lang'] ?>" />
	<link rel="stylesheet" type="text/css" href="<?php echo $_SESSION['config']['css']; ?>" media="screen" />
	<!--[if lt IE 7.0]>  <link rel="stylesheet" type="text/css" href="<?php echo $_SESSION['config']['css_IE']; ?>" media="screen" />  <![endif]-->
	<!--[if gte IE 7.0]>  <link rel="stylesheet" type="text/css" href="<?php echo $_SESSION['config']['css_IE7']; ?>" media="screen" />  <![endif]-->
	<script type="text/javascript" src="js/functions.js"></script>
</head>
	<body>

<?php 
if( isset($_POST['cp2']) )
{
	if( is_numeric($_POST['cp2']) )
	{
		$db = new dbquery();
		$db->connect();
		$db->query("SELECT COMMUNE_ID, COMMUNE_LABEL
					FROM ".$_SESSION['tablename']['communes']."
					WHERE POSTAL_CODE = ".$_POST['cp2']);
		
		while( $res = $db->fetch_object() )
			$com[$res->COMMUNE_ID] = $res->COMMUNE_LABEL;
		
		$db->deco();
	}
	else
	{
		$com = array();
	}
?>
	<div class="borough" id="borough_ajax_com">
		<?php echo _COMMUNE;?><br/>
		<?php 
		//Resultats
		if( count($com) >= 1 )
		{
		?>
			<select name="commune" id="commune">
		<?php 
			echo "<option value='-1'>".$select."</option>";
			foreach($com as $k_c => $v_c)
				echo "<option value=".$k_c.">".$v_c."</option>";
		?>
			</select>
		<?php 
		}
		//Pas de resultat
		else 
		{
		?>
			<input name="commune" type="text" id="commune" value="" size="26"/>
		<?php 
		}
		?>
		<script>repost('borough_ajax.php',new Array('borough_ajax_all'),new Array('commune'),'change',250);</script>
	</div>
<?php 
}
if( isset($_POST['commune']) )
{
	if ( is_numeric($_POST['commune']) && $_POST['commune'] > 0 )
	{
		$db = new dbquery();
		$db->connect();
	
		//Requete
		$db->query("SELECT b.BOROUGH_ID, b.BOROUGH_LABEL, e.EPCI_ID, e.EPCI_LABEL, e.TYPE, co.COMMUNE_ID, co.COMMUNE_LABEL 
		FROM ".$_SESSION['tablename']['communes']." co LEFT JOIN ".$_SESSION['tablename']['borough']." b ON co.BOROUGH_ID = b.BOROUGH_ID 
		LEFT JOIN ".$_SESSION['tablename']['epci']." e ON co.EPCI_ID = e.EPCI_ID WHERE co.COMMUNE_ID = '".$_POST['commune']."'");
		
		$res = $db->fetch_object();
		
		//Requete pour la gestion des cantons
		$db->query("SELECT c.CANTON_ID, c.SEQUENCE, c.CANTON_LABEL 
		FROM ".$_SESSION['tablename']['cantons']." c LEFT JOIN ".$_SESSION['tablename']['communes']." co ON c.CANTON_ID = co.CANTON_ID 
		WHERE co.COMMUNE_ID = '".$_POST['commune']."'");
		
		$cantons = array();
		$i = 0;
		while( $res2 = $db->fetch_object() ){
			$cantons[$i] = array('ID'=>$res2->CANTON_ID, 'SEQ'=>$res2->SEQUENCE, 'LABEL'=>$res2->CANTON_LABEL);
			$i++;
		}
	}
	?>
	<div id="borough_ajax_all">
		<div style="clear:both;"></div>
		<div class="borough">
			<?php echo _BOROUGH;?><br/>
			<input name="arrondissement" id="arrondissement" type="text" value="<?php if( isset($res->BOROUGH_LABEL) ) echo stripslashes($res->BOROUGH_LABEL);  else echo $_SESSION['courrier']['arrondissement']; ?>" size="26"/>
		</div>
		<div class="borough">
			<?php echo _CANTON;?><br/>
			<?php
			if( count($cantons) > 1 ){
			?>
				<select name="canton" id="canton">
					<option value='-1'><?php echo $select;?></option>
			<?php 
				//echo "<option value='-1'>".$select."</option>";
				foreach($cantons as $k_c => $v_c){
			?>
					<option <?php if($_SESSION['courrier']['canton'] == $v_c['LABEL']){ echo 'selected="selected"'; } ?> value="<?php echo $v_c['LABEL'];?>"><?php echo $v_c['LABEL'];?></option>
			<?php
				}
			?>
				</select>
			<?php 
			}
			elseif (count($cantons) == 1){
				foreach($cantons as $k_c => $v_c)
			?>
				
				<input name="canton" id="canton" type="text" value="<?php echo $cantons[0]['LABEL']; ?>" size="26"/>
			<?php 
			}
			else{
			?>
				<input name="canton" id="canton" type="text" value="<?php echo $_SESSION['courrier']['canton']; ?>" size="26"/>
			<?php
			}
			?>
		</div>
		<div class="borough">
			<?php echo _EPCI;?><br/>
			<input name="epci" id="epci" type="text" value="<?php if( isset($res->EPCI_LABEL) ) echo stripslashes($res->EPCI_LABEL); else echo $_SESSION['courrier']['epci']; ?>" size="26" maxlength="5"/>
		</div>
	</div>
<?php 
}
?>
	</body>
</html>
