<?php /**
*  Admin Class
*
* Contains all the administration functions and content 
*
* @package Maarch LetterBox 2.3
* @version 2.1
* @since 10/2005
* @license GPL
* @author  Claire Figueras  <dev@maarch.org>
* @author  Loïc Vinet  <dev@maarch.org>
* 
*/

/**
* Class admin : contains all the administration functions and the administration menu management
*
* @author  Claire Figueras  <dev@maarch.org>
* @license GPL
* @package Maarch LetterBox 2.3
* @version 1.1
*/
class admin
{
	/**
	* Allow to modify admin link
	*
	* @access 		private
	* @param        string [$what] users, types ou hist
	* @return       string url
	*
	*/
	public function adminlink($what)
	{
		// Allow to modify admin link
		$link = "";
		
		if($what == "users")
		{
			$link = "index.php?page=users";
		}
		elseif($what == "types")
		{
			$link = "index.php?page=types";
		}
		elseif($what == "hist")
		{
			$link = "index.php?page=hist";
		}
		elseif($what == "groups")
		{
			$link = "index.php?page=groups";
		}
		elseif($what == "admin")
		{
			$link = "index.php?page=admin";
		}
		elseif($what == "basket")
		{
			$link = "index.php?page=basket";
		}
		elseif($what == "liste")
		{
			$link = "index.php?page=liste";
		}
		elseif($what == "models")
		{
			$link = "index.php?page=models";
		}
		elseif($what == "domain")
		{
			$link = "index.php?page=domains";
		}
		elseif($what == "emet")
		{
			$link = "index.php?page=emet";
		}
		elseif($what == "sender")
		{
			$link = "index.php?page=sender";
		}
		elseif($what == "coll")
		{
			$link = "index.php?page=coll";
		}
		elseif($what == "ldap")
		{
			$link = "index.php?page=ldap_param";
		}
		elseif($what == "fileplans")
		{
			$link = "index.php?page=fileplans";
		}
		elseif($what == "tablebaskets")
		{
			$link = "index.php?modules=gtb";
		}
		elseif($what == "demand")
		{
			$link = "index.php?modules=gdd";
		}
		elseif($what == "diffusion_list_admin")
		{
			$link = "index.php?page=diffusion_list_admin";
		}
		echo $link;
	}
	

	/**
	* Explain all the administration functions
	*/
	public function admin_menu()
	{
		// Explain all the administration functions
		?>
	<h1><img src="<?php echo $_SESSION['config']['img'];?>/picto_admin_b.gif" alt="" /> <?php echo _ADMIN;?></h1>
	
		<div id="inner_content" class="clearfix">
		
		<ul id="summary">
			<li class="imp">
          	  <h2><a href="<?php $this->adminlink("liste"); ?>"><img src="<?php echo $_SESSION['config']['img'];?>/liste.gif" alt="<?php echo _MANAGE_DEPARTMENTS;?>" />
					<?php echo _MANAGE_DEPARTMENTS;?></a></h2>
					<span><?php echo _MANAGE_DEPARTMENT_LIST;?>. <br /><?php echo '('. _DELETE.", "._ADD.', '._MODIFY.')';?></span>
				
				</li>
			<li>
            		<h2><a href="<?php $this->adminlink("groups"); ?>"><img src="<?php echo $_SESSION['config']['img'];?>/picto_manageg_superb.gif" alt="<?php echo _MANAGE_GROUPS; ?>" />
					<?php echo _MANAGE_GROUPS; ?></a></h2>
					<span><?php echo _MANAGE_GROUPS_APP; ?>.<br />
					(<?php echo _DELETE.", "._ADD.', '._MODIFY.', '._SUSPEND; ?>)</span>
					
				</li>
				<li class="imp">
                <h2><a href="<?php $this->adminlink("users"); ?>"><img src="<?php echo $_SESSION['config']['img'];?>/picto_manageu_superb.gif" alt="<?php echo _MANAGE_USERS; ?>" />
					<?php echo _MANAGE_USERS; ?></a></h2>
					<span><?php echo _MANAGE_USERS_APP; ?>.<br /> 
					(<?php echo _DELETE.", "._ADD.', '._MODIFY.', '._SUSPEND; ?>)</span>
					
				</li>
				<li>
               	 <h2><a href="<?php $this->adminlink("basket"); ?>"><img src="<?php echo $_SESSION['config']['img'];?>/basket.jpg" alt="<?php echo _MANAGE_BASKETS; ?>" />
					<?php echo _MANAGE_BASKETS; ?></a></h2>
						<span><?php echo _MANAGE_BASKETS_APP;?>. <br /><?php echo '('. _DELETE.", "._ADD.', '._MODIFY.')';?></span>
					
				</li>
				<li class="imp">
               	 <h2><a href="<?php $this->adminlink("diffusion_list_admin"); ?>"><img src="<?php echo $_SESSION['config']['img'];?>/liste_diffusion.gif" alt="<?php echo _MANAGE_DIFF_LIST; ?>" />
					<?php echo _MANAGE_DIFF_LIST; ?></a></h2>
						<span><?php echo _MANAGE_DIFF_LIST;?>. <br /><?php echo '('. _DELETE.", "._ADD.', '._MODIFY.')';?></span>
					
				</li>
				<li>
					<h2><a href="javascript://" onclick="window.open('admin_status_up.php','', 'scrollbars=auto,menubar=no,toolbar=no,resizable=yes,status=no,width=600,height=260');"><img src="<?php echo $_SESSION['config']['img'];?>/file_status.jpg" alt="_REOPEN_MAIL" />
					<?php echo _REOPEN_MAIL; ?></a></h2>
					<span><?php echo _REOPEN_MAIl_EXPLANATION;?>.</span>
				</li>
                <li class="imp">
					<h2><a href="<?php $this->adminlink("hist"); ?>"><img src="<?php echo $_SESSION['config']['img'];?>/picto_viewhis_superb.gif" alt="<?php echo _VIEW_HISTORY; ?>" />
					<?php echo _VIEW_HISTORY; ?></a></h2>
					<span><?php echo _HISTORY_EXPLANATION; ?>.</span>
				</li>
				<?php
				if( $_SESSION['config']['gtb'] == "true" )
				{
				?>
				<li>
					<h2><a href="<?php $this->adminlink("tablebaskets"); ?>"><img src="<?php echo $_SESSION['config']['img'];?>/basket.jpg" alt="<?php echo _VIEW_TABLES_FOR_BASKETS; ?>" />
					<?php echo _VIEW_TABLES_FOR_BASKETS; ?></a></h2>
					<span><?php echo _TABLES_FOR_BASKETS_EXPLANATION; ?>.</span>
				</li>
				<?php
				}
				?>
				<?php
				if( $_SESSION['config']['gdd'] == "true" && $_SESSION['config']['gtb'] == "true")
				{
				?>
				<li class="imp">
					<h2><a href="<?php $this->adminlink("demand"); ?>"><img src="<?php echo $_SESSION['config']['img'];?>/demande_grd.png" alt="<?php echo _VIEW_DEMAND; ?>" />
					<?php echo _VIEW_DEMAND; ?></a></h2>
					<span><?php echo _DEMAND_EXPLANATION; ?>.</span>
				</li>
				<?php
				}
				elseif($_SESSION['config']['gdd'] == "true" && $_SESSION['config']['gtb'] == "false")
				{
					?>
				<li>
					<h2><a href="<?php $this->adminlink("demand"); ?>"><img src="<?php echo $_SESSION['config']['img'];?>/demande_grd.png" alt="<?php echo _VIEW_DEMAND; ?>" />
					<?php echo _VIEW_DEMAND; ?></a></h2>
					<span><?php echo _DEMAND_EXPLANATION; ?>.</span>
				</li>
				<?php
				}
				?>
				<?php				
				if (($_SESSION['config']['collectivities'] == "true" && $_SESSION['config']['gdd'] == "true" && $_SESSION['config']['gtb'] == "true") || ($_SESSION['config']['collectivities'] == "true" && $_SESSION['config']['gdd'] == "false" && $_SESSION['config']['gtb'] == "false"))
				{
					?>
					<li>
					<?php
					include($_SESSION['config']['includedir']."/addon_collectivities.php");
					show_admin_menu($this);
					?>
					</li>
					<?php
				}
				elseif (($_SESSION['config']['collectivities'] == "true" && $_SESSION['config']['gdd'] == "false") || ($_SESSION['config']['collectivities'] == "true" && $_SESSION['config']['gtb'] == "false"))
				{
					?>
					<li>
					<?php
					include($_SESSION['config']['includedir']."/addon_collectivities.php");
					show_admin_menu($this);
					?>
					</li>
					<?php
				} 
				 
				if ($_SESSION['config']['ldap'] == "true")
				{
				?>
				<li class="imp">
					<h2><a href="<?php $this->adminlink("ldap"); ?>"><img src="<?php echo $_SESSION['config']['img'];?>/ldap_config.gif" alt="<?php echo _CONFIG_LDAP; ?>" />
					<?php echo _CONFIG_LDAP; ?></a></h2>
					<span><?php echo _LDAP_EXPLANATION; ?>.</span>
				</li>
				<?php } 

			?>
			</ul>
			
		</div>
			
		<?php }
	/**
	* Explain all the administration functions
	*/
	public function param_menu()
	{
		// Explain all the administration functions
		?>
	<h1><img src="<?php echo $_SESSION['config']['img'];?>/picto_admin_b.gif" alt="" /> <?php echo _PARAM;?></h1>
	
		<div id="inner_content" class="clearfix">
		
		<ul id="summary">
			<li class="imp">
					<h2><a href="<?php $this->adminlink("types"); ?>"><img src="<?php echo $_SESSION['config']['img'];?>/picto_managed_superb.gif" alt="<?php echo _MANAGE_DOCTYPES; ?>" />
					<?php echo _MANAGE_DOCTYPES; ?></a></h2>
					<span><?php echo _MANAGE_DOCTYPES_APP.'.<br/>('. _DELETE.", "._ADD.', '._MODIFY.')';?></span>
				</li>
                <li >
					<h2><a href="<?php $this->adminlink("models"); ?>"><img src="<?php echo $_SESSION['config']['img'];?>/types.gif" alt="<?php echo _MANAGE_MODELS; ?>" />
					<?php echo _MANAGE_MODELS; ?></a></h2>
						<span><?php echo _MANAGE_MODELS_APP;?>. <br /><?php echo '('. _DELETE.", "._ADD.', '._MODIFY.')';?></span>
				</li>
				<li class="imp">
                	<h2><a href="<?php $this->adminlink("emet"); ?>"><img src="<?php echo $_SESSION['config']['img'];?>/liste_emetteurs_in.gif" alt="<?php echo _SHIPPER_LIST; ?>" />
					<?php echo _SHIPPER_LIST; ?></a></h2>
					<span><?php echo _MANAGE_SHIPPER_APP; ?>. <br /><?php echo '('. _DELETE.", "._ADD.', '._MODIFY.')';?></span>
					
				</li>
				<li >
					<h2><a href="<?php $this->adminlink("sender"); ?>"><img src="<?php echo $_SESSION['config']['img'];?>/liste_emetteurs_out.gif" alt="<?php echo _SHIPPER_LIST; ?>" />
					<?php echo _SENDER_LIST; ?></a></h2>
					<span><?php echo _MANAGE_SENDER_APP; ?>. <br /><?php echo '('. _DELETE.", "._ADD.', '._MODIFY.')';?></span>
				</li>

				<li class="imp">
					<h2><a href="javascript://" onclick="window.open('admin_status_up.php','', 'scrollbars=auto,menubar=no,toolbar=no,resizable=yes,status=no,width=600,height=260');"><img src="<?php echo $_SESSION['config']['img'];?>/file_status.jpg" alt="_REOPEN_MAIL" />
					<?php echo _REOPEN_MAIL; ?></a></h2>
					<span><?php echo _REOPEN_MAIl_EXPLANATION;?>.</span>
				</li>
				 <li>
					<h2><a href="<?php $this->adminlink("fileplans"); ?>"><img src="<?php echo $_SESSION['config']['img'];?>/fileplan.gif" alt="<?php echo _MANAGE_FILEPLANS; ?>" />
					<?php echo _MANAGE_FILEPLANS; ?></a></h2>
						<span><?php echo _MANAGE_FILEPLANS_APP;?>. <br /><?php echo '('. _DELETE.", "._ADD.', '._MODIFY.')';?></span>
				</li>
				<?php if ($_SESSION['config']['enable_topics'] == "true")
				{
					?>
				<li class="imp">
                	<h2><a href="<?php $this->adminlink("domain"); ?>"><img src="<?php echo $_SESSION['config']['img'];?>/types.gif" alt="<?php echo _MANAGE_DOMAINS; ?>" />
					<?php echo _MANAGE_DOMAINS; ?></a></h2>
					<span><?php echo _MANAGE_DOMAINS_APP; ?>. <br /><?php echo '('. _DELETE.", "._ADD.', '._MODIFY.')';?></span>
				</li>
				<?php 
				} 
				?>
				
			</ul>
			
		</div>
			
		<?php }
}
?>
