<?php /**
*  Baskets class
*
* Contains all the functions to manage the baskets 
*
* @package Maarch LetterBox 2.4
* @version 2.0
* @since 09/2006
* @license GPL
* @author  Claire Figueras  <dev@maarch.org>
* @author  Loic Vinet <dev@maarch.org>
*/


class basket extends dbquery
{
	/**
    * @access private
    * @var integer
    */
	private $the_start;
	
	
	/**
	* Redefinition of the user object constructor : configure the SQL argument order by
	*/
	function __construct()
	{
		// configure the sql argument order by
		if(isset($_GET['start']))
		{
			$this->the_start = strip_tags($_GET['start']);
		}
		else
		{
			$this->the_start = 0;
		}
	}
	
	/**
	* Lists the letters of the alphabet to list the baskets
	*/
	public function basketlistletters()
	{
		?>
		<form action="index.php" name="frmletters" id="frmletters" class="smallforms" method="get">
			<fieldset>
				<p>
					<input name="what" id="what" type="text" class="textbox medium" value="" />
					<input name="Submit" type="submit" value="<?php echo _SEARCH.' '._BASKET ; ?>" class="button" />
					<input name="page" type="hidden" value="basket" />
				</p>
			</fieldset>
			<p><strong><?php echo _ALPHABETICAL_LIST; ?></strong> : 
				<a href="index.php?page=basket&amp;what=A">A</a> 
				<a href="index.php?page=basket&amp;what=B">B</a> 
				<a href="index.php?page=basket&amp;what=C">C</a> 
				<a href="index.php?page=basket&amp;what=D">D</a> 
				<a href="index.php?page=basket&amp;what=E">E</a> 
				<a href="index.php?page=basket&amp;what=F">F</a> 
				<a href="index.php?page=basket&amp;what=G">G</a> 
				<a href="index.php?page=basket&amp;what=H">H</a> 
				<a href="index.php?page=basket&amp;what=I">I</a> 
				<a href="index.php?page=basket&amp;what=J">J</a> 
				<a href="index.php?page=basket&amp;what=K">K</a> 
				<a href="index.php?page=basket&amp;what=L">L</a> 
				<a href="index.php?page=basket&amp;what=M">M</a> 
				<a href="index.php?page=basket&amp;what=N">N</a> 
				<a href="index.php?page=basket&amp;what=O">O</a> 
				<a href="index.php?page=basket&amp;what=P">P</a> 
				<a href="index.php?page=basket&amp;what=Q">Q</a> 
				<a href="index.php?page=basket&amp;what=R">R</a> 
				<a href="index.php?page=basket&amp;what=S">S</a> 
				<a href="index.php?page=basket&amp;what=T">T</a> 
				<a href="index.php?page=basket&amp;what=U">U</a> 
				<a href="index.php?page=basket&amp;what=V">V</a> 
				<a href="index.php?page=basket&amp;what=W">W</a> 
				<a href="index.php?page=basket&amp;what=X">X</a>
				<a href="index.php?page=basket&amp;what=Y">Y</a>
				<a href="index.php?page=basket&amp;what=Z">Z</a>
				- <a href="index.php?page=basket"><?php echo _ALL_BASKETS; ?></a></p>
			</form>

		<?php }
	
	/**
	* Shows the list of the baskets according to the selected letter.
	*
	* @param 	string  $where sorting of the list (empty by default)
	* @param 	string  $what  first letter of the name (empty by default)
	*/
	public function basketlist($where = "",$what = "")
	{
		// draw the basket list
		$func = new functions();
		
		/* Configuration */
		$title = _BASKET_LIST;
		$page_name = "basket";
		$page_name_up = "basket_up";
		$page_name_del = "basket_del";
		$page_name_validate= "basket_allow";
		$page_name_ban = "basket_ban";
		$table_name = $_SESSION['tablename']['baskets'];
		$nb_show = $_SESSION['config']['nblinetoshow'];
		
		
		if(!empty($what))
		{
			$what = "&what=".$what;
		}
		/***********************/
		
			$this->connect();
		$this->query("select count(*) as total from ".$table_name);
		$nb_total_1 = $this->fetch_object();
		$nb_total = $nb_total_1->total;
		
		// define the defaults values
		$nb_pages = ceil($nb_total/$nb_show);
		
		$link = "index.php?page=".$page_name."&amp;start=".$this->the_start."&amp;order=".$this->orderby.$what;
		
		if($nb_pages > 1)
		{
			$next_start = 0;
			
			$page_list1 = '<form name="newpage1" id="newpage1" method="get" action="'.$link.'">
			<p>
				<label for="startpage">'._GO_TO_PAGE.'</label>
				<select name="startpage" id="startpage" class="textbox small" onchange="window.location.href=\''.$link.'&amp;start=\'+document.newpage1.startpage.value;">';
				
			$page_list2 = '<form name="newpage2" id="newpage2" method="get" action="'.$link.'">
			<p>
				<label for="startpage">'._GO_TO_PAGE.'</label>
				<select name="startpage" id="startpage" class="textbox small" onchange="window.location.href=\''.$link.'&amp;start=\'+document.newpage2.startpage.value;">';
			
			$lastpage = 0;
			
			for($i = 0;$i <> $nb_pages; $i++)
			{
				$page_name = $i + 1;
				
				$the_line = $i + 1;
				if($this->the_start == $next_start)
				{
					$page_list1 .= "<option value=\"".$next_start."\" selected=\"selected\">".$the_line."</option>";
					$page_list2 .= "<option value=\"".$next_start."\" selected=\"selected\">".$the_line."</option>";
				}
				else
				{
					$page_list1 .= "<option value=\"".$next_start."\">".$the_line."</option>";
					$page_list2 .= "<option value=\"".$next_start."\">".$the_line."</option>";
				}
				
				$next_start = $next_start + $nb_show;
				$lastpage = $next_start;
			}
			
			$lastpage = $lastpage - $nb_show;
			
			$previous = "";
			$next = "";
			
			if($this->the_start > 0)
			{
				$start_prev = $this->the_start - $nb_show;
				$previous = '<a href="'.$link.'&amp;start='.$start_prev.'" class="prev">'._PREVIOUS.'</a>';
			}
			
			if($this->the_start <> $lastpage)
			{
				$start_next = $this->the_start + $nb_show;
				$next = '<a href="'.$link.'&amp;start='.$start_next.'" class="next">'._NEXT.'</a>';
			}
			
			$page_list1 = $page_list1."</select>";
			$page_list2 = $page_list2."</select>";
				
			if($previous <> '' || $next <> '')
			{
				if(empty($previous)) { $previous = "&nbsp;"; }
				if(empty($next)) { $next = "&nbsp;"; }
				
				$page_list1 .= $previous." ".$next.'</p></form>';
				$page_list2 .= $previous." ".$next.'</p></form>';
			}
		}
		
		$this->query("select * from ".$table_name." ".$where." ".$this->sqlorderby." limit ".$this->the_start.",".$nb_show);
		echo '<h1><img src="'.$_SESSION['config']['img'].'/picto_basket_b.gif" alt="" /> '.$title.'</h1>
		
			<div id="inner_content" class="clearfix">';
		
		$this->basketlistletters();
		 echo $page_list1; 
		?>
			
			<table cellpadding="0" cellspacing="0" border="0" class="listing spec">
				<thead>
					<tr>
						<th ><?php echo _ID;?></th>
						<th ><?php echo _BASKET; ?> </th>
						<th ><?php echo _DESC; ?> </th>
				  		
					   <th  class="price" colspan="2"><span class="add clearfix"><a href="index.php?page=basket_add"><span><?php echo _ADD_BASKET; ?></span></a></span></th>
					</tr>
				</thead>
				<tfoot>
					<tr>
						<td colspan="8" class="price"><span class="add clearfix"><a href="index.php?page=basket_add"><span><?php echo _ADD_BASKET; ?></span></a></span></td>
					</tr>
				</tfoot>
				<tbody>
		<?php $color = "";
		while($line = $this->fetch_object())
		{
			if($color == ' class="col"')
			{
				$color = '';
			}
			else
			{
				$color = ' class="col"';
			}
			
			?>
				<tr<?php echo $color; ?>>
				  
					<td ><strong><?php echo $line->BASKET_ID; ?></strong></td>
					<td ><?php echo $func->show($line->BASKET_NAME); ?> </td>
					<td ><?php echo $func->show($line->BASKET_DESC); ?> </td>
					<td class="action"> 
					
					<a href="index.php?page=basket_up&amp;id=<?php echo $line->BASKET_ID; ?>" class="change"><?php echo _MODIFY; ?></a>
					
					</td>
					
					<td class="action">	
					<?php if($line->IS_GENERIC == 'N')
						{
							echo '<a href="'.$page_name_del.'.php?id='.$line->BASKET_ID.'" class="delete" onclick="return(confirm(\''._REALLY_DELETE.' '.$func->show($line->BASKET_NAME).' ?\n'._DEFINITIVE_ACTION.'\'));">'._DELETE.'</a>';
						}	
						 ?>					
					</td>
				  </tr>				 
		
			<?php }  
		?>	</tbody>
		</table>
		</div>
		<?php 
		$_SESSION['m_admin']['basket']['basketId'] = "";
		$_SESSION['m_admin']['basket']['desc'] = ""; 
		$_SESSION['m_admin']['basket']['name'] = ""; 
		$_SESSION['m_admin']['basket']['clause'] = ""; 
		$_SESSION['m_admin']['basket']['table'] ="";
		$_SESSION['m_admin']['basket']['is_generic'] ="";
		$_SESSION['m_admin']['basket']['is_global'] ="";
		$_SESSION['m_admin']['basket']['locktime'] ="";
		$_SESSION['m_admin']['basket']['nbdays'] ="";
		if( isset($_SESSION['m_admin']['basket']['select']) ) $_SESSION['m_admin']['basket']['select'] ="";
		if( isset($_SESSION['m_admin']['basket']['group_by']) ) $_SESSION['m_admin']['basket']['group_by'] ="";
		if( isset($_SESSION['m_admin']['basket']['order_by']) ) $_SESSION['m_admin']['basket']['order_by'] ="";
		if( isset($_SESSION['m_admin']['basket']['limit']) ) $_SESSION['m_admin']['basket']['limit'] ="";

		$_SESSION['m_admin']['basket']['groups'] = array();
		$_SESSION['m_admin']['basket']['gdd_basket'] ="";
		$_SESSION['m_admin']['basket']['other_link'] ="";
		
		$_SESSION['m_admin']['non_generic_basket'] = array();
		
		$this->query("select BASKET_ID, BASKET_NAME from ".$_SESSION['tablename']['baskets']." where IS_GENERIC = 'N' order by basket_name");
		while($line = $this->fetch_object())
		{
			array_push($_SESSION['m_admin']['non_generic_basket'], array("BASKET_ID" => $line->BASKET_ID, "BASKET_NAME" => $func->show($line->BASKET_NAME)));
		}
		
		$this->query("select group_id, group_desc from ".$_SESSION['tablename']['usergroups']." order by group_desc ");

		$_SESSION['groups'] = array();
		$line = "";
		
		while($line = $this->fetch_object())
		{
			array_push($_SESSION['groups'], array('ID' =>$line->group_id, 'LABEL' => $func->show($line->group_desc)));
		}
		
		$_SESSION['services'] = array();
		$this->query("select ID, SERVICE from ".$_SESSION['tablename']['services']." where ENABLED = 'Y' order by service");
		
		while($line = $this->fetch_object())
		{
			array_push($_SESSION['services'], array("ID"=>$line->ID, "LABEL" => $func->show($line->SERVICE))); 
		}
		
		$_SESSION['m_admin']['load_groupbasket'] = true;
	}
	
	/**
	* Load data from the groupbasket table in the session ( $_SESSION['m_admin']['basket']['groups']  array)
	*
	* @param 	string  $id  basket identifier 
	*/
	private function load_groupbasket($id)
	{
		$func = new functions();
		$this->connect();
		$_SESSION['m_admin']['basket']['groups'] = array();
		$i =0;
		$this->query("select gb.GROUP_ID, gb.CAN_REDIRECT, gb.CAN_DELETE, gb.CAN_INSERT, gb.REDIRECT_BASKETLIST, gb.REDIRECT_GROUPLIST, gb.SEQUENCE, gb.RESULT_PAGE, u.GROUP_DESC, gb.FKID_DYNAMIC_ARRAY 
		FROM ".$_SESSION['tablename']['groupbasket']." gb, ".$_SESSION['tablename']['usergroups']." u where gb.BASKET_ID = '".$id."' and gb.GROUP_ID = u.GROUP_ID order by u.GROUP_DESC");
		while($line2 = $this->fetch_object())
		{
			$_SESSION['m_admin']['basket']['groups'][$i] = array("GROUP_ID" => $line2->GROUP_ID , "GROUP_LABEL" => $func->show($line2->GROUP_DESC), $line2->GROUP_DESC, "REDIRECT" => $line2->CAN_REDIRECT , "DEL" => $line2->CAN_DELETE , "DUPLIQ" => $line2->CAN_INSERT , "BASKET_LIST" => $line2->REDIRECT_BASKETLIST , "GROUP_LIST" => $line2->REDIRECT_GROUPLIST , "SEQUENCE" => $line2->SEQUENCE, "RESULT_PAGE" => $line2->RESULT_PAGE, "FKID_DYNAMIC_ARRAY" => $line2->FKID_DYNAMIC_ARRAY);
			$i++;
		}
		$_SESSION['m_admin']['groupbasket'] = false ;
	}
	
	/**
	* Form for the management of the basket.
	*
	* @param 	string  $mode administrator mode (modification, suspension, authorization, delete)
	* @param 	string  $id  group identifier (empty by default)
	*/
	public function formbasket($mode,$id = "")
	{
		$func = new functions();

		$state = true;
		if($mode == "up")
		{
			$_SESSION['m_admin']['mode'] = "up";
			if(empty($_SESSION['error']))
			{
				$this->connect();
				$this->query("select * from ".$_SESSION['tablename']['baskets']." where BASKET_ID = '".$id."' and ENABLED= 'Y'");
				
				if($this->nb_result() == 0)
				{
					$_SESSION['error'] = _BASKET_MISSING;
					$state = false;
				}
				else
				{
					$_SESSION['m_admin']['basket']['basketId'] = $id;
					
					$line = $this->fetch_object();
					$_SESSION['m_admin']['basket']['desc'] = $func->show($line->BASKET_DESC); 
					$_SESSION['m_admin']['basket']['name'] = $func->show($line->BASKET_NAME); 
					$_SESSION['m_admin']['basket']['select'] = $line->BASKET_SELECT; 
					$_SESSION['m_admin']['basket']['clause'] = $line->BASKET_CLAUSE;
					$_SESSION['m_admin']['basket']['group_by'] = $line->BASKET_GROUP_BY; 
					$_SESSION['m_admin']['basket']['order_by'] = $line->BASKET_ORDER_BY;
					$_SESSION['m_admin']['basket']['limit'] = $line->BASKET_LIMIT; 
					$_SESSION['m_admin']['basket']['is_generic'] = $line->IS_GENERIC;
					$_SESSION['m_admin']['basket']['is_global'] = $line->IS_GLOBAL; 
					$_SESSION['m_admin']['basket']['locktime'] = $line->LOCK_TIME; 
					$_SESSION['m_admin']['basket']['is_lockable'] = $line->IS_LOCKABLE; 
					$_SESSION['m_admin']['basket']['table'] = $line->RES_TABLE;
					$_SESSION['m_admin']['basket']['gdd_basket'] = $line->GDD_BASKET; 
					$_SESSION['m_admin']['basket']['other_link'] = $line->OTHER_LINK; 

					if (! isset($_SESSION['m_admin']['load_groupbasket']) || $_SESSION['m_admin']['load_groupbasket'] == true)
					{
						$this->load_groupbasket($id);
						$_SESSION['m_admin']['groupbasket'] = false ;
						
					}
				}
			}
		}

	
			if($mode == "add")
			{
				echo '<h1><img src="'.$_SESSION['config']['img'].'/picto_add_b.gif" alt="" />'._BASKET_ADDITION.'</h1>';
			}
			elseif($mode == "up")
			{
				echo '<h1><img src="'.$_SESSION['config']['img'].'/picto_add_b.gif" alt="" />'._BASKET_MODIFICATION.'</h1>';
			}
			?>
			<div id="inner_content" class="clearfix">
				
				<div id="add_box" class="bloc">
			<p><iframe name="groupbasket_form" id="groupbasket_form" src="groupbasket_form.php"  frameborder="0" class="frameform2"></iframe></p>
				</div>
		
			<?php 
			if($state == false)
			{
				echo "<br/><br/><br/><br/>"._BASKET.' '._UNKNOWN."<br/><br/><br/><br/>";
			}
			else
			{
			?>
				
			<form name="formbasket" id="formbasket" method="post" action="<?php if($mode == "up") { echo "basket_up_db.php"; } elseif($mode == "add") { echo "basket_add_db.php"; } ?>" class="forms addforms">
				<p>
					<label><?php echo _ID;?> : </label>
					<input name="basketId" id="basketId" type="text" value="<?php echo $func->show($_SESSION['m_admin']['basket']['basketId']); ?>" <?php if($mode == "up") { echo 'readonly="readonly" class="readonly"';} ?> /><span class="red_asterisk">*</span>
				<input type="hidden"  name="id" value="<?php echo $id; ?>" />
				</p>
				<p>	 
					<label><?php echo _WORDING; ?> : </label>
					<input name="basketname"  type="text" id="basketname" value="<?php echo $func->show($_SESSION['m_admin']['basket']['name']); ?>" /><span class="red_asterisk">*</span>
				</p>
				<p>
					<label><?php echo _DESC; ?> : </label>
					<textarea  cols="30" rows="4"  name="basketdesc"  id="basketdesc" ><?php echo $func->show($_SESSION['m_admin']['basket']['desc']); ?></textarea>
				</p>
                <?php 
				if($_SESSION['m_admin']['basket']['is_generic'] == 'Y')
				{
					?>
                    <p>
                    	<em><?php echo _SYSTEM_BASKET_MESSAGE;?>.</em>
                    </p>
                    <?php
				} 
				?>
				
				<p>
					<label><?php echo _SELECT;?> : </label>
					<textarea  cols="30" rows="4"  name="basketselect" id="basketselect"
					<?php 
					if($_SESSION['m_admin']['basket']['is_generic'] == 'Y') { echo "class=\"readonly\" readonly=\"readonly\""; }
					?>
					><?php if( isset($_SESSION['m_admin']['basket']['select']) ) echo trim($_SESSION['m_admin']['basket']['select']); else echo "*"; ?></textarea>
					<span class="red_asterisk">*</span>
				</p>
				<p>
					<label><?php echo _TABLE;?> : </label>
                   <input type="text" name="baskettable" id="baskettable" value="<?php echo $_SESSION['m_admin']['basket']['table']; ?>"
					<?php 
					if($_SESSION['m_admin']['basket']['is_generic'] == 'Y') { echo "class=\"readonly\" readonly=\"readonly\""; }
					?>
					/><span class="red_asterisk">*</span>
				</p>
				<p>
					<label><?php echo _BASKET_VIEW;?> : </label>
					<textarea  cols="30" rows="4"  name="basketclause" <?php if($_SESSION['m_admin']['basket']['is_generic'] == 'Y') { echo 'readonly="readonly" class="readonly"';} ?> id="basketclause" ><?php echo $func->show(str_replace("\'", "'", $_SESSION['m_admin']['basket']['clause'])); ?></textarea>
				</p>
				<p>
					<label><?php echo _GROUP_BY;?> : </label>
					<input type="text" name="basketgroup_by" id="basketgroup_by" value="<?php echo $_SESSION['m_admin']['basket']['group_by']; ?>"
					<?php 
					if($_SESSION['m_admin']['basket']['is_generic'] == 'Y') { echo "class=\"readonly\" readonly=\"readonly\""; }
					?>
					/><span class="red_asterisk">*</span>
				</p>
				<p>
					<label><?php echo _ORDER_BY;?> : </label>
					<input type="text" name="basketorder_by" id="basketorder_by" value="<?php echo $_SESSION['m_admin']['basket']['order_by']; ?>"
					<?php 
					if($_SESSION['m_admin']['basket']['is_generic'] == 'Y') { echo "class=\"readonly\" readonly=\"readonly\""; }
					?>
					/><span class="red_asterisk">*</span>
				</p>
				<p>
					<label><?php echo _LIMIT;?> : </label>
					<input type="text" name="basketlimit" id="basketlimit" value="<?php echo $_SESSION['m_admin']['basket']['limit']; ?>"
					<?php 
					if($_SESSION['m_admin']['basket']['is_generic'] == 'Y') { echo "class=\"readonly\" readonly=\"readonly\""; }
					?>
					/><span class="red_asterisk">*</span>
				</p>
				<?php 
				if ($_SESSION['m_admin']['basket']['is_lockable'] == "Y")
				{
					?>
					<p>
						<label><?php echo _GLOBAL_BASKET;?> :</label>
						<input name="global" id="global" class="check" type="checkbox" value="Y" <?php if ( $_SESSION['m_admin']['basket']['is_global'] == 'Y') { echo "checked=\"checked\"";} ?> />
					</p>
					<p>
						<label for="locktime"><?php echo _LOCK_TIME;?> : </label>
						<input name="locktime" type="text" class="msmall" id="locktime" value="<?php echo $func->show($_SESSION['m_admin']['basket']['locktime']); ?>" size="3" maxlength="3" />
						<?php echo _TIME_IN_MINUTE; ?>
					</p>
					<?php 
				}
								
				
				########################################################
				### Type de la bannette 
				### Soit GDD ou OTHER_LINK
				########################################################
				
				
				if($_SESSION['config']['gdd']=="true" OR $_SESSION['config']['other_link']=="true")
				{
					echo"
					<h3>
						"._TYPE_BASKET."
					</h3>
					("._SELECT_ONE_TYPE.")
					<br /><br />
					";	
				
				}
				
				if($_SESSION['config']['gdd']=="true")
				{
					echo"
					<p>
						<label>"._GDD_BASKET." :</label>
						<input name=\"gdd_basket\" id=\"gdd_basket\" class=\"check\" type=\"checkbox\" value=\"Y\" "; if ( $_SESSION['m_admin']['basket']['gdd_basket'] == 'Y') { echo "checked=\"checked\"";} echo" />
					</p>
					";	
				}
				
				if($_SESSION['config']['other_link']=="true")
				{
					echo"
					<p>
						<label>"._OTHER_LINK." :</label>
						<input name=\"other_link\" id=\"other_link\" class=\"check\" type=\"checkbox\" value=\"Y\" "; if ( $_SESSION['m_admin']['basket']['other_link'] == 'Y') { echo "checked=\"checked\"";} echo" />
					</p>
					";	
				}
				
				########################################################
				?>
				<p class="buttons">
                        <input type="submit" name="Submit" value="<?php echo _VALIDATE; ?>" class="button" />
                        <input type="button" name="cancel" value="<?php echo _CANCEL; ?>" class="button"  onclick="javascript:window.location.href='index.php?page=basket';"/>
				</p>
							</form>
			<?php 
			}
			?>
		</div>

	<?php 
	}

	/**
	* Treats the information returned by the form of formgroups()
	*
	* @param 	string  $mode administrator mode (modification, suspension, authorization, delete)
	*/
	public function basketinfo($mode)
	{
		
		$func = new functions();
				
		if($mode == "add")
		{
			$_SESSION['m_admin']['basket']['basketId'] = $func->wash($_POST['basketId'], "alphanum", _THE_ID);
		}
		
		if($mode == "up")
		{
			$_SESSION['m_admin']['basket']['basketId']  = $func->wash($_POST['id'], "alphanum", _THE_ID);
		}
		
		$_SESSION['m_admin']['basket']['name'] = $func->wash($_POST['basketname'], "no", _WORDING);
				
		if (isset($_POST['basketdesc']) && !empty($_POST['basketdesc']))
		{
			$_SESSION['m_admin']['basket']['desc'] = $func->wash($_POST['basketdesc'], "no", _THE_DESC);
		}
		else
		{
			$_SESSION['m_admin']['basket']['desc'] = '';
		}
		
		if (isset($_POST['basketselect']) && !empty($_POST['basketselect']))
		{
			$_SESSION['m_admin']['basket']['select'] = trim($_POST['basketselect']);
		}
		else
		{
			$_SESSION['m_admin']['basket']['select'] = '*';
		}
		
		$_SESSION['m_admin']['basket']['table'] = $func->wash($_POST['baskettable'], "no", _THE_TABLE);
			
		if (isset($_POST['basketclause']) && !empty($_POST['basketclause']))
		{
			$_SESSION['m_admin']['basket']['clause'] = trim($_POST['basketclause']);
		}
		else
		{
			$_SESSION['m_admin']['basket']['clause'] = ' 1 ';
		}
		
		if (isset($_POST['basketgroup_by']) && !empty($_POST['basketgroup_by']))
		{
			$_SESSION['m_admin']['basket']['group_by'] = trim($_POST['basketgroup_by']);
		}
		else
		{
			$_SESSION['m_admin']['basket']['group_by'] = '';
		}
		
		if (isset($_POST['basketorder_by']) && !empty($_POST['basketorder_by']))
		{
			$_SESSION['m_admin']['basket']['order_by'] = trim($_POST['basketorder_by']);
		}
		else
		{
			$_SESSION['m_admin']['basket']['order_by'] = '';
		}
		
		if (isset($_POST['basketlimit']) && !empty($_POST['basketlimit']))
		{
			$_SESSION['m_admin']['basket']['limit'] = trim($_POST['basketlimit']);
		}
		else
		{
			$_SESSION['m_admin']['basket']['limit'] = '';
		}
		
		if (isset($_POST['global']) && !empty($_POST['global']))
		{
			$_SESSION['m_admin']['basket']['is_global'] = $_POST['global'];
			
			if (isset($_POST['locktime']) && !empty($_POST['locktime']))
			{
				$_SESSION['m_admin']['basket']['locktime'] = $func->wash($_POST['locktime'], "num", _LOCK_TIME);
			}
			else
			{
				$_SESSION['m_admin']['basket']['locktime'] = '60';
			}
		}
		else
		{
			$_SESSION['m_admin']['basket']['is_global'] = 'N';
			$_SESSION['m_admin']['basket']['locktime'] = '';
		}
		
		if (isset($_POST['gdd_basket']) && !empty($_POST['gdd_basket']))
		{
			$_SESSION['m_admin']['basket']['gdd_basket'] = $_POST['gdd_basket'];
		}
		else
		{
			$_SESSION['m_admin']['basket']['gdd_basket'] = 'N';
		}
		
		if (isset($_POST['other_link']) && !empty($_POST['other_link']))
		{
			$_SESSION['m_admin']['basket']['other_link'] = $_POST['other_link'];
		}
		else
		{
			$_SESSION['m_admin']['basket']['other_link'] = 'N';
		}
		
		####################################################
		### On verifie si on a bien qu'un seul checkbox de cocher
		### pour la gdd et other_link
		####################################################
		
		if($_SESSION['m_admin']['basket']['other_link']=="Y" AND $_SESSION['m_admin']['basket']['gdd_basket'] == 'Y')
		{
			$func->add_error(_MULTI_TYPE_BASKET, "");
		}	
		
		####################################################
	}
	
	/**
	* Add ou modify baskets in the database
	*
	* @param string $mode up or add
	*/
	public function addupbasket($mode)
	{
		// add ou modify basket in the database
		$this->basketinfo($mode);
		
		if(!empty($_SESSION['error']))
		{
			
			if($mode == "up")
			{
				if(!empty($_SESSION['m_admin']['basket']['basketId']))
				{
					header("location: index.php?page=basket_up&id=".$_SESSION['m_admin']['basket']['basketId']);
					exit;
				}
				else
				{
					header("location: index.php?page=basket");
					exit;
				}
			}
			elseif($mode == "add")
			{
				header("location: index.php?page=basket_add");
				exit;
			}
		}
		else
		{
			$this->connect();
			
			
			if($mode == "add")
			{
				$this->query("select BASKET_ID from ".$_SESSION['tablename']['baskets']." where BASKET_ID= '".$_SESSION['m_admin']['basket']['basketId']."'");
				
				if($this->nb_result() > 0)
				{
					$_SESSION['error'] = $_SESSION['m_admin']['basket']['basketId']." "._ALREADY_EXISTS."<br />";
					header("location: index.php?page=basket_add");
					exit;
				}
				else
				{
					if( !isset($_SESSION['m_admin']['basket']['select']) || empty($_SESSION['m_admin']['basket']['select']) )
						$_SESSION['m_admin']['basket']['select'] = "*";
				
				
					$query_insert = "INSERT INTO ".$_SESSION['tablename']['baskets']." 
					( RES_TABLE, BASKET_ID, BASKET_NAME, BASKET_DESC, BASKET_SELECT, BASKET_CLAUSE, BASKET_GROUP_BY, BASKET_ORDER_BY, BASKET_LIMIT, IS_GLOBAL, LOCK_TIME, GDD_BASKET, OTHER_LINK";
					$query_values = " ) VALUES ( '".$_SESSION['m_admin']['basket']['table']."', 
					'".$_SESSION['m_admin']['basket']['basketId']."', 
					'".$_SESSION['m_admin']['basket']['name']."', 
					'".$_SESSION['m_admin']['basket']['desc']."',
					'".$_SESSION['m_admin']['basket']['select']."',
					'".$_SESSION['m_admin']['basket']['clause']."',
					'".$_SESSION['m_admin']['basket']['group_by']."',
					'".$_SESSION['m_admin']['basket']['order_by']."',
					'".$_SESSION['m_admin']['basket']['limit']."',
					'".$_SESSION['m_admin']['basket']['is_global']."', 
					'".$_SESSION['m_admin']['basket']['locktime']."',
					'".$_SESSION['m_admin']['basket']['gdd_basket']."',
					'".$_SESSION['m_admin']['basket']['other_link']."'";
					
					$this->query($query_insert.$query_values.")");
										
					$syntax =  $this->where_test();
				
					if( $syntax !== true )
					{
						$_SESSION['error'] .= _SYNTAX_ERROR_WHERE_CLAUSE." : ".$syntax;
						header("location: index.php?page=basket_up&id=".$_SESSION['m_admin']['basket']['basketId']);
						exit;
					}
					else
					{
						$this->load_db();
					
						if($_SESSION['history']['basketadd'] == "true")
						{
							require_once("class_history.php");
							$hist = new history();
							$hist->add($_SESSION['tablename']['baskets'], $_SESSION['m_admin']['basket']['basketId'],"ADD",_BASKET_ADDED." : ".$_SESSION['m_admin']['basket']['basketId']);
						}
						
						$this->clearbasketinfos();
					
						$_SESSION['error'] = _BASKET_ADDED;
						header("location: index.php?page=basket");
						exit;
					}
				}
			}
			
			elseif($mode == "up")
			{
					if( !isset($_SESSION['m_admin']['basket']['select']) || empty($_SESSION['m_admin']['basket']['select']) )
						$_SESSION['m_admin']['basket']['select'] = "*";
			
					$query_update = "UPDATE ".$_SESSION['tablename']['baskets']." 
					SET BASKET_NAME = '".$_SESSION['m_admin']['basket']['name']."' , 
					RES_TABLE = '".$_SESSION['m_admin']['basket']['table']."', 
					BASKET_DESC = '".$_SESSION['m_admin']['basket']['desc']."', 
					BASKET_SELECT = '".$_SESSION['m_admin']['basket']['select']."', 
					BASKET_GROUP_BY = '".$_SESSION['m_admin']['basket']['group_by']."', 
					BASKET_ORDER_BY = '".$_SESSION['m_admin']['basket']['order_by']."', 
					BASKET_LIMIT = '".$_SESSION['m_admin']['basket']['limit']."', 
					IS_GLOBAL = '".$_SESSION['m_admin']['basket']['is_global']."', 
					LOCK_TIME = '".$_SESSION['m_admin']['basket']['locktime']."',
					GDD_BASKET = '".$_SESSION['m_admin']['basket']['gdd_basket']."', 
					OTHER_LINK = '".$_SESSION['m_admin']['basket']['other_link']."'";
					
					
					$query_clause = ", BASKET_CLAUSE = '".$_SESSION['m_admin']['basket']['clause']."'";
					$query_where = " WHERE BASKET_ID = '".$_SESSION['m_admin']['basket']['basketId']."'";
					
					$this->query($query_update.$query_clause.$query_where);

					require_once("class_security.php");
					$sec = new security();
					
						$syntax =  $this -> where_test();
						
					 	if($syntax !== true)
					 	{
					 		$_SESSION['error'] .= _SYNTAX_ERROR_WHERE_CLAUSE." : ".$syntax;
							header("location: index.php?page=basket_up&id=".$_SESSION['m_admin']['basket']['basketId']);
							exit;
						
						}
						else
						{
							$this->load_db();
						
							if($_SESSION['history']['basketup'] == "true")
							{
								require_once("class_history.php");
								$hist = new history();
								$hist->add($_SESSION['tablename']['baskets'], $_SESSION['m_admin']['basket']['basketId'],"UP",_BASKET_UPDATE." : ".$_SESSION['m_admin']['basket']['basketId']);
							}
							
							$this->clearbasketinfos();
														
							$_SESSION['error'] = _BASKET_UPDATED;
							header("location: index.php?page=basket");
							exit;
						}
			}
		}
	}

	/**
	* Clean the $_SESSION['m_admin']['basket'] array
	*/
	private function clearbasketinfos()
	{
		// clear the users add or modification vars
		$_SESSION['m_admin']['basket'] = array();
		$_SESSION['m_admin']['basket']['basketId'] = "";
		$_SESSION['m_admin']['basket']['desc'] = "";
		$_SESSION['m_admin']['basket']['name'] = "";
		$_SESSION['m_admin']['basket']['table'] = "";
		$_SESSION['m_admin']['basket']['clause'] = "";
		$_SESSION['m_admin']['basket']['is_generic'] = "";
		$_SESSION['m_admin']['basket']['is_global'] = "";
		$_SESSION['m_admin']['basket']['locktime'] = "";
		$_SESSION['m_admin']['basket']['select'] ="";
		$_SESSION['m_admin']['basket']['group_by'] ="";
		$_SESSION['m_admin']['basket']['order_by'] ="";
		$_SESSION['m_admin']['basket']['limit'] ="";
		$_SESSION['m_admin']['basket']['groups'] = array();
		$_SESSION['m_admin']['basket']['gdd_basket'] = "";
		$_SESSION['m_admin']['basket']['other_link'] = "";
	}
		
	/**
	* Check the basket where clause
	*/
	public function where_test()
	{
		$_SESSION['error'] ="";
		
		$link = mysql_connect( $_SESSION['config']['databaseserver'],$_SESSION['config']['databaseuser'], $_SESSION['config']['databasepassword']);
		
		if(!$link)
		{
		
		}
		else
		{
			$db = mysql_select_db($_SESSION['config']['databasename'], $link);
		}		
		
		$where = "";
		
		if( !empty ($_SESSION['m_admin']['basket']['clause']))
		{
			$where = " where ".$_SESSION['m_admin']['basket']['clause'] ;
			$where = str_replace("\\", "", $where);
			$where = str_replace("@user", "'".$_SESSION['user']['UserId']."'", $where);
			$where = str_replace("@groupuser", "('".$_SESSION['user']['primarygroup']."')", $where);
			$where = str_replace("@my_entity", "('".$_SESSION['user']['department']."')", $where);
			if( count($_SESSION['user']['services']) > 0 )
			{
				$entities = '';
				for($i=0; $i<count($_SESSION['user']['services']);$i++)
				{
						$entities .= "'".$_SESSION['user']['services'][$i]['ID']."' , ";
				}
				$entities = ereg_replace(" , $", "", $entities);
				$where = str_replace("@entities", "(".$entities.")", $where);
			}	
		}
		
		if( isset($_SESSION['m_admin']['basket']['group_by']) && !empty($_SESSION['m_admin']['basket']['group_by']) )
			$where .= " GROUP BY ".$_SESSION['m_admin']['basket']['group_by'];
			
		if( isset($_SESSION['m_admin']['basket']['order_by']) && !empty($_SESSION['m_admin']['basket']['order_by']) )
			$where .= " ORDER BY ".$_SESSION['m_admin']['basket']['order_by'];
			
		if( isset($_SESSION['m_admin']['basket']['limit']) && !empty($_SESSION['m_admin']['basket']['limit']) )
			$where .= " LIMIT ".$_SESSION['m_admin']['basket']['limit'];
	
		$res = mysql_query("SELECT count(*) from ".$_SESSION['m_admin']['basket']['table']." ".$where);
				
		if(!$res)
		{
			$copy_mail = mysql_query("SELECT count(r.RES_ID) from ".$_SESSION['m_admin']['basket']['table']." r, ".$_SESSION['tablename']['listinstance']." l  ".$where);
			
			if( !$copy_mail )
			{
				$_SESSION['error'] .= " ".$_SESSION['m_admin']['basket']['table'];
				return false;
			}
		}
		
		return true;
	}
	
	/**
	* Load the basket data in the database
	*/
	public function load_db()
	{
		$this->connect();
		
		$this->query("DELETE FROM ".$_SESSION['tablename']['groupbasket'] ." where BASKET_ID = '".$_SESSION['m_admin']['basket']['basketId']."'");
		//$this->show();
		$grouplistetmp ="";
		for($i=0; $i < count($_SESSION['m_admin']['basket']['groups'] ); $i++)
		{
			$grouplistetmp = $_SESSION['m_admin']['basket']['groups'][$i]['GROUP_LIST'];
			$grouplistetmp = str_replace("'", "\'", $_SESSION['m_admin']['basket']['groups'][$i]['GROUP_LIST']);
			//$grouplistetmp = str_replace("''''", "''", $grouplistetmp );
			$temp = ereg_replace("^,", "", trim($_SESSION['m_admin']['basket']['groups'][$i]['BASKET_LIST']));
			$temp = str_replace("''", "'", $temp);
			$temp = addslashes($temp);
			
			$this->query("INSERT INTO ".$_SESSION['tablename']['groupbasket']."  VALUES ('".$_SESSION['m_admin']['basket']['groups'][$i]['GROUP_ID']."', '".$_SESSION['m_admin']['basket']['basketId']."', ".$_SESSION['m_admin']['basket']['groups'][$i]['SEQUENCE'].", '".$temp."', '".$grouplistetmp."' ,'".$_SESSION['m_admin']['basket']['groups'][$i]['REDIRECT']."', '".$_SESSION['m_admin']['basket']['groups'][$i]['DEL']."','".$_SESSION['m_admin']['basket']['groups'][$i]['DUPLIQ']."', '".$_SESSION['m_admin']['basket']['groups'][$i]['RESULT_PAGE']."', '".$_SESSION['m_admin']['basket']['groups'][$i]['FKID_DYNAMIC_ARRAY']."' )");
		//	$this->show();
		}
		//exit;
	}
	
	/**
	* Allow, suspend or delete basket in the database
	*
	* @param string $id basket identifier
	* @param string $mode allow, ban or del
	*/
	public function adminbasket($id,$mode)
	{
		if(!empty($_SESSION['error']))
		{
			header("location: index.php?page=basket");
			exit;
		}
		else
		{
			$this->connect();
			
			$this->query("select BASKET_ID from ".$_SESSION['tablename']['baskets']." where BASKET_ID = '".$id."'");
			
			if($this->nb_result() == 0)
			{
				$_SESSION['error'] = _BASKET_MISSING;
				header("location: index.php?page=basket");
				exit;
			}
			else
			{
				$info = $this->fetch_object();
				
				if($mode == "allow")
				{
					$this->query("Update ".$_SESSION['tablename']['baskets']." set enabled = 'Y' where BASKET_ID = '".$id."'", "no");
					if($_SESSION['history']['basketval'] == "true")
					{
						require_once("class_history.php");
						$users = new history();
						$users->add($_SESSION['tablename']['baskets'], $id,"VAL",_BASKET_AUTORIZATION." : ".$id);
					}
					$_SESSION['error'] = _AUTORIZED_BASKET;

				}
				elseif($mode == "ban")
				{
					$this->query("Update ".$_SESSION['tablename']['baskets']." set enabled = 'N' where basket_id = '".$id."'", "no");
					if($_SESSION['history']['basketban'] == "true")
					{
						require_once("class_history.php");
						$users = new history();
						$users->add($_SESSION['tablename']['baskets'], $id,"BAN",_BASKET_SUSPENSION." : ".$id);
					}
					$_SESSION['error'] = _SUSPENDED_BASKET;
					
				}
				elseif($mode == "del" )
				{
					$this->query("delete from ".$_SESSION['tablename']['baskets']."  where basket_id = '".$id."'");
					$this->query("delete from ".$_SESSION['tablename']['groupbasket']."  where basket_id = '".$id."'");
					
					if($_SESSION['history']['basketdel'] == "true")
					{
						require_once("class_history.php");
						$users = new history();
						$users->add($_SESSION['tablename']['baskets'], $id,"DEL",_BASKET_DELETION." : ".$id);
					}
					$_SESSION['error'] = _BASKET_DELETION;					
					
				}
				
				header("location: index.php?page=basket");
				exit;
			}
		}
	}
	/////////////////////////////
	/**
	* Load the current basket into session
	*
	* @param  $id basket string basket identifier of the basket to load
	*/
	public function load_current_basket($id_basket)
	{
		
		$_SESSION['current_basket'] = array();
		$_SESSION['current_basket']['id'] = trim($id_basket);
		$ind = -1;
		for($i=0; $i < count($_SESSION['user']['baskets']); $i++)
		{
			if($_SESSION['user']['baskets'][$i]['basket_id'] == $_SESSION['current_basket']['id'])
			{
				$ind = $i;
				break;
			}
		}
		if($ind > -1)
		{
			$_SESSION['current_basket']['table'] = $_SESSION['user']['baskets'][$ind]['table'];
			$_SESSION['current_basket']['page'] =$_SESSION['user']['baskets'][$ind]['result_page'];
			$_SESSION['current_basket']['label'] = $_SESSION['user']['baskets'][$ind]['name'];
			$_SESSION['current_basket']['clause'] = $_SESSION['user']['baskets'][$ind]['clause'];
			$_SESSION['current_basket']['select'] = $_SESSION['user']['baskets'][$ind]['select'];
			$_SESSION['current_basket']['group_by'] = $_SESSION['user']['baskets'][$ind]['group_by'];
			$_SESSION['current_basket']['order_by'] = $_SESSION['user']['baskets'][$ind]['order_by'];
			$_SESSION['current_basket']['limit'] = $_SESSION['user']['baskets'][$ind]['limit'];
			$_SESSION['current_basket']['is_global'] = $_SESSION['user']['baskets'][$ind]['is_global'];
			$_SESSION['current_basket']['locktime'] = $_SESSION['user']['baskets'][$ind]['locktime'];
			$_SESSION['current_basket']['can_insert'] = $_SESSION['user']['baskets'][$ind]['can_insert'];
			$_SESSION['current_basket']['can_modify'] = $_SESSION['user']['baskets'][$ind]['can_modify'];
			$_SESSION['current_basket']['can_delete'] = $_SESSION['user']['baskets'][$ind]['can_delete'];
			$_SESSION['current_basket']['can_redirect'] = $_SESSION['user']['baskets'][$ind]['can_redirect'];
			$_SESSION['current_basket']['redirect_services'] = $_SESSION['user']['baskets'][$ind]['redirect_services'];
			$_SESSION['current_basket']['redirect_users'] = $_SESSION['user']['baskets'][$ind]['redirect_users'];
			$_SESSION['current_basket']['gdd_basket'] = $_SESSION['user']['baskets'][$ind]['gdd_basket'];
			$_SESSION['current_basket']['other_link'] = $_SESSION['user']['baskets'][$ind]['other_link'];
			$_SESSION['current_basket']['fkid_dynamic_array'] = $_SESSION['user']['baskets'][$ind]['fkid_dynamic_array'];
		
		}
		$_SESSION['current_basket']['no_action'] = false;
		$_SESSION['current_basket']['basket_owner'] = $_SESSION['user']['baskets'][$ind]['basket_owner'];
		$_SESSION['current_basket']['abs_basket'] = $_SESSION['user']['baskets'][$ind]['abs_basket'];
		if($_SESSION['current_basket']['can_delete'] == false && $_SESSION['current_basket']['can_redirect'] <> 'Y')
		{
			$_SESSION['current_basket']['no_action'] = true;
		}
		
		if(ereg('.php$', $_SESSION['current_basket']['page']))
		{	
			header('location:'.$_SESSION['current_basket']['page']);
		}
		else
		{
			header('location:index.php?page='.$_SESSION['current_basket']['page']);
		}
	
	}
	
	/////////////////////////////
	/**
	* Load the current basket into session
	*
	* @param  $id basket string basket identifier of the basket to load
	*/
	public function load_current_basket_gdd($id_basket)
	{
		
		$_SESSION['current_basket'] = array();
		$_SESSION['current_basket']['id'] = trim($id_basket);
		$ind = -1;
		for($i=0; $i < count($_SESSION['user']['baskets_gdd']); $i++)
		{
			if($_SESSION['user']['baskets_gdd'][$i]['basket_id'] == $_SESSION['current_basket']['id'])
			{
				$ind = $i;
				break;
			}
		}
		if($ind > -1)
		{
			$_SESSION['current_basket']['table'] = $_SESSION['user']['baskets_gdd'][$ind]['table'];
			$_SESSION['current_basket']['page'] =$_SESSION['user']['baskets_gdd'][$ind]['result_page'];
			$_SESSION['current_basket']['label'] = $_SESSION['user']['baskets_gdd'][$ind]['name'];
			$_SESSION['current_basket']['clause'] = $_SESSION['user']['baskets_gdd'][$ind]['clause'];
			$_SESSION['current_basket']['select'] = $_SESSION['user']['baskets_gdd'][$ind]['select'];
			$_SESSION['current_basket']['group_by'] = $_SESSION['user']['baskets_gdd'][$ind]['group_by'];
			$_SESSION['current_basket']['order_by'] = $_SESSION['user']['baskets_gdd'][$ind]['order_by'];
			$_SESSION['current_basket']['limit'] = $_SESSION['user']['baskets_gdd'][$ind]['limit'];
			$_SESSION['current_basket']['is_global'] = $_SESSION['user']['baskets_gdd'][$ind]['is_global'];
			$_SESSION['current_basket']['locktime'] = $_SESSION['user']['baskets_gdd'][$ind]['locktime'];
			$_SESSION['current_basket']['can_insert'] = $_SESSION['user']['baskets_gdd'][$ind]['can_insert'];
			$_SESSION['current_basket']['can_modify'] = $_SESSION['user']['baskets_gdd'][$ind]['can_modify'];
			$_SESSION['current_basket']['can_delete'] = $_SESSION['user']['baskets_gdd'][$ind]['can_delete'];
			$_SESSION['current_basket']['can_redirect'] = $_SESSION['user']['baskets_gdd'][$ind]['can_redirect'];
			$_SESSION['current_basket']['redirect_services'] = $_SESSION['user']['baskets_gdd'][$ind]['redirect_services'];
			$_SESSION['current_basket']['redirect_users'] = $_SESSION['user']['baskets_gdd'][$ind]['redirect_users'];
			$_SESSION['current_basket']['gdd_basket'] = $_SESSION['user']['baskets_gdd'][$ind]['gdd_basket'];
			$_SESSION['current_basket']['fkid_dynamic_array'] = $_SESSION['user']['baskets_gdd'][$ind]['fkid_dynamic_array'];
		}
		$_SESSION['current_basket']['no_action'] = false;
		$_SESSION['current_basket']['basket_owner'] = $_SESSION['user']['baskets_gdd'][$ind]['basket_owner'];
		$_SESSION['current_basket']['abs_basket'] = $_SESSION['user']['baskets_gdd'][$ind]['abs_basket'];
		if($_SESSION['current_basket']['can_delete'] == false && $_SESSION['current_basket']['can_redirect'] <> 'Y')
		{
			$_SESSION['current_basket']['no_action'] = true;
		}

		
		if(ereg('.php$', $_SESSION['current_basket']['page']))
		{	
			header('location:'.$_SESSION['current_basket']['page']);
		}
		else
		{
			header('location:index.php?page='.$_SESSION['current_basket']['page']);
		}
	
	}
	
	/////////////////////////////
	/**
	* Load the current basket into session
	*
	* @param  $id basket string basket identifier of the basket to load
	*/
	public function load_current_other_link($id_basket)
	{
		
		$_SESSION['current_basket'] = array();
		$_SESSION['current_basket']['id'] = trim($id_basket);
		$ind = -1;
		for($i=0; $i < count($_SESSION['user']['other_link']); $i++)
		{
			if($_SESSION['user']['other_link'][$i]['basket_id'] == $_SESSION['current_basket']['id'])
			{
				$ind = $i;
				break;
			}
		}
		if($ind > -1)
		{
			$_SESSION['current_basket']['table'] = $_SESSION['user']['other_link'][$ind]['table'];
			$_SESSION['current_basket']['page'] =$_SESSION['user']['other_link'][$ind]['result_page'];
			$_SESSION['current_basket']['label'] = $_SESSION['user']['other_link'][$ind]['name'];
			$_SESSION['current_basket']['clause'] = $_SESSION['user']['other_link'][$ind]['clause'];
			$_SESSION['current_basket']['select'] = $_SESSION['user']['other_link'][$ind]['select'];
			$_SESSION['current_basket']['group_by'] = $_SESSION['user']['other_link'][$ind]['group_by'];
			$_SESSION['current_basket']['order_by'] = $_SESSION['user']['other_link'][$ind]['order_by'];
			$_SESSION['current_basket']['limit'] = $_SESSION['user']['other_link'][$ind]['limit'];
			$_SESSION['current_basket']['is_global'] = $_SESSION['user']['other_link'][$ind]['is_global'];
			$_SESSION['current_basket']['locktime'] = $_SESSION['user']['other_link'][$ind]['locktime'];
			$_SESSION['current_basket']['can_insert'] = $_SESSION['user']['other_link'][$ind]['can_insert'];
			$_SESSION['current_basket']['can_modify'] = $_SESSION['user']['other_link'][$ind]['can_modify'];
			$_SESSION['current_basket']['can_delete'] = $_SESSION['user']['other_link'][$ind]['can_delete'];
			$_SESSION['current_basket']['can_redirect'] = $_SESSION['user']['other_link'][$ind]['can_redirect'];
			$_SESSION['current_basket']['redirect_services'] = $_SESSION['user']['other_link'][$ind]['redirect_services'];
			$_SESSION['current_basket']['redirect_users'] = $_SESSION['user']['other_link'][$ind]['redirect_users'];
			$_SESSION['current_basket']['other_link'] = $_SESSION['user']['other_link'][$ind]['other_link'];
			$_SESSION['current_basket']['fkid_dynamic_array'] = $_SESSION['user']['other_link'][$ind]['fkid_dynamic_array'];
		}
		$_SESSION['current_basket']['no_action'] = false;
		$_SESSION['current_basket']['basket_owner'] = $_SESSION['user']['other_link'][$ind]['basket_owner'];
		$_SESSION['current_basket']['abs_basket'] = $_SESSION['user']['other_link'][$ind]['abs_basket'];
		if($_SESSION['current_basket']['can_delete'] == false && $_SESSION['current_basket']['can_redirect'] <> 'Y')
		{
			$_SESSION['current_basket']['no_action'] = true;
		}

		
		if(ereg('.php$', $_SESSION['current_basket']['page']))
		{	
			header('location:'.$_SESSION['current_basket']['page']);
		}
		else
		{
			header('location:index.php?page='.$_SESSION['current_basket']['page']);
		}
	
	}
	
	
	/**
	* Returns in a string the form to redirect baskets to users during leaving
	*
	* @param  $result array Array of the baskets to redirect
	* @param  $nb_total integer Number of baskets to redirect
	* @param  $user_id string Owner of the baskets (identifier)
	* @param  $used_css string CSS to use in displaying
	*/
	public function redirect_my_baskets_list($result, $nb_total, $user_id, $used_css = 'listing spec')
	{
	
		$nb_show = $_SESSION['config']['nblinetoshow'];
		
		ob_start();
		?><h2><?php echo _REDIRECT_MY_BASKETS;?></h2><div align="center"><form name="redirect_my_baskets_to" id="redirect_my_baskets_to" method="post" action="manage_redirect_my_basket.php"><input type="hidden" name="baskets_owner" id="baskets_owner" value="<?php echo $user_id;?>" /><table border="0" cellspacing="0" class="<?php echo $used_css;?>"><thead><tr><th><?php echo _ID; ?></th><th><?php echo _NAME; ?></th><th><?php echo _REDIRECT_TO; ?></th></tr></thead><tbody><?php $color = "";
		for($theline = 0; $theline < $nb_total ; $theline++)
		{
			if($color == ' class="col"')
			{
				$color = '';
			}
			else
			{
				$color = ' class="col"';
			}
			?><tr <?php echo $color; ?>><td> <?php echo $result[$theline]['basket_id'];  ?></td><td><?php echo $result[$theline]['name'];  ?></td><td><input type="hidden" name="basket_<?php echo $theline;?>" id="basket_<?php echo $theline;?>" value="<?php echo $result[$theline]['basket_id'];?>" /><input type="hidden" name="virtual_<?php echo $theline;?>" id="virtual_<?php echo $theline;?>" value="<?php if( $result[$theline]['abs_basket'] == true){ echo 'Y';}else{ echo 'N';} ?>"/><input type="hidden" name="originalowner_<?php echo $theline;?>" id="originalowner_<?php echo $theline;?>" value="<?php echo $result[$theline]['basket_owner'];  ?>" /><input type="text" id="user_<?php echo $theline;?>" name="user_<?php echo $theline;?>" class="users_to redirect" /><span id="indicator_<?php echo $theline;?>" style="display: none"><img src="img/loading.gif" alt="Working..." /></span><div id="options_<?php echo $theline;?>" class="autocomplete"></div></td></tr><?php }
		?></tbody></table><p class="buttons"><input type="button" onclick="test_form();" name="valid" value="<?php echo _VALIDATE;?>" class="button"/> <input type="button" name="cancel" value="<?php echo _CANCEL;?>" onclick="destroyModal('modal_redirect');" class="button"/></p></form></div><?php $content = ob_get_clean();
	
		 return $content;
	}
	
	/**
	* Returns the number of baskets of a given user (Including the redirected baskets)
	*
	* @param  $user_id string Owner of the baskets (identifier)
	*/
	public function get_numbers_of_baskets($user_id)
	{
		if($user_id == $_SESSION['user']['UserId'])
		{
			return count($_SESSION['user']['baskets']);	
		}	
		else
		{
			$this->connect();
			$this->query("SELECT gb.basket_id  FROM ".$_SESSION['tablename']['usergroup_content']." uc, ".$_SESSION['tablename']['groupbasket']." gb WHERE uc.user_id = '".$user_id."' AND uc.primary_group = 'Y' AND uc.group_id = gb.group_id");	
			$nb = $this->nb_result();
			$this->query("select basket_id from ".$_SESSION['tablename']['missing_user']." mu where new_user = '".$user_id."'");
			
			return $nb+$this->nb_result();
		}
	}

	/**
	* Returns in an array the baskets of a given user  (Including the redirected baskets)
	*
	* @param  $user_id string Owner of the baskets (identifier)
	*/
	public function get_baskets($user_id)
	{
		$this->connect();
		$this->query("select b.basket_id, b.basket_name from ".$_SESSION['tablename']['baskets']." b, ".$_SESSION['tablename']['usergroup_content']." uc, ".$_SESSION['tablename']['groupbasket']." gb, ".$_SESSION['tablename']['usergroups']." u where uc.user_id = '".$user_id."' and uc.primary_group = 'Y' and gb.group_id = uc.group_id and b.basket_id = gb.basket_id and u.group_id = gb.group_id and u.enabled = 'Y' ");
		
		//$this->show();
		$tab = array();
		while($res = $this->fetch_object())
		{
			array_push($tab, array('basket_id' => $res->basket_id, 'name' => $res->basket_name, 'is_virtual' => 'N', 'basket_owner' =>'', 'abs_basket' => false));	
		}
		return array_merge($tab, $this->get_abs_baskets($user_id));
		
	}
	
	/**
	* Returns in an array the redirected baskets of a given user
	*
	* @param  $user_id string Owner of the baskets (identifier)
	*/
	public function get_abs_baskets($user_id)
	{
		$this->connect();
		$this->query("select basket_id, is_virtual, basket_owner from ".$_SESSION['tablename']['missing_user']." mu where user_abs = '".$user_id."'");
		$db = new dbquery();
		$db->connect();
		$tab = array();
		while( $res = $this->fetch_object())
		{
			$basket_id = $res->basket_id;
			$basket_owner = $res->basket_owner;
			$is_virtual = $res->is_virtual;
			$db->query("select basket_name from ".$_SESSION ['tablename']['baskets']." where basket_id ='".$basket_id."'");
			$res2 = $db->fetch_object();
			$basket_name = $res2->basket_name;
			if($is_virtual == 'Y' && $basket_owner <>  '')
			{
				$db->query("select firstname, lastname from ".$_SESSION['tablename']['users']." where user_id = '".$basket_owner."'");
				$res2 = $db->fetch_object();
				$user_name = $res2->firstname.' '.$res2->lastname;
				$basket_name .= "(".$user_name.")";
			}	
			else
			{
				$basket_owner = $user_id;	
			}
			array_push($tab, array('basket_id' => $basket_id, 'name' => $basket_name, 'is_virtual' => $is_virtual, 'basket_owner' => $basket_owner, 'abs_basket' => true));	
		}
		return $tab;
	}
	
	/**
	* Returns in an array all the data of a basket for a user (checks if the basket is a redirected one and then if already a virtual one)
	*
	* @param  $basket_id string Basket identifier
	* @param  $user_id string User identifier
	*/
	public function get_baskets_data($basket_id, $user_id)
	{
		$tab = array();
		$this->connect();
				
		$this->query("
		SELECT 
			*
		FROM 
			".$_SESSION['tablename']['baskets']." b, 
			".$_SESSION['tablename']['groupbasket']." g 
		WHERE 
			b.basket_id = '".$basket_id."' 
			AND b.enabled = 'Y' 
			AND g.group_id = '".$_SESSION['user']['primarygroup']."' 
			AND g.BASKET_ID = b.BASKET_ID " );
		
		$res = $this->fetch_object();
		$tab['basket_id'] = $res->BASKET_ID;
		$tab['table'] = $res->RES_TABLE;
		$tab['desc'] = $res->BASKET_DESC;
		$tab['name'] = $res->BASKET_NAME;
		$tab['clause'] = $res->BASKET_CLAUSE;
		$tab['is_global'] = $res->IS_GLOBAL;
		$tab['locktime'] = $res->LOCK_TIME;
		$tab['gdd_basket'] = $res->GDD_BASKET;
		$tab['other_link'] = $res->OTHER_LINK;
		$tab['fkid_dynamic_array'] = $res->FKID_DYNAMIC_ARRAY;
		
		if( !empty($res->BASKET_SELECT) ) $tab['select'] = $res->BASKET_SELECT;
		if( !empty($res->BASKET_GROUP_BY) ) $tab['group_by'] = $res->BASKET_GROUP_BY;
		if( !empty($res->BASKET_ORDER_BY) ) $tab['order_by'] = $res->BASKET_ORDER_BY;
		if( !empty($res->BASKET_LIMIT) ) $tab['limit'] = $res->BASKET_LIMIT;
		
		$is_virtual = 'N';
		$basket_owner = '';
		$abs_basket = false;
		
		/// TO DO : Test if tmp_user is empty
		if($user_id <> $_SESSION['user']['UserId'])
		{
			$this->query("select group_id from ".$_SESSION['tablename']['usergroup_content']." where primary_group = 'Y' and user_id = '".$user_id."'");
			$res = $this->fetch_object();
			$primary_group = $res->group_id;
		}
		else
		{
			$primary_group = $_SESSION['user']['primarygroup'];
		}
		$this->query("select sequence, can_redirect, can_delete, can_insert, result_page, redirect_basketlist, redirect_grouplist 
		FROM ".$_SESSION['tablename']['groupbasket']." 
		WHERE group_id = '".$primary_group."' and basket_id = '".$basket_id."' ");
		$res = $this->fetch_object();
	
		$tab['can_insert'] = $res->can_insert;
		$tab['can_redirect'] = $res->can_redirect;
		$tab['can_delete'] = $res->can_delete;
		$tab['result_page'] = $res->result_page;
		$tab['is_virtual'] = $is_virtual;
		$tab['basket_owner'] = $basket_owner;
		$tab['redirect_services'] = trim(stripslashes($res->redirect_basketlist));
		$tab['redirect_users'] = trim(stripslashes($res->redirect_grouplist));
		$tab['abs_basket'] = $abs_basket;	

		$user = "'".$user_id."'";
		if($user_id <> $_SESSION['user']['UserId'])
		{
			$this->query("select department from ".$_SESSION['tablename']['users']." where user_id = '".$user_id."'");
			$res = $this->fetch_object();
			$entity = "'".$res->department."'";
			$my_entities = $_SESSION['user']['services'];
		}
		else
		{
			$entity = "'".$_SESSION['user']['department']."'";	
			$my_entities = $_SESSION['user']['services'];
		}
	
		$tab['clause'] = str_replace("@user", $user , $tab['clause']);
		$tab['clause'] = str_replace("@my_entity",$entity , $tab['clause']);
		if( count($my_entities) > 0)
		{
			$entities = '';
			for($i=0; $i<count($my_entities);$i++)
			{
				$entities .= "'".$my_entities[$i]['ID']."' , ";
			}
			$entities = ereg_replace(" , $", "", $entities);
			$tab['clause'] = str_replace("@entities", "(".$entities.")", $tab['clause']);
		}
		
		return $tab;	
	
	}
	
	/**
	* Returns in an array all the data of a basket for a user (checks if the basket is a redirected one and then if already a virtual one)
	*
	* @param  $basket_id string Basket identifier
	* @param  $user_id string User identifier
	*/
	public function get_abs_baskets_data($basket_id, $user_id, $system_id)
	{
		$tab = array();
		$this->connect();
		
		$this->query("
		select 
			basket_id, 
			res_table, 
			basket_name, 
			basket_desc, 
			basket_clause, 
			is_global, 
			lock_time, 
			gdd_basket, 
			other_link,
			BASKET_SELECT,
			BASKET_GROUP_BY,
			BASKET_ORDER_BY,
			BASKET_LIMIT
		from 
			".$_SESSION['tablename']['baskets']." 
		where 
			basket_id = '".$basket_id."'
			and enabled = 'Y'
		");
			
		
		$res = $this->fetch_object();
		$tab['basket_id'] = $res->basket_id;
		$tab['table'] = $res->res_table;
		$tab['desc'] = $res->basket_desc;
		$tab['name'] = $res->basket_name;
		$tab['clause'] = $res->basket_clause;
		$tab['is_global'] = $res->is_global;
		$tab['locktime'] = $res->lock_time;
		$tab['gdd_basket'] = $res->gdd_basket;
		$tab['other_link'] = $res->other_link;
		
		if( !empty($res->BASKET_SELECT) ) $tab['select'] = $res->BASKET_SELECT;
		if( !empty($res->BASKET_GROUP_BY) ) $tab['group_by'] = $res->BASKET_GROUP_BY;
		if( !empty($res->BASKET_ORDER_BY) ) $tab['order_by'] = $res->BASKET_ORDER_BY;
		if( !empty($res->BASKET_LIMIT) ) $tab['limit'] = $res->BASKET_LIMIT;
		
	
		$this->query("select user_abs, is_virtual, basket_owner from ".$_SESSION['tablename']['missing_user']." where basket_id = '".$basket_id."' and new_user = '".$user_id."' and system_id = ".$system_id);
		
		$abs_basket = true;
		$res = $this->fetch_object();
		$is_virtual = $res->is_virtual;
		$basket_owner = $res->basket_owner;
		$user_abs = $res->user_abs;
		
		############################################################
		### recherche du groupe primaire du user abs
		############################################################
		
		if($basket_owner!="")
		{
			$this->query("
			select 
				DEPARTMENT
			from 
				users
			where 
				USER_ID = '$basket_owner'
			");	
		}
		else
		{
			$this->query("
			select 
				DEPARTMENT
			from 
				users
			where 
				USER_ID = '$user_abs'
			");	
		}		
		
		$res = $this->fetch_object();
		$Vls_primary_group = $res->DEPARTMENT;		
		
		############################################################
		### rcupration de l'id de tableau dynamique
		############################################################
		
		$this->query("
		select 
			fkid_dynamic_array
		from 
			".$_SESSION['tablename']['groupbasket']."
		where 
			group_id = '$Vls_primary_group' 
			AND BASKET_ID = '".$basket_id."'
		");	
		
		$res = $this->fetch_object();
		$tab['fkid_dynamic_array'] = $res->fkid_dynamic_array;		
				
		############################################################
		
		if(empty($basket_owner))
		{
			$basket_owner = $user_abs;	
		}
		if($is_virtual == 'N')
		{
			$tmp_user = $user_abs;	
			$this->query("select firstname, lastname from ".$_SESSION['tablename']['users']." where user_id ='".$user_abs."'");
			$res = $this->fetch_object();
			$name_user_abs = $res->firstname.' '.$res->lastname;
			$tab['name'] .= " (".$name_user_abs.")";
			$tab['desc'] .= " (".$name_user_abs.")";
			$tab['basket_id'] .= "_".$user_abs;
		}
		else
		{
			$tmp_user = $basket_owner;  /// TO DO : test if basket_owner empty
			$this->query("select firstname, lastname from ".$_SESSION['tablename']['users']." where user_id ='".$basket_owner."'");
			$res = $this->fetch_object();
			$name_basket_owner = $res->firstname.' '.$res->lastname;
			$tab['name'] .= " (".$name_basket_owner.")";
			$tab['desc'] .= " (".$name_basket_owner.")";
			$tab['basket_id'] .= "_".$basket_owner;
		}
		/// TO DO : Test if tmp_user is empty
		if($tmp_user <> $_SESSION['user']['UserId'])
		{
			$this->query("select group_id from ".$_SESSION['tablename']['usergroup_content']." where primary_group = 'Y' and user_id = '".$tmp_user."'");
			$res = $this->fetch_object();
			$primary_group = $res->group_id;
		}
		else
		{
			$primary_group = $_SESSION['user']['primarygroup'];
		}
		$this->query("select  sequence, can_redirect, can_delete, can_insert, result_page, redirect_basketlist, redirect_grouplist from ".$_SESSION['tablename']['groupbasket']." where group_id = '".$primary_group."' and basket_id = '".$basket_id."' ");
		$res = $this->fetch_object();
			
		$tab['can_insert'] = $res->can_insert;
		$tab['can_redirect'] = $res->can_redirect;
		$tab['can_delete'] = $res->can_delete;
		$tab['result_page'] = $res->result_page;
		$tab['is_virtual'] = $is_virtual;
		$tab['basket_owner'] = $basket_owner;
		$tab['redirect_services'] = trim(stripslashes($res->redirect_basketlist));
		$tab['redirect_users'] = trim(stripslashes($res->redirect_grouplist));
		$tab['abs_basket'] = $abs_basket;	
			
		$user = "'".$tmp_user."'";
		if($tmp_user <> $_SESSION['user']['UserId'])
		{
			$this->query("select department from ".$_SESSION['tablename']['users']." where user_id = '".$tmp_user."'");
			$res = $this->fetch_object();
			$entity = "'".$res->department."'";
			$my_entities = $_SESSION['user']['services'];
		}
		else
		{
			$entity = "'".$_SESSION['user']['department']."'";	
			$my_entities = $_SESSION['user']['services'];
		}
		$tab['clause'] = str_replace("@user", $user , $tab['clause']);
		$tab['clause'] = str_replace("@my_entity",$entity , $tab['clause']);
		if( count($my_entities) > 0)
		{
			$entities = '';
			for($i=0; $i<count($my_entities);$i++)
			{
				$entities .= "'".$my_entities[$i]['ID']."' , ";
			}
			$entities = ereg_replace(" , $", "", $entities);
			$tab['clause'] = str_replace("@entities", "(".$entities.")", $tab['clause']);
		}
		return $tab;	
	
	}
	
	
	/**
	* Loads the department datas into session variables
	*
	*/
	public function load_services($user_id)
	{
		$this->connect();
		require_once("class_users.php");
		$users = new users();
		$array_dep = array();
		$tab_services  = array();
		if($user_id == $_SESSION['user']['UserId'])
		{
			$arr_groups = $_SESSION['user']['groups'];
		}
		else
		{
			$arr_tmp = $users->load_groups($user_id);
			$arr_groups = $arr_tmp[1];
		}
		for($i=0; $i < count($arr_groups); $i++)
		{
			if($arr_groups[$i]['CONSULT_GROUP'] == 'Y')
			{
				$this->query("select WHERE_CLAUSE from ".$_SESSION['tablename']['security']." where GROUP_ID = '".$arr_groups[$i]['GROUP_ID']."' and RES_TABLE = '".$_SESSION['ressources'][0]['tablename']."' and WHERE_CLAUSE like '%DESTINATION IN%' ");
				//$this->show();
				
				$line = $this->fetch_object();
				$tmp = trim($line->WHERE_CLAUSE);
				$tmp = str_replace("DESTINATION IN (", "", $tmp);
				$tmp = str_replace(")", "", $tmp);
				$tmp = str_replace("'", "", $tmp);
				
				if(ereg(",",$tmp))
				{
					$tab = array();
					$tab = explode(",", $tmp);
					
					for($j=0; $j< count($tab); $j++)
					{
						if(!in_array(trim($tab[$j]), $tab_services))
						{
							array_push($tab_services, trim($tab[$j]));
						}
					}
				}
				else
				{
					if(!in_array(trim($tmp), $tab_services) && !empty($tmp))
					{
						array_push($tab_services, trim($tmp));
					}
				}
			}
		}
	
		for($i=0; $i < count($tab_services); $i++)
		{
			$this->query("select * from ".$_SESSION['tablename']['services']." where ID = '".$tab_services[$i]."'");
			//$this->show();
			if($this->nb_result() > 0)
			{
				$line = $this->fetch_object();
				array_push($array_dep, array( 'ID' => $tab_services[$i], 'LABEL' => $line->SERVICE));
			}
		}
		
		function cmp($a, $b)
		{
   			 return strcmp($a["LABEL"], $b["LABEL"]);
		}
		
		usort($array_dep, "cmp");
		return $array_dep;
	}
	
	/**
	* Loads status from users and create var when he's missing.
	*
	*/
	public function load_activity_user()
	{
		$the_user = $_SESSION['user']['UserId'];
		$this->connect();
		$this->query("select status from ".$_SESSION['tablename']['users']." where user_id = '".$_SESSION['user']['UserId']."'");
	
		$line = $this->fetch_object();
		
		if ($line->status == 'ABS')
		{
				$_SESSION['abs_user_status'] = true;
		}
		else
		{
				$_SESSION['abs_user_status'] = false;
		}
	
	}
	
	/**
	* Loads the baskets datas into session variables
	*
	*/
	public function load_basket()
	{
		$_SESSION['user']['baskets'] = array();
			
		$db = new dbquery();
		$db->query("select ".$_SESSION['tablename']['groupbasket'].".basket_id from ".$_SESSION['tablename']['groupbasket'].", ".$_SESSION['tablename']['baskets']." 
		WHERE ".$_SESSION['tablename']['baskets'].".basket_id = ".$_SESSION['tablename']['groupbasket'].".basket_id 
		AND ".$_SESSION['tablename']['groupbasket'].".group_id = '".$_SESSION['user']['primarygroup']."' 
		AND ".$_SESSION['tablename']['baskets'].".gdd_basket = 'N'
		AND ".$_SESSION['tablename']['baskets'].".other_link = 'N'
		ORDER BY ".$_SESSION['tablename']['baskets'].".basket_name");
		
		
	//	$db->show();
		while($res = $db->fetch_object())
		{
			$tmp = $this->get_baskets_data($res->basket_id, $_SESSION['user']['UserId']);
			//$this->show_array($tmp);
			array_push($_SESSION['user']['baskets'], $tmp );
		}
		
	}
	
	/**
	* Loads a virtual basket to process mail when an user is missing.
	*
	*/
	public function load_basket_abs()
	{
		$db = new dbquery();
		$db->connect();
		$db->query("select system_id, basket_id from ".$_SESSION['tablename']['missing_user']." where new_user = '".$_SESSION['user']['UserId']."' ");
		//$db->show();
		while($res = $db->fetch_object())
		{
			array_push($_SESSION['user']['baskets'], $this->get_abs_baskets_data($res->basket_id, $_SESSION['user']['UserId'], $res->system_id));
		}
	}
	
	/**
	* Loads the baskets GDD datas into session variables
	*
	*/
	public function load_basket_gdd()
	{
		$_SESSION['user']['baskets_gdd'] = array();
			
		$db = new dbquery();
		$db->query("select ".$_SESSION['tablename']['groupbasket'].".basket_id from ".$_SESSION['tablename']['groupbasket'].", ".$_SESSION['tablename']['baskets']." 
		WHERE ".$_SESSION['tablename']['baskets'].".basket_id = ".$_SESSION['tablename']['groupbasket'].".basket_id 
		AND ".$_SESSION['tablename']['groupbasket'].".group_id = '".$_SESSION['user']['primarygroup']."' 
		AND ".$_SESSION['tablename']['baskets'].".gdd_basket = 'Y'
		ORDER BY ".$_SESSION['tablename']['baskets'].".basket_name");
		
		//	$db->show();
		while($res = $db->fetch_object())
		{
			/* MERGE ?
			$tmp = array();
			$tmp['basket_id'] = $line->basket_id."_".$line->user_abs;
			$tmp['table'] = $line->res_table;
			$tmp['page'] = "mail_process";
			$tmp['desc'] = _PROCESS_MAIL_OF." ".$line->firstname.' '.$line->lastname;
			$tmp['name'] = _PROCESS_MAIL_OF." ".$line->firstname.' '.$line->lastname;		
			$tmp['clause']= "( ( status='NEW' or status='COU' ) AND dest_user ='".$line->user_abs."' )";
			$tmp['can_insert']=1;
			$tmp['can_modify']=1;
			$tmp['can_delete'] = 1;
			$tmp['can_redirect'] = "Y";
			*/
			$tmp = $this->get_baskets_data($res->basket_id, $_SESSION['user']['UserId']);
			//$this->show_array($tmp);
			array_push($_SESSION['user']['baskets_gdd'], $tmp );
		}
	}
	
	/**
	* Loads the baskets other link datas into session variables
	*
	*/
	public function load_other_link()
	{
		$_SESSION['user']['other_link'] = array();
			/* MERGE ?
			array_push ($_SESSION['user']['baskets'], $tmp);
			*/
		$db = new dbquery();
		$db->query("select ".$_SESSION['tablename']['groupbasket'].".basket_id from ".$_SESSION['tablename']['groupbasket'].", ".$_SESSION['tablename']['baskets']." 
		WHERE ".$_SESSION['tablename']['baskets'].".basket_id = ".$_SESSION['tablename']['groupbasket'].".basket_id 
		AND ".$_SESSION['tablename']['groupbasket'].".group_id = '".$_SESSION['user']['primarygroup']."' 
		AND ".$_SESSION['tablename']['baskets'].".other_link = 'Y'
		ORDER BY ".$_SESSION['tablename']['baskets'].".basket_name");
		
	//	$db->show();
		while($res = $db->fetch_object())
		{
			$tmp = $this->get_baskets_data($res->basket_id, $_SESSION['user']['UserId']);
			//$this->show_array($tmp);
			array_push($_SESSION['user']['other_link'], $tmp );
		}
	}
	
	public function get_baskets_pages()
	{
		$_SESSION['basket_page'] = array();
		$xmlfile = simplexml_load_file("xml/basketpage.xml");
				
		$i =0;
		foreach($xmlfile->BASKETPAGE as $BASKETPAGE)
		{
			$_SESSION['basket_page'][$i] = array("ID" => utf8_decode((string) $BASKETPAGE->NAME),
																					"LABEL" => utf8_decode((string) $BASKETPAGE->LABEL));
			$i++;
		}		
	}
}

?>
