<?php

class diffusion{

	//PARAMETRAGE
	private $table_listinstance = "listinstance";
	private $table_users = "users";
	private $table_listmodel = "listmodel";
	private $table_listmodel_assoc = "listmodel_assoc";
	private $cache_users_list = array();
	private $cache_services_list = array();
	
	//PROPRIETE CONSTRUCT
	private $db;
	public 	$my_user_id;
	private $delete_copy_rights;
	private $modify_copy_list;
	private $redirect_list;
	private $tag100_for_copy;
		
	//PROPRIETE OBJET
	//private $table_res_x = null;
	private $table_res_x = "res_x";
	private $res_id = null;
	private $dest_user = null;
	private $destination = null;
	private $mail_action = null;
	private $diff_list_copy = array();
	private $history = array();
	
	public function __construct($db,$my_user_id,$delete_copy_rights=false,
	$modify_copy_list=true,$redirect_list=false,$tag100_for_copy=false)
	{
		$this->db = $db;
		$this->my_user_id = $my_user_id;
		$this->delete_copy_rights = ( $delete_copy_rights == "true");
		$this->modify_copy_list = ( $modify_copy_list == "true" );
		$this->redirect_list = ( $redirect_list == "true" );
		$this->tag100_for_copy = ( $tag100_for_copy == "true");
		$this->history = array();
	}
	
	public function set_ressource($res_table,$res_id)
	{
		$this->table_res_x = $res_table;
		$this->res_id = $res_id;
	}
	
	public function load_from_db($res_table,$res_id)
	{
		$this->diff_list_copy = array();
		$this->res_id = $res_id;
		$this->table_res_x = $res_table;
		
		$this->db->query("SELECT DEST_USER, DESTINATION, MAIL_ACTION 
		FROM ".$this->table_res_x." WHERE RES_ID = ".$this->res_id);
		
		if( $res = $this->db->fetch_object() )
		{
			$this->dest_user = $res->DEST_USER;
			$this->destination = $res->DESTINATION;
			$this->mail_action = $res->MAIL_ACTION;
		}
		
		$this->db->query("SELECT RES_TABLE, RES_ID, USER_ID, SERVICE_ID, BY_USER_ID, VIEWED, SEEN, MAIL_ACTION 
		FROM ".$this->table_listinstance." 
		WHERE RES_TABLE = '".$this->table_res_x."' AND RES_ID = '".$this->res_id."' AND SEQUENCE > 1 
		ORDER BY SEQUENCE ASC");
		
		while( $res = $this->db->fetch_object() )
		{
			$this_diff = 
			array(	"RES_TABLE" => $res->RES_TABLE,
					"RES_ID" => $res->RES_ID,
					"USER_ID" => $res->USER_ID,
					"BY_USER_ID" => $res->BY_USER_ID );
			
			if( !empty($res->SERVICE_ID) ) $this_diff['SERVICE_ID'] = $res->SERVICE_ID;
			if( is_numeric($res->VIEWED) ) $this_diff['VIEWED'] = $res->VIEWED;
			if( is_numeric($res->SEEN) ) $this_diff['SEEN'] = $res->SEEN;
			if( $res->MAIL_ACTION )	$this_diff['MAIL_ACTION'] = $res->MAIL_ACTION;
				
			$this->diff_list_copy[] = $this_diff;
		}
		
		$this->history = array();
	}
	
	public function reload()
	{
		$this->db->connect();
		$this->load_from_db($this->table_res_x,$this->res_id);
		$this->history = array();
	}
	
	public function reset()
	{
		$this->dest_user =null;
		$this->destination =null;
		$this->mail_action = null;
		$this->diff_list_copy = array();
		
		$this->history = array();
	}
	
	/*This function gives the list diffusion according to the service associated
	 *  Param: string service_id identifier of the service
	 * 
	 */
	private function get_model( $service_id )
	{
		$this->db->connect();
		$this->db->query("SELECT SEQUENCE, USER_ID
		FROM ".$this->table_listmodel." l, ".$this->table_listmodel_assoc." la
		WHERE l.RES_TABLE = '".$this->table_res_x."'
		AND l.ID = la.ID
		AND la.ASSOC_SERVICE = '".$service_id."' 
		ORDER BY l.SEQUENCE ASC");
		
		$models = array();
		while( $res = $this->db->fetch_object() )
			$models[($res->SEQUENCE - 1)]["USER"] = $res->USER_ID;
		
		return $models;
	}
		
	public function get_dest_user()
	{
		if( !empty( $this->dest_user) )
			return $this->dest_user;
		return false;
	}
	
	public function get_destination()
	{
		if( !empty( $this->destination) )
			return $this->destination;
		return false;
	}
	
	private function user_exists($user_id)
	{
		for( $index=0; $index < count($this->diff_list_copy); $index++ )
			if( !isset($this->diff_list_copy[$index]['SERVICE_ID']) AND $this->diff_list_copy[$index]['USER_ID'] == $user_id )
				return $index;
		
		return -1;
	}
	
	private function service_exists($service_id)
	{
		for( $index=0; $index < count($this->diff_list_copy); $index++ )
			if( isset($this->diff_list_copy[$index]['SERVICE_ID']) AND  $this->diff_list_copy[$index]['SERVICE_ID'] == $service_id )
				return $index;
		
		return -1;
	}
	
	public function can_delete_user($user_id)
	{
		foreach( $this->diff_list_copy as $dlc )
			if( $dlc['USER_ID'] == $user_id AND $dlc['BY_USER_ID'] == $this->my_user_id )
				return true;
				
		if( $this->delete_copy_rights) return true;
		
		return false;
	}
	
	public function can_delete_service($service_id)
	{
		foreach( $this->diff_list_copy as $dlc )
			if( isset($dlc['SERVICE_ID']) AND $dlc['SERVICE_ID'] == $service_id AND $dlc['BY_USER_ID'] == $this->my_user_id )
				return true;
				
		if( $this->delete_copy_rights) return true;
		
		return false;
	}
	
	public function can_add_user($user_id)
	{
		if( $this->user_exists($user_id) > -1 OR $this->dest_user == $user_id OR !$this->modify_copy_list )
		{
			return false;
		}
		return true;
	}
	
	public function can_add_service($service_id)
	{
		if( $this->service_exists($service_id) > -1 OR $this->destination == $service_id OR !$this->modify_copy_list )
		{
			return false;
		}
		return true;
	}
	
	public function add_copy_user($user_id,$mail_action=null,$viewed=0)
	{
		if( !$this->can_add_user($user_id) )
		{
			return false;
		}
		else
		{
			$this_user = 
			array(	"RES_TABLE" => $this->table_res_x,
					"RES_ID" => $this->res_id,
					"USER_ID" => $user_id,
					"BY_USER_ID" => $this->my_user_id,
					"VIEWED" => $viewed,
					"SEEN" => 0	);
					
			if( !empty($mail_action) )
				$this_user["MAIL_ACTION"] = $mail_action;
				
			$this->diff_list_copy[] = $this_user;
						
			return true;
		}
	}
	
	public function add_primary_user($user_id,$mail_action=null)
	{
		$index = $this->user_exists($user_id);
	
		if( $index > -1 )
		{
			unset($this->diff_list_copy[$index]);
			$this->diff_list_copy = array_values($this->diff_list_copy);
		}
		
		$old_dest_user = $this->dest_user;
		$old_mail_action = $this->mail_action;
		
		$this->dest_user = $user_id;
		$this->mail_action = $mail_action;
		
		if( !empty($old_dest_user) )
			$this->add_copy_user($old_dest_user,$old_mail_action);
	}
	
	public function add_copy_service($service_id,$mail_action=null,$viewed=0)
	{
		$this->db->connect();
	
		if( !$this->can_add_service($service_id) )
			return false;
		
		//Recuperer la liste des utilisateurs pour ce service
		$this->db->query("SELECT USER_ID FROM ".$this->table_users." WHERE DEPARTMENT = '".$service_id."'");
		
		$services_add = 0;
		
		while( $res = $this->db->fetch_object() )
		{
			$this_user = 
			array(	"RES_TABLE" => $this->table_res_x,
					"RES_ID" => $this->res_id,
					"USER_ID" => $res->USER_ID,
					"BY_USER_ID" => $this->my_user_id,
					"VIEWED" => $viewed,
					"SEEN" => 0,
					"SERVICE_ID" => $service_id	);
					
			if( !empty($mail_action) )
				$this_user["MAIL_ACTION"] = $mail_action;
					
			$this->diff_list_copy[] = $this_user;
			$services_add++;
		}
		
		if( $services_add > 0){	return true; }
		return false;
	}
	
	public function delete_user($user_id)
	{
		if( !$this->can_delete_user($user_id) )
			return false;
		
		else 
		{
			if( $this->dest_user == $user_id )
			{
				$this->dest_user = null;
			}
		
			$user_found = array();
		
			for( $i=0;$i<count($this->diff_list_copy);$i++ )
				if( $this->diff_list_copy[$i]['USER_ID'] == $user_id )
					$user_found[] = $i;
				
			foreach( $user_found as $uf )
				unset($this->diff_list_copy[$uf]);
				
			if( count($user_found) > 0 )
			{
				$this->diff_list_copy = array_values($this->diff_list_copy);
				return true;
			}
		}
		return false;
	}
	
	public function delete_service($service_id)
	{
		if( !$this->can_delete_service($service_id) )
			return false;
		
		else
		{
			$service_found = array();
		
			for( $i=0;$i<count($this->diff_list_copy);$i++ )
				if( $this->diff_list_copy[$i]['SERVICE_ID'] == $service_id )
					$service_found[] = $i;
				
			foreach( $service_found as $sf )
				unset($this->diff_list_copy[$sf]);
				
			if( count($service_found) > 0 )
			{
				$this->diff_list_copy = array_values($this->diff_list_copy);
				return true;
			}
			
		}
		return false;
	}
	
	public function set_mailaction_user($user_id,$mail_action)
	{
		if( $this->dest_user == $user_id )
		{
			$this->mail_action = $mail_action;
			return true;
		}
	
		for( $index=0; $index < count($this->diff_list_copy); $index++ )
			if( !isset($this->diff_list_copy[$index]['SERVICE_ID']) AND $this->diff_list_copy[$index]['USER_ID'] == $user_id )
				$this->diff_list_copy[$index]["MAIL_ACTION"] = $mail_action;
				
		return true;
	}
	
	public function set_mailaction_service($service_id,$mail_action)
	{
		if( $this->destination == $service_id )
		{
			$this->mail_action = $mail_action;
			return true;
		}
	
		for( $index=0; $index < count($this->diff_list_copy); $index++ )
			if( isset($this->diff_list_copy[$index]['SERVICE_ID']) AND  $this->diff_list_copy[$index]['SERVICE_ID'] == $service_id )
				$this->diff_list_copy[$index]["MAIL_ACTION"] = $mail_action;
				
		return true;
	}
	
	public function redirect_to_user($user_id,$mail_action=null)
	{
		
		if( $user_id == $this->dest_user )
		{
			if( $this->mail_action == null && $this->mail_action == $mail_action )
			{
				return false;
			}
			else
			{
				$this->set_mailaction_user($user_id,$mail_action);
				
				//Load informations for user
				$this->user_info($user_id);
				$this->history = array("action" => "redirect_to_user","user_id" => $user_id,"user_info" => $this->cache_users_list[$user_id],"mail_action" => $mail_action);
				return true;
			}
		}
	
		if( $this->redirect_list )
		{
			$index = $this->user_exists($user_id);
			//User already exists in diff list			
			if( $index > -1 )
			{
				unset($this->diff_list_copy[$index]);
				$this->diff_list_copy = array_values($this->diff_list_copy);
			}
			
			$index = $this->user_exists($this->dest_user);
			//Old primary user doesn't exists in diff list			
			if( $index == -1 && strcasecmp($this->dest_user,'courrier') != 0 )
			{
				$old_modify_copy_list = $this->modify_copy_list;
				$this->modify_copy_list = true;
			
				if( $this->tag100_for_copy )
					$this->add_copy_user($this->dest_user,$this->mail_action,100);
				else
					$this->add_copy_user($this->dest_user,$this->mail_action);
					
				$this->modify_copy_list = $old_modify_copy_list;
			}			
		}
		
		//Redirect to user
		$this->dest_user = $user_id;
		if( !empty($mail_action) ) $this->mail_action = $mail_action;
		
		$this->user_info($user_id);
		$this->history = array("action" => "redirect_to_user","user_id" => $user_id,"user_info" => $this->cache_users_list[$user_id],"mail_action" => $mail_action);
		return true;
		
	}
	
	public function redirect_to_service($service_id,$mail_action=null)
	{
		/*
		if( $service_id == $this->destination )
		{
			$this->set_mailaction_service($service_id,$mail_action);
			$this->service_info($service_id);
			$this->history = array("action" => "redirect_to_service","service_id" => $service_id,"service_info" => $this->cache_services_list[$service_id],"mail_action" => $mail_action);
			return true;
		}
		*/
		$mail_action = $_SESSION['mail_action']['default_to'];
		
		if( strcasecmp($this->dest_user,'courrier') != 0 )
			$old_dest_user = $this->dest_user;
		
		$old_destination = $this->destination;
		$old_mail_action = $this->mail_action;
		
		//Full rights to delete copy
		$old_delete_copy_rights = $this->delete_copy_rights;
		$this->delete_copy_rights = true;
		
		$this->delete_service($service_id);
		$this->destination = $service_id;
		$this->mail_action = $mail_action;
		$this->dest_user = null;
		
		//MODELS
		$models = $this->get_model($service_id);
		
		if( isset($models[0]["USER"]) )
		{
			$this->delete_user($models[0]["USER"]);
			$this->dest_user = $models[0]["USER"];
		}
		
		//Restore right to delete copy
		$this->delete_copy_rights = $old_delete_copy_rights;
			
		if( $this->redirect_list )
		{
			$old_modify_copy_list = $this->modify_copy_list;
			$this->modify_copy_list = true;
		
			//OLD DESTINATION OR DEST_USER
			if( isset($old_dest_user) && $this->user_exists($old_dest_user) == -1)
			{
				if($this->tag100_for_copy)
					$this->add_copy_user($old_dest_user,$old_mail_action,100);
				else
					$this->add_copy_user($old_dest_user,$old_mail_action);
			}
			else if( $this->service_exists($old_destination) == -1 )
			{
				if($this->tag100_for_copy)
					$this->add_copy_service($old_destination,$old_mail_action,100);
				else
					$this->add_copy_service($old_destination,$old_mail_action);
			}
			
			$this->modify_copy_list = $old_modify_copy_list;
		}
				
		for( $i=1; $i < count($models); $i++ )
		{
			if( isset($models["SERVICE"]) && $this->service_exists($models["SERVICE"]) == -1 )
				$this->add_copy_service($models[$i]["SERVICE"]);
			else if( $this->user_exists($models["USER"]) == -1 )
				$this->add_copy_user($models[$i]["USER"]);
		}
		
		$this->service_info($service_id);
		$this->history = array("action" => "redirect_to_service","service_id" => $service_id,"service_info" => $this->cache_services_list[$service_id],"mail_action" => $mail_action);
		return true;
	}
	
	public function show()
	{
		echo "DEST_USER : ".$this->dest_user."<br>";
		echo "DESTINATION : ".$this->destination."<br>";
		echo "MAIL_ACTION : ".$this->mail_action."<br>";
		$this->db->show_array($this->diff_list_copy);
	}
	
	public function get_diffusion()
	{
		
		$return_diff = $this->diff_list_copy;
		
		if( !empty($this->dest_user) )
		{
			$primary = array(	"RES_TABLE" => $this->table_res_x,
								"RES_ID" => $this->res_id,
								"USER_ID" => $this->dest_user	);
			
			if( !empty($this->mail_action) )
				$primary["MAIL_ACTION"] = $this->mail_action;

			array_unshift($return_diff,$primary);
		}
		else
		{
			$primary = array(	"RES_TABLE" => $this->table_res_x,
								"RES_ID" => $this->res_id,
								"SERVICE_ID" => $this->destination	);
		
			if( !empty($this->mail_action) )
				$primary["MAIL_ACTION"] = $this->mail_action;
		
			array_unshift($return_diff,$primary);
			
		}
		
		$tmp = $return_diff;
		
		$return_diff = array();
		
		for( $i=0; $i < count($tmp);  $i++ )
		{
			if( isset($tmp[$i]["SERVICE_ID"]) )
			{
				if( !$this->service_info($tmp[$i]["SERVICE_ID"]) ) continue;
				$return_diff[$tmp[$i]["SERVICE_ID"]]["SERVICE"] = array("SERVICE" => $this->cache_services_list[$tmp[$i]["SERVICE_ID"]]);
				if( isset($tmp[$i]["MAIL_ACTION"]) )	$return_diff[$tmp[$i]["SERVICE_ID"]]["SERVICE"]["MAIL_ACTION"] = $tmp[$i]["MAIL_ACTION"];
			}
			else
			{
				if( !$this->user_info($tmp[$i]["USER_ID"]) ) continue;
				$return_diff[$tmp[$i]["USER_ID"]]["USER"] = $this->cache_users_list[$tmp[$i]["USER_ID"]];
				if( isset($tmp[$i]["MAIL_ACTION"]) )	$return_diff[$tmp[$i]["USER_ID"]]["USER"]["MAIL_ACTION"] = $tmp[$i]["MAIL_ACTION"];
			}
		}
		
		return $return_diff;
	}
	
	public function user_info($user_id)
	{
		$this->db->connect();
	
		if( isset($this->cache_users_list[$user_id]) )
		{
			return true;
		}
		else
		{
			$this->db->query("SELECT USER_ID,FIRSTNAME, LASTNAME, u.DEPARTMENT, s.SERVICE 
			FROM users u, services s
			WHERE u.DEPARTMENT = s.ID AND u.USER_ID ='".$user_id."'");
			if( $res = $this->db->fetch_object() )
			{
				$this->db->connect();
				$this->cache_users_list[$res->USER_ID] = array(	"FIRSTNAME" => $res->FIRSTNAME,
																"LASTNAME" => $res->LASTNAME,
																"DEPARTMENT" => $res->DEPARTMENT,
																"SERVICE" => $res->SERVICE	);
				return true;
			}
			else
			{
				if( strcasecmp($user_id,'courrier') == 0 )
				{
					$this->cache_users_list[$user_id] = array(	"FIRSTNAME" => "-",
																"LASTNAME" => "-",
																"DEPARTMENT" => "-",
																"SERVICE" => "-");
					return true;
				}
						
				return false;
			}
		}
	}
	
	public function service_info($service_id)
	{
		$this->db->connect();
	
		if( isset($this->cache_services_list[$service_id]) )
		{
			return true;
		}
		else
		{
			$this->db->connect();
			$this->db->query("SELECT ID,SERVICE FROM services WHERE ID = '".$service_id."'");
			if( $res = $this->db->fetch_object() )
			{
				$this->cache_services_list[$res->ID] = $res->SERVICE;
				return true;
			}
			else
			{
				return false;
			}
		}
	}
	
	public function store()
	{
		$this->db->connect();
	
		//UPDATE RES_X
		$request = "UPDATE ".$this->table_res_x." SET DESTINATION = '".$this->destination."'";
		
		if( !empty($this->dest_user) ) $request .= ", DEST_USER = '".$this->dest_user."'";
		else $request .= ", DEST_USER = NULL";
		
		if( !empty($this->mail_action) ) $request .= ", MAIL_ACTION = '".$this->mail_action."'";
		
		$request .= " WHERE RES_ID = '".$this->res_id."'";
		$this->db->query($request);
		
		//UPDATE LISTINSTANCE
		$this->db->query("DELETE FROM ".$this->table_listinstance." 
		WHERE RES_TABLE = '".$this->table_res_x."'
		AND RES_ID ='".$this->res_id."'");
		
		for( $index=0; $index < count($this->diff_list_copy); $index++ )
		{
			$request = "INSERT INTO ".$this->table_listinstance." 
			(RES_TABLE,RES_ID,SEQUENCE,USER_ID,SERVICE_ID,VIEWED,SEEN,BY_USER_ID,MAIL_ACTION)
			VALUES ('".$this->table_res_x."','".$this->res_id."',".($index+2);
			
			$null_fields = array("USER_ID","SERVICE_ID","VIEWED","SEEN","BY_USER_ID");
			
			foreach( $null_fields as $field )
			{
				if( isset($this->diff_list_copy[$index][$field]) )
					$request .= ",'".$this->diff_list_copy[$index][$field]."'";
				else
					$request .= ",NULL";
			}
			if (isset($this->diff_list_copy[$index]['MAIL_ACTION']))
				$request .= ",'".$this->diff_list_copy[$index]['MAIL_ACTION']."'";
			else
				$request .= ",'".$_SESSION['mail_action']['default_cc']."'";
			$request .= ")";
			$this->db->query($request);
		}
	
		//UPDATE HISTORY
		require_once("class_history.php");
		$hist = new history();
		
		if( is_array($this->history) && count($this->history) > 0 )
			$hist->add_from_diffusion( $this->table_res_x, $this->res_id,$this->history,$this->get_diffusion());
		
		
	}
}
?>
