<?php /**
* Extensions Class
*
* Contains all the function to manage the applications
*
* @package Maarch LetterBox 2.8
* @version 2.0
* @since 01/2011
* @license GPL
* @author  Sébastien Nana  <dev@maarch.org>
*
*/

class extensions extends dbquery
{
	/**
	* Redefinition of the extensions object constructor : configure the sql argument order by
	*/
	function __construct()
	{
		// configure the sql argument order by
		if(isset($_GET['start']))
		{
			$this->the_start = strip_tags($_GET['start']);
		}
		else
		{
			$this->the_start = 0;
		}

		if(isset($_GET['order']))
		{
			$this->orderby = strip_tags($_GET['order']);
		}
		else
		{
			$this->orderby = "nameasc";
		}

		$this->sqlorderby = "";

		if($this->orderby == "nameasc")
		{
			$this->sqlorderby = "order by NAME asc";
		}

		if($this->orderby == "namedesc")
		{
			$this->sqlorderby = "order by NAME desc";
		}

		if($this->orderby == "pathasc")
		{
			$this->sqlorderby = "order by PATH asc";
		}

		if($this->orderby == "pathdesc")
		{
			$this->sqlorderby = "order by PATH desc";
		}
		
	}
	
	/**
	* List all the alphabet letter to view the applications which are starting with the letter
	*
	* @param string $page "types" by default
	*/
	public function applistletters($page = "extension")
	{
		// List all the alphabet letter to view the applications who are starting with the letter
		if(isset($_GET['show']))
		{
			if($_GET['show'] == "false")
			{
				$show = "&amp;show=false";
			}
			else
			{
				$show = "";
			}
		}
		else
		{
			$show = "";
		}
		?>
		<form action="index.php" name="frmletters" id="frmletters" class="smallforms" method="get">
			<fieldset>
				<p>
					<input name="what" id="what" type="text" class="textbox medium" value="" />
					<input name="Submit" type="submit" value="<?php echo _SEARCH." "._APPS ; ?>" class="button" />
					<input name="page" type="hidden" value="<?php echo $page; ?>" />
					<?php if($show == "&amp;show=false") { echo '<input name="show" id="show" type="hidden" value="false" />'; } ?>
				</p>
			</fieldset>
			<p><strong><?php echo _ALPHABETICAL_LIST; ?></strong> :
				<a href="index.php?page=<?php echo $page.$show; ?>&amp;what=A">A</a>
				<a href="index.php?page=<?php echo $page.$show; ?>&amp;what=B">B</a>
				<a href="index.php?page=<?php echo $page.$show; ?>&amp;what=C">C</a>
				<a href="index.php?page=<?php echo $page.$show; ?>&amp;what=D">D</a>
				<a href="index.php?page=<?php echo $page.$show; ?>&amp;what=E">E</a>
				<a href="index.php?page=<?php echo $page.$show; ?>&amp;what=F">F</a>
				<a href="index.php?page=<?php echo $page.$show; ?>&amp;what=G">G</a>
				<a href="index.php?page=<?php echo $page.$show; ?>&amp;what=H">H</a>
				<a href="index.php?page=<?php echo $page.$show; ?>&amp;what=I">I</a>
				<a href="index.php?page=<?php echo $page.$show; ?>&amp;what=J">J</a>
				<a href="index.php?page=<?php echo $page.$show; ?>&amp;what=K">K</a>
				<a href="index.php?page=<?php echo $page.$show; ?>&amp;what=L">L</a>
				<a href="index.php?page=<?php echo $page.$show; ?>&amp;what=M">M</a>
				<a href="index.php?page=<?php echo $page.$show; ?>&amp;what=N">N</a>
				<a href="index.php?page=<?php echo $page.$show; ?>&amp;what=O">O</a>
				<a href="index.php?page=<?php echo $page.$show; ?>&amp;what=P">P</a>
				<a href="index.php?page=<?php echo $page.$show; ?>&amp;what=Q">Q</a>
				<a href="index.php?page=<?php echo $page.$show; ?>&amp;what=R">R</a>
				<a href="index.php?page=<?php echo $page.$show; ?>&amp;what=S">S</a>
				<a href="index.php?page=<?php echo $page.$show; ?>&amp;what=T">T</a>
				<a href="index.php?page=<?php echo $page.$show; ?>&amp;what=U">U</a>
				<a href="index.php?page=<?php echo $page.$show; ?>&amp;what=V">V</a>
				<a href="index.php?page=<?php echo $page.$show; ?>&amp;what=W">W</a>
				<a href="index.php?page=<?php echo $page.$show; ?>&amp;what=X">X</a>
				<a href="index.php?page=<?php echo $page.$show; ?>&amp;what=Y">Y</a>
				<a href="index.php?page=<?php echo $page.$show; ?>&amp;what=Z">Z</a>
				- <a href="index.php?page=<?php echo $page.$show; ?>"><?php echo _ALL_APPLICATIONS; ?></a></p>
			</form>
		<?php 
	}
	
	/**
	* Update or insert in the database 
	* @ param string name of the application
	* @ param string path of the application
	* @ param array format all the extemsions listed in the application
	* @ mode string add or update
	*/
	public function upextensions($name, $path, $format, $mode="")
	{
		$db = new dbquery();
		$db->connect();
		$_SESSION['user']['extension']['NAME'] = $name;
		$_SESSION['user']['extension']['PATH'] = $path;
		if( $mode == "add")
		{
			if(empty($path) || empty($name))
			{
				$_SESSION['error']=_EMPTY_FIELD;
				header("location: index.php?page=extensions_add");
				exit;
			}
			else
			{
				$db->query("SELECT * FROM 	".$_SESSION['tablename']['ext_applications']." WHERE USER_ID = '".$_SESSION['user']['UserId']."' AND NAME = '".$name."'");
				if($db->nb_result() > 0)
				{
					$_SESSION['error'] = _APPS.' '.$name.' '._ALREADY_EXISTS;
					header("location: index.php?page=extensions_add");
					exit;
				}
				else
				{
					require_once("class_history.php");
					$ext_history = new history();
					for ($i=0; $i<count($format); $i++)
					{
						$db->query("SELECT * FROM 	".$_SESSION['tablename']['ext_applications']." WHERE USER_ID = '".$_SESSION['user']['UserId']."' AND FORMAT = '".$format[$i]."'");
						if ($db->nb_result() > 0)
						{ 
							$_SESSION['error'] = _EXTENSION_ALREADY_EXISTS_FOR;
							header("location: index.php?page=extension");
							exit;
						}
						else
						{
						$db->query("INSERT INTO `".$_SESSION['tablename']['ext_applications']."` ( `USER_ID` , `FORMAT`,`NAME`, `PATH` ) VALUES ('".$_SESSION['user']['UserId']."', '".$format[$i]."','".$name."','".addslashes($path)."')");
						}
					}
			
					if($_SESSION['history']['extensionsadd'] == "true")
					{
						$ext_history->add($_SESSION['tablename']['ext_applications'], $name,"ADD", _APPLICATION_ADDED." : ".$name);
					}
					$_SESSION['error'] = _APPLICATION_ADDED;
		
					$url = "index.php?page=extension";
		
					header("location: ".$url);
					exit;
				}
			}
		}
		
		if( $mode == "up")
		{
			for ($i=0; $i<count($format); $i++)
			{
					$db->query("SELECT * FROM 	".$_SESSION['tablename']['ext_applications']." WHERE USER_ID = '".$_SESSION['user']['UserId']."' AND FORMAT = '".$format[$i]."'");
					if($db->nb_result() > 0)
					{
						$db->query("DELETE FROM ".$_SESSION['tablename']['ext_applications']." WHERE USER_ID = '".$_SESSION['user']['UserId']."' AND FORMAT = '".$format[$i]."'");
					}
					$db->query("INSERT INTO `".$_SESSION['tablename']['ext_applications']."` ( `USER_ID` , `FORMAT`,`NAME`, `PATH` ) VALUES ('".$_SESSION['user']['UserId']."', '".$format[$i]."','".$name."','".addslashes($path)."')");
			}
			
			if($_SESSION['history']['extensionsadd'] == "true")
			{
				$ext_history->add($_SESSION['tablename']['ext_applications'], $name,"ADD", _APPLICATION_MODIFIED." : ".$name);
			}
			$_SESSION['error'] = _APPLICATION_MODIFIED;
		
			$url = "index.php?page=extension";
		
			header("location: ".$url);
			exit;
		}
	
	}
	
	/**
	* Clear the session variables of the model administration
	*
	*/
	private function clearextensioninfos()
	{
		// clear the session variable for the models
		$_SESSION['user']['extension'] = array();
		$_SESSION['user']['extension']['NAME'] = "";
		$_SESSION['user']['extension']['PATH'] = "";
		$_SESSION['user']['extension']['FORMAT'] = array();

	}
	
	/**
	* Shows the list of the baskets according to the selected letter.
	*
	* @param 	string  $where sorting of the list (empty by default)
	* @param 	string  $what  first letter of the name (empty by default)
	*/
	public function appslist($where = "", $what="")
	{
		// draw the list
		$func = new functions();
		
		/* Configuration */
		$title = _APPS_LIST;
		$page_name = "extension";
		$page_name_up = "extension_up";
		$page_name_del = "extension_del";
		$page_name_validate= "extension_allow";
		$page_name_ban = "extension_ban";
		$table_name = $_SESSION['tablename']['ext_applications'];
		$nb_show = $_SESSION['config']['nblinetoshow'];
		
		
		if(!empty($what))
		{
			$what = "&amp;what=".$what;
		}
		
		if(!empty($where))
		{
			$where = " where ".$where." AND ";
		}
		else
		{
			$where = " where ";
		}
		
		
		/***********************/
		$compteur = 0;
		$this->connect();
		$this->query("SELECT DISTINCT NAME FROM ".$table_name);
		while($nb_res = $this->fetch_object())
		{
			$compteur = $compteur+1;
		}
		$nb_total = $compteur;
		
		// define the defaults values
		$nb_pages = ceil($nb_total/$nb_show);
		
		$link = "index.php?page=".$page_name."&amp;start=".$this->the_start."&amp;order=".$this->orderby.$what;
		
		if($nb_pages > 1)
		{
			$next_start = 0;
			
			$page_list1 = '<form name="newpage1" id="newpage1" method="get" action="'.$link.'">
			<p>
				<label for="startpage">'._GO_TO_PAGE.'</label>
				<select name="startpage" id="startpage" class="textbox small" onchange="window.location.href=\''.$link.'&amp;start=\'+document.newpage1.startpage.value;">';
				
			$page_list2 = '<form name="newpage2" id="newpage2" method="get" action="'.$link.'">
			<p>
				<label for="startpage">'._GO_TO_PAGE.'</label>
				<select name="startpage" id="startpage" class="textbox small" onchange="window.location.href=\''.$link.'&amp;start=\'+document.newpage2.startpage.value;">';
			
			$lastpage = 0;
			
			for($i = 0;$i <> $nb_pages; $i++)
			{
				$page_name = $i + 1;
				
				$the_line = $i + 1;
				if($this->the_start == $next_start)
				{
					$page_list1 .= "<option value=\"".$next_start."\" selected=\"selected\">".$the_line."</option>";
					$page_list2 .= "<option value=\"".$next_start."\" selected=\"selected\">".$the_line."</option>";
				}
				else
				{
					$page_list1 .= "<option value=\"".$next_start."\">".$the_line."</option>";
					$page_list2 .= "<option value=\"".$next_start."\">".$the_line."</option>";
				}
				
				$next_start = $next_start + $nb_show;
				$lastpage = $next_start;
			}
			
			$lastpage = $lastpage - $nb_show;
			
			$previous = "";
			$next = "";
			
			if($this->the_start > 0)
			{
				$start_prev = $this->the_start - $nb_show;
				$previous = '<a href="'.$link.'&amp;start='.$start_prev.'" class="prev">'._PREVIOUS.'</a>';
			}
			
			if($this->the_start <> $lastpage)
			{
				$start_next = $this->the_start + $nb_show;
				$next = '<a href="'.$link.'&amp;start='.$start_next.'" class="next">'._NEXT.'</a>';
			}
			
			$page_list1 = $page_list1."</select>";
			$page_list2 = $page_list2."</select>";
				
			if($previous <> '' || $next <> '')
			{
				if(empty($previous)) { $previous = "&nbsp;"; }
				if(empty($next)) { $next = "&nbsp;"; }
				
				$page_list1 .= $previous." ".$next.'</p></form>';
				$page_list2 .= $previous." ".$next.'</p></form>';
			}
		}
		
		$this->query("select distinct(NAME), PATH from ".$table_name." ".$where." USER_ID = '".$_SESSION['user']['UserId']."' ".$this->sqlorderby." limit ".$this->the_start.",".$nb_show);
		echo '<h1><img src="'.$_SESSION['config']['img'].'/picto_basket_b.gif" alt="" /> '.$title.'</h1>
		
			<div id="inner_content" class="clearfix">';
		
		$this->applistletters();
		echo $page_list1; 
		?>
			
			<table cellpadding="0" cellspacing="0" border="0" class="listing spec">
				<thead>
					<tr>
						<th ><?php echo _NAME;?></th>
						<th ><?php echo _PATH; ?> </th>	
					   <th  class="price" colspan="2"><span class="add clearfix"><a href="index.php?page=extensions_add"><span><?php echo _ADD_APPLICATION; ?></span></a></span></th>
					</tr>
				</thead>
				<tfoot>
					<tr>
						<td colspan="8" class="price"><span class="add clearfix"><a href="index.php?page=extensions_add"><span><?php echo _ADD_APPLICATION; ?></span></a></span></td>
					</tr>
				</tfoot>
				<tbody>
		<?php $color = "";
		while($line = $this->fetch_object())
		{
			if($color == ' class="col"')
			{
				$color = '';
			}
			else
			{
				$color = ' class="col"';
			}
			
			?>
				<tr<?php echo $color; ?>>
				  
					<td ><strong><?php echo $line->NAME; ?></strong></td>
					<td ><?php echo $func->show($line->PATH); ?> </td>
					<td class="action"> 
					
						<a href="index.php?page=extensions_up&amp;id=<?php echo $line->NAME; ?>&amp;path=<?php echo $line->PATH; ?>" class="change"><?php echo _MODIFY; ?></a>
					
					</td>
					<td class="action"> 
				
						<a href="index.php?page=extensions_del&amp;id=<?php echo $line->NAME; ?>&amp;path=<?php echo $line->PATH; ?>" class="change" onclick="return(confirm('<?php echo _REALLY_DELETE.' '.$line->NAME.' ?\n'._DEFINITIVE_ACTION;?>'));"><?php echo _DELETE; ?></a>
					
					</td>
					
				  </tr>				 
		
			<?php }  
		?>	</tbody>
		</table>
		</div>
		<?php 
	}
	
	
		/**
	* delete an extension in the database
	*
	* @param string $id extension name
	* @param string $path extension path
	*/
	public function delextension($id, $path)
	{
		if(!empty($_SESSION['error']))
		{
			unset($_SESSION['error']);
			?>
				<script type="text/javascript">
				window.location.replace('index.php?page=extension');
				</script>
			<?php
			exit;
		}
		else
		{
			$db = new dbquery();
			$db->connect();

			$db->query("select * from ".$_SESSION['tablename']['ext_applications']." where NAME = '".$id."'");
		
			if($db->nb_result() == 0)
			{
				header("location: index.php?page=extension");
				$_SESSION['error'] = _APPS.' '._UNKNOWN;
				exit;
			}
			else
			{
				while($line = $db->fetch_object())
				{
					$name = $line->NAME;
					$this->query("delete from ".$_SESSION['tablename']['ext_applications']." where NAME = '".$id."'");

					if($_SESSION['history']['extensionsdel'])
					{
						require_once("class_history.php");
						$users = new history();
						$users->add($_SESSION['tablename']['ext_applications'], $id,"DEL",_EXTENSION_DELETION." : ".$name);
					}
				}
				
				$_SESSION['error'] = _APPS_DELETED;
				$url = 'index.php?page=extension';
				?>
				<script type="text/javascript">
				window.location.replace('index.php?page=extension');
				</script>
				<?php
				//header("location: index.php?page=extension");
				exit;
			}
		}
	}
	
	
	/**
	* Form to add or modify an application
	*
	* @param string  $mode  up or add
	* @param string  $id  name of the application to modify
	* @param string  $path  path where to find the application
	*/
public function formextension($mode,$id = "", $path = "")
	{
		
		$func = new functions();
		$state = true;
		$db = new dbquery();
		$db->connect();
		$db->query("SELECT * FROM ".$_SESSION['tablename']['ext_applications']." WHERE USER_ID = '".$_SESSION['user']['UserId']."' AND NAME = '".$id."' AND PATH = '".stripslashes($path)."'");
		
		$_SESSION['user']['extension'] = array();
		$_SESSION['user']['extension']['FORMAT'] = array();
		while ($line = $db->fetch_array())
		{
			
			$_SESSION['user']['extension']['NAME'] = $line[2];
			$_SESSION['user']['extension']['PATH'] = stripslashes($line[3]);
			array_push($_SESSION['user']['extension']['FORMAT'], array("NAME" =>$line[1]));
		}
		
		if(!isset($_SESSION['user']['extension']))
		{
			$this->clearextensioninfos();
		}
		?>
		<h1><img src="<?php echo $_SESSION['config']['img'];?>/picto_add_b.gif" alt="" />
				<?php if($mode == "up")
				{
					echo _APPS_MODIFICATION;
				}
				elseif($mode == "add")
				{
					echo _APPS_ADDITION;
				}
				?>
				</h1>


		<div id="inner_content" class="clearfix">

			<?php if($state == false)
			{
			?>
            	<script language="javascript" type="text/javascript">window.document.location.href = 'index.php?page=extensions';</script>
            <?php }
			else
			{
			?>	
				<form enctype="multipart/form-data" name="extensionsmodel" id="extensionsmodel" method="post" onSubmit="selectall_multiple(this.name);" action="extensions_up_db.php" class="forms">
					<input type="hidden" name="mode" id="mode" value="<?php echo $mode;?>" />
					<?php if($mode == "up")
					  {
					?>
						<p>
                        	<label><?php echo _NAME;?> :</label>
                            <input type="text" name="extension_name" id="extension_name" value="<?php echo $_SESSION['user']['extension']['NAME'];?>"/><span class="red_asterisk">*</span>
                        </p>
                        <p>
							<label><?php echo _PATH;?> :</label>
							<input type="text" name="extension_path" id="extension_path" value="<?php echo $_SESSION['user']['extension']['PATH'];?>" /><span class="red_asterisk">*</span>
						</p>
						<p>
							<input type="hidden" name="mode" id="mode" value="<?php echo $mode;?>" />
						</p>
					<?php }
						else {
							?>
                        <p>
                        	<label><?php echo _NAME;?> :</label>
                            <input type="text" name="extension_name" id="extension_name" /><span class="red_asterisk">*</span>
                        </p>
                        <p>
							<label><?php echo _PATH;?> :</label>
							<input type="text" name="extension_path" id="extension_path" value="" /><span class="red_asterisk">*</span>
						</p>
                        <?php 
						}
						?>
						<p>
							<table align="center" width="100%" >
								<tr>
									<td valign="top" width="48%"><b class="tit"><?php echo _CO_EXTENSIONS_LIST;?></b></td>
									<td width="5%" >&nbsp;</td>
									<td valign="top" width="47%"><b class="tit"><?php echo _CO_SELECTED_EXTENSIONS;?></b></td>
								</tr>
								<tr>
								<td width="150" align="center">
									<select name="extensionslist[]" id="extensionslist" class="multiple_list" size="10" ondblclick='moveclick(document.extensionsmodel.elements["extensionslist[]"],document.extensionsmodel.elements["extensions_chosen[]"])' multiple="multiple" >
									<?php 
									require("load_extensions.php");
									for($i=0;$i<count($ext_list);$i++)
									{ 
										$state_ext = false;
										if($mode == "up") {
											for($j=0;$j<count($_SESSION['user']['extension']['FORMAT']);$j++)
											{
												if($ext_list[$i]['name'] == $_SESSION['user']['extension']['FORMAT'][$j]['NAME'])
												$state_ext = true;
											}
										}
										if($state_ext== false)
										{?>
											<option value="<?php echo $ext_list[$i]['name']; ?>" selected="selected" ><?php echo $func->show($ext_list[$i]['name']); ?></option>
										<?php	
										}
									}
									?>
									</select>
									<em><a href="javascript:selectall(document.forms['extensionsmodel'].elements['extensionslist[]']);" >
									<?php echo _SELECT_ALL; ?></a></em>
								</td>
								<td width="135" align="center">
									<input type="button" class="button" value="<?php echo _ADD; ?>" onclick='Move(document.extensionsmodel.elements["extensionslist[]"],document.extensionsmodel.elements["extensions_chosen[]"]);' />
									<br />
									<br />
									<input type="button" class="button" value="<?php echo _REMOVE; ?>" onclick='Move(document.extensionsmodel.elements["extensions_chosen[]"],document.extensionsmodel.elements["extensionslist[]"]);' />
								</td>
								<td width="150" align="center">
									<select name="extensions_chosen[]" id="extensions_chosen[]" class="multiple_list" size="10" ondblclick='moveclick(document.extensionsmodel.elements["extensions_chosen[]"],document.extensionsmodel.elements["extensionslist"])' multiple="multiple" >
									<?php
									if($mode == "up") {
										for($i=0;$i<count($ext_list);$i++)
										{ 
											$state_ext = false;
											for($j=0;$j<count($_SESSION['user']['extension']['FORMAT']);$j++)
											{
												if($ext_list[$i]['name'] == $_SESSION['user']['extension']['FORMAT'][$j]['NAME'])
												$state_ext = true;
											}
											
											if($state_ext == true)
											{ ?>
											<option value="<?php echo $ext_list[$i]['name']; ?>" selected="selected" ><?php echo $func->show($ext_list[$i]['name']); ?></option>
										<?php
											}	
										}
									}
									?>
									</select>
									<em><a href="javascript:selectall(document.forms['extensionsmodel'].elements['extensions_chosen[]']);" >
									<?php echo _SELECT_ALL; ?></a></em>
								</td>
							</tr>
						</table>
					</p>
						<p class="buttons">
							<input type="submit" class="button"  name="Submit" value="<?php echo _VALIDATE; ?>" />
							<input type="button" onClick="javascript:window.location.href='index.php?page=extension';" class="button"  name="cancel" value="<?php echo _CANCEL; ?>" />
						</p>

					</form >
				

			<?php }
			?>

		</div>
	<?php }
	
}
?>
