<?php
/**
* Folders Class
*
*  Contains all the function to handle folders
*
* @package maarch
* @version 1.0
* @since 06/2008
* @license GPL
* @author  Yves Kpakpo  <yvesck@hotmail.com>
* 
*/

class folders extends dbquery
{
	private $the_start;
	
	
	function __construct()
	{	
		// configure the sql argument order by
		if(isset($_GET['start']))
		{
			$this->the_start = strip_tags($_GET['start']);
		}
		else
		{
			$this->the_start = 0;
		}
	}
	
	/**
	* Alphabetical list of the fileplans
	*
	* @param string  $page  page name
	*/
	public function fileplanslistletters($page = "fileplans")
	{
		// List all the alphabet letter to view the doc types who are starting with the letter
		if(isset($_GET['show']))
		{
			if($_GET['show'] == "false")
			{
				$show = "&show=false";
			}
			else
			{
				$show = "";
			}
		}
		else
		{
			$show = "";
		}
		?>
		<form action="index.php" method="get" name="frmletters" id="frmletters">
			<fieldset>
				<p>
					<input name="what" type="text" class="textbox medium" value="" />
					<input name="Submit" type="submit" value="<?php echo _SEARCH; ?>" class="button" />
					<input name="page" type="hidden" value="<?php echo $page; ?>" />
					<?php if($show == "&show=false") { ?><input name="show" type="hidden" value="false" /><?php } ?>
				</p>
			</fieldset>
				<p><strong><?php echo _ALPHABETICAL_LIST; ?></strong> :

				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=A">A</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=B">B</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=C">C</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=D">D</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=E">E</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=F">F</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=G">G</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=H">H</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=I">I</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=J">J</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=K">K</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=L">L</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=M">M</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=N">N</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=O">O</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=P">P</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=Q">Q</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=R">R</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=S">S</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=T">T</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=U">U</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=V">V</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=W">W</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=X">X</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=Y">Y</a>
				<a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>&amp;what=Z">Z</a>
				- <a  href="index.php?page=<?php echo $page; ?><?php echo $show; ?>"><?php echo _ALL_FILEPLANS;?></a>

			</p>
				</form>

	<?php
	}
	
	/**
	* Clear the session variables of the fileplan administration
	*
	*/
	private function clearfileplaninfos()
	{
		// clear the session variable for the fileplans
		$_SESSION['m_admin']['fileplan'] = array();
		$_SESSION['m_admin']['fileplan']['ID'] = "";
		$_SESSION['m_admin']['fileplan']['LABEL'] = "";
		$_SESSION['m_admin']['fileplan']['OWNER'] = "";
	}
	
	/**
	* List of file plans
	*
	* @param string  $where $where clause
	* @param string  $what sort info
	*/
	public function fileplanslist($where = "",$what = "")
	{
		// draw the fileplans list
		$func = new functions();

		/* Configuration */
		$title = _FILEPLANS_LIST;
		$page_name = "fileplans";
		$table_name = $_SESSION['tablename']['fileplans'];
		$nb_show = $_SESSION['config']['nblinetoshow'];


		if(!empty($what))
		{
			$what = "&what=".$what;
		}

		if(!empty($where))
		{
			$where = " where ".$where;
		}
		/***********************/

		$this->connect();
		$this->query("select count(*) as total from ".$table_name." ".$where);
		$nb_total_1 = $this->fetch_object();
		$nb_total = $nb_total_1->total;

		// define the defaults values
		$nb_pages = ceil($nb_total/$nb_show);

		$link = "index.php?page=".$page_name."&start=".$this->the_start."&order=".$this->orderby.$what;

		if($nb_pages > 1)
		{
			$next_start = 0;

			$page_list1 = '<form name="newpage1" id="newpage1" method="get" action="index.php?page=fileplans" >
			<p>
				<label for="startpage">'._GO_TO_PAGE.'</label>
				<select name="startpage" id="startpage" class="textbox small" onchange="window.location.href=\''.$link.'&amp;start=\'+document.newpage1.startpage.value;">';

			$page_list2 = '<form name="newpage2" id="newpage2" method="get" action="index.php?page=fileplans"  >
			<p>
				<label for="startpage">'._GO_TO_PAGE.'</label>
				<select name="startpage" id="startpage" class="textbox small" onchange="window.location.href=\''.$link.'&amp;start=\'+document.newpage2.startpage.value;">';

			$lastpage = 0;

			for($i = 0;$i <> $nb_pages; $i++)
			{
				$page_name = $i + 1;

				$the_line = $i + 1;
				if($this->the_start == $next_start)
				{
					$page_list1 .= "<option value=\"".$next_start."\" selected=\"selected\">".$the_line."</option>";
					$page_list2 .= "<option value=\"".$next_start."\" selected=\"selected\">".$the_line."</option>";
				}
				else
				{
					$page_list1 .= "<option value=\"".$next_start."\">".$the_line."</option>";
					$page_list2 .= "<option value=\"".$next_start."\">".$the_line."</option>";
				}

				$next_start = $next_start + $nb_show;
				$lastpage = $next_start;
			}

			$lastpage = $lastpage - $nb_show;

			$previous = "";
			$next = "";

			if($this->the_start > 0)
			{
				$start_prev = $this->the_start - $nb_show;
				$previous = '<a href="'.$link.'&amp;start='.$start_prev.'" class="prev">'._PREVIOUS.'</a>';
			}

			if($this->the_start <> $lastpage)
			{
				$start_next = $this->the_start + $nb_show;
				$next = '<a href="'.$link.'&amp;start='.$start_next.'" class="next">'._NEXT.'</a>';
			}

			$page_list1 = $page_list1."</select>";
			$page_list2 = $page_list2."</select>";

			if($previous <> '' || $next <> '')
			{
				if(empty($previous)) { $previous = "&nbsp;"; }
				if(empty($next)) { $next = "&nbsp;"; }

				$page_list1 .= $previous." ".$next.'</p></form>';
				$page_list2 .= $previous." ".$next.'</p></form>';
			}
		}
		
		if (empty($where)) 
		{
			$this->query("select FILEPLAN_ID, FILEPLAN_DESCRIPTION, FILEPLAN_OWNER from ".$table_name." where SHARED_FILEPLAN = 'Y' order by FILEPLAN_DESCRIPTION asc limit ".$this->the_start.",".$nb_show);
		}
		else
		{
			$this->query("select FILEPLAN_ID, FILEPLAN_DESCRIPTION, FILEPLAN_OWNER from ".$table_name." ".$where." and SHARED_FILEPLAN = 'Y' order by FILEPLAN_DESCRIPTION asc limit ".$this->the_start.",".$nb_show);
		}
			echo '<h1><img src="'.$_SESSION['config']['img'].'/picto_types_b.gif" alt="" /> '.$title.'</h1>

				<div id="inner_content" class="clearfix">';

			$this->fileplanslistletters();
			echo $page_list1;
			?>
			<table cellpadding="0" cellspacing="0" border="0" class="listing spec">
				<thead>
					<tr>
						<th class="id"><?php echo _WORDING;?></th>
						<th class="title"><?php echo _FILEPLAN_OWNER;?> </th>

				   		<th colspan="3" align="right" class="price"><span class="add clearfix"><a  href="index.php?page=fileplan_add"  ><span><?php echo _ADD_FILEPLAN;?></span></a></span></th>
				  </tr>
				</thead>
				<tfoot>
					<tr>
						<td colspan="7" class="price"><span class="add clearfix"><a  href="index.php?page=fileplan_add"  ><span><?php echo _ADD_FILEPLAN;?></span></a></span></td>
					</tr>
				</tfoot>
				<tbody>

			<?php
		
			$color = "line1";
			while($line = $this->fetch_object())
			{
				if($color == ' class="col"')
				{
					$color = '';
				}
				else
				{
					$color = ' class="col"';
				}
			
				$id = $desc = $owner = "";
				$id = $line->FILEPLAN_ID;
				$desc = $line->FILEPLAN_DESCRIPTION;
				$owner = $line->FILEPLAN_OWNER;
				//echo $id.'->'.$desc.'<br>';
			
				$userInfos = array();
				$userInfos = $func->infouser($owner);
			
				?>
				<tr <?php echo $color; ?>>
					<td class="descr"><?php echo $desc; ?></td>
					<td><?php echo $userInfos['FirstName'].' '.$userInfos['LastName']; ?></td>
					<td class="action"><?php if ($owner == $_SESSION['user']['UserId'] || $_SESSION['user']['admin'] == true){?><a href="index.php?page=fileplan_up&amp;id=<?php echo $id;?>&folder_id=-1" class="change"><?php echo _MODIFY; ?></a><?php } else { echo "&nbsp;"; }?></td>
					<td class="action"><?php if ($owner == $_SESSION['user']['UserId'] || $_SESSION['user']['admin'] == true ){?><a href="fileplan_del.php?id=<?php echo $id;?>" class="delete" onClick="return (confirm('<?php echo ' '._REALLY_DELETE.': '.addslashes($desc).' ?\n'._DEFINITIVE_ACTION."!";?>'));" ><?php echo _DELETE;?></a><?php } else { echo "&nbsp;"; }?></td>

				</tr>
			<?php 
		
			}
			?>
			</tbody>
		</table>
		</div>

		<?php 
		
		$this->clearfileplaninfos();
	}
	
		/**
	* Form to add or modify a fileplan
	*
	* @param string  $mode  up or add
	* @param string  $id  identifier of the fileplan to modify
	*/
	public function formfileplan($mode , $id = "", $fid="")
	{
		
		$func = new functions();

		$state = true;

		if(!isset($_SESSION['m_admin']['fileplan']))
		{
			$this->clearfileplaninfos();
		}

		if( $mode <> "add" && empty($_SESSION['error']))
		{
			$this->connect();
			$this->query("select * from ".$_SESSION['tablename']['fileplans']." where FILEPLAN_ID = '".$id."'");
			
			if($this->nb_result() == 0)
			{
				$_SESSION['error'] = _FILEPLAN.' '._UNKNOWN;
				$state = false;
			}
			else
			{
				$_SESSION['m_admin']['fileplan'] = array();
				$line = $this->fetch_object();

				$_SESSION['m_admin']['fileplan']['ID'] = $line->FILEPLAN_ID;
				$_SESSION['m_admin']['fileplan']['LABEL'] = trim($line->FILEPLAN_DESCRIPTION);
				$_SESSION['m_admin']['fileplan']['OWNER'] = trim($line->FILEPLAN_OWNER);		
			}
		}
		?>
		<h1><img src="<?php echo $_SESSION['config']['img'];?>/picto_add_b.gif" alt="" />
				<?php if($mode == "up")
				{
					echo _FILEPLAN_MODIFICATION;
				}
				elseif($mode == "add")
				{
					echo _FILEPLAN_ADDITION;
				}
				?>
				</h1>

		<div id="inner_content" class="clearfix">
			<?php if($state == false)
			{
			?>
            	<script language="javascript" type="text/javascript">window.document.location.href = 'index.php?page=fileplans';</script>
            <?php 
            }
			else
			{
			?>
				<form name="frmfileplan" id="frmfileplan" method="post" action="fileplan_up_db.php" class="forms">
				<input type="hidden" name="mode" id="mode" value="<?php echo $mode;?>" />
					<?php if($mode == "up")
							{
					?>
							<input  type="hidden" name="fileplan_id" id="fileplan_id" value="<?php echo $_SESSION['m_admin']['fileplan']['ID']; ?>"/>
					<?php 	} ?>
                        <p>
                        	<label><?php echo _WORDING;?> :</label>
                            <input type="text" name="fileplan_name" id="fileplan_name" value="<?php echo $_SESSION['m_admin']['fileplan']['LABEL'];?>"/><span class="red_asterisk">*</span>
                        </p>
				<?php
				if($mode == "up")
				{
				?>
    <div id="myFolder" style="height:200px;background-color: #DDDDDD;border:1px solid #999;display:block;visibility:visible;">
	<table border="0" cellspacing="0" cellpadding="0" width="100%">
		<tr class="col">
			<!-- TREEVIEW -->
			<td valign="top">
				<div style="height:193px;overflow:auto;">
					<table border="0" cellspacing="0" cellpadding="0" width="100%">
						<?php	
							$this->drawRoot($id, $fid, 
							"index.php?page=fileplan_up&id=".$id."&", "perso");		
							$this->buildTreeView($_GET['action'], $id, "perso",  
							"index.php?page=fileplan_up&id=".$id, $fid, $_GET['do'], $folder_parents);
						?>					
				    </table>
				</div>	
			</td>
			<!-- ACTION -->
			<td valign="top" width="20%">
				<div id="action_box">
					<table border="0" cellspacing="10" cellpadding="0" width="100%">
				        <tr>
				            <td valign="top">
								<a  class="add2" href="javascript://" onclick="window.open('folders_add.php?fileplan_id=<?php echo $id; ?>&folder_id='+($('tree').down('.mt_selected') ? $('tree').down('.mt_selected').id.replace(new RegExp(Tree.prefix+'(.*)'), '$1') : '') +'&idframe=partage', '', 'width=460px,height=420px,scrollbars=no,menubar=no,toolbar=no,resizable=no,status=no');"><?php echo _ADD;?></a>
							</td>
						</tr> 
						<?php //if ($fid != -1) { ?><tr>
				            <td valign="top">
								<a class="change" href="javascript://" onclick="window.open('folders_up.php?fileplan_id=<?php echo $id; ?>&folder_id='+($('tree').down('.mt_selected') ? $('tree').down('.mt_selected').id.replace(new RegExp(Tree.prefix+'(.*)'), '$1') : '') +'&idframe=partage&action=<?php echo $_GET['action'];?>', '', 'width=460px,height=420px,scrollbars=no,menubar=no,toolbar=no,resizable=no,status=no');"><?php echo _MODIFY;?></a>
							</td>
						</tr><?php //} ?>
						
						<?php //if ($fid != -1) { ?><tr>
				            <td valign="top">
								<a class="delete" href="javascript://" onclick="window.open('folders_del.php?fileplan_id=<?php echo $id; ?>&folder_id='+($('tree').down('.mt_selected') ? $('tree').down('.mt_selected').id.replace(new RegExp(Tree.prefix+'(.*)'), '$1') : '') +'&idframe=partage&mode=DEL&action=<?php echo $_GET['action'];?>', '', 'width=450px,height=200px,scrollbars=no,menubar=no,toolbar=no,resizable=no,status=no');"><?php echo _DELETE;?></a>
							</td>
						</tr> <?php //} ?>
						<?php //if ($fid != -1) { ?><tr>
				            <td valign="top">
								<!--<a class="flush" href="javascript://" onclick="window.open('folders_del.php?fileplan_id=<?php echo $id; ?>&folder_id='+($('tree').down('.mt_selected') ? $('tree').down('.mt_selected').id.replace(new RegExp(Tree.prefix+'(.*)'), '$1') : '') +'&idframe=partage&mode=FLH&action=<?php echo $_GET['action'];?>', '', 'width=450px,height=200px,scrollbars=no,menubar=no,toolbar=no,resizable=no,status=no');"><?php echo _FLUSH;?></a>-->
							</td>
						</tr> <?php //} ?>
						<?php 
						//Liens d'actions
						$link = "index.php?page=fileplan_up&id=".$id."&folder_id=".$fid.'&action='.$_GET['action'];
						
						//Couper le classeur si c'est pas déja fait
						if (($fid != -1) && ((isset($_SESSION['folder']) && $_SESSION['folder']['ACTION'] != "CUT") || !isset($_SESSION['folder']))) { ?><tr>
				            <td valign="top">
								<!--<a class="cut" href="<?php echo $link;?>&do=CUT"><?php echo _CUT;?></a>-->
							</td>
						</tr> <?php } ?>
						<?php 
						if (($fid != -1) && (isset($_SESSION['folder']) && $_SESSION['folder']['ACTION'] == "CUT")) { ?><tr>
				            <td valign="top">
								<!--<span id="cut_off"><?php echo _CUT;?></span>-->
							</td>
						</tr> <?php } ?>
		
						<?php 
						//Copier le classeur si c'est pas déja fait
						if (($fid != -1) && ((isset($_SESSION['folder']) && $_SESSION['folder']['ACTION'] != "COPY") || !isset($_SESSION['folder']))) { ?><tr>
				            <td valign="top">
								<!--<a class="copy" href="<?php echo $link;?>&do=COPY"><?php echo _COPY;?></a>-->
							</td>
						</tr> <?php } ?>
						<?php 
						if (($fid != -1) && (isset($_SESSION['folder']) && $_SESSION['folder']['ACTION'] == "COPY")) { ?><tr>
				            <td valign="top">
								<!--<span id="copy_off"><?php echo _COPY;?></span>-->
							</td>
						</tr> <?php } ?>

						<?php 
						//Coller le classeur seulement si on a copier ou couper (décalé? ;-) )
						if ((!isset($_SESSION['folder']) || empty($_SESSION['folder']))) { ?><tr>
				            <td valign="top">
								<!--<span id="paste_off"><?php echo _PAST;?></span>-->
							</td>
						</tr> <?php } ?>
						<?php if ((isset($_SESSION['folder']) && !empty($_SESSION['folder']))) { ?><tr>
				            <td valign="top">
								<!--<a class="paste" href="<?php echo $link;?>&do=PASTE"><?php echo _PAST;?></a>-->
							</td>
						</tr> <?php } ?>
					</table>	
				</div>
			</td>
		</tr>   
	</table>
	</div>
	<!--<div id="docs" style="overflow:auto;"></div>-->
	<?php
	}
	?>
					<p class="buttons">
                        <input type="submit" class="button"  name="Submit" value="<?php echo _VALIDATE; ?>" />
                        <input type="button" onClick="javascript:window.location.href='index.php?page=fileplans';" class="button"  name="cancel" value="<?php echo _CANCEL; ?>" />
					</p>

					</form >

			<?php }
			?>

		</div>
		
	<?php 
	}
	

	
	/**
	* Verify the fileplan informations
	*
	*/
	private function fileplaninfo()
	{
		$func = new functions();

		if(!isset($_REQUEST['mode']))
		{
			$_SESSION['error'] = _UNKNOWN_PARAM."<br />";
		}
		
		$_SESSION['m_admin']['fileplan']['LABEL'] = $func->wash($_REQUEST['fileplan_name'], "no", _THE_WORDING);
		$_SESSION['m_admin']['fileplan']['LABEL'] = trim(stripslashes($_SESSION['m_admin']['fileplan']['LABEL']));

		if($_REQUEST['mode'] == "up")
		{
			$_SESSION['m_admin']['fileplan']['ID'] = $func->wash($_REQUEST['fileplan_id'], "no", _ID);
		}
	}
	
	/**
	* Update the database with the fileplans data
	*
	*/
	public function upfileplan()
	{
		$this->fileplaninfo();

		if(!empty($_SESSION['error']))
		{
			if($_REQUEST['mode'] == "up")
			{
				if(!empty($_SESSION['m_admin']['fileplan']['ID']))
				{
					header("location: index.php?page=fileplan_up&id=".$_SESSION['m_admin']['fileplan']['ID']);
					exit;
				}
				else
				{
					header("location: index.php?page=fileplans");
					exit;
				}
			}
			elseif($_REQUEST['mode'] == "add" )
			{
				header("location: index.php?page=fileplan_add");
				exit;
			}
		}
		else
		{
			$this->connect();

			if( $_REQUEST['mode'] <> "add")
			{
				/*if($description == 'monplandeclassement')
				{
					$_SESSION['error'] = $description.' '._DEFAULT_LABEL;
					return false;
				}*/
				$this->query("update `".$_SESSION['tablename']['fileplans']."` set FILEPLAN_DESCRIPTION = '".addslashes($_SESSION['m_admin']['fileplan']['LABEL'])."' where FILEPLAN_ID = '".$_SESSION['m_admin']['fileplan']['ID']."'");

				if($_REQUEST['mode'] == "up")
				{
					$_SESSION['info'] = _FILEPLAN_UPDATED;
					if($_SESSION['history']['fileplansup'] == "true")
					{
						require_once("class_history.php");
						$history = new history();
						$history->add($_SESSION['tablename']['fileplans'], $_SESSION['m_admin']['fileplan']['ID'],"UP",_FILEPLAN_UPDATED." : ".$_SESSION['m_admin']['fileplan']['LABEL']);
					}
				}

				$this->clearfileplaninfos();
				header("location: index.php?page=fileplans");
				exit;
			}
			else
			{
				$this->query("select FILEPLAN_DESCRIPTION from ".$_SESSION['tablename']['fileplans']." where FILEPLAN_DESCRIPTION = '".addslashes($_SESSION['m_admin']['fileplan']['LABEL'])."' and FILEPLAN_OWNER = '".$_SESSION['user']['UserId']."'");

				if($this->nb_result() > 0)
				{
					$_SESSION['error'] = $_SESSION['m_admin']['fileplan']['LABEL'].' '._ALREADY_EXISTS;
					header("location: index.php?page=fileplan_add");
					exit;
				}
				else
				{
					 if( $_REQUEST['mode'] == "add")
					 {
						$this->query("INSERT INTO ".$_SESSION['tablename']['fileplans']." ( FILEPLAN_DESCRIPTION, FILEPLAN_OWNER, CREATION_DATE, SHARED_FILEPLAN) VALUES ( '".addslashes($_SESSION['m_admin']['fileplan']['LABEL'])."', '".$_SESSION['user']['UserId']."', now(), 'Y')");
						
						//Get the last id
						$this->query("select FILEPLAN_ID from ".$_SESSION['tablename']['fileplans']." where FILEPLAN_DESCRIPTION = '".addslashes($_SESSION['m_admin']['fileplan']['LABEL'])."' and FILEPLAN_OWNER = '".$_SESSION['user']['UserId']."'");
						
						$res = $this->fetch_object();
						$_SESSION['m_admin']['fileplan']['ID'] = $res->FILEPLAN_ID;

						if($_SESSION['history']['fileplansadd'] == "true")
						{
							require_once("class_history.php");
							$history = new history();
							$history->add($_SESSION['tablename']['fileplans'], $_SESSION['m_admin']['fileplan']['ID'],"ADD",  _FILEPLAN_ADDED." : ".$_SESSION['m_admin']['fileplan']['LABEL']);
						}
					 }

					$_SESSION['info'] =  _FILEPLAN_ADDED;

				}

				$_SESSION['error'] = "";
			}

			if ($_REQUEST['mode'] == "add")
			{
				$url = "index.php?page=fileplan_up&id=".$_SESSION['m_admin']['fileplan']['ID']."&folder_id=-1";
			}

			$this->clearfileplaninfos();
			header("location: ".$url);
			exit;
		}
	}
	
	/**
	* delete a fileplan in the database
	*
	* @param string $fileplan_id fileplan identifier
	*/
	public function delfileplan($fileplan_id)
	{
		if(!empty($_SESSION['error']))
		{
			header("location: index.php?page=fileplans");
			exit;
		}
		else
		{
			$this->connect();
			$this->query("select FILEPLAN_ID, FILEPLAN_DESCRIPTION from ".$_SESSION['tablename']['fileplans']." where FILEPLAN_ID = ".$fileplan_id);

			if($this->nb_result() == 0)
			{
				$_SESSION['error'] = _FILEPLAN.' '._UNKNOWN;
				header("location: index.php?page=fileplans");
				exit;
			}
			else
			{
				$res = $this->fetch_object();
				$label = $res->LABEL;
				
				//Supprimer les dossiers du plan de classment
				$this->query("select FOLDER_ID from ".$_SESSION['tablename']['folders']." where FILEPLAN_ID = ".$fileplan_id." and USER_ID = '".$_SESSION['user']['UserId']."'");
				$conn = new dbquery();
				$conn->connect();
				while($line = $this->fetch_object())
				{
					$folder_id = $line->FOLDER_ID;
					
					//On supprime!!
					$conn->query("delete from ".$_SESSION['tablename']['folderscope']." where FOLDER_ID = '".$folder_id."'");
					$conn->query("delete from ".$_SESSION['tablename']['folderres']." where FOLDER_ID = '".$folder_id."'"); 
					$conn->query("delete from ".$_SESSION['tablename']['folders']." where FOLDER_ID = '".$folder_id."' and USER_ID = '".$_SESSION['user']['UserId']."'"); 
				}
				//Supprimer le plan de classement
				$this->query("delete from ".$_SESSION['tablename']['fileplans']." where FILEPLAN_ID = ".$fileplan_id);

				if($_SESSION['history']['fileplansdel'])
				{
					require_once("class_history.php");
					$users = new history();
					$users->add($_SESSION['tablename']['fileplans'], $id,"DEL",_FILEPLAN_DELETION." : ".$label);
				}
					$_SESSION['info'] = _FILEPLAN_DELETED;
					header("location: index.php?page=fileplans");
					exit;
			}
		}
	}
	
	public function fileplanIsEmpty ($fileplan_id)
	{
		$isEmpty = false;
		
		$this->connect();
		$this->query("select FILEPLAN_ID, FOLDER_ID from ".$_SESSION['tablename']['folders']." where FILEPLAN_ID = ".$fileplan_id);

		if($this->nb_result() == 0)
		{
			$isEmpty = true;
			
			return $isEmpty;
		}
		else
		{
			$tab_folder = array();
			
			while ($line = $this->fetch_object())
	        {
				 $tab_folder[] = $line->FOLDER_ID;
			}
			
			return $tab_folder;
		}
	}
	
	public function fileplanOwner($fileplan_id, $user_id)
	{
		$isOwner = false;
		
		if ($_SESSION['user']['admin'] == true)
		{
			$isOwner = true;
			return $isOwner;
		}
			
		if(!empty($fileplan_id))
		{
			$this->connect();
			$this->query("select FILEPLAN_ID from ".$_SESSION['tablename']['fileplans']." where FILEPLAN_ID = ".$fileplan_id." and  FILEPLAN_OWNER = '".$user_id."'");

			if($this->nb_result() != 0)
			{
				$isOwner = true;
			}
		}
		
		return $isOwner;
	}
	
	//Function used by the other bellow recursively to help to check
	//if the folder that`s being opened is son of the one being displayed.
    
	private function checkParents($fileplan_id, $folder_id, $folder_current, &$folder_parents)
    {
		$conn = new dbquery();
		$conn->connect();
		$conn->query("select * from ".$_SESSION['tablename']['folders']." 
						where FILEPLAN_ID = '".$fileplan_id ."' and FOLDER_ID = '".$folder_id ."' and USER_ID = '".$_SESSION['user']['UserId']."' 
						order by DESCRIPTION");
		$nb_total = $conn->nb_result();
		
        if ($nb_total != 0)
        {
            while($res = $conn->fetch_object())
            {
                  $folder_parents[]=$res->FOLDER_ID;
                  $this->checkParents($fileplan_id, $res->PARENT_ID, $folder_current, $folder_parents);
            }
        }
    }
	
	//Function used to check if the folder that`s being opened
	//is son of the one being displayed.

    private function openFolder($fileplan_id, $folder_id, $folder_current)
    {
        $this->checkParents($fileplan_id, $folder_id, $folder_current, $folder_parents);
		
		if (is_array($folder_parents))
		{
	        if (in_array($folder_current, $folder_parents))
	        {
	            return true;
	        }
		}
    }
	
	//Calculates and organize the hierarchy of the opened folders

    private function drawBlanksIntersecs($folder_id, $parent_id)
    {
		$conn1 = new dbquery();
		$conn1->connect();
		$conn2 = new dbquery();
		$conn2->connect();
		$conn3 = new dbquery();
		$conn3->connect();
		
		if($parent_id==""){
			$parent_id=-1;
		}
		
		if ($idframe == "perso")
			 {
				$conn1->query("select FOLDER_ID, PARENT_ID from ".$_SESSION['tablename']['folders']." where PARENT_ID = ".$folder_id);
				
			}
			
		else
		{
					$value = "'".$_SESSION['user']['services'][0]['ID']."'";

					for ($cpt=1; $cpt < count($_SESSION['user']['services']); $cpt++)
					{
						$value = $value.", '".$_SESSION['user']['services'][$cpt]['ID']."'";
					}
					$conn1->query("SELECT * FROM ".$_SESSION['tablename']['folderscope']." fds, ".$_SESSION['tablename']['folders']." fol, ".$_SESSION['tablename']['fileplans']." fil
					WHERE fds.folder_id = fol.folder_id"
					." AND fol.folder_id = ".$parent_id
					." AND fil.fileplan_id = fol.fileplan_id"
					." AND fol.shared_folder = 'Y'"
					." AND ((scope = 'user' AND value = '".$_SESSION['user']['UserId']."')" 
					." OR (scope = 'all')"
					." OR (scope = 'entity' AND value in (".$value."))"
					." OR (scope = 'entities' AND value in (".$value.")))"
					." GROUP BY fil.fileplan_id, fol.folder_id, fileplan_description");
					
					
			}
		
		$res = $conn1->fetch_object();
		$parent_id = $res->FOLDER_ID;
		//echo "valeur initiale parent : ".$parent_id."<br>";
		$nb_total = $conn1->nb_result();
		
		
		if ($nb_total != 0) 
		{
			$is_last=0;
		}
		else  
		{
			$is_last=1;
		}
		
	
		
		/*if(!empty($res->PARENT_ID) and ($res->PARENT_ID!=-1))
		{
		
			/*$conn2->query("select FOLDER_ID, PARENT_ID from ".$_SESSION['tablename']['folders']." where FOLDER_ID = ".$res->PARENT_ID);
			$conn2->show();
			$res2 = $conn2->fetch_object();*/
			
	   
			
			/*$conn3->query("select FOLDER_ID, PARENT_ID from ".$_SESSION['tablename']['folders']." where PARENT_ID = ".$res2->FOLDER_ID." order by DESCRIPTION");
			$res3 = $conn3->fetch_object();	
				
		$nb_total = $conn1->nb_result();
			
			$i=0;
			$is_last = 1;
		
			if ($nb_total != 0)
			{
				while ($res = $conn1->fetch_object())
				{
					$i++;
							
					if ($res->FOLDER_ID == $parent_id )
					{
						$is_last=1;
					}
					else
					{
						$is_last=0;
					}
				}
			}*/
		
			//echo $is_last.": ".$parent_id." / ";
			//if ($parent_id != -1)
			if(!empty($res->PARENT_ID) and ($res->PARENT_ID!=-1))
			{	
				$this->drawBlanksIntersecs($parent_id, $res->PARENT_ID);
				
				if ($is_last == 1)
				{
					echo "<img src=\"".$_SESSION['config']['img']."/tree/blank.gif\" height=\"18\" width=\"18\" border=\"0\" vspace=\"0\" hspace=\"0\" align=\"left\">\n";
				}
				elseif ($is_last == 0)
				{
					echo "<img src=\"".$_SESSION['config']['img']."/tree/line1.gif\" height=\"18\" width=\"18\" border=\"0\" vspace=\"0\" hspace=\"0\" align=\"left\">\n";
				}
			}
		}
    //}
	
	//Function that builds the tree from root to the last opened folder
	
	//public function buildTreeView($action, $fileplan_id, $idframe, $link, $folder_id=-1, $do='', $folder_parents=-1,$depth=0,$parent_last=0)
	public function buildTreeView($action, $fileplan_id, $idframe, $link, $folder_id, $do='', $folder_parents,$depth=0,$parent_last=0)
    {
		
		$value = "'".$_SESSION['user']['services'][0]['ID']."'";

				for ($cpt=1; $cpt < count($_SESSION['user']['services']); $cpt++)
				{
					$value = $value.", '".$_SESSION['user']['services'][$cpt]['ID']."'";
				}
		
		if(isset($fileplan_id) && !empty($fileplan_id)){
			$conn = new dbquery();
			$conn->connect();
		
			
			if ($idframe == "perso") {
				
				$conn->query("select * from ".$_SESSION['tablename']['folders']." where FILEPLAN_ID = ".$fileplan_id." order by DESCRIPTION");
			}
			elseif ($idframe == "partage")
			{

				$conn->query("SELECT * FROM ".$_SESSION['tablename']['folderscope']." fds, ".$_SESSION['tablename']['folders']." fol, ".$_SESSION['tablename']['fileplans']." fil
						WHERE fds.folder_id = fol.folder_id"
						." AND fol.fileplan_id = ".$fileplan_id
						." AND fil.fileplan_id = fol.fileplan_id"
						." AND fol.shared_folder = 'Y'"
						." AND ((scope = 'user' AND value = '".$_SESSION['user']['UserId']."')" 
						." OR (scope = 'all')"
						." OR (scope = 'entity' AND value in (".$value."))"
						." OR (scope = 'entities' AND value in (".$value.")))"
						." GROUP BY fol.folder_id, fileplan_description"
						." ORDER BY fol.parent_id");
			}
			else
			{
				$conn->query("SELECT * FROM ".$_SESSION['tablename']['folderscope']." fds, ".$_SESSION['tablename']['folders']." fol, ".$_SESSION['tablename']['fileplans']." fil
						WHERE fds.folder_id = fol.folder_id"
						." AND fol.fileplan_id = ".$fileplan_id
						." AND write_right = 'Y'"
						." AND fil.fileplan_id = fol.fileplan_id"
						." AND fol.shared_folder = 'Y'"
						." AND ((scope = 'user' AND value = '".$_SESSION['user']['UserId']."')" 
						." OR (scope = 'all')"
						." OR (scope = 'entity' AND value in (".$value."))"
						." OR (scope = 'entities' AND value in (".$value.")))"
						." GROUP BY fol.folder_id, fileplan_description"
						." ORDER BY fol.parent_id");
			}
			$tab_folders = array(); 

			$conn2 = new dbquery();
			$conn2->connect();
			
			$depth++;
			$i=1;
			while ($parent = $conn->fetch_object())
			{
				 array_push($tab_folders,  array("FI" => $fileplan_id, "Folder" => $parent->FOLDER_ID, "Parent" => $parent->PARENT_ID, "Label" => $parent->DESCRIPTION, "Process" => 'N'));
				
				echo "<tr valign=top>\n";
				echo "<td nowrap>\n";
						
				
				/*if ($parent->PARENT_ID !=-1)
				{
					$this->drawBlanksIntersecs($parent->FOLDER_ID, $parent->PARENT_ID);
				   
				}*/
				
				
				/*if ($idframe == "perso") {
				
					$conn2->query("select * from ".$_SESSION['tablename']['folders']." where FILEPLAN_ID = ".$fileplan_id." and PARENT_ID = ".$parent->FOLDER_ID." and USER_ID = '".$_SESSION['user']['UserId']."' order by DESCRIPTION");
				}
				else
				{
				
					$value = "'".$_SESSION['user']['services'][0]['ID']."'";

					for ($cpt=1; $cpt < count($_SESSION['user']['services']); $cpt++)
					{
						$value = $value.", '".$_SESSION['user']['services'][$cpt]['ID']."'";
					}

					$conn2->query("SELECT * FROM ".$_SESSION['tablename']['folderscope']." fds, ".$_SESSION['tablename']['folders']." fol, ".$_SESSION['tablename']['fileplans']." fil
						WHERE fds.folder_id = fol.folder_id"
						." AND PARENT_ID = ".$parent->FOLDER_ID
						." AND fol.fileplan_id = ".$fileplan_id
						." AND fil.fileplan_id = fol.fileplan_id"
						." AND fol.shared_folder = 'Y'"
						." AND ((scope = 'user' AND value = '".$_SESSION['user']['UserId']."')" 
						." OR (scope = 'all')"
						." OR (scope = 'entities' AND value in (".$value.")))"
						." GROUP BY fol.folder_id, fileplan_description"
						." ORDER BY fol.parent_id");
				}*/
				/*if ($conn2->nb_result() != 0)
				{ 
					if ($action == "expand" && $this->openFolder($fileplan_id, $folder_id, $parent->FOLDER_ID))
					{
						echo "<a href=\"".$link."&action=expand&folder_id=".$parent->PARENT_ID."\">";

						if ($conn->nb_result() == $i)
						{
							echo "<img src=\"".$_SESSION['config']['img']."/tree/minus2.gif\" height=\"18\" width=\"18\" border=\"0\" vspace=\"0\" hspace=\"0\" align=\"left\">\n";
						}
						else
						{
                        echo "<img src=\"".$_SESSION['config']['img']."/tree/minus3.gif\" height=\"18\" width=\"18\" border=\"0\" vspace=\"0\" hspace=\"0\" align=\"left\">\n";
						}
					}
					else
					{
						echo "<a href=\"".$link."&action=expand&folder_id=".$parent->FOLDER_ID."\">";
						//$class="class=\"folderSelect\"";
						if ($conn->nb_result() == $i)
						{
							echo "<img src=\"".$_SESSION['config']['img']."/tree/plus2.gif\" height=\"18\" width=\"18\" border=\"0\" vspace=\"0\" hspace=\"0\" align=\"left\">\n";
						}
						else
						{
							echo "<img src=\"".$_SESSION['config']['img']."/tree/plus3.gif\" height=\"18\" width=\"18\" border=\"0\" vspace=\"0\" hspace=\"0\" align=\"left\">\n";
						}
					}
				}
				else
				{
					//$class="class=\"folderSelect\"";
					
					if ($conn2->nb_result() == $i)
					{
						echo "<img src=\"".$_SESSION['config']['img']."/tree/line2.gif\" height=\"18\" width=\"18\" border=\"0\" vspace=\"0\" hspace=\"0\" align=\"left\">\n";
					}
					else
					{

						echo "<img src=\"".$_SESSION['config']['img']."/tree/line3.gif\" height=\"18\" width=\"18\" border=\"0\" vspace=\"0\" hspace=\"0\" align=\"left\">\n";
					}
					
				}*/
			
				/*if ($action=="expand" && $this->openFolder($fileplan_id, $folder_id, $parent->FOLDER_ID))
				{	
					if ((isset($do) && !empty($do)) && ($do == "CUT" || $do == "COPY") && ($parent->FOLDER_ID == $folder_id))
					{	
						$class="class=\"folderDo\"";	
					}
					else
					{
						$class="class=\"folderSelect\"";
					}
					
					//echo '->'.$parent->FOLDER_ID;
					//Scope
					$scope = $this->getScope($parent->FOLDER_ID);
					if ($scope['scope'] =='NONE')
					{
						$folderImg = 'folderOpen.gif';
					}
					else
					{
						$folderImg = 'folderSharedOpen.gif';
					}
				
					echo "<img src=\"".$_SESSION['config']['img']."/tree/".$folderImg."\" height=\"18\" width=\"18\" border=\"0\" vspace=\"0\" hspace=\"0\" align=\"left\">\n";
				}
				else if ($action=="" && $this->openFolder($fileplan_id, $folder_id, $parent->FOLDER_ID))
				{
					if ((isset($do) && !empty($do)) && ($do == "CUT" || $do == "COPY") && ($parent->FOLDER_ID == $folder_id))
					{	
						$class="class=\"folderDo\"";
					
					}else
					{
						$class="class=\"folderSelect\"";
					}
					//echo '-->'.$folder_id;
					//Scope
					$scope = $this->getScope($folder_id);
					if ($scope['scope'] =='NONE')
					{
						$folderImg = 'folderClosed.gif';
					}
					else
					{
						$folderImg = 'folderSharedClosed.gif';
					}
				
					echo "<img src=\"".$_SESSION['config']['img']."/tree/".$folderImg."\" height=\"18\" width=\"18\" border=\"0\" vspace=\"0\" hspace=\"0\" align=\"left\">\n";
				}
				else
				{
					//echo '--->'.$parent->FOLDER_ID;
					$scope = $this->getScope($parent->FOLDER_ID);
					if ($scope['scope'] =='NONE')
					{
						$folderImg = 'folderClosed.gif';
					}
					else
					{
						$folderImg = 'folderSharedClosed.gif';
					}
					$class="";
					echo "<img src=\"".$_SESSION['config']['img']."/tree/".$folderImg."\" height=\"18\" width=\"18\" border=\"0\" vspace=\"0\" hspace=\"0\" align=\"left\">\n";
				}*/
				//echo "</a>";

				//Here you can change where the link of the folder points too.
				//You really should to edit it...

				/*echo "<a ".$class." href=\"".$link."&action=".$action."&folder_id=".$parent->FOLDER_ID."\" >";
				echo "&nbsp;&nbsp;".stripslashes($parent->DESCRIPTION)." (".$this->countDoc ($parent->FOLDER_ID).") &nbsp;&nbsp;</a>";
				echo "</td>\n";
				echo "</tr>\n";
			
				if ($action=="expand" && $this->openFolder($fileplan_id, $folder_id, $parent->FOLDER_ID))
				{
					$this->buildTreeView($action, $fileplan_id, $folder_id, $link, $do, $parent->FOLDER_ID, $depth, $parent_last);
				}

				$i++;*/
			}
			/*echo "<pre>";
			print_r($tab_folders);
			echo "</pre>";*/
			$tab_folders = $this->getOrphan($tab_folders);
			$tmp = Array();
			for ($compteur =0; $compteur<count($tab_folders); $compteur++) 
			{
				
				if($tab_folders[$compteur]['Parent']== -1)
				{
					array_push($tmp,  array("id" => $tab_folders[$compteur]['Folder'], 
											"label" => $tab_folders[$compteur]['Label']." (".$this->countDoc($tab_folders[$compteur]['Folder']).")",
											"children" => $this->getChild($tab_folders[$compteur]['Folder'], $tab_folders)
										   )
							  );	
				}
				
			}
			?>
			
			<div id = 'tree'></div>
			<script type='text/javascript' src='maarchjs/js/maarch.js'></script>
			<script type='text/javascript' src='maarchjs/js/maarch-treeview.js'></script>
			<script type="text/javascript">
			Maarch.cssPath = "../css/";
			
			structure=<?php echo json_encode($tmp); ?>;
			params = {'img.path':'maarchjs/img/', 'initial_structure' : structure};
			
			var Tree = new Maarch.treeview.Tree('tree', params);
			var docs = window.top.document.getElementById('docs');
			var docs_bis = window.document.getElementById('docs_bis');
			
			
			/*$('tree').observe('maarch:tree:branchselect', function(event){
					var link = \"".$link."\";
					window.location.href = link+\"&folder_id=\"+event.memo.branch_id;
				});*/
			$('tree').observe('maarch:tree:branchselect', function(event){
				 var link = "<?php echo $link; ?>";
				 new Ajax.Updater($('docs'), link, {
					parameters : 'folder_id='+event.memo.branch_id 
				 });
			});
			$('tree').observe('maarch:tree:branchselect', function(event){
					 var link = "<?php echo $link; ?>";
					 new Ajax.Updater($('docs_bis'), link, {
						parameters : 'folder_id='+event.memo.branch_id 
					 });
			});
			
			</script>
			
			<?php
			/*echo "<style type=\"text/css\">\n
			.MaarchTreeRoot li:last-child {\n
				background-image: url(img/img_tree/line2.gif) !important;\n
			}\n
			.MaarchTreeRoot li{\n
				background-image: url(img/img_tree/line3.gif) !important;\n
			}\n
			.mt_selected > span {\n
				background-color: inherit !important;\n
			}
			</style>\n";*/
			
			/*echo "<pre>";
			print_r($tab_folders);
			echo "</pre>";*/
		}
    }
 
    
	
    //Function to find if there is a child
    public function getChild($folder_id, $tab_folders) {
		
		$tab_children=array();
		for ($compteur =0; $compteur<count($tab_folders); $compteur++) {
			if($tab_folders[$compteur]['Parent']==$folder_id)
			{ 
				array_push(
					$tab_children, 
					array(
						"id"=> $tab_folders[$compteur]['Folder'], 
						"label" => $tab_folders[$compteur]['Label']." (".$this->countDoc($tab_folders[$compteur]['Folder']).")", 
						"children" => $this->getChild($tab_folders[$compteur]['Folder'], $tab_folders) 
					)
				);
			}
		}
		return $tab_children;
	}
	
	//Function to get if the folder has a parent in the table
    public function getOrphan($tab_folders) {
		for ($compteur =0; $compteur<count($tab_folders); $compteur++) {
			if($tab_folders[$compteur]['Parent']<> -1) {
				if(!($this->isParentExists($tab_folders[$compteur]['Parent'], $tab_folders))) {
					$tab_folders[$compteur]['Parent'] = $this->checkDbParent($tab_folders[$compteur]['Parent'], $tab_folders);
					if ($tab_folders[$compteur]['Parent'] == "") {
						$tab_folders[$compteur]['Parent'] = -1;
					}
				}
			}
		}
		return($tab_folders);
	}
	
	//Function to get is the parent exists in the table
	public function isParentExists($parent, $tab_folders){
		for ($compteur =0; $compteur<count($tab_folders); $compteur++) {
			if($tab_folders[$compteur]['Folder']==$parent) {
				return true;
				break;
			}		
		}
		return false;
	}
	
	//Function to get if the parent exists in the database
	 public function checkDbParent($current_parent, $tab_folders) {
		$conn = new dbquery();
		$conn->connect();
		$conn->query("select parent_id from ".$_SESSION['tablename']['folders']." where folder_id = ".$current_parent);
		$line = $conn->fetch_object();
		if($line->parent_id <> -1) {
			for ($compteur =0; $compteur<count($tab_folders); $compteur++) {
				if($tab_folders[$compteur]['Folder'] == $line->parent_id) {
					return $line->parent_id;break;
				}
			}
			$this->checkDbParent($line->parent_id, $tab_folders);	
		} else {
			return -1;
		}
	 }
	


	//Function to select folders to copy
/*	public function toCut($folder_id, $do)
	{
		$tab_folder_deletion = array();
		
		$this->connect();
		$this->query("select * from ".$_SESSION['tablename']['folders']." where FOLDER_ID = '".$folder_id."' and USER_ID = '".$_SESSION['user']['UserId']."'");
		//$this->show();
			
		if ($this->nb_result() == 0)
		{
			
			$_SESSION['error'] = _FOLDER_MISSING;
		}
		else
		{
			array_push(
					$tab_folder_deletion, 
					array(
						"Folder"=> $line->FOLDER_ID, 
						"Parent" => $parent->PARENT_ID
						"Label" => $line->DESCRIPTION, 
						"children" => $this->getChild($tab_folders[$compteur]['Folder'], $tab_folders) 
					)
				);
			echo "<pre>";
			print_r($tab_folder_deletion);
			echo "</pre>";
			return $tab_folder_deletion;
		
		}
	}
 */
	//Function to add folder
	public function addFolder($description, $folder_parents=-1, $fileplan, $idframe)
	{
		$folderId = '';
		$exist = $this->folderAlreadyExists($description, $fileplan, $folder_parents);
					
		if($exist === true)
		{
			$_SESSION['error'] = $description.' '._ALREADY_EXISTS;
			return false;
		}
		else
		{
			if($idframe == "perso")
			{
				$shared_folder = 'N';
			}
			else
				$shared_folder = 'Y';
				
				$this->query("INSERT INTO ".$_SESSION['tablename']['folders']." 
						( DESCRIPTION, FILEPLAN_ID, USER_ID, PARENT_ID, SHARED_FOLDER) 
						VALUES 
						('".addslashes($description)."', ".$fileplan.", '".$_SESSION['user']['UserId']."', '".$folder_parents."', '".$shared_folder."')");
					
			//$this->show();exit;			
			$_SESSION['info'] = _FOLDER_ADDED;
			
			//Recupere le last ID 
			$this->query("select FOLDER_ID as LAST_ID from ".$_SESSION['tablename']['folders']." where DESCRIPTION = '".addslashes($description)."' and FILEPLAN_ID = '".$fileplan."' and PARENT_ID = '".$folder_parents."'");
			$line = $this->fetch_object();	
			$folderId = $line->LAST_ID;
			
			if($_SESSION['history']['folderadd'] == "true")
			{
				require_once("class_history.php");
				$hist = new history();
				$hist->add($_SESSION['tablename']['folders'], $folder_id, "ADD", _FOLDER_ADDED);
			}
				
			return $folderId;
		}
	}
	
	//Function to update folder
	public function upFolder($folder_id, $description)
	{
		$this->query("select PARENT_ID from ".$_SESSION['tablename']['folders']." where FOLDER_ID = '".$folder_id."' and USER_ID = '".$_SESSION['user']['UserId']."'");
		//$this->show();
			
		if ($this->nb_result() == 0)
		{
			$_SESSION['error'] = _FOLDER_MISSING;
		}
		else
		{
			$this->query("update ".$_SESSION['tablename']['folders']." set DESCRIPTION = '".addslashes($description)."' 
							where USER_ID = '".$_SESSION['user']['UserId']."' and FOLDER_ID = '".$folder_id."'"); 
			//$this->show();exit;				
			$_SESSION['info'] = _FOLDER_MODIFIED;
			//
			if($_SESSION['history']['folderup'] == "true")
			{
				require("class_history.php");
				$hist = new history();
				$hist->add($_SESSION['tablename']['folders'], $folder_id, "UP", _FOLDER_MODIFIED);
			}			
		}
	}
	
	//Function to delete folder

	public function delFolder($fileplan_id, $folder_id, $mode)
	{
		$this->query("select FOLDER_ID, PARENT_ID, DESCRIPTION from ".$_SESSION['tablename']['folders']." where FOLDER_ID = '".$folder_id."' and FILEPLAN_ID = ".$fileplan_id." and USER_ID = '".$_SESSION['user']['UserId']."'");
		//$this->show();
			
		if ($this->nb_result() == 0)
		{
			
			$_SESSION['error'] = _FOLDER_MISSING;
		}
		else
		{
			if ($mode == "FLH")
			{
				$this->query("delete from ".$_SESSION['tablename']['folderres']." where FOLDER_ID = '".$folder_id."'"); 
				
				$_SESSION['info'] = _FOLDER_FLUSHED;
				
				if($_SESSION['history']['folderdel'] == "true")
				{
					require_once("class_history.php");
					$hist = new history();
					$hist->add($_SESSION['tablename']['folders'], $folder_id, "DEL", _FOLDER_FLUSHED);
				}	
				
				return $folder_id;
			}
			elseif ($mode == "DEL")
			{
				$parent = "";
				
				//On recuper le parent pour pouvoir se positionner dessus apres suppression
				$line = $this->fetch_object();
				$parent = $line->PARENT_ID;
				
				$tab_folders_to_delete = array(); 
				
				if ($this->nb_result() <> 0)
				{
					array_push($tab_folders_to_delete,  array("Folder" => $line->FOLDER_ID, "Parent" => $line->PARENT_ID, "Label" => $line->DESCRIPTION));
				
					if ($this->folderToDelete($tab_folders_to_delete)==true) {
						//On supprime à niveau n on verra pour la recursivité hein!!
						$this->query("delete from ".$_SESSION['tablename']['folders']." 
							where USER_ID = '".$_SESSION['user']['UserId']."' 
							and FOLDER_ID = '".$folder_id."'"); 
				
						$this->query("delete from ".$_SESSION['tablename']['folderres']." where FOLDER_ID = '".$folder_id."'"); 
						$this->query("delete from ".$_SESSION['tablename']['folderscope']." where FOLDER_ID = '".$folder_id."'"); 
					
					
						$_SESSION['info'] = _FOLDER_DELETED;
					}
					
					if($_SESSION['history']['folderdel'] == "true")
					{
						require_once("class_history.php");
						$hist = new history();
						$hist->add($_SESSION['tablename']['folders'], $folder_id, "DEL", _FOLDER_DELETED);
					}	
					return $parent;
				}
			}
		}
	}
	
	//This function creates a table for folders to delete
	public function folderToDelete($tab_folders_to_delete)
	{
		for ($compteur =0; $compteur<count($tab_folders_to_delete); $compteur++) { 
			$this->query("select * from ".$_SESSION['tablename']['folders']." where PARENT_ID = ".$tab_folders_to_delete[$compteur]['Folder']." and USER_ID = '".$_SESSION['user']['UserId']."'"); 
			$this->show();
			while($line = $this->fetch_object()) {
				array_push($tab_folders_to_delete,  array("Folder" => $line->FOLDER_ID, "Parent" => $line->PARENT_ID, "Label" => $line->DESCRIPTION));
			}
			echo "<pre>";
			print_r($tab_folders_to_delete);
			echo "</pre>";
			$this->query("delete from ".$_SESSION['tablename']['folders']." 
							where USER_ID = '".$_SESSION['user']['UserId']."' 
							and FOLDER_ID = '".$tab_folders_to_delete[$compteur]['Folder']."'"); 
				
			$this->query("delete from ".$_SESSION['tablename']['folderres']." where FOLDER_ID = '".$tab_folders_to_delete[$compteur]['Folder']."'"); 
			$this->query("delete from ".$_SESSION['tablename']['folderscope']." where FOLDER_ID = '".$tab_folders_to_delete[$compteur]['Folder']."'"); 		
		}
		return true;
	}
	
	//This function put document into folder
	public function putFolder($folder_id, $res_id)
	{
		$tab_resid = array();
		
		if (empty($folder_id))
		{
			$_SESSION['error'] = _FOLDER_MISSING;
		}
		elseif (empty($res_id))
		{
			$_SESSION['error'] = _GED_NUM_MISSING;
		}
		
		if (empty ($_SESSION['error']))
		{
		
			if($folder_id == -1)
			{
				$_SESSION['error']  = _CANT_CLASSIFIED_ON_ROOT;
				
			}
			else
			{
				$conn = new dbquery();
				$conn->connect();
				$conn->query("select * from ".$_SESSION['tablename']['folders']." where FOLDER_ID = ".$folder_id);
				//$conn->show();
					
				if ($conn->nb_result() == 0)
				{
					$_SESSION['error'] = _FOLDER_MISSING;
				}
				else
				{
					$conn->query("select * from ".$_SESSION['tablename']['folderres']." where FOLDER_ID = '".$folder_id."' and RES_ID = '".$res_id."'");
				
					if ($conn->nb_result() >0)
					{
						$_SESSION['error'] .= _NUM." ".$res_id.": "._MAIL_ALREADY_CLASSIFIED."<br/>";
					}
					else
					{
						$conn->query("INSERT INTO ".$_SESSION['tablename']['folderres']." ( FOLDER_ID, RES_ID) VALUES ('".$folder_id."', '".$res_id."')");
						//$_SESSION['info'] = _MAIL_CLASSIFIED;
						if($_SESSION['history']['folderput'] == "true")
						{
							require_once("class_history.php");
							$hist = new history();
							$hist->add($_SESSION['tablename']['folders'], $folder_id, "DEL", _MAIL_CLASSIFIED." ".$res_id);
							
						}
					}
				}
			}
		}
	}
	
	//This function gets the information oft the copied or cuted folder
	public function getFolder($folder_id, $do)
	{		
		$tab_folder = array();
		
		$this->connect();
		$this->query("select * from ".$_SESSION['tablename']['folders']." where FOLDER_ID = '".$folder_id."' and USER_ID = '".$_SESSION['user']['UserId']."'");
		//$this->show();
			
		if ($this->nb_result() == 0)
		{
			
			$_SESSION['error'] = _FOLDER_MISSING;
		}
		else
		{
			$line = $this->fetch_object();
	        
			$tab_folder['ACTION'] = $do;
			$tab_folder['ID'] = $line->FOLDER_ID;
			$tab_folder['DESCRIPTION'] = $line->DESCRIPTION;
			$tab_folder['PARENT_ID'] = $line->PARENT_ID;
			
			/*echo "<pre>";
			print_r($tab_folder);
			echo "</pre>";*/
			return $tab_folder;
		
		}
	}
	
	//Function to  copy or cut folders
	public function moveFolder($tab_folder, $fileplan_id, $folder_id)
	{		
		if (empty($folder_id))
		{
			$_SESSION['error'] = _FOLDER_MISSING;
			exit;
		}
		
		$this->connect();
		$this->query("select * from ".$_SESSION['tablename']['folders']." where FOLDER_ID = '".$folder_id."' and USER_ID = '".$_SESSION['user']['UserId']."'");
		//$this->show();
		
		if ($this->nb_result() == 0 && $folder_id != -1)
		{
			$_SESSION['error'] = _FOLDER_MISSING;
		}
		else
		{	
			if ($tab_folder['ACTION'] == "CUT")
			{
				if ($tab_folder['ID'] == $folder_id)
				{
					$_SESSION['error'] = _CANT_MOVE_FOLDER_HIMSELF;
				}
				else
				{
					//On verifie si un classeur portant le même non n'existe pas déja
					$exist = $this->folderAlreadyExists($tab_folder['DESCRIPTION'], $fileplan_id, $folder_id);

					if($exist === true)
					{
						$_SESSION['error'] = $tab_folder['DESCRIPTION'].' '._ALREADY_EXISTS;
					}
					else
					{
						$this->query("select FOLDER_ID from ".$_SESSION['tablename']['folders']." where PARENT_ID = '".$tab_folder['ID']."' and USER_ID = '".$_SESSION['user']['UserId']."'");
						
						$line = $this->fetch_object();
						$child_folder = $line->FOLDER_ID;
					
						if ($folder_id == $child_folder)
						{
							$_SESSION['error'] = _CANT_MOVE_FOLDER_IN_CHILD;
						}
						else
						{	
							$this->query("UPDATE ".$_SESSION['tablename']['folders']." 
										SET PARENT_ID = '".$folder_id."' where 
										FILEPLAN_ID = '".$fileplan_id."' and 
										FOLDER_ID = '".$tab_folder['ID']."' and 
										USER_ID = '".$_SESSION['user']['UserId']."'");
									
							$_SESSION['info'] = _FOLDER_MOVED;
							
							if($_SESSION['history']['foldermove'] == "true")
							{
								require_once("class_history.php");
								$hist = new history();
								$hist->add($_SESSION['tablename']['folders'], $folder_id, "UP", _FOLDER_MOVED);
							}
						}
					}
				}
			}
			elseif ($tab_folder['ACTION'] == "COPY")
			{
				//Verifier si ce classeur a des sous classeurs
				$this->query("select * from ".$_SESSION['tablename']['folders']." where PARENT_ID = '".$tab_folder['ID']."' and USER_ID = '".$_SESSION['user']['UserId']."'");
				$this->show();
				
				//on ne deplace qu'un classeur à la fois
				if ($this->nb_result() == 0)
				{
					//On verifie si un classeur portant le même non n'existe pas déja
					$exist = $this->folderAlreadyExists($tab_folder['DESCRIPTION'], $fileplan_id, $folder_id);
					
					if($exist === true)
					{
						$_SESSION['error'] = $tab_folder['DESCRIPTION'].' '._ALREADY_EXISTS;
						
					}
					else
					{					
						//On crée le nouveau classeur
						$this->query("INSERT INTO ".$_SESSION['tablename']['folders']." 
									( FILEPLAN_ID, DESCRIPTION, USER_ID, PARENT_ID) 
								VALUES 
									('".$fileplan_id."', '".addslashes($tab_folder['DESCRIPTION'])."', '".$_SESSION['user']['UserId']."', '".$folder_id."')");
						//$this->show();
						
						//Recupere le last ID 
						$this->query("select FOLDER_ID from ".$_SESSION['tablename']['folders']." where DESCRIPTION = '".addslashes($tab_folder['DESCRIPTION'])."' and FILEPLAN_ID = '".$fileplan_id."' and PARENT_ID = '".$folder_id."'");				
						$line = $this->fetch_object();
						$last_id = $line->FOLDER_ID;
						
						//On lui remet les bonnes propriétés (partagé...)
						$scope = $this->getScope($folder_id);
						
						//Recupere les courriers classés
						$this->query("select RES_ID from ".$_SESSION['tablename']['folderres']." where FOLDER_ID = ".$tab_folder['ID']);
						//$this->show();
						
						//Les copies dans le nouveau classeur
						if ($this->nb_result() > 0)
						{
							while ($line = $this->fetch_object())
							{
								$this->query("INSERT INTO ".$_SESSION['tablename']['folderres']." 
									( RES_ID, FOLDER_ID) VALUES ('".$line->RES_ID."', '".$last_id."')");
							}
						
						}
						
						$_SESSION['info'] = _FOLDER_COPIED;
						if($_SESSION['history']['foldermove'] == "true")
						{
							require_once("class_history.php");
							$hist = new history();
							$hist->add($_SESSION['tablename']['folders'], $folder_id, "UP", _FOLDER_COPIED);
						}
					
					}
				}
				else
				{
					$_SESSION['error'] = _MOVE_ONLY_ONE_FOLDER;
				}
				
			}
		}
		
		$tab_folder = array();
	}
	
	//Function to draw the Root of The treeview
	//If the root is empty, the picture is not the same
	public function drawRoot($fileplan_id, $folder_id, $link, $idframe)
	{	
		$conn = new dbquery();
		$conn->connect();
		 
		if (!isset($fileplan_id) || empty($fileplan_id)){
		
		$_SESSION['info'] = _NO_PERSONAL_FILEPLAN;
		echo "<h2><b>".$_SESSION['info']."</b></h2>";
		}
		if(isset($fileplan_id) && !empty($fileplan_id))
		{	
			
			if ($idframe == "perso")
			 {
				$conn->query("select * from ".$_SESSION['tablename']['folders']." tbl_fol, ".$_SESSION['tablename']['fileplans']." tbl_file where tbl_file.FILEPLAN_ID = ".$fileplan_id." and PARENT_ID = '-1' and USER_ID = '".$_SESSION['user']['UserId']."' order by DESCRIPTION");
				
			}
			
			else
			{
				$conn->query("SELECT * FROM ".$_SESSION['tablename']['fileplans']." fil WHERE fil.fileplan_id = ".$fileplan_id);
			}
		}
		$line = $conn->fetch_object();
			
		
		echo "<tr>\n";
		echo "<td style=\"padding-top:1px; padding-left:17px\" nowrap>\n";
			
		if ( (isset($folder_id) && !empty($folder_id)) || $folder_id ==-1)
		{	
			$class="class=\"folderSelect\"";
		}
		else
		{
			$class="";
		}
		
		if ($idframe == "perso")
		
		echo "<a href=\"".$link."folder_id=-1&idframe=perso\" ".$class." >";
		else
		echo "<a href=\"".$link."folder_id=-1\" ".$class." >";
				
			
			if ($conn->nb_result() == 0)
			{
				echo "<img src=\"".$_SESSION['config']['img']."/tree/rootEmpty.gif\" width=\"18\" border=\"0\" vspace=\"0\" hspace=\"0\" align=\"left\">\n";
			}
			else
			{
				echo "<img src=\"".$_SESSION['config']['img']."/tree/root.gif\" width=\"18\" border=\"0\" vspace=\"0\" hspace=\"0\" align=\"left\">\n";	
			}
			echo "&nbsp;&nbsp;&nbsp;&nbsp;".$line->FILEPLAN_DESCRIPTION."</a>";
			echo "	</td>\n";
			echo "</tr>\n";
		}
	
	
	
	public function countDoc($folder_id)
	{
		$count_doc = 0;
		$conn = new dbquery();
		$conn->connect();
		$conn->query("select count(*) as TOTAL from ".$_SESSION['tablename']['folderres']." where FOLDER_ID = '".$folder_id."'");
		//$conn->show();
		
		$line = $conn->fetch_object();
		$count_doc = $line->TOTAL;
		
		return $count_doc;
	}
	
	public function addScope($folderId)
	{
		$choix = 'none';
		$values = $rw = array();
		$conn = new dbquery();
		$conn->connect();
		
		
		if (isset($_REQUEST['chosenAccess']))
		{
			$choix = $_REQUEST['chosenAccess'];
		} else {
			$choix = "";
		}
		
		switch ($choix)
		{
			case "all":
			$scope = 'ALL';
			$values[] = '*';
			if ($_REQUEST['readWrite'])
			{
				$rw[] = '*';
			}
			break;
			
			case "":
			$scope = 'ALL';
			$values[] = '*';
			$rw[] = '*';
			break;
			
			case "entity":
			$scope = 'ENTITY';
			$values[] = $_SESSION['user']['department'];
			if ($_REQUEST['readWrite'])
			{
				$rw[] = $_SESSION['user']['department'];
			}
			break;
			
			case "entities":
			$scope = 'ENTITIES';
			if ($_REQUEST['chosenServices'])
			{
				$values = $_REQUEST['chosenServices'];
			}
			if ($_REQUEST['readWrite'])
			{
				$rw = $_REQUEST['readWrite'];
			}
			break;
			
			case "users":
			$scope = 'USER';
			if ($_REQUEST['chosenUsers'])
			{
				$values = $_REQUEST['chosenUsers'];
			}
			if ($_REQUEST['readWrite'])
			{
				$rw = $_REQUEST['readWrite'];
			}
			break;
			
			case "none":
				$conn->query("delete from ".$_SESSION['tablename']['folderscope']." where FOLDER_ID = ".$folderId);
			break;
		}
		
			
		//echo $scope;print_r($values);
		if (count($values) >0)
		{
			$conn->query("delete from ".$_SESSION['tablename']['folderscope']." where FOLDER_ID = ".$folderId);
			
			for($i=0;$i<count($values);$i++)
			{
				if (in_array($values[$i], $rw))
				{
					$write = 'Y';
				}
				else
				{
					$write = 'N';
				}
				$conn->query("INSERT INTO ".$_SESSION['tablename']['folderscope']." (FOLDER_ID, SCOPE, VALUE, WRITE_RIGHT) VALUES (".$folderId.", '".$scope."', '".$values[$i]."', '".$write."')");
			}
		
			//Mise à jour de l'historique
			if($_SESSION['history']['folderadd'])
			{
				require_once("class_history.php");
				$hist = new history();
				$hist->add($_SESSION['folders'], $folderId ,"ADD", _FOLDER_ADDITION);
				
			}
		}
	}
	
	public function getScope($folderId)
	{
		$values = array();
		$scopeId = 'NONE';
		
		$this->connect();
		
		//Scope
		$this->query("select SCOPE, VALUE, WRITE_RIGHT from ".$_SESSION['tablename']['folderscope']." where FOLDER_ID = ".$folderId);
		$values['values'] = array();
		$values['readWrite'] = array();

		while ($line = $this->fetch_object())
		{
			array_push($values['values'], $line->VALUE);
			if($line->WRITE_RIGHT == 'Y')
			{
				array_push($values['readWrite'], $line->VALUE);
			}
			$scopeId = $line->SCOPE;
		}
		
		$values['scope']= $scopeId;
		
		return $values;
	}
	
	public function getUserSharedFolders()
	{
		$folders = array(); 

		$this->connect();
		
		$this->query("select distinct FOLDER_ID from ".$_SESSION['tablename']['folderscope']." where VALUE in( '*', '".$_SESSION['user']['UserId']."', '".$_SESSION['user']['department']."')");
		//$this->show();
		while ($line = $this->fetch_object())
		{
			array_push($folders,  $line->FOLDER_ID);
		}
		return $folders;
	}
	
	public function getFolderLabel($folderId)
	{
		$this->connect();
	
		$this->query("select DESCRIPTION from ".$_SESSION['tablename']['folders']." where FOLDER_ID = '".$folderId."'");
		$line = $this->fetch_object();
		
		return $line->DESCRIPTION;
	}
	
	public function folderAlreadyExists($label, $fileplan_id, $folder_id)
	{
		$exists = false;
		
		$this->query("select DESCRIPTION from ".$_SESSION['tablename']['folders']." where DESCRIPTION = '".addslashes($label)."' and FILEPLAN_ID = '".$fileplan_id."' and PARENT_ID = '".$folder_id."'");
		
		if($this->nb_result() > 0)
		{
			$exists = true;
		}
		
		return $exists;
	}
	
	public function getFolderOwner($folderId)
	{
		$this->connect();
	
		$this->query("select USER_ID from ".$_SESSION['tablename']['folders']." where FOLDER_ID = '".$folderId."'");
		$line = $this->fetch_object();
		
		return $line->USER_ID;
	}	
}
?>
