<?php /**
* Search Class
*
*  Contains all the function to make a search and show the search results
*
* @package Maarch LetterBox 2.3
* @version 2.0
* @since 10/2005
* @license GPL
* @author  Claire Figueras  <dev@maarch.org>
*
*/

/**
*  Class Search : Contains all the function to make a search and show the search results
*
* @author  Claire Figueras  <dev@maarch.org>
* @license GPL
* @package Maarch LetterBox 2.3
* @version 2.0
*/

class search extends dbquery
{
	/**
	* Mark with a color background the word you're searching in the detail of the row
	*
	* @param string $words
	* @param string $need
	* @return string $words
	*/
	private function thisword($words,$need)
	{
		// mark with a color background the word you're searching in the detail of the row
		$ar_need = explode(" ", $need);

		for($i = 0; $i > count($ar_need); $i++)
		{
			$words = str_replace($ar_need[$i],"<span class=\"thisword\">".$ar_need[$i]."</span>",$words);
		}

		return $words;
	}

	/**
	* Configure the SQL argument order by
	*/
	public function define_order()
	{
		// configure the sql argument order by
		$orderby = "";

		if(isset($_GET['order']))
		{
			if($_GET['order'] == "datedesc")
			{
				$orderby = "order by CREATION_DATE desc";
			}
			elseif($_GET['order'] == "dateasc")
			{
				$orderby = "order by CREATION_DATE asc";
			}
			if($_GET['order'] == "datestartdesc")
			{
				$orderby = "order by CUSTOM_D1 desc";
			}
			elseif($_GET['order'] == "datestartasc")
			{
				$orderby = "order by CUSTOM_D1 asc";
			}
			elseif($_GET['order'] == "titledesc")
			{
				$orderby = "order by TITLE desc";
			}
			elseif($_GET['order'] == "titleasc")
			{
				$orderby = "order by TITLE asc";
			}
			if($_GET['order'] == "refdesc")
			{
				$orderby = "order by IDENTIFIER desc";
			}
			elseif($_GET['order'] == "refasc")
			{
				$orderby = "order by IDENTIFIER asc";
			}
			if($_GET['order'] == "residdesc")
			{
				$orderby = "order by RES_ID desc";
			}
			elseif($_GET['order'] == "residasc")
			{
				$orderby = "order by RES_ID asc";
			}
			if($_GET['order'] == "typedesc")
			{
				$orderby = "order by TYPE_ID desc";
			}
			elseif($_GET['order'] == "typeasc")
			{
				$orderby = "order by TYPE_ID asc";
			}
			elseif($_GET['order'] == "statdesc")
			{
				$orderby = "order by STATUS desc";
			}
			elseif($_GET['order'] == "statasc")
			{
				$orderby = "order by STATUS asc";
			}
			elseif($_GET['order'] == "autdesc")
			{
				$orderby = "order by AUTHOR desc";
			}
			elseif($_GET['order'] == "auttasc")
			{
				$orderby = "order by AUTHOR asc";
			}
			elseif($_GET['order'] == "servdesc")
			{
				$orderby = "order by DESTINATION desc";
			}
			elseif($_GET['order'] == "servasc")
			{
				$orderby = "order by DESTINATION asc";
			}
			elseif($_GET['order'] == "destdesc")
			{
				$orderby = "order by DEST_USER desc";
			}
			elseif($_GET['order'] == "destasc")
			{
				$orderby = "order by DEST_USER asc";
			}

			elseif($_GET['order'] == "statdesc")
			{
				$orderby = "order by STATUS desc";
			}

			elseif($_GET['order'] == "statasc")
			{
				$orderby = "order by STATUS asc";
			}
			elseif($_GET['order'] == "priodesc")
			{
				$orderby = "order by PRIORITY desc";
			}

			elseif($_GET['order'] == "prioasc")
			{
				$orderby = "order by PRIORITY asc";
			}
			elseif($_GET['order'] == "descdesc")
			{
				$orderby = "order by DESCRIPTION desc";
			}

			elseif($_GET['order'] == "descasc")
			{
				$orderby = "order by DESCRIPTION asc";
			}
			elseif($_GET['order'] == "chronoasc")
			{
				$orderby = "order by IDENTIFIER asc";
			}
			elseif($_GET['order'] == "chronodesc")
			{
				$orderby = "order by IDENTIFIER desc";
			}
			elseif($_GET['order'] == "sociasc")
			{
				$orderby = "order by SOCIETE asc";
			}
			elseif($_GET['order'] == "chronodesc")
			{
				$orderby = "order by SOCIETE desc";
			}
			elseif($_GET['order'] == "giddesc")
			{
				$orderby = "order by GID_ID desc";
			}
			elseif($_GET['order'] == "gidasc")
			{
				$orderby = "order by GID_ID asc";
			}
		}

		return $orderby;
	}
	/**
	* Show the document list in result of the search
	*
	* @param array $listarr
	* @param integer $nb_total total number of documents
	* @param string $title
	* @param string $what search expression
	* @param string $name "search" by default
	*/
	public function list_doc($listarr, $nb_total, $title,$what,$name = "search")
	{
		// show the document list in result of the search
		$page_list1 = "";
		$page_list2 = "";

		$func = new functions();
		
		if(isset($_GET['start']))
		{
			$start = strip_tags($_GET['start']);
		}
		else
		{
			$start = 0;
		}

		if(isset($_GET['order']))
		{
			$orderby = strip_tags($_GET['order']);
		}
		else
		{
			$orderby = 0;
		}

		if($name == "search" && empty($_SESSION['quicksearch']))
		{
			$link = "index.php?page=".$name."&search=".$what;
		}
		else
		{
			$link = "index.php?page=".$name."&search=".$what;
			$link .= "&search=".$_SESSION['search'];
			
			for($i=0;$i<count($_SESSION['where']);$i++)
			{
				$link .= "&where[]=".$_SESSION['where'][$i];
			}
			for($i=0;$i<count($_SESSION['meta_search']);$i++)
			{
				$link .= "&meta[]=".urlencode($_SESSION['meta_search'][$i]);
			}

			if($_SESSION['search_shipper']<>"")
			{
				$link .="&select_shipper=".$_SESSION['search_shipper'];
			}
			if($_SESSION['societe_search']<>"")
			{
				$link .="&societe=".$_SESSION['societe_search'];
			}
			if($_SESSION['priority_search']<>"")
			{
				$link .="&priority=".$_SESSION['priority_search'];
			}
			if($_SESSION['numcourrier']<>"")
			{
				$link .="&numcourrier=".$_SESSION['numcourrier'];
			}

			if($_SESSION['numged']<>"")
			{
				$link .="&numged=".$_SESSION['numged'];
			}
			if($_SESSION['destinataire']<>"")
			{
				$link .="&destinataire=".$_SESSION['destinataire'];
			}
			if($_SESSION['objet']<>"")
			{
				$link .="&objet=".$_SESSION['objet'];
			}

			if($_SESSION['invoice_type']<>"")
			{
				$link .="&invoice_type=".$_SESSION['invoice_type'];
			}
			if($_SESSION['is_ingoing']<>"")
			{
				$link .="&is_ingoing=".$_SESSION['is_ingoing'];
			}
			if($_SESSION['enr_from']<>"")
			{
				$link .="&enr_from=".$_SESSION['enr_from'];
			}
			if($_SESSION['enr_to']<>"")
			{
				$link .="&enr_to=".$_SESSION['enr_to'];
			}
			if ($_SESSION['multifield_search'])
			{
				$link .="&multifield=".$_SESSION['multifield_search'];
			}
			if($_SESSION['doc_date_from']<>"")
			{
				$link .="&doc_date_from=".$_SESSION['doc_date_from'];
			}
			if($_SESSION['doc_date_to']<>"")
			{
				$link .="&doc_date_to=".$_SESSION['doc_date_to'];
			}
			if($_SESSION['date_start_from']<>"")
			{
				$link .="&date_start_from=".$_SESSION['date_start_from'];
			}
			if($_SESSION['date_start_to']<>"")
			{
				$link .="&date_start_to=".$_SESSION['date_start_to'];
			}
			if($_SESSION['trait_from']<>"")
			{
				$link .="&trait_from=".$_SESSION['trait_from'];
			}

			if($_SESSION['trait_to']<>"")
			{
				$link .="&trait_to=".$_SESSION['trait_to'];
			}

		/*	if($_SESSION['status']<>"")
			{
				$link .="&status=".$_SESSION['status'];
			}
*/
			if($_SESSION['search_sender'] <> "")
			{
				$link .="&select_sender=".$_SESSION['search_sender'];
			}
			if($_SESSION['invoice_type'] <> "")
			{
				$link .="&invoice_type=".$_SESSION['invoice_type'];
			}

			if($_SESSION['s_services_chosen'] <> "")
			{
				for ($isc = 0; $isc < count($_SESSION['s_services_chosen']); $isc++)
				{
					$link .= "&services_chosen[]=".$_SESSION['s_services_chosen'][$isc];
				}
			}
			if($_SESSION['s_doctypes_chosen'] <> "")
			{
				for ($isc = 0; $isc < count($_SESSION['s_doctypes_chosen']); $isc++)
				{
					$link .= "&doctypes_chosen[]=".$_SESSION['s_doctypes_chosen'][$isc];
				}
			}
			if($_SESSION['s_destinataire_chosen'] <> "")
			{
				for ($isc = 0; $isc < count($_SESSION['s_destinataire_chosen']); $isc++)
				{
					$link .= "&destinataire_chosen[]=".$_SESSION['s_destinataire_chosen'][$isc];
				}
			}
			if($_SESSION['s_status_chosen'] <> "")
			{
				for ($isc = 0; $isc < count($_SESSION['s_status_chosen']); $isc++)
				{
					$link .= "&status_chosen[]=".$_SESSION['s_status_chosen'][$isc];
				}
			}
			if($_SESSION['civilities_chosen'] <> "")
			{
				for ($isc = 0; $isc < count($_SESSION['civilities_chosen']); $isc++)
				{
					$link .= "&civilities_chosen[]=".$_SESSION['civilities_chosen'][$isc];
				}
			}
			if($_SESSION['courrier_search']=="true")
			{
				$link .="&courrier=".$_SESSION['courrier_search'];
			}
			if($_SESSION['AR']=="true")
			{
				$link .="&AR=".$_SESSION['AR'];
			}
			if($_SESSION['fax']=="true")
			{
				$link .="&fax=".$_SESSION['fax'];
			}
			if($_SESSION['simple_mail']=="true")
			{
				$link .="&simple_mail=".$_SESSION['simple_mail'];
			}
			if($_SESSION['courriel']=="true")
			{
				$link .="&courriel=".$_SESSION['courriel'];
			}
			if($_SESSION['courriel_search']=="true")
			{
				$link .="&courriel_search=".$_SESSION['courriel_search'];
			}
			if($_SESSION['autre']=="true")
			{
				$link .="&autre=".$_SESSION['autre'];
			}
			if($_SESSION['direct']=="true")
			{
				$link .="&direct=".$_SESSION['direct'];
			}
			if($_SESSION['norep']=="true")
			{
				$link .="&norep=".$_SESSION['norep'];
			}

			if($_SESSION['copies']=="true")
			{
				$link .="&copies=".$_SESSION['copies'];
			}

			if($_SESSION['services']<>"")
			{
				$link .="&services=".$_SESSION['services'];
			}
			if($_SESSION['quartier']<>"")
			{
				$link .="&quartier=".$_SESSION['quartier'];
			}
			if($_SESSION['adr_quartier']<>"")
			{
				$link .="&adr_quartier=".$_SESSION['adr_quartier'];
			}
			if($_SESSION['num']<>"")
			{
				$link .="&num=".$_SESSION['num'];
			}
			if($_SESSION['rue']<>"")
			{
				$link .="&rue=".$_SESSION['rue'];
			}
			if($_SESSION['Cp']<>"")
			{
				$link .="&Cp=".$_SESSION['Cp'];
			}
			if($_SESSION['ville']<>"")
			{
				$link .="&ville=".$_SESSION['ville'];
			}
			if($_SESSION['search_gid_id']<>"")
			{
				$link .="&gid_id=".$_SESSION['search_gid_id'];
			}
			if($_SESSION['sender_firstname'] <>'')
			{
				$link .="&sender_firstname=".$_SESSION['sender_firstname'];
			}
			if($_SESSION['shipper_firstname'] <>'')
			{
				$link .="&shipper_firstname=".$_SESSION['shipper_firstname'];
			}
			if($_SESSION['sender_lastname'] <>'')
			{
				$link .="&sender_lastname=".$_SESSION['sender_lastname'];
			}
			if($_SESSION['shipper_lastname'] <>'')
			{
				$link .="&shipper_lastname=".$_SESSION['shipper_lastname'];
			}
			if($_SESSION['sender_society'] <>'')
			{
				$link .="&sender_society=".$_SESSION['sender_society'];
			}
			if($_SESSION['shipper_society'] <>'')
			{
				$link .="&shipper_society=".$_SESSION['shipper_society'];
			}
			if($_SESSION['shipper_function'] <>'')
			{
				$link .="&shipper_function=".$_SESSION['shipper_function'];
			}
			if($_SESSION['sender_function'] <>'')
			{
				$link .="&sender_function=".$_SESSION['sender_function'];
			}
			//----------------------
			if($_SESSION['s_coll'] <>'')
			{
				$link .="&coll_chosen=".$_SESSION['s_coll'];
			}
			//$link .= "&imageField.x=19";
			//$link .= "&imageField.y=18";
			$_SESSION['last_link_for_search_adv'] = $link;
		}

		// define the defaults values
		$nb_show = $_SESSION['config']['nblinetoshow'];
		$nb_pages = ceil($nb_total/$nb_show);

		// if they are more 1 page we do pagination with 2 forms
		if($nb_pages > 1)
		{
			$next_start = 0;

			$page_list1 = '<form action="" name="newpage1" id="newpage1" class="smallforms" method="get">
				<p>
					<label for="startpage">'._GO_TO_PAGE.'</label>
					<select name="startpage" id="startpage" class="textbox small" onchange="window.location.href=\''.$link.'&amp;order='.$orderby.'&amp;start=\'+document.newpage1.startpage.value;">';
			$page_list2 = '<form action="" name="newpage2" id="newpage2" class="smallforms" method="get">
				<p>
					<label for="startpage">'._GO_TO_PAGE.'</label>
					<select name="startpage" id="startpage" class="textbox small" onchange="window.location.href=\''.$link.'&amp;order='.$orderby.'&amp;start=\'+document.newpage2.startpage.value;">';
			$lastpage = 0;

			for($i = 0;$i <> $nb_pages; $i++)
			{
				$page_name = $i + 1;

				$the_line = $i + 1;
				if($start == $next_start)
				{
					$page_list1 .= "<option value=\"".$next_start."\" selected>".$the_line."</option>";
					$page_list2 .= "<option value=\"".$next_start."\" selected>".$the_line."</option>";
				}
				else
				{
					$page_list1 .= "<option value=\"".$next_start."\">".$the_line."</option>";
					$page_list2 .= "<option value=\"".$next_start."\">".$the_line."</option>";
				}

				$next_start = $next_start + $nb_show;
				$lastpage = $next_start;
			}

			$lastpage = $lastpage - $nb_show;

			$previous = "";
			$next = "";

			if($start > 0)
			{
				$start_prev = $start - $nb_show;
				$previous = "< <a href=\"".$link."&start=".$start_prev."&order=".$orderby."\">"._PREVIOUS."</a> ";
			}

			if($start <> $lastpage)
			{
				$start_next = $start + $nb_show;
				$next = " <a href=\"".$link."&start=".$start_next."&order=".$orderby."\">"._NEXT."</a> >";
			}

			$page_list1 = $page_list1."</select>".$previous." ".$next."</p></form>";
			$page_list2 = $page_list2."</select>".$previous." ".$next."</p></form>";

		}
		$this->connect();
		?>
<h1><img src="<?php echo $_SESSION['config']['img'];?>/picto_search_b.gif" alt="" /> <?php echo $title; ?></h1>
	<div id="inner_content" class="clearfix">
	<?php echo $page_list1;?>

<table cellpadding="0" cellspacing="0" border="0" class="listing">
	<thead>
				<tr>
					<th class="picto"><?php echo _STATUS; ?><br/>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=statdesc'; ?>" title="<?php echo _DESC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT; ?>"/></a>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=statasc'; ?>" title="<?php echo _ASC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT; ?>" /></a></th>
                       <th class="price"><?php echo _GED_NUM;?><br/>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=residdesc'; ?>" title="<?php echo _DESC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT; ?>" /></a>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=residasc'; ?>" title="<?php echo _ASC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT; ?>" /></a></th>
					 <th ><?php echo _OBJECT;?><br/>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=descdesc'; ?>" title="<?php echo _DESC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT; ?>" /></a>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=descasc'; ?>" title="<?php echo _ASC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT; ?>" /></a></th>
					<th class="title"><?php echo _SHIPPER; ?><br/>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=autdesc'; ?>" title="<?php echo _DESC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT; ?>"/></a>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=auttasc'; ?>" title="<?php echo _ASC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT; ?>" /></a></th>
					<th><?php echo _RECIPIENT; ?><br/>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=destdesc'; ?>" title="<?php echo _DESC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT; ?>"/></a>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=destasc'; ?>" title="<?php echo _ASC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT; ?>" /></a></th>
				   <?php if($_SESSION['config']['gdi_index'] == "false"){?> <th><?php echo _TYPE; ?><br/>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=typedesc'; ?>" title="<?php echo _DESC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT; ?>"/></a>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=typeasc'; ?>" title="<?php echo _ASC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT; ?>" /></a></th>
	  				<?php }
					   else
					   {
						?> <th><?php echo _GID_ID; ?><br/>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=giddesc'; ?>" title="<?php echo _DESC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT; ?>"/></a>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=gidasc'; ?>" title="<?php echo _ASC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT; ?>" /></a>
	  				</th>
					<?php }
					?>
					<th><?php echo _DATE_START; ?><br/>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=datestartdesc'; ?>" title="<?php echo _DESC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT; ?>"/></a>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=datestartasc'; ?>" title="<?php echo _ASC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT; ?>" /></a></th>
	  				<th><?php if($_SESSION['config']['corporate'] == "true")
					{
					echo _SOCIETY; ?><br/>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=socidesc'; ?>" title="<?php echo _DESC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT; ?>"/></a>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=sociasc'; ?>" title="<?php echo _ASC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT; ?>" /></a>
                      <?php }
					  else
					  {
						 echo _DEPARTMENT; ?><br/>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=servdesc'; ?>" title="<?php echo _DESC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT; ?>"/></a>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=servasc'; ?>" title="<?php echo _ASC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT; ?>" /></a>
                      <?php } ?>
                      </th>

					 <th>E/S
</th>
					  <th class="picto">&nbsp;</th>
					  <!--<th class="picto">&nbsp;</th>-->
				</tr>
				</thead>
			<tbody>


		<?php $color  = 'class="col"';
		for($theline = 0; $theline < count($listarr) ; $theline++)
		{
			// background color
			if($color == 'class="col"')
			{

				$color = "";
			}
			else
			{
				$color = 'class="col"';
			}
			
			$onclick = 'onclick="window.open(\'show_folder_doc.php?id='.$listarr[$theline]['RES_ID'].'\', \'\', \'scrollbars=yes,menubar=no,toolbar=no,resizable=yes,status=no,width=\'+screen.availWidth+\',height=\'+screen.availHeight);"';
			
			?>
			
			<tr <?php echo $color;?> >
			<td class="picto" <?php echo $onclick;?> >
			<?php if(($listarr[$theline]['STATUS'] == "NEW"))
					{ ?>
						<img src="<?php echo $_SESSION['config']['img'];?>/mail_new.gif" alt="<?php echo _TO_PROCESS;?>" title="<?php echo _TO_PROCESS;?>" />
					<?php }
					elseif(($listarr[$theline]['STATUS'] == "COU"))
					{ ?>
						<img src="<?php echo $_SESSION['config']['img'];?>/mail.gif" alt="<?php echo _IN_PROGRESS;?>" title="<?php echo _IN_PROGRESS;?>" />
					<?php }
					elseif(($listarr[$theline]['STATUS'] == "END"))
					{ ?>
						<img src="<?php echo $_SESSION['config']['img'];?>/mail_end.gif" alt="<?php echo _CLOSED;?>" title="<?php echo _CLOSED;?>"/>
					<?php }
					elseif(($listarr[$theline]['STATUS'] == "OUT"))
					{ ?>
						<img src="<?php echo $_SESSION['config']['img'];?>/status_out.gif" alt="<?php echo _ONGOING;?>" title="<?php echo _ONGOING;?>"/>
					<?php }
					elseif(($listarr[$theline]['STATUS'] == "DGS"))
					{ ?>
						<img src="<?php echo $_SESSION['config']['img'];?>/mail_dgs.gif" alt="<?php echo _ONGOING;?>" title="<?php echo _ONGOING;?>"/>
					<?php }
					elseif(($listarr[$theline]['STATUS'] == "WAI"))
					{ ?>
						<img src="<?php echo $_SESSION['config']['img'];?>/waiting_mail.gif" alt="<?php echo _WAITINGDOC;?>" title="<?php echo _WAITINGDOC;?>"/>
					<?php }
					else
					{
						echo $listarr[$theline]['STATUS'];
					}

					?>
				</td>
					 <td <?php echo $onclick;?> class="price"><?php echo $func->cut_string($func->show($this->thisword($listarr[$theline]['RES_ID'],$what)), 6); ?></td>
                     <td <?php echo $onclick;?> ><span title="<?php echo $func->show($this->thisword($listarr[$theline]['DESCRIPTION'],$what)); ?>"><?php echo $func->cut_string($func->show($this->thisword($listarr[$theline]['DESCRIPTION'],$what)),50); ?></span></td>
				 	 <td <?php echo $onclick;?> class="title"><?php echo $func->show($this->thisword($listarr[$theline]['AUTHOR'],$what)); ?></td>
					 <td <?php echo $onclick;?> ><?php echo $func->show($this->thisword($listarr[$theline]['DEST_USER'],$what)); ?></td>
					 <td <?php echo $onclick;?> ><?php if($_SESSION['config']['gdi_index'] == "false")
					 {
					 	$this->query("select DESCRIPTION from ".$_SESSION['tablename']['doctypes']." where TYPE_ID = '".$listarr[$theline]['LIB_TYPE']."'");
						$res = $this->fetch_object();
						echo $func->show($res->DESCRIPTION,$what);
				//	 echo $func->show($this->thisword($listarr[$theline]['LIB_TYPE'],$what));
					}
					else
					 {
						 echo $func->show($this->thisword($listarr[$theline]['GID_ID'],$what));
					 }
				?>
					</td>
					 <td <?php echo $onclick;?> ><?php if($listarr[$theline]['STATUS'] == "OUT")
					 {
						 echo $this->dateformat($listarr[$theline]['CREATION_DATE']);
					 }
					 else
					 {
					 	if("0000-00-00" == $listarr[$theline]['CUSTOM_D1'])
						{

							echo $this->dateformat($listarr[$theline]['CREATION_DATE']);
						}
						else
						{
					 		echo $this->dateformat($listarr[$theline]['CUSTOM_D1']);
						}
					} ?></td>
				   	<td <?php echo $onclick;?> ><?php if($_SESSION['config']['corporate'] == "true")
					{
						echo $func->show($this->thisword($listarr[$theline]['SOCIETE'],$what));
					}
					else
					{

						$this->query("select SERVICE from ".$_SESSION['tablename']['services']." where ID = '".$listarr[$theline]['DESTINATION']."'");
						$res = $this->fetch_object();
						echo str_replace('\\', '', $res->SERVICE);

					 }?>
					</td>
					<td <?php echo $onclick;?> ><?php if($listarr[$theline]['IS_INGOING'] == "Y")
					{
						echo 'E';
					}
					else
					{
						echo 'S';
					}
					?></td>
						<td  class="picto"><a href="index.php?page=details&id=<?php echo $listarr[$theline]['RES_ID'] ;?>"><img src="<?php echo $_SESSION['config']['img'];?>/picto_infos.gif"  alt=" <?php echo _DETAILS; ?>"/></a></td>
					<!--	<td class="picto"><?php if($listarr[$theline]['FORMAT']<> 'MAARCH'){?><a href="download.php?id=<?php echo $listarr[$theline]['RES_ID'] ;?>" ><img src="<?php echo $_SESSION['config']['img'];?>/disk.gif" border="0" alt="<?php echo _DOWNLOAD;?>"  /></a><?php } else{ echo '&nbsp;';}?></td>-->

				</tr>
		<?php }
			   	echo "</tbody></table>";
				echo "<div align='center'>";

				if ($_SESSION['user']['export'] == true)
				{
				?><input type="button" onClick="window.open('export_list.php','', 'scrollbars=auto,menubar=no,toolbar=no,resizable=yes,status=no,width=350,height=150');" value="<?php echo _EXPORT_RESULTS;?>" class="button">
				<?php }
				if ($_SESSION['user']['print_rights'] == true)
				{
				?><input type="button" onClick="window.open('print_list.php','', 'scrollbars=auto,menubar=no,toolbar=no,resizable=yes,status=no,width=350,height=350');" value="<?php echo _PRINT_RESULTS;?>" class="button">
				<?php }
				?><input type="button" onClick="createModal(form_txt);" value="<?php echo _SAVE_QUERY;?>" class="button"> <?php echo "</div></div>";
	}

	/**
	* Show the document list in result of the search for an document id (indexation)
	*
	* @param array $listarr
	* @param integer $nb_total total number of documents
	* @param string $title
	* @param string $what search expression
	* @param string $name "search" by default
	* @param string $formActionPage the redirect page of form
	*/
	public function list_doc2($listarr, $nb_total, $title,$what,$name = "search", $find_folder, $formActionPage='')
	{
		// show the document list in result of the search
		$page_list1 = "";
		$page_list2 = "";
		$func = new functions();
		
		if(isset($_GET['start']))
		{
			$start = strip_tags($_GET['start']);
		}
		else
		{
			$start = 0;
		}

		if(isset($_GET['order']))
		{
			$orderby = strip_tags($_GET['order']);
		}
		else
		{
			$orderby = 0;
		}

		//if($name == "search" && empty($_SESSION['quicksearch']))
		if (!$_SESSION['config'])
		{
			$link = "search_doc_result.php?search=".$what;
		}
		else
		{
			$link = "search_doc_result.php?search=".$what;
			$link .= "&amp;search=".$_SESSION['search'];
			
			
			for($i=0;$i<count($_SESSION['where']);$i++)
			{
				$link .= "&where[]=".$_SESSION['where'][$i];
			}
			

			if($_SESSION['attach_doc']['emetteur_search']<>"")
			{
				$link .="&emetteur=".$_SESSION['attach_doc']['emetteur_search'];
			}

			if($_SESSION['attach_doc']['numcourrier']<>"")
			{
				$link .="&numcourrier=".$_SESSION['attach_doc']['numcourrier'];
			}

			if($_SESSION['attach_doc']['numged']<>"")
			{
				$link .="&numged=".$_SESSION['attach_doc']['numged'];
			}
			if($_SESSION['attach_doc']['destinataire']<>"")
			{
				$link .="&destinataire=".$_SESSION['attach_doc']['destinataire'];
			}
			if($_SESSION['attach_doc']['objet']<>"")
			{
				$link .="&objet=".$_SESSION['attach_doc']['objet'];
			}

			if($_SESSION['attach_doc']['type']<>"")
			{
				$link .="&type=".$_SESSION['attach_doc']['type'];
			}

			if($_SESSION['attach_doc']['naturesend']<>"")
			{
				$link .="&naturesend=".$_SESSION['attach_doc']['naturesend'];
			}

			if($_SESSION['attach_doc']['enr_from']<>"")
			{
				$link .="&enr_from=".$_SESSION['attach_doc']['enr_from'];
			}

			if($_SESSION['attach_doc']['enr_to']<>"")
			{
				$link .="&enr_to=".$_SESSION['attach_doc']['enr_to'];
			}

			if($_SESSION['attach_doc']['trait_from']<>"")
			{
				$link .="&trait_from=".$_SESSION['attach_doc']['trait_from'];
			}

			if($_SESSION['trait_to']<>"")
			{
				$link .="&trait_to=".$_SESSION['trait_to'];
			}

			if($_SESSION['attach_doc']['status']<>"")
			{
				$link .="&status=".$_SESSION['attach_doc']['status'];
			}

			if ($_SESSION['multifield_search'])
			{
				$link .="&multifield=".$_SESSION['multifield_search'];
			}

			if($_SESSION['attach_doc']['services']<>"")
			{
				$link .="&services=".$_SESSION['attach_doc']['services'];
			}
			if($_SESSION['search_gid_id']<>"")
			{
				$link .="&gid_id=".$_SESSION['search_gid_id'];
			}

			//$link .= "&imageField.x=19";
			//$link .= "&imageField.y=18";
		}

		// define the defaults values
		$nb_show = $_SESSION['config']['nblinetoshow'];
		$nb_pages = ceil($nb_total/$nb_show);

		// if they are more 1 page we do pagination with 2 forms
		if($nb_pages > 1)
		{
			$next_start = 0;

			$page_list1 = '<form action="" name="newpage1" id="newpage1" class="smallforms" method="get">
				<p>
					<label for="startpage">'._GO_TO_PAGE.'</label>
					<select name="startpage" id="startpage" class="textbox small" onchange="window.location.href=\''.$link.'&amp;order='.$orderby.'&amp;start=\'+document.newpage1.startpage.value;">';
			$page_list2 = '<form action="" name="newpage2" id="newpage2" class="smallforms" method="get">
				<p>
					<label for="startpage">'._GO_TO_PAGE.'</label>
					<select name="startpage" id="startpage" class="textbox small" onchange="window.location.href=\''.$link.'&amp;order='.$orderby.'&amp;start=\'+document.newpage2.startpage.value;">';
			$lastpage = 0;

			for($i = 0;$i <> $nb_pages; $i++)
			{
				$page_name = $i + 1;

				$the_line = $i + 1;
				if($start == $next_start)
				{
					$page_list1 .= "<option value=\"".$next_start."\" selected>".$the_line."</option>";
					$page_list2 .= "<option value=\"".$next_start."\" selected>".$the_line."</option>";
				}
				else
				{
					$page_list1 .= "<option value=\"".$next_start."\">".$the_line."</option>";
					$page_list2 .= "<option value=\"".$next_start."\">".$the_line."</option>";
				}

				$next_start = $next_start + $nb_show;
				$lastpage = $next_start;
			}

			$lastpage = $lastpage - $nb_show;

			$previous = "";
			$next = "";

			if($start > 0)
			{
				$start_prev = $start - $nb_show;
				$previous = "< <a href=\"".$link."&start=".$start_prev."&order=".$orderby."\">"._PREVIOUS."</a> ";
			}

			if($start <> $lastpage)
			{
				$start_next = $start + $nb_show;
				$next = " <a href=\"".$link."&start=".$start_next."&order=".$orderby."\">"._NEXT."</a> >";
			}

			$page_list1 = $page_list1."</select>".$previous." ".$next."</p></form>";
			$page_list2 = $page_list2."</select>".$previous." ".$next."</p></form>";

		}
		?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $_SESSION['config']['lang'] ?>" lang="<?php echo $_SESSION['config']['lang'] ?>">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta http-equiv="Content-Language" content="<?php echo $_SESSION['config']['lang'] ?>" />
	<link rel="stylesheet" type="text/css" href="<?php echo $_SESSION['config']['css']; ?>" media="screen" />
	<!--[if lt IE 7.0]>  <link rel="stylesheet" type="text/css" href="<?php echo $_SESSION['config']['css_IE']; ?>" media="screen" />  <![endif]-->
	<!--[if gte IE 7.0]>  <link rel="stylesheet" type="text/css" href="<?php echo $_SESSION['config']['css_IE7']; ?>" media="screen" />  <![endif]-->
	<script type="text/javascript" src="js/functions.js"></script>
	<title><?php echo _MAIL_SEARCH;?></title>
<link rel="stylesheet" type="text/css" href="<?php echo $_SESSION['config']['css']; ?>">

</head>

<body >
<br/>
<div align="center" class="error"><?php echo $_SESSION['error']; $_SESSION['error'] = '';?></div>
<h1><img src="<?php echo $_SESSION['config']['img'];?>/picto_search_b.gif" alt="" /> <?php echo $title; ?></h1>
	<div align="center">
	<?php echo $page_list1;?>
		<form name="choose_doc_id" id="choose_doc_id" method="post" action="<?php if(isset($formActionPage) && !empty($formActionPage)){ echo $formActionPage.'.php'; }else{ echo 'choose_doc_result.php'; } ?>">
        <input type="hidden" name="find_folder" value="<?php echo $find_folder;?>" />
<table cellpadding="0" cellspacing="0" border="0" class="listing">
	<thead>
				<tr>
                	 <th class="picto">&nbsp;</th>
					<th class="picto"><?php echo _STATUS; ?>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=statdesc'; ?>" title="<?php echo _DESC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT; ?>"/></a>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=statasc'; ?>" title="<?php echo _ASC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT; ?>" /></a></th>
                      <?php if($find_folder == 'true') {?>
                      <th >N&deg; Chrono<br/>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=chronodesc'; ?>" title="<?php echo _DESC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT; ?>" /></a>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=chronoasc'; ?>" title="<?php echo _ASC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT; ?>" /></a></th>
                      <?php } ?>

					 <th ><?php echo _GED_NUM;?><br/>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=residdesc'; ?>" title="<?php echo _DESC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT; ?>" /></a>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=residasc'; ?>" title="<?php echo _ASC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT; ?>" /></a></th>
					<th class="title"><?php echo _SHIPPER; ?>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=autdesc'; ?>" title="<?php echo _DESC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT; ?>"/></a>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=auttasc'; ?>" title="<?php echo _ASC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT; ?>" /></a></th>
					<th><?php echo _RECIPIENT; ?>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=destdesc'; ?>" title="<?php echo _DESC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT; ?>"/></a>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=destasc'; ?>" title="<?php echo _ASC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT; ?>" /></a></th>
                      <th><?php echo _OBJECT; ?><br/>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=descdesc'; ?>" title="<?php echo _DESC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT; ?>"/></a>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=descasc'; ?>" title="<?php echo _ASC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT; ?>" /></a></th>
	  				<th><?php echo _DATE_START; ?>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=datestartdesc'; ?>" title="<?php echo _DESC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT; ?>"/></a>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=datestartasc'; ?>" title="<?php echo _ASC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT; ?>" /></a></th>
	  				<th><?php echo _DEPARTMENT; ?>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=servdesc'; ?>" title="<?php echo _DESC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT; ?>"/></a>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=servasc'; ?>" title="<?php echo _ASC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT; ?>" /></a></th>

					  <th  class="picto">&nbsp;</th>

				</tr>
				</thead>
			<tbody>


		<?php $color  = 'class="col"';
		for($theline = 0; $theline < count($listarr) ; $theline++)
		{
			// background color
			if($color == 'class="col"')
			{

				$color = "";
			}
			else
			{
				$color = 'class="col"';

			}
			?>
			<tr <?php echo $color;?> >
             <th class="picto"><input type="radio" name="doc_id" value="<?php echo $listarr[$theline]['RES_ID'];?>"/></th>
		<td class="picto">
			<?php if(($listarr[$theline]['STATUS'] == "NEW"))
					{ ?>
					<img src="<?php echo $_SESSION['config']['img'];?>/mail_new.gif" alt="<?php echo _TO_PROCESS;?>" title="<?php echo _TO_PROCESS;?>" />
					<?php }
					if(($listarr[$theline]['STATUS'] == "COU"))
					{ ?>
					<img src="<?php echo $_SESSION['config']['img'];?>/mail.gif" alt="<?php echo _IN_PROGRESS;?>" title="<?php echo _IN_PROGRESS;?>" />
					<?php }
					if(($listarr[$theline]['STATUS'] == "END"))
					{ ?>
					<img src="<?php echo $_SESSION['config']['img'];?>/mail_end.gif" alt="<?php echo _CLOSED;?>" title="<?php echo _CLOSED;?>"/>
					<?php }
					if(($listarr[$theline]['STATUS'] == "OUT"))
					{ ?>
					<img src="<?php echo $_SESSION['config']['img'];?>/status_out.gif" alt="<?php echo _ONGOING;?>" title="<?php echo _ONGOING;?>"/>
					<?php }
					if(($listarr[$theline]['STATUS'] == "DGS"))
					{ ?>
					<img src="<?php echo $_SESSION['config']['img'];?>/mail_dgs.gif" alt="<?php echo _ONGOING;?>" title="<?php echo _ONGOING;?>"/>
					<?php }
					if(($listarr[$theline]['STATUS'] == "WAI"))
					{ ?>
					<img src="<?php echo $_SESSION['config']['img'];?>/waiting_mail.gif" alt="<?php echo _WAITINGDOC;?>" title="<?php echo _WAITINGDOC;?>"/>
					<?php }
					elseif(($listarr[$theline]['STATUS'] == "VAL"))
					{ ?>
						<img src="<?php echo $_SESSION['config']['img'];?>/mail_dgs.gif" alt="<?php echo _ONGOING;?>" title="<?php echo _ONGOING;?>"/>
					<?php }

					?>
	</td>
    				<?php if($find_folder == 'true'){?><td ><?php echo $func->show($this->thisword($listarr[$theline]['IDENTIFIER'],$what)); ?></td><?php }?>
					 <td class="price"><?php echo $func->show($this->thisword($listarr[$theline]['RES_ID'],$what)); ?></td>
				 	 <td class="title"><?php echo $func->show($this->thisword($listarr[$theline]['AUTHOR'],$what)); ?></td>
					 <td><?php echo $func->show($this->thisword($listarr[$theline]['DEST_USER'],$what)); ?></td>

                     <td><?php echo $func->show($this->thisword($listarr[$theline]['DESCRIPTION'],$what)); ?></td>
					 <td><?php if($listarr[$theline]['STATUS'] == "OUT")
					 {
						 echo $this->dateformat($listarr[$theline]['CREATION_DATE']);
					 }
					 else
					 {
					 	if("0000-00-00" == $listarr[$theline]['CUSTOM_D1'])
						{

							echo $this->dateformat($listarr[$theline]['CREATION_DATE']);
						}
						else
						{
					 		echo $this->dateformat($listarr[$theline]['CUSTOM_D1']);
						}
					} ?> </td>
				   	<td><?php $this->query("select SERVICE from ".$_SESSION['tablename']['services']." where ID = '".$listarr[$theline]['DESTINATION']."'");
					$res = $this->fetch_object();
					echo $res->SERVICE;
					 ?></td>

				  <td class="picto">
					<?php if(($listarr[$theline]['FORMAT'] == "TIFF")||($listarr[$theline]['FORMAT'] == "TIF"))
					{

                  echo "<a href='view.php?id=".$listarr[$theline]['RES_ID']."' target=\"_blank\">
				  		<img src='".$_SESSION['config']['img']."/picto_dld.gif' alt='"._SHOW_MAIL."' border='0'/></a>";

					}
					elseif($listarr[$theline]['FORMAT'] == "PDF")
					{

                  echo "<a href='view.php?id=".$listarr[$theline]['RES_ID']."' target=\"_blank\">
				  		<img src='".$_SESSION['config']['img']."/picto_dld.gif' alt='"._SHOW_MAIL."'  border='0' /></a>";

					}
					elseif($listarr[$theline]['FORMAT'] == "TXT")
					{

                  echo "<a href='view.php?id=".$listarr[$theline]['RES_ID']."' target=\"_blank\">
				  		<img src='".$_SESSION['config']['img']."/picto_dld.gif' alt='"._SHOW_MAIL."'  border='0' /></a>";

					}

					elseif($listarr[$theline]['FORMAT'] == "WAV")
					{

                  echo "<a href='view.php?id=".$listarr[$theline]['RES_ID']."' target=\"_blank\">
				  		<img src='".$_SESSION['config']['img']."/picto_dld.gif' alt='"._SHOW_MAIL."'  border='0' /></a>";

					}
					elseif($listarr[$theline]['FORMAT'] == "AVI" || $listarr[$theline]['FORMAT'] == "MPG" || $listarr[$theline]['FORMAT'] == "MPEG" || $listarr[$theline]['FORMAT'] == "MPE" || $listarr[$theline]['FORMAT'] == "QT" || $listarr[$theline]['FORMAT'] == "MOV")
					{

                  echo "<a href='view.php?id=".$listarr[$theline]['RES_ID']."' target=\"_blank\">
				  		<img src='".$_SESSION['config']['img']."/picto_dld.gif' alt='"._SHOW_MAIL."'  border='0' /></a>";

					}
				elseif($listarr[$theline]['FORMAT'] == "JPG" || $listarr[$theline]['FORMAT'] == "JPEG" || $listarr[$theline]['FORMAT'] == "GIF" || $listarr[$theline]['FORMAT'] == "JPE" )
					{

                  echo "<a href='view.php?id=".$listarr[$theline]['RES_ID']."' target=\"_blank\">
				  		<img src='".$_SESSION['config']['img']."/picto_dld.gif' alt='"._SHOW_MAIL."'  border='0' /></a>";

					}
					elseif($listarr[$theline]['FORMAT'] == "XLS" || $listarr[$theline]['FORMAT'] == "CSV" )
					{

                  echo "<a href='view.php?id=".$listarr[$theline]['RES_ID']."' target=\"_blank\">
				  		<img src='".$_SESSION['config']['img']."/picto_dld.gif' alt='"._SHOW_MAIL."'  border='0' /></a>";

					}
					elseif($listarr[$theline]['FORMAT'] == "DOC" || $listarr[$theline]['FORMAT'] == "RTF")
					{

                  echo "<a href='view.php?id=".$listarr[$theline]['RES_ID']."' target=\"_blank\">
				  		<img src='".$_SESSION['config']['img']."/picto_dld.gif' alt='"._SHOW_MAIL."'  border='0' /></a>";

					}
					elseif($listarr[$theline]['FORMAT'] == "PDFHQ")
					{

                  echo "<a href='view.php?id=".$listarr[$theline]['RES_ID']."' target=\"_blank\">
				  		<img src='".$_SESSION['config']['img']."/picto_dld.gif' alt='"._SHOW_MAIL."'  border='0' /></a>";

					}
					else
					{
                  echo "<a href='view.php?id=".$listarr[$theline]['RES_ID']."' target=\"_blank\">
				  		<img src='".$_SESSION['config']['img']."/picto_dld.gif'alt='"._SHOW_MAIL."' border='0'/></a>";

					}
					 ?>
					 </td>
				</tr>



		<?php }
			?>
			  </tbody>
             </table>
             <br/>
             <p align="center"><input class="button" type="submit" name="submit" value="<?php echo _VALIDATE;?>" /> <input type="submit" class="button"  name="cancel" value="<?php echo _CANCEL;?>" onClick="self.close();" /></p>
             </form>
		</div>
      </body>
      </html>
<?php }

	
	/**
	* Show the document list in result of the search
	*
	* @param array $listarr
	* @param integer $nb_total total number of documents
	* @param string $title
	* @param string $what search expression
	* @param string $name "search" by default
	*/
	public function list_doc3($listarr, $nb_total, $title,$what,$name = "search")
	{
		// show the document list in result of the search
		$page_list1 = "";
		$page_list2 = "";

		$func = new functions();

		if(isset($_GET['start']))
		{
			$start = strip_tags($_GET['start']);
		}
		else
		{
			$start = 0;
		}

		if(isset($_GET['order']))
		{
			$orderby = strip_tags($_GET['order']);
		}
		else
		{
			$orderby = 0;
		}

		if($name == "search" && empty($_SESSION['quicksearch']))
		{
			$link = "index.php?page=".$name."&search=".$what;
		}
		else
		{
			$link = "index.php?page=".$name."&search=".$what;
			$link .= "&search=".$_SESSION['search'];

			for($i=0;$i<count($_SESSION['where']);$i++)
			{
				$link .= "&where[]=".$_SESSION['where'][$i];
			}
			for($i=0;$i<count($_SESSION['meta_search']);$i++)
			{
				$link .= "&meta[]=".urlencode($_SESSION['meta_search'][$i]);
			}

			if($_SESSION['search_shipper']<>"")
			{
				$link .="&select_shipper=".$_SESSION['search_shipper'];
			}
			if($_SESSION['societe_search']<>"")
			{
				$link .="&societe=".$_SESSION['societe_search'];
			}
			/*if($_SESSION['priority_search']<>"")
			{
				$link .="&priority=".$_SESSION['priority_search'];
			}*/
			if($_SESSION['s_priority_chosen'] <> "")
			{
				for ($isc = 0; $isc < count($_SESSION['s_priority_chosen']); $ipc++)
				{
					$link .= "&priority_chosen[]=".$_SESSION['s_priority_chosen'][$ipc];
				}
			}
			if($_SESSION['numcourrier']<>"")
			{
				$link .="&numcourrier=".$_SESSION['numcourrier'];
			}

			if($_SESSION['numged']<>"")
			{
				$link .="&numged=".$_SESSION['numged'];
			}
			if($_SESSION['destinataire']<>"")
			{
				$link .="&destinataire=".$_SESSION['destinataire'];
			}
			if($_SESSION['objet']<>"")
			{
				$link .="&objet=".$_SESSION['objet'];
			}

			if($_SESSION['invoice_type']<>"")
			{
				$link .="&invoice_type=".$_SESSION['invoice_type'];
			}
			if($_SESSION['is_ingoing']<>"")
			{
				$link .="&is_ingoing=".$_SESSION['is_ingoing'];
			}
			if($_SESSION['enr_from']<>"")
			{
				$link .="&enr_from=".$_SESSION['enr_from'];
			}
			if($_SESSION['enr_to']<>"")
			{
				$link .="&enr_to=".$_SESSION['enr_to'];
			}
			if ($_SESSION['multifield_search'])
			{
				$link .="&multifield=".$_SESSION['multifield_search'];
			}
			if($_SESSION['doc_date_from']<>"")
			{
				$link .="&doc_date_from=".$_SESSION['doc_date_from'];
			}
			if($_SESSION['doc_date_to']<>"")
			{
				$link .="&doc_date_to=".$_SESSION['doc_date_to'];
			}
			if($_SESSION['date_start_from']<>"")
			{
				$link .="&date_start_from=".$_SESSION['date_start_from'];
			}
			if($_SESSION['date_start_to']<>"")
			{
				$link .="&date_start_to=".$_SESSION['date_start_to'];
			}
			if($_SESSION['trait_from']<>"")
			{
				$link .="&trait_from=".$_SESSION['trait_from'];
			}

			if($_SESSION['trait_to']<>"")
			{
				$link .="&trait_to=".$_SESSION['trait_to'];
			}

		/*	if($_SESSION['status']<>"")
			{
				$link .="&status=".$_SESSION['status'];
			}
*/
			if($_SESSION['search_sender'] <> "")
			{
				$link .="&select_sender=".$_SESSION['search_sender'];
			}
			if($_SESSION['invoice_type'] <> "")
			{
				$link .="&invoice_type=".$_SESSION['invoice_type'];
			}

			if($_SESSION['s_services_chosen'] <> "")
			{
				for ($isc = 0; $isc < count($_SESSION['s_services_chosen']); $isc++)
				{
					$link .= "&services_chosen[]=".$_SESSION['s_services_chosen'][$isc];
				}
			}
			if($_SESSION['s_doctypes_chosen'] <> "")
			{
				for ($isc = 0; $isc < count($_SESSION['s_doctypes_chosen']); $isc++)
				{
					$link .= "&doctypes_chosen[]=".$_SESSION['s_doctypes_chosen'][$isc];
				}
			}
			if($_SESSION['s_destinataire_chosen'] <> "")
			{
				for ($isc = 0; $isc < count($_SESSION['s_destinataire_chosen']); $isc++)
				{
					$link .= "&destinataire_chosen[]=".$_SESSION['s_destinataire_chosen'][$isc];
				}
			}
			if($_SESSION['s_status_chosen'] <> "")
			{
				for ($isc = 0; $isc < count($_SESSION['s_status_chosen']); $isc++)
				{
					$link .= "&status_chosen[]=".$_SESSION['s_status_chosen'][$isc];
				}
			}
			if($_SESSION['civilities_chosen'] <> "")
			{
				for ($isc = 0; $isc < count($_SESSION['civilities_chosen']); $isc++)
				{
					$link .= "&civilities_chosen[]=".$_SESSION['civilities_chosen'][$isc];
				}
			}
			if($_SESSION['courrier_search']=="true")
			{
				$link .="&courrier=".$_SESSION['courrier_search'];
			}
			if($_SESSION['AR']=="true")
			{
				$link .="&AR=".$_SESSION['AR'];
			}
			if($_SESSION['fax']=="true")
			{
				$link .="&fax=".$_SESSION['fax'];
			}
			if($_SESSION['simple_mail']=="true")
			{
				$link .="&simple_mail=".$_SESSION['simple_mail'];
			}
			if($_SESSION['courriel']=="true")
			{
				$link .="&courriel=".$_SESSION['courriel'];
			}
			if($_SESSION['courriel_search']=="true")
			{
				$link .="&courriel_search=".$_SESSION['courriel_search'];
			}
			if($_SESSION['autre']=="true")
			{
				$link .="&autre=".$_SESSION['autre'];
			}
			if($_SESSION['direct']=="true")
			{
				$link .="&direct=".$_SESSION['direct'];
			}
			if($_SESSION['norep']=="true")
			{
				$link .="&norep=".$_SESSION['norep'];
			}

			if($_SESSION['copies']=="true")
			{
				$link .="&copies=".$_SESSION['copies'];
			}

			if($_SESSION['services']<>"")
			{
				$link .="&services=".$_SESSION['services'];
			}
			if($_SESSION['quartier']<>"")
			{
				$link .="&quartier=".$_SESSION['quartier'];
			}
			if($_SESSION['num']<>"")
			{
				$link .="&num=".$_SESSION['num'];
			}
			if($_SESSION['rue']<>"")
			{
				$link .="&rue=".$_SESSION['rue'];
			}
			if($_SESSION['Cp']<>"")
			{
				$link .="&Cp=".$_SESSION['Cp'];
			}
			if($_SESSION['ville']<>"")
			{
				$link .="&ville=".$_SESSION['ville'];
			}
			if($_SESSION['search_gid_id']<>"")
			{
				$link .="&gid_id=".$_SESSION['search_gid_id'];
			}
			if($_SESSION['sender_firstname'] <>'')
			{
				$link .="&sender_firstname=".$_SESSION['sender_firstname'];
			}
			if($_SESSION['shipper_firstname'] <>'')
			{
				$link .="&shipper_firstname=".$_SESSION['shipper_firstname'];
			}
			if($_SESSION['sender_lastname'] <>'')
			{
				$link .="&sender_lastname=".$_SESSION['sender_lastname'];
			}
			if($_SESSION['shipper_lastname'] <>'')
			{
				$link .="&shipper_lastname=".$_SESSION['shipper_lastname'];
			}
			if($_SESSION['sender_society'] <>'')
			{
				$link .="&sender_society=".$_SESSION['sender_society'];
			}
			if($_SESSION['shipper_society'] <>'')
			{
				$link .="&shipper_society=".$_SESSION['shipper_society'];
			}
			if($_SESSION['shipper_function'] <>'')
			{
				$link .="&shipper_function=".$_SESSION['shipper_function'];
			}
			if($_SESSION['sender_function'] <>'')
			{
				$link .="&sender_function=".$_SESSION['sender_function'];
			}
			if($_SESSION['adr_num'] <>'')
			{
				$link .="&adr_num=".$_SESSION['adr_num'];
			}
			if($_SESSION['adr_rue'] <>'')
			{
				$link .="&adr_rue=".$_SESSION['adr_rue'];
			}
			if($_SESSION['adr_cp'] <>'')
			{
				$link .="&adr_cp=".$_SESSION['adr_cp'];
			}
			if($_SESSION['adr_commune'] <>'')
			{
				$link .="&adr_commune=".$_SESSION['adr_commune'];
			}
			if($_SESSION['adr_arrondissement'] <>'')
			{
				$link .="&adr_arrondissement=".$_SESSION['adr_arrondissement'];
			}
			if($_SESSION['adr_canton'] <>'')
			{
				$link .="&adr_canton=".$_SESSION['adr_canton'];
			}
			if($_SESSION['adr_epci'] <>'')
			{
				$link .="&adr_canton=".$_SESSION['edr_epci'];
			}
			//----------------------
			if($_SESSION['s_coll'] <>'')
			{
				$link .="&coll_chosen=".$_SESSION['s_coll'];
			}
			//$link .= "&imageField.x=19";
			//$link .= "&imageField.y=18";
			$_SESSION['last_link_for_search_adv'] = $link;
			
		}

		// define the defaults values
		$nb_show = $_SESSION['config']['nblinetoshow'];
		$nb_pages = ceil($nb_total/$nb_show);

		// if they are more 1 page we do pagination with 2 forms
		if($nb_pages > 1)
		{
			$next_start = 0;

			$page_list1 = '<form action="" name="newpage1" id="newpage1" class="smallforms" method="get">
				<p>
					<label for="startpage">'._GO_TO_PAGE.'</label>
					<select name="startpage" id="startpage" class="textbox small" onchange="window.location.href=\''.$link.'&amp;order='.$orderby.'&amp;start=\'+document.newpage1.startpage.value;">';
			$page_list2 = '<form action="" name="newpage2" id="newpage2" class="smallforms" method="get">
				<p>
					<label for="startpage">'._GO_TO_PAGE.'</label>
					<select name="startpage" id="startpage" class="textbox small" onchange="window.location.href=\''.$link.'&amp;order='.$orderby.'&amp;start=\'+document.newpage2.startpage.value;">';
			$lastpage = 0;

			for($i = 0;$i <> $nb_pages; $i++)
			{
				$page_name = $i + 1;

				$the_line = $i + 1;
				if($start == $next_start)
				{
					$page_list1 .= "<option value=\"".$next_start."\" selected>".$the_line."</option>";
					$page_list2 .= "<option value=\"".$next_start."\" selected>".$the_line."</option>";
				}
				else
				{
					$page_list1 .= "<option value=\"".$next_start."\">".$the_line."</option>";
					$page_list2 .= "<option value=\"".$next_start."\">".$the_line."</option>";
				}

				$next_start = $next_start + $nb_show;
				$lastpage = $next_start;
			}

			$lastpage = $lastpage - $nb_show;

			$previous = "";
			$next = "";

			if($start > 0)
			{
				$start_prev = $start - $nb_show;
				$previous = "< <a href=\"".$link."&start=".$start_prev."&order=".$orderby."\">"._PREVIOUS."</a> ";
			}

			if($start <> $lastpage)
			{
				$start_next = $start + $nb_show;
				$next = " <a href=\"".$link."&start=".$start_next."&order=".$orderby."\">"._NEXT."</a> >";
			}

			$page_list1 = $page_list1."</select>".$previous." ".$next."</p></form>";
			$page_list2 = $page_list2."</select>".$previous." ".$next."</p></form>";

		}
		$this->connect();
		
		?>
<h1><img src="<?php echo $_SESSION['config']['img'];?>/picto_search_b.gif" alt="" /> <?php echo $title; ?></h1>
	<div id="inner_content" class="clearfix">
	<?php echo $page_list1;?>

<table cellpadding="0" cellspacing="0" border="0" class="listing">
	<thead>
				<tr>
					<th class="picto"><?php echo _STATUS; ?><br/>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=statdesc'; ?>" title="<?php echo _DESC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT; ?>"/></a>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=statasc'; ?>" title="<?php echo _ASC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT; ?>" /></a></th>
					<th class="price"><?php echo _GED_ID_DEPENDS;?><br/>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=residdesc'; ?>" title="<?php echo _DESC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT; ?>" /></a>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=residasc'; ?>" title="<?php echo _ASC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT; ?>" /></a></th>
					<th ><?php echo _OBJECT;?><br/>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=titledesc'; ?>" title="<?php echo _DESC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT; ?>" /></a>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=titleasc'; ?>" title="<?php echo _ASC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT; ?>" /></a></th>
					<th class="title"><?php echo _SHIPPER; ?><br/>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=autdesc'; ?>" title="<?php echo _DESC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT; ?>"/></a>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=auttasc'; ?>" title="<?php echo _ASC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT; ?>" /></a></th>
					<th><?php echo _RECIPIENT; ?><br/>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=destdesc'; ?>" title="<?php echo _DESC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT; ?>"/></a>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=destasc'; ?>" title="<?php echo _ASC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT; ?>" /></a></th>
					<!--
				   <?php if($_SESSION['config']['gdi_index'] == "false"){?> <th><?php echo _TYPE; ?><br/>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=typedesc'; ?>" title="<?php echo _DESC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT; ?>"/></a>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=typeasc'; ?>" title="<?php echo _ASC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT; ?>" /></a></th>
	  				<?php }
					   else
					   {
						?> <th><?php echo _GID_ID; ?><br/>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=giddesc'; ?>" title="<?php echo _DESC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT; ?>"/></a>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=gidasc'; ?>" title="<?php echo _ASC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT; ?>" /></a>
	  				</th>
					<?php }
					?>
					-->
					<th><?php echo _SHIPPING_DATE; ?><br/>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=datestartdesc'; ?>" title="<?php echo _DESC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT; ?>"/></a>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=datestartasc'; ?>" title="<?php echo _ASC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT; ?>" /></a></th>
	  				<!--<th><?php /*if($_SESSION['config']['corporate'] == "true")
					{
					echo _SOCIETY; ?><br/>
					  <a href="<?php echo $link.'&amp;start='.$s tart.'&amp;order=socidesc'; ?>" title="<?php echo _DESC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT; ?>"/></a>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=sociasc'; ?>" title="<?php echo _ASC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT; ?>" /></a>
                      <?php }
					  else
					  {*/
						 echo _DEPARTMENT; ?><br/>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=servdesc'; ?>" title="<?php echo _DESC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_down.gif" alt="<?php echo _DESC_SORT; ?>"/></a>
					  <a href="<?php echo $link.'&amp;start='.$start.'&amp;order=servasc'; ?>" title="<?php echo _ASC_SORT; ?>"><img src="<?php echo $_SESSION['config']['img'];?>/tri_up.gif" alt="<?php echo _ASC_SORT; ?>" /></a>
                      <?php /*} */?>
                      </th>-->

					 <!--<th>E/S
</th>-->
					  <th class="picto">&nbsp;</th>
					  <!--<th class="picto">&nbsp;</th>-->
				</tr>
				</thead>
			<tbody>


		<?php $color  = 'class="col"';
		for($theline = 0; $theline < count($listarr) ; $theline++)
		{
			// background color
			if($color == 'class="col"')
			{

				$color = "";
			}
			else
			{
				$color = 'class="col"';
			}
			
			
			?>
			<tr <?php echo $color;?>  >
			<td class="picto">
			<?php if(($listarr[$theline]['STATUS'] == "NEW"))
					{ ?>
						<img src="<?php echo $_SESSION['config']['img'];?>/mail_new.gif" alt="<?php echo _TO_PROCESS;?>" title="<?php echo _TO_PROCESS;?>" />
					<?php }
					elseif(($listarr[$theline]['STATUS'] == "COU"))
					{ ?>
						<img src="<?php echo $_SESSION['config']['img'];?>/mail.gif" alt="<?php echo _IN_PROGRESS;?>" title="<?php echo _IN_PROGRESS;?>" />
					<?php }
					elseif(($listarr[$theline]['STATUS'] == "END"))
					{ ?>
						<img src="<?php echo $_SESSION['config']['img'];?>/mail_end.gif" alt="<?php echo _CLOSED;?>" title="<?php echo _CLOSED;?>"/>
					<?php }
					elseif(($listarr[$theline]['STATUS'] == "OUT"))
					{ ?>
						<img src="<?php echo $_SESSION['config']['img'];?>/status_out.gif" alt="<?php echo _ONGOING;?>" title="<?php echo _ONGOING;?>"/>
					<?php }
					elseif(($listarr[$theline]['STATUS'] == "DGS"))
					{ ?>
						<img src="<?php echo $_SESSION['config']['img'];?>/mail_dgs.gif" alt="<?php echo _ONGOING;?>" title="<?php echo _ONGOING;?>"/>
					<?php }
					elseif(($listarr[$theline]['STATUS'] == "WAI"))
					{ ?>
						<img src="<?php echo $_SESSION['config']['img'];?>/waiting_mail.gif" alt="<?php echo _WAITINGDOC;?>" title="<?php echo _WAITINGDOC;?>"/>
					<?php }
					elseif(($listarr[$theline]['STATUS'] == "MEL"))
					{ ?>
						<img src="<?php echo $_SESSION['config']['img'];?>/email.gif" alt="<?php echo $listarr[$theline]['STATUS'];?>" title="<?php echo $listarr[$theline]['STATUS'];?>"/>
					<?php }
					else
					{
						echo $listarr[$theline]['STATUS'];
					}

					?>
				</td>
					 <td class="price"><?php echo $func->cut_string($func->show($this->thisword($listarr[$theline]['RELATION'],$what)), 6); ?></td>
                     <td class="title" ><span  title="<?php echo $func->show($this->thisword($listarr[$theline]['DESCRIPTION'],$what)); ?>"><?php echo $func->cut_string($func->show($this->thisword($listarr[$theline]['DESCRIPTION'],$what)),50); ?></span></td>
				 	 <td ><?php echo $func->show($this->thisword($listarr[$theline]['AUTHOR'],$what)); ?></td>
					 <td><?php echo $func->show($this->thisword($listarr[$theline]['DEST_USER'],$what)); ?></td>
					<!--<td><?php 
						if($_SESSION['config']['gdi_index'] == "false"){
							$this->query("select DESCRIPTION from ".$_SESSION['tablename']['doctypes']." where TYPE_ID = '".$listarr[$theline]['LIB_TYPE']."'");
							$res = $this->fetch_object();
							echo $func->show($res->DESCRIPTION,$what);
						}
						else{
							 echo $func->show($this->thisword($listarr[$theline]['GID_ID'],$what));
						}
				?>
					</td>-->
					<td><?php echo $this->dateformat($listarr[$theline]['CREATION_DATE']); ?></td>
					<td><?php if($_SESSION['config']['corporate'] == "true")
					{
						echo $func->show($this->thisword($listarr[$theline]['SOCIETE'],$what));
					}
					else
					{

						$this->query("select SERVICE from ".$_SESSION['tablename']['services']." where ID = '".$listarr[$theline]['DESTINATION']."'");
						$res = $this->fetch_object();
						echo str_replace('\\', '', $res->SERVICE);

					 }?>
					</td>
					<!--<td><?php if($listarr[$theline]['IS_INGOING'] == "Y")
					{
						echo 'E';
					}
					else
					{
						echo 'S';
					}
					?></td>-->
					<td class="picto"><a href="#" onClick="window.open('send_doc.php?id=<?php echo $listarr[$theline]['RES_ID']; ?>&task=up','', 'scrollbars=yes, resizable=yes,width=660,height=630');"><img src="<?php echo $_SESSION['config']['img'];?>/picto_infos.gif" alt=" <?php echo _DETAILS; ?>"/></a></td>

				</tr>
		<?php }
			   	echo "</tbody></table>";
				echo "<div align='center'>";

				if ($_SESSION['user']['export'] == true && 	$_SESSION['courriel_search'] <> "true")
				{
				?><input type="button" onClick="window.open('export_list.php','', 'scrollbars=auto,menubar=no,toolbar=no,resizable=yes,status=no,width=350,height=150');" value="<?php echo _EXPORT_RESULTS;?>" class="button">
				<?php }
				if ($_SESSION['user']['print_rights'] == true)
				{
				?><input type="button" onClick="window.open('print_list.php','', 'scrollbars=auto,menubar=no,toolbar=no,resizable=yes,status=no,width=350,height=350');" value="<?php echo _PRINT_RESULTS;?>" class="button">
				<?php }
				?><input type="button" onClick="createModal(form_txt);" value="<?php echo _SAVE_QUERY;?>" class="button"> <?php echo "</div></div>";
	}
	

	public function send_criteria_data($param)
	{
		/*list_criteres = Array ("num_courrier" => Array (label => "reference courrier',
											 parametres => Array ( ...),
											 type => "text",
											 ),
					   "date courrier" => array*/
		//$this->show_array($param);
		$options_criteria_list = '<option id="default" value="">'._CHOOSE_PARAMETERS.'</option>';
		$json_tab = '';
		foreach($param as $key => $value)
		{
			$json_tab .= "'".$key."' : {";
			//echo 'key '.$key."<br/>val ";
			//$this->show_array($value);
			$options_criteria_list .= '<option id="option_'.$key.'" value="'.$value['label'].'"> '.$value['label'].'</option>';
			$json_tab .= $this->json_line($key,$value['type'],$value['param']);
			$json_tab .= '}
			,';
		}
		//die;
		$json_tab = preg_replace("/,$/", '', $json_tab);

		$tab = array($options_criteria_list, $json_tab );

		return $tab;
	}
	
	/* This function deletes the session
	 * 
	 * 
	 */ 
	public function reset()
	{
		$_SESSION['meta_search']= null;
		$_SESSION['search_shipper'] = null;
		$_SESSION['societe_search'] = null;
		$_SESSION['s_priority_chosen'] = array();
		$_SESSION['numcourrier'] = null;
		$_SESSION['numged'] = null;
		$_SESSION['destinataire'] = null;
		$_SESSION['objet'] = null;
		$_SESSION['invoice_type'] = null;
		$_SESSION['is_ingoing'] = null;
		$_SESSION['enr_from'] = null;
		$_SESSION['enr_to'] = null;
		$_SESSION['multifield_search'] = null;
		$_SESSION['doc_date_from'] = null;
		$_SESSION['doc_date_to'] = null;
		$_SESSION['date_start_from'] = null;
		$_SESSION['date_start_to'] = null;
		$_SESSION['trait_from'] = null;
		$_SESSION['trait_to'] = null;
		$_SESSION['status'] = null;
		$_SESSION['search_sender'] = null;
		$_SESSION['invoice_type'] = null;
		$_SESSION['s_services_chosen'] = array();
		$_SESSION['s_doctypes_chosen'] = array();
		$_SESSION['s_destinataire_chosen'] = array();
		$_SESSION['s_status_chosen'] = array();
		$_SESSION['civilities_chosen'] = array();
		$_SESSION['courrier_search'] = null;
		$_SESSION['AR'] = null;
		$_SESSION['fax'] = null;
		$_SESSION['simple_mail'] = null;
		$_SESSION['courriel'] = null;
		$_SESSION['courriel_search'] = null;
		$_SESSION['autre'] = null;
		$_SESSION['direct'] = null;
		$_SESSION['norep'] = null;
		$_SESSION['copies'] = null;
		$_SESSION['services'] = null;
		$_SESSION['quartier'] = null;
		$_SESSION['num'] = null;
		$_SESSION['rue'] = null;
		$_SESSION['Cp'] = null;
		$_SESSION['ville'] = null;
		$_SESSION['search_gid_id'] = null;
		$_SESSION['sender_firstname'] = null;
		$_SESSION['shipper_firstname'] = null;
		$_SESSION['sender_lastname'] = null;
		$_SESSION['shipper_lastname'] = null;
		$_SESSION['sender_society'] = null;
		$_SESSION['shipper_society'] = null;
		$_SESSION['shipper_function'] = null;
		$_SESSION['sender_function'] = null;
		$_SESSION['adr_num'] = null;
		$_SESSION['adr_rue'] = null;
		$_SESSION['adr_cp'] = null;
		$_SESSION['adr_commune'] = null;
		$_SESSION['adr_arrondissement'] = null;
		$_SESSION['adr_canton'] = null;
		$_SESSION['edr_epci'] = null;
		$_SESSION['s_coll'] = null;
			
	}

	private function json_line($id, $field_type, $param)
	{
		$str = '';
		$init = "'label' : '".addslashes($param['field_label'])."', 'value' :'";
		$end = "'";
		//$hidden = '<input type="hidden" name="meta[]" value="" />';
		if($field_type == 'input_text')
		{
			$str = $init.'<input type="hidden" name="meta[]" value="'.$id.'#'.$id.'#input_text" /><input name="'.$id.'"  id="'.$id.'" type="text" '.$param['other'].' value="" />'.$end;
		}
		elseif($field_type == 'date_range')
		{
			$str = $init.addslashes(_SINCE).' : <input type="text" name="'.$param['id1'].'" id="'.$param['id1'].'" value=""/><img src="'.$_SESSION['config']['img'].'/but_calend.png" alt="'.addslashes(_CALENDAR).'" id="for_'.$param['id1'].'" onclick="showCalender(this)" />'
			.addslashes(_FOR).' : <input type="text" name="'.$param['id2'].'" id="'.$param['id2'].'" value="" /><img src="'.$_SESSION['config']['img'].'/but_calend.png" alt="'.addslashes(_CALENDAR).'" id="for_'.$param['id2'].'" onclick="showCalender(this)" />';
			$str .= '<input type="hidden" name="meta[]" value="'.$id.'#'.$param['id1'].','.$param['id2'].'#date_range" />'.$end;
		}
		elseif($field_type == 'select_simple')
		{
			$str = $init.'<select name="'.$id.'" id="'.$id.'">';
			if(isset($param['default_label']) && !empty($param['default_label']))
			{
				$str .='<option value="">'.$param['default_label'].'</option>';
			}
			for($i=0; $i<count($param['options']);$i++)
			{
				$str .= '<option value="'.addslashes($param['options'][$i]['VALUE']).'" alt="'.addslashes($param['options'][$i]['LABEL']).'" title="'.addslashes($param['options'][$i]['LABEL']).'">'.addslashes($param['options'][$i]['LABEL']).'</option>';
			}
			$str .= '</select>';
			$str .= '<input type="hidden" name="meta[]" value="'.$id.'#'.$id.'#select_simple" />'.$end;
		}
		elseif($field_type == 'select_multiple')
		{
			$str .= '<tr><td colspan="3">'.$param['label_title'].' :</td></tr>';
			$str .= '<tr>';
				$str .= '<td width="150" align="left">';
					$str .= '<select name="'.$param['id'].'_available[]" id="'.$param['id'].'_available" size="10" ondblclick="moveclick_ext('." '".$param['id']."_available', '".$param['id']."_chosen'".');" multiple="multiple" >';
						for($i=0; $i<count($param['options']);$i++)
						{
							$str .= '<option value="'.$param['options'][$i]['VALUE'].'" alt="'.$param['options'][$i]['LABEL'].'" title="'.$param['options'][$i]['LABEL'].'">'.$param['options'][$i]['LABEL'].'</option>';
						}
					$str .='</select>';
					$str .= "<br/><em><a href=\"javascript:selectall_ext( '".$param['id']."_available');\" >"._SELECT_ALL.'</a></em>';
				$str .= '</td>';
			    $str .= '<td width="135" align="center">';
					$str .= '<input type="button" class="button" value="'._ADD.'" onclick="Move_ext('."'".$param['id']."_available', '".$param['id']."_chosen'".');" /><br />';
					$str .= '<br /><input type="button" class="button" value="'._REMOVE.'" onclick="Move_ext('." '".$param['id']."_chosen', '".$param['id']."_available'".');" />';
				$str .= '</td>';
				$str .= '<td width="150" align="left">';
							$str .= '<select name="'.$param['id'].'_chosen[]" id="'.$param['id'].'_chosen" size="10" ondblclick="moveclick_ext('." '".$param['id']."_chosen', '".$param['id']."_available'".');" multiple="multiple" " >';
							$str .= '</select>';
							$str .= "<br/><em><a href=\"javascript:selectall_ext( '".$param['id']."_chosen');\" >"._SELECT_ALL.'</a></em>';
				$str .= '</td>';
			$str .= '</tr>';
			$str = addslashes($str);
			$str = $init.'<table align="center" border="0" width="100%" >'.$str.'<input type="hidden" name="meta[]" value="'.$id.'#'.$param['id'].'_chosen#select_multiple" /></table>'.$end;
		}
		elseif($field_type == 'checkbox')
		{
			$str = $init.'<table align="center" border="0" width="100%" >';

			$tmp_ids = '';
			for($i=0; $i < count($param['checkbox_data']);$i=$i+2)
			{
				$tmp_ids .= $param['checkbox_data'][$i]['ID'].',';
				$str .= '<tr>';
				if(isset($param['checkbox_data'][$i+1]['ID']))
				{
					$tmp_ids .= $param['checkbox_data'][$i+1]['ID'].',';
					$str .= '<td><input type="checkbox" name="'.$param['checkbox_data'][$i]['ID'].'" id="'.$param['checkbox_data'][$i]['ID'].'" value="'.addslashes($param['checkbox_data'][$i]['VALUE']).'" />'.addslashes($param['checkbox_data'][$i]['LABEL']).'</td>';
					$str .= '<td><input type="checkbox" name="'.$param['checkbox_data'][$i+1]['ID'].'" id="'.$param['checkbox_data'][$i+1]['ID'].'" value="'.addslashes($param['checkbox_data'][$i+1]['VALUE']).'" />'.addslashes($param['checkbox_data'][$i+1]['LABEL']).'</td>';

				}
				else
				{
					$str .= '<td colspan="2"><input type="checkbox" name="'.$param['checkbox_data'][$i]['ID'].'" id="'.$param['checkbox_data'][$i]['ID'].'" value="'.addslashes($param['checkbox_data'][$i]['VALUE']).'" />'.addslashes($param['checkbox_data'][$i]['LABEL']).'</td>';
				}
				$str .= '</tr>';
			}
			$tmp_ids = preg_replace('/,$/', '', $tmp_ids );
			$str .= '</table>';
			$str .= '<input type="hidden" name="meta[]" value="'.$id.'#'.$tmp_ids.'#checkbox" />'.$end;
		}
		elseif($field_type == 'address')
		{
			if($_SESSION['config']['borough'] == "true"){
				$str = $init.'<input type="hidden" name="meta[]" value="'.$id.'#'.$param['address_data']['NUM']['ID'].','.$param['address_data']['ROAD']['ID'].','.$param['address_data']['CP']['ID'].','.$param['address_data']['COMMUNE']['ID'].','.$param['address_data']['BOROUGH']['ID'].', '.$param['address_data']['CANTON']['ID'].', '.$param['address_data']['EPCI']['ID'].'#address" />';
				$str .= '<table align="center" border="0" width="100%" >';
				$str .= '<tr>';
					$str .= '<td>'.$param['address_data']['NUM']['LABEL'].'</td><td><input type="text" name="'.$param['address_data']['NUM']['ID'].'" id="'.$param['address_data']['NUM']['ID'].'" class="small"/></td>';
					$str .= '<td>'.$param['address_data']['ROAD']['LABEL'].'</td><td><input type="text" name="'.$param['address_data']['ROAD']['ID'].'" id="'.$param['address_data']['ROAD']['ID'].'" /></td>';
				$str .= '</tr>';
				$str .= '<tr>';
					$str .= '<td>'.$param['address_data']['CP']['LABEL'].'</td><td><input type="text" name="'.$param['address_data']['CP']['ID'].'" id="'.$param['address_data']['CP']['ID'].'" class="medium" maxlength="5"/></td>';
					$str .= '<td>'.$param['address_data']['COMMUNE']['LABEL'].'</td><td><input type="text" name="'.$param['address_data']['COMMUNE']['ID'].'" id="'.$param['address_data']['COMMUNE']['ID'].'" /></td>';
				$str .= '</tr>';
				$str .= '<tr>';
					$str .= '<td>'.$param['address_data']['BOROUGH']['LABEL'].'</td><td><input type="text" name="'.$param['address_data']['BOROUGH']['ID'].'" id="'.$param['address_data']['BOROUGH']['ID'].'" class="medium" /></td>';
					$str .= '<td>'.$param['address_data']['CANTON']['LABEL'].'</td><td><input type="text" name="'.$param['address_data']['CANTON']['ID'].'" id="'.$param['address_data']['CANTON']['ID'].'" /></td>';
				$str .= '</tr>';
				$str .= '<tr>';
					$str .= '<td>'.$param['address_data']['EPCI']['LABEL'].'</td><td><input type="text" name="'.$param['address_data']['EPCI']['ID'].'" id="'.$param['address_data']['EPCI']['ID'].'" class="medium" /></td>';
					$str .= '<td>'.$param['address_data']['EPCI_TYPE']['LABEL'].'</td><td><input type="text" name="'.$param['address_data']['EPCI_TYPE']['ID'].'" id="'.$param['address_data']['EPCI_TYPE']['ID'].'" class="medium" /></td>';
				$str .= '</tr>';
				if(isset($param['address_data']['DISTRICTS']))
				{
					$str .= '<tr>';
						$str .= '<td>'.$param['address_data']['DISTRICTS']['LABEL'].'</td><td colspan="3">';
							$str .= '<select name="'.$param['address_data']['DISTRICTS']['ID'].'" id="'.$param['address_data']['DISTRICTS']['ID'].'">';
								$str .= '<option value="">'.$param['address_data']['DISTRICTS']['default_label'].'</option>';
								for($i=0; $i < count($param['address_data']['DISTRICTS']['options']); $i++)
								{
									$str .= '<option value="'.$param['address_data']['DISTRICTS']['options'][$i]['VALUE'].'"  alt="'.$param['address_data']['DISTRICTS']['options'][$i]['LABEL'].'" title="'.$param['address_data']['DISTRICTS']['options'][$i]['LABEL'].'">'.$param['address_data']['DISTRICTS']['options'][$i]['LABEL'].'</option>';
								}
							$str .= '</select>';
						$str .= '</td>';
					$str .= '</tr>';
				}
				$str .= '</table>'.$end;
			}
			else{
			
				$str = $init.'<input type="hidden" name="meta[]" value="'.$id.'#'.$param['address_data']['NUM']['ID'].','.$param['address_data']['ROAD']['ID'].','.$param['address_data']['CP']['ID'].','.$param['address_data']['CITY']['ID'].','.$param['address_data']['DISTRICTS']['ID'].'#address" />';
				$str .= '<table align="center" border="0" width="100%" >';
				$str .= '<tr>';
					$str .= '<td>'.$param['address_data']['NUM']['LABEL'].'</td><td><input type="text" name="'.$param['address_data']['NUM']['ID'].'" id="'.$param['address_data']['NUM']['ID'].'" class="small"/></td>';
					$str .= '<td>'.$param['address_data']['ROAD']['LABEL'].'</td><td><input type="text" name="'.$param['address_data']['ROAD']['ID'].'" id="'.$param['address_data']['ROAD']['ID'].'" /></td>';
				$str .= '</tr>';
				$str .= '<tr>';
					$str .= '<td>'.$param['address_data']['CP']['LABEL'].'</td><td><input type="text" name="'.$param['address_data']['CP']['ID'].'" id="'.$param['address_data']['CP']['ID'].'" class="medium" maxlength="5"/></td>';
					$str .= '<td>'.$param['address_data']['CITY']['LABEL'].'</td><td><input type="text" name="'.$param['address_data']['CITY']['ID'].'" id="'.$param['address_data']['CITY']['ID'].'" /></td>';
				$str .= '</tr>';
				if(isset($param['address_data']['DISTRICTS']))
				{
					$str .= '<tr>';
						$str .= '<td>'.$param['address_data']['DISTRICTS']['LABEL'].'</td><td colspan="3">';
							$str .= '<select name="'.$param['address_data']['DISTRICTS']['ID'].'" id="'.$param['address_data']['DISTRICTS']['ID'].'">';
								$str .= '<option value="">'.$param['address_data']['DISTRICTS']['default_label'].'</option>';
								for($i=0; $i < count($param['address_data']['DISTRICTS']['options']); $i++)
								{
									$str .= '<option value="'.$param['address_data']['DISTRICTS']['options'][$i]['VALUE'].'"  alt="'.$param['address_data']['DISTRICTS']['options'][$i]['LABEL'].'" title="'.$param['address_data']['DISTRICTS']['options'][$i]['LABEL'].'">'.$param['address_data']['DISTRICTS']['options'][$i]['LABEL'].'</option>';
								}
							$str .= '</select>';
						$str .= '</td>';
					$str .= '</tr>';
				}
				$str .= '</table>'.$end;
			}
		}
		elseif($field_type == 'courriel')
		{
			$str = $init.'<input type="hidden" name="meta[]" value="'.$id.'#'.$param['courriel_data']['TO']['ID'].','.$param['courriel_data']['OBJECT']['ID'].','.$param['courriel_data']['MESSAGE']['ID'].'#courriel" />';
			$str .= '<table align="center" border="0" width="100%" >';
			$str .= '<tr>';
				$str .= '<td>'.$param['courriel_data']['TO']['LABEL'].'</td><td><input type="text" name="'.$param['courriel_data']['TO']['ID'].'" id="'.$param['courriel_data']['TO']['ID'].'" style="width: 200px;" /></td>';
				$str .= '<td>'.$param['courriel_data']['OBJECT']['LABEL'].'</td><td><input type="text" name="'.$param['courriel_data']['OBJECT']['ID'].'" id="'.$param['courriel_data']['OBJECT']['ID'].'" style="width: 200px;" /></td>';
			$str .= '</tr>';
			$str .= '<tr>';
				$str .= '<td>'.$param['courriel_data']['MESSAGE']['LABEL'].'</td><td><input type="text" name="'.$param['courriel_data']['MESSAGE']['ID'].'" id="'.$param['courriel_data']['MESSAGE']['ID'].'" style="width: 200px;" /></td>';
				$str .= '<td></td>';
			$str .= '</tr>';
			$str .= '</table>'.$end;
		}
		elseif($field_type == 'simple_list_or_input_text')
		{
			// td open in the showing function (js)
				$str .= '<input type="hidden" name="meta[]" value="'.$id.'#select_'.$param['id'].',input_'.$param['id'].'#simple_list_or_input_text" />';
				$str .= '<select name="select_'.$param['id'].'" id="select_'.$param['id'].'" onchange="start_action_list('."'".'div_'.$param['id']."', 'select_".$param['id']."', this.selectedIndex".')">';
					$str .= '<option value="">'.$param['default_label_select'].'</option>';
					$str .= '<option value="SHOW_DATA">'.$param['label_define_option']."</option>";
					for($i=0; $i<count($param['options']);$i++)
					{
						$str .= '<option value="'.addslashes($param['options'][$i]['VALUE']).'" alt="'.addslashes($param['options'][$i]['LABEL']).'" title="'.addslashes($param['options'][$i]['LABEL']).'">'.addslashes($param['options'][$i]['LABEL']).'</option>';
					}
				$str .= '</select>';
			$str .= '</td>';
			$str .= '<td>';
				$str .= '<div id="div_'.$param['id'].'" style="visibility:hidden">';
					$str .= '<table width="100%" border="0">';
						$str .= '<tr>';
							$str .= '<td>'.$param['label_input'].' : <input type="text" name="input_'.$param['id'].'" id="input_'.$param['id'].'" '.$param['other'].' value="" /></td>';
						$str .= '</tr>';
					$str .= '</table>';
				$str .= '</div>';
			// td close in the showing function (js)
			$str = addslashes($str);
			$str =  $init.$str.$end;
		}
		elseif($field_type == 'inputs_in_2_col')
		{

			$str = $init.'<table align="center" border="0" width="100%" >';
			$tmp = "";

			for($i=0; $i<count($params['input_ids']) ;$i++)
			{
				$tmp .= $params['input_ids'][$i]['ID'].',';

				if ($i%2 != 1 || $i==0) // pair
				{
					$str .= '<tr>';
				}
				$str .= '<td >'.addslashes($params['input_ids'][$i]['LABEL']).'</td><td><input type="text" name="'.$params['input_ids'][$i]['ID'].'" id="'.$params['input_ids'][$i]['ID'].'" value="" /></td>';
				if ($i%2 == 1 && $i!=0) // impair
				{
   					echo '</tr>'	;
				}
				else
				{
					if($i+1 == count($params['input_ids']))
					{
						echo '<td  colspan="3">&nbsp;</td></tr>';
					}
				}
			}
			$tmp = preg_replace(',$', '', $tmp);
			$str .= '</table>';
			$str .= '<input type="hidden" name="meta[]" value="'.$id.'#'.$tmp.'#inputs_in_2_col" />'.$end;
		}
		elseif($field_type == 'select_or_other_data')
		{
			// td open in the showing function (js)
			$str .= '<table align="center" border="0" width="100%" >';
				$str .= '<tr>';
						$str .= '<td>';
							$str .= '<select name="select_'.$param['id'].'" id="select_'.$param['id'].'" onchange="start_action_list('."'".'div_'.$param['id']."', 'select_".$param['id']."', this.selectedIndex".')">';
								$str .= '<option value="">'.$param['default_label_select'].'</option>';
								$str .= '<option value="SHOW_DATA" >'.$param['label_define_option']."</option>";
								for($i=0; $i<count($param['options']);$i++)
								{
									$str .= '<option value="'.$param['options'][$i]['VALUE'].'" alt="'.$param['options'][$i]['LABEL'].'" title="'.$param['options'][$i]['LABEL'].'">'.$param['options'][$i]['LABEL'].'</option>';
								}
							$str .= '</select>';
						$str .= '</td>';
				$str .= '</tr>';
				$str .= '<tr>';
						$str .= '<td>';
							$str .= '<div id="div_'.$param['id'].'" style="display:none;">';
								$str .= '<table align="center" border="0" width="100%" >';
							$tmp = "select_".$param['id'].",";
								for($i=0; $i<count($param['input_ids']) ;$i++)
								{
									$tmp .= $param['input_ids'][$i]['ID'].',';
									if ($i%2 != 1 || $i==0) // pair
									{
										$str .= '<tr>';
									}
									$str .= '<td >'.$param['input_ids'][$i]['LABEL'].' :</td><td><input type="text" name="'.$param['input_ids'][$i]['ID'].'" id="'.$param['input_ids'][$i]['ID'].'" value="" /></td>';
									if ($i%2 == 1 && $i!=0) // impair
									{
					   					echo '</tr>'	;
									}
									else
									{
										if($i+1 == count($params['input_ids']))
										{
											echo '<td  colspan="3">&nbsp;</td></tr>';
										}
									}
								}
							$tmp = preg_replace('/,$/', '', $tmp);
								$str .= '</table>';
							$str .= '</div>';
							$str .= '<input type="hidden" name="meta[]" value="'.$id.'#'.$tmp.'#select_or_other_data" />';
						$str .= '</td>';
				$str .= '</tr>';
			$str .= '</table>';
			// td close in the showing function (js)
			$str = addslashes($str);
			$str =  $init.$str.$end;
		}
		else
		{

		}
		return $str;
	}
	
}

?>
