<?php /**
* Types Class
*
* Contains all the function to manage the doctypes
*
* @package Maarch LetterBox 2.3
* @version 2.0
* @since 10/2005
* @license GPL
* @author  Claire Figueras  <dev@maarch.org>
*
*/

/**
* Class types: Contains all the function to manage the doctypes
*
* @author  Claire Figueras  <dev@maarch.org>
* @license GPL
* @package Maarch LetterBox 2.3
* @version 1.1
*/


class types extends dbquery
{
	/**
	* Redefinition of the types object constructor : configure the sql argument order by
	*/
	function __construct()
	{
		// configure the sql argument order by
		if(isset($_GET['start']))
		{
			$this->the_start = strip_tags($_GET['start']);
		}
		else
		{
			$this->the_start = 0;
		}

		if(isset($_GET['order']))
		{
			$this->orderby = strip_tags($_GET['order']);
		}
		else
		{
			$this->orderby = "labelasc";
		}

		$this->sqlorderby = "";

		if($this->orderby == "labelasc")
		{
			$this->sqlorderby = "order by DESCRIPTION asc";
		}

		if($this->orderby == "labeldesc")
		{
			$this->sqlorderby = "order by DESCRIPTION desc";
		}

		if($this->orderby == "idasc")
		{
			$this->sqlorderby = "order by TYPE_ID asc";
		}

		if($this->orderby == "iddesc")
		{
			$this->sqlorderby = "order by TYPE_ID desc";
		}

		if($this->orderby == "statusasc")
		{
			$this->sqlorderby = "order by ENABLED asc";
		}

		if($this->orderby == "statusdesc")
		{
			$this->sqlorderby = "order by ENABLED desc";
		}

		if($this->orderby == "userasc")
		{
			$this->sqlorderby = "order by CUSTOM_T2 asc";
		}

		if($this->orderby == "userdesc")
		{
			$this->sqlorderby = "order by USER_ID desc";
		}
	}

	/**
	* List all the alphabet letter to view the doc types who are starting with the letter
	*
	* @param string $page "types" by default
	*/
	public function typelistletters($page = "types")
	{
		// List all the alphabet letter to view the doc types who are starting with the letter
		if(isset($_GET['show']))
		{
			if($_GET['show'] == "false")
			{
				$show = "&amp;show=false";
			}
			else
			{
				$show = "";
			}
		}
		else
		{
			$show = "";
		}
		?>
		<form action="index.php" name="frmletters" id="frmletters" class="smallforms" method="get">
			<fieldset>
				<p>
					<input name="what" id="what" type="text" class="textbox medium" value="" />
					<input name="Submit" type="submit" value="<?php echo _SEARCH." "._TYPE ; ?>" class="button" />
					<input name="page" type="hidden" value="<?php echo $page; ?>" />
					<?php if($show == "&amp;show=false") { echo '<input name="show" id="show" type="hidden" value="false" />'; } ?>
				</p>
			</fieldset>
			<p><strong><?php echo _ALPHABETICAL_LIST; ?></strong> :
				<a href="index.php?page=<?php echo $page.$show; ?>&amp;what=A">A</a>
				<a href="index.php?page=<?php echo $page.$show; ?>&amp;what=B">B</a>
				<a href="index.php?page=<?php echo $page.$show; ?>&amp;what=C">C</a>
				<a href="index.php?page=<?php echo $page.$show; ?>&amp;what=D">D</a>
				<a href="index.php?page=<?php echo $page.$show; ?>&amp;what=E">E</a>
				<a href="index.php?page=<?php echo $page.$show; ?>&amp;what=F">F</a>
				<a href="index.php?page=<?php echo $page.$show; ?>&amp;what=G">G</a>
				<a href="index.php?page=<?php echo $page.$show; ?>&amp;what=H">H</a>
				<a href="index.php?page=<?php echo $page.$show; ?>&amp;what=I">I</a>
				<a href="index.php?page=<?php echo $page.$show; ?>&amp;what=J">J</a>
				<a href="index.php?page=<?php echo $page.$show; ?>&amp;what=K">K</a>
				<a href="index.php?page=<?php echo $page.$show; ?>&amp;what=L">L</a>
				<a href="index.php?page=<?php echo $page.$show; ?>&amp;what=M">M</a>
				<a href="index.php?page=<?php echo $page.$show; ?>&amp;what=N">N</a>
				<a href="index.php?page=<?php echo $page.$show; ?>&amp;what=O">O</a>
				<a href="index.php?page=<?php echo $page.$show; ?>&amp;what=P">P</a>
				<a href="index.php?page=<?php echo $page.$show; ?>&amp;what=Q">Q</a>
				<a href="index.php?page=<?php echo $page.$show; ?>&amp;what=R">R</a>
				<a href="index.php?page=<?php echo $page.$show; ?>&amp;what=S">S</a>
				<a href="index.php?page=<?php echo $page.$show; ?>&amp;what=T">T</a>
				<a href="index.php?page=<?php echo $page.$show; ?>&amp;what=U">U</a>
				<a href="index.php?page=<?php echo $page.$show; ?>&amp;what=V">V</a>
				<a href="index.php?page=<?php echo $page.$show; ?>&amp;what=W">W</a>
				<a href="index.php?page=<?php echo $page.$show; ?>&amp;what=X">X</a>
				<a href="index.php?page=<?php echo $page.$show; ?>&amp;what=Y">Y</a>
				<a href="index.php?page=<?php echo $page.$show; ?>&amp;what=Z">Z</a>
				- <a href="index.php?page=<?php echo $page.$show; ?>"><?php echo _ALL_DOCTYPES; ?></a></p>
			</form>
		<?php }

	/**
	* List the doctypes
	*
	* @param string $where empty by default
	* @param string $what empty by default
	*/
public function typeslist($where = "",$what = "")
	{
		// list the doctypes
		$func = new functions();

		$title = _DOCTYPES_LIST;
		$ref_page = "index";
		$page_name = "types";
		$page_name_up = "types_up";
		$page_name_add = "types_add";
		$page_name_del = "types_del";
		$page_name_validate = "types_validate";
		$table_name = $_SESSION['tablename']['doctypes'];
		$nb_show = $_SESSION['config']['nblinetoshow'];
		if(!empty($what))
		{
			$what = "&amp;what=".$what;
		}

		if(isset($_GET['other']))
		{
			$where = "where ENABLED = 'N'";
		}

		$this->connect();
		$this->query("select count(*) as total from ".$table_name." ".$where);
		$nb_total_1 = $this->fetch_object();
		$nb_total = $nb_total_1->total;

		// define the defaults values
		$nb_pages = ceil($nb_total/$nb_show);

		$link = $ref_page.".php?page=".$page_name."&amp;start=".$this->the_start."&amp;order=".$this->orderby.$what;

		if($nb_pages > 1)
		{
			$next_start = 0;

			$page_list1 = '<form name="newpage1" id="newpage1" method="get" action="index.php?page=types">
			<p>
				<label for="startpage">'._GO_TO_PAGE.'</label>
				<select name="startpage" id="startpage" class="textbox small" onchange="window.location.href=\''.$link.'&amp;start=\'+document.newpage1.startpage.value;">';

			$page_list2 = '<form name="newpage2" id="newpage2" method="get" action="index.php?page=types">
			<p>
				<label for="startpage">'._GO_TO_PAGE.'</label>
				<select name="startpage" id="startpage" class="textbox small" onchange="window.location.href=\''.$link.'&amp;start=\'+document.newpage2.startpage.value;">';

			$lastpage = 0;

			for($i = 0;$i <> $nb_pages; $i++)
			{
				$the_line = $i + 1;
				if($this->the_start == $next_start)
				{
					$page_list1 .= "<option value=\"".$next_start."\" selected=\"selected\">".$the_line."</option>";
					$page_list2 .= "<option value=\"".$next_start."\" selected=\"selected\">".$the_line."</option>";
				}
				else
				{
					$page_list1 .= "<option value=\"".$next_start."\">".$the_line."</option>";
					$page_list2 .= "<option value=\"".$next_start."\">".$the_line."</option>";
				}

				$next_start = $next_start + $nb_show;
				$lastpage = $next_start;
			}

			$lastpage = $lastpage - $nb_show;

			$previous = "";
			$next = "";

			if($this->the_start > 0)
			{
				$start_prev = $this->the_start - $nb_show;
				$previous = '<a href="'.$link.'&amp;start='.$start_prev.'" class="prev">'._PREVIOUS.'</a>';
			}

			if($this->the_start <> $lastpage)
			{
				$start_next = $this->the_start + $nb_show;
				$next = '<a href="'.$link.'&amp;start='.$start_next.'" class="next">'._NEXT.'</a>';
			}

			$page_list1 = $page_list1."</select>";
			$page_list2 = $page_list2."</select>";

			if($previous <> '' || $next <> '')
			{
				if(empty($previous)) { $previous = "&nbsp;"; }
				if(empty($next)) { $next = "&nbsp;"; }

				$page_list1 .= $previous." ".$next.'</p></form>';
				$page_list2 .= $previous." ".$next.'</p></form>';
			}
		}

		$this->query("select * from ".$table_name." ".$where." ".$this->sqlorderby." limit ".$this->the_start.",".$nb_show);

		echo '<h1><img src="'.$_SESSION['config']['img'].'/picto_files_b.gif" alt="" /> '.$title.'</h1>

			<div id="inner_content" class="clearfix">';

		$this->typelistletters();
		 echo $page_list1;
		?>
			<table cellpadding="0" cellspacing="0" border="0" class="listing spec">
				<thead>
					<tr>
						<th class="id"><?php echo _ID;?></th>
						<th class="title"><?php echo _WORDING; ?> </th>
				   	<th class="ged"><?php echo _STATUS; ?> </th>
				   	<th class="title"><?php echo _COLLECTION;?></th>

				   	<th colspan="3" align="right" class="price"><span class="add clearfix"><a href="<?php echo $ref_page.'.php?page='.$page_name_add ; ?>"><span><?php echo _ADD_DOCTYPE; ?></span></a></span></th>
				  </tr>
				</thead>
				<tfoot>
					<tr>
						<td colspan="7" class="price"><span class="add clearfix"><a href="<?php echo $ref_page.'.php?page='.$page_name_add ; ?>"><span><?php echo _ADD_DOCTYPE; ?></span></a></span></td>
					</tr>
				</tfoot>
				<tbody>
		<?php $color = "";
		while($line = $this->fetch_object())
		{
			if($color == ' class="col"')
			{
				$color = '';
			}
			else
			{
				$color = ' class="col"';
			}

			?>
					<tr<?php echo $color; ?>>
						<td class="id"><strong><?php echo $line->TYPE_ID; ?></strong></td>
						<td class="descr"><?php echo $func->show($line->DESCRIPTION); ?></td>
						<td class="ged"><?php if($line->ENABLED == "N") {
								echo '<img src="'.$_SESSION['config']['img'].'/picto_stat_disabled.gif" alt="'._NOT_ENABLED.'" title="'._NOT_ENABLED.'" />';
							}
						 	elseif($line->ENABLED == "Y") {
								echo '<img src="'.$_SESSION['config']['img'].'/picto_stat_enabled.gif" alt="'._ENABLED.'" title="'._ENABLED.'" />';
							} ?>
						</td>
						<td class="title">
							<?php $tmp = $func->show($line->RES_TABLE);
							for($i=0; $i < count($_SESSION['ressources']); $i++)
								{
									if($_SESSION['ressources'][$i]['tablename'] == $tmp)
									{
										$table = $_SESSION['ressources'][$i]['comment'];
										break;
									}
								}
							echo $table; ?>
						</td>
						<td class="action">
						<?php if($line->ENABLED == "Y") {
							echo '<a href="'.$ref_page.'.php?page='.$page_name_up.'&amp;id='.$line->TYPE_ID.'" class="change">'._MODIFY.'</a>';
						} ?>
						</td>
						<td class="action">
						<?php if($line->ENABLED == "N") {
							echo '<a href="'.$ref_page.'.php?page='.$page_name_validate.'&amp;id='.$line->TYPE_ID.'" class="authorize">'._AUTHORIZE.'</a>';
						}
						else
						{
							echo "&nbsp;";
						}
						?>
						</td>
						<td class="action">
							<a href="javascript://"  class="delete" onClick="window.open('types_del.php?id=<?php echo $line->TYPE_ID;?>', '', 'scrollbar=yes,menubar=no,toolbar=no,resizable=yes,status=no,width=400,height=300');" ><?php echo _DELETE;?></td>
					</tr>
				<?php }
			?>
			</tbody>
		</table>
		</div>
		<?php $this->cleartypeinfos();
	}


	/**
	* Form to add, modify or propose a doc type
	*
	* @param string $mode val, up or prop
	* @param integer $id type identifier, empty by default
	*/
	public function formtype($mode,$id = "")
	{
		// form to add, modify or proposale a doc type
		$func = new functions();
		include('doctypes_bitmask.php');
		$action_bitmask = 0;
		$state = true;

		if(!isset($_SESSION['m_admin']['doctypes']))
		{
			$this->cleartypeinfos();
		}

		if($mode <> "prop" && $mode <> "add" && empty($_SESSION['error']))
		{
			$this->connect();
			$this->query("select * from ".$_SESSION['tablename']['doctypes']." where TYPE_ID = '".$id."'");

			if($this->nb_result() == 0)
			{
				$_SESSION['error'] = _DOCTYPE.' '._ALREADY_EXISTS;
				$state = false;
			}
			else
			{
				$_SESSION['m_admin']['doctypes'] = array();
				$line = $this->fetch_object();

				$_SESSION['m_admin']['doctypes']['TYPE_ID'] = $line->TYPE_ID;
				$_SESSION['m_admin']['doctypes']['LABEL'] = $line->DESCRIPTION;
				$_SESSION['m_admin']['doctypes']['VALIDATE'] = $line->ENABLED;
				$_SESSION['m_admin']['doctypes']['USER_ID'] = $line->CUSTOM_T2;
				$_SESSION['m_admin']['doctypes']['DATE'] = $line->CUSTOM_T3;
				$_SESSION['m_admin']['doctypes']['TABLE'] = $line->RES_TABLE;
				$_SESSION['m_admin']['doctypes']['DELAI_TRAITEMENT'] = $line->DELAI_TRAITEMENT;
				$_SESSION['m_admin']['doctypes']['DELAI_RELANCE1'] = $line->DELAI_RELANCE1;
				$_SESSION['m_admin']['doctypes']['DELAI_RELANCE2'] = $line->DELAI_RELANCE2;
				$_SESSION['m_admin']['doctypes']['GENERATE'] = $line->GENERATE;
				$_SESSION['m_admin']['doctypes']['MODEL'] = $line->MODEL;
				$_SESSION['m_admin']['doctypes']['ACTION_BITMASK'] = $line->ACTION_BITMASK;
				$action_bitmask = $_SESSION['m_admin']['doctypes']['ACTION_BITMASK'];
			}
		}
		?>
		<h1><img src="<?php echo $_SESSION['config']['img'];?>/picto_add_b.gif" alt="" />
				<?php if($mode == "up")
				{
					echo _DOCTYPE_MODIFICATION;
				}
				elseif($mode == "add")
				{
					echo _ADD_DOCTYPE;
				}
				?>
				</h1>


		<div id="inner_content" class="clearfix">



			<?php if($state == false)
			{
				echo "<br /><br /><br /><br />"._DOCTYPE.' '._UNKOWN."<br /><br /><br /><br />";
			}
			else
			{
				?>
				<br/><br/>
				<form name="frmtype" id="frmtype" method="post" action="types_up_db.php" class="forms">

					<p>
						<label ><?php echo _ID;?> : </label>
							<?php if($mode <> "prop" && $mode <> "add")
								{
									echo $func->show($_SESSION['m_admin']['doctypes']['TYPE_ID']);
								?>
									<input type="hidden" name="id" value="<?php echo $id; ?>" />
								<?php }
								else
								{
								?>
									<input name="id" type="text" id="id" class="textbox" value="<?php echo $func->show($_SESSION['m_admin']['doctypes']['TYPE_ID']); ?>" />
									<?php }
								?><span class="red_asterisk">*</span>
							<input  type="hidden" name="mode" value="<?php echo $mode; ?>" />
						</p>
					 	 <p>
					 	 	<label for="label"><?php echo _WORDING; ?> : </label>
							<input name="label" type="text" class="textbox" id="label" value="<?php echo $func->show($_SESSION['m_admin']['doctypes']['LABEL']); ?>"/><span class="red_asterisk">*</span>
					 	 </p>
					 	 <p>
					 	 	<label for="restable"><?php echo _COLLECTION; ?> : </label>
							<select name="restable" id="restable" class="basiclist" >
										<?php for($i=0;$i<count($_SESSION['ressources']);$i++)
										{
											?>
											<option value="<?php echo $_SESSION['ressources'][$i]['tablename']; ?>"
											<?php if ($mode <> "up" && $mode <> "val" && $i == 0)
											{
												echo "selected=\"selected\"";
											}
										 elseif (($mode == "up" || $mode == "prop") &&  $_SESSION['m_admin']['doctypes']['TABLE'] ==  $_SESSION['ressources'][$i]['tablename'] )
										 {
								 			echo "selected=\"selected\"";
										 }?> ><?php echo  $_SESSION['ressources'][$i]['comment']; ?></option>
										<?php }
										?>
								</select><span class="red_asterisk">*</span>
							</p>
							<p>
							<iframe src="iframe_ext_file_index.php" name="iframe_ext_file_index"  frameborder="0" id="iframe_ext_file_index" scrolling="auto" width="100%" height="70"></iframe>
							</p>
							<p>
								<label for="traitement"><?php echo _PROCESS_DELAY;?> : </label>
								<input name="traitement" type="text" class="small" id="traitement" value="<?php echo $func->show($_SESSION['m_admin']['doctypes']['DELAI_TRAITEMENT']); ?>" size="1" /><span class="red_asterisk">*</span>
					 	 	</p>
					 	 	<p>
								<label for="relance1"><?php echo _FIRST_WARNING_DELAY;?>  : <br/><small>(<?php echo _BEFORE_DEADLINE; ?>)</small> </label>
								<input name="relance1" type="text" class="small" id="relance1" value="<?php echo $func->show($_SESSION['m_admin']['doctypes']['DELAI_RELANCE1']); ?>" size="1"  /><span class="red_asterisk">*</span>
					 	 	</p>
					 	 	<p>
								<label for="relance2"><?php echo _SECOND_WARNING_DELAY;?>  : <br/><small>(<?php echo _AFTER_DEADLINE; ?>)</small> </label>
								<input name="relance2" type="text" class="small" id="relance2" value="<?php echo $func->show($_SESSION['m_admin']['doctypes']['DELAI_RELANCE2']); ?>" size="1"  /><span class="red_asterisk">*</span>
					 	 	</p>
					 	 	<br>
					 	 	<p>
								<label><?php echo _ACTIONS_OF_INDEX_PAGE;?> : </label><br/>
								<div style="margin-left:40%;">
									<?php
									for($k=0;$k<count($_ENV['doctypes_bitmask']); $k++)
									{
										?>
										<input type="checkbox" class="check" name="action_bitmask<?php echo $k;?>" id="<?php echo $_ENV['doctypes_bitmask'][$k]['ID'];?>" value="true" <?php  if($this->check_right($action_bitmask , $_ENV['doctypes_bitmask'][$k]['ID'])){ echo 'checked="checked"'; } ?>  /> 
										<?php echo $_ENV['doctypes_bitmask'][$k]['LABEL'].'<br/>';
									}
									?>
								</div>
							</p>
						<p class="buttons">
									<?php /*if($mode == "up")
						{
						?>
							<input class="button" type="submit" name="Submit" value="<?php echo _MODIFY_DOCTYPE; ?>"  />
						<?php }

						elseif($mode == "add")
						{
						?>
							<input type="submit" class="button"  name="Submit" value="<?php echo _ADD_DOCTYPE; ?>" />
						<?php }*/
						?>
                        <input class="button" type="submit" name="Submit" value="<?php echo _VALIDATE; ?>"  />
                        <input class="button" type="button" name="cancel" value="<?php echo _CANCEL; ?>"   onclick="javascript:window.location.href='index.php?page=types';"/>
								</p>
					</form >

			<?php }
			?>

		</div>
	<?php }

	/**
	* Clean the type info
	*/
	private function typesinfo()
	{
		// clean the type info

		$func = new functions();

		if(!isset($_POST['mode']))
		{
			$_SESSION['error'] = _UNKNOWN_PARAM."<br />";
		}

		$_SESSION['m_admin']['doctypes']['LABEL'] = $func->wash($_POST['label'], "no", _THE_WORDING);
		$_SESSION['m_admin']['doctypes']['TYPE_ID'] = $func->wash($_POST['id'], "no", _ID);
		$_SESSION['m_admin']['doctypes']['TABLE'] = $func->wash($_POST['restable'], "no", _THE_TABLE);
		$_SESSION['m_admin']['doctypes']['DELAI_TRAITEMENT'] = $func->wash($_POST['traitement'], "num", _THE_PROCESS_LIMIT);
		$_SESSION['m_admin']['doctypes']['DELAI_RELANCE1'] = $func->wash($_POST['relance1'], "num", _THE_FIRST_WARNING);
		$_SESSION['m_admin']['doctypes']['DELAI_RELANCE2'] = $func->wash($_POST['relance2'], "num", _THE_SECOND_WARNING);
		$_SESSION['m_admin']['doctypes']['GENERATE'] = $_SESSION['temp_admin']['GENERATE'];
		$_SESSION['m_admin']['doctypes']['MODEL'] = $_SESSION['temp_admin']['MODEL_ID'];
		/*echo "<pre>";
		print_r($_REQUEST);
		echo "</pre>";*/
		
		include('doctypes_bitmask.php');
		$action_bitmask = 0;
		for($i=0;$i<count($_ENV['doctypes_bitmask']);$i++)
		{
			//echo "bitmask ".$i." ".$_ENV['doctypes_bitmask'][$i]['LABEL']."<br>";
			if($_REQUEST['action_bitmask'.$i] == 'true')
			{
				$action_bitmask = $this->set_right($action_bitmask, $_ENV['doctypes_bitmask'][$i]['ID'] );
			}
		}
		$_SESSION['m_admin']['doctypes']['ACTION_BITMASK'] = $action_bitmask;
		if($_SESSION['m_admin']['doctypes']['ACTION_BITMASK'] == 0)
		{
			$_SESSION['error'] .= _MUST_CHOOSE_AT_LEAST_ONE_ACTION;
		}
		//echo "result bitmask : ".$action_bitmask."<br>";
		//exit;
	}

	/**
	* Modify, add or validate a doctype
	*/
	public function uptypes()
	{
		// modify, add or validate a doctype
		$this->typesinfo();

		if(!empty($_SESSION['error']))
		{
			if($_POST['mode'] == "up")
			{
				if(!empty($_SESSION['m_admin']['doctypes']['TYPE_ID']))
				{
					header("location: index.php?page=types_up&id=".$_SESSION['m_admin']['doctypes']['TYPE_ID']);
					exit;
				}
				else
				{
					header("location: index.php?page=types");
					exit;
				}
			}
			elseif($_POST['mode'] == "val")
			{
				if(!empty($_SESSION['m_admin']['doctypes']['TYPE_ID']))
				{
					header("location: index.php?page=types_validate&id=".$_SESSION['m_admin']['doctypes']['TYPE_ID']);
					exit;
				}
				else
				{
					header("location: index.php?page=types");
					exit;
				}
			}
			elseif($_POST['mode'] == "prop" )
			{
				header("location: index.php?page=types_prop");
				exit;
			}
			elseif($_POST['mode'] == "add" )
			{
				header("location: index.php?page=types_add");
				exit;
			}
		}
		else
		{
			$this->connect();

			if($_POST['mode'] <> "prop" && $_POST['mode'] <> "add")
			{

				$this->query("update `".$_SESSION['tablename']['doctypes']."` set `DESCRIPTION` = '".addslashes($_SESSION['m_admin']['doctypes']['LABEL'])."' , `ENABLED` = 'Y', `RES_TABLE` = '".$_SESSION['m_admin']['doctypes']['TABLE']."', DELAI_TRAITEMENT = ".$_SESSION['m_admin']['doctypes']['DELAI_TRAITEMENT'].", DELAI_RELANCE1 = ".$_SESSION['m_admin']['doctypes']['DELAI_RELANCE1'].", DELAI_RELANCE2 = ".$_SESSION['m_admin']['doctypes']['DELAI_RELANCE2'].", GENERATE = '".$_SESSION['m_admin']['doctypes']['GENERATE']."', MODEL = '".$_SESSION['m_admin']['doctypes']['MODEL']."', ACTION_BITMASK = ".$_SESSION['m_admin']['doctypes']['ACTION_BITMASK']." where TYPE_ID = '".$_SESSION['m_admin']['doctypes']['TYPE_ID']."'");

				if($_POST['mode'] == "up")
				{
					$_SESSION['error'] = _DOCTYPE_UPDATED;
					if($_SESSION['history']['doctypesup'] == "true")
					{
						require_once("class_history.php");
						$users = new history();
						$users->add($_SESSION['tablename']['doctypes'], $_SESSION['m_admin']['doctypes']['TYPE_ID'],"UP",_DOCTYPE_UPDATE." : ".$_SESSION['m_admin']['doctypes']['LABEL']);
					}
				}
				$this->cleartypeinfos();
				header("location: index.php?page=types");
				exit;
			}
			else
			{
				$this->query("select TYPE_ID from `".$_SESSION['tablename']['doctypes']."` where TYPE_ID = '".$_SESSION['m_admin']['doctypes']['TYPE_ID']."'");

				if($this->nb_result() > 0)
				{
					$_SESSION['error'] = _THE_DOCTYPE.' '.$_SESSION['m_admin']['doctypes']['TYPE_ID'].' '._ALREADY_EXISTS;
					header("location: index.php?page=types");
					exit;
				}
				else
				{
					require_once("class_history.php");
					$users = new history();

					 if( $_POST['mode'] == "add")
					 {
						$this->query("INSERT INTO `".$_SESSION['tablename']['doctypes']."` ( `RES_TABLE` , `TYPE_ID` , `DESCRIPTION` , `DELAI_TRAITEMENT` , `DELAI_RELANCE1` , `DELAI_RELANCE2` , `ENABLED` , `CUSTOM_T2` , `CUSTOM_T3`, `GENERATE` , `MODEL`, `ACTION_BITMASK`) VALUES ('".$_SESSION['m_admin']['doctypes']['TABLE']."','".$_SESSION['m_admin']['doctypes']['TYPE_ID']."', '".$_SESSION['m_admin']['doctypes']['LABEL']."','".$_SESSION['m_admin']['doctypes']['DELAI_TRAITEMENT']."', '".$_SESSION['m_admin']['doctypes']['DELAI_RELANCE1']."', '".$_SESSION['m_admin']['doctypes']['DELAI_RELANCE2']."','Y', '".$_SESSION['user']['UserId']."', '".date("Y")."-".date("m")."-".date("d")." ".date("H:i:s")."' , '".$_SESSION['m_admin']['doctypes']['GENERATE']."', '".$_SESSION['m_admin']['doctypes']['MODEL']."', ".$_SESSION['m_admin']['doctypes']['ACTION_BITMASK']." )");

						if($_SESSION['history']['doctypesadd'] == "true")
						{
							$users->add($_SESSION['tablename']['doctypes'], $_SESSION['m_admin']['doctypes']['TYPE_ID'],"ADD", _DOCTYPE_ADDED." : ".$_SESSION['m_admin']['doctypes']['LABEL']);
						}
					 }
					 else
					 {
						$this->query("INSERT INTO `".$_SESSION['tablename']['doctypes']."` ( `RES_TABLE` , `TYPE_ID` , `DESCRIPTION` , `DELAI_TRAITEMENT` , `DELAI_RELANCE1` , `DELAI_RELANCE2` , `ENABLED` , `CUSTOM_T2` , `CUSTOM_T3`  ) VALUES ('".$_SESSION['m_admin']['doctypes']['TABLE']."','".$_SESSION['m_admin']['doctypes']['TYPE_ID']."', '".$_SESSION['m_admin']['doctypes']['LABEL']."','".$_SESSION['m_admin']['doctypes']['DELAI_TRAITEMENT']."', '".$_SESSION['m_admin']['doctypes']['DELAI_RELANCE1']."', '".$_SESSION['m_admin']['doctypes']['DELAI_RELANCE2']."','Y', '".$_SESSION['user']['UserId']."', '".date("Y")."-".date("m")."-".date("d")." ".date("H:i:s")."' , '".$_SESSION['m_admin']['doctypes']['GENERATE']."', '".$_SESSION['m_admin']['doctypes']['MODEL']."', ".$_SESSION['m_admin']['doctypes']['ACTION_BITMASK'].")");

							if($_SESSION['history']['doctypesprop'] == "true")
							{
								$users->add($_SESSION['tablename']['doctypes'], $_SESSION['m_admin']['doctypes']['TYPE_ID'],"PROP", _DOCTYPE_ADDED." : ".$_SESSION['m_admin']['doctypes']['LABEL']);
							}
					 }

				$_SESSION['error'] = "";
			}

			if ($_POST['mode'] == "add")
			{
				$url = "index.php?page=types";
			}
			else
			{
				$url = "types_prop_finish.php?id=".$_SESSION['m_admin']['doctypes']['TYPE_ID']."&label=".$_SESSION['m_admin']['doctypes']['LABEL'];

			}
			$this->cleartypeinfos();
			header("location: ".$url);
			exit;
		}
	}
	}
	/**
	* Clear the session variable for the doctypes
	*/
	private function cleartypeinfos()
	{
		// clear the session variable for the doctypes
		$_SESSION['m_admin']['doctypes'] = array();
		$_SESSION['m_admin']['doctypes']['TYPE_ID'] = "";
		$_SESSION['m_admin']['doctypes']['LABEL'] = "";
		$_SESSION['m_admin']['doctypes']['VALIDATE'] = "";
		$_SESSION['m_admin']['doctypes']['USER_ID'] = "";
		$_SESSION['m_admin']['doctypes']['DATE'] = "";
		$_SESSION['m_admin']['doctypes']['JUSTIFICATION'] = "";
		$_SESSION['m_admin']['doctypes']['TABLE'] = "";
		$_SESSION['m_admin']['doctypes']['DELAI_TRAITEMENT'] = 21;
		$_SESSION['m_admin']['doctypes']['DELAI_RELANCE1'] = 14;
		$_SESSION['m_admin']['doctypes']['DELAI_RELANCE2'] = 1;
		$_SESSION['m_admin']['doctypes']['GENERATE'] = "";
		$_SESSION['m_admin']['doctypes']['MODEL'] = "";
		$_SESSION['m_admin']['doctypes']['ACTION_BITMASK'] = "";
	}

	/**
	* Delete a doc type
	*
	* @param integer $id doctype indentifier
	*/
	public function deltypes($id)
	{
		// delete a doc type
		$this->connect();

		$this->query("select DESCRIPTION from ".$_SESSION['tablename']['doctypes']." where TYPE_ID = '".$id."'");

		if($this->nb_result() == 0)
		{
			$_SESSION['error'] = _DOCTYPE.' '._UNKNOWN;
			header("location: index.php?page=types");
			exit;
		}
		else
		{
			$info = $this->fetch_object();

			$this->query("delete from ".$_SESSION['tablename']['doctypes']." where TYPE_ID = '".$id."'");
			require_once("class_history.php");
			$users = new history();
			$users->add($_SESSION['tablename']['doctypes'], $id,"DEL",_DOCTYPE_DELETION." : ".$info->DESCRIPTION);

			$_SESSION['error'] = _DELETED_DOCTYPE;

			header("location: index.php?page=types");
			exit;
		}
	}
	
	/**
	* check right on a bitmask
	*
	* @param integer $int_to_check bitmask to check
	* @param boolean $right right to check
	*/
	function check_right($int_to_check, $right)
	{
		if($int_to_check & $right)
		{
			return true;
		}
		else
		{
			return false;
		}
	}
	
	/**
	* set right on a bitmask
	*
	* @param integer $int_to_set bitmask to set
	* @param boolean $right right to set
	*/
	function set_right($int_to_set = 0, $right)
	{
		return $int_to_set | $right;	
	}
}
?>
