<?php /**
*  Workflow class
*
* Contains all the functions to manage the workflow 
*
* @package Maarch LetterBox 2.7
* @version 1.0
* @since 07/2009
* @license GPL
* @author  Yves Christian KPAKPO  <dev@maarch.org>
*/


class workflow extends dbquery
{

	/*public function load_workflow()
	{
		$_SESSION['workflow'] = array();
		$xmlfile = simplexml_load_file("xml/workflow.xml");
		
		$order = "";
		$type = "";
		
		$i =0;
		foreach($xmlfile->WORKFLOW as $WORKFLOW)
		{
			$type = utf8_decode((string) $WORKFLOW->TYPE_DOC);
			
			$_SESSION['workflow'][$type] = array();
			
			foreach($WORKFLOW->SEQUENCE as $SEQUENCE)
			{
				$order = utf8_decode((string) $SEQUENCE->ORDER);
				$_SESSION['workflow'][$type][$order] = array(
											"LABEL" => utf8_decode((string) $SEQUENCE->LABEL), 
											"STATUS_PREV" => utf8_decode((string) $SEQUENCE->STATUS_PREV),
											"STATUS_NEXT" => utf8_decode((string) $SEQUENCE->STATUS_NEXT));
			}
			
			$i++;
		}
	}*/
	
	public function loardWorkflowParameters()
	{
		if(!isset($_SESSION['workflow']) || empty($_SESSION['workflow'])){
			$xmlWorkflow = simplexml_load_file("xml/workflow.xml");
			
			$_SESSION['workflow']['doctypes'] = array();
			foreach($xmlWorkflow->DOCTYPE as $docType){
				$_SESSION['workflow']['doctypes'][] = (string)$docType->ID;
			}
		}
	}
	
	public function type_have_workflow($type)
	{
		$wf = false;
		if(isset($_SESSION['workflow']['doctypes']) && (count($_SESSION['workflow']['doctypes']) > 0) && in_array($type, $_SESSION['workflow']['doctypes'])){
			$wf = true;
		}
		
		return $wf;
	}
	
	public function have_tiket($res_id)
	{
		$this->connect();
		$this->query("select * from ".$_SESSION['tablename']['tickets']." where RES_ID = '".$res_id."'");
		
		if($this->nb_result() == 0)
		{
			return false;
		}
		else
		{
			$line = $this->fetch_object();
			return $line->TICKET_ID;
		}
	}
	
	/**
	* Loard the amounts of a ticket
	*
	* @param int $theTicket the ID if ticket
	*/
	public function loardTicketAmounts($theTicket)
	{
		$_SESSION['ticket']['amounts'] = array();
		
		$this->connect();
		$this->query("SELECT * FROM ".$_SESSION['tablename']['tickets_amounts']." WHERE TICKET_ID = '".$theTicket."'");
		
		while($line = $this->fetch_object()){
			$_SESSION['ticket']['amounts'][$line->NUM_MANDATE] = array('date'=>$this->format_date($line->DATE_MANDATE), 'amount'=>$line->AMOUNT);
		}
	}
	
	/**
	* Form to add or modify schedule
	*
	* @param string $mode up or add
	* @param integer $id schedule identifier, empty by default
	*/
	public function formTicket($mode, $id = "")
	{
		$state = true;
		if($mode == "up")
		{
			if(empty($_SESSION['error']))
			{
				$this->connect();
				$this->query("SELECT * FROM ".$_SESSION['tablename']['tickets']." WHERE TICKET_ID = '".$id."'");

				if($this->nb_result() == 0)
				{
					$_SESSION['error'] = _TICKET.' '._UNKNOWN;
					$state = false;
				}
				else
				{
					$line = $this->fetch_object();
					
					$_SESSION['ticket']['ticketId'] = $line->TICKET_ID;
					$_SESSION['ticket']['resId'] = $line->RES_ID;
					$_SESSION['ticket']['marcketNum'] = $line->MARKET_NUM;
					$_SESSION['ticket']['isAdapted'] = $line->IS_ADAPTED;
					$_SESSION['ticket']['isFormalized'] = $line->IS_FORMALIZED;
					$_SESSION['ticket']['credit'] = $line->CREDIT_ACCOUNT;
					$_SESSION['ticket']['inventory'] = $line->INVENTORY_IDENT;
					$_SESSION['ticket']['imputation'] = $line->IMPUTATION;
					$_SESSION['ticket']['marketSubject'] = $line->MARKET_SUBJECT;
					$_SESSION['ticket']['holder'] = $line->HOLDER;
					$_SESSION['ticket']['amountMandate'] = $line->AMOUNT_TO_MANDATE;
					$_SESSION['ticket']['engagement'] = $line->ENGAGEMENT;
					$_SESSION['ticket']['totalMarket'] = $line->TOTAL_MARKET;
					
					$_SESSION['ticket']['piece'] = $line->PIECE;
					$_SESSION['ticket']['exercice'] = $line->EXERCICE;
					
					// chargement des montants
					$this->loardTicketAmounts($_SESSION['ticket']['ticketId']);
				}
			}
			
			echo '<h2 class="tit">'._TICKET_MODIFICATION.'</h2>';
		}
		elseif($mode == "add"){
			$this->clearticketsinfos();
			echo '<h2 class="tit">'._TICKET_ADDITION.'</h2>';
		}

		if($state == false)
		{
			echo "<br /><br /><br /><br />"._TICKET.' '._UNKNOWN."<br /><br /><br /><br />";
		}
		else
		{
		?>
<script language="javascript">
function getXhr(){
	var xhr = null; 
	if(window.XMLHttpRequest) // Firefox et autres
		xhr = new XMLHttpRequest();
	else if(window.ActiveXObject){ // Internet Explorer 
		try {
				xhr = new ActiveXObject("Msxml2.XMLHTTP");
		} catch (e){
			xhr = new ActiveXObject("Microsoft.XMLHTTP");
		}
	}
	else { // XMLHttpRequest non support par le navigateur 
		alert("Votre navigateur ne supporte pas les objets XMLHTTPRequest..."); 
		xhr = false; 
	} 
	return xhr;
}

// Mthode qui sera appele pour rafraichir dynamiquement la liste des montants
function ticketAmountsUpdate(contentZodeId){
	var xmlHttp = getXhr();
	// On dfini ce qu'on va faire quand on aura la rponse
	xmlHttp.onreadystatechange = function(){
		//On affiche le texte de chargement
		if(xmlHttp.readyState == 1)
			//document.getElementById('amountList').innerHTML = 'Loading...';
			document.getElementById(contentZodeId).innerHTML = 'Loading...';
		// On ne fait quelque chose que si on a tout reu et que le serveur est ok
		if(xmlHttp.readyState == 4 && xmlHttp.status == 200){
			result = xmlHttp.responseText;
			// On se sert de innerHTML pour afficher le resultat dans la div
			document.getElementById(contentZodeId).innerHTML = result;
		}
	}
	xmlHttp.open("POST", "ticket_amounts_loader.php", true);
	xmlHttp.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
	// ici, on recupre l'argument  poster
	sendParam = '';
	sendParam = sendParam + "num="+document.getElementById('num').value;
	sendParam = sendParam + "&date="+document.getElementById('date').value;
	sendParam = sendParam + "&amount="+document.getElementById('amount').value;
	// envoi de l'argument
	xmlHttp.send(sendParam);
}

// Mthode qui sera appele pour supprimer un lment de la liste des montants
function ticketAmountsDelete(theNum, contentZodeId){
	var xmlHttp = getXhr();
	// On dfini ce qu'on va faire quand on aura la rponse
	xmlHttp.onreadystatechange = function(){
		//On affiche le texte de chargement
		if(xmlHttp.readyState == 1)
			document.getElementById(contentZodeId).innerHTML = 'Loading...';
		// On ne fait quelque chose que si on a tout reu et que le serveur est ok
		if(xmlHttp.readyState == 4 && xmlHttp.status == 200){
			result = xmlHttp.responseText;
			// On se sert de innerHTML pour afficher le resultat dans la div
			document.getElementById(contentZodeId).innerHTML = result;
		}
	}
	xmlHttp.open("POST", "ticket_amounts_loader.php", true);
	xmlHttp.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
	
	// envoi de l'argument
	xmlHttp.send("delete="+theNum);
}

// Mthode qui sera appele pour supprimer un lment de la liste des montants
function loardTicketAmounts(imputationNum, contentZodeId){
	var xmlHttp = getXhr();
	// On dfini ce qu'on va faire quand on aura la rponse
	xmlHttp.onreadystatechange = function(){
		//On affiche le texte de chargement
		if(xmlHttp.readyState == 1)
			document.getElementById(contentZodeId).innerHTML = 'Loading...';
		// On ne fait quelque chose que si on a tout reu et que le serveur est ok
		if(xmlHttp.readyState == 4 && xmlHttp.status == 200){
			result = xmlHttp.responseText;
			// On se sert de innerHTML pour afficher le resultat dans la div
			document.getElementById(contentZodeId).innerHTML = result;
		}
	}
	xmlHttp.open("POST", "ticket_amounts_loader.php", true);
	xmlHttp.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
	
	// envoi de l'argument
	xmlHttp.send("imputation="+imputationNum);
}

</script>
			<form name="frmTicket" id="frmTicket" method="post" action="<?php if($mode == "up") { echo "ticket_up_db.php"; }elseif($mode == "add") { echo "ticket_add_db.php"; } ?>" class="forms addforms">
			<input type="hidden" name="id" value="<?php echo $_SESSION['ticket']['ticketId'];?>" />
			<input type="hidden" name="resId" value="<?php echo $_SESSION['courrier']['res_id'];?>" />
			<div id="content">
				<table border="0" width="600">
					<tr>
						<td align="left" valign="top" width="500"><h3><?php echo $_SESSION['tycketName'];?></h3></td>
						<td align="left" ><h3><?php echo _TICKET_EXERCICE;?></h3><input type="text" name="exercice" value="<?php if(isset($_SESSION['ticket']['exercice']) && !empty($_SESSION['ticket']['exercice'])){echo $_SESSION['ticket']['exercice'];}else{ echo date("Y"); } ?>" /></td>
					</tr>
					<tr>
						<td align="left"><h4><?php echo _DEPARTMENT.' : '.stripslashes($_SESSION['user']['department_label']);?></h4></td>
						<td align="left"></td>
					</tr>
					<tr><td height="10"></td></tr>
					<tr>
						<td align="left"><h4><?php echo _TICKET_TREAT_BY.' : '.stripslashes($_SESSION['user']['FirstName'].' '.$_SESSION['user']['LastName']);?><h4></td>
						<td align="left"></td>
					</tr>
				</table><br /><br />
				<table border="0">
					<tr>
						<td align="left" rowspan="2" valign="top" width="100"><?php echo _TICKET_MARKET;?></td>
						<td align="left" width="200"><input type="radio" <?php if($_SESSION['ticket']['isAdapted'] == 'Y'){ echo 'checked="checked"'; } ?> name="marche" value="0" />&nbsp;<?php echo _TICKET_ADAPTED;?></td>
						<td><?php echo _NUM;?> : <input type="text" name="numAdapte" value="<?php if($_SESSION['ticket']['isAdapted'] == 'Y'){ echo $_SESSION['ticket']['marcketNum']; } ?>" size="10" /></td>
					</tr>
					<tr>
						<td align="left" width="200"><input type="radio" <?php if($_SESSION['ticket']['isFormalized'] == 'Y'){ echo 'checked="checked"'; } ?> name="marche" value="1" />&nbsp;<?php echo _TICKET_FORMALIZED;?></td>
						<td><?php echo _NUM;?> : <input type="text" name="numFormalise" value="<?php if($_SESSION['ticket']['isFormalized'] == 'Y'){ echo $_SESSION['ticket']['marcketNum']; } ?>" size="10" /></td>
					</tr>
					<tr><td height="10"></td></tr>
					<tr>
						<td colspan="3" align="left" style="border:#000000 solid 1px; padding:4px 2px 8px 2px;"><?php echo _TICKET_ACCOUNT_TO_CREDIT;?> :<br /><input type="text" name="compte" size="60" value="<?php echo $_SESSION['ticket']['credit']; ?>" /></td>
					</tr>
					<tr><td height="10"></td></tr>
					<tr>
						<td colspan="3" align="left" style="border:#000000 solid 1px; padding:4px 2px 8px 2px;"><?php echo _TICKET_INVENTORY_IDTIFICATION;?> :<br /><input type="text" name="IdentInventaire" size="60" value="<?php echo $_SESSION['ticket']['inventory']; ?>" /></td>
					</tr>
				</table><br />
				
				<table border="0" cellpadding="0" cellspacing="0">
					<tr align="center">
						<td valign="top" style="border:#000000 solid 1px; padding:4px 2px 8px 2px; border-bottom:none; border-right:none;"><?php echo _TICKET_IMPUTATION;?><br /><input type="text" name="imputation" size="27" value="<?php echo $_SESSION['ticket']['imputation']; ?>" onchange="loardTicketAmounts(this.value, 'content');" /></td>
						<td valign="top" style="border:#000000 solid 1px; padding:4px 2px 8px 2px; border-bottom:none; border-right:none;"><?php echo _TICKET_MARKET_SUBJECT;?><br /><input type="text" name="objetMarche" size="27" value="<?php echo $_SESSION['ticket']['marketSubject']; ?>" /></td>
						<td valign="top" rowspan="2" style="border:#000000 solid 1px; padding:4px 2px 8px 2px; border-right:none;"><?php echo _TICKET_HOLDER;?><br /><input type="text" name="titulaire" size="27" value="<?php echo $_SESSION['ticket']['holder']; ?>" /></td>
						<td valign="top" rowspan="2" style="border:#000000 solid 1px; padding:4px 2px 8px 2px;"><?php echo _TICKET_ACCOUNT_TO_MANDATE;?><br /><input type="text" name="montantMandater" size="27" value="<?php echo $_SESSION['ticket']['amountMandate']; ?>" /></td>
					</tr>
					<tr align="center">
						<td valign="top" style="border:#000000 solid 1px; padding:4px 2px 8px 2px; border-right:none;"><?php echo _TICKET_ENGAGEMENT;?><br /><input type="text" name="numEngagement" size="27" value="<?php echo $_SESSION['ticket']['engagement']; ?>" /></td>
						<td valign="top" style="border:#000000 solid 1px; padding:4px 2px 8px 2px; border-right:none;"><?php echo _TICKET_MARKET_ACCOUNT;?><br /><input type="text" name="montantMarche" size="27" value="<?php echo $_SESSION['ticket']['totalMarket']; ?>" /></td>
					</tr>
				</table><br />

				<table border="0" cellpadding="0" cellspacing="0">
					<tr>
						<td height="45"></td>
						<td><?php echo _NUM;?><input type="text" id="num" name="num" size="15" /></td>
						<td><?php echo _DATE;?><input type="text" id="date" name="date" size="27" /></td>
						<td><?php echo _TICKET_ACCOUNT;?><input type="text" id="amount" name="amount" size="15" /></td>
						<td valign="middle"><input name="Submit" type="button" value="<?php echo _VALIDATE; ?>" class="button" onclick="javascript:ticketAmountsUpdate('amountList');" /></td>
					</tr>
					<tr>
						<td colspan="5" style="border:#000000 solid 1px; padding:4px 2px 8px 2px; border-bottom:none;"><?php echo _TICKET_HOLD_ACCOUNT;?></td>
					</tr>
					<tr>
						<td style="border:#000000 solid 1px; padding:4px 2px 8px 2px; border-right:none;"><?php echo _NUM.' '._TICKET_OF_ACCOUNT;?></td>
						<td style="border:#000000 solid 1px; padding:4px 2px 8px 2px; border-right:none;" colspan="2"><?php echo _TICKET_NUM_DATE_OF_MANDATE;?></td>
						<td style="border:#000000 solid 1px; padding:4px 2px 8px 2px;" colspan="2"><?php echo _TICKET_ACCOUNT;?></td>
					</tr>
					<tbody id="amountList">
					
<?php 
					if(isset($_SESSION['ticket']['amounts']) && count($_SESSION['ticket']['amounts']) > 0){
						$i = 1;
						$total = 0;
						foreach ($_SESSION['ticket']['amounts'] as $key => $value) {
							$total += floatval($value['amount']);
?>
					<tr style="border-bottom:#000000 solid 1px;">
						<td align="center" style="border-left:#000000 solid 1px;" height="20"><?php echo $i++;?></td>
						<td style="border-left:#000000 solid 1px;" colspan="2"><input type="text" name="numDate" size="27" value="<?php echo $key.' - '.$value['date']; ?>" /></td>
						<td style="border-right:#000000 solid 1px; border-left:#000000 solid 1px;" colspan="2"><input type="text" name="montant" size="15" value="<?php echo $value['amount']; ?>" />&nbsp;<a href="javascript://" title="<?php echo _DELETE;?>" onclick="javascript:ticketAmountsDelete(<?php echo $key;?>, 'amountList')" class="delete">&nbsp;</a></td>
					</tr>
<?php 
						}
?>
					<tr>
						<td style="border:#000000 solid 1px; padding:4px 2px 8px 2px; border-right:none;">&nbsp;</td>
						<td style="border:#000000 solid 1px; padding:4px 2px 8px 2px; border-right:none;" align="right" colspan="2"><?php echo _TICKET_TOTAL;?></td>
						<td style="border:#000000 solid 1px; padding:4px 2px 8px 2px;" colspan="2"><?php echo $total;?></td>
					</tr>
<?php 
					}
?>
					</tbody>
					<tr>
						<td height="10"></td>
					</tr>
					<tr>
						<td></td>
						<td valign="top" colspan="2"><?php echo _TICKET_JUSTIFICATION_FILES;?></td>
						<td valign="top" colspan="2" align="left"><input type="radio" name="piece" value="Y" <?php if($_SESSION['ticket']['piece'] == 'Y'){ echo 'checked="checked"'; } ?> /> <?php echo _YES;?><br />
						<input type="radio" name="piece" value="N" <?php if($_SESSION['ticket']['piece'] == 'N'){ echo 'checked="checked"'; } ?>/> <?php echo _NO;?></td>
					</tr>
				</table>
				</div>
				<p class="buttons">
					<input name="Submit" type="submit" value="<?php echo _VALIDATE; ?>" class="button" />
					<input name="cancel" type="button" value="<?php echo _CANCEL; ?>" class="button" onclick="javascript:self.close();" />
				</p>
			</form>
<?php 
		}
	}
	
	
	/**
	* Return the ticket information in sessions vars
	*
	* @param string $mode add or up
	*/
	public function ticketsinfo($mode)
	{
		$func = new functions();
		
		if($mode == "up")
		{
			$_SESSION['ticket']['ticketId'] = $func->wash($_POST['id'], "nick", _TICKET_ID);
		}
		
		$_SESSION['ticket']['isAdapted'] = 'N';
		$_SESSION['ticket']['isFormalized'] = 'N';
		if($_POST['marche'] == '1'){
			$_SESSION['ticket']['marcketNum'] = $_POST['numFormalise'];
			$_SESSION['ticket']['isFormalized'] = 'Y';
		}
		elseif($_POST['marche'] == '0'){
			$_SESSION['ticket']['marcketNum'] = $_POST['numAdapte'];
			$_SESSION['ticket']['isAdapted'] = 'Y';
		}
		
		$_SESSION['ticket']['resId'] = $_POST['resId'];
		$_SESSION['ticket']['credit'] = $_POST['compte'];
		$_SESSION['ticket']['inventory'] = $_POST['IdentInventaire'];
		$_SESSION['ticket']['imputation'] = $_POST['imputation'];
		$_SESSION['ticket']['marketSubject'] = $_POST['objetMarche'];
		$_SESSION['ticket']['holder'] = $_POST['titulaire'];
		$_SESSION['ticket']['amountMandate'] = $_POST['montantMandater'];
		$_SESSION['ticket']['engagement'] = $_POST['numEngagement'];
		$_SESSION['ticket']['totalMarket'] = $_POST['montantMarche'];
		
		$_SESSION['ticket']['piece'] = $_POST['piece'];
		$_SESSION['ticket']['exercice'] = $_POST['exercice'];
		
	}
	
	/**
	* Clear the tickets add or modification vars
	*/
	public function clearticketsinfos()
	{
		$_SESSION['ticket'] = array();
		$_SESSION['ticket']['ticketId'] = '';
		$_SESSION['ticket']['resId'] = '';
		$_SESSION['ticket']['marcketNum'] = '';
		$_SESSION['ticket']['isAdapted'] = 'N';
		$_SESSION['ticket']['isFormalized'] = 'N';
		$_SESSION['ticket']['credit'] = 0;
		$_SESSION['ticket']['inventory'] = '';
		$_SESSION['ticket']['imputation'] = '';
		$_SESSION['ticket']['marketSubject'] = '';
		$_SESSION['ticket']['holder'] = '';
		$_SESSION['ticket']['amountMandate'] = 0;
		$_SESSION['ticket']['engagement'] = '';
		$_SESSION['ticket']['totalMarket'] = 0;
		
		$_SESSION['ticket']['piece'] = '';
		$_SESSION['ticket']['exercice'] = date("Y");
		
		$_SESSION['ticket']['amounts'] = array();
	}
	
	/**
	* Add ou modify ticket in the database
	*
	* @param string $mode up or add
	*/
	public function adduputicket($mode)
	{
		// add ou modify users in the database
		$this->ticketsinfo($mode);

		if(!empty($_SESSION['error']))
		{
			if($mode == "up")
			{
				header("location: index.php?page=ticket_up&id=".$_SESSION['ticket']['ticketId']);
			}
			elseif($mode == "add")
			{
				header("location: index.php?page=ticket_add");
				exit;
			}
		}
		else
		{
			$this->connect();
			
			if($mode == "add")
			{
			
				$this->query("INSERT INTO `".$_SESSION['tablename']['tickets']."` ( `RES_ID`, `MARKET_NUM`, `IS_ADAPTED`, `IS_FORMALIZED`, `CREATION_DATE`, `CREDIT_ACCOUNT` , `INVENTORY_IDENT` , `IMPUTATION` , `MARKET_SUBJECT` , `HOLDER` ,`AMOUNT_TO_MANDATE` , `ENGAGEMENT` , `TOTAL_MARKET`, `PIECE`, `EXERCICE`) VALUES ('".$_SESSION['ticket']['resId']."', '".addslashes($_SESSION['ticket']['marcketNum'])."', '".$_SESSION['ticket']['isAdapted']."', '".$_SESSION['ticket']['isFormalized']."', '".date("Y-m-d H:i:s")."', '".addslashes($_SESSION['ticket']['credit'])."', '".addslashes($_SESSION['ticket']['inventory'])."', '".addslashes($_SESSION['ticket']['imputation'])."', '".addslashes($_SESSION['ticket']['marketSubject'])."', '".addslashes($_SESSION['ticket']['holder'])."', '".addslashes($_SESSION['ticket']['amountMandate'])."','".addslashes($_SESSION['ticket']['engagement'])."', '".addslashes($_SESSION['ticket']['totalMarket'])."', '".addslashes($_SESSION['ticket']['piece'])."', '".$_SESSION['ticket']['exercice']."')");
				
				$theTicket = mysql_insert_id();
				
				foreach ($_SESSION['ticket']['amounts'] as $key => $value) {
					$this->query("INSERT INTO `".$_SESSION['tablename']['tickets_amounts']."` ( `TICKET_ID`, `NUM_MANDATE`, `DATE_MANDATE`, `AMOUNT`) 
					VALUES ('".$theTicket."', '".$key."', '".$this->inverse_date(str_replace('/', '-', $value['date']))."', '".$value['amount']."')");
				}
				
				if($_SESSION['history']['ticketadd'] == "true")
				{
					require_once("class_history.php");
					$hist = new history();
					$hist->add($_SESSION['tablename']['tickets'], $theTicket,"ADD",_TICKET_ADDED." : ".addslashes($_SESSION['ticket']['marketSubject']));
				}

				$this->clearticketsinfos();
				
				$_SESSION['error'] = _TICKET_ADDED;
				?>
				<script language="javascript">
				window.location = 'ticket_pdf.php?id=<?php echo $theTicket;?>';
				</script>
				<?php 
				exit;
			}
			elseif($mode == "up")
			{
				//suppression de l'ancine bordereau s'il esixte
				$table = "res_x";
				$this->query("select RES_ID, DOCSERVER_ID, PATH, FILENAME, FORMAT FROM ".$table." where ORIGIN = ".$_SESSION['ticket']['ticketId']);
					
				$line = $this->fetch_object();
				$docserver = $line->DOCSERVER_ID;
				$path = $line->PATH;
				$filename = $line->FILENAME;
				$format = $line->FORMAT;
					
				$this->query("select PATH_TEMPLATE from ".$_SESSION['tablename']['docservers']." where DOCSERVER_ID = '".$docserver."'");

				$line_doc = $this->fetch_object();
				$docserver = $line_doc->PATH_TEMPLATE;
				$file = $docserver.$path.strtolower($filename);
				/*
				if ($_SESSION['config']['system'] == "true")
				{
					$file = str_replace("#","/",$file);
				}
				else
				{
					$file = str_replace("#","\\",$file);
				}
				*/
				$file = str_replace("#",DIRECTORY_SEPARATOR,$file);
				
				//echo $file;
				if(!empty($file) && isset($file))
				{
					//unlink($file);
				}
				$this->query("Delete from ".$table." where STATUS = 'REP' and ORIGIN = '".$_SESSION['ticket']['ticketId']."'");
				
				//$this->show();
				
				$this->query("update `".$_SESSION['tablename']['tickets']."` set `MARKET_NUM` = '".addslashes($_SESSION['ticket']['marcketNum'])."', `IS_ADAPTED` = '".$_SESSION['ticket']['isAdapted']."', `IS_FORMALIZED` = '".$_SESSION['ticket']['isFormalized']."', `CREDIT_ACCOUNT` = '".addslashes($_SESSION['ticket']['credit'])."', `INVENTORY_IDENT` = '".addslashes($_SESSION['ticket']['inventory'])."', `IMPUTATION` = '".addslashes($_SESSION['ticket']['imputation'])."', `MARKET_SUBJECT` = '".addslashes($_SESSION['ticket']['marketSubject'])."' , `HOLDER` = '".addslashes($_SESSION['ticket']['holder'])."', `AMOUNT_TO_MANDATE` = '".addslashes($_SESSION['ticket']['amountMandate'])."', `ENGAGEMENT` = '".addslashes($_SESSION['ticket']['engagement'])."', `TOTAL_MARKET` = '".addslashes($_SESSION['ticket']['totalMarket'])."', `PIECE` = '".addslashes($_SESSION['ticket']['piece'])."', `EXERCICE` = '".$_SESSION['ticket']['exercice']."' where TICKET_ID = '".$_SESSION['ticket']['ticketId']."'");
				
				$theTicket = $_SESSION['ticket']['ticketId'];
				
				$this->query("DELETE FROM `".$_SESSION['tablename']['tickets_amounts']."` WHERE TICKET_ID = '".$theTicket."' ");
				foreach ($_SESSION['ticket']['amounts'] as $key => $value) {
					$this->query("INSERT INTO `".$_SESSION['tablename']['tickets_amounts']."` ( `TICKET_ID`, `NUM_MANDATE`, `DATE_MANDATE`, `AMOUNT`) 
						VALUES ('".$theTicket."', '".$key."', '".$this->inverse_date(str_replace('/', '-', $value['date']))."', '".$value['amount']."')");
				}
				
				if($_SESSION['history']['ticketup'] == "true")
				{
					require_once("class_history.php");
					$hist = new history();
					$hist->add($_SESSION['tablename']['tickets'], $_SESSION['ticket']['ticketId'],"UP",_TICKET_UPDATE." : ".addslashes($_SESSION['ticket']['marketSubject'])." (".$_SESSION['ticket']['ticketId'].")");
				}
				
				$this->clearticketsinfos();
				
				$_SESSION['error'] = _TICKET_UPDATED;
				?>
				<script language="javascript">
				window.location = 'ticket_pdf.php?id=<?php echo $theTicket;?>';
				</script>
				<?php 
				exit;
			}
		}
	}
}
?>