<?php /**
* File : details.php
*
* Detailed informations on an indexed document
*
* @package Maarch LetterBox 2.3
* @version 2.3
* @since 10/2005
* @license GPL
* @author  Claire Figueras  <dev@maarch.org>
* @author  Loic Vinet <dev@maarch.org>
*/


require("test_page.php");
require_once("class_functions.php");
require_once("class_db.php");
require_once("class_security.php");
require_once("class_letterbox.php");

$func = new functions();
$connexion = new dbquery();
$sec = new security();
$connexion->connect();

if(($_SESSION['origin'] == "file" || $_SESSION['origin'] == "scan") && isset($_SESSION['indexation_id']) && !empty($_SESSION['indexation_id']))
{
	$s_id = $_SESSION['indexation_id'];
	$_SESSION['indexation_id'] = "";
}
else
{
	$s_id = addslashes($func->wash($_GET['id'], "num", _THE_DOC));
}
$table ="";
if(isset($_SESSION['tablechoice']) && !empty($_SESSION['tablechoice']))
{
	$table = $_SESSION['tablechoice'];
}
else
{
	$table = $_SESSION['ressources'][0]['tablename'];
}

if($_SESSION['origin'] <> "basket" )
{
	$right = $sec->test_right_doc($table, $s_id);
}
else
{
	$right = true;
}
if(!$right)
{
	?>
    <script language="javascript" type="text/javascript">
    window.top.location.href = 'index.php?page=no_right';
    </script>
    <?php exit();
}

if( !isset($_POST) || count($_POST) == 0 )
{
	//RAZ DIFFUSION
	if( isset($_SESSION["diffusion"]) ) unset($_SESSION["diffusion"]);
	
	//RAZ COPY DIFFUSION
	if( isset($_SESSION["copy_diffusion"]) ) unset($_SESSION["copy_diffusion"]);

	//NEW INSTANCE DIFFUSION
	$_SESSION["diffusion"] = 
	new diffusion($connexion,$_SESSION['user']['UserId'],$_SESSION['user']['delete_copy_rights'],$_SESSION['config']['modifycopylist'],
	$_SESSION['config']['redirect_list'],$_SESSION['config']['tag100_for_copy']);
	$_SESSION["diffusion"]->load_from_db("res_x",$s_id);
}

$_SESSION['origin'] = "details";
$_SESSION["popup_suite"] = false;

if(isset($_POST['action_value']) && $_POST['action_value'] == _DELETE_DOC)
{
	if($_SESSION['user']['delete_rights'] == true)
	{
		$connexion->query("UPDATE ".$table." SET STATUS = 'DEL' WHERE RES_ID = ".$s_id);
			
		if($_SESSION['history']['resdel'] == "true")
		{
			require_once("class_history.php");
			$hist = new history();
			$hist->add('res_x', $s_id, "DEL", _DOC_DELETED.$s_id);
		}
		?>
		<script language="javascript">alert('<?php echo utf8_encode(html_entity_decode(_DELETED_DOC_ALERT)); ?>');</script>
		<script language="javascript">window.location.href= '<?php echo $_SESSION['last_link_for_search_adv']; ?>';</script>
		<?php exit();
	}
	else
	{
		$_SESSION['error'] = _RIGHTS_ERROR;
	}

}
if(isset($_POST['action_value']) && $_POST['action_value'] == _UPDATE_INFO)
{
	//$connexion->show_array($_POST);
	//$connexion->show_array($_SESSION['courrier']);
	//exit();
	$connexion->query("select IDENTIFIER, CREATION_DATE, CUSTOM_T3, AUTHOR, CUSTOM_T4, CUSTOM_D2 from ".$table." where RES_ID = ".$s_id);
	$res = $connexion->fetch_object();
	$ref = $res->IDENTIFIER;
	$date_crea = $res->CREATION_DATE;
	$emetteur = stripslashes($res->CUSTOM_T3)." ".stripslashes($res->AUTHOR)." ".stripslashes($res->CUSTOM_T4);
	$date_lim = $res->CUSTOM_D2;

	$query = "";
	if($_SESSION['config']['gdi_index'] == "true")
	{
		if($_POST['gid_id'] <> '')
		{
			$query .= " GID_ID = '".$_POST['gid_id']."' ,";
		}
		else
		{
			$_SESSION['error'] .= _GID_ID_MISSING.".<br/>";
		}
	}
	if($_SESSION['config']['corporate'] == "true")
	{
		if(isset($_POST['societe'])  )
		{
			$query .= " SOCIETE= '".$_POST['societe']."' ,";
		}
		else
		{
			$_SESSION['error'] .= _SOCIETY_FORGOTTEN."<br/>";
		}
	}
	if(isset($_POST['service']) && !empty($_POST['service']))
	{
		$query .= " DESTINATION = '".$_POST['service']."' ,";
	}
	elseif(isset($_SESSION['courrier']['service']) && !empty($_SESSION['courrier']['service']))
	{
		$query .= " DESTINATION = '".$_SESSION['courrier']['service']."' ,";
	}
	else
	{
		$_SESSION['error'] .= _DEPARTMENT_FORGOTTEN."<br/>";
	}
	if(isset($_POST['type_list']) && !empty($_POST['type_list']))
	{
		$query .= " TYPE_ID = '".$_POST['type_list']."' ,";
	}
	else
	{
		$_SESSION['error'] .= _TYPE_FORGOTTEN."<br/>";
	}
	if(isset($_POST['nature']) && !empty($_POST['nature']))
	{
		$query .= " CUSTOM_T2 = '".$_POST['nature']."' ,";
	}
	else
	{
		$_SESSION['error'] .= _INVOICE_TYPE_FORGOTTEN."<br/>";
	}
	if(isset($_POST['objet']) && !empty($_POST['objet']))
	{
		$query .= " DESCRIPTION = '".$_POST['objet']."' ,";
	}
	if( isset($_POST['priority']) )
	{
		$query .= " PRIORITY = '".$_POST['priority']."' ,";
	}
	if(isset($_POST['date_doc_date']) && !empty($_POST['date_doc_date']))
	{
		$tmp = $func->inverse_date($_POST['date_doc_date']);
		$tmp = str_replace(' ', '', $tmp);
		if( preg_match("/[0-3][0-9]-[0-1][0-9]-[1-2][0-9][0-9][0-9]/",$_POST['date_doc_date'])==false )
		{
			$_SESSION['error'] .= _WRONG_DATE_FORMAT.' : '.$_POST['date_doc_date'];
		}
		else
		{
			$query .= " DOC_DATE = '".$tmp."' , ";
		}
	}
	if(isset($_POST['date_shipping_date']) && !empty($_POST['date_shipping_date']))
	{
		$tmp = $func->inverse_date($_POST['date_shipping_date']);
		$tmp = str_replace(' ', '', $tmp);
		if( preg_match("/[0-3][0-9]-[0-1][0-9]-[1-2][0-9][0-9][0-9]/",$_POST['date_shipping_date'])==false )
		{
			$_SESSION['error'] .= _WRONG_DATE_FORMAT.' : '.$_POST['date_shipping_date'];
		}
		else
		{

			if ($_POST['hidden_out'])
			{
				$query .= " CREATION_DATE = '".$tmp."' , ";
			}
			else
			{
				$query .= " CUSTOM_D1 = '".$tmp."' , ";
			}
		}
	}

	if(isset($_POST['date_limit_date']) && !empty($_POST['date_limit_date']))
	{
		$tmp = $func->inverse_date($_POST['date_limit_date']);
		$tmp = str_replace(' ', '', $tmp);
		if( preg_match("/[0-3][0-9]-[0-1][0-9]-[1-2][0-9][0-9][0-9]/",$_POST['date_limit_date'])==false )
		{
			$_SESSION['error'] .= _WRONG_DATE_FORMAT.' : '.$_POST['date_limit_date'];
		}
		else
		{
			$query .= " CUSTOM_D2 = '".$tmp."' , ";
			// With this update, we need to change date in CUSTOM_D4 and CUSTOM_D5 by types
			// First, we need restore value of this doctypes, no need to doctypes??

			$update_db_types = new dbquery();
			$update_db_types -> connect();
			$update_db_types -> query("SELECT DATEDIFF('".$tmp."',CUSTOM_D2) as HOW_LONG from ".$_SESSION['ressources'][0]['tablename']." WHERE RES_ID = '".$s_id."'; ");
			//$update_db_types -> show();
			$result_interval = $update_db_types->fetch_object();
			$pos = strpos($result_interval->HOW_LONG, "-");
			if ($pos === false) {
				$negative = false;
			} else {
				$negative = true;
			}

			if ($negative == true)
			{
				$my_interval_value = str_replace('-', '',$result_interval->HOW_LONG);
				$query .= "CUSTOM_D4 = (CUSTOM_D4 - INTERVAL ".$my_interval_value." DAY) , ";
				$query .= "CUSTOM_D5 = (CUSTOM_D5 - INTERVAL ".$my_interval_value." DAY) , ";
			}
			else
			{
				$my_interval_value = $result_interval->HOW_LONG;
				$query .= "CUSTOM_D4 = (CUSTOM_D4 + INTERVAL ".$my_interval_value." DAY) , ";
				$query .= "CUSTOM_D5 = (CUSTOM_D5 + INTERVAL ".$my_interval_value." DAY) , ";
			}

		}
	}
	if( isset($_POST['domain']) )
	{
		$query .= " COVERAGE = '".$_POST['domain']."' ,";
	}
	
	if(empty($_SESSION['error']))
	{
		if( $_SESSION["diffusion"]->get_dest_user )
			$query .= "DEST_USER = '".$_SESSION["diffusion"]->get_dest_user."', ";
		else
			$query .= "DEST_USER = NULL, ";
	
		//Prepare Mailing
		if(	$_SESSION['is_diff'])
		{
			if($_SESSION['config']['enablechangenotif'] == "true")
			{
				$mail_trait = "<html><style type=\"text/css\">
					<!--
					.titre { color:#FF6600; }
					-->
					</style>
					<body>
					<div align=\"center\" class=\"titre\" ><b>"._MAIL_TO_PROCESS.".</b></div><br/>
					<p> "._HELLO.",<br>"._NEED_PROCESS_LETTER." :</p>
					<ul>
						<li> "._LETTER_N." ".$s_id." "._TO_TYPE." ".$_POST['type_list']." ("._OBJECT." : ".$_POST['objet'].") "._RECEIVE_THE." ".$date_crea." "._RECEIVE_FROM." ".$emetteur." "._LIMIT_PROCESS." ".$date_lim." :
							 <a href='".$_SESSION['config']['MaarchURL']."process.php?id=".$s_id."' >"._ACCESS_MAIL_TO_PROCESS."</a> </li></ul> <br/>
						</body></html>";

					$mail_copie = "<html><style type=\"text/css\">
			<!--
			.titre { color:#FF6600; }
			-->
			</style>
			<body>
			<div align=\"center\" class=\"titre\" ><b>"._MAIL_IN_COPY."</b></div><br/>
			<p> "._HELLO.",<br> "._YOU_HAVE_MAIL_COPY." :</p>
			<ul>";

				$nom = "";
				$connexion->query("select LASTNAME, FIRSTNAME from ".$_SESSION['tablename']['users']." where USER_ID = '".$_SESSION["diffusion"]->get_dest_user."'");
				$res = $connexion->fetch_object();
				$nom = $res->FIRSTNAME." ".$res->LASTNAME;
				$mail_copie .= "<li> "._LETTER_N." ".$s_id." "._TO_TYPE." ".$_POST['type_list']." ("._OBJECT." : ".$_POST['objet'].") "._RECEIVE_THE." ".$date_crea." "._RECEIVE_FROM." ".$emetteur." "._HAS_BEEN_TRANSFERED_BY." ".$nom." "._HAS_BEEN_PROCESSED_BEFORE." ".$date_lim." :
					 <a href='".$_SESSION['config']['MaarchURL']."index.php?page=details&id=".$s_id."' >"._SHOW_MAIL."</a> </li></ul> <br/>
				</body></html>\n\n";
			}
		}
	}
	
	if( isset($_SESSION['emet_exp']) && count($_SESSION['emet_exp']) > 0 )
	{
		
		if(( ! isset($_SESSION['emet_exp']['LASTNAME']) || empty($_SESSION['emet_exp']['LASTNAME'])) && !$_SESSION['emet_exp']['society_tag'])
		{
			$_SESSION['error'] .= _SHIPPER_FORGOTTEN."<br/>";
		}
		elseif( ( ! isset($_SESSION['emet_exp']['SOCIETY']) || empty($_SESSION['emet_exp']['SOCIETY']) ) && $_SESSION['emet_exp']['society_tag']=='society')
		{
			$_SESSION['error'] .= _SOCIETY_FORGOTTEN."<br/>";	
		}
		else
		{
		$query .= 
		"  	AUTHOR = '".addslashes($_SESSION['emet_exp']['LASTNAME'])."' ,
			CUSTOM_T3 = '".addslashes($_SESSION['emet_exp']['CIVILITY'])."' ,
			CUSTOM_T4 = '".addslashes($_SESSION['emet_exp']['FIRSTNAME'])."' ,
			CUSTOM_T9 = '".addslashes($_SESSION['emet_exp']['FUNCTION'])."' ,
			CUSTOM_T10 = '".addslashes($_SESSION['emet_exp']['STREET_NUM'])."' ,
			CUSTOM_T11 = '".addslashes($_SESSION['emet_exp']['STREET'])."' ,
			CUSTOM_T12 = '".addslashes($_SESSION['emet_exp']['TOWN'])."' , 
			CUSTOM_T13 = '".addslashes($_SESSION['emet_exp']['CP'])."' ,
			SOCIETE = '".addslashes($_SESSION['emet_exp']['SOCIETY'])."' ,";
					
		}
	}
	if(empty($_SESSION['error']))
	{
		$query = trim($query);
		$query = preg_replace("/,$/", "", $query);
		$connexion->query("UPDATE ".$table." set ".$query." where RES_ID = ".$s_id);
		$connexion->query("update ".$table." set destination = '".$_POST['service']."' where is_folder = 'N' and folder_id = '".$s_id."'");
		if($_SESSION['history']['resup'] )
		{
			require_once("class_history.php");
			$hist = new history();
			$hist->add($table, $s_id, "UP",_MODIF_MAIL_INDEX.$s_id);
		}
		
		$_SESSION["diffusion"]->store();
	
		//RAZ DIFFUSION
		if( isset($_SESSION["diffusion"]) )
		{
			unset($_SESSION["diffusion"]);
		}

		//NEW INSTANCE DIFFUSION
		$_SESSION["diffusion"] = 
		new diffusion($connexion,$_SESSION['user']['UserId'],$_SESSION['user']['delete_copy_rights'],$_SESSION['config']['modifycopylist'],
		$_SESSION['config']['redirect_list'],$_SESSION['config']['tag100_for_copy']);
		$_SESSION["diffusion"]->load_from_db("res_x",$s_id);
		
		$connexion->query("UPDATE ".$table." SET FLAG_NOTIF = 'N' WHERE RES_ID = '".$s_id."' AND (STATUS ='COU' OR STATUS = 'NEW') ");
	}
}

$_SESSION['detail_id'] =$s_id;
if(empty($_SESSION['error']) || $_SESSION['indexation'])
{
	$connexion->query("SELECT TITLE, DESCRIPTION, TYPE_ID, FORMAT, TYPIST, date(CREATION_DATE) as CREATION_DATE, DOC_DATE, FINGERPRINT, IDENTIFIER, CUSTOM_T1 as DEPARTMENT, AUTHOR, FILESIZE, STATUS, CUSTOM_D1, date(CUSTOM_D2) as CUSTOM_D2, VALIDATION_DATE, AUTHOR, AUTHOR_NAME, DEST_USER, DESTINATION, CUSTOM_T2, CUSTOM_T4, CUSTOM_T5, CUSTOM_T6, CUSTOM_T7, CUSTOM_T8, CUSTOM_D3, CUSTOM_T1, CUSTOM_T15, CUSTOM_T16, CUSTOM_T17, IS_INGOING, PRIORITY, SOCIETE, GID_ID, COLL_ID, COVERAGE FROM ".$table."  where RES_ID = ".$s_id);
}

?>
<h1 class="titdetail">
	<a href="#" onclick="history.go(-1);" class="back">&lt;<?php echo _BACK." ".$backlist; ?></a> <img src="<?php echo $_SESSION['config']['img'];?>/picto_detail_b.gif" alt="" /><?php echo _DETAILS." : "._AFFAIRE; ?> <?php echo $s_id; ?> <span>(<?php echo "<a href=\"show_folder_doc.php?id=".$s_id."\" target=\"_blank\"> "._SHOW_MAIL_FOLDER." </a>"; ?>)</span>
</h1>
	<div id="inner_content" class="clearfix">

<?php if(!empty($_SESSION['error']) && ! ($_SESSION['error'] == _NEW_DOC_ADDED) )
		{
		?>
		<div class="error">
				<br />
				<br />
				<br />
				<img src="<?php echo $_SESSION['config']['img'];?>/noresult.gif" /><br /><?php echo $_SESSION['error']; $_SESSION['error'] = "";?>
				<br />
				<br />
				<br />
		</div>
		<?php }
		else
		{
			if($connexion->nb_result() == 0)
			{
				?>
				<div class="error">
						<br />
						<br />
						<img src="<?php echo $_SESSION['config']['img'];?>/noresult.gif" /><br /><?php echo _NO_DOCUMENT_CORRESPOND_TO_IDENTIFIER; ?>.
						<br />
						<br />
						<br />
				</div>
				<?php }
			else
			{
					$courr = new LetterBox();
					$locked = true;
					
					$by_user_id = $courr->test_reserved_time($s_id, $table);
					
					if( $by_user_id == $_SESSION['user']['UserId'] || $by_user_id == null)
						$locked = false;
						
					$details = $connexion->fetch_object();

					$title = stripslashes($details->TITLE);
					$description = stripslashes($details->DESCRIPTION);

					$format = $details->FORMAT;
					$filesize = $details->FILESIZE;
					$creation_date = $details->CREATION_DATE;
					$doc_date = $details->DOC_DATE;
					$fingerprint = $details->FINGERPRINT;
					$ref = $details->IDENTIFIER;
					$_SESSION['courrier']['reference'] = $ref;
					$tmp = "";
					$type = $details->TYPE_ID;
					$_SESSION['courrier']['type_courrier'] = $type;
					$status= $details-> STATUS;
					$datearrivee= $details -> CUSTOM_D1;
					$validation_date= $details -> VALIDATION_DATE;
					$datelimitetraitement=$details -> CUSTOM_D2;
					$author = stripslashes($details->AUTHOR);
					$author_firstname = stripslashes($details->CUSTOM_T4);
					$author_name = $details->AUTHOR_NAME;
					$dest_user = $details->DEST_USER;
					$destination = $details->DESTINATION;
					$coll = $details->COLL_ID;
					$_SESSION['courrier']['service'] = $destination;
					$nature_envoi = $details -> CUSTOM_T2;
					$courrier = $details -> CUSTOM_T5;
					$direct = $details -> CUSTOM_T6;
					$mail = $details -> CUSTOM_T7;
					$courrierAR = $details -> CUSTOM_T15;
					$fax = $details -> CUSTOM_T16;
					$norep = $details -> CUSTOM_T17;
					$autre = $details -> CUSTOM_T8;
					$date_traitement = $details->CUSTOM_D3;
					$notes = $details->CUSTOM_T1;
					$typist = $details->TYPIST;
					$is_ingoing = $details->IS_INGOING;
					$priority = $details->PRIORITY;
					$societe = $details->SOCIETE;
					$gid_id = $details->GID_ID;
					$the_domain = $details->COVERAGE;
					$out = false;
					if($is_ingoing == 'N' || $status == 'OUT')
					{
						$out = true;
						$connexion->query('select LASTNAME, FIRSTNAME from '.$_SESSION['tablename']['users'].' where USER_ID = "'.$author.'"');
						if ($connexion->nb_result()>0)
						{
							$res = $connexion->fetch_object();
							$author = $res->FIRSTNAME.' '.$res->LASTNAME;
						}

					}

					$connexion->query("select LASTNAME, FIRSTNAME, STATUS, ENABLED from ".$_SESSION['tablename']['users']." where USER_ID = '".$typist."'");
					$res = $connexion->fetch_object();
					if($typist <> "AUTOIMPORT")
					{
						$typist = $res->FIRSTNAME.' '.$res->LASTNAME;
					}
					if($res->STATUS == 'OK')
					{
						if($res->ENABLED == 'N')
						{
							$typist .= ' <em>('._NOT_ENABLED.')</em>';
						}
					}
					else
					{
						if($typist <> "AUTOIMPORT")
						{
							$typist .= ' <em>('._DELETED.')</em>';
						}
					}

					$connexion->query("select date(CREATION_DATE) as CREATION_DATE, RES_ID, TITLE FROM res_x WHERE STATUS='REP' AND RELATION=".$s_id." order by CREATION_DATE desc");

					$rep = array();
					while($line = $connexion->fetch_object())
					{
						array_push($rep, array("ID" => $line->RES_ID, "DATE" => $connexion->inverse_date($line->CREATION_DATE), 'TITLE' => $line->TITLE));
					}

					if($_SESSION['user']['modif_rights'] && ($status != "END" && $status != "DEL" && $status != "MEP" && $status != "RJD") )
					{
					
						//SERVICE LIST : PREPARE REQUEST
						$services_req = "SELECT ID, SERVICE FROM ".$_SESSION['tablename']['services']."
										 WHERE ENABLED = 'Y' AND ( ID = '".$destination."' ";

						if( $_SESSION['config']['restricted_diffusion_access'] === "true" )
						{
							$services_req  .= " OR ID IN (";
							for( $t=0; $t<count($_SESSION['user']['services']); $t++ )
							{
								$services_req .= "'".$_SESSION['user']['services'][$t]['ID']."',";
							}
							$services_req =  substr($services_req, 0, -1);
							$services_req .= ") )";
						}
						else
						{
							$services_req .= " OR 1 )";
						}
						
						//SERVICE LIST : EXECUTE AND FETCH
						$connexion->query($services_req);
						
						$modif_services = array();
						while($res = $connexion->fetch_object())
						{
							array_push($modif_services, array('ID' => $res->ID, 'LABEL' => $res->SERVICE));
						}
						
						//TYPE LIST
						$connexion->query("select TYPE_ID, DESCRIPTION from ".$_SESSION['tablename']['doctypes']." where ENABLED = 'Y' order by description");
						
						$types_list = array();
						while($res = $connexion->fetch_object())
						{
							array_push($types_list, array('ID' => $res->TYPE_ID, 'LABEL' => $res->DESCRIPTION));
						}
					}
					else
					{
						//SERVICE
						$service = "";
						$connexion->query("select SERVICE FROM ".$_SESSION['tablename']['services']." WHERE ID ='".$destination."' ");
						$res = $connexion->fetch_object();
						$service = $res->SERVICE;
					
						//DEST USER
						$dest = "";
						$connexion->query("select FIRSTNAME, LASTNAME from ".$_SESSION['tablename']['users']." where USER_ID = '".$dest_user."'");
						$res = $connexion->fetch_object();
						$dest = $res->FIRSTNAME." ".$res->LASTNAME;
					}

					if(!empty($type))
					{
						$connexion->query("select DESCRIPTION, RES_TABLE from ".$_SESSION['tablename']['doctypes']." where TYPE_ID = '".$type."'");
						$line_sql = $connexion->fetch_object();
						$type = $line_sql->DESCRIPTION;
						$tmp =  $line_sql->RES_TABLE;
						for($i=0; $i < count($_SESSION['ressources']); $i++)
						{
							if($_SESSION['ressources'][$i]['tablename'] == $tmp)
							{
								$table = $_SESSION['ressources'][$i]['comment'];
								break;
							}
						}
					}
				?>
				
<!-- MES ONGLETS -->
<div id="ongletDetail">
	<ul id="menuo">
		<li class="courant">
			<a href="javascript://" id="_0" class="current" onclick="multiClass(this.id);" alt="menu1"><span><?php echo _LETTER_INFO_SHORT; ?></span></a>
		</li>
		<li class="nonCourant">
			<a href="javascript://" id="_1" class="ghost" onclick="multiClass(this.id);" alt="menu2"><span><?php echo _DIFFUSION_LIST; ?></span></a>
		</li>
		<li class="nonCourant">
			<a href="javascript://" id="_2" class="ghost" onclick="multiClass(this.id);" alt="menu3"><span><?php if( $is_ingoing == 'Y' ) echo _SHIPPER; else echo _SENDER; ?></span></a>
		</li>
		<li class="nonCourant">
			<a href="javascript://" id="_3" class="ghost" onclick="multiClass(this.id);" alt="menu4"><span><?php echo _NOTES_SHORT; ?></span></a>
		</li>
		<li class="nonCourant">
			<a href="javascript://" id="_4" class="ghost" onclick="multiClass(this.id);" alt="menu5"><span><?php echo _MAIL_HISTORY; ?></span></a>
		</li>
		<li class="nonCourant">
			<a href="javascript://" id="_5" class="ghost" onclick="multiClass(this.id);" alt="menu6"><span><?php echo _IN_THIS_AFF; ?></span></a>
		</li>
		<li class="nonCourant">
			<a href="javascript://" id="_6" class="ghost" onclick="multiClass(this.id);" alt="menu7"><span><?php echo _DOC_HISTORY_SHORT; ?></span></a>
		</li>
		<li class="nonCourant">
			<a href="javascript://" id="_7" class="ghost" onclick="multiClass(this.id);" alt="menu8"><span><?php echo _PROCESS_SHORT; ?></span></a>
		</li>
		
		<?php
		//BEGIN : ADDON MAILMANAGER
		$mailmanager = "spe_rueil/mailmanager.php";
		if( file_exists( $mailmanager ) )
		{
		?>
		<li class="nonCourant">
			<a href="javascript://" id="_8" class="ghost" onclick="multiClass(this.id);" alt="menu9"><span>Mail Manager</span></a>
		</li>
		<?php
		}
		//END : ADDON MAILMANAGER
		?>
		
	</ul>
	<!--<br style="clear: both;"/>-->
	<div style="clear: both;"></div>
	<div id="menu_0" class="on content">
		<form name="details_modif" id="details_modif" method="post" action="index.php?page=details&amp;id=<?php echo $s_id; ?>" class="forms">
		<h2 class="tit"><img src="<?php echo $_SESSION['config']['img'];?>/arrow_primary.gif" width="16" height="16" alt=""  align="middle" /><span class="date"><b><?php echo _LETTER_INFO;?> : </b></span></h2>
				<p>&nbsp;</p>
                <table cellpadding="0" cellspacing="0" border="0" class="listing detail">
				<!-- LIGNE 1 -->
				<tr class="col forms">
					<td class="int"><img src="<?php echo $_SESSION['config']['img'];?>/mini_type.gif" alt="" /><?php echo _TYPE; ?> :</td>
					<td class="detail"><?php if($_SESSION['user']['modif_rights'] && ($status != "END" && $status != "DEL" && $status != "MEP" && $status != "RJD") )
				  {
				  ?>
				  <select name="type_list" id="type_list" >
				  <?php for($i=0; $i < count($types_list); $i++)
					{
						?>
						<option value="<?php echo $types_list[$i]['ID'];?>" <?php if($_SESSION['courrier']['type_courrier'] == $types_list[$i]['ID']) { echo "selected=\"selected\""; } ?>><?php echo $types_list[$i]['LABEL']; ?></option>
						<?php }
				  ?>
				  </select>
				  <?php }
				  else
				  {
				  ?>
				 	 <input type="text" name="type_list" id="type_list" class="readonly" readonly="readonly" value="<?php echo $type; ?>"  />
					<?php } ?></td>
					<td class="void">&nbsp;</td>
					<td class="int"><img src="<?php echo $_SESSION['config']['img'];?>/nature_send.gif" alt=""/><?php echo _INVOICE_TYPE;?> :</td>
					<td class="detail"><?php if($_SESSION['user']['modif_rights'] && ($status != "END" && $status != "DEL" && $status != "MEP" && $status != "RJD") )
				  {
				  ?>
				  <select name="nature" id="nature" >
				  <?php for($i=0; $i < count($_SESSION['nature']); $i++)
					{
						?>
						<option value="<?php echo $_SESSION['nature'][$i];?>" <?php if($nature_envoi == $_SESSION['nature'][$i]) { echo "selected=\"selected\""; } ?>><?php echo $_SESSION['nature'][$i]; ?></option>
						<?php }
				  ?>
				  </select>
				  <?php }
				  else
				  {
				  ?>
				  <input type="text" name="nature" id="nature" class="readonly" readonly="readonly" value="<?php echo $nature_envoi; ?>"  />

				  <?php } ?></td>
				</tr>
				<!-- LIGNE 2 -->
				<tr class="forms">
					<td class="int"><img src="<?php echo $_SESSION['config']['img'];?>/object.gif" alt="" align="bottom"  /><?php echo _OBJECT; ?> :</td>
					<td class="detail"> <?php if($_SESSION['user']['modif_rights'] && ($status != "END" && $status != "DEL" && $status != "MEP" && $status != "RJD") )
				  {
				  ?><textarea style="width:200px;" name="objet" id="objet" ><?php echo $description; ?></textarea>

				  <?php }
				  else
				  {
				  ?><textarea style="width:200px;" name="objet" id="objet" class="readonly" readonly="readonly"><?php echo $description; ?></textarea>

					<?php } ?></td>
					<td class="void">&nbsp;</td>
					<td class="int"><img src="<?php echo $_SESSION['config']['img'];?>/etatdoc.gif" alt="" /><?php echo _MAIL_STATE;?> :</td>
					<td class="detail"> <input type="text" class="readonly" readonly="readonly" value="<?php if ($status=="NEW") { echo _TO_PROCESS;} elseif ($status=="COU") { echo _IN_PROGRESS;} elseif ($status=="END") { echo _CLOSED;}elseif($status == 'OUT'){echo _ONGOING;}elseif($status == "VAL"){ echo _VAL_STATUS;}elseif($status == "WAI"){ echo _WAITINGDOC;}elseif($status == 'DEL'){echo _DELETED_DOC; }elseif($status == 'FVA'){echo _FVA_WKF; }elseif($status == 'RJV'){echo _RJV_WKF; }elseif($status == 'RJT'){echo _RJT_WKF; }elseif($status == 'RJD'){echo _RJD_WKF; }elseif($status == 'MEP'){echo _MEP_WKF; }  ?>"  />  </td>
				</tr>
				<!-- LIGNE 3 -->
                <tr class="col forms">
               	 <td class="int"><img src="<?php echo $_SESSION['config']['img'];?>/small_calend.gif"  border="0" hspace="2" alt="" /><?php echo _DOC_DATE;?>
					</td>
					<td class="detail"> <?php $func2 = new functions(); ?>
							 <?php if(($status != "END" && $status != "DEL" && $status != "MEP" && $status != "RJD")&& $_SESSION['user']['modif_rights']) { ?>
							  <input name ="date_doc_date" id="date_doc_date" type="text" value="<?php echo str_replace('/', '-', $func2->dateformat($doc_date)); ?>" /><img src="<?php echo $_SESSION['config']['img']; ?>/but_calend.png" alt="<?php echo addslashes(_CALENDAR); ?>" id="for_date_doc_date" onclick="showCalender(this)" />
							 <?php }
							 else
							 { ?>
							  <input type="text" value="<?php echo $func2->dateformat($doc_date); ?>" readonly="readonly" class="readonly"/>
						 	<?php } ?>
					</td>
                    <td class="void">&nbsp;</td>
                	<td class="int"><img src="<?php echo $_SESSION['config']['img'];?>/small_calend.gif"  border="0" hspace="2" alt="" /><?php if($out){ echo _SHIPPING_DATE;}else{ echo _DATE_START;}?> :</td>
					<td class="detail">
					 <?php if(($status != "END" && $status != "DEL" && $status != "MEP" && $status != "RJD") && $_SESSION['user']['modif_rights'])
					  {
						if ($out)
						{
						 ?> <input type="hidden" name="hidden_out" value="true"/> <?php }	?>
						 <input name ="date_shipping_date" type="text" id="date_shipping_date" value="<?php if($out){echo str_replace('/', '-',$func2->dateformat($creation_date));} else {echo str_replace('/', '-',$func2->dateformat($datearrivee));} ?>"  /><img src="<?php echo $_SESSION['config']['img']; ?>/but_calend.png" alt="<?php echo addslashes(_CALENDAR); ?>" id="for_date_shipping_date" onclick="showCalender(this)" /></td>
					 <?php }
					 else
					 { ?>
						<input type="text" readonly="readonly" class="readonly" value="<?php if($out){echo $func2->dateformat($creation_date);} else {echo $func2->dateformat($datearrivee);} ?>"  /></td>
					<?php } ?>
                </tr>
				<!-- LIGNE 4 -->
				<tr class="forms">
					<td class="int"><img src="<?php echo $_SESSION['config']['img'];?>/small_calend.gif"  border="0" hspace="2" alt="" /><?php echo _DL_DATE;?> :</td>
					<td class="detail">  <?php $func2 = new functions(); ?>
				    <?php if(($status != "END" && $status != "DEL" && $status != "MEP" && $status != "RJD") && $_SESSION['user']['modif_rights']) { ?>
				    	<input type="text" readonly="readonly" class="readonly" value="<?php echo str_replace('/', '-', $func2->dateformat($creation_date)); ?>"  /></td> <?php }
					else
					{ ?>
						<input type="text" readonly="readonly" class="readonly" value="<?php echo $func2->dateformat($creation_date); ?>"  /></td> <?php } ?>
					<td class="void">&nbsp;</td>
					<td class="int"><img src="<?php echo $_SESSION['config']['img'];?>/small_calend.gif"  border="0" hspace="2" alt="" /><?php if ($status=="COU" || $status=="NEW")
					{  echo _LIMIT_DATE_PROCESS;?>
						<?php } else {echo _PROCESS_DATE; } ?> :
					</td>
					<td class="detail"><?php if(!$out)
					{
						if ($status != "END" && $status != "DEL" && $status != "MEP" && $status != "RJD")
						{
							if($_SESSION['user']['modif_rights'])
							{
								if($_SESSION['config']['update_limit_date'] == "true")
								{
									?>
									<input type="text" name="date_limit_date" id="date_limit_date" value="<?php if($datelimitetraitement <> NULL){echo str_replace('/', '-',$func2->dateformat($datelimitetraitement));}else{ /*echo _UNDEFINED;*/} ?>" /><img src="<?php echo $_SESSION['config']['img']; ?>/but_calend.png" alt="<?php echo addslashes(_CALENDAR); ?>" id="for_date_limit_date" onclick="showCalender(this)" />
									<?php 
								}
								else
								{
									?>
									<input type="text" readonly="readonly" class="readonly"value="<?php if($datelimitetraitement <> NULL){echo $func2->dateformat($datelimitetraitement);}else{ echo _UNDEFINED;} ?>" />
									<?php
								}
							}	
							else
							{
								?>
								<input type="text" readonly="readonly" class="readonly"value="<?php if($datelimitetraitement <> NULL){echo $func2->dateformat($datelimitetraitement);}else{ echo _UNDEFINED;} ?>" />
								<?php
							}
						}
						else
						{
							?>
							<input type="text" readonly="readonly" class="readonly" value="<?php if($datelimitetraitement <> NULL){echo $func2->dateformat($datelimitetraitement);}else{ echo _UNDEFINED;} ?>" />
							<?php
						}
					}
					else
					{
						?>
						<input type="text" readonly="readonly" class="readonly" value="<?php echo _UNDEFINED;?>" />
						<?php
					}
					?>
					</td>
				</tr>
				<!-- LIGNE 5-->
				 <tr class="col forms">
                <?php if(!$out )
				{
				?>
					<td class="int"><img src="<?php echo $_SESSION['config']['img'];?>/mail_new.gif" alt=""/><?php echo _PRIORITY;?> : </td>
					<td class="detail">
				  <?php if($_SESSION['user']['modif_rights'] && ($status != "END" && $status != "DEL" && $status != "MEP" && $status != "RJD") )
					  {
					  ?>
						  <select name="priority" id="priority" >
						  <?php 
						  	foreach($_SESSION['priority'] as $k_pt => $d_pt)
							{
								if( is_array($d_pt) && !empty($d_pt['label']) )
								{
								?>
									<option value="<?php echo $k_pt;?>"<?php if( $k_pt == $priority) { echo 'selected="selected"'; } ?>><?php echo $d_pt['label']; ?></option>
								<?php 
								}
							}
							?>
						  </select>
					  <?php 
					  }
					  else
					  {?>
                	       <input type="text" readonly="readonly" class="readonly" name="priority" id="priority" value="<?php echo $_SESSION['priority'][$priority]['label'];?>"/>
            	      <?php 
					  }?>
					 </td>
        	         <td class="void">&nbsp;</td>

			<?php } ?>
			<td class="int"><img src="<?php echo $_SESSION['config']['img'];?>/groupsmall.gif"  align="bottom" alt="" /><?php echo _DEPARTMENT;?> :</td>
					  <td class="detail">
                  <?php 
				  if($_SESSION['user']['modif_rights'] && ($status != "END" && $status != "DEL" && $status != "MEP" && $status != "RJD") )
				  {
					 	if ($_SESSION['config']['redirect_list'] == 'true')
						{
							?><select name="service" id="service" onchange="document.getElementById('list_diff').src='liste_diffusion_view.php?serv_id='+this.options[this.selectedIndex].value;<?php if($_SESSION['user']['modif_rights'] && ($status != "END" && $status != "DEL" && $status != "MEP" && $status != "RJD") )
							{
								if($_SESSION['config']['enable_topics'] == "true")
									echo "updateListBox('domainbox', this.value);";
							} 
							?>">
							<?php 
						}
						else
						{
						?>
							<select name="service" id="service">
						<?php 
						}
						?>
					<option value=""><?php echo _CHOOSE_DEPARTMENT;?> </option>
					<?php for($i=0; $i < count($modif_services); $i++)
					{
						?>
						<option value="<?php echo $modif_services[$i]['ID'];?>" <?php if($destination  == $modif_services[$i]['ID']) { echo "selected=\"selected\""; } ?>><?php echo str_replace('\\', '', $modif_services[$i]['LABEL']); ?></option>
						<?php 
					}
					
					?>
				</select>
					 <?php 
				  }
				  else
				  {
				  ?>
				  <input type="text" name="service" id="service" class="readonly" readonly="readonly" value="<?php echo str_replace('\\', '', $service); ?>"  />
				  <?php 
				  } ?>
                  </td>
				</tr>
				<!-- LIGNE 6 -->
				<tr class="forms">
				<td class="int"> <img src="<?php echo $_SESSION['config']['img'];?>/picto_change.gif"  align="bottom" alt="" /> <?php echo _MAIL2;?> :</td>
					  <td class="detail">
					  <?php if ($is_ingoing == 'Y')
								$is_ingoing_label_value = _INGOING;
							elseif ($is_ingoing == 'N')
								$is_ingoing_label_value = _ONGOING;
								?>

					  <input type="text" name="isingoing" id="isingoing" class="readonly" readonly="readonly" value="<?php echo $is_ingoing_label_value; ?>"  />
				</td>
				<td class="void">&nbsp;</td>
				<?php 
				if($_SESSION['config']['collectivities'] == "true")
				{
					include_once($_SESSION['config']['includedir']."/addon_collectivities.php");
				?>

	     		<td class="int">
					<img src="<?php echo $_SESSION['config']['img'];?>/groupsmall.gif"  align="bottom" alt="" /><?php echo _COLL;?> :
				</td>
				<td class="detail">
					  <input type="text" name="collectivity" id="collectivity" class="readonly" readonly="readonly" value="<?php echo str_replace('\\', '', get_label_collectivity($coll)); ?>"  />
				</td>

	     		<?php 
				} 
				else
				{
				?>
				<td class="int">&nbsp;</td>
				<td class="detail">&nbsp;</td>
				<?php
				}
				?>
				</tr>
				<!-- LIGNE 7 -->
				<tr class="col forms">
				<?php
				if($_SESSION['config']['enable_topics'] == "true")
				{
				?>
					<td class="int"><img src="<?php echo $_SESSION['config']['img'];?>/object.gif" alt=""/><?php echo _DOMAIN;?> : </td>
					<td class="detail">
					<?php
					
					if($_SESSION['user']['modif_rights'] && ($status != "END" && $status != "DEL" && $status != "MEP" && $status != "RJD") )
					{
						?>
						<script language="javascript">
							function GetXmlHttpObject()
							{
								var req = null;
								if (window.XMLHttpRequest)
								{
						 			req = new XMLHttpRequest();
								}
								else if (window.ActiveXObject)
								{
									try {
										req = new ActiveXObject("Msxml2.XMLHTTP");
									} catch (e)
									{
										try {
											req = new ActiveXObject("Microsoft.XMLHTTP");
										} catch (e) {}
									}
						        }
								return req;
							}

							function updateListBox(ID, Param)
							{
								if (Param!="")
								{
									//link to the PHP file your getting the data from
									var loaderphp = "dropdown_loader.php";
									xmlHttp = GetXmlHttpObject();
									xmlHttp.onreadystatechange=function()
									{
										if (xmlHttp.readyState == 1)
										{
											document.getElementById(ID).innerHTML = "Loading...";
										}
										if(xmlHttp.readyState==4)
										{
											//This set the dat from the php to the html
											document.getElementById(ID).innerHTML = xmlHttp.responseText;
										}
									}
									//alert(loaderphp+"?id="+ID+"&value="+Param);
									//alert(loaderphp+"?id="+ID+"&value="+Param);
									xmlHttp.open("GET", loaderphp+"?id="+ID+"&value="+Param,true);
									xmlHttp.send(null);
								}
							}
						</script>
						<?php
						require_once("class_domains.php");
						$domains = array();
						
						if (!empty($destination))
						{
							$dom = new domain();
							$domains = $dom->get_domains($destination);
						}
					  ?>
						<span id="domainbox">
						  <select name="domain" id="domain">
						  <option value=""><?php echo _CHOOSE_DOMAIN;?> </option>
						  <?php 
						  	foreach($domains as $key)
							{
								foreach($key as $topic)
								{
									?>
									<option value="<?php echo $topic['ID'];?>" <?php if($topic['ID'] == $the_domain) { echo "selected=\"selected\"";}?>><?php echo $topic['LABEL'];?></option>
									<?php 
								}
							}
							?>
						  </select>
						 </span>
					  <?php 
					}
					else
					{
						require_once("class_domains.php");
						$dom = new domain();
						$domains = array();
					?>
						<input type="text" readonly="readonly" class="readonly" name="domain" id="domain" value="<?php echo $dom->get_domain_label($the_domain);?>"/>
            	    <?php 
					}
					?>
					 </td>
				<?php
				}
				else
				{
				?>
					<td class="int">&nbsp;</td>
					<td class="detail">&nbsp;</td>
				<?php
				}
				?>
				<td class="void">&nbsp;</td>
				  <?php if($_SESSION['config']['gdi_index'] == "true")
					{
						echo '<td class="int">'._GID_ID.' : </td>';
						echo '<td class="detail">';
						
						if($_SESSION['user']['modif_rights'] && ($status != "END" && $status != "DEL" && $status != "MEP" && $status != "RJD") )
						{
							echo '<input type="text" class="longtext" name="gid_id" id="gid_id" value="'.$gid_id.'"  />';
						}
						else
						{
							echo '<input type="text" readonly="readonly" class="readonly" name="gid_id" id="gid_id" value="'.$gid_id.'"  />';
						}
						echo '</td>';
					}
					else
					{
						echo '<td class="int"></td>';
						echo '<td class="detail"> ';
					} ?>
				</td>
				</tr>
			</table>

	

		<!-- PROPRIETES DU COURRIER (NON MODIFIABLE)-->
		<p>&nbsp;</p><p>&nbsp;</p>
         <h2 class="tit">
         <img src="<?php echo $_SESSION['config']['img'];?>/arrow_primary.gif" width="16" height="16"  align="middle" alt="" /> <span ><b><?php echo _FILE_PROPERTIES;?> :</b> </span>
        </h2>
       <table cellpadding="0"   cellspacing="0" border="0" class="listing detail forms">
				<tr>
					<td class="int"><?php echo _CREATOR; ?> :</td>
					<td class="detail"> <input type="text" class="readonly-bis" readonly="readonly" value="<?php echo $typist; ?>"  /></td>
					<td class="void">&nbsp;</td>
					<td class="int"><?php echo _REGISTERED_IN_BASE_THE; ?> :</td>
					<td class="detail"><input type="text" class="readonly-bis" readonly="readonly" value="<?php echo $func->dateformat($creation_date); ?>" /></td>
				</tr>
      			<tr class="col">
					<td class="int"><?php echo  _FORMAT; ?> :</th>
					<td class="detail"><input type="text" class="readonly-bis" readonly="readonly" value="<?php echo $format; ?>"  /></td>
					<td class="void">&nbsp;</td>
					<th class="int"><?php echo _SIZE; ?> :</th>
					<td class="detail"> <input type="text" class="readonly-bis" readonly="readonly" value="<?php echo $filesize." "._BYTES." ( ".round($filesize/1024,2)."K )"; ?>"  /></td>
				</tr>
				<tr>
					<td class="int"><?php echo _MAIL_IDENTIFIER; ?> :</th>
					<td class="detail">  <input type="text" class="readonly-bis" readonly="readonly" value="<?php echo $ref; ?>" /></td>
					<td class="void">&nbsp;</td>
					<td class="int"><?php echo _N_GED; ?> :</th>
					<td class="detail"><input type="text" class="readonly-bis" readonly="readonly" value="<?php echo $s_id; ?>"  /></td>
				</tr>
			</table>
            <br/><p>&nbsp;</p><p>&nbsp;</p>
		<input type="hidden" name="action_value" id="action_value"/>
		</form>
	</div>
	<!-- -->
	<div id="menu_1" class="off content">
		<!-- LISTE DE DIFFUSION -->
		<table border="0">
		<tr>
			<td>
				<h2 class="tit"><img src="<?php echo $_SESSION['config']['img'];?>/ico_people.gif" alt="" /> <?php echo _DIFFUSION_LIST; ?> :</h2>
			</td>
			<td>
			<?php 
			if (($status !=  "END" && $status !=  "DEL" && $status != "RJD" && $status != "MEP") && $_SESSION['user']['modif_rights']) 
			{ 
			?>
				<img src="<?php echo $_SESSION['config']['img'];?>/modif_liste.png" border="0" alt="" />
				<a href="javascript://" class="choice" onclick="ouvreFenetre('popup_diff.php', 800, 750)">
				<?php echo _UPDATE_DIFFUSION_LIST;?></a>
			<?php 
			} 
			?>
			</td>
		</tr>
		</table>
		<iframe frameborder="0" name="list_diff" id="list_diff" src="liste_diffusion.php" height="568" width="800" scrolling="auto"></iframe>
	</div>
	<!-- -->
	<div id="menu_2" class="off content">
		<!-- GESTION DES EMETTEURS / EXPEDITEURS -->
		<h2 class="tit"><img src="<?php echo $_SESSION['config']['img'];?>/arrow_primary.gif" width="16" height="16" align="middle" alt="" /> <span class="date"><b><?php if( $is_ingoing == 'Y' ) echo _SHIPPER; else echo _SENDER; ?></b></span></h2>
		<iframe src="emet_exp_update.php?id=<?php echo $s_id; ?>" name="emet_exp_update" width="800" height="580" scrolling="auto" frameborder="0" class="forms" id="emet_exp_update"></iframe>
	</div>
	<!-- -->
	<div id="menu_3" class="off content">
		<!-- ANNOTATIONS DU COURRIER -->
		<table border="0">
		<tr>
			<td>
				<h2 class="tit"><img src="<?php echo $_SESSION['config']['img'];?>/ico_notes.gif" alt="" /> <?php echo _NOTES; ?> :</h2>
			</td>
			<td>
				<?php if ($dest_user <> '#courrier#' && $status <> 'DEL' && ($status != "END" && $status != "DEL" && $status != "MEP" && $status != "RJD") )
				{
					if($_SESSION['config']['private_notes'] == "true")
					{
						$windowSize = '500, 700';
					}
					else{
						$windowSize = '500, 250';
					}
					?>
					<img src="<?php echo $_SESSION['config']['img'];?>/modif_liste.png" border="0" alt="" />
					<a href="javascript://" class="choice" onclick="ouvreFenetre('notes_add.php?id=<?php echo $s_id; ?>', <?php echo $windowSize;?>)">
						<?php echo _ADD_NOTE;?>
					</a>
					<?php } else { echo '&nbsp;';}
				if ($_SESSION['user']['print_rights'] == true)
				{
				?>
					<a href="javascript://" class="choice" onclick="ouvreFenetre('print_notes.php?id=<?php echo $s_id; ?>', 850, 900)">
					<img src="<?php echo $_SESSION['config']['img'];?>/printer.png" border="0" alt="" />
					<?php echo _PRINT_NOTE;?>
					</a>
					<?php } ?>
			</td>
		</tr>
		</table>
		<iframe src="notes_courrier.php?id=<?php echo $s_id; ?>" name="notes_courrier" width="800" height="574" scrolling="auto" frameborder="0" class="forms" id="notes_courrier"  ></iframe>
	</div>
	<!-- -->
	<div id="menu_4" class="off content">
		<!-- LISTE DES COURRIELS ENVOY�S -->
		<h2 class="tit"><img src="<?php echo $_SESSION['config']['img'];?>/arrow_primary.gif" width="16" height="16" alt=""  align="middle" /><span class="date"><b> <?php echo _MAIL_HISTORY;?> : </b></span></h2>
		<iframe src="mail_send.php?id=<?php echo $s_id; ?>" name="show_mail_list" width="800" height="580"  scrolling="auto" frameborder="0" id="show_mail_list" ></iframe>
	</div>
	<!-- -->
	<div id="menu_5" class="off content">
		<!-- GESTION DES DOCUMENTS DE L'AFFAIRE -->
		<h2 class="tit"><img src="<?php echo $_SESSION['config']['img'];?>/arrow_primary.gif" width="16" height="16" alt=""  align="middle" /><span class="date"><b> <?php echo _IN_THIS_AFF;?> : </b></span></h2>
		<iframe src="show_folder_doc_detail.php?id=<?php echo $s_id; ?>&cmd=read" name="show_folder_doc" width="800" height="580"  scrolling="auto" frameborder="0" id="show_folder_doc"  ></iframe>
	</div>
	<!-- -->
	<div id="menu_6" class="off content">
		<!-- HISTORIQUE DU COURRIER -->
		<h2 class="tit"><img src="<?php echo $_SESSION['config']['img'];?>/arrow_primary.gif" width="16" height="16" align="middle" alt="" /> <span class="date"><b><?php echo _DOC_HISTORY;?> :</b> </span></h2>
		<iframe src="hist_courrier.php?id=<?php echo $s_id; ?>" name="hist_courrier" width="800" height="580" scrolling="auto" frameborder="0" class="forms" id="hist_courrier"  ></iframe>
	</div>
	<div id="menu_7" class="off content">
		<!-- TRAITEMENT -->
		<h2 class="tit"><img src="<?php echo $_SESSION['config']['img'];?>/arrow_primary.gif" width="16" height="16" alt=""  align="middle" /><span class="date"><b> <?php echo _MAIL_PROCESS_DONE;?> : </b></span></h2>
		<iframe src="answer_frame.php?id=<?php echo $s_id; ?>" name="answer_frame" width="800" height="580"  scrolling="auto" frameborder="0" id="answer_frame"  ></iframe>	
	</div>
	<?php
	
	//BEGIN : MAILMANAGER ADDON
	$mailmanager = "spe_rueil/mailmanager.php";
	if( file_exists( $mailmanager ) )
	{
	?>
	<div id="menu_8" class="off content">
	<!-- MAILMANAGER -->
	<h2 class="tit">
	<img src="<?php echo $_SESSION['config']['img'];?>/arrow_primary.gif" width="16" height="16" align="middle" alt="" /> 
	<span ><b>Mailmanager :</b></span>
	</h2>
	<iframe src="<?php echo $mailmanager; ?>?id=<?php echo $s_id; ?>" name="mm_frame" width="800" height="580"  scrolling="auto" frameborder="0" id="mm_frame"></iframe>
	</div>
	
	<?php
	}
	//END : MAILMANAGER ADDON
	?>
	
	<hr/>
	
	<!-- ACTIONS -->
	<h2 class="tit"><img src="<?php echo $_SESSION['config']['img'];?>/arrow_primary.gif" width="16" height="16" align="middle" alt="" /> <span ><b><?php echo _POSSIBLE_ACTIONS; ?> :</b> </span></h2>
		<form name="action_details">
			<p align="center">
			<select id="action">
				<option value="window.open('view.php?id=<?php echo $s_id;?>', '', 'scrollbars=yes,menubar=no,toolbar=no,resizable=yes,status=no,width='+screen.availWidth+',height='+screen.availHeight);"><?php echo _SHOW_MAIL_FOLDER; ?></option>
				<?php
				
				if(!$locked)
				{
					if($_SESSION['user']['modif_rights'] && ($status != "END" && $status != "DEL" && $status != "MEP" && $status != "RJD"))
					{
						?>
						<option value="$('action_value').value = '<?php echo _UPDATE_INFO; ?>'; $('details_modif').submit();"><?php echo _UPDATE_INFO; ?></option>
						<?php
					}
					if($_SESSION['user']['delete_rights'] && ($status <> "DEL" ))
					{
						?>
						<option value="$('action_value').value = '<?php echo _DELETE_DOC; ?>'; if(confirm('<?php echo _REALLY_DELETE." ".strtolower(_THE_DOC)." ".$s_id; ?> ?\n<?php echo _DEFINITIVE_ACTION; ?>')){ $('action_value').value = '<?php echo _DELETE_DOC; ?>'; $('details_modif').submit(); }"><?php echo _DELETE_CASE;?></option>
						<?php
					}
					if($_SESSION['user']['redirection'])
					{
						?>
						<option value="window.open('redirect_user.php','', 'scrollbars=yes,menubar=no,toolbar=no,resizable=yes,status=no,width=800,height=500');"><?php echo _REDIRECT_LETTER; ?></option>
						<?php 
					}
					if ($dest_user == $_SESSION['user']['UserId']  && ( $status != "END" && $status != "DEL" && $status != "MEP" && $status != "RJD" ))
					{
						?>
						<option value="window.open('process.php?id=<?php echo $s_id;?>','', 'scrollbars=yes,menubar=no,toolbar=no,resizable=yes,status=no,width='+screen.availWidth+',height='+screen.availHeight);"><?php echo _PROCESSING_THIS_LETTER; ?></option>
						<?php 
					}
					if($_SESSION['user']['attachment_rights'] && ($status != "END" && $status != "DEL" && $status != "MEP" && $status != "RJD"))
					{
						?>
						<option value="window.open('search_doc.php?doc_to_attach=<?php echo $s_id; ?>&find_folder=true&redirect_page=choose_attach_doc_result', 'ww', 'scrollbars=yes,menubar=no,toolbar=no,resizable=yes,status=no,width=900,height=800');"><?php echo _ATTACH_TO_FOLDER2;?></option>
						<?php 
					}
				}
				
				if ($_SESSION['user']['mail_rights'])
				{
					?>
					<option value="window.open('send_doc.php?folder_id=<?php echo $s_id;?>&clean=true', 'ww', 'scrollbars=yes,menubar=no,toolbar=no,resizable=yes,status=no,width=750,height=630');"><?php echo _SEND_BY_MAIL;?></option>
					<?php 
				}
								
				if($_SESSION['config']['enablefolder'] == "true" && $_SESSION['user']['folder_rights'] === true )
				{
					?>
					<option value="window.open('folders_put.php?id=<?php echo $s_id; ?>', '', 'width=1050px,height=890px,scrollbars=yes,menubar=no,toolbar=no,resizable=no,status=no');"><?php echo _PUT_FOLDER;?></option>

					<?php
				}
				
				if ($_SESSION['user']['print_rights'])
				{
					?>
					<option value="window.open('print_details.php?id=<?php echo $s_id; ?>','', 'scrollbars=auto,menubar=no,toolbar=no,resizable=yes,status=no,width=350,height=350');"><?php echo _PRINT_DETAIL;?></option>
					<?php 
				}
			?>
			</select>
			<input name="valid" type="button" value="<?php echo _VALIDATE; ?>" onClick="if( $('action').value ) eval($('action').value);" class="button"/>
			</p>
		</form>
	<!-- FIN ACTIONS -->
</div>
<!-- FIN MES ONGLETS -->
<?php }
}
?>
</div>
