<?php /**
* File : service_add.php
*
* Add department form
*
* @package Maarch LetterBox 2.3
* @version 2.0
* @since 10/2007
* @license GPL
* @author  Claire Figueras  <dev@maarch.org>
*/

require("test_param.php");

require_once("class_db.php");
require("class_letterbox.php");

$func = new functions();
$db = new dbquery();
$db->connect();

if( !isset($_SESSION['m_admin']['services']['listmodel']) )
	$_SESSION['m_admin']['services']['listmodel'] = array();



function update_listmodel($id,$name,$list_model,$assoc_service=null)
{
	global $db;
	$res_table = "res_x";
	
	$query = "UPDATE ".$_SESSION['tablename']['listmodel_assoc']." 
			  SET NAME = '".addslashes($name)."'";
	
	//ASSOC SERVICE
	if( $assoc_service == null )
		$query .= ", ASSOC_SERVICE = NULL";
	else
		$query .= ", ASSOC_SERVICE = '".addslashes($assoc_service)."'";
	
	$query .= " WHERE ID = ".$id;
	$db->query($query);
	
	$db->query("DELETE FROM ".$_SESSION['tablename']['listmodel']." WHERE ID = ".$id);
	
	foreach( array_values($list_model) as $k_lm => $d_lm )
	{
		//CASE USER
		if( isset($d_lm['USER_ID']) && !empty($d_lm['USER_ID']) )
		{
			$db->query("INSERT INTO ".$_SESSION['tablename']['listmodel']." 
						(ID,RES_TABLE,SEQUENCE,USER_ID) 
						VALUES (".$id.",'".addslashes($res_table)."',".($k_lm + 1).",'".addslashes($d_lm['USER_ID'])."') ");
		}
		//CASE SERVICE
		else
		{
			$db->query("INSERT INTO ".$_SESSION['tablename']['listmodel']." 
						(ID,RES_TABLE,SEQUENCE,SERVICE_ID) 
						VALUES (".$id.",'".addslashes($res_table)."',".($k_lm + 1).",'".addslashes($d_lm['DEPARTMENT_ID'])."') ");
		}
	}
}

function add_listmodel($name,$list_model,$assoc_service=null)
{
	global $db;
	$res_table = "res_x";
	
	$query = "INSERT INTO ".$_SESSION['tablename']['listmodel_assoc']." 
			  (NAME,ASSOC_SERVICE) VALUES ('".addslashes($name)."',";
	
	//ASSOC SERVICE
	if( $assoc_service == null )
		$query .= " NULL )";
	else
		$query .= "'".addslashes($assoc_service)."')";
	
	$db->query($query);
	$last_insert_id = @mysql_insert_id();
	
	foreach( array_values($list_model) as $k_lm => $d_lm )
	{
		//CASE USER
		if( isset($d_lm['USER_ID']) && !empty($d_lm['USER_ID']) )
		{
			$db->query("INSERT INTO ".$_SESSION['tablename']['listmodel']." 
						(ID,RES_TABLE,SEQUENCE,USER_ID) 
						VALUES (".$last_insert_id.",'".$res_table."',".($k_lm + 1).",'".addslashes($d_lm['USER_ID'])."') ");
		}
		//CASE SERVICE
		else
		{
			$db->query("INSERT INTO ".$_SESSION['tablename']['listmodel']." 
						(ID,RES_TABLE,SEQUENCE,SERVICE_ID) 
						VALUES (".$last_insert_id.",'".$res_table."',".($k_lm + 1).",'".addslashes($d_lm['DEPARTMENT_ID'])."') ");
		}
	}
}

if(  isset($_GET['action']) && $_GET['action'] == "up" )
{
	$mode = "up";
	
	//POST
	if( isset($_POST) && isset($_POST['submit']) && isset($_POST['id']) && is_numeric($_POST['id']) )
	{
		if( $_POST['assoc_service'] == "NULL" )
			update_listmodel($_POST['id'],$_POST['label'],$_SESSION['m_admin']['services']['listmodel']);
		else
			update_listmodel($_POST['id'],$_POST['label'],$_SESSION['m_admin']['services']['listmodel'],$_POST['assoc_service']);
	
		$_SESSION['m_admin']['diffusion_list']['LABEL'] = $_POST['label'];
		$_SESSION['m_admin']['diffusion_list']['ASSOC_SERVICE'] = $_POST['assoc_service'];
		
		?>
		<script>window.location.href='index.php?page=diffusion_list_admin';</script>
		<?php
		exit;
	}
	//GET
	else if( is_numeric($_GET['id']) )
	{
		$db->query("SELECT NAME, ASSOC_SERVICE FROM ".$_SESSION['tablename']['listmodel_assoc']."
					WHERE ID = ".$_GET['id']);
				
		$res = $db->fetch_object();
		$_SESSION['m_admin']['diffusion_list']['LABEL'] = stripslashes($res->NAME);
		$_SESSION['m_admin']['diffusion_list']['ASSOC_SERVICE'] = stripslashes($res->ASSOC_SERVICE);
		
		//LOAD DIFF_LIST
		$_SESSION['m_admin']['services']['listmodel'] = array();
		
		//USER CASE
		$db->query("SELECT l.USER_ID, u.FIRSTNAME, u.LASTNAME, u.DEPARTMENT, s.SERVICE, u.MAIL, l.SEQUENCE
					FROM ".$_SESSION['tablename']['listmodel']." l,
					users u LEFT JOIN services s ON ( u.DEPARTMENT = s.ID ) 
					WHERE l.ID ='".$_GET['id']."' AND l.USER_ID = u.USER_ID 
					ORDER BY SEQUENCE");
		
		while( $res = $db->fetch_object() )
		{
			if( $res->USER_ID )
			{
				$_SESSION['m_admin']['services']['listmodel'][] = 
				array(	"USER_ID"=> stripslashes($res->USER_ID),
						"FIRSTNAME" => stripslashes($res->FIRSTNAME),
						"LASTNAME" =>  stripslashes($res->LASTNAME),
						"DEPARTMENT_ID" => stripslashes($res->DEPARTMENT),
						"DEPARTMENT" => stripslashes($res->SERVICE),
						"MAIL" => stripslashes($res->MAIL),
						"SEQUENCE" => stripslashes($res->SEQUENCE)	
					);
			}
		}
		
		//SERVICE CASE
		$db->query("SELECT l.SERVICE_ID, s.SERVICE, l.SEQUENCE
					FROM ".$_SESSION['tablename']['listmodel']." l, services s 
					WHERE l.ID ='".$_GET['id']."' AND l.SERVICE_ID = s.ID 
					ORDER BY SEQUENCE");
		
		while( $res = $db->fetch_object() )
		{
			if( $res->SERVICE_ID )
			{
				$_SESSION['m_admin']['services']['listmodel'][] = 
				array(	"DEPARTMENT_ID" => stripslashes($res->DEPARTMENT),
						"DEPARTMENT" => stripslashes($res->SERVICE),
						"SEQUENCE" => stripslashes($res->SEQUENCE)	
					);
			}
		}
	}
}
else if( isset($_GET['action']) && $_GET['action'] == "add" )
{
	$mode = "add";

	//POST
	if( isset($_POST) && isset($_POST['submit']) )
	{
		if( $_POST['assoc_service'] == "NULL" )
			add_listmodel($_POST['label'],$_SESSION['m_admin']['services']['listmodel']);
		else
			add_listmodel($_POST['label'],$_SESSION['m_admin']['services']['listmodel'],$_POST['assoc_service']);
	
		unset($_SESSION['m_admin']['diffusion_list']['LABEL']);
		unset($_SESSION['m_admin']['diffusion_list']['ASSOC_SERVICE']);
	
		
		?>
		<script>window.location.href='index.php?page=diffusion_list_admin';</script>
		<?php
		exit;
	}
	//GET
	else
	{
		$_SESSION['m_admin']['diffusion_list']['LABEL'] = "";
		$_SESSION['m_admin']['diffusion_list']['ASSOC_SERVICE'] = "";
	}
}
else
{
	exit;
}


//////////////////////////////////////////////////////////////////////////////////////////////////////////


?>
<h1><img src="<?php echo $_SESSION['config']['img'];?>/picto_add_b.gif" alt="" />
<?php 
if($mode == "up")
{
	echo _DIFF_LIST_MODIF;
}
else if($mode == "add")
{
	unset($_SESSION['m_admin']['services']['listmodel']);
	$_SESSION['m_admin']['services']['listmodel'] = array();
	echo _DIFF_LIST_ADDITION;
}
?>
</h1>
<div id="inner_content" class="clearfix">
	<div id="type_box" class="bloc">
		<p>
			<iframe name="types_liste_diff" id="types_liste_diff" src="types_liste_diff.php" class="frameform2"  frameborder="0"></iframe>
		</p>
	</div>
	<form name="frmservice" id="frmservice" method="post" action="index.php?page=diffusion_list_up&action=<?php echo $mode; if( isset($_GET['id'])){ ?>&id=<?php echo $_GET['id']; }?>" class="forms addforms">
	<p>
		<label for="label"><?php echo _DIFF_LIST_NAME; ?> : </label>
		<textarea name="label" id="label"><?php echo $func->show($_SESSION['m_admin']['diffusion_list']['LABEL']); ?></textarea><span class="red_asterisk">*</span>
	</p>
	<p>
		<label for="label"><?php echo _DIFF_LIST_ASSOC_SERVICE; ?> : </label>
		<select id="assoc_service" name="assoc_service">
			<?php
			
			$db->query("SELECT ID, SERVICE
						FROM ".$_SESSION['tablename']['services']."
						WHERE ENABLED = 'Y' 
						AND ID NOT IN (	SELECT ASSOC_SERVICE 
										FROM ".$_SESSION['tablename']['listmodel_assoc']." 
										WHERE ASSOC_SERVICE IS NOT NULL
										GROUP BY ASSOC_SERVICE )
						OR ID = '".$_SESSION['m_admin']['diffusion_list']['ASSOC_SERVICE']."'
						ORDER BY SERVICE");
			
			if( $_SESSION['config']['free_diffusion_list'] == "true" )
				echo "<option value=\"NULL\">"._ANY."</option>";

			while( $res = $db->fetch_object() )
			{
				if( isset($_SESSION['m_admin']['diffusion_list']['ASSOC_SERVICE']) && $_SESSION['m_admin']['diffusion_list']['ASSOC_SERVICE'] == $res->ID )
					echo "<option value=\"".$res->ID."\" selected=\"selected\">".$func->show($res->SERVICE)."</option>";
				else
					echo "<option value=\"".$res->ID."\">".$func->show($res->SERVICE)."</option>";
			}
			
			?>
		</select><span class="red_asterisk">*</span>
	</p>
	<p class="buttons">
		<input type="hidden" name="id" value="<?php if( isset($_GET['id']) ){ echo $_GET['id']; }?>"/>
		<input type="submit" class="button"  name="submit" value="<?php echo _VALIDATE; ?>"/>
		<input type="button" class="button"  name="cancel" value="<?php echo _CANCEL; ?>" onClick="javascript:window.location.href='index.php?page=diffusion_list_admin';" />
	</p>
	</form>
</div>

