<?php /**
* File : emet_index_list.php
*
* Frame : choose a shipper
*
* @package Maarch LetterBox 2.3
* @version 2.5
* @since 06/2007
* @license GPL
* @author  Claire Figueras  <dev@maarch.org>
*/    

include("session.php");
require_once("class_functions.php");
require_once("class_db.php");
$db  = new dbquery();

if(file_exists($_SESSION['config']['lang'].'.php'))
{
	include($_SESSION['config']['lang'].'.php');
}
else
{
	$_SESSION['error'] = "Language file missing...<br/>";
}


//On efface tout ce qui concerne les expediteurs
unset($_SESSION['new_exp']);
unset($_SESSION['exp_id']);
unset($_SESSION['last_exp_search']);
unset($_SESSION['last_exp_result']);

function search_emet($search)
{
	global $db;
	
	if( strlen(trim($search)) < 1 )
		return array();

	$db->connect();
	$db->query("SELECT ID, LASTNAME, FIRSTNAME, SOCIETY FROM ".$_SESSION['tablename']['senders']."
				WHERE TOCONTACT IS NULL
				AND ( 	LASTNAME LIKE '%".strtolower($search)."%' 
						OR LASTNAME LIKE '%".strtoupper($search)."%'
						OR FIRSTNAME LIKE '%".strtolower($search)."%'
						OR FIRSTNAME LIKE '%".strtoupper($search)."%'
						OR SOCIETY LIKE '%".strtoupper($search)."%'
						OR SOCIETY LIKE '%".strtoupper($search)."%'		)
				GROUP BY ID
				ORDER BY LASTNAME, FIRSTNAME, SOCIETY, ID
				LIMIT 0,5");
	
	$return=array();
	
	while($res = $db->fetch_object())
		$return[$res->ID] = array("LASTNAME"=>$res->LASTNAME,"FIRSTNAME"=>$res->FIRSTNAME,"SOCIETY"=>$res->SOCIETY);
		
	$db->deco();
		
	return $return;	
}

//Recherche Ajax
if( isset($_GET['ajax']) )
{
	if( isset($_GET['emet_search']) && !empty($_GET['emet_search']) )
	{
		//On efface l'emetteur
		unset($_SESSION['emet_id']);
		unset($_SESSION['new_emet']);
	
		//Requete Ajax de recherche
		echo "<ul>";
		foreach( search_emet($_GET['emet_search']) as $key => $result )
		{
			echo "<li id=\"".$key."\">";
			if( trim($result["LASTNAME"]) == trim($result["SOCIETY"]) && empty($result["FIRSTNAME"]) )
			{
				echo "[".$result["SOCIETY"]."]";
			}
			else
			{
				echo $result["LASTNAME"];
				if( !empty($result["FIRSTNAME"]) ) echo ",".$result["FIRSTNAME"]."";
				if( !empty($result["SOCIETY"]) ) echo " [".$result["SOCIETY"]."]";
			}
			echo "</li>";
		}
		echo "</ul>";
	}
	
	//On sauvegarde la derniere valeur de recherche
	$_SESSION['last_emet_search'] = trim($_GET['emet_search']);
	unset($_SESSION['last_emet_result']);
	
	//Sortie
	exit;
}

//SPECIFIQUE QUALIFICATION
/*
if ($_SESSION['courrier']['qualif_tmp_sender'])
	$_SESSION['last_emet_search'] = $_SESSION['courrier']['qualif_tmp_sender'];
*/


//Suppression d'un emetteur
if(isset($_GET['action']) && $_GET['action'] == "remove" )
{
	unset($_SESSION['new_emet']);
	unset($_SESSION['emet_id']);
	
	//Retour point de depart
	header("location: emet_index_list.php");
}

//Selection d'un resultat
if( isset($_POST['emet_id']) && !empty($_POST['emet_id']) )
{
	//On vient de selectionner un nouvel emetteur
	$_SESSION['emet_id'] = $_POST['emet_id'];
	
	//On sauvegarde la derniere valeur de recherche
	unset($_SESSION['last_emet_search']);
	$_SESSION['last_emet_result'] = trim(stripslashes($_POST['emet_search']));
	
	//On recharge la page pour eviter d'avoir l'alert de repost du navigateur
	header("location: emet_index_list.php");
}

//SESSION
if( isset($_SESSION['emet_id']) )
{
	$db->connect();
	$db->query("SELECT ID, CIVILITY, LASTNAME, FIRSTNAME, SOCIETY, FUNCTION, STREET_NUM, STREET, TOWN, CP 
				FROM ".$_SESSION['tablename']['senders']."
				WHERE TOCONTACT IS NULL
				AND ID = '".$_SESSION['emet_id']."'");
	
	if($res = $db->fetch_object())
	{
		//Afin de recuperer les valeurs dans la popup de modification d'emmetteur, on pose le reste des informations 
		$_SESSION['new_emet']['CIVILITY'] = $res->CIVILITY;
		$_SESSION['new_emet']['LASTNAME'] = $res->LASTNAME;
		$_SESSION['new_emet']['FIRSTNAME'] = $res->FIRSTNAME;
		$_SESSION['new_emet']['SOCIETY'] = $res->SOCIETY;
		$_SESSION['new_emet']['FUNCTION'] = $res->FUNCTION;
		$_SESSION['new_emet']['STREET_NUM'] = $res->STREET_NUM;
		$_SESSION['new_emet']['STREET'] = $res->STREET;
		$_SESSION['new_emet']['TOWN'] = $res->TOWN;
		$_SESSION['new_emet']['CP'] = $res->CP; 
		
	}
}	
?>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $_SESSION['config']['lang'] ?>" lang="<?php echo $_SESSION['config']['lang'] ?>">
<head>
	<title><?php echo $_SESSION['config']['applicationname']; ?></title>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta http-equiv="Content-Language" content="<?php echo $_SESSION['config']['lang'] ?>" />
	<link rel="stylesheet" type="text/css" href="<?php echo $_SESSION['config']['css']; ?>" media="screen" />
	<!--[if lt IE 7.0]>  <link rel="stylesheet" type="text/css" href="<?php echo $_SESSION['config']['css_IE']; ?>" media="screen" />  <![endif]-->
	<!--[if gte IE 7.0]>  <link rel="stylesheet" type="text/css" href="<?php echo $_SESSION['config']['css_IE7']; ?>" media="screen" />  <![endif]-->
	<style type="text/css"></style>
	<script type="text/javascript" src="js/functions.js"></script>
</head>
<body>
	
<?php 
if( isset($_SESSION['new_emet']) && !isset($_SESSION['emet_id']) )
{
?>
	<form method="post" class="<?php if( isset($_SESSION['current_basket']['page']) && $_SESSION['current_basket']['page'] == 'courrier' ) echo "forms"; else echo "forms enregistrement";?>">
	<div style="margin-top: 10px;">
		<span>
			<a href="emet_index_add.php" target="_blank" onclick="window.open(this.href,'LetterBoxe','scrollbars=yes,menubar=no,toolbar=no,resizable=yes,status=no,width=420,height=450'); return false;" ><img style="margin-bottom: 5px;" border="0" align="center" src="img/modif_liste.png"/></a>
			<a href="emet_index_list.php?action=remove"><img style="margin-bottom: 5px;" border="0" align="center" src="img/del_liste.png"/></a>
		</span>
		<label for="new_emet"><?php echo _SHIPPER_ADDED;?> :</label>
		<input name="new_emet" type="text" style="width: 160px" disabled
		<?php
		$value = "value = \"";
		$value .= $_SESSION['new_emet']['LASTNAME'];
		if(!empty($_SESSION['new_emet']['FIRSTNAME'])) $value .= ",".$_SESSION['new_emet']['FIRSTNAME'];
		if(!empty($_SESSION['new_emet']['SOCIETY'])) $value .= "[".$_SESSION['new_emet']['SOCIETY']."]";
		$value .= "\"";
		
		echo $value;
		?>
		/>
		
		<span class="red_asterisk">* </span>
	
	</div>
<?php 
}
else
{
?>
	<form method="post" id="emet_form" class="<?php if( isset($_SESSION['current_basket']['page']) && $_SESSION['current_basket']['page'] == 'courrier' ) echo "forms"; else echo "forms enregistrement";?>">
		<div style="margin-top: 10px;">
			<span>
				<a href="emet_index_add.php" target="_blank" onclick="window.open(this.href,'LetterBoxe','scrollbars=yes,menubar=no,toolbar=no,resizable=yes,status=no,width=420,height=450'); return false;" ><img style="margin-bottom: 5px;" border="0" align="center" src="img/modif_liste.png"/></a>
			</span>
			<label for="emet_search"><?php echo _CHOOSE_SHIPPER;?> : </label>
			<input name="emet_search" id="emet_search" type="text" autocomplete = "off" style="width: 193px" 
			<?php
				$value = "value = \"";
				$value .= $_SESSION['new_emet']['LASTNAME'];
				if(!empty($_SESSION['new_emet']['FIRSTNAME'])) $value .= ",".$_SESSION['new_emet']['FIRSTNAME'];
				if(!empty($_SESSION['new_emet']['SOCIETY'])) $value .= "[".$_SESSION['new_emet']['SOCIETY']."]";
				$value .= "\"";
		
				echo $value; 
				//if( isset($_SESSION['last_emet_result']) ) echo "value = \"".$_SESSION['last_emet_result']."\"";
				
				/*
				if( isset($_SESSION['courrier']['qualif_tmp_sender']) ) 
				{ 
					echo "value = \"".$_SESSION['courrier']['qualif_tmp_sender']."\""; 
					unset($_SESSION['courrier']['qualif_tmp_sender']); 
				}
				*/
				?>
			/>
			<div id="auto_emet_search" class="autocomplete" style="max-height:50px; overflow:auto;"></div>
			<script type="text/javascript">
				new Ajax.Autocompleter("emet_search","auto_emet_search","emet_index_list.php?ajax",{
					method:'get',
					maxHeight:100,
					paramName:'emet_search',
					minChars: 1,
					afterUpdateElement : function(input,li){
						var input_emet_id = document.createElement("input");
						input_emet_id.setAttribute("type","hidden");
						input_emet_id.setAttribute("name","emet_id");
						input_emet_id.value = li.getAttribute("id");
						$('emet_form').appendChild(input_emet_id);
						$('emet_form').submit();
					}
				});		
			</script>
			<span class="red_asterisk">* </span>
			</div>
		</form>
<?php 
}
?>
</body>
</html>

