<?php /**
* File : exp_index_list.php
*
* Frame : choose a shipper
*
* @package Maarch LetterBox 2.3
* @version 2.5
* @since 06/2007
* @license GPL
* @author  Claire Figueras  <dev@maarch.org>
*/    

include("session.php");
require_once("class_functions.php");
require_once("class_db.php");
$db  = new dbquery();
 

if(file_exists($_SESSION['config']['lang'].'.php'))
{
	include($_SESSION['config']['lang'].'.php');
}
else
{
	$_SESSION['error'] = "Language file missing...<br/>";
}


//On efface tout ce qui concerne les emetteurs
unset($_SESSION['new_emet']);
unset($_SESSION['emet_id']);
unset($_SESSION['last_emet_search']);
unset($_SESSION['last_emet_result']);


function search_exp($search)
{
	global $db;
	
	if( strlen(trim($search)) < 1 )
		return array();

	$db->connect();
	$db->query("SELECT ID, LASTNAME, FIRSTNAME, SOCIETY FROM ".$_SESSION['tablename']['senders']."
				WHERE TOCONTACT = 'EXT'
				AND ( 	LASTNAME LIKE '%".strtolower($search)."%' 
						OR LASTNAME LIKE '%".strtoupper($search)."%'
						OR FIRSTNAME LIKE '%".strtolower($search)."%'
						OR FIRSTNAME LIKE '%".strtoupper($search)."%'
						OR SOCIETY LIKE '%".strtoupper($search)."%'
						OR SOCIETY LIKE '%".strtoupper($search)."%'	)
				ORDER BY LASTNAME, FIRSTNAME, SOCIETY, ID
				LIMIT 0,5");
	
	$return=array();
	
	while($res = $db->fetch_object())
		$return[$res->ID] = array("LASTNAME"=>$res->LASTNAME,"FIRSTNAME"=>$res->FIRSTNAME,"SOCIETY"=>$res->SOCIETY);
		
	$db->query("SELECT USER_ID, LASTNAME, FIRSTNAME FROM ".$_SESSION['tablename']['users']."
				WHERE ( LASTNAME LIKE '%".strtolower($search)."%' 
						OR LASTNAME LIKE '%".strtoupper($search)."%'
						OR FIRSTNAME LIKE '%".strtolower($search)."%'
						OR FIRSTNAME LIKE '%".strtoupper($search)."%' )
				ORDER BY LASTNAME, FIRSTNAME, USER_ID
				LIMIT 0,5");
	
	while($res = $db->fetch_object())
		$return[$res->USER_ID] = array("LASTNAME"=>$res->LASTNAME,"FIRSTNAME"=>$res->FIRSTNAME);
	
	$db->deco();
		
	return $return;	
}

//Recherche Ajax
if( isset($_GET['ajax']) )
{
	if( isset($_GET['exp_search']) && !empty($_GET['exp_search']) )
	{
		//On efface l'expediteur
		unset($_SESSION['exp_id']);
		unset($_SESSION['new_exp']);
	
		//Requete Ajax de recherche
		echo "<ul>";
		foreach( search_exp($_GET['exp_search']) as $key => $result )
		{
			echo "<li id=\"".$key."\">";
			if( trim($result["LASTNAME"]) == trim($result["SOCIETY"]) && empty($result["FIRSTNAME"]) )
			{
				echo "[".$result["SOCIETY"]."]";
			}
			else
			{
				echo $result["LASTNAME"];
				if( !empty($result["FIRSTNAME"]) ) echo ",".$result["FIRSTNAME"]."";
				if( !empty($result["SOCIETY"]) ) echo " [".$result["SOCIETY"]."]";
			}
			echo "</li>";
		}
		echo "</ul>";
	}
	
	//On sauvegarde la derniere valeur de recherche
	$_SESSION['last_exp_search'] = trim($_GET['exp_search']);
	unset($_SESSION['last_exp_result']);
	
	//Sortie
	exit;
}

//SPECIFIQUE QUALIFICATION
/*
if ($_SESSION['courrier']['qualif_tmp_shipper'])
	$_SESSION['last_exp_search'] = $_SESSION['courrier']['qualif_tmp_shipper'];
*/
//ACTION
if(isset($_GET['action']) && $_GET['action'] == "remove" )
{
	unset($_SESSION['new_exp']);
	unset($_SESSION['exp_id']);
	
	//Retour point de depart
	header("location: exp_index_list.php");
}

//Selection d'un resultat
if( isset($_POST['exp_id']) && !empty($_POST['exp_id']) )
{
	//On vient de selectionner un nouvel expediteur
	$_SESSION['exp_id'] = $_POST['exp_id'];
	
	//On sauvegarde la derniere valeur de recherche
	unset($_SESSION['last_exp_search']);
	$_SESSION['last_exp_result'] = trim(stripslashes($_POST['exp_search']));
	
	//On recharge la page pour eviter d'avoir l'alert de repost du navigateur
	header("location: exp_index_list.php");
}


//SESSION
if( isset($_SESSION['exp_id']) )
{
	$db->connect();
	$db->query("SELECT  ID, CIVILITY, LASTNAME, FIRSTNAME, SOCIETY, FUNCTION, STREET_NUM, STREET, TOWN, CP FROM ".$_SESSION['tablename']['senders']."
				WHERE TOCONTACT = 'EXT'
				AND ID = '".$_SESSION['exp_id']."'");
	
	if($res = $db->fetch_object()){
		$_SESSION['new_exp']['value'] = "true";
		$_SESSION['new_exp']['CIVILITY'] = $res->CIVILITY;
		$_SESSION['new_exp']['LASTNAME'] = $res->LASTNAME;
		$_SESSION['new_exp']['FIRSTNAME'] = $res->FIRSTNAME;
		$_SESSION['new_exp']['SOCIETY'] = $res->SOCIETY;
		$_SESSION['new_exp']['FUNCTION'] = $res->FUNCTION;
		$_SESSION['new_exp']['STREET_NUM'] = $res->STREET_NUM;
		$_SESSION['new_exp']['STREET'] = $res->STREET;
		$_SESSION['new_exp']['TOWN'] = $res->TOWN;
		$_SESSION['new_exp']['CP'] = $res->CP; 
		
	}
	$db->query("SELECT USER_ID, LASTNAME, FIRSTNAME FROM ".$_SESSION['tablename']['users']."
				WHERE USER_ID = '".$_SESSION['exp_id']."'");
				
	if($res = $db->fetch_object())
	{
		$_SESSION['new_exp']['LASTNAME'] = $res->LASTNAME;
		$_SESSION['new_exp']['FIRSTNAME'] = $res->FIRSTNAME;
	}
}	
	
?>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $_SESSION['config']['lang'] ?>" lang="<?php echo $_SESSION['config']['lang'] ?>">
<head>
	<title><?php echo $_SESSION['config']['applicationname']; ?></title>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta http-equiv="Content-Language" content="<?php echo $_SESSION['config']['lang'] ?>" />
	<link rel="stylesheet" type="text/css" href="<?php echo $_SESSION['config']['css']; ?>" media="screen" />
	<!--[if lt IE 7.0]>  <link rel="stylesheet" type="text/css" href="<?php echo $_SESSION['config']['css_IE']; ?>" media="screen" />  <![endif]-->
	<!--[if gte IE 7.0]>  <link rel="stylesheet" type="text/css" href="<?php echo $_SESSION['config']['css_IE7']; ?>" media="screen" />  <![endif]-->
	<script type="text/javascript" src="js/functions.js"></script>
</head>
<body>
	
<?php 
if( isset($_SESSION['new_exp']) && !isset($_SESSION['exp_id']) )
{
?>
	<form method="post" class="<?php if( isset($_SESSION['current_basket']['page']) && $_SESSION['current_basket']['page'] == 'courrier' ) echo "forms"; else echo "forms enregistrement";?>">
	<div style="margin-top: 10px;">
		<span>
			<a href="exp_index_add.php" target="_blank" onclick="window.open(this.href,'LetterBoxe','scrollbars=yes,menubar=no,toolbar=no,resizable=yes,status=no,width=420,height=450'); return false;" ><img style="margin-bottom: 5px;" border="0" align="center" src="img/modif_liste.png"/></a>
			<a href="exp_index_list.php?action=remove"><img style="margin-bottom: 5px;" border="0" align="center" src="img/del_liste.png"/></a>
		</span>	
		<label for="new_exp"><?php echo _SENDER_ADDED;?> :</label>
		<input name="new_exp" type="text" style="width: 160px" disabled
		<?php
		$value = "value = \"";
		$value .= $_SESSION['new_exp']['LASTNAME'];
		if(!empty($_SESSION['new_exp']['FIRSTNAME'])) $value .= ",".$_SESSION['new_exp']['FIRSTNAME'];
		if(!empty($_SESSION['new_exp']['SOCIETY'])) $value .= "[".$_SESSION['new_exp']['SOCIETY']."]";
		$value .= "\"";
		
		echo $value;
		?>
		/>
		</div>
<?php 
} 
else
{
?>
	<form method="post" id="exp_form" class="<?php if( isset($_SESSION['current_basket']['page']) && $_SESSION['current_basket']['page'] == 'courrier' ) echo "forms"; else echo "forms enregistrement";?>">
	<div style="margin-top: 10px;">
		<span>
			<a href="exp_index_add.php" target="_blank" onclick="window.open(this.href,'LetterBoxe','scrollbars=yes,menubar=no,toolbar=no,resizable=yes,status=no,width=420,height=450'); return false;" ><img style="margin-bottom: 5px;" border="0" align="center" src="img/modif_liste.png"/></a>
		</span>
		<label for="exp_search"><?php echo _CHOOSE_SENDER;?> :</label>
		<input name="exp_search" id="exp_search" type="text" autocomplete = "off" style="width: 193px"
		<?php 
			if( isset($_SESSION['last_exp_result']) ) echo "value = \"".$_SESSION['last_exp_result']."\"";
			
			/*
			if( isset($_SESSION['courrier']['qualif_tmp_sender']) ) 
			{ 
				echo "value = \"".$_SESSION['courrier']['qualif_tmp_sender']."\""; 
				unset($_SESSION['courrier']['qualif_tmp_sender']); 
			}
			*/
			?>
		/>
			
		<div id="auto_exp_search" class="autocomplete" style="max-height:50px; overflow:auto;"></div>
		<script type="text/javascript">
			new Ajax.Autocompleter("exp_search","auto_exp_search","exp_index_list.php?ajax",{
				method:'get',
				maxHeight:100,
				paramName:'exp_search',
				minChars: 1,
				afterUpdateElement : function(input,li){
					var input_exp_id = document.createElement("input");
					input_exp_id.setAttribute("type","hidden");
					input_exp_id.setAttribute("name","exp_id");
					input_exp_id.value = li.getAttribute("id");
					$('exp_form').appendChild(input_exp_id);
					$('exp_form').submit();
				}
			});		
		</script>
		<span class="red_asterisk">* </span>
		</div>
	</form>
<?php 
}
?>
</body>
</html>

