<?php /**
* File : form_auth_dep.php
*
* Frame in the authorised departments basket page
*
* @package Maarch LetterBox 2.3
* @version 1.0
* @since 10/2007
* @license GPL
* @author  Claire Figueras  <dev@maarch.org>
*/
                              
 include("session.php");
if(file_exists($_SESSION['config']['lang'].'.php'))
{
	include($_SESSION['config']['lang'].'.php');
}
else
{
	$_SESSION['error'] = "Language file missing...<br/>";
}

require_once("class_functions.php");
require_once("class_db.php");
require_once("class_letterbox.php");
$numLetter = new LetterBox();

if($_SESSION['current_basket']['abs_basket'] && !empty($_SESSION['current_basket']['basket_owner']))
{
	
	require_once("class_basket.php");
	$bask = new basket();
	$services = $bask->load_services($_SESSION['current_basket']['basket_owner'] );
}
else
{
	$services =	$_SESSION['user']['services'];
}
//$services = $_SESSION['user']['services'];
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $_SESSION['config']['lang'] ?>" lang="<?php echo $_SESSION['config']['lang'] ?>">
<head>
	<title><?php echo $_SESSION['config']['applicationname']; ?></title>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta http-equiv="Content-Language" content="<?php echo $_SESSION['config']['lang'] ?>" />
	<link rel="stylesheet" type="text/css" href="<?php echo $_SESSION['config']['css']; ?>" media="screen" />
	<!--[if lt IE 7.0]>  <link rel="stylesheet" type="text/css" href="<?php echo $_SESSION['config']['css_IE']; ?>" media="screen" />  <![endif]-->
	<!--[if gte IE 7.0]>  <link rel="stylesheet" type="text/css" href="<?php echo $_SESSION['config']['css_IE7']; ?>" media="screen" />  <![endif]-->
	<script type="text/javascript" src="js/functions.js"></script>
    <?php if(isset($_REQUEST['valid']) && !empty($_REQUEST['valid']))
{
	if(isset($_REQUEST['service']) && !empty($_REQUEST['service']))
	{
		$_SESSION['tmpbasket']['service'] = $_REQUEST['service'];
	}
	else
	{
		$_SESSION['tmpbasket']['service'] = $_SESSION['user']['services'][0]['ID'];
	}
	
	if(isset($_REQUEST['status']) && !empty($_REQUEST['status']))
	{
		$_SESSION['tmpbasket']['status'] = $_REQUEST['status'];
	}
	else
	{
		$_SESSION['tmpbasket']['status'] = "all";
	}
?>
<script type="text/javascript" language="javascript">window.parent.frames['dep_result'].location.href='dep_result.php';</script>
<?php } ?>
</head>
<body id="iframe">
<form name="form_auth_dep" id="form_auth_dep" method="post" action="form_auth_dep.php"   >
    <span>
    	<label><?php echo _DEPARTMENT;?> : </label> 
        <select name="service" id="service" >
        <?php 
		$mailCount = '';
		for($i=0; $i < count($services);$i++)
		{
			if($_SESSION['config']['mail_count'] == "true"){
				$mailCount = ' ('.$numLetter->getCountLetter($services[$i]['ID']).')';
			}
			
			?>
            	<option value="<?php echo $services[$i]['ID'];?>" <?php if($_SESSION['tmpbasket']['service'] == $services[$i]['ID']) { echo 'selected="selected"';}?>><?php echo str_replace('\\', '', $services[$i]['LABEL']).$mailCount;?></option>
<?php 
		}
?>
        </select>
    </span>
    <span>
    	<label><?php echo _MAIL_STATUS_SHORT;?> : </label>
        <select name="status" id="status">
       	<option value="all" <?php if($_SESSION['tmpbasket']['status'] == "all") { echo 'selected="selected"';}?>><?php echo _ALL;?></option>
        <option value="in_progress" <?php if($_SESSION['tmpbasket']['status'] == "in_progress") { echo 'selected="selected"';}?>><?php echo _IN_PROGRESS;?></option>
        <option value="new" <?php if($_SESSION['tmpbasket']['status'] == "new") { echo 'selected="selected"';}?>><?php echo _NEW;?></option>
        <option value="late" <?php if($_SESSION['tmpbasket']['status'] == "late") { echo 'selected="selected"';}?>><?php echo _LATE;?></option>
		<?php if ($_SESSION['config']['action_waitingdoc'] == "true")
		{
				?><option value="wait" <?php if($_SESSION['tmpbasket']['status'] == "wait") { echo 'selected="selected"';}?>><?php echo _WAITINGDOC; ?></option> <?php }
		?>
		<?php 
		if ($_SESSION['config']['workflow'] == "true")
		{
				?>
				<option value="fva" <?php if($_SESSION['tmpbasket']['status'] == "fva") { echo 'selected="selected"';}?>><?php echo _FVA_WKF; ?></option>
				<option value="rjv" <?php if($_SESSION['tmpbasket']['status'] == "rjv") { echo 'selected="selected"';}?>><?php echo _RJV_WKF; ?></option>
				<option value="rjt" <?php if($_SESSION['tmpbasket']['status'] == "rjt") { echo 'selected="selected"';}?>><?php echo _RJT_WKF; ?></option>
				<option value="rjd" <?php if($_SESSION['tmpbasket']['status'] == "rjd") { echo 'selected="selected"';}?>><?php echo _RJD_WKF; ?></option>
				<option value="mep" <?php if($_SESSION['tmpbasket']['status'] == "mep") { echo 'selected="selected"';}?>><?php echo _MEP_WKF; ?></option>
				<?php 
		}
		?>
        </select>
    </span>
    <span>
    	<input type="submit" id="valid" name="valid" value="<?php echo _VALIDATE;?>" class="button" />
    </span>
    </form>
</body>
</html>
