<?php

include("session.php");

require_once("class_functions.php");
require_once("class_db.php");
require_once("class_letterbox.php");
require_once("modules/gdd/class/class_gdd.php");
include("include/fonction.php");

if(file_exists($_SESSION['config']['lang'].'.php'))
{
	include($_SESSION['config']['lang'].'.php');
}
else
{
	$_SESSION['error'] = "Language file missing...<br/>";
}


#################################################################

include("modules/gdd/includes/fonction.php");

#################################################################
#################################################################
#################################################################
#################################################################
#################################################################
#################################################################
#################################################################
#################################################################
#################################################################
#################################################################
#################################################################
#################################################################


function index()
{
	global $_SESSION;

	#########################################################################
	### Création de différents objets
	#########################################################################

	$db = new dbquery();
	$db->connect();
	
	$func = new functions();

	$gdd = new gdd();
	
	###################################################
	### Initialisation des valeurs de la demande
	###################################################

	$Vli_chiffre_gdd = 152;
	$Vli_annee_gdd = 2010;
	$Vls_type_label_gdd = "EV";
	$Vls_type_nom_gdd = "Espace Vert";
	
	$gdd->set_chiffre($Vli_chiffre_gdd);
	$gdd->set_annee($Vli_annee_gdd);
	$gdd->set_type_label($Vls_type_label_gdd);
	$gdd->set_type_nom($Vls_type_nom_gdd);
	
	###################################################
	### Afficher le chiffre
	###################################################

	echo $gdd->afficher_numero_gdd();
}

#################################################################
#################################################################
### Création de la demande
#################################################################
#################################################################


function creation_demande()
{
	global $_SESSION;
	
	#########################################################################
	
	$Vli_id_courrier = $_GET["id"];
	
	#########################################################################
	### Création de différents objets
	#########################################################################

	$db = new dbquery();
	$db->connect();
	
	$func = new functions();

	$gdd = new gdd();
	
	#########################################################################
	### Création de menu déroulant des différent type de demande
	#########################################################################

	$res_liste_type_demande = $db->query("
	SELECT 
		td.nom,
		td.abreviation,
		td.id
	FROM 
		gdd_type_demande td
	WHERE 
		td.actif = \"Y\"
	ORDER BY
		td.nom
	");
	
	$Vls_menu_type_demande = "
	<select size=\"1\" name=\"Vfs_type_demande\" id=\"Vfs_type_demande\">
		<option value=\"-1\">------ "._GDD_SELECT_TYPE." ------</option>
	";
	
	while($val_type_demande = $db->fetch_array())
	{
		$Vls_type_demande_nom = $val_type_demande[0];
		$Vls_type_demande_abreviation = $val_type_demande[1];
		$Vls_type_demande_id = $val_type_demande[2];
	
		$Vls_menu_type_demande .= "
		<option value=\"$Vls_type_demande_id\">$Vls_type_demande_nom ($Vls_type_demande_abreviation)</option>
		";
	}
	
	$Vls_menu_type_demande .= "
	</select>
	";
	
	###################################################
	### Afficher du formulaire de demande
	###################################################

	echo "
	<form action=\"gdd.php?op=validation_creation_demande\" method=\"post\" id=\"formulaire_creation_demande\" class=\"formulaire_creation_demande\">
	
		<div align=\"center\" class=\"titre_principal\">"._GDD_CREATION."</div><br /><br />
	
		<div align=\"left\" class=\"titre_num_courrier\">
			<b>"._GDD_NUM_COURRIER." :</b> $Vli_id_courrier
		</div>
		
		<br />
			
		<table class=\"table_creation_demande\" id=\"table_creation_demande\" border=\"0\">
		<tr class=\"titre\" id=\"titre\">
			<td width=\"200\">"._GDD_TYPE_DEMANDE."</td>
			<td width=\"500\">"._GDD_TITLE."</td>
			<td width=\"80\">"._GDD_DATE_LIMITE."</td>
			<td></td>
		</tr>	
		<tr id=\"ajout_demande\" class=\"ajout_demande\">
			<td width=\"200\">".$Vls_menu_type_demande."</td>
			<td width=\"500\"><input type=\"text\" name=\"Vfs_titre_demande\" id=\"Vfs_titre_demande\" size=\"80\" class=\"\" /></td>
			<td width=\"80\" style=\"background-color: #ffffff;\"></td>
			<td class=\"bouton\">
				<img src=\"modules/gdd/images/ajouter.png\" id=\"bouton_ajout_demande\" class=\"bouton_ajout_demande\" onclick=\"javascript:jquery_ajout_demande()\" title=\"Ajout d'une demande à la liste\" alt=\"Ajout d'une demande à la liste\" />
			</td>
		</tr>	
		<tr id=\"bouton_valider\" class=\"bouton_valider\">
			<td colspan=\"3\" align=\"center\"><input type=\"submit\" value=\""._GDD_CREATION_DEMANDE."\"></td>
		</tr>	
		</table>
		
		<input type=\"hidden\" name=\"Vfi_id_courrier\" value=\"$Vli_id_courrier\" />
	
	</form>
	";
}


#################################################################
#################################################################
### Validation de la création de la demande
#################################################################
#################################################################


function validation_creation_demande()
{
	global $_SESSION;
	
	#########################################################################
	### Création de différents objets
	#########################################################################

	$db = new dbquery();
	$db->connect();
	
	$func = new functions();

	$gdd = new gdd();
	
	#############################################################################
	### Récupération des valeur du formulaire
	#############################################################################
	
	$Vli_id_courrier = $_POST["Vfi_id_courrier"];
	$Vlt_liste_titre_demande = $_POST["Vfs_liste_titre_demande"];
	$Vlt_liste_id_type = $_POST["Vfs_liste_id_type"];
	$Vlt_liste_date_limite = $_POST["Vfs_liste_date_limite"];
	
	#############################################################################
	### Récupération de l'année actuelle
	#############################################################################
	
	$Vli_annee_actuelle = date("Y");
	$Vls_id_user = $_SESSION["user"]["UserId"];
	
	#############################################################################
	### Création des demandes dans la base
	#############################################################################
	
	foreach($Vlt_liste_titre_demande AS $key => $Vls_titre_demande)
	{
		$Vli_id_type_demande = $Vlt_liste_id_type[$key];
		$Vld_date_limite = $Vlt_liste_date_limite[$key];
		
		$Vlt_date_limite = explode("/", $Vld_date_limite);
		$Vls_date_limite = $Vlt_date_limite[2]."-".$Vlt_date_limite[1]."-".$Vlt_date_limite[0];
		
		####################################################
		### Recherche du numéro de la demande selon
		### l'annee et le type de la demande
		####################################################
		
		$res_num_max_demande = $db->query("
		SELECT 
			MAX(d.numero)
		FROM 
			gdd_demande d
		WHERE
			d.annee = $Vli_annee_actuelle
			AND d.fkid_type_demande = $Vli_id_type_demande
		");
		
		$val_num_max_demande = $db->fetch_array();
		
		if($val_num_max_demande[0] !="")
		{
			$Vli_num_max_demande = $val_num_max_demande[0] + 1;
		}
		else
		{
			$Vli_num_max_demande = 1;
		}
		
		#####################################
		### Insertion dans la base
		#####################################
		
		$res_liste_type_demande = $db->query("
		INSERT INTO gdd_demande
			(fkid_type_demande,
			 annee,
			 numero,
			 fkid_courrier,
			 date_creation,
			 titre_demande,
			 fkid_user_createur,
			 date_limite)
		VALUES
			(\"$Vli_id_type_demande\",
			 \"$Vli_annee_actuelle\",
			 \"$Vli_num_max_demande\",
			 \"$Vli_id_courrier\",
			 \"".date("Y-m-d H:m:s")."\",
			 \"$Vls_titre_demande\",
			 \"$Vls_id_user\",
			 \"$Vls_date_limite\"
			)
		");
	}
}

	
#################################################################
#################################################################
### Modification de la demande
#################################################################
#################################################################


function modifier_demande()
{
	global $_SESSION;
	
	#########################################################################
	
	$Vli_id_demande = $_GET["id_demande"];
	$Vli_id_user_connecter = $_SESSION["user"]["UserId"];
	$Vls_onglet = $_GET["onglet"];
	$Vli_carrousel_current = $_GET["carrousel_current"];
	$Vli_id_annotation_open = $_GET["id_annotation"];
	
	#########################################################################
	
	$Vls_groupe_connect = $_SESSION["user"]["primarygroup"];
	$Vls_user_connect = $_SESSION["user"]["UserId"];	
	
	#########################################################################
	### Création de différents objets
	#########################################################################

	$db = new dbquery();
	$db->connect();
	
	$func = new functions();

	$gdd = new gdd();
	
	#########################################################################
	### Récupération des données sur cet demande
	#########################################################################

	$Vls_query_info_demande = "
	SELECT 
		gdd.id,
		gdd.titre_demande,
		gtd.abreviation,
		gdd.annee,
		gdd.numero,
		gdd.date_creation,
		u.firstname,
		u.lastname,
		gdd.fkid_courrier,
		r.CUSTOM_T3,
		r.AUTHOR,
		r.CUSTOM_T4,
		r.SOCIETE,
		r.CUSTOM_T9,
		r.CUSTOM_T10,
		r.CUSTOM_T11,
		r.CUSTOM_T12,
		r.CUSTOM_T13,
		s.CIVILITY,
		s.LASTNAME,
		s.FIRSTNAME,
		s.SOCIETY,
		s.FUNCTION,
		s.STREET_NUM,
		s.STREET,
		s.TOWN,
		s.CP,
		r.sender_id,
		r.IS_INGOING,
		fkid_quartier,
		fkid_elu_quartier,
		fkid_domaine,
		fkid_elu_domaine,
		gdd.numero_lieu_demande,
		gdd.rue,
		gdd.ville,
		gdd.description_demande,
		gdd.fkid_user_createur,
		gdd.complement_adresse,
		gdd.date_cloture,
		gdd.demande_cloturer,
		gdd.fkid_user_cloture,
		u2.firstname,
		u2.lastname,
		gdd.date_limite,
		gdd.code_postal,
		gdd.info_compl_demandeur,
		gdd.fkid_etat
	FROM 
		gdd_demande gdd LEFT OUTER JOIN users u2 ON gdd.fkid_user_cloture = u2.user_id,
		gdd_type_demande gtd,
		users u,
		res_x r LEFT OUTER JOIN sender s ON r.sender_id = s.id
	WHERE
		gdd.id = ".$Vli_id_demande."
		AND gdd.fkid_type_demande = gtd.id
		AND gdd.fkid_user_createur = u.user_id
		AND gdd.fkid_courrier = r.res_id
	";
	
	
	$res_info_demande = $db->query($Vls_query_info_demande);
	
	$val_info_demande = $db->fetch_array();
	
	$Vli_id_demande = $val_info_demande[0];
	$Vls_titre_demande = $val_info_demande[1];
	$Vls_abr_type_demande = $val_info_demande[2];
	$Vls_annee_demande = $val_info_demande[3];
	$Vls_num_demande = $val_info_demande[4];
	$Vld_date_creation_demande = $val_info_demande[5];
	$Vls_prenom_createur = $val_info_demande[6];
	$Vls_nom_createur = $val_info_demande[7];
	$Vli_id_courrier = $val_info_demande[8];
	
	$Vls_civilite_r = $val_info_demande[9];
	$Vls_nom_r = $val_info_demande[10];
	$Vls_prenom_r = $val_info_demande[11];
	$Vls_societe_r = $val_info_demande[12];
	$Vls_fonction_r = $val_info_demande[13];
	$Vls_num_rue_r = $val_info_demande[14];
	$Vls_adresse_r = $val_info_demande[15];
	$Vls_ville_r = $val_info_demande[16];
	$Vls_cp_r = $val_info_demande[17];
	
	$Vls_civilite_s = $val_info_demande[18];
	$Vls_nom_s = $val_info_demande[19];
	$Vls_prenom_s = $val_info_demande[20];
	$Vls_societe_s = $val_info_demande[21];
	$Vls_fonction_s = $val_info_demande[22];
	$Vls_num_rue_s = $val_info_demande[23];
	$Vls_adresse_s = $val_info_demande[24];
	$Vls_ville_s = $val_info_demande[25];
	$Vls_cp_s = $val_info_demande[26];

	$Vli_fkid_sender = $val_info_demande[27];
	$Vls_type_courrier = $val_info_demande[28];
	
	$Vli_id_quartier = $val_info_demande[29];
	$Vli_id_elu_quartier = $val_info_demande[30];
	$Vli_id_domaine = $val_info_demande[31];
	$Vli_id_elu_domaine = $val_info_demande[32];
	$Vls_numero_lieu_demande = $val_info_demande[33];
	$Vls_rue_lieu_demande = $val_info_demande[34];
	$Vls_ville_lieu_demande = $val_info_demande[35];
	$Vls_description_demande = $val_info_demande[36];
	$Vli_id_user_createur = $val_info_demande[37];
	$Vls_complement_adresse_demande = $val_info_demande[38];
	
	$Vld_date_cloture_demande = $val_info_demande[39];
	$Vls_demande_cloturer = $val_info_demande[40];
	$Vli_id_user_cloture_demande = $val_info_demande[41];
	$Vls_nom_user_cloture_demande = $val_info_demande[42];
	$Vls_prenom_user_cloture_demande = $val_info_demande[43];
	
	$Vld_date_limite = $val_info_demande[44];	
	$Vli_cp_lieu_demande = $val_info_demande[45];
	$Vls_info_complementaire = $val_info_demande[46];
	$Vli_id_etat_demande = $val_info_demande[47];
	
	#############################################################################
	### on regarde si la personne n'est pas le créateur de cette demande
	### si le créateur lui a donné les droits de traitement dessus !
	#############################################################################
	
	if($Vli_id_user_createur!=$Vli_id_user_connecter AND !user_autorise_traitement($Vli_id_user_createur, $Vli_id_user_connecter))
	{
		$Vls_user_autorise = "N";		
	}
	else
	{
		$Vls_user_autorise = "Y";
	}
	
	##############################################################
	### on met obligatoirement le code postal sur 5 chiffres
	##############################################################
	
	$Vli_nbre_chiffre = strlen($Vli_cp_lieu_demande);
	
	$Vls_cp_lieu_demande = $Vli_cp_lieu_demande;
	
	for($i=$Vli_nbre_chiffre;$i<5;$i++)
	{
		$Vls_cp_lieu_demande = "0".$Vls_cp_lieu_demande;
	}

	################################################
						
	$gdd->set_chiffre($Vls_num_demande);
	$gdd->set_annee($Vls_annee_demande);
	$gdd->set_type_label($Vls_abr_type_demande);
	
	################################################
	### Création des champs de l'emetteur
	################################################
	
	if($Vls_type_courrier=="N")
	{
		############################################
		### Recherche des inforamtions sur
		############################################
		
		$res_info_demande_interne = $db->query("
		SELECT 
			u.LASTNAME,
			u.FIRSTNAME,
			s.service
		FROM 
			users u,
			services s
		WHERE
			u.user_id = \"$Vls_civilite_r\"
			AND u.DEPARTMENT = s.id	
		");
		
		$val_info_demande_internet = $db->fetch_array();
		
		$Vls_nom_emetteur = $val_info_demande_internet[0];
		$Vls_prenom_emetteur = $val_info_demande_internet[1];
		$Vls_service_emetteur = $val_info_demande_internet[2];
		
		$Vls_service_emetteur = ereg_replace("\[[a-zA-Z]*\]", "", $Vls_service_emetteur);
		
		############################################
	}
	else
	{
		if($Vli_fkid_sender=="" OR $Vli_fkid_sender==0)
		{
			$Vls_civilite_emetteur = $Vls_civilite_r;
			$Vls_nom_emetteur = $Vls_nom_r;
			$Vls_prenom_emetteur = $Vls_prenom_r;
			$Vls_societe_emetteur = $Vls_societe_r;
			$Vls_fonction_emetteur = $Vls_fonction_r;
			$Vls_num_rue_emetteur = $Vls_num_rue_r;
			$Vls_adresse_emetteur = $Vls_adresse_r;
			$Vls_ville_emetteur = $Vls_ville_r;
			$Vls_cp_emetteur = $Vls_cp_r;
		}
		elseif($Vli_fkid_sender!=0)
		{
			$Vls_civilite_emetteur = $Vls_civilite_s;
			$Vls_nom_emetteur = $Vls_nom_s;
			$Vls_prenom_emetteur = $Vls_prenom_s;
			$Vls_societe_emetteur = $Vls_societe_s;
			$Vls_fonction_emetteur = $Vls_fonction_s;
			$Vls_num_rue_emetteur = $Vls_num_rue_s;
			$Vls_adresse_emetteur = $Vls_adresse_s;
			$Vls_ville_emetteur = $Vls_ville_s;
			$Vls_cp_emetteur = $Vls_cp_s;
		}
	}
	
	if($Vls_civilite_emetteur==-1)
	{
		$Vls_civilite_emetteur = "";
	}
	else
	{
		$Vls_civilite_emetteur .= " ";
	}
	
	#####################################################################################################
	### Si l'utilisateur est le créateur c'est le seul qui modifier certaines informations
	#####################################################################################################
	
	//$Vli_id_user_createur = -1;
	//$Vls_demande_cloturer = "Y";
	
	if($Vls_user_autorise=="Y" AND $Vls_demande_cloturer=="N" )
	{
		###################################################
		### Titre de la demande
		###################################################
	
		$Vls_titre_demande = "
		<input type=\"text\" name=\"Vfs_titre_demande\" value=\"$Vls_titre_demande\" size=\"60\" />
		";		
		
		###################################################
		### Etat de la demande
		###################################################
		
		$res_liste_etat = $db->query("
		SELECT 
			ge.id,
			ge.nom
		FROM 
			gdd_etat ge
		WHERE 
			ge.actif = \"Y\"
		ORDER BY 
			ge.nom
		");
		
		$Vls_etat_demande = "
		<select size=\"1\" id=\"Vfi_id_etat_demande\" name=\"Vfi_id_etat_demande\">
			<option value=\"0\"></option>
		";
		
		while($val_liste_etat = $db->fetch_array())
		{
			$Vli_id_etat_menu = $val_liste_etat[0];
			$Vls_nom_etat_menu = $val_liste_etat[1];
		
			if($Vli_id_etat_menu==$Vli_id_etat_demande)
			{
				$Vls_selected = "selected";
			}
			else
			{
				$Vls_selected = "";
			}
		
			$Vls_etat_demande .= "
				<option value=\"$Vli_id_etat_menu\" $Vls_selected>$Vls_nom_etat_menu</option>
			";
		}
		
		$Vls_etat_demande .= "
		</select>
		";
		
		###################################################
		### Génaration du menu déroulant des quartiers
		###################################################
		
		$res_liste_quartier = $db->query("
		SELECT 
			gq.id,
			gq.nom
		FROM 
			gdd_quartier gq
		ORDER BY 
			gq.nom
		");
		
		$Vls_menu_quartiers = "
		<select name=\"Vfi_id_quartier\" id=\"Vfi_id_quartier\" size=\"1\" onchange=\"javascript:recherche_elu_quartier()\">
			<option value=\"-1\">"._GDD_CHOIX_QUARTIER_SELECT."</option>
		";	
		
		while($val_liste_quartier = $db->fetch_array())
		{
			$Vli_id_quartier_menu = $val_liste_quartier[0];
			$Vls_nom_quartier_menu = $val_liste_quartier[1];
			
			if($Vli_id_quartier==$Vli_id_quartier_menu)
			{
				$Vls_selected = "selected";
			}
			else
			{
				$Vls_selected = "";
			}
		
			$Vls_menu_quartiers .= "
			<option value=\"$Vli_id_quartier_menu\" $Vls_selected>$Vls_nom_quartier_menu</option>
			";
		}	
		
		$Vls_menu_quartiers .= "
		</select>
		";
		
		$Vls_affichage_quartier = "
		<span class=\"sous_titre\">"._GDD_CHOIX_QUARTIER." :</span> 
		<br />
		<span>$Vls_menu_quartiers</span>
		";
		
			################################################################
			### Génaration du menu déroulant des élus de quartier
			################################################################
			
			$res_liste_elu_quartier = $db->query("
			SELECT 
				gde.id,
				gde.elu_principale,
				ge.nom,
				ge.prenom
			FROM 
				gdd_quartier_elu gde,
				gdd_elu ge
			WHERE 
				gde.fkid_quartier = $Vli_id_quartier
				AND gde.fkid_elu = ge.id
			ORDER BY
				gde.elu_principale DESC,
				ge.nom
			");

			$Vls_menu_elu_quartier = "
			<select name=\"Vfi_id_elu_quartier\" id=\"Vfi_id_elu_quartier\" size=\"1\">
				<option value=\"-1\">"._GDD_CHOIX_ELU_QUARTIER_SELECT."</option>
			";	
			
			while($val_liste_elu_quartier = $db->fetch_array())
			{
				$Vli_id_elu_quartier_menu = $val_liste_elu_quartier[0];
				$Vls_elu_principal_menu = $val_liste_elu_quartier[1];
				$Vls_nom_elu_menu = $val_liste_elu_quartier[2];
				$Vls_prenom_elu_menu = $val_liste_elu_quartier[3];
			
				####################################################
				
				if($Vli_id_elu_quartier_menu == $Vli_id_elu_quartier)
				{
					$Vls_selected_menu = "selected";
				}
				else
				{
					$Vls_selected_menu = "";
				}
								
				####################################################
			
				if($Vls_elu_principal_menu=="Y")
				{
					$Vls_info_elu = "
					$Vls_nom_elu_menu $Vls_prenom_elu_menu ("._GDD_ELU_PRINCIPAL.")<br />
					";
				}
				else
				{
					$Vls_info_elu = "
					$Vls_nom_elu_menu $Vls_prenom_elu_menu<br />
					";
				}
				
				####################################################
			
				$Vls_menu_elu_quartier .= "
				<option value=\"$Vli_id_elu_quartier_menu\" $Vls_selected_menu>$Vls_info_elu</option>
				";
			}	
			
			$Vls_menu_elu_quartier .= "
			</select>
			";
			
			###############################################
			
			if($Vli_id_elu_quartier!=0)
			{
				$Vls_affichage_elu_quartier = "
				<br />
				<span class=\"sous_titre\">"._GDD_CHOIX_ELU_QUARTIER." :</span> 
				<br />
				<span>$Vls_menu_elu_quartier</span>
				";
			}
			else
			{
				$Vls_affichage_elu_quartier = "";
			}
			
		
		###################################################
		### Génaration du menu déroulant des domaines
		###################################################
		
		$res_liste_domaine = $db->query("
		SELECT 
			gd.id,
			gd.nom
		FROM 
			gdd_domaine gd
		ORDER BY 
			gd.nom
		");
		
		$Vls_menu_domaines = "
		<select name=\"Vfi_id_domaine\" id=\"Vfi_id_domaine\" size=\"1\" onchange=\"javascript:recherche_elu_domaine()\">
			<option value=\"-1\">"._GDD_CHOIX_DOMAINE_SELECT."</option>
		";	
		
		while($val_liste_domaine = $db->fetch_array())
		{
			$Vli_id_domaine_menu = $val_liste_domaine[0];
			$Vls_nom_domaine_menu = $val_liste_domaine[1];
		
			if($Vli_id_domaine==$Vli_id_domaine_menu)
			{
				$Vls_selected = "selected";
			}
			else
			{
				$Vls_selected = "";
			}
		
			$Vls_menu_domaines .= "
			<option value=\"$Vli_id_domaine_menu\" $Vls_selected>$Vls_nom_domaine_menu</option>
			";
		}	
		
		$Vls_menu_domaines .= "
		</select>
		";
		
			#############################################
		
			$Vls_affichage_domaine = "
			<span class=\"sous_titre\">"._GDD_CHOIX_DOMAINE." :</span> 
			<br />
			<span>$Vls_menu_domaines</span>
			";
		
			################################################################
			### Génaration du menu déroulant des élus de domaine
			################################################################
			
			$res_liste_elu_domaine = $db->query("
			SELECT 
				gde.id,
				gde.elu_principale,
				ge.nom,
				ge.prenom
			FROM 
				gdd_domaine_elu gde,
				gdd_elu ge
			WHERE 
				gde.fkid_domaine = $Vli_id_domaine
				AND gde.fkid_elu = ge.id
			ORDER BY
				gde.elu_principale DESC,
				ge.nom
			");

			$Vls_menu_elu_domaine = "
			<select name=\"Vfi_id_elu_domaine\" id=\"Vfi_id_elu_domaine\" size=\"1\">
				<option value=\"-1\">"._GDD_CHOIX_ELU_DOMAINE_SELECT."</option>
			";	
			
			while($val_liste_elu_domaine = $db->fetch_array())
			{
				$Vli_id_elu_domaine_menu = $val_liste_elu_domaine[0];
				$Vls_elu_principal_menu = $val_liste_elu_domaine[1];
				$Vls_nom_elu_menu = $val_liste_elu_domaine[2];
				$Vls_prenom_elu_menu = $val_liste_elu_domaine[3];
			
				####################################################
				
				if($Vli_id_elu_domaine_menu == $Vli_id_elu_domaine)
				{
					$Vls_selected_menu = "selected";
				}
				else
				{
					$Vls_selected_menu = "";
				}
								
				####################################################
			
				if($Vls_elu_principal_menu=="Y")
				{
					$Vls_info_elu = "
					$Vls_nom_elu_menu $Vls_prenom_elu_menu ("._GDD_ELU_PRINCIPAL.")<br />
					";
				}
				else
				{
					$Vls_info_elu = "
					$Vls_nom_elu_menu $Vls_prenom_elu_menu<br />
					";
				}
				
				####################################################
			
				$Vls_menu_elu_domaine .= "
				<option value=\"$Vli_id_elu_domaine_menu\" $Vls_selected_menu>$Vls_info_elu</option>
				";
			}	
			
			$Vls_menu_elu_domaine .= "
			</select>
			";
			
			###############################################
			
			if($Vli_id_elu_domaine!=0)
			{
				$Vls_affichage_elu_domaine = "
				<br />
				<span class=\"sous_titre\">"._GDD_CHOIX_ELU_DOMAINE." :</span> 
				<br />
				<span>$Vls_menu_elu_domaine</span>
				";
			}
			else
			{
				$Vls_affichage_elu_domaine = "";
			}
			
			################################################
			### Affichage de la description
			################################################		
			
			$Vls_affichage_description = "
			<textarea rows=\"5\" cols=\"80\" name=\"Vfs_description_demande\">$Vls_description_demande</textarea>
			";
			
			################################################################
			### Affichage de l'info complementaire sur le demandeur
			################################################################
			
			$Vls_affichage_info_complementaire_demandeur = "
			<textarea rows=\"5\" cols=\"80\" name=\"Vfs_info_complementaire_demandeur\" id=\"Vfs_info_complementaire_demandeur\">$Vls_info_complementaire</textarea>
			";
			
			################################################################		
	}
	else
	{
		#################################################
		### Affichage du titre
		#################################################
	
			$Vls_titre_demande = $Vls_titre_demande;
			
		###################################################
		### Etat de la demande
		###################################################
		
		$res_liste_etat = $db->query("
		SELECT 
			ge.nom
		FROM 
			gdd_etat ge
		WHERE 
			ge.id = $Vli_id_etat_demande
		");
		
		$val_liste_etat = $db->fetch_array();
		
		$Vls_nom_etat_menu = $val_liste_etat[0];
		
		$Vls_etat_demande = "$Vls_nom_etat_menu";
	
		#################################################
		### Affichage du quartier
		#################################################
	
			$res_liste_quartier = $db->query("
			SELECT 
				gq.nom
			FROM 
				gdd_quartier gq
			WHERE
				gq.id = $Vli_id_quartier
			");
			
			$val_liste_quartier = $db->fetch_array();
			$Vls_nom_quartier = $val_liste_quartier[0];
		
			$Vls_affichage_quartier = "
			<span class=\"sous_titre\">"._GDD_CHOIX_QUARTIER." :</span> <span>$Vls_nom_quartier</span>
			";
		
		################################################################
		### Affichage de l'élu de quartier
		################################################################
		
			$res_liste_elu_quartier = $db->query("
			SELECT 
				gde.elu_principale,
				ge.nom,
				ge.prenom
			FROM 
				gdd_quartier_elu gde,
				gdd_elu ge
			WHERE 
				gde.id = $Vli_id_elu_quartier
				AND gde.fkid_elu = ge.id
			");

			$val_liste_elu_quartier = $db->fetch_array();
			
			$Vls_elu_principal_quartier = $val_liste_elu_quartier[0];
			$Vls_nom_elu_quartier = $val_liste_elu_quartier[1];
			$Vls_prenom_elu_quartier = $val_liste_elu_quartier[2];
					
			####################################################
		
			if($Vls_elu_principal_quartier=="Y")
			{
				$Vls_info_elu = "
				$Vls_nom_elu_quartier $Vls_prenom_elu_quartier ("._GDD_ELU_PRINCIPAL.")<br />
				";
			}
			else
			{
				$Vls_info_elu = "
				$Vls_nom_elu_quartier $Vls_prenom_elu_quartier<br />
				";
			}
			
			###############################################

			$Vls_affichage_elu_quartier = "
			<br />
			<span class=\"sous_titre\">"._GDD_CHOIX_ELU_QUARTIER." :</span>	<span>$Vls_info_elu</span>
			";
			
		#################################################
		### Affichage du domaine
		#################################################
	
			$res_liste_domaine = $db->query("
			SELECT 
				gq.nom
			FROM 
				gdd_domaine gq
			WHERE
				gq.id = $Vli_id_domaine
			");
			
			$val_liste_domaine = $db->fetch_array();
			$Vls_nom_domaine = $val_liste_domaine[0];
		
			$Vls_affichage_domaine = "
			<span class=\"sous_titre\">"._GDD_CHOIX_DOMAINE." :</span> <span>$Vls_nom_domaine</span>
			";
		
		################################################################
		### Affichage de l'élu de domaine
		################################################################
		
			$res_liste_elu_domaine = $db->query("
			SELECT 
				gde.elu_principale,
				ge.nom,
				ge.prenom
			FROM 
				gdd_domaine_elu gde,
				gdd_elu ge
			WHERE 
				gde.id = $Vli_id_elu_domaine
				AND gde.fkid_elu = ge.id
			");

			$val_liste_elu_domaine = $db->fetch_array();
			
			$Vls_elu_principal_domaine = $val_liste_elu_domaine[0];
			$Vls_nom_elu_domaine = $val_liste_elu_domaine[1];
			$Vls_prenom_elu_domaine = $val_liste_elu_domaine[2];
					
			####################################################
		
			if($Vls_elu_principal_domaine=="Y")
			{
				$Vls_info_elu = "
				$Vls_nom_elu_domaine $Vls_prenom_elu_domaine ("._GDD_ELU_PRINCIPAL.")<br />
				";
			}
			else
			{
				$Vls_info_elu = "
				$Vls_nom_elu_domaine $Vls_prenom_elu_domaine<br />
				";
			}
			
			###############################################

			$Vls_affichage_elu_domaine = "
			<br />
			<span class=\"sous_titre\">"._GDD_CHOIX_ELU_DOMAINE." :</span>	<span>$Vls_info_elu</span>
			";
			
		################################################
		### Afficahge de la description
		################################################		
			
			$Vls_affichage_description = "<div align=\"left\">".str_replace("\n","<br />",$Vls_description_demande)."</div>";
			
		################################################################
		### Affichage de l'info complementaire sur le demandeur
		################################################################
		
		$Vls_affichage_info_complementaire_demandeur = "<div align=\"left\">".str_replace("\n","<br />",$Vls_info_complementaire)."</div>";
			
		################################################	
	}
	
	###################################################
	###################################################
	###################################################
	###################################################
	###################################################
	### Afficher du formulaire de demande
	###################################################
	###################################################
	###################################################
	###################################################
	###################################################
	
		### initialisation des class des onglets
	
		if($Vls_onglet=="")
		{
			$Vls_class_onglet_information = "courant";
			$Vls_class_onglet_intervention = "noncourant";
			$Vls_class_onglet_annotation = "noncourant";
			$Vls_class_onglet_courrier = "noncourant";
			
			$Vls_class_lien_information = "current";
			$Vls_class_lien_intervention = "ghost";
			$Vls_class_lien_annotation = "ghost";
			$Vls_class_lien_courrier = "ghost";
		}
		elseif($Vls_onglet=="intervention")
		{
			$Vls_class_onglet_information = "noncourant";
			$Vls_class_onglet_intervention = "courant";
			$Vls_class_onglet_annotation = "noncourant";
			$Vls_class_onglet_courrier = "noncourant";
			
			$Vls_class_lien_information = "ghost";
			$Vls_class_lien_intervention = "current";
			$Vls_class_lien_annotation = "ghost";
			$Vls_class_lien_courrier = "ghost";
		}
		elseif($Vls_onglet=="annotation")
		{
			$Vls_class_onglet_information = "noncourant";
			$Vls_class_onglet_intervention = "noncourant";
			$Vls_class_onglet_annotation = "courant";
			$Vls_class_onglet_courrier = "noncourant";
			
			$Vls_class_lien_information = "ghost";
			$Vls_class_lien_intervention = "ghost";
			$Vls_class_lien_annotation = "current";
			$Vls_class_lien_courrier = "ghost";
		}		
		else
		{
			$Vls_class_onglet_information = "noncourant";
			$Vls_class_onglet_intervention = "noncourant";
			$Vls_class_onglet_annotation = "noncourant";
			$Vls_class_onglet_courrier = "courant";
			
			$Vls_class_lien_information = "ghost";
			$Vls_class_lien_intervention = "ghost";
			$Vls_class_lien_annotation = "ghost";
			$Vls_class_lien_courrier = "current";
		}
	

		######################################################
		### Liste des onglet
		######################################################
	
	echo"
	<div align=\"center\" class=\"demande_titre_principal\">
		"._GDD."
	</div>
	
	<br />
	
	<div id=\"ongletDetail\">
		<ul id=\"menuo\">
			<li class=\"$Vls_class_onglet_information\">
				<a href=\"#\" id=\"_0\" class=\"$Vls_class_lien_information\" onclick=\"multiClass(this.id);\" alt=\"menu1\"><span>"._GDD_INFORMATION."</span></a>
			</li>
			<li class=\"$Vls_class_onglet_intervention\">
				<a href=\"#\" id=\"_1\" class=\"$Vls_class_lien_intervention\" onclick=\"multiClass(this.id); init_galerie();\" alt=\"menu2\"><span>"._GDD_INTERVENTION."</span></a>
			</li>
			<li class=\"$Vls_class_onglet_annotation\">
				<a href=\"#\" id=\"_2\" class=\"$Vls_class_lien_annotation\" onclick=\"multiClass(this.id);\" alt=\"menu2\"><span>"._GDD_ANNOTION."</span></a>
			</li>
			<li class=\"$Vls_class_onglet_courrier\">
				<a href=\"#\" id=\"_3\" class=\"$Vls_class_lien_courrier\" onclick=\"multiClass(this.id);\" alt=\"menu3\"><span>"._GDD_COURRIER_PIECE_JOINTE."</span></a>
			</li>
		</ul>
		<div style=\"clear: both;\"></div>
	";
	
	
	
	#####################################################################
	#####################################################################
	#####################################################################
	### Onglet Information
	#####################################################################
	#####################################################################
	#####################################################################
		
		if($Vls_onglet=="")
		{
			$Vls_class_onglet = "on";
		}
		else
		{
			$Vls_class_onglet = "off";
		}
	
		echo "
		<div id=\"menu_0\" class=\"$Vls_class_onglet content\">
			
			<div class=\"info_demande\">
				
					<div align=\"center\" class=\"titre_chapitre\">
						<div style=\"float: left;\">
							"._GDD_INFO_DEMANDE." 
						</div>
						<div style=\"clear: both;\"></div>
					</div>
					<br />
					
			</div>
		
		
			<form action=\"gdd.php?op=validation_modifier_demande\" method=\"post\" id=\"formulaire_modifier_demande\" class=\"formulaire_modifier_demande\">
		";
		
			### affichage d'un cadre si la demande est cloturée
			
			if($Vls_demande_cloturer=="Y")
			{
				echo"
				<div align=\"center\"> 
					<div class=\"demande_clos\">
					
						<div class=\"titre\">
							"._GDD_DEMANDE_CLOS."
						</div>
						<br />
						"._GDD_CLOS_PAR." $Vls_prenom_user_cloture_demande $Vls_nom_user_cloture_demande
						<br />
						"._GDD_LE." ".date_sans_heure($Vld_date_cloture_demande)." "._GDD_A." ".date_que_heure($Vld_date_cloture_demande)."					
				
					</div>
				</div>
				";		
			}	

			### En tête de la demande
				
			echo"		
				<div align=\"left\" class=\"titre_entete\">
					<span class=\"sous_titre\">"._GDD_NUM_DOSSIER." :</span> <span>".$gdd->afficher_numero_gdd()."</span>
				</div>
				<div align=\"left\" class=\"titre_entete\">
					<span class=\"sous_titre\">"._GDD_NUM_COURRIER." :</span> <span>".$Vli_id_courrier."</span>
				</div>
				<div style=\"clear: both;\"></div>
				
				<br />
				
				<div align=\"left\" class=\"titre_entete\">
					<span class=\"sous_titre\">"._GDD_DATE_CREATION." :</span> <span>".date_sans_heure($Vld_date_creation_demande)."</span>
				</div>
				<div align=\"left\" class=\"titre_entete\">
					<span class=\"sous_titre\">"._GDD_CREATION_PAR." :</span> <span>$Vls_prenom_createur $Vls_nom_createur</span>
				</div>		
				<div style=\"clear: both;\"></div>
				
				<br />
				
				<div align=\"left\" class=\"titre_entete\">
					<span class=\"sous_titre\">"._GDD_DATE_LIMITE." :</span> <span>".date_fr($Vld_date_limite)."</span>
				</div>	
				<div style=\"clear: both;\"></div>
				
				<br />
				
				<div align=\"left\" class=\"titre_demande\">
					<span class=\"sous_titre\">"._GDD_TITLE." :</span> <span>$Vls_titre_demande</span>
				</div>	
				<div style=\"clear: both;\"></div>
				
				<br />
				
				<div align=\"left\" class=\"titre_demande\">
					<span class=\"sous_titre\">"._GDD_ETAT." :</span> <span>$Vls_etat_demande</span>
				</div>					
				
				<div style=\"clear: both;\"></div>
				
				<br /><br />
			";
	
			### Partie Demandeur

			echo"
				<div align=\"center\" class=\"titre_chapitre\">"._GDD_DEMANDEUR."</div>
				<br /><br />
			";
			
			if($Vls_type_courrier=="Y")
			{
			
				echo"
				<div align=\"left\" class=\"titre_entete\">
					<span class=\"sous_titre\">"._GDD_NOM." :</span> <span>$Vls_civilite_emetteur $Vls_nom_emetteur</span>
				</div>
				<div align=\"left\" class=\"titre_entete\">
					<span class=\"sous_titre\">"._GDD_PRENOM." :</span> <span>$Vls_prenom_emetteur</span>
				</div>
				<div style=\"clear: both;\"></div>
				
				<br />
				";
			
				if($Vls_societe_emetteur!="" OR $Vls_fonction_emetteur!="")
				{
					echo"
					<div align=\"left\" class=\"titre_entete\">
						<span class=\"sous_titre\">"._GDD_SOCIETE." :</span> <span>$Vls_societe_emetteur</span>
					</div>
					<div align=\"left\" class=\"titre_entete\">
						<span class=\"sous_titre\">"._GDD_FONCTION." :</span> <span>$Vls_fonction_emetteur</span>
					</div>
					<div style=\"clear: both;\"></div>
					
					<br />
					";
				}
			
				echo"
					<div align=\"left\" class=\"titre_demande\">
						<span class=\"sous_titre\">"._GDD_ADRESSE." :</span> <span>$Vls_num_rue_emetteur $Vls_adresse_emetteur</span>
					</div>
					<div style=\"clear: both;\"></div>
					
					<br />
					
					<div align=\"left\" class=\"titre_entete\">
						<span class=\"sous_titre\">"._GDD_CP." :</span> <span>$Vls_cp_emetteur</span>
					</div>
					<div align=\"left\" class=\"titre_entete\">
						<span class=\"sous_titre\">"._GDD_VILLE." :</span> <span>$Vls_ville_emetteur</span>
					</div>
					<div style=\"clear: both;\"></div>
					
					<br />
					
					<div align=\"left\" class=\"titre_entete2\">
						<span class=\"sous_titre\">"._GDD_INFO_COMPLEMENTAIRE." :</span>
					</div>
					
					<br />
						
					$Vls_affichage_info_complementaire_demandeur
					
					<div style=\"clear: both;\"></div>
									
					<br />
				";
			}
			else
			{
				echo"
					<div align=\"left\" class=\"titre_entete\">
						<span class=\"sous_titre\">"._GDD_NOM." :</span> <span>$Vls_nom_emetteur</span>
					</div>
					<div align=\"left\" class=\"titre_entete\">
						<span class=\"sous_titre\">"._GDD_PRENOM." :</span> <span>$Vls_prenom_emetteur</span>
					</div>
					<div style=\"clear: both;\"></div>
					
					<br />
					
					<div align=\"left\" class=\"titre_entete\">
						<span class=\"sous_titre\">"._GDD_SERVICE." :</span> <span>$Vls_service_emetteur</span>
					</div>
					<div style=\"clear: both;\"></div>
					
					<br />
					
					<div align=\"left\" class=\"titre_entete2\">
						<span class=\"sous_titre\">"._GDD_INFO_COMPLEMENTAIRE." :</span>
					</div>
					
					<br />
						
					$Vls_affichage_info_complementaire_demandeur
					
					<div style=\"clear: both;\"></div>

					<br />
				";
			}
			
			### Partie Quartier
			
			echo"
				<br />
				<div class=\"choix_quartier_domaine\">
				
					<div align=\"center\" class=\"titre_chapitre\">"._GDD_QUARTIER."</div>
					<br /><br />
					
					<div align=\"left\" class=\"titre_entete2\">
						$Vls_affichage_quartier
					</div>
					
					<div align=\"left\" class=\"titre_entete2\" id=\"liste_elu_quartier\">
						$Vls_affichage_elu_quartier
					</div>
					
					<div style=\"clear: both;\"></div>
					
				</div>
			";
		
		
			### Partie Domaine
			
			echo"
				<br />
				<div class=\"choix_quartier_domaine\">
				
					<div align=\"center\" class=\"titre_chapitre\">"._GDD_DOMAINE."</div>
					<br /><br />
					
					<div align=\"left\" class=\"titre_entete2\">
						$Vls_affichage_domaine
					</div>
					
					<div align=\"left\" class=\"titre_entete2\" id=\"liste_elu_domaine\">
						$Vls_affichage_elu_domaine
					</div>
					
					<div style=\"clear: both;\"></div>
					
				</div>
			";
		
			### Partie Lieu de la Demande
			
			if($Vls_demande_cloturer=="N" AND $Vls_user_autorise=="Y")
			{
			
				#################################################################
				### création de l'affichage de la ville du lieu de la demande
				#################################################################
				
				if($Vli_cp_lieu_demande==0)
				{
					$xmlfeatures = simplexml_load_file("modules/gdd/xml/ville_defaut.xml");
					
					if ($xmlfeatures)
					{
						foreach($xmlfeatures->VILLE as $VILLE)
						{		
							$Vls_ville_lieu_demande = (string) $VILLE->NOM;
							$Vli_cp_lieu_demande = (string) $VILLE->CODE_POSTAL;
														
							break;
						}
					}
				}
				
				$Vls_affichage_ville = "$Vls_ville_lieu_demande ($Vli_cp_lieu_demande)"; 
			
				#################################################################
			
				echo"
				<br />
				<div class=\"info_lieu_demande\" id=\"info_lieu_demande\">
				
					<div align=\"center\" class=\"titre_chapitre\">"._GDD_LIEU_DEMANDE."</div>
					<br /><br />
					
					<div align=\"left\" class=\"titre_entete2\">
						<span class=\"sous_titre\">"._GDD_VILLE." :</span>
						<br />
						<span id=\"recherche_ville\">
						
							<input id=\"Vfs_nom_ville\" name=\"Vfs_nom_ville\" type=\"text\" size=\"40\" autocomplete=\"off\"  value=\"$Vls_affichage_ville\" />
							<ul id=\"ul_liste_ville\" class=\"ui-autocomplete ui-menu ui-widget ui-widget-content ui-corner-bottom\"></ul>
						
							<input id=\"Vfs_ville\" name=\"Vfs_ville\" type=\"hidden\" value=\"$Vls_ville_lieu_demande\" />
							<input id=\"Vfi_code_postal\" name=\"Vfi_code_postal\" type=\"hidden\" value=\"$Vli_cp_lieu_demande\" />
						
						</span>
					</div>
					<br />
					<div align=\"left\" class=\"titre_entete2\">
						<span class=\"sous_titre\">"._GDD_NUM_RUE." :</span>
						<br />
						<span><input type=\"text\" name=\"Vfs_numero_rue\" value=\"$Vls_numero_lieu_demande\" size=\"5\" /></span>
					</div>
					<br />			
					<div align=\"left\" class=\"titre_entete2\">
						<span class=\"sous_titre\">"._GDD_NOM_VOIE." :</span>
						<br />
						<span id=\"recherche_rue\">
						
							<input id=\"Vfs_nom_rue\" name=\"Vfs_nom_rue\" type=\"text\" size=\"40\" autocomplete=\"off\" value=\"$Vls_rue_lieu_demande\" />
							<ul id=\"ul_liste_rue\" class=\"ui-autocomplete ui-menu ui-widget ui-widget-content ui-corner-bottom\"></ul>
						
						</span>
					</div>
					<div style=\"clear: both;\"></div>
					
					<br />
					
					<div align=\"left\" class=\"titre_entete2\">
						<span class=\"sous_titre\">"._GDD_COMPLEMENT_ADRESSE." :</span>
						<br />
						<span><input type=\"text\" name=\"Vfs_complement_adresse\" value=\"$Vls_complement_adresse_demande\" size=\"70\" /></span>
					</div>
					<div style=\"clear: both;\"></div>
					
				</div>
				";
			}
			else
			{
				echo"
				<br />
				<div class=\"info_lieu_demande\" id=\"info_lieu_demande\">
				
					<div align=\"center\" class=\"titre_chapitre\">"._GDD_LIEU_DEMANDE."</div>
					<br /><br />
					
					<div align=\"left\" class=\"titre_entete2\">
						<span class=\"sous_titre\">"._GDD_VILLE." :</span>
						<span id=\"recherche_ville\">$Vls_ville_lieu_demande</span>
					</div>
					<br />
					<div align=\"left\" class=\"titre_entete2\">
						<span class=\"sous_titre\">"._GDD_NUM_RUE." :</span>
						<span>$Vls_numero_lieu_demande</span>
					</div>
					<br />			
					<div align=\"left\" class=\"titre_entete2\">
						<span class=\"sous_titre\">"._GDD_NOM_VOIE." :</span>
						<span id=\"recherche_rue\">$Vls_rue_lieu_demande</span>
					</div>
					<div style=\"clear: both;\"></div>
					
					<br />
					
					<div align=\"left\" class=\"titre_entete2\">
						<span class=\"sous_titre\">"._GDD_COMPLEMENT_ADRESSE." :</span><span>$Vls_complement_adresse_demande</span>
					</div>
					<div style=\"clear: both;\"></div>
					
				</div>
				";
			}
			
		
			### Partie Description de la demande
			
			echo"
				<br />
				<div class=\"description_demande\" align=\"left\">
				
					<div align=\"left\" class=\"titre_chapitre\">"._GDD_DESCRIPTION_DEMANDE."</div>
					<br /><br />
					
					$Vls_affichage_description
			
				</div>
				
				<br /><br /><br />
			";
			
			
			
			### Bouton de validation du formulaire
			
			if($Vls_user_autorise=="Y" AND $Vls_demande_cloturer=="N")
			{	
				echo"
				<div align=\"center\">
					<input type=\"submit\" value=\""._GDD_METTRE_JOUR."\">
					
					<input type=\"button\" value=\""._GDD_CLOTURER_DEMANDE."\" onclick=\"jquery_clotuer_demande();\">
					
					<input type=\"button\" value=\""._CLOSE."\" onclick=\"window.close();\">
					
					<a href=\"modules/gdd/includes/imprimer_demande.php?id_demande=$Vli_id_demande\" rel=\"zoombox[imprimer_demande]\" title=\"\" id=\"\">
						<input type=\"button\" value=\""._GDD_IMPRIMER_DEMANDE."\">
					</a>
				</div>
				
				<div id=\"dialog_cloturer_demande\" title=\""._GDD_CLOTURER_DEMANDE."\" style=\"display: none;\">
					"._GDD_CLOTURER_DEMANDE_MESSAGE." ".$gdd->afficher_numero_gdd()." ?
					<br /><br />
					"._GDD_CLOTURER_DEMANDE_MESSAGE_BIS."
					<br /><br />
				</div>
				";	
				
				//<a href=\"upload/gdd/14/affiche_colis_ok_1292856728.pdf\" rel=\"zoombox[imprimer_demande]\" title=\"\" id=\"\">		
			}
			else
			{
				echo"
				<div align=\"center\">
					<input type=\"button\" value=\""._CLOSE."\" onclick=\"window.close();\">
				</div>
				";
			}
			
			#################################################
			
	echo"
				<input type=\"hidden\" name=\"Vfi_id_demande\" id=\"Vfi_id_demande\" value=\"$Vli_id_demande\" />
				<input type=\"hidden\" name=\"Vfs_user_connect\" id=\"Vfs_user_connect\" value=\"$Vls_user_connect\" />
								
		
			</form>
		</div>
	";
	
	#####################################################################
	#####################################################################
	#####################################################################
	### Onglet Intervention
	#####################################################################
	#####################################################################
	#####################################################################
	
	###########################################################
	### Recherche de tous les emetteurs et destinataires
	###########################################################
	
	$res_liste_emet_dest = $db->query("
	SELECT 
		gi.fkid_user_emetteur,
		gi.fkid_user_destinataire
	FROM 
		gdd_intervention gi 
	WHERE
		gi.fkid_demande = \"$Vli_id_demande\"
	");
	
	$Vlt_liste_emet_dest = array();
	
	### on ajoute automatiquement la personne qui a créé la demande
	
	$Vlt_liste_emet_dest[] = $Vli_id_user_createur;
	
	while($val_liste_emet_dest = $db->fetch_array())
	{
		$Vls_emetteur_inter = $val_liste_emet_dest[0];
		$Vls_destinataire_inter = $val_liste_emet_dest[1];
	
		$Vlt_liste_emet_dest[] = $Vls_emetteur_inter;
		$Vlt_liste_emet_dest[] = $Vls_destinataire_inter;
		
		###############################################################################
		### On regarde toutes les personnes qui ont les droits pour traiter
		### les demandes et les interventions de l'emetteur ou le destinataire
		###############################################################################
		
		if(user_autorise_traitement($Vls_emetteur_inter, $Vli_id_user_connecter) OR user_autorise_traitement($Vls_destinataire_inter, $Vli_id_user_connecter))
		{
			$Vlt_liste_emet_dest[] = $Vli_id_user_connecter;
		}		
	}	
	
	###########################################################
		
	if($Vls_onglet=="intervention")
	{
		$Vls_class_onglet = "on";
	}
	else
	{
		$Vls_class_onglet = "off";
	}
		
	echo"
		<div id=\"menu_1\" class=\"$Vls_class_onglet content\">
			
			
				<div class=\"liste_inventaire\">
				
					<div align=\"center\" class=\"titre_chapitre\">
						<div style=\"float: left;\">
							"._GDD_LISTE_INVENTAIRE." 
						</div>
						";
						
						if(in_array($Vls_user_connect, $Vlt_liste_emet_dest) AND $Vls_demande_cloturer=="N")
						{
							echo"
							<div align=\"left\" id=\"ajouter_intervention\" class=\"ajouter_intervention\">
							
								".creation_intervention_bis($Vli_id_demande)."
							
								<a  href=\"javascript://\" class=\"choice\" onclick=\"jquery_creation_intervention();\">
									<img src=\"modules/gdd/images/ajouter.png\" border=\"0\" alt=\""._GDD_AJOUTER_INTERVENTION."\" title=\""._GDD_AJOUTER_INTERVENTION."\" />
								</a>
							</div>
							";
							
							/*
								<a  href=\"javascript://\" class=\"choice\" onclick=\"ouvreFenetre('gdd.php?id_demande=". $Vli_id_demande."&op=creation_intervention', '900, 700')\">
									<img src=\"modules/gdd/images/ajouter.png\" border=\"0\" alt=\""._GDD_AJOUTER_INTERVENTION."\" title=\""._GDD_AJOUTER_INTERVENTION."\" />
								</a>
							*/
						}
						
						echo"
						<div style=\"clear: both;\"></div>
					</div>
					<br />
	";
	
		#######################################################
		### Recherche de la liste des interventions
		#######################################################
		
		$res_liste_intervention = $db->query("
		SELECT 
			gi.id,
			gi.fkid_demande,
			gi.fkid_groupe_emetteur,
			gi.fkid_user_emetteur,
			gi.fkid_groupe_destinataire,
			gi.fkid_user_destinataire,
			gi.description,
			gi.realisation,
			gi.reponse,
			gi.date_creation,	
			gi.date_delai,	
			gi.date_realisation,
			gi.date_cloture,
			gi.intervention_cloturer,
			gi.erreur_destination,
			gi.erreur_vue,
			u.firstname,
			u.lastname,
			ug.group_desc,
			u2.firstname,
			u2.lastname,
			ug2.group_desc,
			gi.fkid_user_cloture,
			gi.info_erreur_destination,
			u3.firstname,
			u3.lastname
		FROM 
			gdd_intervention gi LEFT OUTER JOIN users u2 ON gi.fkid_user_destinataire = u2.user_id
								LEFT OUTER JOIN users u3 ON gi.fkid_user_cloture = u3.user_id,
			users u,
			usergroups ug,
			usergroups ug2
		WHERE
			gi.fkid_demande = \"$Vli_id_demande\"
			AND gi.fkid_user_emetteur = u.user_id
			AND gi.fkid_groupe_emetteur = ug.group_id
			AND gi.fkid_groupe_destinataire = ug2.group_id
		ORDER BY
			gi.id
		");
		
		$Vli_nbre_intervention = $db->nb_result();
		
		#######################################################	
		
		echo"
		<div class=\"bloc_intervention\" id=\"bloc_intervention\" align=\"center\">
		
			<div class=\"groupe_carousel\">
			
				<table border=\"0\">
				<tr>
					<td valign=\"top\">
						<table border=\"0\" class=\"carousel_precedent\">
						<tr>
							<td valign=\"middle\">
								<img src=\"modules/gdd/images/precedent.png\" title=\""._GDD_PRECEDENT."\" alt=\""._GDD_PRECEDENT."\"  onclick=\"carrousel.prev(); jquery_init_calendar_carrousel(carrousel.nbCurrent, carrousel.nbSlide); ajuster_hauteur_carrousel(); init_element_carrousel(carrousel.nbCurrent);\" id=\"prev_carrousel\" />
							</td>
						</tr>
						</table>
					</td>
					<td>
		";
			
					######################################################################
					### Affichage du carrousel
					######################################################################
					
					echo "
					<div id=\"carrousel\">
					";
					
					$cpt_slide=1;
			
					while($val_liste_intervention = $db->fetch_array())
					{
						$Vli_id_intervention = $val_liste_intervention[0];
						$Vli_fkid_demande = $val_liste_intervention[1];
						$Vli_fkid_groupe_emetteur = $val_liste_intervention[2];
						$Vli_fkid_user_emetteur = $val_liste_intervention[3];
						$Vli_fkid_groupe_destinataire = $val_liste_intervention[4];
						$Vli_fkid_user_destinataire = $val_liste_intervention[5];
						$Vls_description = $val_liste_intervention[6];
						$Vls_realisation = $val_liste_intervention[7];
						$Vls_reponse = $val_liste_intervention[8];
						$Vld_date_creation = $val_liste_intervention[9];
						$Vld_date_delai = $val_liste_intervention[10];
						$Vld_date_realisation = $val_liste_intervention[11];
						$Vld_date_cloture = $val_liste_intervention[12];
						$Vls_intervention_cloturer = $val_liste_intervention[13];
						$Vls_erreur_destination = $val_liste_intervention[14];
						$Vls_erreur_vue = $val_liste_intervention[15];
						$Vls_nom_emetteur = $val_liste_intervention[16];
						$Vls_prenom_emetteur = $val_liste_intervention[17];
						$Vls_nom_groupe_emetteur = $val_liste_intervention[18];
						$Vls_nom_destinataire = $val_liste_intervention[19];
						$Vls_prenom_destinataire = $val_liste_intervention[20];
						$Vls_nom_groupe_destinataire = $val_liste_intervention[21];
						$Vli_user_cloture= $val_liste_intervention[22];
						$Vls_info_erreur_destination = $val_liste_intervention[23];
						$Vls_nom_cloture = $val_liste_intervention[24];
						$Vls_prenom_cloture = $val_liste_intervention[25];
	
						#############################################################	
	
						$Vls_nom_groupe_emetteur = ereg_replace("\[[a-zA-Z]*\]", "", $Vls_nom_groupe_emetteur);
						$Vls_nom_groupe_destinataire = ereg_replace("\[[a-zA-Z]*\]", "", $Vls_nom_groupe_destinataire);
	
						#############################################################			
						### On regarde si la personne connecter est l'émetteur
						### ou le destinataire de l'intervation
						#############################################################	
						
						// $Vls_groupe_connect = $_SESSION["user"]["primarygroup"];
						// $Vls_user_connect = $_SESSION["user"]["UserId"];
						
						if($Vli_fkid_user_emetteur==$Vls_user_connect AND $Vls_intervention_cloturer=="N")
						{
							$Vls_display_form_emetteur = "";
						}
						elseif( user_autorise_traitement($Vli_fkid_user_emetteur, $Vli_id_user_connecter))
						{
							$Vls_display_form_emetteur = "";
						}
						else
						{
							$Vls_display_form_emetteur = "disabled";
						}
						
						if($Vli_fkid_user_destinataire=="" OR $Vls_intervention_cloturer=="Y")
						{
							$Vls_display_form_destinataire = "disabled";
							
						}
						elseif($Vli_fkid_user_destinataire==$Vls_user_connect AND $Vls_intervention_cloturer=="N")
						{
							$Vls_display_form_destinataire = "";
						}
						elseif(user_autorise_traitement($Vli_fkid_user_destinataire, $Vli_id_user_connecter))
						{
							$Vls_display_form_destinataire = "";
						}
						else
						{
							$Vls_display_form_destinataire = "disabled";
						}						
							
						#############################################################
										
						echo "
						<div id=\"slide".$cpt_slide."\" class=\"slide\">

							<form action=\"gdd.php?op=validation_modifier_demande\" method=\"post\" id=\"form_intervention_".$Vli_id_intervention."\">
				
								<div class=\"contenu_inventaire\">
									
									<div align=\"center\" style=\"display: none;\">
										<div id=\"erreur_message\" class=\"erreur_message\"></div>
									</div>
									
									<div id=\"dialog_inter_modif\" title=\""._GDD_INTERVENTION_MODIFIER."\" style=\"display: none;\">
										"._GDD_INTERVENTION_MODIFIER_MESSAGE."
									</div>
						";
						
						
							#############################################################	
							### Afficher un cadre pour dire l'intervention est clos
							#############################################################	
							
							if($Vls_intervention_cloturer=="Y")
							{
								echo"
								<div align=\"center\"> 
									<div class=\"intervention_clos\">
									
										<div class=\"titre\">
											"._GDD_INTERVENTION_CLOS."
										</div>
										<br />
										"._GDD_CLOS_PAR." $Vls_prenom_cloture $Vls_nom_cloture
										<br />
										"._GDD_LE." ".date_sans_heure($Vld_date_cloture)." "._GDD_A." ".date_que_heure($Vld_date_cloture)."					
								
									</div>
								</div>
								";		
								
							}			
							
							########################################################
							### Signalé une erreur de destinataire
							########################################################
							
							if($Vls_erreur_destination=="Y")
							{
								echo"
								<div align=\"center\"> 
									<div class=\"erreur_destination\">
									
										<div class=\"titre\">
											"._GDD_ERREUR_INTERVENTION_TITRE."
										</div>
								";
							
									$Vls_info_erreur_destination = str_replace("\n", "<br />", $Vls_info_erreur_destination);
								
									echo"
										<br />
										<div align=\"left\" class=\"titre_entete2\">
											<span class=\"sous_titre\">"._GDD_MESSAGE_ERREUR_DESTINATION." :</span>
											<div style=\"float: left;\">".$Vls_info_erreur_destination." toto</div>
										</div>
										<div style=\"clear: both;\"></div>
									";
									
									if($Vls_erreur_vue=="N" AND $Vli_fkid_user_emetteur==$Vls_user_connect)
									{
										echo"
										<br />
										<div id=\"bouton_erreur_vue\">
											<div align=\"center\">
												<input type=\"button\" value=\""._GDD_ERREUR_VUE."\" id=\"Vfb_erreur_vue\" name=\"Vfb_erreur_vue\" onclick=\"jquery_erreur_vue(".$Vli_id_intervention.")\"/>
											</div>
										</div>
										";
									}
								
								echo"
									</div>
								</div>
								<br />
								";							
							}
							elseif($Vli_fkid_user_destinataire=="" AND $Vls_groupe_connect==$Vli_fkid_groupe_destinataire AND $Vls_intervention_cloturer=="N")
							{
								###########################################################################
								### Création de la liste des personne qui appartient au groupe
								###########################################################################
								
								$db2 = new dbquery();
								$db2->connect();
								
								$res_liste_user_groupe = $db2->query("
								SELECT 
									ugc.user_id,
									u.lastname,
									u.firstname
								FROM 
									usergroup_content ugc,
									users u
								WHERE
									ugc.group_id = \"$Vli_fkid_groupe_destinataire\"
									AND ugc.user_id = u.user_id
								ORDER BY
									u.lastname,
									u.firstname
								");
								
								$Vls_menu_approprier = "
								<select size=\"1\" name=\"Vfi_user_approprier\" id=\"Vfi_user_approprier\">
									<option value=\"-1\">------ "._GDD_SELECT_TYPE." ------</option>
								";
								
								while($val_liste_user_groupe = $db2->fetch_array())
								{
									$Vli_id_user_approprier = $val_liste_user_groupe[0];
									$Vls_nom_approprier = $val_liste_user_groupe[1];
									$Vls_prenom_approprier = $val_liste_user_groupe[2];
									
									$Vls_menu_approprier .= "
									<option value=\"$Vli_id_user_approprier\">$Vls_nom_approprier $Vls_prenom_approprier</option>
									";
								}
								
								$Vls_menu_approprier .= "
								</select>
								";
								
								###########################################################################
							
							
							
								echo"
								<div align=\"left\" class=\"titre_entete2\">
										<span class=\"sous_titre\">"._GDD_APPROPRIER_INTERVENTION." :</span>
										<div style=\"float: left;\">".$Vls_menu_approprier."</div>
										<div style=\"float: left; padding-left: 5px;\">
											<a  href=\"javascript://\" class=\"choice\" onclick=\"jquery_approprier_intervention($Vli_id_intervention, $Vli_id_demande)\" style=\"float: left;\">
												<img src=\"modules/gdd/images/valider.png\" border=\"0\" alt=\"\" />
											</a>
										</div>
								</div>
								<div class=\"erreur_destination_inter\" id=\"erreur_destination_inter\">
									<img src=\"modules/gdd/images/erreur_destination_inter.png\" border=\"0\" alt=\""._GDD_ERREUR_INTERVENTION."\" title=\""._GDD_ERREUR_INTERVENTION."\" onclick=\"jquery_erreur_destination_inter($Vli_id_intervention, '$Vls_user_connect')\" />
								
									<div id=\"dialog_erreur_destination_inter\" class=\"dialog_erreur_destination_inter\" title=\""._GDD_ERREUR_INTERVENTION_TITRE."\" style=\"display: none;\">
										<p>"._GDD_INFO_ERREUR_INTER."</p>
										<br />
										<textarea rows=\"10\" cols=\"50\" name=\"Vfs_info_erreur_intervention\" id=\"Vfs_info_erreur_intervention\"></textarea>
									</div>
																	
								</div>
								<div style=\"clear: both;\"></div>
								<br />								
								";
							}
							
							########################################################
						
						echo "
									<div align=\"left\" class=\"titre_entete\">
										<span class=\"sous_titre\">"._GDD_DATE_CREATION." :</span>
										<div>".date_avec_heure($Vld_date_creation)."</div>
									</div>
									<div align=\"left\" class=\"titre_entete\">
										<span class=\"sous_titre\">"._GDD_CREATION_PAR." :</span>
										<div>$Vls_prenom_emetteur $Vls_nom_emetteur <br />($Vls_nom_groupe_emetteur)</div>
									</div>
									<div style=\"clear: both;\"></div>
									
									<br />
									
									<div align=\"left\" class=\"titre_entete2\">
										<span class=\"sous_titre\">"._GDD_CREER_POUR." :</span> 
										<div>$Vls_prenom_destinataire $Vls_nom_destinataire ($Vls_nom_groupe_destinataire)</div>
										<div style=\"clear: both;\"></div>
									</div>
									<div style=\"clear: both;\"></div>
									
									<br /><br />
									
									<div align=\"left\" class=\"titre_entete\">
										<span class=\"sous_titre\">"._GDD_DESCRIPTION_INTERVENTION."</span>
									</div>
									<div align=\"left\" class=\"titre_entete\">
										<span class=\"sous_titre\">"._GDD_DELAI_INTERVENTION." :</span>
										<div><input type=\"text\" size=\"10\" name=\"Vfd_delai_intervention_".$cpt_slide."\" id=\"Vfd_delai_intervention_".$cpt_slide."\" value=\"".date_fr($Vld_date_delai)."\" $Vls_display_form_emetteur/></div>
									</div>
									<div style=\"clear: both;\"></div>
									
									<div align=\"center\">
										<textarea rows=\"10\" cols=\"92\" name=\"Vfs_description_intervention\" id=\"Vfs_description_intervention\" $Vls_display_form_emetteur>$Vls_description</textarea>
									</div>
									
									<br />
									
									<div align=\"left\" class=\"titre_entete\">
										<span class=\"sous_titre\">"._GDD_PIECE_JOINTE."</span>
									";
										
									if(($Vls_display_form_emetteur=="" OR $Vls_display_form_destinataire=="") AND $Vls_intervention_cloturer=="N")
									{
										echo"
										<a  href=\"javascript://\" class=\"choice\" onclick=\"ouvreFenetre('gdd.php?id_demande=". $Vli_id_demande."&op=ajouter_media&id_intervention=$Vli_id_intervention', '900, 700')\">
											<img src=\"modules/gdd/images/folder_images.png\" border=\"0\" title=\""._GDD_GESTION_PJ."\" alt=\""._GDD_GESTION_PJ."\" />
										</a>
										";
									}
									
									echo"
									</div>
									<div style=\"clear: both;\"></div>
																					
									<br />
									";		

									##############################################
									### récupérer les extensions autorisées
									##############################################

									$Vlt_extension = array();
									$Vlt_image_source = array();

									$xmlfeatures = simplexml_load_file("modules/gdd/xml/extension_upload.xml");
									
									if ($xmlfeatures)
									{
										foreach($xmlfeatures->EXTENSION as $EXTENSION)
										{		
											$Vls_nom_extension = (string) $EXTENSION->NOM;
											$Vls_image_source_extension = (string) $EXTENSION->IMAGE_SOURCE;
											
											$Vlt_extension[] = $Vls_nom_extension;
											$Vlt_image_source["$Vls_nom_extension"] = $Vls_image_source_extension;
										}
									}
									
									#########################################################################
									### Recherche de la liste des pièces jointes de cet intervention
									#########################################################################

									$db3 = new dbquery();
									$db3->connect();
									
									$query_liste_piece_jointe = "
									SELECT 
										pj.id,
										pj.type_fichier,
										pj.nom_fichier,
										pj.titre_fichier,
										pj.fkid_user_createur,
										pj.date_creation,
										u.firstname,
										u.lastname
									FROM 
										gdd_inter_piece_jointe pj,
										users u
									WHERE
										pj.fkid_intervention = \"$Vli_id_intervention\"
										AND pj.fkid_user_createur = u.user_id	
									ORDER BY
										pj.id
									";
									
									$res_liste_piece_jointe = $db3->query($query_liste_piece_jointe);	
									
									#########################################################################
									
									echo"
									<div align=\"center\" style=\"width: 100%;\">
										<div id=\"galerie\" class=\"galerie\">

											<div style=\"overflow:hidden; position:relative; width:100%; height:100%;\">
												
												<div class=\"slider\">
												<p>
												";
												
												while($val_liste_piece_jointe = $db3->fetch_array())
												{
													$Vli_id_piece_jointe = $val_liste_piece_jointe[0];
													$Vls_type_fichier = $val_liste_piece_jointe[1];
													$Vls_nom_fichier = $val_liste_piece_jointe[2];
													$Vls_titre_fichier = $val_liste_piece_jointe[3];
													$Vli_id_user_createur = $val_liste_piece_jointe[4];
													$Vld_date_creation = $val_liste_piece_jointe[5];
													$Vls_prenom_user_createur = $val_liste_piece_jointe[6];
													$Vls_nom_user_createur = $val_liste_piece_jointe[7];	
													
													if($Vlt_image_source["$Vls_type_fichier"]=="")
													{
														echo "
														<a href=\"upload/gdd/".$Vli_id_intervention."/".$Vls_nom_fichier.".".$Vls_type_fichier."\" rel=\"zoombox[galerie]\" title=\"$Vls_titre_fichier\" id=\"Vfs_lien_pj_".$Vli_id_piece_jointe."\" >
															<img src=\"upload/gdd/".$Vli_id_intervention."/".$Vls_nom_fichier."_mini.".$Vls_type_fichier."\" title=\"$Vls_titre_fichier\" id=\"Vfs_image_pj_".$Vli_id_piece_jointe."\" />
														</a>
														";
													}
													else
													{
														echo "
														<a href=\"upload/gdd/".$Vli_id_intervention."/".$Vls_nom_fichier.".".$Vls_type_fichier."\" rel=\"zoombox[galerie]\" title=\"$Vls_titre_fichier\" id=\"Vfs_lien_pj_".$Vli_id_piece_jointe."\">
															<img src=\"modules/gdd/images/extension/".$Vlt_image_source["$Vls_type_fichier"]."\" title=\"$Vls_titre_fichier\" id=\"Vfs_image_pj_".$Vli_id_piece_jointe."\" />
														</a>
														";
													}				
												}
													
												echo"
												</p>
												</div>
											</div>
								
											<div class=\"bouton prec\"></div>
											<div class=\"bouton suiv\"></div>
											
											
										</div>
									</div>
									";
										
									echo"
								
									<br /><br />
								
									<div align=\"left\" class=\"titre_entete\">
										<span class=\"sous_titre\">"._GDD_REALISATION_INTERVENTION."</span>
									</div>
									<div align=\"left\" class=\"titre_entete\">
										<span class=\"sous_titre\">"._GDD_DATE_REALISATION." :</span>
										<div><input type=\"text\" size=\"10\" name=\"Vfd_realisation_intervention_".$cpt_slide."\" id=\"Vfd_realisation_intervention_".$cpt_slide."\" value=\"".date_fr2($Vld_date_realisation)."\" $Vls_display_form_destinataire /></div>
									</div>
									<div style=\"clear: both;\"></div>
									
									<div align=\"center\">
										<textarea rows=\"10\" cols=\"92\" name=\"Vfs_realisation_intervention\" id=\"Vfs_realisation_intervention\" $Vls_display_form_destinataire>$Vls_realisation</textarea>
									</div>
									
									<br />
									
									<div align=\"left\" class=\"titre_entete\">
										<span class=\"sous_titre\">"._GDD_REPONSE_INTERVENTION."</span>
									</div>
									<div align=\"left\" class=\"titre_entete\">
										<span class=\"sous_titre\">"._GDD_DATE_CLOTURE." :</span>
										<div><input type=\"text\" size=\"10\" name=\"Vfd_cloture_intervention\" id=\"Vfd_cloture_intervention\" value=\"".date_sans_heure($Vld_date_cloture)."\" disabled /></div>
									</div>
									<div style=\"clear: both;\"></div>
									
									<div align=\"center\">
										<textarea rows=\"10\" cols=\"90\" name=\"Vfs_reponse_intervention\" id=\"Vfs_reponse_intervention\" $Vls_display_form_destinataire>$Vls_reponse</textarea>
									</div>
									
									<br />
									";
									
									
									if(($Vls_display_form_emetteur=="" OR $Vls_display_form_destinataire=="") AND $Vls_intervention_cloturer=="N")
									{
										echo"
										<div align=\"left\" class=\"titre_entete\">
											<span class=\"sous_titre\">"._GDD_CLOTURER_INTERVENTION."</span>
											<input type=\"checkbox\" name=\"Vfs_clotuer_intervention\" id=\"Vfs_clotuer_intervention\" value=\"ON\" />
										</div>
										<div style=\"clear: both;\"></div>
										";
									}
									
								echo"
								</div>
						";
								
						if(($Vls_display_form_emetteur=="" OR $Vls_display_form_destinataire=="") AND $Vls_intervention_cloturer=="N")
						{
							echo"
								
									<div align=\"center\">
										<input type=\"button\" value=\""._GDD_MODIFIER_INTERVENTION."\" id=\"Vfb_modifier_intervention\" name=\"Vfb_modifier_intervention\" onclick=\"jquery_modification_intervention(".$Vli_id_intervention.", ".$cpt_slide.")\"/>
									</div>
							";
						}
						
						###################################################################
						### Rajout des variable cacher pour savoir dans quel type de modif
						### on aura après validation
						###################################################################
						
						if($Vls_display_form_destinataire=="")
						{
							echo"
							<input type=\"hidden\" name=\"Vfs_modification_destinataire\" id=\"Vfs_modification_destinataire\" value=\"Y\">
							";
						}
						else
						{
							echo"
							<input type=\"hidden\" name=\"Vfs_modification_destinataire\" id=\"Vfs_modification_destinataire\" value=\"N\">
							";
						}
						
						if($Vls_display_form_emetteur=="")
						{
							echo"
							<input type=\"hidden\" name=\"Vfs_modification_emetteur\" id=\"Vfs_modification_emetteur\" value=\"Y\">
							";
						}
						else
						{
							echo"
							<input type=\"hidden\" name=\"Vfs_modification_emetteur\" id=\"Vfs_modification_emetteur\" value=\"N\">
							";
						}
						
						###################################################################
						
						echo"
						
								<input type=\"hidden\" name=\"Vfs_type_modif\" id=\"Vfs_type_modif\" value=\"intervention\">			
								<input type=\"hidden\" name=\"Vfi_fkid_intervention\" id=\"Vfi_fkid_intervention\" value=\"$Vli_id_intervention\">		
								<input type=\"hidden\" name=\"Vfi_id_demande\" id=\"Vfi_id_demande\" value=\"$Vli_id_demande\" />
								<input type=\"hidden\" name=\"Vfs_user_connect\" id=\"Vfs_user_connect\" value=\"$Vls_user_connect\" />
																	
							</form>
						</div>
						";
				
						$cpt_slide++;
					}
					
					echo"
					</div>
					";
					
					############################################################################
				
				echo "
					</td>
					<td valign=\"top\">
						<table border=\"0\" class=\"carousel_suivant\">
						<tr>
							<td valign=\"middle\">
								<img src=\"modules/gdd/images/suivant.png\" title=\""._GDD_SUIVANT."\" alt=\""._GDD_SUIVANT."\" onclick=\"carrousel.next(); jquery_init_calendar_carrousel(carrousel.nbCurrent, carrousel.nbSlide); ajuster_hauteur_carrousel(); init_element_carrousel(carrousel.nbCurrent);\" id=\"next_carrousel\" />
							</td>
						</tr>
						</table>
					</td>
				</tr>
				</table>
			</div>
			
		</div>
		<br />
		";
		

		
					
	echo"								
					<div style=\"clear: both;\"></div>
					
				</div>

					
			
		</div>	
	";

	#####################################################################
	#####################################################################
	#####################################################################
	### Onglet des annotations
	#####################################################################
	#####################################################################
	#####################################################################
		
		####################################################
		### Création de la liste des groupes
		####################################################
		
		$query_liste_groupe = "
		SELECT 
			ug.group_id,
			ug.group_desc
		FROM 
			gdd_demande gdd,
			gdd_domaine_groupe gdg,
			usergroups ug
		WHERE
			gdd.id = \"$Vli_id_demande\"
			AND gdd.fkid_domaine = gdg.fkid_domaine
			AND gdg.fkid_groupe = ug.group_id
		ORDER BY
			ug.group_desc
		";
		
		$res_liste_groupe = $db->query($query_liste_groupe);	
		
		$Vls_liste_groupe = "";		
		
		while($val_liste_groupe = $db->fetch_array())
		{
			$Vli_id_groupe_destinataire = $val_liste_groupe[0];
			$Vls_nom_groupe_destinataire = $val_liste_groupe[1];
			
			######################################################
			
			$Vls_liste_groupe .= "
			<input type=\"checkbox\" value=\"$Vli_id_groupe_destinataire\" name=\"Vfs_destinataire_groupe[]\" id=\"Vfs_destinataire_groupe\" />
			<span id=\"nom_destinataire\" class=\"nom_destinataire\">$Vls_nom_groupe_destinataire</span>
			<br />
			";														
		}
		
		####################################################
		### Création de la liste des utilisateurs
		####################################################
		
		$query_liste_user = "
		SELECT 
			u.user_id,
			u.lastname,
			u.firstname
		FROM 
			gdd_demande gdd,
			gdd_domaine_groupe gdg,
			usergroups ug,
			usergroup_content ugc,
			users u
		WHERE
			gdd.id = \"$Vli_id_demande\"
			AND gdd.fkid_domaine = gdg.fkid_domaine
			AND gdg.fkid_groupe = ug.group_id
			AND ug.group_id = ugc.group_id
			AND ugc.user_id = u.user_id
		ORDER BY
			u.lastname
		";
		
		$res_liste_user = $db->query($query_liste_user);	
		
		$Vls_liste_utilisateur = "";		
		
		while($val_liste_user = $db->fetch_array())
		{
			$Vli_id_user_destinataire = $val_liste_user[0];
			$Vls_nom_user_destinataire = $val_liste_user[1];
			$Vls_prenom_user_destinataire = $val_liste_user[2];
			
			######################################################
			
			$Vls_liste_utilisateur .= "
			<input type=\"checkbox\" value=\"$Vli_id_user_destinataire\" name=\"Vfs_destinataire_user[]\" id=\"Vfs_destinataire_user\" />
			<span id=\"nom_destinataire\" class=\"nom_destinataire\">$Vls_nom_user_destinataire $Vls_prenom_user_destinataire</span>
			<br />
			";														
		}
				
		####################################################
		### Création de la liste des annotations
		####################################################
		
		$query_liste_annotation = "
		SELECT 
			ga.id,
			ga.date_creation,
			ga.annotation,
			ga.tous,
			ga.liste_groupe,
			ga.liste_user,		
			u.user_id,
			u.lastname,
			u.firstname,
			ug.group_desc
		FROM 
			gdd_annotation ga,
			users u,
			usergroup_content ugc,
			usergroups ug
		WHERE
			ga.fkid_demande = $Vli_id_demande
			AND ga.fkid_createur= u.user_id
			AND u.user_id = ugc.user_id
			AND ugc.primary_group = \"Y\"
			AND ugc.group_id = ug.group_id
			AND (ga.fkid_createur = \"$Vls_user_connect\"
				 OR ga.tous = \"Y\"
				 OR ga.liste_groupe like \"%|$Vls_groupe_connect|%\"
				 OR ga.liste_user like \"%|$Vls_user_connect|%\"
				)
		ORDER BY
			ga.date_creation DESC
		";	
		
		$res_liste_annotation = $db->query($query_liste_annotation);	
		
		$Vls_liste_annotation = "
		<div id=\"accordion\">
		";		
		
		while($val_liste_annotation = $db->fetch_array())
		{
			$Vli_id_annotation = $val_liste_annotation[0];
			$Vld_date_creation_annotation = $val_liste_annotation[1];
			$Vls_annotation = $val_liste_annotation[2];
			$Vls_tous_annotation = $val_liste_annotation[3];
			$Vls_liste_groupe_annotation = $val_liste_annotation[4];
			$Vls_liste_user_annotation = $val_liste_annotation[5];
			$Vls_id_user_createur = $val_liste_annotation[6];
			$Vls_nom_createur = $val_liste_annotation[7];
			$Vls_prenom_createur = $val_liste_annotation[8];
			$Vls_nom_groupe_createur = $val_liste_annotation[9];

			############################################################
			
			$Vlt_date_creation_annotation = explode(" ", $Vld_date_creation_annotation);
			
			$Vls_jour_creation_annotation = $Vlt_date_creation_annotation[0];
			$Vls_heure_creation_annoation = $Vlt_date_creation_annotation[1];
			
			$Vlt_jour_creation_annotation = explode("-", $Vls_jour_creation_annotation);
			$Vls_jour_creation_annotation = $Vlt_jour_creation_annotation[2]."/".$Vlt_jour_creation_annotation[1]."/".$Vlt_jour_creation_annotation[0];
		
			$Vlt_heure_creation_annoation = explode(":", $Vls_heure_creation_annoation);
			$Vls_heure_creation_annoation = $Vlt_heure_creation_annoation[0]."H".$Vlt_heure_creation_annoation[1];
		
			############################################################
		
			$Vls_annotation = str_replace("\n", "<br />", $Vls_annotation);
		
			############################################################
			### On regarde si la personne à lu cette annotation
			############################################################
		
			$db2 = new dbquery();
			$db2->connect();
		
		 	$query_annotation_lu = "
			SELECT 
				gau.id
			FROM 
				gdd_annotation_user gau
			WHERE
				gau.fkid_annotation = $Vli_id_annotation
				AND fkid_destinataire = \"$Vls_user_connect\"
				AND gau.lu = \"N\"
			";	
			
			$res_annotation_lu = $db2->query($query_annotation_lu);	
			$val_liste_annotation = $db2->fetch_array();
		
			$Vli_id_annotation_lecture = $val_liste_annotation[0];
		
			if($Vli_id_annotation_lecture!="" AND $Vls_id_user_createur!=$Vls_user_connect)
			{
				$Vls_image_nouvelle_annotation = "
				<img src=\"modules/gdd/images/nouveau.png\" alt=\"Nouvelle annotation\" title=\"Nouvelle annotation\" style=\"margin-left: 15px;\" id=\"image_new_annotation_$Vli_id_annotation_lecture\" />
				";
				
				$Vls_affichage_bouton_lu = "
				<br />
				<div align=\"center\" id=\"bouton_annotation_vue_$Vli_id_annotation_lecture\">
					<input type=\"button\" value=\""._GDD_PRENDRE_CONNAISSANCE."\" onclick=\"jquery_prendre_connaissance_annotation($Vli_id_annotation_lecture)\" />
				</div>
				";
			} 
			else
			{
				$Vls_image_nouvelle_annotation = "";
				$Vls_affichage_bouton_lu = "";
			}
			
			############################################################
			### Création de la liste des destinataires
			############################################################
			
				$db3 = new dbquery();
				$db3->connect();
			
				####################################################
				### Création de la liste des groupes
				####################################################
				
				$query_liste_groupe_affichage = "
				SELECT 
					ug.group_id,
					ug.group_desc
				FROM 
					gdd_demande gdd,
					gdd_domaine_groupe gdg,
					usergroups ug
				WHERE
					gdd.id = \"$Vli_id_demande\"
					AND gdd.fkid_domaine = gdg.fkid_domaine
					AND gdg.fkid_groupe = ug.group_id
				ORDER BY
					ug.group_desc
				";
				
				$res_liste_groupe_affichage = $db3->query($query_liste_groupe_affichage);	
				
				$Vls_liste_groupe_affichage = "";		
				
				while($val_liste_groupe_affichage = $db3->fetch_array())
				{
					$Vli_id_groupe_destinataire = $val_liste_groupe_affichage[0];
					$Vls_nom_groupe_destinataire = $val_liste_groupe_affichage[1];
					
					######################################################
					
					if(substr_count($Vls_liste_groupe_annotation, "|".$Vli_id_groupe_destinataire."|")!="0")
					{
						$Vls_groupe_annotation_cheched = "checked";
						$Vls_groupe_annotation_class = "survole_text";
					}
					else
					{
						$Vls_groupe_annotation_cheched = "";
						$Vls_groupe_annotation_class = "";
					}
					
					######################################################
					
					$Vls_liste_groupe_affichage .= "
					<input type=\"checkbox\" value=\"$Vli_id_groupe_destinataire\" name=\"Vfs_destinataire_groupe[]\" id=\"Vfs_destinataire_groupe\" disabled $Vls_groupe_annotation_cheched />
					<span class=\"$Vls_groupe_annotation_class\">$Vls_nom_groupe_destinataire</span>
					<br />
					";														
				}
				
				####################################################
				### Création de la liste des utilisateurs
				####################################################
				
				$query_liste_user_affichage = "
				SELECT 
					u.user_id,
					u.lastname,
					u.firstname
				FROM 
					gdd_demande gdd,
					gdd_domaine_groupe gdg,
					usergroups ug,
					usergroup_content ugc,
					users u
				WHERE
					gdd.id = \"$Vli_id_demande\"
					AND gdd.fkid_domaine = gdg.fkid_domaine
					AND gdg.fkid_groupe = ug.group_id
					AND ug.group_id = ugc.group_id
					AND ugc.user_id = u.user_id
				ORDER BY
					u.lastname
				";
				
				$res_liste_user_affichage = $db3->query($query_liste_user_affichage);	
				
				$Vls_liste_utilisateur_affichage = "";		
				
				while($val_liste_user_affichage = $db3->fetch_array())
				{
					$Vli_id_user_destinataire = $val_liste_user_affichage[0];
					$Vls_nom_user_destinataire = $val_liste_user_affichage[1];
					$Vls_prenom_user_destinataire = $val_liste_user_affichage[2];
					
					######################################################
					
					if(substr_count($Vls_liste_user_annotation, "|".$Vli_id_user_destinataire."|")!="0")
					{
						$Vls_user_annotation_cheched = "checked";
						$Vls_user_annotation_class = "survole_text";
					}
					else
					{
						$Vls_user_annotation_cheched = "";
						$Vls_user_annotation_class = "";
					}
					
					######################################################
					
					$Vls_liste_utilisateur_affichage .= "
					<input type=\"checkbox\" value=\"$Vli_id_user_destinataire\" name=\"Vfs_destinataire_user[]\" id=\"Vfs_destinataire_user\" disabled $Vls_user_annotation_cheched />
					<span class=\"$Vls_user_annotation_class\">$Vls_nom_user_destinataire $Vls_prenom_user_destinataire</span>
					<br />
					";														
				}
				
				######################################################
							
				if($Vls_tous_annotation=="Y")
				{
					$Vls_tous_annotation_cheched = "checked";
					$Vls_tous_annotation_class = "survole_text";
				}
				else
				{
					$Vls_tous_annotation_cheched = "";
					$Vls_tous_annotation_class = "";
				}
				
				######################################################
				### Creation de l'affichage de la liste destinataire
				######################################################			
				
				$Vls_liste_destinataire_annoation = "
				<div align=\"left\">
								
					<div id=\"titre_destinataire\" style=\"font-weight: bold;\">"._GDD_ANNOTATION_DESTINATAIRE."</div>
					
					<div id=\"accordion_destinataire_affichage\" class=\"accordion_destinataire\">
						<h3>
							<a href=\"#\">
								"._GDD_ALL."									
							</a>
						</h3>
						<div>
							<input type=\"checkbox\" value=\"tous\" name=\"Vfs_destinataire_tous\" id=\"Vfs_destinataire_tous\" disabled $Vls_tous_annotation_cheched />
							<span class=\"$Vls_tous_annotation_class\">"._GDD_ALL_USER."</span>
						</div>
						<h3>
							<a href=\"#\">
								"._GDD_ANNOTATION_GROUP."
							</a>
						</h3>
						<div id=\"liste_groupe\">
							$Vls_liste_groupe_affichage
						</div>
						<h3>
							<a href=\"#\">
								"._GDD_ANNOTATION_USER."
							</a>
						</h3>
						<div id=\"liste_user\">
							$Vls_liste_utilisateur_affichage
						</div>
					</div>						
				
				</div>			
				";			
			
			############################################################
			
			### Vli_id_annotation_open
			### Vli_id_annotation
			
			/*
			ACTIF :
			aria-expanded = true
			tabindex = 0
			class = ui-accordion-header ui-helper-reset ui-state-default ui-state-active ui-corner-top
			
			NON ACTIF
			aria-expanded = false
			tabindex = -1
			class = ui-accordion-header ui-helper-reset ui-state-default ui-corner-all
			
			*/
			
			############################################################
		
			$Vls_liste_annotation .= "
			<h3 id=\"annotation_$Vli_id_annotation\">
				<a href=\"#\">
					<div style=\"float: left;\">
						$Vls_prenom_createur $Vls_nom_createur<br />
						($Vls_nom_groupe_createur)<br />
					</div>
					<div style=\"float: right;\">
						"._GDD_FAIT_LE." $Vls_jour_creation_annotation<br />
						"._GDD_A." $Vls_heure_creation_annoation $Vls_image_nouvelle_annotation	
					</div>
					<div style=\"clear: both;\"></div>
				</a>
			</h3>
			<div>
				
				<div align=\"center\" id=\"dialog_liste_destinataire_$Vli_id_annotation\" class=\"dialog_destinataire_$Vli_id_annotation\" title=\""._GDD_LISTE_DESTINATAIRE."\" style=\"display: none;\">
					$Vls_liste_destinataire_annoation
				</div>
			
			
				<div style=\"float: left;\">
					$Vls_annotation
				</div>
				<div style=\"float: right; width: 32px; cursor: pointer;\">
					<img src=\"modules/gdd/images/destinataire.png\" alt=\""._GDD_LISTE_DESTINATAIRE."\" title=\""._GDD_LISTE_DESTINATAIRE."\" onclick=\"jquery_afficher_destinataire($Vli_id_annotation)\" />
				</div>
				<div style=\"clear: both;\"></div>
				
				$Vls_affichage_bouton_lu
			</div>
			";
		}
		
		$Vls_liste_annotation .= "
		</div>
		";	
				
		####################################################
				
	if($Vls_onglet=="annotation")
	{
		$Vls_class_onglet = "on";
	}
	else
	{
		$Vls_class_onglet = "off";
	}
		
	echo"	
		<div id=\"menu_2\" class=\"$Vls_class_onglet content\">
			
			<div class=\"liste_annotation\">
				
					<div align=\"center\" class=\"titre_chapitre\">
						<div style=\"float: left;\">
							"._GDD_LISTE_ANNOTATION." 
						</div>
						";
						
						if(in_array($Vls_user_connect, $Vlt_liste_emet_dest) AND $Vls_demande_cloturer=="N")
						{
							echo"
							<div align=\"left\" class=\"ajouter_annotation\">
								<a  href=\"javascript://\" class=\"choice\" onclick=\"javascript:jquery_ajouter_annotation();\">
									<img src=\"modules/gdd/images/ajouter.png\" border=\"0\" alt=\""._GDD_AJOUTER_ANNOTATION."\" title=\""._GDD_AJOUTER_ANNOTATION."\" />
								</a>
							</div>
							";
						}
						
						echo"
						<div style=\"clear: both;\"></div>
					</div>
					<br />
					
			</div>
			
			<form class=\"formulaire_annotation_demande\" id=\"formulaire_annotation_demande\">
				
				<div align=\"center\" id=\"dialog_ajout_annotation\" class=\"dialog_ajout_annotation\" title=\""._GDD_AJOUTER_ANNOTATION."\" style=\"display: none;\">
					
					<div align=\"left\">
						
						<div align=\"center\" style=\"display: none;\">
							<div id=\"erreur_message\" class=\"erreur_message\">
								"._GDD_MESSAGE_ERREUR_ANNOTATION."
							</div>
						</div>
						
						<div id=\"titre_annotation\" style=\"font-weight: bold;\">"._GDD_YOUR_ANNOTATION."</div>
						<textarea rows=\"10\" cols=\"70\" name=\"Vfs_annotation_ajouter\" id=\"Vfs_annotation_ajouter\"></textarea>
						
						<br /><br />
						
						<div id=\"titre_destinataire\" style=\"font-weight: bold;\">"._GDD_ANNOTATION_DESTINATAIRE."</div>
						
						<div id=\"accordion_destinataire\" class=\"accordion_destinataire\">
							<h3>
								<a href=\"#\">
									"._GDD_ALL."									
								</a>
							</h3>
							<div>
								<input type=\"checkbox\" value=\"tous\" name=\"Vfs_destinataire_tous\" id=\"Vfs_destinataire_tous\" />
								<span id=\"nom_destinataire\" class=\"nom_destinataire\">"._GDD_ALL_USER."</span>
							</div>
							<h3>
								<a href=\"#\">
									"._GDD_ANNOTATION_GROUP."
								</a>
							</h3>
							<div id=\"liste_groupe\">
								$Vls_liste_groupe
							</div>
							<h3>
								<a href=\"#\">
									"._GDD_ANNOTATION_USER."
								</a>
							</h3>
							<div id=\"liste_user\">
								$Vls_liste_utilisateur
							</div>
						</div>						
					
					</div>
				
				</div>
				
				$Vls_liste_annotation				
				
				<input type=\"hidden\" name=\"Vfi_id_demande\" id=\"Vfi_id_demande\" value=\"$Vli_id_demande\" />
				<input type=\"hidden\" name=\"Vfi_id_user_connecter\" id=\"Vfi_id_user_connecter\" value=\"$Vls_user_connect\" />
				<input type=\"hidden\" name=\"Vfi_id_annotation_open\" id=\"Vfi_id_annotation_open\" value=\"$Vli_id_annotation_open\" />
								
			</form>
			
		</div>
	";	
		
	#####################################################################
	#####################################################################
	#####################################################################
	### Onglet Courrier et pièces jointes
	#####################################################################
	#####################################################################
	#####################################################################
		
	echo"
		<div id=\"menu_3\" class=\"off content\">
			
			<form class=\"formulaire_courrier_piece_jointe\">
				Courrier et pièces jointes
			</form>
			
		</div>
											
	</div>
	";
	
	####################################################
	### Afficahge du courrier 
	####################################################
	
	echo"
	<div id=\"iframe_pdf\">
		<iframe src=\"show_folder_doc.php?id=$Vli_id_courrier&gdd=yes\" name=\"viewframe\" id=\"viewframe\"  width=\"48%\"  scrolling=\"auto\" frameborder=\"0\" ></iframe>
	</div>
	<div style=\"clear: both;\"></div>
	";
	
	####################################################
}



#################################################################
#################################################################
### Validation de la modification de la demande
#################################################################
#################################################################

function validation_modifier_demande()
{
	global $_SESSION;
	
	#########################################################################
	### Création de différents objets
	#########################################################################

	$db = new dbquery();
	$db->connect();
	
	$func = new functions();

	$gdd = new gdd();

		#########################################################################
		### récupération des valeurs du formulaire
		#########################################################################
		
		$Vli_id_demande = $_POST["Vfi_id_demande"];
		$Vls_titre_demande = $_POST["Vfs_titre_demande"];
		$Vli_id_etat_demande = $_POST["Vfi_id_etat_demande"];		
		$Vli_id_quartier = $_POST["Vfi_id_quartier"];
		$Vli_id_elu_quartier = $_POST["Vfi_id_elu_quartier"];
		$Vli_id_domaine = $_POST["Vfi_id_domaine"];
		$Vli_id_elu_domaine = $_POST["Vfi_id_elu_domaine"];
		$Vls_numero_rue = $_POST["Vfs_numero_rue"];
		$Vli_id_rue = $_POST["Vfi_id_rue"];
		$Vli_id_ville = $_POST["Vfi_id_ville"];
		$Vls_complement_adresse = remplace_lettre_accent($_POST["Vfs_complement_adresse"]);
		$Vls_description_demande = remplace_lettre_accent($_POST["Vfs_description_demande"]);
		$Vls_ville = remplace_lettre_accent($_POST["Vfs_ville"]);
		$Vli_code_postal = $_POST["Vfi_code_postal"];		
		$Vls_nom_rue = remplace_lettre_accent($_POST["Vfs_nom_rue"]);
		$Vls_info_complementaire_demandeur = remplace_lettre_accent($_POST["Vfs_info_complementaire_demandeur"]);
		
		#################################################################
		### modufication de la demande
		#################################################################
		
		$query_update_demande="
		UPDATE 
			gdd_demande
		SET	
			titre_demande = \"$Vls_titre_demande\",
			fkid_quartier = \"$Vli_id_quartier\",
			fkid_elu_quartier = \"$Vli_id_elu_quartier\",
			fkid_domaine = \"$Vli_id_domaine\",
			fkid_elu_domaine = \"$Vli_id_elu_domaine\",
			numero_lieu_demande = \"$Vls_numero_rue\",
			complement_adresse = \"$Vls_complement_adresse\",
			description_demande = \"$Vls_description_demande\",
			ville = \"$Vls_ville\",
			code_postal = \"$Vli_code_postal\",
			rue = \"$Vls_nom_rue\",
			info_compl_demandeur = \"$Vls_info_complementaire_demandeur\",
			fkid_etat = \"$Vli_id_etat_demande\"
		WHERE 
			id = $Vli_id_demande
		";
		
		$res_update_demande = $db->query($query_update_demande);
}


#################################################################
#################################################################
### Création d'une intervention
#################################################################
#################################################################

function creation_intervention()
{
	global $_SESSION;
	
	#########################################################################
	
	$Vli_id_demande = $_GET["id_demande"];
	
	#########################################################################
	### Création de différents objets
	#########################################################################

	$db = new dbquery();
	$db->connect();
	
	$func = new functions();

	$gdd = new gdd();
	
	#########################################################################
	### Recherche des différentes informations sur la demande
	#########################################################################

	$Vls_query_info_demande = "
	SELECT 
		gdd.id,
		gdd.titre_demande,
		gtd.abreviation,
		gdd.annee,
		gdd.numero,
		gdd.date_creation,
		u.firstname,
		u.lastname,
		gdd.fkid_courrier,
		r.CUSTOM_T3,
		r.AUTHOR,
		r.CUSTOM_T4,
		r.SOCIETE,
		r.CUSTOM_T9,
		r.CUSTOM_T10,
		r.CUSTOM_T11,
		r.CUSTOM_T12,
		r.CUSTOM_T13,
		s.CIVILITY,
		s.LASTNAME,
		s.FIRSTNAME,
		s.SOCIETY,
		s.FUNCTION,
		s.STREET_NUM,
		s.STREET,
		s.TOWN,
		s.CP,
		r.sender_id,
		r.IS_INGOING,
		fkid_quartier,
		fkid_elu_quartier,
		fkid_domaine,
		fkid_elu_domaine,
		numero_lieu_demande,
		gdd.rue,
		gdd.ville,
		gdd.description_demande,
		gdd.fkid_user_createur,
		gdd.complement_adresse,
		gdd.date_limite
	FROM 
		gdd_demande gdd,
		gdd_type_demande gtd,
		users u,
		res_x r LEFT OUTER JOIN sender s ON r.sender_id = s.id
	WHERE
		gdd.id = ".$Vli_id_demande."
		AND gdd.fkid_type_demande = gtd.id
		AND gdd.fkid_user_createur = u.user_id
		AND gdd.fkid_courrier = r.res_id
	";
	
	
	$res_info_demande = $db->query($Vls_query_info_demande);
	
	$val_info_demande = $db->fetch_array();
	
	$Vli_id_demande = $val_info_demande[0];
	$Vls_titre_demande = $val_info_demande[1];
	$Vls_abr_type_demande = $val_info_demande[2];
	$Vls_annee_demande = $val_info_demande[3];
	$Vls_num_demande = $val_info_demande[4];
	$Vld_date_creation_demande = $val_info_demande[5];
	$Vls_prenom_createur = $val_info_demande[6];
	$Vls_nom_createur = $val_info_demande[7];
	$Vli_id_courrier = $val_info_demande[8];
	
	$Vls_civilite_r = $val_info_demande[9];
	$Vls_nom_r = $val_info_demande[10];
	$Vls_prenom_r = $val_info_demande[11];
	$Vls_societe_r = $val_info_demande[12];
	$Vls_fonction_r = $val_info_demande[13];
	$Vls_num_rue_r = $val_info_demande[14];
	$Vls_adresse_r = $val_info_demande[15];
	$Vls_ville_r = $val_info_demande[16];
	$Vls_cp_r = $val_info_demande[17];
	
	$Vls_civilite_s = $val_info_demande[18];
	$Vls_nom_s = $val_info_demande[19];
	$Vls_prenom_s = $val_info_demande[20];
	$Vls_societe_s = $val_info_demande[21];
	$Vls_fonction_s = $val_info_demande[22];
	$Vls_num_rue_s = $val_info_demande[23];
	$Vls_adresse_s = $val_info_demande[24];
	$Vls_ville_s = $val_info_demande[25];
	$Vls_cp_s = $val_info_demande[26];

	$Vli_fkid_sender = $val_info_demande[27];
	$Vls_type_courrier = $val_info_demande[28];
	
	$Vli_id_quartier = $val_info_demande[29];
	$Vli_id_elu_quartier = $val_info_demande[30];
	$Vli_id_domaine = $val_info_demande[31];
	$Vli_id_elu_domaine = $val_info_demande[32];
	$Vls_numero_lieu_demande = $val_info_demande[33];
	$Vls_rue_lieu_demande = $val_info_demande[34];
	$Vls_ville_lieu_demande = $val_info_demande[35];
	$Vls_description_demande = $val_info_demande[36];
	$Vli_id_user_createur = $val_info_demande[37];
	$Vls_complement_adresse_demande = $val_info_demande[38];
	
	$Vld_date_limite = $val_info_demande[39];
	
	################################################
	
	$Vlt_date_limite = explode("-", $Vld_date_limite);
	$Vls_date_limite = $Vlt_date_limite[2]."/".$Vlt_date_limite[1]."/".$Vlt_date_limite[0];
	
	################################################
						
	$gdd->set_chiffre($Vls_num_demande);
	$gdd->set_annee($Vls_annee_demande);
	$gdd->set_type_label($Vls_abr_type_demande);
	
	#########################################################################
	### Création de menu déroulant des différents groupes
	#########################################################################

	$res_liste_groupe_domaine = $db->query("
	SELECT 
		ug.group_id,
		ug.group_desc
	FROM 
		gdd_domaine_groupe gdg,
		usergroups ug
	WHERE
		gdg.fkid_domaine = \"$Vli_id_domaine\"
		AND gdg.fkid_groupe = ug.group_id
	
	ORDER BY
		ug.group_desc
	");
	
	$Vls_menu_liste_groupe_domaine = "
	<select size=\"1\" name=\"Vfs_groupe_inventaire\" id=\"Vfs_groupe_inventaire\">
		<option value=\"-1\">------ "._GDD_SELECT_TYPE." ------</option>
	";
	
	while($val_groupe_domaine = $db->fetch_array())
	{
		$Vls_id_groupe_intervention = $val_groupe_domaine[0];
		$Vls_nom_groupe_intervention = $val_groupe_domaine[1];
		
		$Vls_nom_groupe_intervention = ereg_replace("\[[a-zA-Z]*\]", "", $Vls_nom_groupe_intervention);
	
		$Vls_menu_liste_groupe_domaine .= "
		<option value=\"$Vls_id_groupe_intervention\">$Vls_nom_groupe_intervention</option>
		";
	}
	
	$Vls_menu_liste_groupe_domaine .= "
	</select>
	";
	
	###################################################
	### Afficher du formulaire de demande
	###################################################

	echo "
	<form action=\"gdd.php?op=validation_creation_intervention\" method=\"post\" id=\"formulaire_creation_intervention\" class=\"formulaire_creation_intervention\">
	
		<div align=\"center\" class=\"titre_principal\">"._GDD_CREATION_INTERVENTION."</div><br /><br />
	
		<div align=\"left\" class=\"titre_num_intervention\">
			<b>"._GDD_NUM_DOSSIER." :</b> <span>".$gdd->afficher_numero_gdd()."</span>
		</div>
		
		<br />
		
		<div align=\"center\" style=\"display: none;\">
			<div id=\"erreur_message\" class=\"erreur_message\">
				"._GDD_MESSAGE_ERREUR."
			</div>
		</div>
		
		<div align=\"left\">
			
			<table class=\"table_creation_intervention\" id=\"table_creation_intervention\" border=\"0\">
			<tr>
				<td width=\"\"><b>"._GDD_CHOIX_GOUPE_INTERVENTION."</b></td>
				<td width=\"\">$Vls_menu_liste_groupe_domaine</td>
			</tr>
			<tr>
				<td width=\"\"><b>"._GDD_DELAI_INTERVENTION."</b></td>
				<td width=\"\"><input type=\"text\" id=\"Vfs_date_delai\" name=\"Vfs_date_delai\" value=\"$Vls_date_limite\" /></td>
			</tr>
			<tr>
				<td width=\"\" valign=\"top\"><b>"._GDD_DESCRIPTION_INTERVENTION."</b></td>
				<td width=\"\"><textarea rows=\"10\" cols=\"70\" name=\"Vfs_description\" id=\"Vfs_description\"></textarea></td>
			</tr>
			<tr id=\"bouton_valider\" class=\"bouton_valider\">
				<td colspan=\"2\" align=\"center\"><input type=\"button\" value=\""._GDD_CREER_INTERVENTION."\" onclick=\"jquery_verif_creation_inter();\"></td>
			</tr>	
			</table>		
		
		</div>
				
		<input type=\"hidden\" name=\"Vfi_id_demande\" id=\"Vfi_id_demande\" value=\"$Vli_id_demande\" />
	
	</form>
	";
}


function creation_intervention_bis($Vli_id_demande)
{
	global $_SESSION;
	
	#########################################################################
	
	$Vli_id_demande = $_GET["id_demande"];
	
	#########################################################################
	### Création de différents objets
	#########################################################################

	$db = new dbquery();
	$db->connect();
	
	$func = new functions();

	$gdd = new gdd();
	
	#########################################################################
	### Recherche des différentes informations sur la demande
	#########################################################################

	$Vls_query_info_demande = "
	SELECT 
		gdd.id,
		gdd.titre_demande,
		gtd.abreviation,
		gdd.annee,
		gdd.numero,
		gdd.date_creation,
		u.firstname,
		u.lastname,
		gdd.fkid_courrier,
		r.CUSTOM_T3,
		r.AUTHOR,
		r.CUSTOM_T4,
		r.SOCIETE,
		r.CUSTOM_T9,
		r.CUSTOM_T10,
		r.CUSTOM_T11,
		r.CUSTOM_T12,
		r.CUSTOM_T13,
		s.CIVILITY,
		s.LASTNAME,
		s.FIRSTNAME,
		s.SOCIETY,
		s.FUNCTION,
		s.STREET_NUM,
		s.STREET,
		s.TOWN,
		s.CP,
		r.sender_id,
		r.IS_INGOING,
		fkid_quartier,
		fkid_elu_quartier,
		fkid_domaine,
		fkid_elu_domaine,
		numero_lieu_demande,
		gdd.rue,
		gdd.ville,
		gdd.description_demande,
		gdd.fkid_user_createur,
		gdd.complement_adresse,
		gdd.date_limite
	FROM 
		gdd_demande gdd,
		gdd_type_demande gtd,
		users u,
		res_x r LEFT OUTER JOIN sender s ON r.sender_id = s.id
	WHERE
		gdd.id = ".$Vli_id_demande."
		AND gdd.fkid_type_demande = gtd.id
		AND gdd.fkid_user_createur = u.user_id
		AND gdd.fkid_courrier = r.res_id
	";
	
	
	$res_info_demande = $db->query($Vls_query_info_demande);
	
	$val_info_demande = $db->fetch_array();
	
	$Vli_id_demande = $val_info_demande[0];
	$Vls_titre_demande = $val_info_demande[1];
	$Vls_abr_type_demande = $val_info_demande[2];
	$Vls_annee_demande = $val_info_demande[3];
	$Vls_num_demande = $val_info_demande[4];
	$Vld_date_creation_demande = $val_info_demande[5];
	$Vls_prenom_createur = $val_info_demande[6];
	$Vls_nom_createur = $val_info_demande[7];
	$Vli_id_courrier = $val_info_demande[8];
	
	$Vls_civilite_r = $val_info_demande[9];
	$Vls_nom_r = $val_info_demande[10];
	$Vls_prenom_r = $val_info_demande[11];
	$Vls_societe_r = $val_info_demande[12];
	$Vls_fonction_r = $val_info_demande[13];
	$Vls_num_rue_r = $val_info_demande[14];
	$Vls_adresse_r = $val_info_demande[15];
	$Vls_ville_r = $val_info_demande[16];
	$Vls_cp_r = $val_info_demande[17];
	
	$Vls_civilite_s = $val_info_demande[18];
	$Vls_nom_s = $val_info_demande[19];
	$Vls_prenom_s = $val_info_demande[20];
	$Vls_societe_s = $val_info_demande[21];
	$Vls_fonction_s = $val_info_demande[22];
	$Vls_num_rue_s = $val_info_demande[23];
	$Vls_adresse_s = $val_info_demande[24];
	$Vls_ville_s = $val_info_demande[25];
	$Vls_cp_s = $val_info_demande[26];

	$Vli_fkid_sender = $val_info_demande[27];
	$Vls_type_courrier = $val_info_demande[28];
	
	$Vli_id_quartier = $val_info_demande[29];
	$Vli_id_elu_quartier = $val_info_demande[30];
	$Vli_id_domaine = $val_info_demande[31];
	$Vli_id_elu_domaine = $val_info_demande[32];
	$Vls_numero_lieu_demande = $val_info_demande[33];
	$Vls_rue_lieu_demande = $val_info_demande[34];
	$Vls_ville_lieu_demande = $val_info_demande[35];
	$Vls_description_demande = $val_info_demande[36];
	$Vli_id_user_createur = $val_info_demande[37];
	$Vls_complement_adresse_demande = $val_info_demande[38];
	
	$Vld_date_limite = $val_info_demande[39];
	
	################################################
	
	$Vlt_date_limite = explode("-", $Vld_date_limite);
	$Vls_date_limite = $Vlt_date_limite[2]."/".$Vlt_date_limite[1]."/".$Vlt_date_limite[0];
	
	################################################
						
	$gdd->set_chiffre($Vls_num_demande);
	$gdd->set_annee($Vls_annee_demande);
	$gdd->set_type_label($Vls_abr_type_demande);
	
	#########################################################################
	### Création de menu déroulant des différents groupes
	#########################################################################

	$res_liste_groupe_domaine = $db->query("
	SELECT 
		ug.group_id,
		ug.group_desc
	FROM 
		gdd_domaine_groupe gdg,
		usergroups ug
	WHERE
		gdg.fkid_domaine = \"$Vli_id_domaine\"
		AND gdg.fkid_groupe = ug.group_id
	
	ORDER BY
		ug.group_desc
	");
	
	$Vls_menu_liste_groupe_domaine = "
	<select size=\"1\" name=\"Vfs_groupe_inventaire\" id=\"Vfs_groupe_inventaire\">
		<option value=\"-1\">------ "._GDD_SELECT_TYPE." ------</option>
	";
	
	while($val_groupe_domaine = $db->fetch_array())
	{
		$Vls_id_groupe_intervention = $val_groupe_domaine[0];
		$Vls_nom_groupe_intervention = $val_groupe_domaine[1];
		
		$Vls_nom_groupe_intervention = ereg_replace("\[[a-zA-Z]*\]", "", $Vls_nom_groupe_intervention);
	
		$Vls_menu_liste_groupe_domaine .= "
		<option value=\"$Vls_id_groupe_intervention\">$Vls_nom_groupe_intervention</option>
		";
	}
	
	$Vls_menu_liste_groupe_domaine .= "
	</select>
	";
	
	###################################################
	### Afficher du formulaire de demande
	###################################################

	echo "
	<div id=\"dialog_creation_intervention\" title=\""._GDD_CREATION_INTERVENTION."\" style=\"display: none;\">
			
		<form method=\"post\" id=\"formulaire_creation_intervention\" class=\"formulaire_creation_intervention\">
		
			<div align=\"left\" class=\"titre_num_intervention\">
				<b>"._GDD_NUM_DOSSIER." :</b> <span>".$gdd->afficher_numero_gdd()."</span>
			</div>
			
			<br />
			
			<div align=\"center\" style=\"display: none;\">
				<div id=\"erreur_message\" class=\"erreur_message\">
					"._GDD_MESSAGE_ERREUR."
				</div>
			</div>
			
			<div align=\"left\">
				
				<table class=\"table_creation_intervention\" id=\"table_creation_intervention\" border=\"0\">
				<tr>
					<td width=\"\"><b>"._GDD_CHOIX_GOUPE_INTERVENTION."</b></td>
					<td width=\"\">$Vls_menu_liste_groupe_domaine</td>
				</tr>
				<tr>
					<td width=\"\"><b>"._GDD_DELAI_INTERVENTION."</b></td>
					<td width=\"\"><input type=\"text\" id=\"Vfs_date_delai\" name=\"Vfs_date_delai\" value=\"$Vls_date_limite\" /></td>
				</tr>
				<tr>
					<td width=\"\" valign=\"top\"><b>"._GDD_DESCRIPTION_INTERVENTION."</b></td>
					<td width=\"\"><textarea rows=\"10\" cols=\"70\" name=\"Vfs_description\" id=\"Vfs_description\"></textarea></td>
				</tr>
				</table>		
			
			</div>
					
			<input type=\"hidden\" name=\"Vfi_id_demande\" id=\"Vfi_id_demande\" value=\"$Vli_id_demande\" />
			<input type=\"hidden\" name=\"Vfi_nbre_slide\" id=\"Vfi_nbre_slide\" value=\"\" />
		
		</form>
		
	</div>
	";
}

#################################################################
#################################################################
### Ajout d'un média pour l'intervention
#################################################################
#################################################################

function ajouter_media()
{
	global $_SESSION;
	
	#########################################################################
	
	$Vli_id_intervention = $_GET["id_intervention"];
	$Vli_id_user_createur = $_SESSION["user"]["UserId"];
	$Vli_id_demande = $_GET["id_demande"];
		
	#########################################################################
	### Création de différents objets
	#########################################################################

	$db = new dbquery();
	$db->connect();
	
	$func = new functions();

	$gdd = new gdd();
	
	#########################################################################
	### Liste des extensions possibles 
	#########################################################################
		
	$Vlt_extension = array();
	$Vlt_image_source = array();

	$xmlfeatures = simplexml_load_file("modules/gdd/xml/extension_upload.xml");
	
	if ($xmlfeatures)
	{
		foreach($xmlfeatures->EXTENSION as $EXTENSION)
		{		
			$Vls_nom_extension = (string) $EXTENSION->NOM;
			$Vls_image_source_extension = (string) $EXTENSION->IMAGE_SOURCE;
			
			$Vlt_extension[] = $Vls_nom_extension;
			$Vlt_image_source["$Vls_nom_extension"] = $Vls_image_source_extension;
		}
	}		
	
	$Vls_liste_extension = "
	<div style=\"float: right;\">
	";
	
	foreach($Vlt_extension AS $valeur)
	{
		$Vls_liste_extension .= "
		$valeur<br />		
		";
	}
	
	$Vls_liste_extension .= "
	</div>
	";
		
	#########################################################################
	
	
	echo"
	<div class=\"upload_piece_jointe\" id=\"upload_piece_jointe\" align=\"left\">
		<div class=\"titre_principal\">"._GDD_PIECE_JOINTE_INTER."</div>
		
		<br />
		<br />
		
		<div class=\"sous_titre\">"._GDD_ADD_PIECE_JOINTE_INTER."</div>
		
		<form method=\"post\">
			<br />

			<div id=\"fileInputQueue\" name=\"fileInputQueue\"></div>
			
			<br />
			
			<input id=\"fileInput\" name=\"fileInput\" type=\"file\" />	
			<input type=\"hidden\" name=\"Vfi_id_intervention\" id=\"Vfi_id_intervention\" value=\"$Vli_id_intervention\" >
			<input type=\"hidden\" name=\"Vfi_id_user_createur\" id=\"Vfi_id_user_createur\" value=\"$Vli_id_user_createur\" >
			<input type=\"hidden\" name=\"Vfi_id_demande\" id=\"Vfi_id_demande\" value=\"$Vli_id_demande\" >
			
			
			
		</form>	
		
		<br />
		<br />
		
		<div class=\"sous_titre\">"._GDD_LISTE_PIECE_JOINTE_INTER."</div>

		<div class=\"liste_piece_jointe\" id=\"liste_piece_jointe\">
			".afficher_liste_piece_jointe($Vli_id_intervention, "")."
		</div>
		
		<div id=\"dialog_pj_effacer\" title=\""._GDD_EFFACER_PJ."\" style=\"display: none;\">
			"._GDD_CONFIRMATION_EFFACER_PJ."
		</div>
		
		<div id=\"dialog_pj_modifier\" title=\""._GDD_MODIF_TITRE_PJ_TITRE."\" style=\"display: none;\">
			"._GDD_MODIF_TITRE_PJ."
		</div>
		
		<div id=\"dialog_upload_finish\" title=\""._GDD_UPLOAD_FINISH_TITRE."\" style=\"display: none;\">
			"._GDD_UPLOAD_FINISH."
		</div>
		
		<div id=\"dialog_upload_error\" title=\""._GDD_UPLOAD_ERROR_TITRE."\" style=\"display: none;\">
			"._GDD_UPLOAD_ERROR."
		</div>
		
	</div>
	";	
}



#################################################################
#################################################################
### Ajout d'un média pour l'intervention
#################################################################
#################################################################

function user_autorise_traitement($Vli_id_user_proprietaire, $Vli_id_user_autorise)
{
	#########################################################################
	### Création de différents objets
	#########################################################################

	$db = new dbquery();
	$db->connect();
	
	#############################################################################
	### on regarde si la personne n'est pas le créateur de cette demande
	### si le créateur lui a donné les droits de traitement dessus !
	#############################################################################

	$Vls_query_autorise_user = "
	SELECT
		count(*)
	FROM 
		gdd_autorise_user gau
	WHERE
		gau.fkid_user_proprietaire = \"$Vli_id_user_proprietaire\"
		AND fkid_user_autorise = \"$Vli_id_user_autorise\"
	";
	
	$res_autorise_user = $db->query($Vls_query_autorise_user);
	$val_autorise_user = $db->fetch_array();
	
	$Vli_nbre_autorisation = $val_autorise_user[0];
	
	if($Vli_nbre_autorisation!=0)
	{
		return true;
	}
	else
	{
		return false;
	}	
}



#################################################################
#################################################################
#################################################################
#################################################################
#################################################################
#################################################################
#################################################################
#################################################################
#################################################################
#################################################################
#################################################################
#################################################################

if(isset($_GET['op']))
{
	$op = $_GET["op"];
}
else
{
	$op = "";
}

if(isset($_GET['onglet']))
{
	$onglet = $_GET["onglet"];
}
else
{
	$onglet = "";
}

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $_SESSION['config']['lang'] ?>" lang="<?php echo $_SESSION['config']['lang'] ?>">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
		<meta http-equiv="Content-Language" content="<?php echo $_SESSION['config']['lang'] ?>" />
		<link rel="stylesheet" type="text/css" href="<?php echo $_SESSION['config']['css']; ?>" media="screen" />
		<!--[if lt IE 7.0]>  <link rel="stylesheet" type="text/css" href="<?php echo $_SESSION['config']['css_IE']; ?>" media="screen" />  <![endif]-->
		<!--[if gte IE 7.0]>  <link rel="stylesheet" type="text/css" href="<?php echo $_SESSION['config']['css_IE7']; ?>" media="screen" />  <![endif]-->
		<script type="text/javascript" src="js/functions.js"></script>
		<title><?php echo _GDD;?></title>
		
		<!-- 
		############################################################
		############################################################
		### Ajout du Css, de Jquery et le rendre compatible avec Prototype
		############################################################
		############################################################
		 -->
			<script language="javascript" type="text/javascript" src="js/jquery.js"></script>
			<script language="javascript" type="text/javascript" src="js/fonction_ajouter.js"></script>
			
			<?php
			if($op=="modifier_demande")
			{
				echo"
				<script type=\"text/javascript\" src=\"modules/gdd/js/autocompletion_ville.js\"></script>
				<script type=\"text/javascript\" src=\"modules/gdd/js/autocompletion_rue.js\"></script>
				<script type=\"text/javascript\" src=\"modules/gdd/js/slider.js\"></script>
				<script type=\"text/javascript\" src=\"modules/gdd/js/zoombox/zoombox.js\"></script>
				<script type=\"text/javascript\" src=\"modules/gdd/js/onglet_annotation.js\"></script>
				
				<link type=\"text/css\" rel=\"stylesheet\" media=\"screen\" href=\"modules/gdd/js/zoombox/zoombox.css\" />	
				";
				
				#############################################
				### Partie upload de piece jointe
				#############################################
				
				echo"
				<script type=\"text/javascript\" src=\"modules/gdd/js/uploadify/jquery.uploadify.js\"></script>
				<script type=\"text/javascript\" src=\"modules/gdd/js/uploadify/swfobject.js\"></script>
				<script type=\"text/javascript\" src=\"modules/gdd/js/initialisation_uploadify.js\"></script>
				
				<link type=\"text/css\" rel=\"stylesheet\" media=\"screen\" href=\"modules/gdd/js/uploadify/uploadify.css\" />

				
				";
			}
			elseif($op=="ajouter_media")
			{
				echo"
				<script type=\"text/javascript\" src=\"modules/gdd/js/uploadify/jquery.uploadify.js\"></script>
				<script type=\"text/javascript\" src=\"modules/gdd/js/uploadify/swfobject.js\"></script>
				<script type=\"text/javascript\" src=\"modules/gdd/js/initialisation_uploadify.js\"></script>
				<script type=\"text/javascript\" src=\"modules/gdd/js/zoombox/zoombox.js\"></script>
				
				<link type=\"text/css\" rel=\"stylesheet\" media=\"screen\" href=\"modules/gdd/js/zoombox/zoombox.css\" />				
				<link type=\"text/css\" rel=\"stylesheet\" media=\"screen\" href=\"modules/gdd/js/uploadify/uploadify.css\" />			
				";
			}
						
			?>
						
			<link type="text/css" rel="stylesheet" media="all" href="css/style_ajouter.css" />
			
			<script type="text/javascript">
			
			var $J = jQuery.noConflict(); 

			$J(document).ready(function(){
				
				
				if($J("#menu_0").css('display') == "block")
				{
					var Vli_hauteur_div = $J("#formulaire_modifier_demande").height();

					if(Vli_hauteur_div==null || Vli_hauteur_div=="" || Vli_hauteur_div<900)
					{
						Vli_hauteur_div=900;
					}		
					
					$J("#viewframe").css({
						height: Vli_hauteur_div
					});
				}
				else if($J("#menu_1").css('display') == "block")
				{
					var Vli_hauteur_div = $J("#bloc_intervention").height();
					
					if(Vli_hauteur_div==null || Vli_hauteur_div=="" || Vli_hauteur_div<900)
					{
						Vli_hauteur_div=900;
					}							
					
					$J("#viewframe").css({
						height: Vli_hauteur_div
					});
				}	

	
				
			});
			
			
			</script>
			
			
		<!-- 
		############################################################
		############################################################
		 -->
		
	</head>

<?php	

if($op == "validation_creation_demande")
{
	echo"
	<body onunload=\"self.opener.location.reload();\" onload=\"window.close();\">
	";
}
if($op=="validation_modifier_demande")
{
	$Vli_id_demande = $_POST["Vfi_id_demande"];

	echo"
	<body onunload=\"self.opener.location.reload();\" onload=\"window.location.replace('gdd.php?id_demande=".$Vli_id_demande."&op=modifier_demande');\">
	";
}
elseif($op=="modifier_demande" AND is_numeric($_GET["carrousel_current"]))
{
	echo"
	<body onload=\"afficher_intervention(".$_GET["carrousel_current"]."); ajuster_hauteur_carrousel();\">
	";
}
elseif($onglet=="intervention")
{
	echo"
	<body onload=\"init_element_carrousel('')\">
	";
}
else
{
	echo"
	<body>
	";
}



switch($op)
{		
		
	case "creation_demande" :
		creation_demande();
		break;	
	
	case "validation_creation_demande" :
		validation_creation_demande();
		break;

	case "modifier_demande" :
		modifier_demande();
		break;	

	case "validation_modifier_demande" :
		validation_modifier_demande();
		break;
		
	case "creation_intervention" :
		creation_intervention();
		break;
		
	case "validation_creation_intervention" :
		validation_creation_intervention();
		break;
		
	case "ajouter_media" :
		ajouter_media();
		break;
		
	default : 
		index();
		break;
}	

?>

	</body>
</html>