<?php /**
* File : addon_collectivities.php
* Type : Include
* 
* Activated function to manage multi entities
* Compatible > MLB 2.6 
* 
* @package  Maarch LetterBox 2.6
* @version 1.0
* @since 10/2007
* @license GPL
* @author  Loïc Vinet  <dev@maarch.org>
*/


function get_xml_value()
// 		array : return list of entities 
{
		$xml_value = array();
		$batch_config = simplexml_load_file('xml/collectivities.xml');
		if($batch_config)
		{			
				foreach($batch_config->ELEMENT as $ELEMENT)
				{
					$tmp_id = utf8_decode((string) $ELEMENT->ID);
					$tmp_label = utf8_decode((string) $ELEMENT->LABEL);
					array_push($xml_value, array("ID"=>$tmp_id, "LABEL"=>$tmp_label));
				}
						
			return $xml_value;
			
		}
		else
		{
			echo "error: unable to open collectivities.xml"; exit();	
		}
						
}

function show_entities_list_in_formservice($entities_list, $selected_entities = false)
//	@param : $entities_list(array) list of entities
//	@param : $selected_entities(array) actual list of entities
// 		display list of entities 

{ 
	echo "<h3>"._CO_WHERE_MY_DPT_IS_USED_NOTES." : </h3>";
	?>


	<table align="left" border="0" width="800">
		<tr>
			<td valign="top" width="48%"><b class="tit"><?php echo _CO_ENTITIES_LIST;?></b></td>
			<td width="5%" >&nbsp;</td>
			<td valign="top" width="47%"><b class="tit"><?php echo _CO_SELECTED_ENTITIES;?></b></td>
		</tr>
	
		<tr>
		 <td width="45%" align="center" valign="top">
			
			<select name="entitieslist[]" id="entitieslist[]" class="multiple_list" ondblclick='moveclick(document.frmservice.elements["entitieslist[]"],document.frmservice.elements["entities[]"]);' multiple="multiple">
			<?php for($i=0;$i<count($entities_list);$i++)
			{
				$state_entities = false;
				
				for($j=0;$j<count($selected_entities);$j++)
				{
					if(trim($entities_list[$i]['ID']) == trim($selected_entities[$j]))
					{
						$state_entities = true;
					}
				}
			
				if($state_entities == false)
				{
					?>
					<option value="<?php echo $entities_list[$i]['ID']; ?>"><?php echo str_replace('\\','',$entities_list[$i]['LABEL']); ?></option>
					<?php }
		}
		?>
    </select>
	<br/><br/>
	<a href='javascript:selectall(document.frmservice.elements["entitieslist[]"]);' class="choice"><?php echo _SELECT_ALL; ?></a></td>
    <td width="10%" align="center">
	<input type="button" class="button" value="<?php echo _ADD; ?>" onclick='Move(document.frmservice.elements["entitieslist[]"],document.frmservice.elements["entities[]"]);' align="middle"/>
	<br />
	<br />
	<input type="button" class="button"  value="<?php echo _REMOVE; ?>" onclick='Move(document.frmservice.elements["entities[]"],document.frmservice.elements["entitieslist[]"]);' align="middle"/>
	</td>
    <td width="45%" align="center" valign="top">
	
	<select name="entities[]" id="entities[]" class="multiple_list" ondblclick='moveclick(document.frmservice.elements["entities[]"],document.frmservice.elements["entitieslist[]"]);' multiple="multiple" >
		<?php for($i=0;$i<count($entities_list);$i++)
		{
		
			$state_entities = false;
			for($j=0;$j<count($selected_entities);$j++)
			{
				if(trim($entities_list[$i]['ID']) == trim($selected_entities[$j]))
				{
					$state_entities = true;
				}
			}
			
			
			if($state_entities == true)
			{
				?>
				<option value="<?php echo $entities_list[$i]['ID']; ?>" ><?php echo str_replace('\\','',$entities_list[$i]['LABEL']); ?></option>
				<?php }
		}
		?>
    </select>
	<br/><br/>
	<a href='javascript:selectall(document.frmservice.elements["entities[]"]);' class="choice"><?php echo _SELECT_ALL; ?></a></td>
	</td>
	
	</tr>
	</td>
	</table>
	<br/><br/>
	<?php }

function add_collectivity($request_entities, $department,$object)
{
//	@param : $request_entities(array) list of entities selectionned
//	@param : $department(varchar)     id of this department
//	@param : $object(object)          db query object
// 		add a new collectivity in table serv_coll
	delete_collectivity($department,$object);	
	for ($i=0; $i<count($request_entities); $i++)
	{
		$query = "INSERT INTO `".$_SESSION['tablename']['coll_serv']."` ( `ID_COLL` , `ID_SERV` ) VALUES ('".$request_entities[$i]."', '".$department."')";
		$object->query($query);
	}
}


function delete_collectivity($department,$object)
{
//	@param : $department(varchar)     id of this department
//	@param : $object(object)          db query object
// 		delete a collectivity in table serv_coll
	$query = ("DELETE FROM `".$_SESSION['tablename']['coll_serv']."` WHERE ID_SERV = '".$department."' ");
	$object->query($query);
}

function up_collectivity($request_entities, $department,$object)
{
//	@param : $request_entities(array) list of entities selectionned
//	@param : $department(varchar)     id of this department
//	@param : $object(object)          db query object
// 		up a collectivity in table serv_coll

	add_collectivity($request_entities, $department,$object);
}

function get_selected_entities($department, $object)
//	@param : $department(varchar)     id of this department
//	@param : $object(object)          db query object
// 		restore list of entities for this department
// 	#return false if no value
{
	$query = ("SELECT ID_COLL FROM `".$_SESSION['tablename']['coll_serv']."` WHERE ID_SERV = '".$department."' ");
	$object->query($query);
	if ($object->nb_result() > 0)
	{
		$array = array();
		while($list=$object->fetch_array())
		{
			array_push($array, $list[0]);
		}
		
		return($array);
	}	
	else
	{
		return false;
	}
}

function get_selected_department($service, $object)
//	@param : $service(varchar)     id of this service
//	@param : $object(object)          db query object
// 		restore list of entities for this department
// 	#return false if no value
{
	$query = ("SELECT ID_SERV FROM `".$_SESSION['tablename']['coll_serv']."` WHERE ID_COLL = '".$service."' ");
	$object->query($query);
	if ($object->nb_result() > 0)
	{
		$array = array();
		while($list=$object->fetch_array())
		{
			array_push($array, $list[0]);
		}
		
		return($array);
	}	
	else
	{
		return false;
	}
}


function get_label_collectivity($coll_id)
//	@param : $coll_id(varchar)     id of this entity
//	@param : $object(object)          db query object
// 		return label from entity
// 	#return false if no value
{
	for ($i=0; $i<count($_SESSION['user']['coll']); $i++)
	{
		 if ($coll_id == $_SESSION['user']['coll'][$i]['ID'])
		 {
			return $_SESSION['user']['coll'][$i]['LABEL'];
		 }
	}
	
	return false;
}


function show_admin_menu($object, $class="")
//	@param : $class(varchar)     css class
//		Show in admin menu link for manage entities
{ ?>
	<li <?php echo $class; ?>>
		<h2><a href="<?php $object->adminlink("coll"); ?>"><img src="<?php echo $_SESSION['config']['img'];?>/manage_architecture.gif" alt="<?php echo _VIEW_HISTORY; ?>" />
		<?php echo _VIEW_COLL; ?></a></h2>
		<span><?php echo _COLL_EXPLANATION; ?>.</span>
	</li>
	<?php }


function get_all_departments($entity, $object)
//	@param : $entity(varchar)     entity selected
//	@param : $object(object)          db query object
// 		restore list of entities for this department
// 	#return false if no value
{
	$query = ("SELECT c.ID_SERV, s.SERVICE FROM ".$_SESSION['tablename']['coll_serv']." c, ".$_SESSION['tablename']['services']." s WHERE c.ID_SERV = s.ID and ID_COLL = '".$entity."'  ORDER BY s.SERVICE");
	$object->query($query);
	if ($object->nb_result() > 0)
	{
		$array = array();
		while($list=$object->fetch_array())
		{
			array_push($array, array("ID"=>$list[0], "LABEL"=>$list[1]));
		}
		
		return($array);
	}	
	else
	{
		return false;
	}
}


function get_departments($entity, $object)
//	@param : $entity(varchar)     entity selected
//	@param : $object(object)          db query object
// 		restore list of entities for this department
// 	#return false if no value
{
	$query = ("SELECT c.ID_SERV, s.SERVICE FROM ".$_SESSION['tablename']['coll_serv']." c, ".$_SESSION['tablename']['services']." s WHERE c.ID_SERV = s.ID and ID_COLL = '".$entity."'  ORDER BY s.SERVICE");
	$object->query($query);
	if ($object->nb_result() > 0)
	{
		$array = array();
		while($list=$object->fetch_array())
		{
			for ($l=0; $l<count($_SESSION['user']['services']); $l++)
			{
				if ($list[0] == $_SESSION['user']['services'][$l]['ID'])
				{
					array_push($array, array("ID"=>$list[0], "LABEL"=>$list[1]));	
				}
			}
		}
		
		return($array);
	}	
	else
	{
		return false;
	}
}

function load_entity_for_user($object)
//	@param : $object(object)          db query object
// 		load in session entities authorized for a user
// 	#return false if no value
{
	if (count($_SESSION['user']['services']) == 0)
	{
		return false;
	}
	$service_string = '';
	for($i=0; $i < count($_SESSION['user']['services']);$i++)
	{
		$service_string .= "'". $_SESSION['user']['services'][$i]['ID']."' ,";
	}
	$service_string = substr($service_string, 0, -2);
	$query= ("SELECT ID_COLL FROM ".$_SESSION['tablename']['coll_serv']." WHERE ID_SERV IN (".$service_string.") GROUP BY ID_COLL");
	$object->query($query);
	$_SESSION['user']['coll'] = array();
	
	$batch_config = simplexml_load_file('xml/collectivities.xml');
	if($batch_config)
	{
		if ($object->nb_result() == 0)
		{
			return false; 	
		}
		while($list=$object->fetch_array())
		{
			$tmp = $list[0];
			foreach($batch_config->ELEMENT as $ELEMENT)
			{
				if ($tmp == $ELEMENT->ID)
				{
					array_push($_SESSION['user']['coll'], array("ID"=>$tmp, "LABEL"=> (string)$ELEMENT->LABEL));
				}
			}
		}
	}
	else
	{	
		echo "error: unable to open collectivities.xml"; exit();	
	}
}

function service_choice_addon()
{
	//récuperer les collectivités accessibles pour l'utilisateur
	
	$dbsca = new dbquery();
	$dbsca-> connect();
	
	if (count($_SESSION['user']['coll']) == 1)
	{
		$_SESSION['courrier']['entity'] = $_SESSION['user']['coll'][0]['ID'];
		//$departments = get_departments($_SESSION['user']['coll'][0]['ID'], $dbsca);	
	}
	if ($_SESSION['courrier']['entity'])
	{
		$departments = get_departments($_SESSION['courrier']['entity'], $dbsca);	
	}
	else
	{
		unset($departments);
	}
	
	
	//Trier les services accessibles pour cette collectivité
	
	echo '<form name="select_entity" id="select_entity" method="get" class="forms" action="service_choice.php" >';

	?>
	
	<label for="entity"><?php if($_SESSION['courrier']["is_ingoing"]) { echo _RECEIP_ENTITY; } else{ echo _EXP_ENTITY; }?> :</label>
		<select name="entity" id="entity" onChange="this.form.submit();">
		<?php if(count($_SESSION['user']['coll']) == 1)
		{
			?>
			<option value="<?php echo $_SESSION['user']['coll'][0]['ID']; ?>" selected="selected" ><?php echo $_SESSION['user']['coll'][0]['LABEL'];?></option>
			<?php }
		else
			{
			?>
			<option value=""><?php echo _CHOOSE_ENTITY;?> </option>
			<?php for($i=0; $i < count($_SESSION['user']['coll']);$i++)
				{
				?>
				<option value="<?php echo $_SESSION['user']['coll'][$i]['ID'];?>" <?php if($_SESSION['courrier']['entity'] == $_SESSION['user']['coll'][$i]['ID']) { echo "selected=\"selected\"";}?>  ><?php echo str_replace('\\', '', $_SESSION['user']['coll'][$i]['LABEL']);?></option>
			<?php }
		}
		?>
		</select>
		  <span class="red_asterisk">*</span>
	</form>
	
	<form name="select_entity" id="select_entity" method="get" class="forms" action="service_choice.php" >
	<label for="service"><?php if($_SESSION['courrier']["is_ingoing"]) { echo _RECEIP_DEPARTMENT; } else{ echo _EXP_DEPARTMENT; }?> :</label>

		<?php if (count($departments) == 0)
		{
			echo '<select name="service" id="service" onChange="this.form.submit();">';
			echo '<option value=""><?php echo _CHOOSE_DEPARTMENT;?> </option></select> <span class="red_asterisk">*</span>';
		}
		else
		{ ?>
			<select name="service" id="service" onChange="this.form.submit();">
		
			<option value=""><?php echo _CHOOSE_DEPARTMENT;?> </option>
			<?php for($i=0; $i < count($departments);$i++)
			{
			?>
			<option value="<?php echo $departments[$i]['ID'];?>" <?php if($_SESSION['courrier']['service'] == $departments[$i]['ID']) { echo "selected=\"selected\"";}?>  ><?php echo str_replace('\\', '', $departments[$i]['LABEL']);?></option>
			<?php }
			?>
			</select>
			  <span class="red_asterisk">*</span>
			</form>
	<?php }
}

function service_choice_addon_details($status, $destination)
{
	
?>
<form name="select_service" id="select_service" method="get" class="" action="service_choice.php" >	
<tr class="col forms">
<td class="int" style="width:170px;"><img src="<?php echo "../".$_SESSION['config']['img'];?>/groupsmall.gif"  align="bottom" alt="" /><?php echo _ENTITY;?> :</td>
<td class="detail"><?php if($_SESSION['user']['modif_rights'] && $status <> "END") 
{
	if ($_SESSION['config']['redirect_list'] == 'true')
	{
		?><select name="entity" id="entity" onchange="window.parent.document.getElementById('list_diff').src='liste_diffusion_view.php?serv_id='+this.options[this.selectedIndex].value;"><?php }
	else
	{
		?><select name="entity" id="entity"><?php }
	for($i=0; $i < count($_SESSION['user']['coll']); $i++)
	{
		?>
		<option value="<?php echo $_SESSION['user']['coll'][$i]['ID'];?>" <?php if($destination  == $_SESSION['user']['coll'][$i]['ID']) { echo "selected=\"selected\""; } ?>><?php echo str_replace('\\', '', $_SESSION['user']['coll'][$i]['LABEL']); ?></option>
		<?php }
	?>
	</select>
	<?php }
	else
	{
	?>
	<input type="text" name="service" id="service" class="readonly" readonly="readonly" value="<?php echo str_replace('\\', '', $service); ?>"  />
	<?php } ?>

	</td>
	</tr>
	</form>
<?php }

function build_search_criteria_entities($json_txt, $where_request)
{
//	@param : $json_txt(var)          json_txt used in search_adv
//	@param : $where_request(var)          json_txt used in search_adv_result
// 		build new element in search_adv_result to search entities

	
	$json_txt .= " 'coll_chosen' : [";
	$_SESSION['s_coll'] = $_GET['coll_chosen'];
	$coll_tmp = " (";
	for ($get_i = 0; $get_i <count($_GET['coll_chosen']); $get_i++)
	{
		$coll_tmp .= "'".$_GET['coll_chosen'][$get_i]."',"; 
		$json_txt .= "'".$_GET['coll_chosen'][$get_i]."',";
	}
	$coll_tmp = substr($coll_tmp, 0, -1); 
	$json_txt = substr($json_txt, 0, -1);
	$coll_tmp .= ") ";
	
	$where_request .= "r.COLL_ID IN  ".$coll_tmp." ";
	$where_request .=" and  ";
	$json_txt .= '],';
	$array= array($json_txt, $where_request);
	return $array;
}

function load_search_form_entity()
// 		show form in search_adv_result
{
	$arr_tmp = array();
	for($i=0; $i < count($_SESSION['user']['coll']); $i++)
	{
		array_push($arr_tmp, array('VALUE' => $_SESSION['user']['coll'][$i]['ID'], 'LABEL' => $_SESSION['user']['coll'][$i]['LABEL']));
	}
	$arr_tmp2 = array('label' => _COLL, 'type' => 'select_multiple', 'param' => array('field_label' => _COLL, 'label_title' => _COLL_CHOOSE_RECIPIENT_SEARCH_TITLE, 
	'id' => 'coll','options' => $arr_tmp));
	
	return $arr_tmp2;
}
?>
