<?php /**
* collectivities Class
*
* Contains all the specific construct of managing collectivities
*
* @version 2.6
* @since 06/2007
* @license GPL
* @author  Loic Vinet <dev@maarch.org>
*/

include_once('addon_collectivities.php');
class coll extends dbquery
{
	
	/**
	*
	* @access private
	* @var integer
	*/
	private $the_start;

	/**
	* Redefinition of the LetterBox object constructor
	*/
	function __construct()
	{
		// configure the sql argument order by
		if(isset($_GET['start']))
		{
			$this->the_start = strip_tags($_GET['start']);
		}
		else
		{
			$this->the_start = 0;
		}
	}
	
	/**
	* List of domains
	*
	* @param string  $where $where clause
	* @param string  $what sort info
	*/
	public function coll_list($where = "",$what = "")
	{
		// draw the domains list
		$func = new functions();
		
		/* Configuration */
		$title = _COLL_LIST;
		$page_name = "coll";
		$nb_show = $_SESSION['config']['nblinetoshow'];
		
		if(!empty($what))
		{
			$what = "&what=".$what;
		}
		
		if(!empty($where))
		{
			$where = " where ".$where;
		}
		/***********************/
		
		$all_coll = get_xml_value();
		
		if($nb_pages > 1)
		{
			$next_start = 0;
			
			$page_list1 = '<form name="newpage1" id="newpage1" method="get" action="index.php?page=groups" >
			<p>
				<label for="startpage">'._GO_TO_PAGE.'</label>
				<select name="startpage" id="startpage" class="textbox small" onchange="window.location.href=\''.$link.'&amp;start=\'+document.newpage1.startpage.value;">';
			
			$page_list2 = '<form name="newpage2" id="newpage2" method="get" action="index.php?page=groups"  >
			<p>
				<label for="startpage">'._GO_TO_PAGE.'</label>
				<select name="startpage" id="startpage" class="textbox small" onchange="window.location.href=\''.$link.'&amp;start=\'+document.newpage2.startpage.value;">';
			
			$lastpage = 0;
			
			for($i = 0;$i <> $nb_pages; $i++)
			{
				$page_name = $i + 1;
				
				$the_line = $i + 1;
				if($this->the_start == $next_start)
				{
					$page_list1 .= "<option value=\"".$next_start."\" selected=\"selected\">".$the_line."</option>";
					$page_list2 .= "<option value=\"".$next_start."\" selected=\"selected\">".$the_line."</option>";
				}
				else
				{
					$page_list1 .= "<option value=\"".$next_start."\">".$the_line."</option>";
					$page_list2 .= "<option value=\"".$next_start."\">".$the_line."</option>";
				}
				
				$next_start = $next_start + $nb_show;
				$lastpage = $next_start;
			}
			
			$lastpage = $lastpage - $nb_show;
			
			$previous = "";
			$next = "";
			
			if($this->the_start > 0)
			{
				$start_prev = $this->the_start - $nb_show;
				$previous = '<a href="'.$link.'&amp;start='.$start_prev.'" class="prev">'._PREVIOUS.'</a>';
			}
			
			if($this->the_start <> $lastpage)
			{
				$start_next = $this->the_start + $nb_show;
				$next = '<a href="'.$link.'&amp;start='.$start_next.'" class="next">'._NEXT.'</a>';
			}
			
			$page_list1 = $page_list1."</select>";
			$page_list2 = $page_list2."</select>";
				
			if($previous <> '' || $next <> '')
			{
				if(empty($previous)) { $previous = "&nbsp;"; }
				if(empty($next)) { $next = "&nbsp;"; }
				
				$page_list1 .= $previous." ".$next.'</p></form>';
				$page_list2 .= $previous." ".$next.'</p></form>';
			}
		}
		
		
			
			echo '<h1><img src="'.$_SESSION['config']['img'].'/manage_architecture_b.gif" alt="" /> '.$title.'</h1>
		
			<div id="inner_content" class="clearfix">';
			
		
		
		?>
		<table cellpadding="0" cellspacing="0" border="0" class="listing spec">
			<thead>
				<tr>
					<th class="title"><?php echo _ID;?> </th>
					<th class="id"><?php echo _WORDING;?></th>
					<th colspan="3"></th>
			  </tr>
			</thead>
			<tfoot>
				<tr>
					<th colspan="3"></th>
				</tr>
			</tfoot>
			<tbody>
				<?php $color = "line1";
				for($i=0; $i < count($all_coll); $i++)
				{
					if($color == ' class="col"')
					{
						$color = '';
					}
					else
					{
						$color = ' class="col"';
					}
				
					?>
					<tr <?php echo $color; ?>>
						<td class="id"><strong><?php echo $all_coll[$i]['ID']; ?></strong></td>
						<td class="id"><strong><?php echo $all_coll[$i]['LABEL']; ?></strong></td>
						<td colspan ="2" class="action">
							<a href="index.php?page=coll_up&amp;id=<?php echo $all_coll[$i]['ID'];?>&label=<?php echo $all_coll[$i]['LABEL']; ?>" class="change"><?php echo _MODIFY; ?></a>
		                </td>
					</tr>
					<?php }
				?>
			</tbody>
		</table>
		</div>
		<?php }
	

	
	/**
	* Form to add or modify a domain
	*
	* @param string  $id  identifier of the domain to modify
	*/
	public function formcoll($id = "", $label)
	{
		$func = new functions();
		$state = true;
		
		
		$selected_dep = get_selected_department($id, $this);
		//Restore all departments list
		$this->connect();
		$this->query('SELECT ID, SERVICE FROM '.$_SESSION['tablename']['services'].' WHERE ENABLED = "Y" ');
		$dep_list  = array();
		
		while ($ssline = $this->fetch_array())
		{
			array_push($dep_list, array("ID" => $ssline[0], "LABEL" =>$ssline[1]));
		}
	
		?>
		<h1><img src="<?php echo $_SESSION['config']['img'];?>/manage_architecture_b.gif" alt="" /> 
			<?php echo _COLL_MODIFICATION;
			?>
		</h1>
		<div id="inner_content" class="clearfix">
			<?php if($state == false)
			{
				?>
            	<script language="javascript" type="text/javascript">window.document.location.href = 'index.php?page=domains';</script>
				<?php }
			else
			{
				?>
				<form name="frmcoll" id="frmcoll" method="post" action="coll_up_db.php" onSubmit="selectall_multiple(this.name);" class="forms">
					
				<input  type="hidden" name="id" id="id" value="<?php echo $id; ?>"/>
				
					<p>
						<label><?php echo _WORDING;?> :</label>
						<input type="text" name="coll_name" id="coll_name" readonly="readonly" value="<?php echo $label;?>"/><span class="red_asterisk">*</span>
					</p>
					
				
				<?php 
			}
			?>
			
			<table align="left" border="0" width="800">
				<tr>
					<td valign="top" width="48%"><b class="tit"><?php echo _CO_SERVICES_LIST;?></b></td>
					<td width="5%" >&nbsp;</td>
					<td valign="top" width="47%"><b class="tit"><?php echo _CO_SELECTED_SERVICES;?></b></td>
				</tr>
			
				<tr>
				 <td width="45%" align="center" valign="top">
					
					<select name="depslist[]" id="deplist[]" class="multiple_list" ondblclick='moveclick(document.frmcoll.elements["deplist[]"],document.frmcoll.elements["dep[]"]);' multiple="multiple">
					<?php for($i=0;$i<count($dep_list);$i++)
					{
						$state_dep = false;
						
						for($j=0;$j<count($selected_dep);$j++)
						{
							if(trim($dep_list[$i]['ID']) == trim($selected_dep[$j]))
							{
								$state_dep = true;
							}
						}
					
						if($state_dep == false)
						{
							?>
							<option value="<?php echo $dep_list[$i]['ID']; ?>"><?php echo str_replace('\\','',$dep_list[$i]['LABEL']); ?></option>
							<?php }
				}
				?>
			</select>
			<br/><br/>
			<a href='javascript:selectall(document.forms["frmcoll"].elements["deplist[]"]);' class="choice"><?php echo _SELECT_ALL; ?></a></td>
			<td width="10%" align="center">
			<input type="button" class="button" value="<?php echo _ADD; ?>" onclick='Move(document.frmcoll.elements["deplist[]"],document.frmcoll.elements["dep[]"]);' align="middle"/>
			<br />
			<br />
			<input type="button" class="button"  value="<?php echo _REMOVE; ?>" onclick='Move(document.frmcoll.elements["dep[]"],document.frmcoll.elements["deplist[]"]);' align="middle"/>
			</td>
			<td width="45%" align="center" valign="top">
			
			<select name="dep[]" id="dep[]" class="multiple_list" ondblclick='moveclick(document.frmcoll.elements["dep[]"],document.frmcoll.elements["deplist[]"]);' multiple="multiple" >
				<?php for($i=0;$i<count($dep_list);$i++)
				{
				
					$state_dep = false;
					for($j=0;$j<count($selected_dep);$j++)
					{
						if(trim($dep_list[$i]['ID']) == trim($selected_dep[$j]))
						{
							$state_dep = true;
						}
					}
					
					
					if($state_dep == true)
					{
						?>
						<option value="<?php echo $dep_list[$i]['ID']; ?>" ><?php echo str_replace('\\','',$dep_list[$i]['LABEL']); ?></option>
						<?php }
				}
				?>
			</select>
	<br/><br/>
	<a href='javascript:selectall(document.forms["frmcoll"].elements["dep[]"]);' class="choice"><?php echo _SELECT_ALL; ?></a></td>
		
	</td>
	
	</tr>
	</td>
	</table>
			<p class="buttons">
						<input type="submit" class="button" onclick="selectall_multiple('frmservice');this.form.submit();" name="Submit" value="<?php echo _VALIDATE; ?>" />
						<input type="button" onClick="javascript:window.location.href='index.php?page=coll';" class="button"  name="cancel" value="<?php echo _CANCEL; ?>" />
					</p>
				</form>
		</div>
		<?php }
	

	/**
	* Update the database with the domain data
	*
	*/
	public function upcoll($selected_departments, $id_coll)
	{
		
		$this->connect();
		//First, delete actual coll_serv
		$this->query("DELETE FROM `".$_SESSION['tablename']['coll_serv']."` WHERE ID_COLL = '".$id_coll."'");				
		
	
		for ($i=0; $i<count($selected_departments); $i++)
		{
			$this->query("INSERT INTO `".$_SESSION['tablename']['coll_serv']."` ( `ID_COLL` , `ID_SERV` ) VALUES ('".$id_coll."', '".$selected_departments[$i]."')");
		}
			
		header("location: index.php?page=coll");
		exit;
		
	}
	
}
?>
