<?php

###########################################################################
### Fonction de redirection vers une page au bout d'un certain temps
###########################################################################


function redirect($url, $tps)
{
    $temps = $tps * 1000;

    echo "<script type=\"text/javascript\">\n"
    . "<!--\n"
    . "\n"
    . "function redirect() {\n"
    . "window.location='" . $url . "'\n"
    . "}\n"
    . "setTimeout('redirect()','" . $temps ."');\n"
    . "\n"
    . "// -->\n"
    . "</script>\n";
}

###########################################################################
### Fonction de récupération des données pour la connection à la base 
### Données sité dans un fichier xml
###########################################################################


function data_connect($Vls_file)
{
	$Vlt_result_connect = array();

    $xmlfeatures = simplexml_load_file($Vls_file);
	if ($xmlfeatures)
	{
		foreach($xmlfeatures->CONFIG as $CONFIG)
		{
			$Vlt_result_connect['db_host'] = utf8_decode((string) $CONFIG->databaseserver);
			$Vlt_result_connect['db_name'] = utf8_decode((string) $CONFIG->databasename);
			$Vlt_result_connect['db_user'] = utf8_decode((string) $CONFIG->databaseuser);
			$Vlt_result_connect['db_pass'] = utf8_decode((string) $CONFIG->databasepassword);
		}
	}
	
	return $Vlt_result_connect;
}


################################################################################
### Remplace les ÀÁÂÃÄÅÇÈÉÊËÌÍÎÏÒÓÔÕÖÙÚÛÜÝàáâãäåçèéêëìíîïðòóôõöùúûüýÿ par leur
### correspondant
################################################################################

function remplace_lettre_accent($text)
{

	$text = str_replace("À","&Agrave;",$text);
	$text = str_replace("Á","&Aacute;",$text);
	$text = str_replace("Â","&Acirc;",$text);
	$text = str_replace("Ã","&Atilde;",$text);
	$text = str_replace("Ä","&Auml;",$text);
	$text = str_replace("Å","&Aring;",$text);
	$text = str_replace("Ç","&Ccedil;",$text);
	$text = str_replace("È","&Egrave;",$text);
	$text = str_replace("É","&Eacute;",$text);
	$text = str_replace("Ê","&Ecirc;",$text);
	$text = str_replace("Ë","&Euml;",$text);
	$text = str_replace("Ì","&Igrave;",$text);
	$text = str_replace("Í","&Iacute;",$text);
	$text = str_replace("Î","&Icirc;",$text);
	$text = str_replace("Ï","&Iuml;",$text);
	$text = str_replace("Ò","&Ograve;",$text);
	$text = str_replace("Ó","&Oacute;",$text);
	$text = str_replace("Ô","&Ocirc;",$text);
	$text = str_replace("Õ","&Otilde;",$text);
	$text = str_replace("Ö","&Ouml;",$text);
	$text = str_replace("Ù","&Ugrave;",$text);
	$text = str_replace("Ú","&Uacute;",$text);
	$text = str_replace("Û","&Ucirc;",$text);
	$text = str_replace("Ü","&Uuml;",$text);
	$text = str_replace("Ý","&Yacute;",$text);
	$text = str_replace("à","&agrave;",$text);
	$text = str_replace("á","&aacute;",$text);
	$text = str_replace("â","&acirc;",$text);
	$text = str_replace("ã","&atilde;",$text);
	$text = str_replace("ä","&auml;",$text);
	$text = str_replace("å","&aring;",$text);
	$text = str_replace("ç","&ccedil;",$text);
	$text = str_replace("è","&egrave;",$text);
	$text = str_replace("é","&eacute;",$text);
	$text = str_replace("ê","&ecirc;",$text);
	$text = str_replace("ë","&euml;",$text);
	$text = str_replace("ì","&igrave;",$text);
	$text = str_replace("í","&iacute;",$text);
	$text = str_replace("î","&icirc;",$text);
	$text = str_replace("ï","&iuml;",$text);
	$text = str_replace("ð","&eth;",$text);
	$text = str_replace("ò","&ograve;",$text);
	$text = str_replace("ó","&oacute;",$text);
	$text = str_replace("ô","&ocirc;",$text);
	$text = str_replace("õ","&otilde;",$text);
	$text = str_replace("ö","&ouml;",$text);
	$text = str_replace("ù","&ugrave;",$text);
	$text = str_replace("ú","&uacute;",$text);
	$text = str_replace("û","&ucirc;",$text);
	$text = str_replace("ü","&uuml;",$text);
	$text = str_replace("ý","&yacute;",$text);
	$text = str_replace("ÿ","&yuml;",$text);
	$text = str_replace("°","&deg;",$text);
	$text = str_replace("œ","oe",$text);	
	$text = str_replace("Œ","oe",$text);
	$text = str_replace("€","&euro;",$text);

	return $text;

}

################################################################################
### Remplace les ÀÁÂÃÄÅÇÈÉÊËÌÍÎÏÒÓÔÕÖÙÚÛÜÝàáâãäåçèéêëìíîïðòóôõöùúûüýÿ par leur
### correspondant mais à l'inverse
################################################################################

function remplace_lettre_accent_inverse($text)
{

	$text = str_replace("&Agrave;","À",$text);
	$text = str_replace("&Aacute;","Á",$text);
	$text = str_replace("&Acirc;","Â",$text);
	$text = str_replace("&Atilde;","Ã",$text);
	$text = str_replace("&Auml;","Ä",$text);
	$text = str_replace("&Aring;","Å",$text);
	$text = str_replace("&Ccedil;","Ç",$text);
	$text = str_replace("&Egrave;","È",$text);
	$text = str_replace("&Eacute;","É",$text);
	$text = str_replace("&Ecirc;","Ê",$text);
	$text = str_replace("&Euml;","Ë",$text);
	$text = str_replace("&Igrave;","Ì",$text);
	$text = str_replace("&Iacute;","Í",$text);
	$text = str_replace("&Icirc;","Î",$text);
	$text = str_replace("&Iuml;","Ï",$text);
	$text = str_replace("&Ograve;","Ò",$text);
	$text = str_replace("&Oacute;","Ó",$text);
	$text = str_replace("&Ocirc;","Ô",$text);
	$text = str_replace("&Otilde;","Õ",$text);
	$text = str_replace("&Ouml;","Ö",$text);
	$text = str_replace("&Ugrave;","Ù",$text);
	$text = str_replace("&Uacute;","Ú",$text);
	$text = str_replace("&Ucirc;","Û",$text);
	$text = str_replace("&Uuml;","Ü",$text);
	$text = str_replace("&Yacute;","Ý",$text);
	$text = str_replace("&agrave;","à",$text);
	$text = str_replace("&aacute;","á",$text);
	$text = str_replace("&acirc;","â",$text);
	$text = str_replace("&atilde;","ã",$text);
	$text = str_replace("&auml;","ä",$text);
	$text = str_replace("&aring;","å",$text);
	$text = str_replace("&ccedil;","ç",$text);
	$text = str_replace("&egrave;","è",$text);
	$text = str_replace("&eacute;","é",$text);
	$text = str_replace("&ecirc;","ê",$text);
	$text = str_replace("&euml;","ë",$text);
	$text = str_replace("&igrave;","ì",$text);
	$text = str_replace("&iacute;","í",$text);
	$text = str_replace("&icirc;","î",$text);
	$text = str_replace("&iuml;","ï",$text);
	$text = str_replace("&eth;","ð",$text);
	$text = str_replace("&ograve;","ò",$text);
	$text = str_replace("&oacute;","ó",$text);
	$text = str_replace("&ocirc;","ô",$text);
	$text = str_replace("&otilde;","õ",$text);
	$text = str_replace("&ouml;","ö",$text);
	$text = str_replace("&ugrave;","ù",$text);
	$text = str_replace("&uacute;","ú",$text);
	$text = str_replace("&ucirc;","û",$text);
	$text = str_replace("&uuml;","ü",$text);
	$text = str_replace("&yacute;","ý",$text);
	$text = str_replace("&yuml;","ÿ",$text);
	$text = str_replace("&deg;","°",$text);
	$text = str_replace("&euro;","€",$text);

	return $text;

}

##########################################################
### Problème avec UTF8 et les différentes fonctions PHP
##########################################################

function utf8_strtolower($string) 
{
	return utf8_encode(strtolower(utf8_decode($string)));
}

function utf8_strtoupper($string) {
	return utf8_encode(strtoupper(utf8_decode($string)));
} 
	
function utf8_ucfirst($string) {
	return utf8_encode(ucfirst(utf8_decode($string)));
} 

function utf8_ucwords($string) {
	return utf8_encode(ucwords(utf8_decode($string)));
} 

function utf8_ucfirst_strtolower($string) 
{
	return utf8_encode(ucfirst(strtolower(utf8_decode($string))));
}

function utf8_ucwords_strtolower($string) 
{
	return utf8_encode(ucwords(strtolower(utf8_decode($string))));
}

##########################################
###	date_sans_heure
###
### Transformer une date-heure en date
### Format entrée : AAAA-MM-JJ HH:MM:SS
###	Format sortie : JJ/MM/AAAA
###
##########################################

function date_sans_heure($Vls_date)
{	
	if($Vls_date=="" OR $Vls_date=="0000-00-00 00:00:00")
	{
		return "-";
	}
	else
	{
		$Vlt_date = explode(" ", $Vls_date);
		$Vlt_date = explode("-", $Vlt_date[0]);
		
		return $Vlt_date[2]."/".$Vlt_date[1]."/".$Vlt_date[0];
	}	
}

##########################################
###	date_sans_heure
###
### Transformer une date-heure en date
### Format entrée : AAAA-MM-JJ HH:MM:SS
###	Format sortie : JJ/MM/AAAA à HHhMM
###
##########################################

function date_avec_heure($Vls_date)
{	
	if($Vls_date=="" OR $Vls_date=="0000-00-00 00:00:00")
	{
		return "-";
	}
	else
	{
		$Vlt_date_heure = explode(" ", $Vls_date);
		
		$Vls_date = $Vlt_date_heure[0];
		$Vls_heure = $Vlt_date_heure[1];
		
		$Vlt_date = explode("-", $Vls_date);
		$Vlt_heure = explode(":", $Vls_heure);
		
		return $Vlt_date[2]."/".$Vlt_date[1]."/".$Vlt_date[0]."<br />à ".$Vlt_heure[0]."h".$Vlt_heure[1];
	}	
}

##########################################
###	date_fr
###
### Transformer une date anglaise en date francaise
### Format entrée : AAAA-MM-JJ
###	Format sortie : JJ/MM/AAAA
###
##########################################

function date_fr($Vls_date)
{	
	if($Vls_date=="")
	{
		return "-";
	}
	else
	{
		$Vlt_date = explode("-", $Vls_date);
		
		return $Vlt_date[2]."/".$Vlt_date[1]."/".$Vlt_date[0];
	}	
}

##########################################
###	date_fr2
###
### Transformer une date anglaise en date francaise
### Format entrée : AAAA-MM-JJ
###	Format sortie : JJ/MM/AAAA ou ""
###
##########################################

function date_fr2($Vls_date)
{	
	if($Vls_date=="" OR $Vls_date=="0000-00-00")
	{
		return "-";
	}
	else
	{
		$Vlt_date = explode("-", $Vls_date);
		
		return $Vlt_date[2]."/".$Vlt_date[1]."/".$Vlt_date[0];
	}	
}

##########################################
###	date_que_heure
###
### Transformer une date-heure en date
### Format entrée : AAAA-MM-JJ HH:MM:SS
###	Format sortie : HHhMM
###
##########################################

function date_que_heure($Vls_date)
{	
	if($Vls_date=="" OR $Vls_date=="0000-00-00 00:00:00")
	{
		return "-";
	}
	else
	{
		$Vlt_date_heure = explode(" ", $Vls_date);
		
		$Vls_heure = $Vlt_date_heure[1];
		
		$Vlt_heure = explode(":", $Vls_heure);
		
		return $Vlt_heure[0]."h".$Vlt_heure[1];
	}	
}

##########################################
###	envoyer_mail
###
### envoyer un mail
### Format entrée : 
###	Format sortie : 
###
##########################################

function envoyer_mail($Vls_email_destinataire, $Vls_sujet, $Vls_corps, $Vls_nom_emetteur, $Vls_email_emetteur)
{
	#############################################################
	### Création du message
	#############################################################
	
	$subject = $Vls_sujet;
	$corps = "
	<html>
		<head>
			<title>"._GDD_MAIL_TITLE."</title>
			<meta content=\"text/html; charset=utf-8\" http-equiv=\"Content-Type\">
		</head>
		<body>
			". $Vls_corps . "
		</body>
	</html>
	";
	
	$from = "From: " . $Vls_nom_emetteur . " <" . $Vls_email_emetteur . ">\r\n";
	$from .= 'X-Mailer: PHP/' . phpversion() . "\r\n";
	$from .= "MIME-Version: 1.0\r\n";
	$from .= "Reply-To: " . $Vls_email_emetteur ."\r\n";
	$from .= "Return-Path: " . $Vls_email_emetteur ."\r\n";
	$from .= 'Content-Type: text/html; charset=utf-8\r\n'; 			
	$from .= 'Content-Transfer-Encoding: 8bit\r\n\r\n'; 
	
	$subject = @html_entity_decode($subject);
	$corps = @html_entity_decode($corps);
	$from = @html_entity_decode($from);
	$s_mail = @html_entity_decode($Vls_email_destinataire);

	#############################################################
	### Envoie du message
	#############################################################
	
	return mail($s_mail, $subject, $corps, $from);
}






?>