<?php /**
* File : ldap_param.php
*
* Configure your Ldap connexion
*
* @package Maarch LetterBox 2.6
* @version 2.0
* @since 10/2007
* @license GPL
* @author  Loïc Vinet  <dev@maarch.org>
*/
 include("session.php");
 
 function get_ldap_parameters()
 {
	 //Return a full array with all parameters in ldap_config or
	 //return false if an error is occured
	 
	 	$xmlconfig = @simplexml_load_file($_SESSION['config']['ldap_config_path']);
		if (!$xmlconfig)
		{
			return false;
		}
		else
		{
			$ldap_config = array();
			
			foreach($xmlconfig->config as $CONFIG)
			{
				$ldap_config['type_ldap'] = utf8_decode((string) $CONFIG->type_ldap);
				$ldap_config['group_prefix_ldap'] = utf8_decode((string) $CONFIG->group_prefix_ldap);
				$ldap_config['domain'] = utf8_decode((string) $CONFIG->domain);
				$ldap_config['login_admin'] = utf8_decode((string) $CONFIG->login_admin);	
				$ldap_config['pass'] = utf8_decode((string) $CONFIG->pass);
				$ldap_config['ssl'] = utf8_decode((string) $CONFIG->ssl);
				$ldap_config['purge_log'] = utf8_decode((string) $CONFIG->purge_log);
				$ldap_config['lost_users'] = utf8_decode((string) $CONFIG->lost_users);
				$ldap_config['pass_is_login'] = utf8_decode((string) $CONFIG->pass_is_login);
			}	
			$ldap_config['exclude_user'] = array();
			$ldap_config['exclude_group'] = array();
			
			return $ldap_config;
		}
		
 }
 
 
 function show_ldap_parameters($ldap_param)
 {
		?>
		<h2><?php echo _LDAP_CONFIG; ?></h2>
		<form name="frmldap" id="frmldap" method="post" action="index.php?page=ldap_param" class="forms">
		<input name="valid" type="hidden" value="true" />	
		 <p>		
			<label for="label"><?php echo _LDAP_TYPE_LDAP; ?> : </label>
			<input name="type_ldap" type="text" id="type_ldap" value="<?php echo $ldap_param['type_ldap']; ?>" READONLY />
		 </p>
		 <p>		
			<label for="label"><?php echo _LDAP_GROUP_PREFIX_LDAP; ?> : </label>
			<input name="group_prefix_ldap" type="text" id="group_prefix_ldap" value="<?php echo $ldap_param['group_prefix_ldap']; ?>"/>
		 </p>
		 <p>		
			<label for="label"><?php echo _LDAP_DOMAIN; ?> : </label>
			<input name="domain" type="text" id="domain" value="<?php echo $ldap_param['domain']; ?>"/>
		 </p>
		 <p>		
			<label for="label"><?php echo _LDAP_LOGIN_ADMIN; ?> : </label>
			<input name="login_admin" type="text" id="login_admin" value="<?php echo $ldap_param['login_admin']; ?>"/>
		 </p>
		 <p>		
			<label for="label"><?php echo _LDAP_PASS; ?> : </label>
			<input name="pass" type="password" id="pass" value="<?php echo $ldap_param['pass']; ?>"/>
		 </p>
		<p>		
			<label for="label"><?php echo _LDAP_SSL; ?> : </label>
			<input name="ssl[]" id="ssl" class="check" type="checkbox" value="Y" <?php if ($ldap_param['ssl'] == 'true') { echo "checked=\"checked\"";} ?> />
		</p>
		<p>		
			<label for="label"><?php echo _LDAP_PURGE_LOG; ?> : </label>
			<input name="purge_log" type="text" id="purge_log" value="<?php echo $ldap_param['purge_log']; ?>"/>
		</p>
		<p>		
			<label for="label"><?php echo _LDAP_LOST_USERS; ?> : </label>
			<input name="lost_users[]" id="lost_users" class="check" type="checkbox" value="Y" <?php if ($ldap_param['lost_users'] == 'true') { echo "checked=\"checked\"";} ?> />
		</p>
		<p>		
			<label for="label"><?php echo _LDAP_PASS_IS_LOGIN; ?> : </label>
			<input name="pass_is_login[]" id="pass_is_login" class="check" type="checkbox" value="Y" <?php if ($ldap_param['pass_is_login'] == 'true') { echo "checked=\"checked\"";} ?> />
		</p>	
		<p class="buttons">
			<input type="submit" class="button" onclick="selectall_multiple('frmldap');this.form.submit();" name="Submit" value="<?php echo _VALIDATE; ?>" />
			<input type="button" onClick="javascript:window.location.href='index.php?page=coll';" class="button"  name="cancel" value="<?php echo _CLOSE; ?>" />
		</p>
		 
		 </form>
		 <?php }

 function create_new_xml_ldap()
 { 
		$xmlconfig = simplexml_load_file($_SESSION['config']['ldap_config_path']);
		if (!$xmlconfig)
		{
			return false;
		}
		else
		{
			
			if (count($_POST['ssl']) > 0 )
			{
				$ssl = "true";
			}
			else
			{
				$ssl = "false";
			}
			
			if (count($_POST['lost_users']) > 0 )
			{
				$lost_users = "true";
			}
			else
			{
				$lost_users = "false";
			}
			
			if (count($_POST['pass_is_login']) > 0 )
			{
				$pass_is_login = "true";
			}
			else
			{
				$pass_is_login = "false";
			}
			
			foreach($xmlconfig->config as $CONFIG)
			{
				$CONFIG->type_ldap = utf8_encode($_POST['type_ldap']);
				$CONFIG->group_prefix_ldap = utf8_encode($_POST['group_prefix_ldap']);
				$CONFIG->domain = utf8_encode($_POST['domain']);	
				$CONFIG->login_admin = utf8_encode($_POST['login_admin']);	
				$CONFIG->pass = utf8_encode($_POST['pass']);	
				$CONFIG->ssl = $ssl;
				$CONFIG->purge_log = utf8_encode($_POST['purge_log']);
				$CONFIG->lost_users = $lost_users;
				$CONFIG->pass_is_login = $pass_is_login;
			}
			
			$xml_reg = new SimpleXmlElement($xmlconfig -> asXML());
						
		
			//Ouverture du fichier xml
			$fp = fopen($_SESSION['config']['ldap_config_path'],"wr+"); 
			fputs($fp,$xml_reg -> asXML());  
			fclose($fp); 
			
			echo "<p align='center' style='color:red;'><b>"._LDAP_CONFIG_UPDATED."</b></p>";
			
		}
}
  
  
  //--------------
  
if ($_POST['valid'] == "true")
{
	create_new_xml_ldap($_POST);
} 
 
 
?>
<h1><img src="<?php echo $_SESSION['config']['img'];?>/picto_add_b.gif" alt="" /><?php echo _CONFIG_LDAP; ?></h1> 
<div id="inner_content" class="clearfix">

<?php // Récupération des informations Ldap
$ldap_parameters = get_ldap_parameters();
if ($ldap_parameters <> false)
{
	show_ldap_parameters($ldap_parameters);
}
else
{
	echo "<p align='center'><img src='".$_SESSION['config']['img']."/noresult.gif'></p><p align='center'>"._ERROR_WITH_LDAP."</p>";
}
?>
</div>

