<?php /**
* File : liste_diffusion.php
*
* Frame : show the current diffusion list
*
* @package Maarch LetterBox 2.3
* @version 2.5
* @since 06/2007
* @license GPL
* @author  Claire Figueras  <dev@maarch.org>
*/  
require_once("class_functions.php");
require_once("class_db.php"); 
require("class_diffusion.php");
include("session.php");


if(file_exists($_SESSION['config']['lang'].'.php'))
{
	include($_SESSION['config']['lang'].'.php');
}
else
{
	$_SESSION['error'] = "Language file missing...<br/>";
}

if( isset($_GET["service_change"]) && !empty($_GET["service_change"]) )
{
	if( isset($_GET["reset"]) )
		$_SESSION["diffusion"]->reset();
	else
		$_SESSION["diffusion"]->reload();
		
	$mail_action = null;
	if( isset($_GET["mail_action"]) && !empty($_GET["mail_action"]) )
		$mail_action = $_GET["mail_action"];

	//REDIRECT TO SERVICE
	$_SESSION["diffusion"]->redirect_to_service($_GET["service_change"],$mail_action);
}

if( isset($_GET["user_change"]) && !empty($_GET["user_change"]) )
{
	if( isset($_GET["reset"]) )
		$_SESSION["diffusion"]->reset();
	else
		$_SESSION["diffusion"]->reload();
		
	$mail_action = null;
	if( isset($_GET["mail_action"]) && !empty($_GET["mail_action"]) )
		$mail_action = $_GET["mail_action"];

	//REDIRECT TO SERVICE
	$_SESSION["diffusion"]->redirect_to_user($_GET["user_change"],$mail_action);
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $_SESSION['config']['lang'] ?>" lang="<?php echo $_SESSION['config']['lang'] ?>">
<head>
	<title><?php echo $_SESSION['config']['applicationname']; ?></title>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta http-equiv="Content-Language" content="<?php echo $_SESSION['config']['lang'] ?>" />
	<link rel="stylesheet" type="text/css" href="<?php echo $_SESSION['config']['css']; ?>" media="screen" />
	<!--[if lt IE 7.0]>  <link rel="stylesheet" type="text/css" href="<?php echo $_SESSION['config']['css_IE']; ?>" media="screen" />  <![endif]-->
	<!--[if gte IE 7.0]>  <link rel="stylesheet" type="text/css" href="<?php echo $_SESSION['config']['css_IE7']; ?>" media="screen" />  <![endif]-->
	<script type="text/javascript" src="js/functions.js"></script>
</head>

<body id='iframe'>
<div align="center">
<?php 

$conn = new dbquery();
	$conn->connect();
?>

<?php
	$diffusion = $_SESSION["diffusion"]->get_diffusion();
	$prim_diffusion = array_slice($diffusion,0,1);
				 
if( count($prim_diffusion) > 0 )
				 {
	?>
<h2 class="sstit"><?php echo _PRINCIPAL_RECIPIENT;?></h2>
<table cellpadding="0" cellspacing="0" border="0" class="listing spec">
			<thead>
				<tr>
					<th><?php echo _LASTNAME;?> </th>
					<th><?php echo _FIRSTNAME;?></th>
					<th><?php echo _DEPARTMENT;?></th>
					<th><?php echo _MAIL_ACTIONS;?></th>
				</tr>
			</thead>
			<tbody>
		<!-- USER CASE -->
		<?php
		if( isset($prim_diffusion[key($prim_diffusion)]["USER"]) )
		{
		?>
		 <tr>
			 	 <td><?php echo $prim_diffusion[key($prim_diffusion)]["USER"]["LASTNAME"];?></td>
				 <td><?php echo $prim_diffusion[key($prim_diffusion)]["USER"]["FIRSTNAME"];?></td>
				<td><?php echo $prim_diffusion[key($prim_diffusion)]["USER"]["SERVICE"]; ?></td>
				<td><?php echo $_SESSION['mail_action'][$prim_diffusion[key($prim_diffusion)]["USER"]["MAIL_ACTION"]]['label'];?></td>
		 </tr>
		 <?php
		 }
		 else
		 {
		 ?>
		 <!-- SERVICE CASE -->
		  <tr>
			 	<td><?php echo $prim_diffusion[key($prim_diffusion)]["SERVICE"]["LASTNAME"];?></td>
				<td><?php echo $prim_diffusion[key($prim_diffusion)]["SERVICE"]["FIRSTNAME"];?></td>
				<td><?php echo $prim_diffusion[key($prim_diffusion)]["SERVICE"]["SERVICE"]; ?></td>
				<td><?php echo $_SESSION['mail_action'][$prim_diffusion[key($prim_diffusion)]["SERVICE"]["MAIL_ACTION"]]['label'];?></td>
		 </tr>
		 <?php
		 }
		 ?>
		 
		 </tbody>
	</table>
	<br/>

		<h2 class="sstit"><?php echo _TO_CC;?></h2>				
<?php 
	if (count($diffusion) > 1)
{
?>

			
			<table cellpadding="0" cellspacing="0" border="0" class="listing spec">
					<thead>
						<tr>
							<th ><?php echo _LASTNAME;?> </th>
							<th ><?php echo _FIRSTNAME;?></th>
							<th><?php echo _DEPARTMENT;?></th>
							<th><?php echo _MAIL_ACTIONS;?></th>
						</tr>
					</thead>
					<tbody>
	 <?php $color = ' class="col"';
		foreach(array_slice($_SESSION["diffusion"]->get_diffusion(),1) as $key_diff => $diffusion)
	 {
	 	if($color == ' class="col"')
		{
			$color = '';
		}
		else
		{
			$color = ' class="col"';
		}
			
			if( isset($diffusion["USER"]) )
			{
			?>
	 <tr <?php echo $color; ?> >
				<td><?php echo $diffusion["USER"]["LASTNAME"];?></td>
				<td><?php echo $diffusion["USER"]["FIRSTNAME"];?></td>
				<td><?php echo $diffusion["USER"]["SERVICE"]; ?></td>
				<td><?php echo $_SESSION['mail_action'][$diffusion["USER"]["MAIL_ACTION"]]['label'];?></td>
	</tr>
			<?php
			}
			else
			{
		?>
			<tr <?php echo $color; ?> >
				<td><?php echo $diffusion["SERVICE"]["LASTNAME"];?></td>
				<td><?php echo $diffusion["SERVICE"]["FIRSTNAME"];?></td>
				<td><?php echo $diffusion["SERVICE"]["SERVICE"]; ?></td>
				<td><?php echo $_SESSION['mail_action'][$diffusion["SERVICE"]["MAIL_ACTION"]]['label'];?></td>
			</tr>
			<?php
			}
		}
			?>
		</tbody>
		</table>
			<?php 
	}
else
{
	?>
	<div align="center"><span ><i><?php echo _NO_COPY_FOR_RECIPIENT;?></i></span></div>
		<?php
	}
}
?>
</div>
</body>
</html>
