Maarch.treeview = {

    Tree: Class.create({
        _DEFAULT_OPTIONS: {
            'treeId' : 'MaarchTree',
            'treeLabel': 'MaarchTree',
            'img.path': 'img/',
            'img.mt_fopened': 'folderopen.gif',
            'img.mt_fclosed': 'folder.gif',
            'img.mt_plus': 'plus0.gif',
            'img.mt_minus': 'minus0.gif',
            'img.mt_none': 'none.gif',
            'initial_structure': null
        },

        _setOptions: function(params){
            var options = this._DEFAULT_OPTIONS;
            var list_keys = $H(this._DEFAULT_OPTIONS).keys().intersect($H(params).keys());
            list_keys.each(function(el){
                options[el] = params[el];
            });
            this.options = options;
        },

        // Initialisation de l'arbre
        initialize : function(div, params){
            this.root = $(div).addClassName('MaarchTreeRoot');
            this._setOptions(params);

            Maarch.AddIEDiv(this.root);
            Maarch.injectCSSFile('maarch-treeview');
            Maarch.injectInlineCSS(
                 ".MaarchTreeRoot li:last-child {"
                + "    background-image: url(" + this.options['img.path'] + "line2.gif);"
                + "}"
                + ".MaarchTreeRoot li {"
                + "    background-image: url(" + this.options['img.path'] + "line3.gif);"
                + "}"
                + "#IE6 .MaarchTreeRoot li, #IE7 .MaarchTreeRoot li {"
                + "    background-color: inherit;"
                + "    background-image: expression((this.nextSibling==null) ? 'url(" + this.options['img.path'] + "line2.gif)' : 'url(" + this.options['img.path'] + "line3.gif)');"
                + "}"
            );


            this.prefix = "mt_" + this.root.id + "_";
            // this.imgs.mt_leaf = params['imgs']['mt_leaf'];

            // construction de l'arbre
            // Structure de l'arbre présente dans les paramètres
             if (this.options.initial_structure)
             {
                this.insertBranches(this.options.initial_structure, this.root);
                this.options.initial_structure = null;
            }
            else {
                // Aucune structure passée en paramètre, la structure attendue est déjà présente dans le html
                this._formatUL(this.root);
            }

            //Déclaration des événements à observer
            this._setEventObserver();

        },

    /****************** Navigation Methods *******************/

        // retourne une branche
        getBranchById : function(branch_id){
            return $(branch_id);
        },

        hasChild: function(branch_id)
        {
            return $(branch_id).down('li') ? true : false;
        },

    /****************** Branches control Methods *******************/

        // ouvre une branche
        expand : function(branch_id){
            var branch = $(branch_id);
            branch.removeClassName('mt_closed');
            branch.addClassName('mt_opened');
            if(!this.hasChild(branch))
            {
                branch.addClassName('mt_leaf');
            }
            return branch;
        },

        // ferme une branche
        collapse : function(branch_id){
            var branch = $(branch_id);
            branch.removeClassName('mt_opened');
            branch.addClassName('mt_closed');
            return branch;
        },


        toggle : function(branch_id){
            var branch = $(branch_id);
            this[branch.hasClassName('mt_opened') ? 'collapse' : 'expand'](branch_id);
            return branch;
        },

        // Insert une nouvelle branche
        insertBranches : function(branches_values, parent_branch_id){
            // TO DO : try-catch
            var parent = this.getBranchById(parent_branch_id);
            if(branches_values instanceof String ||  typeof branches_values == "string")
            {
                parent.innerHTML = branches_values;
                this._formatUL(parent);
            }
            else
            {
                var node = this._createNode(parent);
                branches_values.each(function(el){
                    // Bug sur les id commençant par des chiffres dans prototype 1.6
                    // pour éviter les conflits d'identifiants
                    el.id = this.prefix + el.id;
                    var new_branch = this._createBranch(el);
                    node.insert(new_branch); // TO DO : gestion de la position
                    if (el.children && el.children.length > 0){
                        this.insertBranches(el.children, el.id);
                    }

                }.bind(this));
            }
        },

        _formatUL : function(parent)
        {

            var ul = $(parent).down('ul');
            if(ul)
            {
                var children =  ul.childElements();
                children.each(function(el){
                    console.log(el);
                        // Préfixage de l'id
                        el.id = this.prefix + el.id;
                        // Ajout de la classe mt_closed
                        el.addClassName('mt_closed');
                        // On recupere le texte du li
                        var li_txt = el.firstChild.data;
                        // puis on efface le node texte
                        el.removeChild(el.firstChild);

                        //Ajout du span et des images
                       var span =  this._create_span(li_txt);
                        // Si il y a des li en dessous on relance la méthode de façon récursive
                        if (typeof el.down('ul') == "undefined")
                        {
                             el.insert({top: span});
                        }
                        else
                        {
                            el.down('ul').insert({before : span});
                            this._formatUL(el);
                        }

                        }.bind(this));
            }

        },

        _createNode : function(parent_id)
        {
            var parent = $(parent_id);
            var node = parent.down('ul');
            if (!node)
            {
                node = new Element('ul').wrap(parent);
                node = node.down('ul');
            }
            return node;
        },

        _createBranch : function(el)
        {
            //creation du li
            var branch = new Element('li',{'id' : el.id, 'class': 'mt_closed'});
            var span = this._create_span(el.label);
            branch.insert({top: span});
            return branch;
        },

        _create_span : function(label)
        {
          var span = new Element("span").insert(label);
            // Img dossier
            span.insert({
                top: new Element("img",
                                 {'src': this.options['img.path'] + this.options['img.mt_fopened'],
                                  'class' : 'mt_fopened',
                                  'alt' : ''})});
            span.insert({
                top: new Element("img",
                                 {'src': this.options['img.path'] + this.options['img.mt_fclosed'],
                                  'class' : 'mt_fclosed',
                                  'alt' : ''})});
            span.insert({
                top: new Element("img",
                                 {'src': this.options['img.path'] + this.options['img.mt_plus'],
                                  'class' : 'mt_plus',
                                   'alt' : ''})});
            span.insert({
                top: new Element("img",
                                 {'src': this.options['img.path'] + this.options['img.mt_minus'],
                                  'class' : 'mt_minus',
                                  'alt' : ''})});
            span.insert({
                top: new Element("img",
                                 {'src': this.options['img.path'] + this.options['img.mt_none'],
                                  'class' : 'mt_none',
                                  'alt' : ''})});
            return span;
        },


        select : function(branch_id)
        {
            var branch = $(branch_id);
            $$('.mt_selected').each(this.deselect.bind(this));
            branch.addClassName('mt_selected');
           // this.expand(branch);
            branch.fire("maarch:tree:branchselect", {"branch_id": branch.id.replace(new RegExp(this.prefix + "(.*)"), "$1")});
            return branch;
        },

        deselect : function(branch_id)
        {
            var branch = $(branch_id);
            branch.removeClassName('mt_selected');
            if(branch.hasClassName('mt_leaf'))
            {
                this.collapse(branch);
            }
            return branch;
        },

    /****************** Others Methods *******************/

        //Déclaration d'événements
        _setEventObserver: function()
        {
            this.root.on("click", ".mt_plus, .mt_minus, span", function(evt, elt){
                var clk_elt = elt.up('li');
                if (elt.tagName == "SPAN"){
                    this.select(clk_elt);
                } else {
                    this.toggle(clk_elt);
                }
            }.bind(this));
        }
    }),


    /************** Optional features **********************/
    activateToolTip: function()
    {
        var _old_createBranch = Maarch.treeview.Tree.prototype._createBranch;
        Maarch.treeview.Tree.addMethods({
            _createBranch : function(branch_infos){
                var branch = _old_createBranch.bind(this)(branch_infos);
                var span_container = branch.down("span");
                span_container.writeAttribute("title",
                                              branch_infos.toolTip || '')
                return branch;
            }
        });
    },

    activateAjaxLoad: function(url)
    {
        var old_expand = Maarch.treeview.Tree.prototype.expand;

        Maarch.treeview.Tree.addMethods({
            expand : function(el){
                var branch = old_expand.bind(this)(el);
                if(!branch.down('ul'))
                {
                    new Ajax.Request(url,{
                        method: 'post',
                        parameters: {
                            parent_id : branch.id.replace(new RegExp(this.prefix + "(\.*)"), "$1")
                        },
                        onSuccess: function(response){
                            eval('struct='+response.responseText+';');
                            if(struct.length > 0)
                            {
                                this.insertBranches(struct, branch.id);
                                branch.removeClassName('mt_leaf');
                            }
                        }.bind(this),
                        onFailure: function(response)
                        {
                            var error_txt = "La branche n'a pas pu se charger correctement.<br/><small>(HTTP error "+response.status+" : "+url+")</small>";
                            var span = new Element("span", {'id' : 'mt_error'}).update(error_txt);
                            this.root.insert({top: span});
                            window.setTimeout(function() { $('mt_error').remove();}, 4000);
                        }.bind(this)
                    });
                }
                return branch;
            }
        });

    }
};