var Maarch = {
    REQUIRED_PROTOTYPE: '1.6.0.2',
    libs: ['treeview'],

    load: function(){
        function convertVersionString(versionString){
          var r = versionString.split('.');
          return parseInt(r[0])*1000000 + parseInt(r[1])*10000 + parseInt(r[2])*100 + (r[3] ? parseInt(r[3]) : 0);
        }

        if((typeof Prototype=='undefined') ||
           (typeof Element == 'undefined') ||
           (typeof Element.Methods=='undefined') ||
           (convertVersionString(Prototype.Version) <
            convertVersionString(Maarch.REQUIRED_PROTOTYPE)))
           throw("Maarch.js requires the Prototype JavaScript framework >= " +
            Maarch.REQUIRED_PROTOTYPE);

        Maarch._fixPrototype();
    },

    jsPath: (function(){
        return $$('script').find(function(el){
            return el.src.match(/maarch\.js$/);
        }).src.replace(/(.*)maarch\.js/, "$1");
    })(),

    cssPath: '../css/',

    require: function(library, callback){
        if (Maarch.libs.include(library)){
            var scriptTag = Maarch.injectJS('maarch-treeview');
        }
        if (callback && callback instanceof Function){
            new PeriodicalExecuter(function(pe) {
                if (typeof Maarch[library] != 'undefined') {
                    pe.stop();
                    callback();
                }
            }, 1);
        }
    },

    _fixPrototype: function(){
        //If method on is not defined for Element objects
        if (!Element.on){
            //we create it
            function on(element, event, selector, callback){
                var element = $(element);
                if (Object.isFunction(selector) && Object.isUndefined(callback)) {
                  callback = selector, selector = null;
                }
                if (selector){
                    var new_callback = function(evt){
                        var elt = evt.findElement(selector) || document;
                        if (elt != document){
                            callback(evt, elt);
                        }
                    }
                } else {
                    var new_callback = function(evt){
                        callback(evt);
                    }
                }
                element.observe(event, new_callback);
            }

            Element.addMethods({
                on: on
            });
        }
    },

    injectCSSFile: function(stylesheet){
        if ($$('link[rel=stylesheet]').find(function(el){
            return el.href.match(new RegExp(stylesheet+'\.css$'));
        }) == undefined){
            $(document.body).insert({top: new Element('link', {
                rel: 'stylesheet',
                href: Maarch.jsPath + Maarch.cssPath + stylesheet + '.css',
                type: "text/css"
            })});
        }

    },

    injectInlineCSS: function(style){
        var style_tag = new Element('style', {'type': 'text/css'});
        if(style_tag.styleSheet){
            var rule = document.createTextNode(style);
            style_tag.styleSheet.cssText = rule.nodeValue;
        } else {
            style_tag.insert(style);
        }
        $$('head')[0].insert(style_tag);
    },

    injectJS: function(jsfile){
        if ($$('script[src=stylesheet]').find(function(el){
            return el.href.match(new RegExp(jsfile+'\.js$'));
        }) == undefined){
            var scriptTag = new Element('script', {
                src: Maarch.jsPath + jsfile + '.js',
                type: "text/javascript"
            });
            $(document.body).insert({bottom: scriptTag});
            return scriptTag;
        }
        return null;
    },

    AddIEDiv: function(element){
        if (Prototype.Browser.IE){
            var element = $(element);
            element.wrap(new Element("div", {id: "IE"+navigator.appVersion.replace(/.*MSIE ([6-8]).*/, '$1')}));
        }
    }

};

Maarch.load();