<?php /**
* Functions Class
*
* @Création 	04/2010
* @Auteur 		Mathieu OLIVE
* @Entreprise 	Mairie de Saint-Nazaire
*
*/



class gdd
{

	var $nbre_chiffre;
	var $premier_element;
	var $deuxieme_element;
	var $troisieme_element;
	var $separateur = array();
	
	var $chiffre;
	var $annee;
	var $type_label;
	var $type_nom;

	#################################################################
	#################################################################
	#################################################################
	### Constructeur et destructeur
	#################################################################
	#################################################################
	#################################################################

	public function __construct()
	{
		$this->config_numero_gdd();
	}
		
	public function __destruct()
	{
	
	}
	
	#################################################################
	#################################################################
	#################################################################
	### configuration du numero GDD
	#################################################################
	#################################################################
	#################################################################

	public function config_numero_gdd($Vls_url_chemin='')
	{
		$Vlt_liste_priorite = array();
	
		$xmlfeatures = simplexml_load_file($Vls_url_chemin."modules/gdd/xml/config.xml");
		
		if ($xmlfeatures)
		{
			foreach($xmlfeatures->PARAM_NUM_GDD as $PARAM_NUM_GDD)
			{
				$this->nbre_chiffre = utf8_decode((int)$PARAM_NUM_GDD->NBRE_CHIFFRE);
				$this->premier_element = utf8_decode((string)$PARAM_NUM_GDD->PREMIER_ELEMENT);
				$this->deuxieme_element = utf8_decode((string)$PARAM_NUM_GDD->DEUXIEME_ELEMENT);
				$this->troisieme_element = utf8_decode((string)$PARAM_NUM_GDD->TROISIEME_ELEMENT);
			
				foreach($PARAM_NUM_GDD->SEPARATEUR as $SEPARATEUR)
				{
					$this->separateur[utf8_decode((int)$SEPARATEUR->POSITION)] = utf8_decode((string)$SEPARATEUR->CARACTERE); 
				}
			}
		}		
	}
	
	#################################################################
	#################################################################
	#################################################################
	### Affichage du numero de GDD
	#################################################################
	#################################################################
	#################################################################

	public function afficher_numero_gdd()
	{
		##########################################
		### recherche du premier element
		##########################################
	
		switch($this->premier_element)
		{
			case "NUMERO":
				$Vls_premier_element = $this->format_chiffre();
				break;
			
			case "ANNEE":
				$Vls_premier_element = $this->annee;
				break;
				
			case "TYPE":
				$Vls_premier_element = $this->type_label;
				break;
		}
	
		##########################################
		### recherche du deuxième element
		##########################################
	
		switch($this->deuxieme_element)
		{
			case "NUMERO":
				$Vls_deuxieme_element = $this->format_chiffre();
				break;
			
			case "ANNEE":
				$Vls_deuxieme_element = $this->annee;
				break;
				
			case "TYPE":
				$Vls_deuxieme_element = $this->type_label;
				break;
		}
	
		##########################################
		### recherche du troisième element
		##########################################
	
		switch($this->troisieme_element)
		{
			case "NUMERO":
				$Vls_troisieme_element = $this->format_chiffre();
				break;
			
			case "ANNEE":
				$Vls_troisieme_element = $this->annee;
				break;
				
			case "TYPE":
				$Vls_troisieme_element = $this->type_label;
				break;
		}
		
		##########################################
		### mise en forme du numéro de gdd
		##########################################
		
		$Vls_numero_gdd = $this->separateur[1];
		$Vls_numero_gdd .= $Vls_premier_element;
		$Vls_numero_gdd .= $this->separateur[2];
		$Vls_numero_gdd .= $Vls_deuxieme_element;
		$Vls_numero_gdd .= $this->separateur[3];
		$Vls_numero_gdd .= $Vls_troisieme_element;
		$Vls_numero_gdd .= $this->separateur[4];
	
		##########################################
		
		return $Vls_numero_gdd;
	}
	
	#################################################################
	#################################################################
	#################################################################
	### création du format du chiffre
	#################################################################
	#################################################################
	#################################################################

	public function format_chiffre()
	{
		$Vli_chiffre_gdd = $this->chiffre;
	
		$Vli_difference = $this->nbre_chiffre - strlen($Vli_chiffre_gdd);

		$Vls_chiffre_gdd = $Vli_chiffre_gdd;
		for($i=1;$i<=$Vli_difference;$i++)
		{
			$Vls_chiffre_gdd = "0".$Vls_chiffre_gdd;
		}
	
		return $Vls_chiffre_gdd;
	}
	
	#################################################################
	#################################################################
	#################################################################
	### Initialiser le chiffre
	#################################################################
	#################################################################
	#################################################################

	public function set_chiffre($chiffre)
	{
		$this->chiffre = $chiffre;
	}
	
	#################################################################
	#################################################################
	#################################################################
	### Initialiser le annee
	#################################################################
	#################################################################
	#################################################################

	public function set_annee($annee)
	{
		$this->annee = $annee;
	}

	#################################################################
	#################################################################
	#################################################################
	### Initialiser le type_label
	#################################################################
	#################################################################
	#################################################################

	public function set_type_label($type_label)
	{
		$this->type_label = $type_label;
	}

	#################################################################
	#################################################################
	#################################################################
	### Initialiser le type_nom
	#################################################################
	#################################################################
	#################################################################

	public function set_type_nom($type_nom)
	{
		$this->type_nom = $type_nom;
	}

	#################################################################
}
?>
