--#######################################################
--### MODIFICATION SUPER IMPORTANTE !!!
--#######################################################	
	
--j'ai changé le champs RES_TABLE de la table baskets
--	ce n'est plus une clé primaire 
--	et c'est du type text maintenant 
		

--#######################################################
--### 1 - Mes demandes
--#######################################################

SELECT 
	gdd.id id_demande,
	gdd.titre_demande titre_demande,
	gtd.abreviation type_demande,
	gdd.annee annee_demande,
	gdd.numero numero_demande,
	gdd.date_creation date_creation,
	u.firstname prenom_createur,
	u.lastname nom_createur,
	gdd.fkid_courrier id_courrier,
	q.nom nom_quartier,
	d.nom nom_domaine,
	gdd.date_cloture date_cloture,
	u2.firstname prenom_user_cloture,
	u2.lastname nom_user_cloture
FROM
	gdd_demande gdd LEFT OUTER JOIN users u2 ON gdd.fkid_user_cloture = u2.user_id
					LEFT OUTER JOIN gdd_quartier q ON gdd.fkid_quartier = q.id
					LEFT OUTER JOIN gdd_domaine d ON gdd.fkid_domaine = d.id,
	gdd_type_demande gtd,
	users u,
	res_x r
WHERE
	gdd.fkid_type_demande = gtd.id
	AND gdd.fkid_user_createur = u.user_id
	AND gdd.fkid_courrier = r.res_id
	AND gdd.demande_cloturer = "N"
	AND gdd.fkid_user_createur = @user

--#######################################################
--### 2 - Mes demandes closes
--#######################################################

SELECT 
	gdd.id id_demande,
	gdd.titre_demande titre_demande,
	gtd.abreviation type_demande,
	gdd.annee annee_demande,
	gdd.numero numero_demande,
	gdd.date_creation date_creation,
	u.firstname prenom_createur,
	u.lastname nom_createur,
	gdd.fkid_courrier id_courrier,
	q.nom nom_quartier,
	d.nom nom_domaine,
	gdd.date_cloture date_cloture,
	u2.firstname prenom_user_cloture,
	u2.lastname nom_user_cloture
FROM
	gdd_demande gdd LEFT OUTER JOIN users u2 ON gdd.fkid_user_cloture = u2.user_id
					LEFT OUTER JOIN gdd_quartier q ON gdd.fkid_quartier = q.id
					LEFT OUTER JOIN gdd_domaine d ON gdd.fkid_domaine = d.id,
	gdd_type_demande gtd,
	users u,
	res_x r
WHERE
	gdd.fkid_type_demande = gtd.id
	AND gdd.fkid_user_createur = u.user_id
	AND gdd.fkid_courrier = r.res_id
	AND gdd.demande_cloturer = "Y"
	AND gdd.fkid_user_createur = @user


--#######################################################
--### 3 - Interventions Générées 
--#######################################################

SELECT 
	gdd.id id_demande,
	gtd.abreviation type_demande,
	gdd.annee annee_demande,
	gdd.numero numero_demande,
	i.date_creation date_creation_inter,
	ug.group_desc groupe_destinataire,
	u.firstname prenom_user_destinataire,
	u.lastname nom_user_destinataire,
	i.description description,
	i.realisation realisation,
	i.reponse reponse,
	i.id id_intervention
FROM
	gdd_demande gdd,
	gdd_type_demande gtd,
	gdd_intervention i LEFT OUTER JOIN users u ON i.fkid_user_destinataire = u.user_id,
	usergroups ug
WHERE
	i.fkid_demande = gdd.id
	AND gdd.fkid_type_demande = gtd.id
	AND i.fkid_groupe_destinataire = ug.group_id
	AND i.intervention_cloturer = "N"
	AND i.fkid_user_emetteur = @user

--#######################################################
--### 4 - Interventions Générées Closes
--#######################################################

SELECT 
	gdd.id id_demande,
	gtd.abreviation type_demande,
	gdd.annee annee_demande,
	gdd.numero numero_demande,
	i.date_creation date_creation_inter,
	ug.group_desc groupe_destinataire,
	u.firstname prenom_user_destinataire,
	u.lastname nom_user_destinataire,
	i.description description,
	i.realisation realisation,
	i.reponse reponse,
	i.id id_intervention
FROM
	gdd_demande gdd,
	gdd_type_demande gtd,
	gdd_intervention i LEFT OUTER JOIN users u ON i.fkid_user_destinataire = u.user_id,
	usergroups ug
WHERE
	i.fkid_demande = gdd.id
	AND gdd.fkid_type_demande = gtd.id
	AND i.fkid_groupe_destinataire = ug.group_id
	AND i.intervention_cloturer = "Y"
	AND i.fkid_user_emetteur = @user

--#######################################################
--### 5 - Interventions reçus 
--#######################################################

SELECT 
	gdd.id id_demande,
	gtd.abreviation type_demande,
	gdd.annee annee_demande,
	gdd.numero numero_demande,
	i.date_creation date_creation_inter,
	ug.group_desc groupe_destinataire,
	u.firstname prenom_user_destinataire,
	u.lastname nom_user_destinataire,
	i.description description,
	i.realisation realisation,
	i.reponse reponse,
	i.id id_intervention
FROM
	gdd_demande gdd,
	gdd_type_demande gtd,
	gdd_intervention i LEFT OUTER JOIN users u ON i.fkid_user_destinataire = u.user_id,
	usergroups ug
WHERE
	i.fkid_demande = gdd.id
	AND gdd.fkid_type_demande = gtd.id
	AND i.fkid_groupe_destinataire = ug.group_id
	AND i.intervention_cloturer = "N"
	AND i.fkid_groupe_destinataire IN @entities
	AND i.fkid_user_destinataire = ""

--#######################################################
--### 6 - Interventions en cours 
--#######################################################

SELECT 
	gdd.id id_demande,
	gtd.abreviation type_demande,
	gdd.annee annee_demande,
	gdd.numero numero_demande,
	i.date_creation date_creation_inter,
	ug.group_desc groupe_destinataire,
	u.firstname prenom_user_destinataire,
	u.lastname nom_user_destinataire,
	i.description description,
	i.realisation realisation,
	i.reponse reponse,
	i.id id_intervention
FROM
	gdd_demande gdd,
	gdd_type_demande gtd,
	gdd_intervention i LEFT OUTER JOIN users u ON i.fkid_user_destinataire = u.user_id,
	usergroups ug
WHERE
	i.fkid_demande = gdd.id
	AND gdd.fkid_type_demande = gtd.id
	AND i.fkid_groupe_destinataire = ug.group_id
	AND i.intervention_cloturer = "N"
	AND i.fkid_user_destinataire = @user
	
--#######################################################
--### 7 - Interventions en cours non propiétaire
--#######################################################

SELECT 
	gdd.id id_demande,
	gtd.abreviation type_demande,
	gdd.annee annee_demande,
	gdd.numero numero_demande,
	i.date_creation date_creation_inter,
	ug.group_desc groupe_destinataire,
	u.firstname prenom_user_destinataire,
	u.lastname nom_user_destinataire,
	i.description description,
	i.realisation realisation,
	i.reponse reponse,
	i.id id_intervention
FROM
	gdd_demande gdd,
	gdd_type_demande gtd,
	gdd_intervention i LEFT OUTER JOIN users u ON i.fkid_user_destinataire = u.user_id,
	usergroups ug
WHERE
	i.fkid_demande = gdd.id
	AND gdd.fkid_type_demande = gtd.id
	AND i.fkid_groupe_destinataire = ug.group_id
	AND i.intervention_cloturer = "N"
	AND i.fkid_user_destinataire != @user
	AND i.fkid_user_destinataire != ''
	AND i.fkid_groupe_destinataire IN @entities

--#######################################################
--### 8 - Interventions closes 
--#######################################################

SELECT 
	gdd.id id_demande,
	gtd.abreviation type_demande,
	gdd.annee annee_demande,
	gdd.numero numero_demande,
	i.date_creation date_creation_inter,
	ug.group_desc groupe_destinataire,
	u.firstname prenom_user_destinataire,
	u.lastname nom_user_destinataire,
	i.description description,
	i.realisation realisation,
	i.reponse reponse,
	i.id id_intervention
FROM
	gdd_demande gdd,
	gdd_type_demande gtd,
	gdd_intervention i LEFT OUTER JOIN users u ON i.fkid_user_destinataire = u.user_id,
	usergroups ug
WHERE
	i.fkid_demande = gdd.id
	AND gdd.fkid_type_demande = gtd.id
	AND i.fkid_groupe_destinataire = ug.group_id
	AND i.intervention_cloturer = "Y"
	AND i.fkid_groupe_destinataire IN @entities

--#######################################################
--### 9 - Nouvelles annotations 
--#######################################################

SELECT 
	gdd.id id_demande,
	gtd.abreviation type_demande,
	gdd.annee annee_demande,
	gdd.numero numero_demande,
	u.firstname prenom_createur,
	u.lastname nom_createur,
	gau.id id_annotation_user,
	ga.date_creation,
	ga.annotation,
	ug.group_desc,
	ga.id id_annotation
FROM
	gdd_demande gdd,
	gdd_type_demande gtd,
	users u,
	res_x r,
	gdd_annotation_user gau,
	gdd_annotation ga,
	usergroup_content ugc,
	usergroups ug
WHERE
	gau.fkid_destinataire = @user
	AND gau.lu = "N"
	AND ga.fkid_createur= u.user_id
	AND gau.fkid_annotation = ga.id
	AND ga.fkid_demande = gdd.id
	AND gdd.fkid_type_demande = gtd.id
	AND gdd.fkid_courrier = r.res_id
	AND u.user_id = ugc.user_id
	AND ugc.primary_group = "Y"
	AND ugc.group_id = ug.group_id
ORDER BY
	ga.date_creation
	
--#######################################################
--### 10 - Erreur de Destination Inter
--#######################################################

SELECT 
	gdd.id id_demande,
	gtd.abreviation type_demande,
	gdd.annee annee_demande,
	gdd.numero numero_demande,
	i.date_creation date_creation_inter,
	ug.group_desc groupe_destinataire,
	u.firstname prenom_user_destinataire,
	u.lastname nom_user_destinataire,
	i.description description,
	i.realisation realisation,
	i.reponse reponse,
	i.id id_intervention
FROM
	gdd_demande gdd,
	gdd_type_demande gtd,
	gdd_intervention i LEFT OUTER JOIN users u ON i.fkid_user_destinataire = u.user_id,
	usergroups ug
WHERE
	i.fkid_demande = gdd.id
	AND gdd.fkid_type_demande = gtd.id
	AND i.fkid_groupe_destinataire = ug.group_id
	AND i.intervention_cloturer = "Y"
	AND i.erreur_destination = "Y"
	AND i.erreur_vue = "N"
	AND i.fkid_user_emetteur = @user
		
--#######################################################
--### 11 - Demandes autorisées
--#######################################################

SELECT 
	gdd.id id_demande,
	gdd.titre_demande titre_demande,
	gtd.abreviation type_demande,
	gdd.annee annee_demande,
	gdd.numero numero_demande,
	gdd.date_creation date_creation,
	u.firstname prenom_createur,
	u.lastname nom_createur,
	gdd.fkid_courrier id_courrier,
	q.nom nom_quartier,
	d.nom nom_domaine,
	gdd.date_cloture date_cloture,
	u2.firstname prenom_user_cloture,
	u2.lastname nom_user_cloture
FROM
	gdd_demande gdd LEFT OUTER JOIN users u2 ON gdd.fkid_user_cloture = u2.user_id
					LEFT OUTER JOIN gdd_quartier q ON gdd.fkid_quartier = q.id
					LEFT OUTER JOIN gdd_domaine d ON gdd.fkid_domaine = d.id,
	gdd_type_demande gtd,
	users u,
	res_x r,
	gdd_autorise_user gau
WHERE
	gdd.fkid_type_demande = gtd.id
	AND gdd.fkid_user_createur = u.user_id
	AND gdd.fkid_courrier = r.res_id
	AND gdd.demande_cloturer = "N" 
	AND gdd.fkid_user_createur = gau.fkid_user_proprietaire
	AND gau.fkid_user_autorise = @user
	
--#######################################################
--### 12 - Demandes autorisées closes
--#######################################################

SELECT 
	gdd.id id_demande,
	gdd.titre_demande titre_demande,
	gtd.abreviation type_demande,
	gdd.annee annee_demande,
	gdd.numero numero_demande,
	gdd.date_creation date_creation,
	u.firstname prenom_createur,
	u.lastname nom_createur,
	gdd.fkid_courrier id_courrier,
	q.nom nom_quartier,
	d.nom nom_domaine,
	gdd.date_cloture date_cloture,
	u2.firstname prenom_user_cloture,
	u2.lastname nom_user_cloture
FROM
	gdd_demande gdd LEFT OUTER JOIN users u2 ON gdd.fkid_user_cloture = u2.user_id
					LEFT OUTER JOIN gdd_quartier q ON gdd.fkid_quartier = q.id
					LEFT OUTER JOIN gdd_domaine d ON gdd.fkid_domaine = d.id,
	gdd_type_demande gtd,
	users u,
	res_x r,
	gdd_autorise_user gau
WHERE
	gdd.fkid_type_demande = gtd.id
	AND gdd.fkid_user_createur = u.user_id
	AND gdd.fkid_courrier = r.res_id
	AND gdd.demande_cloturer = "Y" 
	AND gdd.fkid_user_createur = gau.fkid_user_proprietaire
	AND gau.fkid_user_autorise = @user
	
--#######################################################
--### 13 - Inter. Autorisées
--#######################################################

SELECT 
	gdd.id id_demande,
	gtd.abreviation type_demande,
	gdd.annee annee_demande,
	gdd.numero numero_demande,
	i.date_creation date_creation_inter,
	ug.group_desc groupe_destinataire,
	u.firstname prenom_user_destinataire,
	u.lastname nom_user_destinataire,
	i.description description,
	i.realisation realisation,
	i.reponse reponse,
	i.id id_intervention
FROM
	gdd_demande gdd, 	
	gdd_type_demande gtd, 	
	gdd_intervention i LEFT OUTER JOIN users u ON i.fkid_user_destinataire = u.user_id, 	
	usergroups ug,
	gdd_autorise_user gau
WHERE
	i.fkid_demande = gdd.id
	AND gdd.fkid_type_demande = gtd.id
	AND i.fkid_groupe_destinataire = ug.group_id
	AND i.intervention_cloturer = "N"
	AND i.fkid_user_destinataire = gau.fkid_user_proprietaire
	AND gau.fkid_user_autorise = @user
	
--#######################################################
--### 14 - Inter. Autorisées Closes
--#######################################################

SELECT 
	gdd.id id_demande,
	gtd.abreviation type_demande,
	gdd.annee annee_demande,
	gdd.numero numero_demande,
	i.date_creation date_creation_inter,
	ug.group_desc groupe_destinataire,
	u.firstname prenom_user_destinataire,
	u.lastname nom_user_destinataire,
	i.description description,
	i.realisation realisation,
	i.reponse reponse,
	i.id id_intervention
FROM
	gdd_demande gdd, 	
	gdd_type_demande gtd, 	
	gdd_intervention i LEFT OUTER JOIN users u ON i.fkid_user_destinataire = u.user_id, 	
	usergroups ug,
	gdd_autorise_user gau
WHERE
	i.fkid_demande = gdd.id
	AND gdd.fkid_type_demande = gtd.id
	AND i.fkid_groupe_destinataire = ug.group_id
	AND i.intervention_cloturer = "Y"
	AND i.fkid_user_destinataire = gau.fkid_user_proprietaire
	AND gau.fkid_user_autorise = @user
	
	
--#######################################################
--#######################################################
--#######################################################
--#######################################################
--#######################################################
--#######################################################
--#######################################################
--#######################################################
--#######################################################
--#######################################################
--#######################################################
--#######################################################

--#######################################################
--### insert dans la table "baskets"
--#######################################################

INSERT INTO `baskets` (`RES_TABLE`, `BASKET_ID`, `BASKET_NAME`, `BASKET_DESC`, `BASKET_SELECT`, `BASKET_CLAUSE`, `BASKET_GROUP_BY`, `BASKET_ORDER_BY`, `BASKET_LIMIT`, `IS_GENERIC`, `ENABLED`, `IS_GLOBAL`, `LOCK_TIME`, `IS_LOCKABLE`, `GDD_BASKET`, `OTHER_LINK`) VALUES
('gdd_demande gdd LEFT OUTER JOIN users u2 ON gdd.fkid_user_cloture = u2.user_id 					LEFT OUTER JOIN gdd_quartier q ON gdd.fkid_quartier = q.id 					LEFT OUTER JOIN gdd_domaine d ON gdd.fkid_domaine = d.id, 	gdd_type_demande gtd, 	users u, 	res_x r', 'BasketGDD', '01 - Mes demandes', 'Liste des demandes que le service a généré', 'gdd.id id_demande,\r\n	gdd.titre_demande titre_demande,\r\n	gtd.abreviation type_demande,\r\n	gdd.annee annee_demande,\r\n	gdd.numero numero_demande,\r\n	gdd.date_creation date_creation,\r\n	u.firstname prenom_createur,\r\n	u.lastname nom_createur,\r\n	gdd.fkid_courrier id_courrier,\r\n	q.nom nom_quartier,\r\n	d.nom nom_domaine,\r\n	gdd.date_cloture date_cloture,\r\n	u2.firstname prenom_user_cloture,\r\n	u2.lastname nom_user_cloture', 'gdd.fkid_type_demande = gtd.id\r\n	AND gdd.fkid_user_createur = u.user_id\r\n	AND gdd.fkid_courrier = r.res_id\r\n	AND gdd.demande_cloturer = "N"\r\n	AND gdd.fkid_user_createur = @user', '', '', '', 'N', 'Y', 'N', '', 'N', 'Y', 'N'),
('gdd_demande gdd, 	gdd_type_demande gtd, 	gdd_intervention i LEFT OUTER JOIN users u ON i.fkid_user_destinataire = u.user_id, 	usergroups ug', 'BasketInterRecu', '05 - Inter. reçus', 'Liste des interventions réçus par le service', 'gdd.id id_demande,\r\n	gtd.abreviation type_demande,\r\n	gdd.annee annee_demande,\r\n	gdd.numero numero_demande,\r\n	i.date_creation date_creation_inter,\r\n	ug.group_desc groupe_destinataire,\r\n	u.firstname prenom_user_destinataire,\r\n	u.lastname nom_user_destinataire,\r\n	i.description description,\r\n	i.realisation realisation,\r\n	i.reponse reponse,\r\n	i.id id_intervention', 'i.fkid_demande = gdd.id\r\n	AND gdd.fkid_type_demande = gtd.id\r\n	AND i.fkid_groupe_destinataire = ug.group_id\r\n	AND i.intervention_cloturer = "N"\r\n	AND i.fkid_groupe_destinataire IN @entities\r\n	AND i.fkid_user_destinataire = ""', '', '', '', 'N', 'Y', 'N', '', 'N', 'Y', 'N'),
('gdd_demande gdd, 	gdd_type_demande gtd, 	gdd_intervention i LEFT OUTER JOIN users u ON i.fkid_user_destinataire = u.user_id, 	usergroups ug', 'BasketInterEnCours', '06 - Inter. en cours', 'Liste des interventions que l''utilisateur a pris en charge et non cloturé', 'gdd.id id_demande,\r\n	gtd.abreviation type_demande,\r\n	gdd.annee annee_demande,\r\n	gdd.numero numero_demande,\r\n	i.date_creation date_creation_inter,\r\n	ug.group_desc groupe_destinataire,\r\n	u.firstname prenom_user_destinataire,\r\n	u.lastname nom_user_destinataire,\r\n	i.description description,\r\n	i.realisation realisation,\r\n	i.reponse reponse,\r\n	i.id id_intervention', 'i.fkid_demande = gdd.id\r\n	AND gdd.fkid_type_demande = gtd.id\r\n	AND i.fkid_groupe_destinataire = ug.group_id\r\n	AND i.intervention_cloturer = "N"\r\n	AND i.fkid_user_destinataire = @user', '', '', '', 'N', 'Y', 'N', '', 'N', 'Y', 'N'),
('gdd_demande gdd, 	gdd_type_demande gtd, 	gdd_intervention i LEFT OUTER JOIN users u ON i.fkid_user_destinataire = u.user_id, 	usergroups ug', 'BasketInterCloture', '08 - Inter. closes', 'Liste des interventions pris en charge qui sont cloturées', 'gdd.id id_demande,\r\n	gtd.abreviation type_demande,\r\n	gdd.annee annee_demande,\r\n	gdd.numero numero_demande,\r\n	i.date_creation date_creation_inter,\r\n	ug.group_desc groupe_destinataire,\r\n	u.firstname prenom_user_destinataire,\r\n	u.lastname nom_user_destinataire,\r\n	i.description description,\r\n	i.realisation realisation,\r\n	i.reponse reponse,\r\n	i.id id_intervention', 'i.fkid_demande = gdd.id\r\n	AND gdd.fkid_type_demande = gtd.id\r\n	AND i.fkid_groupe_destinataire = ug.group_id\r\n	AND i.intervention_cloturer = "Y"\r\n	AND i.fkid_groupe_destinataire IN @entities', '', '', '', 'N', 'Y', 'N', '', 'N', 'Y', 'N'),
('gdd_demande gdd, 	gdd_type_demande gtd, 	users u, 	res_x r, 	gdd_annotation_user gau, 	gdd_annotation ga,\r\n	usergroup_content ugc,\r\n	usergroups ug', 'BasketNewAnnotation', '09 - Nouvelles annotations', 'Liste des annotations dont une nouvelle annotations a été faite', 'gdd.id id_demande,\r\n	gtd.abreviation type_demande,\r\n	gdd.annee annee_demande,\r\n	gdd.numero numero_demande,\r\n	u.firstname prenom_createur,\r\n	u.lastname nom_createur,\r\n	gau.id id_annotation_user,\r\n	ga.date_creation,\r\n	ga.annotation,\r\n	ug.group_desc,\r\n	ga.id id_annotation', 'gau.fkid_destinataire = @user\r\n	AND gau.lu = "N"\r\n	AND ga.fkid_createur= u.user_id\r\n	AND gau.fkid_annotation = ga.id\r\n	AND ga.fkid_demande = gdd.id\r\n	AND gdd.fkid_type_demande = gtd.id\r\n	AND gdd.fkid_courrier = r.res_id\r\n	AND u.user_id = ugc.user_id\r\n	AND ugc.primary_group = "Y"\r\n	AND ugc.group_id = ug.group_id', '', 'ga.date_creation DESC', '', 'N', 'Y', 'N', '', 'N', 'Y', 'N'),
('gdd_demande gdd, 	gdd_type_demande gtd, 	gdd_intervention i LEFT OUTER JOIN users u ON i.fkid_user_destinataire = u.user_id, 	usergroups ug', 'BasketInterGenerer', '03 - Inter. générées', 'Liste de toutes les interventions générées par son service', 'gdd.id id_demande,\r\n	gtd.abreviation type_demande,\r\n	gdd.annee annee_demande,\r\n	gdd.numero numero_demande,\r\n	i.date_creation date_creation_inter,\r\n	ug.group_desc groupe_destinataire,\r\n	u.firstname prenom_user_destinataire,\r\n	u.lastname nom_user_destinataire,\r\n	i.description description,\r\n	i.realisation realisation,\r\n	i.reponse reponse,\r\n	i.id id_intervention', 'i.fkid_demande = gdd.id\r\n	AND gdd.fkid_type_demande = gtd.id\r\n	AND i.fkid_groupe_destinataire = ug.group_id\r\n	AND i.intervention_cloturer = "N"\r\nAND i.fkid_user_emetteur = @user', '', '', '', 'N', 'Y', 'N', '', 'N', 'Y', 'N'),
('gdd_demande gdd, 	gdd_type_demande gtd, 	gdd_intervention i LEFT OUTER JOIN users u ON i.fkid_user_destinataire = u.user_id, 	usergroups ug', 'BasketInterGenererClose', '04 - Inter. générées clos', 'liste des interventions clos qui ont été généré par le service', 'gdd.id id_demande,\r\n	gtd.abreviation type_demande,\r\n	gdd.annee annee_demande,\r\n	gdd.numero numero_demande,\r\n	i.date_creation date_creation_inter,\r\n	ug.group_desc groupe_destinataire,\r\n	u.firstname prenom_user_destinataire,\r\n	u.lastname nom_user_destinataire,\r\n	i.description description,\r\n	i.realisation realisation,\r\n	i.reponse reponse,\r\n	i.id id_intervention', 'i.fkid_demande = gdd.id\r\n	AND gdd.fkid_type_demande = gtd.id\r\n	AND i.fkid_groupe_destinataire = ug.group_id\r\n	AND i.intervention_cloturer = "Y"\r\n	AND i.fkid_user_emetteur = @user', '', '', '', 'N', 'Y', 'N', '', 'N', 'Y', 'N'),
('gdd_demande gdd, 	gdd_type_demande gtd, 	gdd_intervention i LEFT OUTER JOIN users u ON i.fkid_user_destinataire = u.user_id, 	usergroups ug', 'BasketErrorDestinationInter', '10 - Erreur de destination inter', 'Liste des interventions avec une erreur de destination', 'gdd.id id_demande,\r\n	gtd.abreviation type_demande,\r\n	gdd.annee annee_demande,\r\n	gdd.numero numero_demande,\r\n	i.date_creation date_creation_inter,\r\n	ug.group_desc groupe_destinataire,\r\n	u.firstname prenom_user_destinataire,\r\n	u.lastname nom_user_destinataire,\r\n	i.description description,\r\n	i.realisation realisation,\r\n	i.reponse reponse,\r\n	i.id id_intervention', 'i.fkid_demande = gdd.id\r\n	AND gdd.fkid_type_demande = gtd.id\r\n	AND i.fkid_groupe_destinataire = ug.group_id\r\n	AND i.intervention_cloturer = "Y"\r\n	AND i.erreur_destination = "Y"\r\n	AND i.erreur_vue = "N"\r\n	AND i.fkid_user_emetteur = @user', '', '', '', 'N', 'Y', 'N', '', 'N', 'Y', 'N'),
('gdd_demande gdd LEFT OUTER JOIN users u2 ON gdd.fkid_user_cloture = u2.user_id 					LEFT OUTER JOIN gdd_quartier q ON gdd.fkid_quartier = q.id 					LEFT OUTER JOIN gdd_domaine d ON gdd.fkid_domaine = d.id, 	gdd_type_demande gtd, 	users u, 	res_x r', 'BasketGDDCloses', '02 - Mes demandes closes', 'Liste des demandes closes que le service a généré', 'gdd.id id_demande,\r\n	gdd.titre_demande titre_demande,\r\n	gtd.abreviation type_demande,\r\n	gdd.annee annee_demande,\r\n	gdd.numero numero_demande,\r\n	gdd.date_creation date_creation,\r\n	u.firstname prenom_createur,\r\n	u.lastname nom_createur,\r\n	gdd.fkid_courrier id_courrier,\r\n	q.nom nom_quartier,\r\n	d.nom nom_domaine,\r\n	gdd.date_cloture date_cloture,\r\n	u2.firstname prenom_user_cloture,\r\n	u2.lastname nom_user_cloture', 'gdd.fkid_type_demande = gtd.id\r\n	AND gdd.fkid_user_createur = u.user_id\r\n	AND gdd.fkid_courrier = r.res_id\r\n	AND gdd.demande_cloturer = "Y"\r\n	AND gdd.fkid_user_createur = @user', '', '', '', 'N', 'Y', 'N', '', 'N', 'Y', 'N'),
('gdd_demande gdd, 	gdd_type_demande gtd, 	gdd_intervention i LEFT OUTER JOIN users u ON i.fkid_user_destinataire = u.user_id, 	usergroups ug', 'BasketInterEnCoursNonProprietair', '07 - Inter. en cours non proprié', 'Liste des interventions que l''utilisateur n''a pas pris en charge, non cloturé et qui appartient à son groupe', 'gdd.id id_demande,\r\n	gtd.abreviation type_demande,\r\n	gdd.annee annee_demande,\r\n	gdd.numero numero_demande,\r\n	i.date_creation date_creation_inter,\r\n	ug.group_desc groupe_destinataire,\r\n	u.firstname prenom_user_destinataire,\r\n	u.lastname nom_user_destinataire,\r\n	i.description description,\r\n	i.realisation realisation,\r\n	i.reponse reponse,\r\n	i.id id_intervention', 'i.fkid_demande = gdd.id\r\n	AND gdd.fkid_type_demande = gtd.id\r\n	AND i.fkid_groupe_destinataire = ug.group_id\r\n	AND i.intervention_cloturer = "N"\r\n	AND i.fkid_user_destinataire != @user\r\n	AND i.fkid_user_destinataire != ''''\r\n	AND i.fkid_groupe_destinataire IN @entities', '', '', '', 'N', 'Y', 'N', '', 'N', 'Y', 'N'),
('gdd_demande gdd LEFT OUTER JOIN users u2 ON gdd.fkid_user_cloture = u2.user_id 					LEFT OUTER JOIN gdd_quartier q ON gdd.fkid_quartier = q.id 					LEFT OUTER JOIN gdd_domaine d ON gdd.fkid_domaine = d.id, 	gdd_type_demande gtd, 	users u, 	res_x r,\r\n	gdd_autorise_user gau', 'BasketGDDAutorisees', '11 - Demandes autorisées', 'Liste des demandes que d''autres utilisateurs ont générés mais qui vous ont donnée les droits de gestions', 'gdd.id id_demande,\r\n	gdd.titre_demande titre_demande,\r\n	gtd.abreviation type_demande,\r\n	gdd.annee annee_demande,\r\n	gdd.numero numero_demande,\r\n	gdd.date_creation date_creation,\r\n	u.firstname prenom_createur,\r\n	u.lastname nom_createur,\r\n	gdd.fkid_courrier id_courrier,\r\n	q.nom nom_quartier,\r\n	d.nom nom_domaine,\r\n	gdd.date_cloture date_cloture,\r\n	u2.firstname prenom_user_cloture,\r\n	u2.lastname nom_user_cloture', 'gdd.fkid_type_demande = gtd.id\r\n	AND gdd.fkid_user_createur = u.user_id\r\n	AND gdd.fkid_courrier = r.res_id\r\n	AND gdd.demande_cloturer = "N" \r\n	AND gdd.fkid_user_createur = gau.fkid_user_proprietaire\r\n	AND gau.fkid_user_autorise = @user', '', '', '', 'N', 'Y', 'N', '', 'N', 'Y', 'N'),
('gdd_demande gdd, 	 	gdd_type_demande gtd, 	 	gdd_intervention i LEFT OUTER JOIN users u ON i.fkid_user_destinataire = u.user_id, 	 	usergroups ug, 	gdd_autorise_user gau', 'BasketInterAutorise', '13 - Inter. Autorisées', 'Liste de toutes les interventions autorisées, a gérer à la place d''une autre personne', 'gdd.id id_demande,\r\n	gtd.abreviation type_demande,\r\n	gdd.annee annee_demande,\r\n	gdd.numero numero_demande,\r\n	i.date_creation date_creation_inter,\r\n	ug.group_desc groupe_destinataire,\r\n	u.firstname prenom_user_destinataire,\r\n	u.lastname nom_user_destinataire,\r\n	i.description description,\r\n	i.realisation realisation,\r\n	i.reponse reponse,\r\n	i.id id_intervention', 'i.fkid_demande = gdd.id\r\n	AND gdd.fkid_type_demande = gtd.id\r\n	AND i.fkid_groupe_destinataire = ug.group_id\r\n	AND i.intervention_cloturer = "N"\r\n	AND i.fkid_user_destinataire = gau.fkid_user_proprietaire\r\n	AND gau.fkid_user_autorise = @user', '', '', '', 'N', 'Y', 'N', '', 'N', 'Y', 'N'),
('gdd_demande gdd LEFT OUTER JOIN users u2 ON gdd.fkid_user_cloture = u2.user_id 					LEFT OUTER JOIN gdd_quartier q ON gdd.fkid_quartier = q.id 					LEFT OUTER JOIN gdd_domaine d ON gdd.fkid_domaine = d.id, 	gdd_type_demande gtd, 	users u, 	res_x r, 	gdd_autorise_user gau', 'BasketGDDAutoriseesClos', '12 - Demandes autorisées clos', 'Liste des demandes closes que d''autres utilisateurs ont générés mais qui vous ont donnée les droits de gestions', 'gdd.id id_demande,\r\n	gdd.titre_demande titre_demande,\r\n	gtd.abreviation type_demande,\r\n	gdd.annee annee_demande,\r\n	gdd.numero numero_demande,\r\n	gdd.date_creation date_creation,\r\n	u.firstname prenom_createur,\r\n	u.lastname nom_createur,\r\n	gdd.fkid_courrier id_courrier,\r\n	q.nom nom_quartier,\r\n	d.nom nom_domaine,\r\n	gdd.date_cloture date_cloture,\r\n	u2.firstname prenom_user_cloture,\r\n	u2.lastname nom_user_cloture', 'gdd.fkid_type_demande = gtd.id\r\n	AND gdd.fkid_user_createur = u.user_id\r\n	AND gdd.fkid_courrier = r.res_id\r\n	AND gdd.demande_cloturer = "Y" \r\n	AND gdd.fkid_user_createur = gau.fkid_user_proprietaire\r\n	AND gau.fkid_user_autorise = @user', '', '', '', 'N', 'Y', 'N', '', 'N', 'Y', 'N'),
('gdd_demande gdd, 	 	gdd_type_demande gtd, 	 	gdd_intervention i LEFT OUTER JOIN users u ON i.fkid_user_destinataire = u.user_id, 	 	usergroups ug, 	gdd_autorise_user gau', 'BasketInterAutoriseClos', '14 - Inter. Autorisées Clos', 'Liste de toutes les interventions autorisées closes, a gérer à la place d''une autre personne', 'gdd.id id_demande,\r\n	gtd.abreviation type_demande,\r\n	gdd.annee annee_demande,\r\n	gdd.numero numero_demande,\r\n	i.date_creation date_creation_inter,\r\n	ug.group_desc groupe_destinataire,\r\n	u.firstname prenom_user_destinataire,\r\n	u.lastname nom_user_destinataire,\r\n	i.description description,\r\n	i.realisation realisation,\r\n	i.reponse reponse,\r\n	i.id id_intervention', 'i.fkid_demande = gdd.id\r\n	AND gdd.fkid_type_demande = gtd.id\r\n	AND i.fkid_groupe_destinataire = ug.group_id\r\n	AND i.intervention_cloturer = "Y"\r\n	AND i.fkid_user_destinataire = gau.fkid_user_proprietaire\r\n	AND gau.fkid_user_autorise = @user', '', '', '', 'N', 'Y', 'N', '', 'N', 'Y', 'N');

--#######################################################
--### bannette "Gdd - Mes demandes"
--#######################################################

INSERT INTO `gtb_tableau` (`gtb_id`, `gtb_fkid_basket`, `gtb_nom`, `gtb_description`, `gtb_css_table`, `gtb_css_entete`, `gtb_css_ligne1`, `gtb_css_ligne2`, `gtb_imprimer_liste`, `gtb_multi_action`, `gtb_url_global`, `gtb_liste_bouton`, `gtb_nbre_resultat_page`, `gtb_multi_action_champs`, `gtb_desc_asc`, `gtb_table_base`, `gtb_info_url_global`, `gtb_multi_action_option`) VALUES
(1000, 'BasketGDD', 'Gdd - Mes demandes', 'Liste des demandes que le service a g&eacute;n&eacute;r&eacute; ', 'TABLE_CLASSIQUE', 'ENTETE_CLASSIQUE', 'IMPAIRE_CLASSIQUE', 'PAIRE_CLASSIQUE', 'Y', 'N', 'open|gdd.php|id_demande=9|op=modifier_demande', '', 10, 1, 'Y', 'N', '', '');

INSERT INTO `gtb_tableau_champs` (`gtc_fkid_gtb_tableau`, `gtc_nom_champs_requete`, `gtc_format`, `gtc_alignement`, `gtc_nom_entete`, `gtc_position`, `gtc_taille_px`, `gtc_tri_dessus`, `gtc_hidden`, `gtc_limit_impression`, `gtc_hidden_print`, `gtc_taille_mm`) VALUES
(1000, 'id_courrier', '', 'center', 'N&deg; GED', 1, 50, '', 'N', '', 'N', 20),
(1000, 'numero_demande', 'format_num_dossier_demande|7|8', 'center', 'N&deg; Dossier', 2, 80, '', 'N', '', 'N', 20),
(1000, 'annee_demande', '', 'left', 'Ann&eacute;e demande', 8, 0, '', 'Y', '', 'Y', 0),
(1000, 'type_demande', '', 'left', 'Type demande', 7, 0, '', 'Y', '', 'Y', 0),
(1000, 'id_demande', '', 'left', 'Id demande', 9, 0, '', 'Y', '', 'Y', 0),
(1000, 'titre_demande', '', 'left', 'Titre', 3, 212, '', 'N', '', 'N', 20),
(1000, 'date_creation', 'format_creer_par_le|10|11', 'left', 'Cr&eacute;ation', 4, 150, '', 'N', '', 'N', 20),
(1000, 'prenom_createur', '', 'left', 'Cr&eacute;&eacute; par (pr&eacute;nom)', 10, 0, '', 'Y', '', 'Y', 0),
(1000, 'nom_createur', '', 'left', 'Cr&eacute;&eacute; par (nom)', 11, 0, '', 'Y', '', 'Y', 0),
(1000, 'nom_quartier', '', 'left', 'Quartier', 5, 150, '', 'N', '', 'N', 20),
(1000, 'nom_domaine', '', 'left', 'Domaine', 6, 150, '', 'N', '', 'Y', 0);

--#######################################################
--### bannette "Gdd - Interventions reçus"
--#######################################################

INSERT INTO `gtb_tableau` (`gtb_id`, `gtb_fkid_basket`, `gtb_nom`, `gtb_description`, `gtb_css_table`, `gtb_css_entete`, `gtb_css_ligne1`, `gtb_css_ligne2`, `gtb_imprimer_liste`, `gtb_multi_action`, `gtb_url_global`, `gtb_liste_bouton`, `gtb_nbre_resultat_page`, `gtb_multi_action_champs`, `gtb_desc_asc`, `gtb_table_base`, `gtb_info_url_global`, `gtb_multi_action_option`) VALUES
(1001, 'BasketInterRecu', 'Gdd - Interventions re&ccedil;us', 'Liste des interventions r&eacute;&ccedil;us par le service', 'TABLE_CLASSIQUE', 'ENTETE_CLASSIQUE', 'IMPAIRE_CLASSIQUE', 'PAIRE_CLASSIQUE', 'N', 'N', 'open|gdd.php|id_demande=2|op=modifier_demande|onglet=intervention|carrousel_current=resultat(2)', '', 10, 1, 'N', 'N', '', '');

INSERT INTO `gtb_tableau_champs` (`gtc_fkid_gtb_tableau`, `gtc_nom_champs_requete`, `gtc_format`, `gtc_alignement`, `gtc_nom_entete`, `gtc_position`, `gtc_taille_px`, `gtc_tri_dessus`, `gtc_hidden`, `gtc_limit_impression`, `gtc_hidden_print`, `gtc_taille_mm`) VALUES
(1001, 'numero_demande', 'format_num_dossier_demande|8|9', 'center', 'N&deg; Dossier', 1, 80, '', 'N', '', 'Y', 0),
(1001, 'id_demande', 'format_recherche_num_inter|12', 'center', 'N&deg; Inter', 2, 50, '', 'N', '', 'Y', 0),
(1001, 'date_creation_inter', 'format_date_sans_heure', 'center', 'Cr&eacute;&eacute; le', 3, 80, '', 'N', '', 'Y', 0),
(1001, 'groupe_destinataire', 'format_destination_intervention|10|11', 'left', 'Destinataire', 4, 170, '', 'N', '', 'Y', 0),
(1001, 'description', 'format_textarea', 'left', 'Description', 5, 332, '', 'N', '', 'Y', 0),
(1001, 'realisation', 'format_champs_non_vide', 'left', 'R&eacute;al.', 6, 40, '', 'N', '', 'Y', 0),
(1001, 'reponse', 'format_champs_non_vide', 'left', 'R&eacute;p.', 7, 40, '', 'N', '', 'Y', 0),
(1001, 'type_demande', '', 'left', 'Type de demande', 8, 0, '', 'Y', '', 'Y', 0),
(1001, 'annee_demande', '', 'left', 'Ann&eacute;e demande', 9, 0, '', 'Y', '', 'Y', 0),
(1001, 'prenom_user_destinataire', '', 'left', 'Pr&eacute;nom destinataire', 10, 0, '', 'Y', '', 'Y', 0),
(1001, 'nom_user_destinataire', '', 'left', 'Nom destinataire', 11, 0, '', 'Y', '', 'Y', 0),
(1001, 'id_intervention', '', 'left', 'Id intervention', 12, 0, '', 'Y', '', 'Y', 0);

--#######################################################
--### bannette "Gdd - Interventions en cours"
--#######################################################

INSERT INTO `gtb_tableau` (`gtb_id`, `gtb_fkid_basket`, `gtb_nom`, `gtb_description`, `gtb_css_table`, `gtb_css_entete`, `gtb_css_ligne1`, `gtb_css_ligne2`, `gtb_imprimer_liste`, `gtb_multi_action`, `gtb_url_global`, `gtb_liste_bouton`, `gtb_nbre_resultat_page`, `gtb_multi_action_champs`, `gtb_desc_asc`, `gtb_table_base`, `gtb_info_url_global`, `gtb_multi_action_option`) VALUES
(1002, 'BasketInterEnCours', 'Gdd - Interventions en cours', 'Liste des interventions que l''utilisateur a pris en charge et non clotur&eacute; ', 'TABLE_CLASSIQUE', 'ENTETE_CLASSIQUE', 'IMPAIRE_CLASSIQUE', 'PAIRE_CLASSIQUE', 'N', 'N', 'open|gdd.php|id_demande=2|op=modifier_demande|onglet=intervention|carrousel_current=resultat(2)', '', 10, 1, 'N', 'N', '', '');

INSERT INTO `gtb_tableau_champs` (`gtc_fkid_gtb_tableau`, `gtc_nom_champs_requete`, `gtc_format`, `gtc_alignement`, `gtc_nom_entete`, `gtc_position`, `gtc_taille_px`, `gtc_tri_dessus`, `gtc_hidden`, `gtc_limit_impression`, `gtc_hidden_print`, `gtc_taille_mm`) VALUES
(1002, 'numero_demande', 'format_num_dossier_demande|8|9', 'center', 'N&deg; Dossier', 1, 80, '', 'N', '', 'Y', 0),
(1002, 'id_demande', 'format_recherche_num_inter|12', 'center', 'N&deg; Inter', 2, 50, '', 'N', '', 'Y', 0),
(1002, 'date_creation_inter', 'format_date_sans_heure', 'center', 'Cr&eacute;&eacute; le', 3, 80, '', 'N', '', 'Y', 0),
(1002, 'groupe_destinataire', 'format_destination_intervention|10|11', 'left', 'Destinataire', 4, 170, '', 'N', '', 'Y', 0),
(1002, 'description', 'format_textarea', 'left', 'Description', 5, 332, '', 'N', '', 'Y', 0),
(1002, 'realisation', 'format_champs_non_vide', 'left', 'R&eacute;al.', 6, 40, '', 'N', '', 'Y', 0),
(1002, 'reponse', 'format_champs_non_vide', 'left', 'R&eacute;p.', 7, 40, '', 'N', '', 'Y', 0),
(1002, 'type_demande', '', 'left', 'Type de demande', 8, 0, '', 'Y', '', 'Y', 0),
(1002, 'annee_demande', '', 'left', 'Ann&eacute;e demande', 9, 0, '', 'Y', '', 'Y', 0),
(1002, 'prenom_user_destinataire', '', 'left', 'Pr&eacute;nom destinataire', 10, 0, '', 'Y', '', 'Y', 0),
(1002, 'nom_user_destinataire', '', 'left', 'Nom destinataire', 11, 0, '', 'Y', '', 'Y', 0),
(1002, 'id_intervention', '', 'left', 'Id intervention', 12, 0, '', 'Y', '', 'Y', 0);

--#######################################################
--### bannette "Gdd - Interventions cloturées"
--#######################################################

INSERT INTO `gtb_tableau` (`gtb_id`, `gtb_fkid_basket`, `gtb_nom`, `gtb_description`, `gtb_css_table`, `gtb_css_entete`, `gtb_css_ligne1`, `gtb_css_ligne2`, `gtb_imprimer_liste`, `gtb_multi_action`, `gtb_url_global`, `gtb_liste_bouton`, `gtb_nbre_resultat_page`, `gtb_multi_action_champs`, `gtb_desc_asc`, `gtb_table_base`, `gtb_info_url_global`, `gtb_multi_action_option`) VALUES
(1003, 'BasketInterCloture', 'Gdd - Interventions clotur&eacute;es ', 'Liste des interventions pris en charge qui sont clotur&eacute;es ', 'TABLE_CLASSIQUE', 'ENTETE_CLASSIQUE', 'IMPAIRE_CLASSIQUE', 'PAIRE_CLASSIQUE', 'N', 'N', 'open|gdd.php|id_demande=2|op=modifier_demande|onglet=intervention|carrousel_current=resultat(2)', '', 10, 1, 'N', 'N', '', '');

INSERT INTO `gtb_tableau_champs` (`gtc_fkid_gtb_tableau`, `gtc_nom_champs_requete`, `gtc_format`, `gtc_alignement`, `gtc_nom_entete`, `gtc_position`, `gtc_taille_px`, `gtc_tri_dessus`, `gtc_hidden`, `gtc_limit_impression`, `gtc_hidden_print`, `gtc_taille_mm`) VALUES
(1003, 'numero_demande', 'format_num_dossier_demande|8|9', 'center', 'N&deg; Dossier', 1, 80, '', 'N', '', 'Y', 0),
(1003, 'id_demande', 'format_recherche_num_inter|12', 'center', 'N&deg; Inter', 2, 50, '', 'N', '', 'Y', 0),
(1003, 'date_creation_inter', 'format_date_sans_heure', 'center', 'Cr&eacute;&eacute; le', 3, 80, '', 'N', '', 'Y', 0),
(1003, 'groupe_destinataire', 'format_destination_intervention|10|11', 'left', 'Destinataire', 4, 170, '', 'N', '', 'Y', 0),
(1003, 'description', 'format_textarea', 'left', 'Description', 5, 332, '', 'N', '', 'Y', 0),
(1003, 'realisation', 'format_champs_non_vide', 'left', 'R&eacute;al.', 6, 40, '', 'N', '', 'Y', 0),
(1003, 'reponse', 'format_champs_non_vide', 'left', 'R&eacute;p.', 7, 40, '', 'N', '', 'Y', 0),
(1003, 'type_demande', '', 'left', 'Type de demande', 8, 0, '', 'Y', '', 'Y', 0),
(1003, 'annee_demande', '', 'left', 'Ann&eacute;e demande', 9, 0, '', 'Y', '', 'Y', 0),
(1003, 'prenom_user_destinataire', '', 'left', 'Pr&eacute;nom destinataire', 10, 0, '', 'Y', '', 'Y', 0),
(1003, 'nom_user_destinataire', '', 'left', 'Nom destinataire', 11, 0, '', 'Y', '', 'Y', 0),
(1003, 'id_intervention', '', 'left', 'Id intervention', 12, 0, '', 'Y', '', 'Y', 0);

--#######################################################
--### bannette "Gdd - Nouvelles annotations"
--#######################################################

INSERT INTO `gtb_tableau` (`gtb_id`, `gtb_fkid_basket`, `gtb_nom`, `gtb_description`, `gtb_css_table`, `gtb_css_entete`, `gtb_css_ligne1`, `gtb_css_ligne2`, `gtb_imprimer_liste`, `gtb_multi_action`, `gtb_url_global`, `gtb_liste_bouton`, `gtb_nbre_resultat_page`, `gtb_multi_action_champs`, `gtb_desc_asc`, `gtb_table_base`, `gtb_info_url_global`, `gtb_multi_action_option`) VALUES
(1004, 'BasketNewAnnotation', 'Gdd - Nouvelles annotations', 'Liste des annotations dont une nouvelle annotations a &eacute;t&eacute; faite ', 'TABLE_CLASSIQUE', 'ENTETE_CLASSIQUE', 'IMPAIRE_CLASSIQUE', 'PAIRE_CLASSIQUE', 'N', 'N', 'open|gdd.php|id_demande=10|op=modifier_demande|onglet=annotation|id_annotation=11', '', 10, 1, 'Y', 'N', '', '');

INSERT INTO `gtb_tableau_champs` (`gtc_fkid_gtb_tableau`, `gtc_nom_champs_requete`, `gtc_format`, `gtc_alignement`, `gtc_nom_entete`, `gtc_position`, `gtc_taille_px`, `gtc_tri_dessus`, `gtc_hidden`, `gtc_limit_impression`, `gtc_hidden_print`, `gtc_taille_mm`) VALUES
(1004, 'numero_demande', 'format_num_dossier_demande|2|3', 'center', 'N&deg; Dossier', 1, 80, '', 'N', '', 'Y', 0),
(1004, 'type_demande', '', 'left', 'Type demande', 2, 0, '', 'Y', '', 'Y', 0),
(1004, 'annee_demande', '', 'left', 'Ann&eacute;e demande', 3, 0, '', 'Y', '', 'Y', 0),
(1004, 'prenom_createur', 'format_creer_par_annotation|5|6', 'left', 'Cr&eacute;er par', 4, 150, '', 'N', '', 'N', 20),
(1004, 'nom_createur', '', 'left', 'Nom createur', 5, 0, '', 'Y', '', 'N', 20),
(1004, 'group_desc', '', 'left', 'Groupe du cr&eacute;ateur', 6, 0, '', 'Y', '', 'N', 20),
(1004, 'date_creation', 'format_fait_le_annotation', 'left', 'Fait le', 7, 80, '', 'N', '', 'N', 20),
(1004, 'annotation', 'format_couper_textarea_200', 'left', 'Description', 8, 482, '', 'N', '', 'N', 20),
(1004, 'id_annotation_user', '', 'center', 'Pris connaissance', 9, 0, '', 'Y', '', 'N', 20),
(1004, 'id_demande', '', 'left', 'Id demande', 10, 0, '', 'Y', '', 'N', 20),
(1004, 'id_annotation', '', 'left', 'Id annotation', 11, 0, '', 'Y', '', 'N', 20);

--#######################################################
--### bannette "Gdd - Interventions Générées"
--#######################################################

INSERT INTO `gtb_tableau` (`gtb_id`, `gtb_fkid_basket`, `gtb_nom`, `gtb_description`, `gtb_css_table`, `gtb_css_entete`, `gtb_css_ligne1`, `gtb_css_ligne2`, `gtb_imprimer_liste`, `gtb_multi_action`, `gtb_url_global`, `gtb_liste_bouton`, `gtb_nbre_resultat_page`, `gtb_multi_action_champs`, `gtb_desc_asc`, `gtb_table_base`, `gtb_info_url_global`, `gtb_multi_action_option`) VALUES
(1005, 'BasketInterGenerer', 'Gdd - Interventions G&eacute;n&eacute;r&eacute;es', 'Liste de toutes les interventions g&eacute;n&eacute;r&eacute;es par son service ', 'TABLE_CLASSIQUE', 'ENTETE_CLASSIQUE', 'IMPAIRE_CLASSIQUE', 'PAIRE_CLASSIQUE', 'N', 'N', 'open|gdd.php|id_demande=2|op=modifier_demande|onglet=intervention|carrousel_current=resultat(2)', '', 10, 1, 'Y', 'N', '', '');

INSERT INTO `gtb_tableau_champs` (`gtc_fkid_gtb_tableau`, `gtc_nom_champs_requete`, `gtc_format`, `gtc_alignement`, `gtc_nom_entete`, `gtc_position`, `gtc_taille_px`, `gtc_tri_dessus`, `gtc_hidden`, `gtc_limit_impression`, `gtc_hidden_print`, `gtc_taille_mm`) VALUES
(1005, 'numero_demande', 'format_num_dossier_demande|8|9', 'center', 'N&deg; Dossier', 1, 80, '', 'N', '', 'Y', 0),
(1005, 'id_demande', 'format_recherche_num_inter|12', 'center', 'N&deg; Inter', 2, 50, '', 'N', '', 'Y', 0),
(1005, 'date_creation_inter', 'format_date_sans_heure', 'center', 'Cr&eacute;&eacute; le', 3, 80, '', 'N', '', 'Y', 0),
(1005, 'groupe_destinataire', 'format_destination_intervention|10|11', 'left', 'Destinataire', 4, 170, '', 'N', '', 'Y', 0),
(1005, 'description', 'format_textarea', 'left', 'Description', 5, 332, '', 'N', '', 'Y', 0),
(1005, 'realisation', 'format_champs_non_vide', 'left', 'R&eacute;al.', 6, 40, '', 'N', '', 'Y', 0),
(1005, 'reponse', 'format_champs_non_vide', 'left', 'R&eacute;p.', 7, 40, '', 'N', '', 'Y', 0),
(1005, 'type_demande', '', 'left', 'Type de demande', 8, 0, '', 'Y', '', 'Y', 0),
(1005, 'annee_demande', '', 'left', 'Ann&eacute;e demande', 9, 0, '', 'Y', '', 'Y', 0),
(1005, 'prenom_user_destinataire', '', 'left', 'Pr&eacute;nom destinataire', 10, 0, '', 'Y', '', 'Y', 0),
(1005, 'nom_user_destinataire', '', 'left', 'Nom destinataire', 11, 0, '', 'Y', '', 'Y', 0),
(1005, 'id_intervention', '', 'left', 'Id intervention', 12, 0, '', 'Y', '', 'Y', 0);

--#######################################################
--### bannette "Gdd - Interventions cloturées"
--#######################################################

INSERT INTO `gtb_tableau` (`gtb_id`, `gtb_fkid_basket`, `gtb_nom`, `gtb_description`, `gtb_css_table`, `gtb_css_entete`, `gtb_css_ligne1`, `gtb_css_ligne2`, `gtb_imprimer_liste`, `gtb_multi_action`, `gtb_url_global`, `gtb_liste_bouton`, `gtb_nbre_resultat_page`, `gtb_multi_action_champs`, `gtb_desc_asc`, `gtb_table_base`, `gtb_info_url_global`, `gtb_multi_action_option`) VALUES
(1006, 'BasketInterGenererClose', 'Gdd - Interventions G&eacute;n&eacute;r&eacute;es Clotur&eacute;s ', 'liste des interventions clos qui ont &eacute;t&eacute; g&eacute;n&eacute;r&eacute; par le service ', 'TABLE_CLASSIQUE', 'ENTETE_CLASSIQUE', 'IMPAIRE_CLASSIQUE', 'PAIRE_CLASSIQUE', 'N', 'N', 'open|gdd.php|id_demande=2|op=modifier_demande|onglet=intervention|carrousel_current=resultat(2)', '', 10, 1, 'N', 'N', '', '');

INSERT INTO `gtb_tableau_champs` (`gtc_fkid_gtb_tableau`, `gtc_nom_champs_requete`, `gtc_format`, `gtc_alignement`, `gtc_nom_entete`, `gtc_position`, `gtc_taille_px`, `gtc_tri_dessus`, `gtc_hidden`, `gtc_limit_impression`, `gtc_hidden_print`, `gtc_taille_mm`) VALUES
(1006, 'numero_demande', 'format_num_dossier_demande|8|9', 'center', 'N&deg; Dossier', 1, 80, '', 'N', '', 'Y', 0),
(1006, 'id_demande', 'format_recherche_num_inter|12', 'center', 'N&deg; Inter', 2, 50, '', 'N', '', 'Y', 0),
(1006, 'date_creation_inter', 'format_date_sans_heure', 'center', 'Cr&eacute;&eacute; le', 3, 80, '', 'N', '', 'Y', 0),
(1006, 'groupe_destinataire', 'format_destination_intervention|10|11', 'left', 'Destinataire', 4, 170, '', 'N', '', 'Y', 0),
(1006, 'description', 'format_textarea', 'left', 'Description', 5, 332, '', 'N', '', 'Y', 0),
(1006, 'realisation', 'format_champs_non_vide', 'left', 'R&eacute;al.', 6, 40, '', 'N', '', 'Y', 0),
(1006, 'reponse', 'format_champs_non_vide', 'left', 'R&eacute;p.', 7, 40, '', 'N', '', 'Y', 0),
(1006, 'type_demande', '', 'left', 'Type de demande', 8, 0, '', 'Y', '', 'Y', 0),
(1006, 'annee_demande', '', 'left', 'Ann&eacute;e demande', 9, 0, '', 'Y', '', 'Y', 0),
(1006, 'prenom_user_destinataire', '', 'left', 'Pr&eacute;nom destinataire', 10, 0, '', 'Y', '', 'Y', 0),
(1006, 'nom_user_destinataire', '', 'left', 'Nom destinataire', 11, 0, '', 'Y', '', 'Y', 0),
(1006, 'id_intervention', '', 'left', 'Id intervention', 12, 0, '', 'Y', '', 'Y', 0);

--#######################################################
--### bannette "Gdd - Mes demandes closes"
--#######################################################

INSERT INTO `gtb_tableau` (`gtb_id`, `gtb_fkid_basket`, `gtb_nom`, `gtb_description`, `gtb_css_table`, `gtb_css_entete`, `gtb_css_ligne1`, `gtb_css_ligne2`, `gtb_imprimer_liste`, `gtb_multi_action`, `gtb_url_global`, `gtb_liste_bouton`, `gtb_nbre_resultat_page`, `gtb_multi_action_champs`, `gtb_desc_asc`, `gtb_table_base`, `gtb_info_url_global`, `gtb_multi_action_option`) VALUES
(1007, 'BasketGDDCloses', 'Gdd - Mes demandes closes', 'Liste des demandes closes que le service a g&eacute;n&eacute;r&eacute; ', 'TABLE_CLASSIQUE', 'ENTETE_CLASSIQUE', 'IMPAIRE_CLASSIQUE', 'PAIRE_CLASSIQUE', 'N', 'N', 'open|gdd.php|id_demande=9|op=modifier_demande', '', 10, 1, 'Y', 'N', '', '');

INSERT INTO `gtb_tableau_champs` (`gtc_fkid_gtb_tableau`, `gtc_nom_champs_requete`, `gtc_format`, `gtc_alignement`, `gtc_nom_entete`, `gtc_position`, `gtc_taille_px`, `gtc_tri_dessus`, `gtc_hidden`, `gtc_limit_impression`, `gtc_hidden_print`, `gtc_taille_mm`) VALUES
(1007, 'id_courrier', '', 'center', 'N&deg; GED', 1, 50, '', 'N', '', 'Y', 0),
(1007, 'numero_demande', 'format_num_dossier_demande|7|8', 'center', 'N&deg; Dossier', 2, 80, '', 'N', '', 'Y', 0),
(1007, 'annee_demande', '', 'left', 'Ann&eacute;e demande', 8, 0, '', 'Y', '', 'Y', 0),
(1007, 'type_demande', '', 'left', 'Type demande', 7, 0, '', 'Y', '', 'Y', 0),
(1007, 'id_demande', '', 'left', 'Id demande', 9, 0, '', 'Y', '', 'Y', 0),
(1007, 'titre_demande', '', 'left', 'Titre', 3, 212, '', 'N', '', 'Y', 0),
(1007, 'date_creation', 'format_creer_par_le|10|11', 'left', 'Cr&eacute;ation', 4, 150, '', 'N', '', 'Y', 0),
(1007, 'prenom_createur', '', 'left', 'Cr&eacute;&eacute; par (pr&eacute;nom)', 10, 0, '', 'Y', '', 'Y', 0),
(1007, 'nom_createur', '', 'left', 'Cr&eacute;&eacute; par (nom)', 11, 0, '', 'Y', '', 'Y', 0),
(1007, 'nom_quartier', '', 'left', 'Quartier', 5, 150, '', 'N', '', 'Y', 0),
(1007, 'nom_domaine', '', 'left', 'Domaine', 6, 150, '', 'N', '', 'Y', 0);

--#######################################################
--### bannette "Gdd - Interventions en cours Non Propriétaire"
--#######################################################

INSERT INTO `gtb_tableau` (`gtb_id`, `gtb_fkid_basket`, `gtb_nom`, `gtb_description`, `gtb_css_table`, `gtb_css_entete`, `gtb_css_ligne1`, `gtb_css_ligne2`, `gtb_imprimer_liste`, `gtb_multi_action`, `gtb_url_global`, `gtb_liste_bouton`, `gtb_nbre_resultat_page`, `gtb_multi_action_champs`, `gtb_desc_asc`, `gtb_table_base`, `gtb_info_url_global`, `gtb_multi_action_option`) VALUES
(1008, 'BasketInterEnCoursNonProprietair', 'Gdd - Interventions en cours Non Propri&eacute;taire', 'Liste des interventions que l''utilisateur a pris en charge, non clotur&eacute; et qui sont de son groupe', 'TABLE_CLASSIQUE', 'ENTETE_CLASSIQUE', 'IMPAIRE_CLASSIQUE', 'PAIRE_CLASSIQUE', 'N', 'N', 'open|gdd.php|id_demande=2|op=modifier_demande|onglet=intervention|carrousel_current=resultat(2)', '', 10, 1, 'N', 'N', '', '');

INSERT INTO `gtb_tableau_champs` (`gtc_fkid_gtb_tableau`, `gtc_nom_champs_requete`, `gtc_format`, `gtc_alignement`, `gtc_nom_entete`, `gtc_position`, `gtc_taille_px`, `gtc_tri_dessus`, `gtc_hidden`, `gtc_limit_impression`, `gtc_hidden_print`, `gtc_taille_mm`) VALUES
(1008, 'numero_demande', 'format_num_dossier_demande|8|9', 'center', 'N&deg; Dossier', 1, 80, '', 'N', '', 'Y', 0),
(1008, 'id_demande', 'format_recherche_num_inter|12', 'center', 'N&deg; Inter', 2, 50, '', 'N', '', 'Y', 0),
(1008, 'date_creation_inter', 'format_date_sans_heure', 'center', 'Cr&eacute;&eacute; le', 3, 80, '', 'N', '', 'Y', 0),
(1008, 'groupe_destinataire', 'format_destination_intervention|10|11', 'left', 'Destinataire', 4, 170, '', 'N', '', 'Y', 0),
(1008, 'description', 'format_textarea', 'left', 'Description', 5, 332, '', 'N', '', 'Y', 0),
(1008, 'realisation', 'format_champs_non_vide', 'left', 'R&eacute;al.', 6, 40, '', 'N', '', 'Y', 0),
(1008, 'reponse', 'format_champs_non_vide', 'left', 'R&eacute;p.', 7, 40, '', 'N', '', 'Y', 0),
(1008, 'type_demande', '', 'left', 'Type de demande', 8, 0, '', 'Y', '', 'Y', 0),
(1008, 'annee_demande', '', 'left', 'Ann&eacute;e demande', 9, 0, '', 'Y', '', 'Y', 0),
(1008, 'prenom_user_destinataire', '', 'left', 'Pr&eacute;nom destinataire', 10, 0, '', 'Y', '', 'Y', 0),
(1008, 'nom_user_destinataire', '', 'left', 'Nom destinataire', 11, 0, '', 'Y', '', 'Y', 0),
(1008, 'id_intervention', '', 'left', 'Id intervention', 12, 0, '', 'Y', '', 'Y', 0);

--#######################################################
--### bannette "Gdd - Erreur de destination inter"
--#######################################################

INSERT INTO `gtb_tableau` (`gtb_id`, `gtb_fkid_basket`, `gtb_nom`, `gtb_description`, `gtb_css_table`, `gtb_css_entete`, `gtb_css_ligne1`, `gtb_css_ligne2`, `gtb_imprimer_liste`, `gtb_multi_action`, `gtb_url_global`, `gtb_liste_bouton`, `gtb_nbre_resultat_page`, `gtb_multi_action_champs`, `gtb_desc_asc`, `gtb_table_base`, `gtb_info_url_global`, `gtb_multi_action_option`) VALUES
(1009, 'BasketErrorDestinationInter', 'Gdd - Erreur de destination inter', 'Liste de toutes les demandes qui ont une erreur de destination', 'TABLE_CLASSIQUE', 'ENTETE_CLASSIQUE', 'IMPAIRE_CLASSIQUE', 'PAIRE_CLASSIQUE', 'N', 'N', 'open|gdd.php|id_demande=2|op=modifier_demande|onglet=intervention|carrousel_current=resultat(2)', '', 10, 1, 'Y', 'N', '', '');

INSERT INTO `gtb_tableau_champs` (`gtc_fkid_gtb_tableau`, `gtc_nom_champs_requete`, `gtc_format`, `gtc_alignement`, `gtc_nom_entete`, `gtc_position`, `gtc_taille_px`, `gtc_tri_dessus`, `gtc_hidden`, `gtc_limit_impression`, `gtc_hidden_print`, `gtc_taille_mm`) VALUES
(1009, 'numero_demande', 'format_num_dossier_demande|8|9', 'center', 'N&deg; Dossier', 1, 80, '', 'N', '', 'Y', 0),
(1009, 'id_demande', 'format_recherche_num_inter|12', 'center', 'N&deg; Inter', 2, 50, '', 'N', '', 'Y', 0),
(1009, 'date_creation_inter', 'format_date_sans_heure', 'center', 'Cr&eacute;&eacute; le', 3, 80, '', 'N', '', 'Y', 0),
(1009, 'groupe_destinataire', 'format_destination_intervention|10|11', 'left', 'Destinataire', 4, 170, '', 'N', '', 'Y', 0),
(1009, 'description', 'format_textarea', 'left', 'Description', 5, 332, '', 'N', '', 'Y', 0),
(1009, 'realisation', 'format_champs_non_vide', 'left', 'R&eacute;al.', 6, 40, '', 'N', '', 'Y', 0),
(1009, 'reponse', 'format_champs_non_vide', 'left', 'R&eacute;p.', 7, 40, '', 'N', '', 'Y', 0),
(1009, 'type_demande', '', 'left', 'Type de demande', 8, 0, '', 'Y', '', 'Y', 0),
(1009, 'annee_demande', '', 'left', 'Ann&eacute;e demande', 9, 0, '', 'Y', '', 'Y', 0),
(1009, 'prenom_user_destinataire', '', 'left', 'Pr&eacute;nom destinataire', 10, 0, '', 'Y', '', 'Y', 0),
(1009, 'nom_user_destinataire', '', 'left', 'Nom destinataire', 11, 0, '', 'Y', '', 'Y', 0),
(1009, 'id_intervention', '', 'left', 'Id intervention', 12, 0, '', 'Y', '', 'Y', 0);

--#######################################################
--### bannette "Gdd - Demandes autorises"
--#######################################################

INSERT INTO `gtb_tableau` (`gtb_id`, `gtb_fkid_basket`, `gtb_nom`, `gtb_description`, `gtb_css_table`, `gtb_css_entete`, `gtb_css_ligne1`, `gtb_css_ligne2`, `gtb_imprimer_liste`, `gtb_multi_action`, `gtb_url_global`, `gtb_liste_bouton`, `gtb_nbre_resultat_page`, `gtb_multi_action_champs`, `gtb_desc_asc`, `gtb_table_base`, `gtb_info_url_global`, `gtb_multi_action_option`) VALUES
(1010, 'BasketGDDAutorisees', 'Gdd - Demandes autorises', 'Liste des demandes que d''autres utilisateurs ont gnrs mais qui vous ont donne les droits de gestions', 'TABLE_CLASSIQUE', 'ENTETE_CLASSIQUE', 'IMPAIRE_CLASSIQUE', 'PAIRE_CLASSIQUE', 'N', 'N', 'open|gdd.php|id_demande=9|op=modifier_demande', '', 10, 1, 'Y', 'N', '', '');

INSERT INTO `gtb_tableau_champs` (`gtc_fkid_gtb_tableau`, `gtc_nom_champs_requete`, `gtc_format`, `gtc_alignement`, `gtc_nom_entete`, `gtc_position`, `gtc_taille_px`, `gtc_tri_dessus`, `gtc_hidden`, `gtc_limit_impression`, `gtc_hidden_print`, `gtc_taille_mm`) VALUES
(1010, 'id_courrier', '', 'center', 'N&deg; GED', 1, 50, '', 'N', '', 'Y', 0),
(1010, 'numero_demande', 'format_num_dossier_demande|7|8', 'center', 'N&deg; Dossier', 2, 80, '', 'N', '', 'Y', 0),
(1010, 'annee_demande', '', 'left', 'Ann&eacute;e demande', 8, 0, '', 'Y', '', 'Y', 0),
(1010, 'type_demande', '', 'left', 'Type demande', 7, 0, '', 'Y', '', 'Y', 0),
(1010, 'id_demande', '', 'left', 'Id demande', 9, 0, '', 'Y', '', 'Y', 0),
(1010, 'titre_demande', '', 'left', 'Titre', 3, 212, '', 'N', '', 'Y', 0),
(1010, 'date_creation', 'format_creer_par_le|10|11', 'left', 'Cr&eacute;ation', 4, 150, '', 'N', '', 'Y', 0),
(1010, 'prenom_createur', '', 'left', 'Cr&eacute;&eacute; par (pr&eacute;nom)', 10, 0, '', 'Y', '', 'Y', 0),
(1010, 'nom_createur', '', 'left', 'Cr&eacute;&eacute; par (nom)', 11, 0, '', 'Y', '', 'Y', 0),
(1010, 'nom_quartier', '', 'left', 'Quartier', 5, 150, '', 'N', '', 'Y', 0),
(1010, 'nom_domaine', '', 'left', 'Domaine', 6, 150, '', 'N', '', 'Y', 0);

--#######################################################
--### bannette "Gdd - Interventions Autorises"
--#######################################################

INSERT INTO `gtb_tableau` (`gtb_id`, `gtb_fkid_basket`, `gtb_nom`, `gtb_description`, `gtb_css_table`, `gtb_css_entete`, `gtb_css_ligne1`, `gtb_css_ligne2`, `gtb_imprimer_liste`, `gtb_multi_action`, `gtb_url_global`, `gtb_liste_bouton`, `gtb_nbre_resultat_page`, `gtb_multi_action_champs`, `gtb_desc_asc`, `gtb_table_base`, `gtb_info_url_global`, `gtb_multi_action_option`) VALUES
(1011, 'BasketInterAutorise', 'Gdd - Interventions Autorises', 'Liste de toutes les interventions autorises ', 'TABLE_CLASSIQUE', 'ENTETE_CLASSIQUE', 'IMPAIRE_CLASSIQUE', 'PAIRE_CLASSIQUE', 'N', 'N', 'open|gdd.php|id_demande=2|op=modifier_demande|onglet=intervention|carrousel_current=resultat(2)', '', 10, 1, 'Y', 'N', '', '');

INSERT INTO `gtb_tableau_champs` (`gtc_fkid_gtb_tableau`, `gtc_nom_champs_requete`, `gtc_format`, `gtc_alignement`, `gtc_nom_entete`, `gtc_position`, `gtc_taille_px`, `gtc_tri_dessus`, `gtc_hidden`, `gtc_limit_impression`, `gtc_hidden_print`, `gtc_taille_mm`) VALUES
(1011, 'numero_demande', 'format_num_dossier_demande|8|9', 'center', 'N&deg; Dossier', 1, 80, '', 'N', '', 'Y', 0),
(1011, 'id_demande', 'format_recherche_num_inter|12', 'center', 'N&deg; Inter', 2, 50, '', 'N', '', 'Y', 0),
(1011, 'date_creation_inter', 'format_date_sans_heure', 'center', 'Cr&eacute;&eacute; le', 3, 80, '', 'N', '', 'Y', 0),
(1011, 'groupe_destinataire', 'format_destination_intervention|10|11', 'left', 'Destinataire', 4, 170, '', 'N', '', 'Y', 0),
(1011, 'description', 'format_textarea', 'left', 'Description', 5, 332, '', 'N', '', 'Y', 0),
(1011, 'realisation', 'format_champs_non_vide', 'left', 'R&eacute;al.', 6, 40, '', 'N', '', 'Y', 0),
(1011, 'reponse', 'format_champs_non_vide', 'left', 'R&eacute;p.', 7, 40, '', 'N', '', 'Y', 0),
(1011, 'type_demande', '', 'left', 'Type de demande', 8, 0, '', 'Y', '', 'Y', 0),
(1011, 'annee_demande', '', 'left', 'Ann&eacute;e demande', 9, 0, '', 'Y', '', 'Y', 0),
(1011, 'prenom_user_destinataire', '', 'left', 'Pr&eacute;nom destinataire', 10, 0, '', 'Y', '', 'Y', 0),
(1011, 'nom_user_destinataire', '', 'left', 'Nom destinataire', 11, 0, '', 'Y', '', 'Y', 0),
(1011, 'id_intervention', '', 'left', 'Id intervention', 12, 0, '', 'Y', '', 'Y', 0);

--#######################################################
--### bannette "Demandes autorises clos"
--#######################################################

INSERT INTO `gtb_tableau` (`gtb_id`, `gtb_fkid_basket`, `gtb_nom`, `gtb_description`, `gtb_css_table`, `gtb_css_entete`, `gtb_css_ligne1`, `gtb_css_ligne2`, `gtb_imprimer_liste`, `gtb_multi_action`, `gtb_url_global`, `gtb_liste_bouton`, `gtb_nbre_resultat_page`, `gtb_multi_action_champs`, `gtb_desc_asc`, `gtb_table_base`, `gtb_info_url_global`, `gtb_multi_action_option`) VALUES
(1012, 'BasketGDDAutoriseesClos', 'Gdd - Demandes autorises clos', 'Liste des demandes closes que d''autres utilisateurs ont gnrs mais qui vous ont donne les droits de gestions', 'TABLE_CLASSIQUE', 'ENTETE_CLASSIQUE', 'IMPAIRE_CLASSIQUE', 'PAIRE_CLASSIQUE', 'N', 'N', 'open|gdd.php|id_demande=9|op=modifier_demande', '', 10, 1, 'Y', 'N', '', '');

INSERT INTO `gtb_tableau_champs` (`gtc_fkid_gtb_tableau`, `gtc_nom_champs_requete`, `gtc_format`, `gtc_alignement`, `gtc_nom_entete`, `gtc_position`, `gtc_taille_px`, `gtc_tri_dessus`, `gtc_hidden`, `gtc_limit_impression`, `gtc_hidden_print`, `gtc_taille_mm`) VALUES
(1012, 'id_courrier', '', 'center', 'N&deg; GED', 1, 50, '', 'N', '', 'Y', 0),
(1012, 'numero_demande', 'format_num_dossier_demande|7|8', 'center', 'N&deg; Dossier', 2, 80, '', 'N', '', 'Y', 0),
(1012, 'annee_demande', '', 'left', 'Ann&eacute;e demande', 8, 0, '', 'Y', '', 'Y', 0),
(1012, 'type_demande', '', 'left', 'Type demande', 7, 0, '', 'Y', '', 'Y', 0),
(1012, 'id_demande', '', 'left', 'Id demande', 9, 0, '', 'Y', '', 'Y', 0),
(1012, 'titre_demande', '', 'left', 'Titre', 3, 212, '', 'N', '', 'Y', 0),
(1012, 'date_creation', 'format_creer_par_le|10|11', 'left', 'Cr&eacute;ation', 4, 150, '', 'N', '', 'Y', 0),
(1012, 'prenom_createur', '', 'left', 'Cr&eacute;&eacute; par (pr&eacute;nom)', 10, 0, '', 'Y', '', 'Y', 0),
(1012, 'nom_createur', '', 'left', 'Cr&eacute;&eacute; par (nom)', 11, 0, '', 'Y', '', 'Y', 0),
(1012, 'nom_quartier', '', 'left', 'Quartier', 5, 150, '', 'N', '', 'Y', 0),
(1012, 'nom_domaine', '', 'left', 'Domaine', 6, 150, '', 'N', '', 'Y', 0);

--#######################################################
--### bannette "Interventions Autorises clos"
--#######################################################

INSERT INTO `gtb_tableau` (`gtb_id`, `gtb_fkid_basket`, `gtb_nom`, `gtb_description`, `gtb_css_table`, `gtb_css_entete`, `gtb_css_ligne1`, `gtb_css_ligne2`, `gtb_imprimer_liste`, `gtb_multi_action`, `gtb_url_global`, `gtb_liste_bouton`, `gtb_nbre_resultat_page`, `gtb_multi_action_champs`, `gtb_desc_asc`, `gtb_table_base`, `gtb_info_url_global`, `gtb_multi_action_option`) VALUES
(1013, 'BasketInterAutoriseClos', 'Gdd - Interventions Autorises clos', 'Liste de toutes les interventions autorises closes', 'TABLE_CLASSIQUE', 'ENTETE_CLASSIQUE', 'IMPAIRE_CLASSIQUE', 'PAIRE_CLASSIQUE', 'N', 'N', 'open|gdd.php|id_demande=2|op=modifier_demande|onglet=intervention|carrousel_current=resultat(2)', '', 10, 1, 'Y', 'N', '', '');

INSERT INTO `gtb_tableau_champs` (`gtc_fkid_gtb_tableau`, `gtc_nom_champs_requete`, `gtc_format`, `gtc_alignement`, `gtc_nom_entete`, `gtc_position`, `gtc_taille_px`, `gtc_tri_dessus`, `gtc_hidden`, `gtc_limit_impression`, `gtc_hidden_print`, `gtc_taille_mm`) VALUES
(1013, 'numero_demande', 'format_num_dossier_demande|8|9', 'center', 'N&deg; Dossier', 1, 80, '', 'N', '', 'Y', 0),
(1013, 'id_demande', 'format_recherche_num_inter|12', 'center', 'N&deg; Inter', 2, 50, '', 'N', '', 'Y', 0),
(1013, 'date_creation_inter', 'format_date_sans_heure', 'center', 'Cr&eacute;&eacute; le', 3, 80, '', 'N', '', 'Y', 0),
(1013, 'groupe_destinataire', 'format_destination_intervention|10|11', 'left', 'Destinataire', 4, 170, '', 'N', '', 'Y', 0),
(1013, 'description', 'format_textarea', 'left', 'Description', 5, 332, '', 'N', '', 'Y', 0),
(1013, 'realisation', 'format_champs_non_vide', 'left', 'R&eacute;al.', 6, 40, '', 'N', '', 'Y', 0),
(1013, 'reponse', 'format_champs_non_vide', 'left', 'R&eacute;p.', 7, 40, '', 'N', '', 'Y', 0),
(1013, 'type_demande', '', 'left', 'Type de demande', 8, 0, '', 'Y', '', 'Y', 0),
(1013, 'annee_demande', '', 'left', 'Ann&eacute;e demande', 9, 0, '', 'Y', '', 'Y', 0),
(1013, 'prenom_user_destinataire', '', 'left', 'Pr&eacute;nom destinataire', 10, 0, '', 'Y', '', 'Y', 0),
(1013, 'nom_user_destinataire', '', 'left', 'Nom destinataire', 11, 0, '', 'Y', '', 'Y', 0),
(1013, 'id_intervention', '', 'left', 'Id intervention', 12, 0, '', 'Y', '', 'Y', 0);
