<?php

require_once("class_db.php");
require_once("class_functions.php");
require_once("include/fonction.php");
require_once("modules/gdd/class/class_gdd.php");
include("session.php");

GLOBAL $_SESSION;

##########################################
### Recherche la fonction sur le format
##########################################

function recherche_fonction_format($Vls_nom_fonction, $Vlt_liste_valeur)
{
	switch($Vls_nom_fonction)
	{
		case "format_date_sans_heure":
			$Vls_date = $Vlt_liste_valeur[0];
			$Vls_format = format_date_sans_heure($Vls_date);
			break;
			
		case "format_date_arriver_courrier":
			$Vls_format = format_date_arriver_courrier($Vlt_liste_valeur);
			break;
			
		case "format_statut":
			$Vls_statut = $Vlt_liste_valeur[0];
			$Vls_format = format_statut($Vls_statut);
			break;
			
		case "format_service":
			$Vli_id_service = $Vlt_liste_valeur[0];
			$Vls_format = format_service($Vli_id_service);
			break;
			
		case "format_objet_societe":
			$Vls_format = format_objet_societe($Vlt_liste_valeur);
			break;	
			
		case "format_ucfirst_strtolower":
			$Vls_format = format_ucfirst_strtolower($Vlt_liste_valeur);
			break;	
			
		case "format_non_lus":
			$Vls_format = format_non_lus($Vlt_liste_valeur);
			break;
			
		case "format_priorite":
			$Vls_format = format_priorite($Vlt_liste_valeur);
			break;		
			
		case "format_trouver_destinataire":
			$Vls_format = format_trouver_destinataire($Vlt_liste_valeur);
			break;	
			
		case "format_type_courrier":
			$Vls_format = format_type_courrier($Vlt_liste_valeur);
			break;	
			
		case "format_date_limite":
			$Vls_format = format_date_limite($Vlt_liste_valeur);
			break;	
			
		case "format_theme":
			$Vls_format = format_theme($Vlt_liste_valeur);
			break;	
		
		case "format_info_bannette_groupe_redirction":
			$Vls_format = format_info_bannette_groupe_redirction($Vlt_liste_valeur);
			break;	

		case "format_info_groupe_service_autorise":
			$Vls_format = format_info_groupe_service_autorise($Vlt_liste_valeur);
			break;	
			
		case "format_info_groupe_utilisateur":
			$Vls_format = format_info_groupe_utilisateur($Vlt_liste_valeur);
			break;	
			
		case "format_liste_service_copie":
			$Vli_id_courrier = $Vlt_liste_valeur[0];
			$Vls_format = format_liste_service_copie($Vli_id_courrier);
			break;	
			
		case "format_statut_depart":
			$Vls_format = format_statut_depart($Vlt_liste_valeur);
			break;	

		case "format_num_dossier_demande":
			$Vls_format = format_num_dossier_demande($Vlt_liste_valeur);
			break;

		case "format_creer_par_le":
			$Vls_format = format_creer_par_le($Vlt_liste_valeur);
			break;
		
		case "format_destination_intervention":
			$Vls_format = format_destination_intervention($Vlt_liste_valeur);
			break;		
			
		case "format_champs_non_vide":
			$Vls_format = format_champs_non_vide($Vlt_liste_valeur);
			break;		
		
		case "format_recherche_num_inter":
			$Vls_format = format_recherche_num_inter($Vlt_liste_valeur);
			break;
		case "format_textarea":
			$Vls_format = format_textarea($Vlt_liste_valeur);
			break;	

		case "format_creer_par_annotation":
			$Vls_format = format_creer_par_annotation($Vlt_liste_valeur);
			break;	
		
		case "format_fait_le_annotation":
			$Vls_format = format_fait_le_annotation($Vlt_liste_valeur);
			break;	
		
		case "format_couper_textarea_200":
			$Vls_format = format_couper_textarea_200($Vlt_liste_valeur);
			break;		
		
		case "format_annotation_echelle":
			$Vls_format = format_annotation_echelle($Vlt_liste_valeur);
			break;

		case "format_dernier_historique":
			$Vls_format = format_dernier_historique($Vlt_liste_valeur);
			break;

		case "format_annotation_effacer":
			$Vls_format = format_annotation_effacer($Vlt_liste_valeur);
			break;
			
	}

	return $Vls_format;
}

#########################################
### Recherche la fonction sur le format
##########################################

function recherche_fonction_format_print($Vls_nom_fonction, $Vlt_liste_valeur)
{
	switch($Vls_nom_fonction)
	{
		case "format_theme_print":
			$Vls_format = format_theme_print($Vlt_liste_valeur);
			break;	
	}

	return $Vls_format;
}

#########################################
### Recherche la fonction sur le format
##########################################

function existe_format_print($Vls_nom_fonction)
{
	$Vlt_liste_format_print = array(
	"format_theme_print");
	
	return in_array($Vls_nom_fonction, $Vlt_liste_format_print);
}



##########################################
##########################################
##########################################
##########################################
###
### Les différentes fonctions formats
###
##########################################
##########################################
##########################################
##########################################


	##########################################
	###	format_date_sans_heure
	###
	### Transformer une date-heure en date
	### Format entrée : AAAA-MM-JJ HH:MM:SS
	###	Format sortie : JJ/MM/AAAA
	###
	##########################################

	function format_date_sans_heure($Vls_date)
	{	
		if($Vls_date=="")
		{
			return "-";
		}
		else
		{
			$Vlt_date = explode(" ", $Vls_date);
			$Vlt_date = explode("-", $Vlt_date[0]);
			
			return $Vlt_date[2]."/".$Vlt_date[1]."/".$Vlt_date[0];
		}	
	}

	##########################################
	###	format_date_arriver_courrier
	###
	### Transformer et trouver la bonne date à afficher
	### Champs entrées :
	###		1) date arrivée
	###		2) date creation
	###		3) statut du courrier
	###
	### Format date entrée : AAAA-MM-JJ HH:MM:SS
	###	Format date sortie : JJ/MM/AAAA
	###
	##########################################

	function format_date_arriver_courrier($Vlt_liste_valeur)
	{	
		$Vls_date_arrivee = $Vlt_liste_valeur[0];
		$Vls_date_creation = $Vlt_liste_valeur[1];
		$Vls_statut = $Vlt_liste_valeur[2];

		if($Vls_statut	== "OUT")
		{
			return format_date_sans_heure($Vls_date_creation);
		}
		else
		{
			if($Vls_date_arrivee=="")
			{
				return format_date_sans_heure($Vls_date_creation);
			}
			else
			{
				return format_date_sans_heure($Vls_date_arrivee);
			}
		}
	}

	##########################################
	###	format_statut
	###
	### Affiche la bonne image qui correspond au statut
	###
	##########################################

	function format_statut($Vls_statut)
	{
		GLOBAL $_SESSION;
	
		if($Vls_statut == "NEW")
		{
			$Vls_image = "<img src=\"".$_SESSION['config']['img']."/mail_new.gif\" alt=\""._TO_PROCESS."\" title=\""._TO_PROCESS."\" />";
		}
		elseif($Vls_statut == "COU")
		{
			$Vls_image = "<img src=\"".$_SESSION['config']['img']."/mail.gif\" alt=\""._IN_PROGRESS."\" title=\""._IN_PROGRESS."\" />";
		}
		elseif($Vls_statut == "END")
		{
			$Vls_image = "<img src=\"".$_SESSION['config']['img']."/mail_end.gif\" alt=\""._CLOSED."\" title=\""._CLOSED."\" />";
		}
		elseif($Vls_statut == "OUT")
		{
			$Vls_image = "<img src=\"".$_SESSION['config']['img']."/status_out.gif\" alt=\""._ONGOING."\" title=\""._ONGOING."\" />";
		}
		elseif($Vls_statut == "WAI")
		{
			$Vls_image = "<img src=\"".$_SESSION['config']['img']."/waiting_mail.gif\" alt=\""._WAITINGDOC_PROCESS_IN_PROGRESS."\" title=\""._WAITINGDOC_PROCESS_IN_PROGRESS."\" />";
		}
		else
		{
			$Vls_image = "$Vls_statut";
		}
		
		return $Vls_image;
	}

	###################################################################
	###	format_service
	###
	### Affiche le nom du service selon id du service
	###	recherche dans la base, table : services
	###
	### Format id service : integer
	###	Format nom service : varchar
	###
	###################################################################

	function format_service($Vli_id_service)
	{
		
		$db = new dbquery();
		$db->connect();
	
		$Vls_query = "
		SELECT
			s.service
		FROM
			services s
		WHERE
			s.id = \"$Vli_id_service\"
		";
	
		$db->query($Vls_query);
		$var_nom_service = $db->fetch_array();
		
		$Vls_nom_service = $var_nom_service[0];
		
		if($Vls_nom_service=="")
		{
			$Vls_nom_service = "-";
		}
		
		return stripslashes($Vls_nom_service);
	}
	

	###################################################################
	###	format_objet_societe
	###
	### Affiche l'objet ou la societe...
	### le premier caractère en majuscule et le reste en miniscule
	### Champs entrées :
	###		1) Objet
	###		2) Société
	###
	### Format objet : varchar
	###	Format objet : varchar
	###
	###################################################################

	function format_objet_societe($Vlt_liste_valeur)
	{
		GLOBAL $_SESSION;
		
		$func = new functions();
	
		$Vls_objet = stripslashes($Vlt_liste_valeur[0]);
		$Vls_societe = stripslashes($Vlt_liste_valeur[1]);
		
		if($_SESSION['config']['corporate'] == "true" && $_SESSION['config']['replace_subject_by_society'] == "true")
		{
			return utf8_ucfirst_strtolower($func->show($Vls_societe));
		}
		else
		{
			return utf8_ucfirst_strtolower($func->show($Vls_objet));
		}
	}
	
	###################################################################
	###	format_ucfirst_strtolower
	###
	###	Transforme la chaine pour l'avoir au format première lettre de
	### la chaine en majuscule et le reste en minuscule
	###
	### Format chaine entrée : varchar    ex : TOTO 
	###	Format chaine sortie : varchar    ex : Toto
	###
	###################################################################

	
	function format_ucfirst_strtolower($Vlt_liste_valeur)
	{
		$Vls_chaine = stripslashes($Vlt_liste_valeur[0]);
	
		return utf8_ucfirst_strtolower($Vls_chaine);	
	}
	
	
	###################################################################
	###	format_non_lus
	###
	###	Affiche une icone si le courrier est non lus
	###
	###################################################################

	
	function format_non_lus($Vlt_liste_valeur)
	{
		GLOBAL $_SESSION;
			
		$Vls_lu = $Vlt_liste_valeur[0];

		if ($Vls_lu < 1)
		{
			return "<img src=\"".$_SESSION['config']['img']."/new_copy_mail.gif\" alt=\""._NEW."\" title=\""._NEW."\" />";
		}
		else
		{
			return "";
		}	
	}
	
	###################################################################
	### format_priorite
	###
	###	Affiche la priorite du courrier
	###
	###################################################################
	
	function format_priorite($Vlt_liste_valeur)
	{
		GLOBAL $_SESSION;
			
		$Vls_priorite = $Vlt_liste_valeur[0];

		return stripslashes($_SESSION['priority'][$Vls_priorite]['label']);
	}
	
	
	###################################################################
	### format_trouver_destinataire
	###
	###	Affiche la priorite du courrier
	###
	###################################################################
	
	function format_trouver_destinataire($Vlt_liste_valeur)
	{
		GLOBAL $_SESSION;
			
		$Vls_destinataire = $Vlt_liste_valeur[0];

		$db = new dbquery();
		$db->connect();
		
		$Vls_query = "select LASTNAME, FIRSTNAME from ".$_SESSION['tablename']['users']." where USER_ID = '".$Vls_destinataire."'";
		
		$db->query($Vls_query);
		$res = $db->fetch_object();
		$dest = stripslashes($res->FIRSTNAME.' '.$res->LASTNAME);
		
		return $dest;
	}
	
	###################################################################
	### format_type_courrier
	###
	###	Affiche le type du courrier stock en base dans la table doctypes
	###
	###################################################################
	
	function format_type_courrier($Vlt_liste_valeur)
	{
		GLOBAL $_SESSION;
			
		$Vls_type = $Vlt_liste_valeur[0];

		$db = new dbquery();
		$db->connect();
		
		$Vls_query = "select DESCRIPTION from ".$_SESSION['tablename']['doctypes']." where TYPE_ID = '".$Vls_type."'";
		
		$db->query($Vls_query);
		$res = $db->fetch_object();

		return stripslashes($res->DESCRIPTION);
	}
	
	
	
	###################################################################
	### format_date_limite
	###
	###	Affiche la date au bon format et en plus met l'indication
	### "En Attente" qi le courrier à ce statut.
	###
	###################################################################
	
	function format_date_limite($Vlt_liste_valeur)
	{
		GLOBAL $_SESSION;
			
		$Vld_date_limite = $Vlt_liste_valeur[0];
		$Vls_statut = $Vlt_liste_valeur[1];
		
		$Vls_return = format_date_sans_heure($Vld_date_limite);
		
		if($Vls_statut=="WAI")
		{
			$Vls_return .= "<br />"._WAITINGDOC; 
		}
		
		return $Vls_return;
	}
	
	###################################################################
	### format_theme
	###
	###	Affiche le thème qui correspond à l'id de thème 
	### table de la base : domains
	###
	###################################################################
	
	
	function format_theme($Vlt_liste_valeur)
	{
		GLOBAL $_SESSION;
		
		
		########################################################
		### id du user
		########################################################
		
		$Vli_id_service_user = $_SESSION['user']['department'];
		
		########################################################
		
		$Vli_id_theme_actuelle = $Vlt_liste_valeur[0];
		$Vli_id_courrier = $Vlt_liste_valeur[1];
		
		########################################################
		
		$db = new dbquery();
		$db->connect();
				
		##################################################################################
		### on regarde si le courrier est locker !
		##################################################################################
		
		$courr = new LetterBox();
		$table = $_SESSION['current_basket']['table'];
		
		$isreserved = $courr->test_reserved_time($Vli_id_courrier, $table);
	
		if($isreserved == null)
		{
			$user = '';
			$reserved = 'N';
		}
		else
		{
			$user = $isreserved;
			$reserved = 'Y';
			
			$db = new dbquery();
			$db->connect();
			
			$db->query("select FIRSTNAME, LASTNAME from ".$_SESSION['tablename']['users']." where user_id = '".$isreserved."'");
			if( $db->nb_result() > 0 )
			{
				$res2 = $db->fetch_object();
				$Vls_courrier_reserver_par = $res2->FIRSTNAME." ".$res2->LASTNAME;
			}
			
		}
				
		$bool_click = true;
			
		if(($reserved == 'Y' && $user <> $_SESSION['user']['UserId']) && $_SESSION['current_basket']['is_global'] == "Y")
		{
			$bool_click = false;
		}
		
		######################################################
		### Recherche de la liste de tous les thème 
		### que le user a le droit
		######################################################
		
		$query_liste_theme = "
		SELECT
			d.id,
			d.label
		FROM
			domains d,
			domain_service ds
		WHERE			
			ds.id_service = \"$Vli_id_service_user\"
			AND ds.id_domain = d.id
		";
	
		$db->query($query_liste_theme);
		
		######################################################
		### Création du menu déroulant
		######################################################
	
		if(!$bool_click)
		{
			$Vls_disabled = "disabled";		
		}
		else
		{
			$Vls_disabled = "";	
		}
	
		$Vls_affichage_tri = "
		<select size=\"1\" name=\"Vfs_liste_theme_".$Vli_id_courrier."\" onchange=\"javascript:jquery_modifier_theme(".$Vli_id_courrier.")\" $Vls_disabled>
			<option value=\"-1\">"._GTB_ANY."</option>
		";
		
		while($var_liste_theme = $db->fetch_array())
		{
			$Vli_id_theme = $var_liste_theme[0];
			$Vls_nom_theme = $var_liste_theme[1];
		
			#########################################################
		
			if($Vli_id_theme==$Vli_id_theme_actuelle) 
			{ 
				$Vls_selected = "selected";
			}
			else
			{
				$Vls_selected = "";
			}
			
			$Vls_affichage_tri .= "
			<option value=\"".$Vli_id_theme."\" $Vls_selected>".str_replace('\\', '', $Vls_nom_theme)."</option>
			";
		}
		$Vls_affichage_tri .= "
		</select>
		";
			
		##############################################
		
		return $Vls_affichage_tri;	
	}	
	
	#############################################################################################################
	### format_stats_bannette_groupe_redirction
	###
	###	Affiche les informations id_group, le nom du groupe et la redirection 
	### selon l'id de la bannette donnée 
	###
	#############################################################################################################
	
	
	function format_info_bannette_groupe_redirction($Vlt_liste_valeur)
	{
		GLOBAL $_SESSION;
		
		########################################################
		
		$Vli_id_banette = $Vlt_liste_valeur[0];
		
		########################################################
		
		$db = new dbquery();
		$db->connect();
		
		$db2 = new dbquery();
		$db2->connect();
						
		##########################################################################
		### Recherche de la liste des groupes et leur redirections 
		### associé à cette bannette
		##########################################################################
		
		$query_liste_groupe = "
		SELECT
			u.group_id,
			u.group_desc,
			gb.redirect_basketlist
		FROM
			letterbox.groupbasket gb,
			letterbox.usergroups u
		WHERE
			gb.basket_id = \"$Vli_id_banette\"
			AND gb.group_id = u.group_id
		ORDER BY
			u.group_desc
		";
	
		$db->query($query_liste_groupe);
		
		######################################################
		### Création du tableau avec toutes les listes
		######################################################
	
		$Vls_affichage ="
		<table border=1 width=\"100%\" style=\"border-collapse: collapse;\">
			<tr align=\"center\" style=\"font-weight: bold;\">
				<td style=\"padding: 5px;\" width=\"100\">Id groupe</td>
				<td style=\"padding: 5px;\">Nom du groupe</td>
				<td style=\"padding: 5px;\">Redirection</td>
			</tr>
		";		

		while($var_liste_groupe = $db->fetch_array())
		{
			$Vli_id_groupe = $var_liste_groupe[0];
			$Vls_nom_groupe = $var_liste_groupe[1];
			$Vls_redirection = str_replace("'","",$var_liste_groupe[2]);

			
			$Vls_affichage .="
			<tr>
				<td>$Vli_id_groupe</td>
				<td>$Vls_nom_groupe</td>
				<td>
			";

			#######################################################
			### Mise en forme et affichage du groupe redirigé
			#######################################################
			
			$Vlt_redirection = explode(",", $Vls_redirection);
			
			foreach($Vlt_redirection AS $Vli_id_groupe_redirection)
			{
				
				$query_groupe_redirection = "
				SELECT
					s.service
				FROM
					letterbox.services s
				WHERE
					s.id = \"$Vli_id_groupe_redirection\"
				";
			
			
				$db2->query($query_groupe_redirection);
				$var_groupe_redirection = $db2->fetch_array();
				
				$Vls_nom_groupe_redirection = $var_groupe_redirection[0];
				
				$Vls_affichage .="
				$Vls_nom_groupe_redirection<br />
				";
			
			}
			
			#####################################################################
			
			$Vls_affichage .="
				</td>
			</tr>
			";	
		}
		
		$Vls_affichage .="
		</table>
		";	
			
		##############################################
		
		return $Vls_affichage;	
	}	
	
	#############################################################################################################
	### format_info_groupe_service_autorise
	###
	###	Affiche les informations le nom du groupe et ses services autorisés
	###
	#############################################################################################################
	
	
	function format_info_groupe_service_autorise($Vlt_liste_valeur)
	{
		GLOBAL $_SESSION;
		
		########################################################
		
		$Vli_id_groupe = $Vlt_liste_valeur[0];
		
		########################################################
		
		$db = new dbquery();
		$db->connect();
		
		$db2 = new dbquery();
		$db2->connect();
		
		##########################################################################
		### Recherche de la liste des groupes et leur redirections 
		### associé à cette bannette
		##########################################################################
		
		$query_liste_groupe = "
		SELECT
			s.where_clause
		FROM
			letterbox.security s
		WHERE
			s.group_id = \"$Vli_id_groupe\"
		";
	
		$db->query($query_liste_groupe);
		$var_liste_groupe = $db->fetch_array();
		

			$Vls_service_autorise = str_replace("'","",$var_liste_groupe[0]);
			
			$Vls_service_autorise = trim($Vls_service_autorise);
			$Vls_service_autorise = str_replace("DESTINATION IN (", "", $Vls_service_autorise);
			$Vls_service_autorise = str_replace(")", "", $Vls_service_autorise);  
			$Vls_service_autorise = str_replace("'", "", $Vls_service_autorise);
			$Vls_service_autorise = str_replace("(1=-1", "", $Vls_service_autorise);

			
			#######################################################
			### Mise en forme et affichage des services autorisé
			#######################################################
			
			$Vlt_service_autorise = explode(",", $Vls_service_autorise);
			
			foreach($Vlt_service_autorise AS $Vli_id_groupe_service_autorise)
			{
				
				$query_groupe_service_autorise = "
				SELECT
					s.service
				FROM
					letterbox.services s
				WHERE
					s.id = \"".trim($Vli_id_groupe_service_autorise)."\"
				";
			
			
				$db2->query($query_groupe_service_autorise);
				$var_groupe_service_autorise = $db2->fetch_array();
				
				$Vls_nom_groupe_service_autorise = $var_groupe_service_autorise[0];
				
				$Vls_affichage .="
				$Vls_nom_groupe_service_autorise<br />
				";
			
			}
			
		##############################################
		
		return $Vls_affichage;	
	}	
	
	#############################################################################################################
	### format_info_groupe_utilisateur
	###
	###	Affiche la liste des utilisateurs qui sont associés au groupe donnée
	###
	#############################################################################################################
	
	
	function format_info_groupe_utilisateur($Vlt_liste_valeur)
	{
		GLOBAL $_SESSION;
		
		########################################################
		
		$Vli_id_groupe = $Vlt_liste_valeur[0];
		
		########################################################
		
		$db = new dbquery();
		$db->connect();
		
		##########################################################################
		### Recherche de la liste des groupes et leur redirections 
		### associé à cette bannette
		##########################################################################
		
		$query_liste_user = "
		SELECT
			us.user_id,
			us.firstname,
			us.lastname,
			uc.primary_group
		FROM
			usergroup_content uc,
			users us
		WHERE
			uc.group_id = \"$Vli_id_groupe\"
			AND uc.user_id = us.user_id
		ORDER BY 
			us.lastname,
			us.firstname
		";
	
		$db->query($query_liste_user);
		
		#######################################################
		### Mise en forme et affichage des users
		#######################################################
		
		
		while($var_liste_user = $db->fetch_array())
		{
			$Vli_id_user = $var_liste_user[0];
			$Vls_prenom = $var_liste_user[1];
			$Vls_nom = $var_liste_user[2];
			$Vls_groupe_primaire = $var_liste_user[3];

			if($Vls_groupe_primaire=="Y")
			{
				$Vls_style_user = "color: red;";
			}
			else
			{
				$Vls_style_user = "";			
			}
			
			$Vls_affichage .="
			<a href=\"index.php?page=users_up&id=$Vli_id_user\" style=\"$Vls_style_user\">$Vls_nom $Vls_prenom</a><br />
			";
		
		}
			
		##############################################
		
		return $Vls_affichage;	
	}	
	
	
	#############################################################################################################
	### format_annotation
	###
	###	Affiche la liste des annoations selon le courrier
	### critére : sur le user connecter et les personnes du même service que lui
	###
	#############################################################################################################
	
	
	function format_annotation($Vlt_liste_valeur)
	{
		GLOBAL $_SESSION;
		
		########################################################
		
		$Vli_id_courrier = $Vlt_liste_valeur[1];
		$Vli_id_user = $_SESSION["user"]["UserId"];
		$Vls_service_user = $_SESSION["user"]["department"];
		
		########################################################
		
		$db = new dbquery();
		$db->connect();
		
		####################################################################################################
		### Recherche de la liste des annoations du users et des users du même groupe
		####################################################################################################
		
		$query_liste_annotation = "
		SELECT
			us.user_id,
			us.firstname,
			us.lastname,
			uc.primary_group
		FROM
			usergroup_content uc,
			users us
		WHERE
			uc.group_id = \"$Vli_id_groupe\"
			AND uc.user_id = us.user_id
		ORDER BY 
			us.lastname,
			us.firstname
		";
	
		$db->query($query_liste_user);
		
		#######################################################
		### Mise en forme et affichage des users
		#######################################################
		
		
		while($var_liste_user = $db->fetch_array())
		{
			$Vli_id_user = $var_liste_user[0];
			$Vls_prenom = $var_liste_user[1];
			$Vls_nom = $var_liste_user[2];
			$Vls_groupe_primaire = $var_liste_user[3];

			if($Vls_groupe_primaire=="Y")
			{
				$Vls_style_user = "color: red;";
			}
			else
			{
				$Vls_style_user = "";			
			}
			
			$Vls_affichage .="
			<a href=\"index.php?page=users_up&id=$Vli_id_user\" style=\"$Vls_style_user\">$Vls_nom $Vls_prenom</a><br />
			";
		
		}
			
		##############################################
		
		return $Vls_affichage;	
	}	
	
	###################################################################
	###	format_liste_service_copie
	###
	### Affiche la liste des services en copie selon id du courrier
	###	recherche dans la base, table : 
	###
	###################################################################

	function format_liste_service_copie($Vli_id_courrier)
	{
		GLOBAL $_SESSION;
		
		$db = new dbquery();
		$db->connect();
	
		######################################################
		### Récupération de la liste des services dont 
		### l'utilisateur à les droits
		######################################################
		
		if($_SESSION['current_basket']['abs_basket'] && !empty($_SESSION['current_basket']['basket_owner']))
		{
			require_once("class_basket.php");
			$bask = new basket();
			$services = $bask->load_services($_SESSION['current_basket']['basket_owner'] );
		}
		else
		{
			$services =	$_SESSION['user']['services'];
		}
		
			### Création d'un tableau avec la liste des différents services du périmetre documentaire
		
		$Vlt_liste_service_autorise = array();
		
		foreach($services as $value)
		{
			$Vlt_liste_service_autorise[] = $value['ID'];
		}
		
		###########################################################################
		### Recherche de toutes les copies par rapport au courrier donné
		###########################################################################
	
		$Vls_query = "
		SELECT
			DISTINCT s.service,
			s.id
		FROM
			listinstance l,
			services s
		WHERE
			l.res_id = \"$Vli_id_courrier\"
			AND l.service_id = s.id 
		";
	
		$db->query($Vls_query);
				
		$Vli_nbre_service = $db->nb_result();
		
		$Vls_liste_service = "";
		
		while($var_nom_service = $db->fetch_array())
		{
			$Vls_nom_service = $var_nom_service[0];
			$Vls_id_service = $var_nom_service[1];
			
			if(in_array($Vls_id_service, $Vlt_liste_service_autorise))
			{
				$Vls_nom_service = ereg_replace("\[[a-zA-Z]*\]", "", $Vls_nom_service);
				$Vls_liste_service .="$Vls_nom_service<br />";
			}		
		}
		
		return stripslashes($Vls_liste_service);
	}
	
	#############################################################################
	###	format_num_dossier_demande
	###
	### récupère le numero, l'année et le type de la demande
	### pour en faire un N° de dossier selon les paramêtres du fichier xml
	###
	#############################################################################

	function format_num_dossier_demande($Vlt_liste_valeur)
	{	
		$Vli_numero_demande = $Vlt_liste_valeur[0];
		$Vls_type_demande = $Vlt_liste_valeur[1];
		$Vli_annee_demande = $Vlt_liste_valeur[2];
		
		### initialisation de l'objet gdd
		
		$gdd = new gdd();
		
		### affectation des valeurs pour afficher le n° du dossier
		
		$gdd->set_chiffre($Vli_numero_demande);
		$gdd->set_annee($Vli_annee_demande);
		$gdd->set_type_label($Vls_type_demande);
		
		return $gdd->afficher_numero_gdd();		
	}
	
	#############################################################################
	###	format_creer_par_le
	###
	### Affiche la personne qui a créer la demande et quand
	###
	#############################################################################

	function format_creer_par_le($Vlt_liste_valeur)
	{	
		$Vld_date_creation = $Vlt_liste_valeur[0];
		$Vls_prenom_createur = $Vlt_liste_valeur[1];
		$Vls_nom_createur = $Vlt_liste_valeur[2];
		
		return "Le ".format_date_sans_heure($Vld_date_creation)."<br />par ".$Vls_prenom_createur." ".$Vls_nom_createur;
	}
	
	#############################################################################
	###	format_creer_par_annotation
	###
	### Affiche la personne qui a créer l'annotation
	###
	#############################################################################

	function format_creer_par_annotation($Vlt_liste_valeur)
	{	
		$Vls_prenom_createur = $Vlt_liste_valeur[0];
		$Vls_nom_createur = $Vlt_liste_valeur[1];
		$Vls_groupe_createur = $Vlt_liste_valeur[2];
		
		$Vls_groupe_createur = ereg_replace("\[[a-zA-Z]*\]", "", $Vls_groupe_createur);
		
		return "$Vls_prenom_createur $Vls_nom_createur<br />($Vls_groupe_createur)";
	}
	
	#############################################################################
	###	format_fait_le_annotation
	###
	### Affiche la personne qui a créer l'annotation
	###
	#############################################################################

	function format_fait_le_annotation($Vlt_liste_valeur)
	{	
		$Vld_date_creation = $Vlt_liste_valeur[0];
		
		$Vlt_date_creation = explode(" ", $Vld_date_creation);
		$Vld_date = $Vlt_date_creation[0];
		$Vlh_heure = $Vlt_date_creation[1];
		
		$Vlt_date = explode("-", $Vld_date);
		$Vlt_heure = explode(":", $Vlh_heure);
		
		$Vls_date = $Vlt_date[2]."/".$Vlt_date[1]."/".$Vlt_date[0];
		$Vls_heure = $Vlt_heure[0]."H".$Vlt_heure[1];
		
		
		
		return "$Vls_date<br />à $Vls_heure";
	}
	
	#############################################################################
	###	format_destination_intervention
	###
	### Affiche le groupe et le user propriétaire de l'intervention
	###
	#############################################################################

	function format_destination_intervention($Vlt_liste_valeur)
	{	
		$Vls_groupe_destinataire = $Vlt_liste_valeur[0];
		$Vls_prenom_destinataire = $Vlt_liste_valeur[1];
		$Vls_nom_destinataire = $Vlt_liste_valeur[2];
		
		$Vls_groupe_destinataire = ereg_replace("\[[a-zA-Z]*\]", "", $Vls_groupe_destinataire);
		
		$Vls_affichage ="
		$Vls_groupe_destinataire<br />
		";
		
		if($Vls_prenom_destinataire!="")
		{
			$Vls_affichage .="
			<br />
			<span style=\"border-bottom: 1px dotted #000000;\">Pris en charge par :</span><br />
			<div style=\"margin-top: 3px;\">$Vls_prenom_destinataire $Vls_nom_destinataire</div>
			";
		}
		
		return $Vls_affichage; 		
	}
	
	#############################################################################
	###	format_champs_non_vide
	###
	### Signale via une image si le champs est vide ou non !
	###
	#############################################################################

	function format_champs_non_vide($Vlt_liste_valeur)
	{	
		$Vls_champs = $Vlt_liste_valeur[0];
		
		if($Vls_champs=="")
		{
			$Vls_affichage = "<img src=\"modules/gtb/images/bouton/button_cancel.png\" />";
		}
		else
		{
			$Vls_affichage = "<img src=\"modules/gtb/images/bouton/button_ok.png\" />";
		}
	
		return $Vls_affichage; 		
	}
	
	####################################################################################################
	###	format_recherche_num_inter
	###
	### Recherche le numéro de la position dans la liste des interventions dans une demande donnée
	###
	####################################################################################################

	function format_recherche_num_inter($Vlt_liste_valeur)
	{	
		$Vli_id_demande = $Vlt_liste_valeur[0];
		$Vli_id_intervention = $Vlt_liste_valeur[1];
		
		#########################################################################
	
		$db = new dbquery();
		$db->connect();
	
		$Vls_query = "
		SELECT
			i.id
		FROM
			gdd_intervention i
		WHERE
			i.fkid_demande = \"$Vli_id_demande\"
		ORDER BY
			i.id
		";
	
		$db->query($Vls_query);
		
		$cpt = 1;
		
		while($var_nom_service = $db->fetch_array())
		{
			$Vli_id_intervention_temp = $var_nom_service[0];
		
			if($Vli_id_intervention_temp == $Vli_id_intervention)
			{
				$Vli_num_intervention = $cpt;
				break;
			}
			$cpt++;
		}
		
		return $Vli_num_intervention;		
	}
	
	#############################################################################
	###	format_textarea
	###
	### Affiche un texte en format html
	###
	#############################################################################

	function format_textarea($Vlt_liste_valeur)
	{	
		$Vls_texte = $Vlt_liste_valeur[0];
		
		$Vls_texte = str_replace("\n", "<br />", $Vls_texte);
		
		return $Vls_texte; 		
	}
	
	#############################################################################
	###	format_couper_textarea_200
	###
	### Affiche un texte en format html et couper à 200 caractère
	###
	#############################################################################

	function format_couper_textarea_200($Vlt_liste_valeur)
	{	
		$Vls_texte = $Vlt_liste_valeur[0];
		$max = 200;
		
		$Vls_texte = str_replace("\n", "<br />", $Vls_texte);
		
		
		if (strlen($Vls_texte) >= $max) 
		{
			$Vls_texte = substr($Vls_texte, 0, $max);  
			$espace = strrpos($Vls_texte, " ");  
			$Vls_texte = substr($Vls_texte, 0, $espace)."..."; 
			 
			return $Vls_texte;
		}
		else
		{
			return $Vls_texte;
		}
		
		return $Vls_texte; 		
	}
	
	#############################################################################
	###	format_annotation_echelle
	###
	### Affiche seulement le premier numéro de l'annotation
	###
	#############################################################################

	function format_annotation_echelle($Vlt_liste_valeur)
	{	
		$Vls_annotation = $Vlt_liste_valeur[0];
		
		$Vli_num_annotation = $Vls_annotation[0];
		
		if(!is_numeric($Vli_num_annotation))
		{
			$Vli_num_annotation = 0;
		}
		
		return $Vli_num_annotation; 		
	}
	
	#############################################################################
	###	format_dernier_historique
	###
	### Affiche la dernier historique sur le courrier
	###
	#############################################################################

	function format_dernier_historique($Vlt_liste_valeur)
	{	
		$Vli_id_courrier = $Vlt_liste_valeur[0];

		#########################################################################
	
		$db = new dbquery();
		$db->connect();
	
		$Vls_query = "
		SELECT
			h.event_date,
			h.info
		FROM
			history h
		WHERE
			h.record_id = \"$Vli_id_courrier\"
			AND ( h.info like \"R&eacute;ponse ajout&eacute;e%\"
				  OR h.info like \"Ajout d&rsquo;annotation%\"
				  OR h.info like \"Courriel envoy&eacute;%\"
				)
		ORDER BY
			h.event_date
		";
	
		$db->query($Vls_query);

		$var_liste_history = $db->fetch_array();
		
		$Vld_date_history = $var_liste_history[0];
		$Vls_info_history = $var_liste_history[1];
		
		$Vlt_date_history = explode(" ", $Vld_date_history);
		
		$Vld_date = $Vlt_date_history[0];
		$Vlh_heure = $Vlt_date_history[1];
		
		$Vlt_date = explode("-", $Vld_date);
		$Vlt_heure = explode(":", $Vlh_heure);
		
		$Vls_date = $Vlt_date[2]."/".$Vlt_date[1]."/".$Vlt_date[0];
		$Vls_heure = $Vlt_heure[0]."H".$Vlt_heure[1];
	
		$Vls_affichage = "$Vls_date à $Vls_heure<br />$Vls_info_history";
	
		return $Vls_affichage; 		
	}
	
	#############################################################################
	###	format_annotation_effacer
	###
	### Efface l'annotation de la bannette et la considéré comme traiter
	###
	#############################################################################

	function format_annotation_effacer($Vlt_liste_valeur)
	{	
		$Vli_id_annotation = $Vlt_liste_valeur[0];
		
		
		
		$Vls_affichage = "<img src=\"modules/gtb/images/effacer.png\" title=\"Effacer l'annotation de ma bannette\" alt=\"Effacer l'annotation de ma bannette\" style=\"cursor: pointer;\" onclick=\"alert('effacer !!!')\">";
		
		
		return $Vls_affichage; 		
	}

##################################################################
##################################################################
##################################################################
##################################################################
###
###
### Format mais version imprimable
###
###
##################################################################
##################################################################
##################################################################
##################################################################

	###################################################################
	### format_theme_print
	###
	###	Affiche le thème qui correspond à l'id de thème 
	### table de la base : domains
	###
	###################################################################
	
	function format_theme_print($Vlt_liste_valeur)
	{
		GLOBAL $_SESSION;
		
		$Vli_id_theme = $Vlt_liste_valeur[0];
		
		$db = new dbquery();
		$db->connect();
	
		$Vls_query = "
		SELECT
			d.label
		FROM
			domains d
		WHERE
			d.id = \"$Vli_id_theme\"
		";
	
		$db->query($Vls_query);
		$var_nom_theme = $db->fetch_array();
		
		$Vls_nom_theme = $var_nom_theme[0];
		
		if($Vls_nom_theme=="")
		{
			$Vls_nom_theme = "-";
		}
		
		return stripslashes($Vls_nom_theme);
	}	
	
	
	
	####################################################################################
	###	format_statut_depart
	###
	### Affiche la bonne image qui correspond au statut
	### et affiche une image supplémentaire si le courrier à un courrier de départ
	###
	####################################################################################

	function format_statut_depart($Vlt_liste_valeur)
	{
		$Vls_statut = $Vlt_liste_valeur[0];
		$Vli_id_courrier = $Vlt_liste_valeur[1];
	
		GLOBAL $_SESSION;
	
		if($Vls_statut == "NEW")
		{
			$Vls_image = "<img src=\"".$_SESSION['config']['img']."/mail_new.gif\" alt=\""._TO_PROCESS."\" title=\""._TO_PROCESS."\" />";
		}
		elseif($Vls_statut == "COU")
		{
			$Vls_image = "<img src=\"".$_SESSION['config']['img']."/mail.gif\" alt=\""._IN_PROGRESS."\" title=\""._IN_PROGRESS."\" />";
		}
		elseif($Vls_statut == "END")
		{
			$Vls_image = "<img src=\"".$_SESSION['config']['img']."/mail_end.gif\" alt=\""._CLOSED."\" title=\""._CLOSED."\" />";
		}
		elseif($Vls_statut == "OUT")
		{
			$Vls_image = "<img src=\"".$_SESSION['config']['img']."/status_out.gif\" alt=\""._ONGOING."\" title=\""._ONGOING."\" />";
		}
		elseif($Vls_statut == "WAI")
		{
			$Vls_image = "<img src=\"".$_SESSION['config']['img']."/waiting_mail.gif\" alt=\""._WAITINGDOC_PROCESS_IN_PROGRESS."\" title=\""._WAITINGDOC_PROCESS_IN_PROGRESS."\" />";
		}
		else
		{
			$Vls_image = "$Vls_statut";
		}
		
		##############################################
		### On regarde s'il y a eu un courrier de départ
		##############################################
		
		$db = new dbquery();
		$db->connect();
	
		$Vls_query = "
		SELECT
			count(*)
		FROM
			res_x
		WHERE
			status = \"REP\"
			AND relation = \"$Vli_id_courrier\"
		";
	
		$db->query($Vls_query);
		$var_nbre_reponse = $db->fetch_array();
		
		$Vli_nbre_reponse = $var_nbre_reponse[0];
		
		##############################################
		
		if($Vli_nbre_reponse!=0)
		{
			$Vls_image .= "
			<br />
			+
			<br />
			<img src=\"modules/gtb/images/bouton/mail_replay.png\" alt=\""._GTB_COURRIER_DEPART."\" title=\""._GTB_COURRIER_DEPART."\" />
			";
		}
		
		##############################################
		
		
		
		return $Vls_image;
	}
	

	
	##############################################################
	### Exemple pour aller chercher dans un fichier xml
	##############################################################
	
	/*
	function format_priorite($Vli_priorite)
	{
		$Vlt_liste_priorite = array();
	
		$xmlfeatures = simplexml_load_file("xml/letterbox.xml");
		
		if ($xmlfeatures)
		{
			foreach($xmlfeatures->PRIORITES as $PRIORITES)
			{
				foreach($PRIORITES->PRI as $PRI)
				{
					$Vli_priorite_num = utf8_decode((int)$PRI->ID);
					$Vls_priorite_label = utf8_decode((string)$PRI->LABEL); 

					$Vlt_liste_priorite[$Vli_priorite_num] = $Vls_priorite_label;
				}
			}
		}
		
		return $Vlt_liste_priorite[$Vli_priorite];
	}
	*/
	
	
	
	
	
	
	
	
	
	
	
	

?>