<?php /**
* File : notes_up.php
*
* Popup modify a note
*
* @package Maarch LetterBox 2.7
* @version 1.1
* @since 06/2007
* @license GPL
* @author  Loic Vinet <dev@maarch.org>
* @author  Claire Figueras  <dev@maarch.org>
* @author  Jimmy Cédric Ndoumba  <dev@maarch.org>
*/
include("session.php");
 if(file_exists($_SESSION['config']['lang'].'.php'))
{
	include($_SESSION['config']['lang'].'.php');
}
else
{
	$_SESSION['error'] = "Language file missing...<br/>";
}

require_once("class_functions.php");
require_once("class_db.php");

$func = new functions();
$db = new dbquery();
$db->connect();

$time = $db->get_session_time_expire();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta http-equiv="Content-Language" content="<?php echo $_SESSION['config']['lang'] ?>" />
	<link rel="stylesheet" type="text/css" href="<?php echo $_SESSION['config']['css']; ?>" media="screen" />
	<!--[if lt IE 7.0]>  <link rel="stylesheet" type="text/css" href="<?php echo $_SESSION['config']['css_IE']; ?>" media="screen" />  <![endif]-->
	<!--[if gte IE 7.0]>  <link rel="stylesheet" type="text/css" href="<?php echo $_SESSION['config']['css_IE7']; ?>" media="screen" />  <![endif]-->
	<script type="text/javascript" src="js/functions.js"></script>
	<script language="javascript" type="text/javascript" src="tiny_mce/tiny_mce.js"></script>
	
	<script language="javascript" type="text/javascript">
		tinyMCE.init({
			//theme : "maarch",
			theme : "advanced",
			mode : "exact",
			elements : "advnote",
			language : "fr",
			//save_callback : "customSave",
			content_css : "example_advanced.css",
			extended_valid_elements : "a[href|target|name]",
			//plugins : "table",
			//theme_advanced_buttons3_add_before : "tablecontrols,separator",
			//les plugins que vous allez utiliser
			plugins : "advimage,fullscreen,preview,emotions,insertdatetime,save",
			//les barres de boutons de 1 à 3 
			theme_advanced_buttons1 : "bold,italic,underline,strikethrough,|,forecolor,backcolor,|,justifyleft,justifycenter,justifyright,justifyfull,|,bullist,numlist,|,sub,sup,charmap,|,undo,redo,|,outdent,indent,|,link,unlink,image",
			theme_advanced_buttons2 : "removeformat,|,fontsizeselect,fontselect,formatselect,|,cleanup",
			theme_advanced_buttons3 : "",
			theme_advanced_toolbar_location : "top", //où se place la toolbar,
			theme_advanced_toolbar_align : "center", //l'alignement de celle ci
			//theme_advanced_statusbar_location : "bottom", //Où se positionnera la barre de statut
			content_css : "../templates/TinyMCE.css", //lien vers le css utilisé
			plugin_insertdate_dateFormat : "%d/%m/%Y", // le format de la date pour le plugin insertdatetime
			plugin_insertdate_timeFormat : "%H:%M:%S",  //pareil sauf que c'est le format de l'heure
			//invalid_elements : "a",
			theme_advanced_styles : "Header 1=header1;Header 2=header2;Header 3=header3;Table Row=tableRow1", // Theme specific setting CSS classes
			//execcommand_callback : "myCustomExecCommandHandler",
			debug : false
		});

		// Custom event handler
		function myCustomExecCommandHandler(editor_id, elm, command, user_interface, value) {
			var linkElm, imageElm, inst;

			switch (command) {
				case "mceLink":
					inst = tinyMCE.getInstanceById(editor_id);
					linkElm = tinyMCE.getParentElement(inst.selection.getFocusElement(), "a");

					if (linkElm)
						alert("Link dialog has been overriden. Found link href: " + tinyMCE.getAttrib(linkElm, "href"));
					else
						alert("Link dialog has been overriden.");

					return true;

				case "mceImage":
					inst = tinyMCE.getInstanceById(editor_id);
					imageElm = tinyMCE.getParentElement(inst.selection.getFocusElement(), "img");

					if (imageElm)
						alert("Image dialog has been overriden. Found image src: " + tinyMCE.getAttrib(imageElm, "src"));
					else
						alert("Image dialog has been overriden.");

					return true;
			}

			return false; // Pass to next handler in chain
		}

		// Custom save callback, gets called when the contents is to be submitted
		function customSave(id, content) {
			alert(id + "=" + content);
		}
		
		function simpleToAdvance(simple, advance){
			if(document.getElementById('noteType')){
				document.getElementById('noteType').value = 'adv';
			}
			
			if(document.getElementById(simple) && document.getElementById(advance)){
				document.getElementById(advance).value = document.getElementById(simple).value;
				tinyMCE.updateContent('advnote');
			}
		}
		
		function advanceToSimple(simple, advance){
			if(document.getElementById('noteType')){
				document.getElementById('noteType').value = 'spl';
			}
			
			if(document.getElementById(simple) && document.getElementById(advance)){
				tinyMCE.triggerSave(true, true);
				//document.getElementById(simple).value = stripHtmlTags(document.getElementById(advance).value);
				document.getElementById(simple).value = document.getElementById(advance).value;
			}
		}
		function showHide(bloc1, bloc2, element){
			if(document.getElementById(bloc1)){
				document.getElementById(bloc1).style.display = 'none';
				document.getElementById(bloc1).style.visibility = 'hidden';
			}
			if(document.getElementById(bloc2)){
				document.getElementById(bloc2).style.display = 'none';
				document.getElementById(bloc2).style.visibility = 'hidden';
			}
			if(document.getElementById(element)){
				document.getElementById(element).style.display = 'block';
				document.getElementById(element).style.visibility = 'visible';
			}
		}
	</script>
	<!-- /tinyMCE -->
	
<title><?php echo _MODIFY_NOTE;?></title>
</head>

<body id="pop_up" onLoad="setTimeout(window.close, <?php echo $time;?>*60*1000);">
<?php 
	
	$choix = '0';
	if (($_POST['chosenAccess']))
	{
		$choix = $_POST['chosenAccess'];
	}
	
	if(isset($_POST['noteType']) && $_POST['noteType'] == 'adv'){
		$textareaName = 'advnote';
	}
	else{
		$textareaName = 'splnote';
	}
	
	if (($_POST[$textareaName]))
	{
		$s_id = $_POST['id'];
		$resid = $_POST['resid'];
		
		if($choix == '0')
		{
			$accessServicesValue = 'all';
			$accessUsersValue = 'all';
		}
		elseif($choix == '1')
		{
			//$accessServicesValue = "'".$_SESSION['user']['department']."'";
			$accessServicesValue = $_SESSION['user']['department'];
			$accessUsersValue = 'not';
		}
		elseif($choix == '2')
		{
			$tabServices = array();
			if ($_POST['chosenServices'])
			{
				$lstServicesID = $_POST['chosenServices'];
				for($i=0;$i<count($lstServicesID);$i++)
				{
					//$tabServices[] = "'".$lstServicesID[$i]."'";
					$tabServices[] = $lstServicesID[$i];
				}
			}
			
			$accessServicesValue = implode(",", $tabServices);
			$accessUsersValue = 'not';
		}
		elseif($choix == '3')
		{
			$tabUsers = array();
			if ($_POST['chosenUsers'])
			{
				$lstUsersID = $_POST['chosenUsers'];
				for($i=0;$i<count($lstUsersID);$i++)
				{
					//$tabUsers[] = "'".$lstUsersID[$i]."','".$_SESSION['user']['UserId']."'";
					$tabUsers[] = $lstUsersID[$i];
				}
			}
			
			$accessServicesValue = 'not';
			$accessUsersValue = implode(",", $tabUsers).','.$_SESSION['user']['UserId'];
		}
		else{
			$accessServicesValue = 'all';
			$accessUsersValue = 'all';
		}

		$db->query("UPDATE ".$_SESSION['tablename']['notes']." SET
		INFO = '".addslashes($_POST[$textareaName])."', DATE = '".date("Y")."-".date("m")."-".date("d")." ".date("H:i:s")."', ACCESS_USERS = '".$accessUsersValue."', ACCESS_SERVICES = '".$accessServicesValue."' 
		WHERE ID = ".$s_id);

		//Mise a jour de l'historique
		if($_SESSION['history']['notesup'])
		{
			require_once("class_history.php");
			$hist = new history();
			$hist->add($_SESSION['tablechoice'], $resid ,"UP", _NOTE_UPDATED);
		}
		?>

	<script language="javascript">window.opener.location.reload();self.close();</script>

<?php }
else
{

	if(empty($_SESSION['tablechoice']))
	{
		$_SESSION['tablechoice'] = 'res_x';
	}
	if(isset($_GET['id']))
	{
		$s_id = $_GET['id'];
	}
	else
	{
		$s_id = "";
	}

	$db->query("select ID, RECORD_ID, INFO, DATE, USER_ID, ACCESS_SERVICES, ACCESS_USERS 
		from ".$_SESSION['tablename']['notes']."
		where ID= ".$s_id." and USER_ID = '".$_SESSION['user']['UserId']."'");
	//$db->show();
	$line = $db->fetch_object();
	
	if (strcasecmp(strip_tags($func->show($line->INFO)), $func->show($line->INFO)) == 0) {
		$noteType = 'spl';
	}
	else{
		$noteType = 'adv';
	}

?>
<h2 class="tit"><?php echo _MODIFY_NOTE;?> </h2>
    <br/>
      <form name="form1" method="post" action="notes_up.php" >
		<input type="hidden" value="<?php echo $line->RECORD_ID;?>" name="resid">
		<input type="hidden" value="<?php echo $line->ID;?>" name="id">
		<input type="hidden" id="noteType" name="noteType" value="<?php if(isset($noteType) && !empty($noteType)){ echo $noteType; }else{ echo 'spl'; } ?>" />
		<div id="mailOnglet">
			<ul id="menu">
				<li class="menu0">
					<a href="#" id="_0" <?php if(!isset($noteType) || $noteType == 'spl'){ echo 'class="current"'; }else{ echo 'class="ghost"'; } ?> onclick="advanceToSimple('splnote', 'advnote'); multiClass(this.id);" alt="menu1"><?php echo _TEXT_FORMAT; ?></a>
				</li>
				<li class="menu1">
					<a href="#" id="_1" <?php if(isset($noteType) && $noteType == 'adv'){echo 'class="current"';}else{echo 'class="ghost"';} ?> onclick="simpleToAdvance('splnote', 'advnote'); multiClass(this.id);" alt="menu1"><?php echo _HTML_FORMAT; ?></a>
				</li>
			</ul>
			
			<hr />
			<div id="menu_0" class="<?php if(!isset($noteType) || $noteType == 'spl'){echo 'on';}else{echo 'off';} ?> content">
				<textarea name="splnote" id="splnote" ><?php echo $func->show($line->INFO); ?></textarea>
			</div>
			
			<div id="menu_1" class="<?php if(isset($noteType) && $noteType == 'adv'){echo 'on';}else{echo 'off';} ?> content">
				<textarea name="advnote" id="advnote" style="width:50%;" ><?php echo $func->show($line->INFO); ?></textarea>
			</div>
			<hr />
		</div>
		
<?php 
		if($_SESSION['config']['private_notes'] == "true")
		{
?>
			<h2 class="tit"><?php echo _THIS_NOTE_IS_VISIBLE_BY; ?></h2>
			<p><input type="radio" name="chosenAccess" value="0" <?php if($line->ACCESS_USERS == 'all' && $line->ACCESS_SERVICES == 'all'){ echo ' checked="checked" '; } ?> onclick="showHide('departement', 'users', '');"/> <?php echo _ALL;?></p>
			<p><input type="radio" name="chosenAccess" value="1" <?php if($line->ACCESS_SERVICES == $_SESSION['user']['department'] && $line->ACCESS_USERS == 'not'){ echo ' checked="checked" '; } ?> onclick="showHide('departement', 'users', '');" /> <?php echo _MY_DEPARTMENT;?></p>
			<p>
				<input type="radio" id="dep" name="chosenAccess" value="2" 
				<?php 
				$tmparray = array();
				$tmparray = explode(",", $line->ACCESS_SERVICES);
				if($line->ACCESS_SERVICES != $_SESSION['user']['department'] && $line->ACCESS_USERS == 'not'){echo 'checked="checked"';} ?> onclick="showHide('departement', 'users', 'departement');" /> <?php echo _THESE_DEPARTMENTS;?><br />
				<!-- <?php if($line->ACCESS_SERVICES == $_SESSION['user']['department'] || $line->ACCESS_USERS != 'not'){echo 'style="display:none; visibility:hidden;"';} ?> -->
				<div class="bloc_short" id="departement" <?php if($line->ACCESS_SERVICES == $_SESSION['user']['department'] || $line->ACCESS_USERS != 'not'){echo 'style="display:none; visibility:hidden;"';} ?> >
					<h2 class="tit"><?php echo _DEPARTMENTS_LIST_SHORT;?></h2>
					<table cellpadding="0" cellspacing="0" border="0" class="listing spec listing_short">
						<thead>
							<tr>
								<th></th>
								<th ><?php echo _ID;?></th>
								<th ><?php echo _DESC;?></th>
							</tr>
						</thead>
						<tbody>
					<?php 
						$color = ' class="col"';
						for($i=0;$i<count($_SESSION['user']['services']);$i++)
						{
							if($color == ' class="col"')
							{
								$color = '';
							}
							else
							{
								$color = ' class="col"';
							}
					?>
							<tr <?php echo $color; ?> >
								<td width="10"><label for="dep"><input type="checkbox" <?php if(in_array($_SESSION['user']['services'][$i]['ID'], $tmparray)){echo 'checked="checked"';} ?> name="chosenServices[]" value="<?php echo $_SESSION['user']['services'][$i]['ID'];?>" /></label></td>
								<td width="80"><?php echo $_SESSION['user']['services'][$i]['ID'];?></td>
								<td><?php echo $_SESSION['user']['services'][$i]['LABEL'];?></td>
							</tr>
					<?php 
						}
					?>
					</tbody>
					</table>
				</div>
			</p>
			<p>
				<input type="radio" id="user" name="chosenAccess" value="3" 
				<?php 
				$tmparray = array();
				$tmparray = explode(",", $line->ACCESS_USERS);
				if($line->ACCESS_SERVICES == 'not'){echo 'checked="checked"';} ?> onclick="showHide('departement', 'users', 'users');" /> <?php echo _THESE_USERS;?><br />
				<!-- <?php if($line->ACCESS_SERVICES != 'not'){echo 'style="display:none; visibility:hidden;"';} ?> -->
				<div class="bloc_short" id="users" <?php if($line->ACCESS_SERVICES != 'not'){echo 'style="display:none; visibility:hidden;"';} ?> >
					<h2 class="tit"><?php echo _USERS_LIST_SHORT;?></h2>
					<table cellpadding="0" cellspacing="0" border="0" class="listing spec listing_short">
						<thead>
							<tr>
								<th></th>
								<th><?php echo _ID;?></th>
								<th><?php echo _LASTNAME;?></th>
								<th><?php echo _FIRSTNAME;?></th>
							</tr>
						</thead>
					<tbody>
					<?php 
						$tabServicesID = array();
						$strServicesID = '';
						for($i=0;$i<count($_SESSION['user']['services']);$i++)
						{
							$tabServicesID[] = "'".$_SESSION['user']['services'][$i]['ID']."'";
						}
						
						if( isset($tabServicesID) && count($tabServicesID) > 0 )
						$strServicesID = implode(",", $tabServicesID);
						
						$db->query("SELECT u.USER_ID as ID, u.LASTNAME as NOM, u.FIRSTNAME as PRENOM 
						FROM ".$_SESSION['tablename']['users']." u 
						WHERE u.DEPARTMENT IN (".$strServicesID.") 
						AND u.USER_ID <> 'DEL' 
						AND u.USER_ID <> '".$_SESSION['user']['UserId']."' 
						AND u.ENABLED = 'Y'
						ORDER BY u.LASTNAME asc");
						
						$color = ' class="col"';
						while($res = $db->fetch_object())
						{
							if($color == ' class="col"')
							{
								$color = '';
							}
							else
							{
								$color = ' class="col"';
							}
					?>
						<tr <?php echo $color; ?> >
							<td width="10"><label for="user"><input type="checkbox" <?php if(in_array($res->ID, $tmparray, false)){echo 'checked="checked"';} ?> name="chosenUsers[]" value="<?php echo $res->ID;?>" /></label></td>
							<td width="80"><?php echo $res->ID;?></td>
							<td><?php echo $res->NOM;?></td>
							<td><?php echo $res->PRENOM; ?></td>
						</tr>
					<?php 
						}
					?>
					</tbody>
					</table>
				</div>
			</p>
<?php 
		}
?>
		<br/>
		<p class="buttons">
				<input type="submit" name="Submit" value="<?php echo _MODIFY_NOTE;?>" class="button"/>
				<input type="submit" name="Submit2" value="<?php echo _CANCEL;?>" onclick="javascript:self.close();" class="button"/>
		</p>
		
	</form>

 <?php } ?>

</body>
</html>
