<?php /**
* File : process.php
*
* Process page
*
* @package Maarch LetterBox 2.3
* @version 2.0
* @since 06/2006
* @license GPL
* @author  Claire Figueras  <dev@maarch.org>
*/ 

 include("session.php"); 

if(!isset($_SESSION['user']['UserId']) || empty($_SESSION['user']['UserId']))
{
	header("location: reopen.php");
}
 
if(file_exists($_SESSION['config']['lang'].'.php'))
{
	include($_SESSION['config']['lang'].'.php');
}
else
{
	$_SESSION['error'] = "Language file missing...<br/>";
}
if(isset($_GET['id']))
{
	$s_id = $_GET['id'];
	$_SESSION['chosen_doc'] = array();
	array_push($_SESSION['chosen_doc'], $s_id );
} 
$_SESSION['origin'] = "basket";
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $_SESSION['config']['lang'] ?>" lang="<?php echo $_SESSION['config']['lang'] ?>">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta http-equiv="Content-Language" content="<?php echo $_SESSION['config']['lang'] ?>" />
	<link rel="stylesheet" type="text/css" href="<?php echo $_SESSION['config']['css']; ?>" media="screen" />
	<!--[if lt IE 7.0]>  <link rel="stylesheet" type="text/css" href="<?php echo $_SESSION['config']['css_IE']; ?>" media="screen" />  <![endif]-->
	<!--[if gte IE 7.0]>  <link rel="stylesheet" type="text/css" href="<?php echo $_SESSION['config']['css_IE7']; ?>" media="screen" />  <![endif]-->
	<script type="text/javascript" src="js/functions.js"></script>
	
<!-- 
############################################################
############################################################
### Ajout du Css, de Jquery et le rendre compatible avec Prototype
### Mathieu OLIVE - Mairie de Saint-Nazaire
############################################################
############################################################
 -->
	<script language="javascript" type="text/javascript" src="js/jquery.js"></script>
	<script language="javascript" type="text/javascript" src="js/fonction_ajouter.js"></script>
	
	<link type="text/css" rel="stylesheet" media="all" href="css/style_ajouter.css" />
<!-- 
############################################################
############################################################
 -->
 
 
	<title><?php echo _TITLE_PROCESS;?></title>
</head>

<body id="validation_page" onload="process_load('viewframe', 'process_frame');">
<table width="100%" border = "0">
<tr>
		<?php
		if( isset($_GET['view']) || isset($_GET['gen']) )
		{
			if (empty($_GET['id'])){
				$_GET['id'] = $_GET['gen'];
			}
			?>
			<div id="webdav_error" class="error"></div>
			<div align="center">
				<button type="button" onClick="document.location='<?php echo "process.php?id=".$_GET['id']; ?>';">Fermer</button>
			
			<?php
			if(isset($_GET['view']))
			{
				if( $_SESSION['config']['webdav'] == "true")
				{
					require_once("class_functions.php");
					require_once("class_db.php");
					require_once("class_webdav_tools.php");
					
					$db = new dbquery();
					$db->connect();
					
					$db->query("SELECT FORMAT, SOURCE, RES_ID 
								FROM ".$_SESSION['ressources'][0]['tablename']."
								WHERE RES_ID = '".$_GET['view']."'");
								
					$webdav = new webdav_tools();
								
					if( $res = $db->fetch_object() )
					{
						if( $res->SOURCE == "Local File" && is_array($webdav->get_application($_SESSION['user']['UserId'],$res->FORMAT) ) )
						{
							?>
							<button type="button" onclick="open_webdav('<?php echo $_SESSION['ressources'][0]['tablename']; ?>','<?php echo $res->RES_ID; ?>');"><?php echo _EDIT_DOC;?></button>
							<script> 
								function open_webdav(res_table,res_id)
								{
									$('webdav_error').update(document.applets['webdav'].open_webdav(res_table,res_id));
									$('process_frame').hide();
								}
							</script>
							<applet ARCHIVE="<?php echo $wd->context."webdav/letterbox/Applet/webdav.jar";?>" code="webdav.class" name="webdav" id="webdav" WIDTH="0" HEIGHT="0">
								<param name="user_id" value="<?php echo $_SESSION['user']['UserId'];?>">
								<param name="password" value="<?php echo $_SESSION['user']['Password'];?>">
								<param name="url" value="<?php echo $_SESSION['config']['MaarchURL']; ?>">
							</applet>
							<?php
						}
					}					
				}
				?>
				</div>
				<td>
				<iframe src="view.php?id=<?php echo $_GET['view'];?>" name="process_frame"  frameborder="0" id="process_frame" scrolling="auto"></iframe>
				<?php
			}
			else if( isset($_GET['mode']) && $_GET['mode'] == "add" && isset($_GET['model']) )
			{
				$s_id = $_GET['gen'];
				
				$signing = "";
				if( isset($_GET['signing'] ) )
					$signing = "&signing=".$_GET['signing'];
				?>
				<td>
				<div id="validleft" >
					<iframe src="generate_answer.php?mode=add&model=<?php echo $_GET['model'];?>&gen=<?php echo $_GET['gen'].$signing;?>" name="process_frame"  frameborder="0" id="process_frame" scrolling="auto"></iframe>
				</div>
				<?php
			}
			else
			{
				?>
				<td>
				<div id="validleft">
					<iframe src="generate_answer.php?mode=up&id=<?php echo $_GET['gen'];?>&gen=<?php echo $_GET['id'].$signing;?>" name="process_frame"  frameborder="0" id="process_frame" scrolling="auto"></iframe>
				</div>
				<?php
			}
		}
		else
		{
			?>
			<td>
			<div id="validleft" >
				<iframe src="process_frame.php?id=<?php echo $s_id;?>" name="process_frame"  frameborder="0" id="process_frame" scrolling="auto"  ></iframe>
			</div>
			<?php
		}
		
		?>
	</td>
	<td>
		<div id="validright">
			<iframe src="show_folder_doc.php?id=<?php echo $s_id;?>" name="viewframe" id="viewframe"  height="950"  scrolling="auto" frameborder="0" ></iframe>
		</div>
	</td>
</tr>
</table>
</body>
</html>
