<?php /**
* File : process_frame.php
*
* Frame : process form
*
* @package Maarch LetterBox 2.6
* @version 2.0
* @since 06/2006
* @license GPL
* @author  Claire Figueras  <dev@maarch.org>
* @author  Loïc Vinet  <dev@maarch.org>
*/
include("session.php");
require("class_functions.php");
require_once("class_diffusion.php");
require_once("class_db.php");
require_once("class_workflow.php");
require_once("class_letterbox.php");
require_once("class_domains.php");

if(file_exists($_SESSION['config']['lang'].'.php'))
{
	include($_SESSION['config']['lang'].'.php');
}
else
{
	$_SESSION['error'] = "Language file missing...<br/>";
}
$func = new functions();
if(isset($_GET['id']))
{
	$s_id = $_GET['id'];
}

$_SESSION['courrier'] = array();
$_SESSION["popup_suite"] = false;

	$table = "res_x";
	$db = new dbquery();
	$courr = new LetterBox();
	$workf = new workflow();
	
	if($_SESSION['config']['workflow'] == "true"){
		$workf->loardWorkflowParameters();
	}
	
	$db->connect();
	$db->query("SELECT CUSTOM_T16, CUSTOM_T17, CUSTOM_T2, CUSTOM_T3, CUSTOM_T4, DESTINATION, DEST_USER, RES_ID, IDENTIFIER, date (CUSTOM_D1) as D1, date (CUSTOM_D2) as D2, date (CREATION_DATE) as D3,AUTHOR, TYPE_ID, DESCRIPTION, date(DOC_DATE) as DC, CUSTOM_T5, CUSTOM_T6, CUSTOM_T7, CUSTOM_T8, CUSTOM_T15, CUSTOM_T1, CUSTOM_T9, CUSTOM_T10, CUSTOM_T11, CUSTOM_T12, CUSTOM_T13, CUSTOM_T14, date(CREATION_DATE) as CD, PRIORITY, SOCIETE, GID_ID, COLL_ID, STATUS, date(CUSTOM_D6) as D6, CUSTOM_T18, CUSTOM_T19, CUSTOM_T20, CUSTOM_T21, COVERAGE, MAIL_ACTION FROM ".$table." WHERE RES_ID=".$s_id);
	$line = $db->fetch_object();

	$_SESSION['courrier']['res_id'] = $line->RES_ID;
	$_SESSION['courrier']['identifier'] = $line->IDENTIFIER;
	$_SESSION['courrier']['author'] = stripslashes($line->AUTHOR);
	$_SESSION['courrier']['type_id'] = $line->TYPE_ID;
	$_SESSION['courrier']['description'] = stripslashes($line->DESCRIPTION);
	$_SESSION['courrier']['identifier'] = $line->IDENTIFIER;
	$_SESSION['courrier']['date_arrivee'] = $db->inverse_date($line->D1);
	$_SESSION['courrier']['date_creation'] = $db->inverse_date($line->D3);
	$_SESSION['courrier']["date_limite"] = $db->inverse_date($line->D2);
	$_SESSION['courrier']["doc_date"] = $db->inverse_date($line->DC);
	$_SESSION['courrier']['rep_courrier_simple'] = $line->CUSTOM_T5;
	$_SESSION['courrier']['rep_AR'] = $line->CUSTOM_T15;
	$_SESSION['courrier']['rep_direct'] = $line->CUSTOM_T6;
	$_SESSION['courrier']['rep_mail'] = $line->CUSTOM_T7;
	$_SESSION['courrier']['rep_autre'] = $line->CUSTOM_T8;
	$_SESSION['courrier']['rep_fax'] = $line->CUSTOM_T16;
	$_SESSION['courrier']['no_rep'] = $line->CUSTOM_T17;
	$_SESSION['courrier']['notes'] = stripslashes($line->CUSTOM_T1);
	$_SESSION['courrier']['qualite'] = stripslashes($line->CUSTOM_T9);
	$_SESSION['courrier']['num_rue'] = stripslashes($line->CUSTOM_T10);
	$_SESSION['courrier']['rue'] = stripslashes($line->CUSTOM_T11);
	$_SESSION['courrier']['ville'] = stripslashes($line->CUSTOM_T12);
	$_SESSION['courrier']['code'] = $line->CUSTOM_T13;
	$_SESSION['courrier']['quartier'] = stripslashes($line->CUSTOM_T14);
	$_SESSION['courrier']['nature'] = stripslashes($line->CUSTOM_T2);
	$_SESSION['courrier']['civ'] = stripslashes($line->CUSTOM_T3);
	$_SESSION['courrier']['prenom'] = stripslashes($line->CUSTOM_T4);
	$_SESSION['courrier']['service'] = $line->DESTINATION;
	$_SESSION['courrier']['dest'] = $line->DEST_USER;
	$_SESSION['courrier']['prio'] = $line->PRIORITY;
	$_SESSION['courrier']['mail_action'] = $line->MAIL_ACTION;
	$_SESSION['courrier']['theme'] = $line->COVERAGE;
	$_SESSION['courrier']['societe'] = stripslashes($line->SOCIETE);
	
	$_SESSION['courrier']['arrondissement'] = html_entity_decode($line->CUSTOM_T18);
	$_SESSION['courrier']['canton'] = html_entity_decode($line->CUSTOM_T19);
	$_SESSION['courrier']['epci'] = html_entity_decode($line->CUSTOM_T20);
	$_SESSION['courrier']['epci_type'] = html_entity_decode($line->CUSTOM_T21);
	
	$_SESSION['gid_id'] = $line->GID_ID;
	$_SESSION['courrier']['entity'] = $line->COLL_ID;
	$_SESSION['courrier']['status'] = $line->STATUS;
	$_SESSION['courrier']['waitingdoc_startdate'] = $db->inverse_date($line->D6);
	$db->query("select service from ".$_SESSION['tablename']['services']." where ID = '".$_SESSION['courrier']['service']."'" );

	$line = $db->fetch_object();
	$_SESSION['courrier']['service_label'] = $line->service;
	$db->query("select description from ".$_SESSION['tablename']['doctypes']." where TYPE_ID = '".$_SESSION['courrier']['type_id']."'" );

	$line = $db->fetch_object();
	$_SESSION['courrier']['type_label'] = $line->description;
/*	$_SESSION['courrier']['reponses'] = array();

	$db->query("select RES_ID, TITLE, CREATION_DATE, SOURCE from ".$table." where RELATION = '".$s_id."' order by CREATION_DATE asc ");

	while($line = $db->fetch_object())
	{
		array_push($_SESSION['courrier']['reponses'], array( "ID" => $line->RES_ID, "TITRE" => stripslashes($line->TITLE), "DATE" => $line->CREATION_DATE, 'SOURCE' => $line->SOURCE));
	}*/
	
	$locked = false;
	

if($_SESSION['current_basket']['is_global'] == "Y")
{
	$locktime = $_SESSION['current_basket']['locktime'];
	//$courr = new LetterBox();
	$locked = $courr->is_locked($_SESSION['courrier']['res_id'], $table, $locktime, 'true');
}

//Load Diffusion List
$_SESSION["diffusion"] = 
new diffusion($db,$_SESSION['user']['UserId'],$_SESSION['user']['delete_copy_rights'],$_SESSION['config']['modifycopylist'],
$_SESSION['config']['redirect_list'],$_SESSION['config']['tag100_for_copy']);

$_SESSION["diffusion"]->load_from_db($table,$s_id);
$_SESSION["diffusion"]->add_primary_user($s_id);


?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $_SESSION['config']['lang'] ?>" lang="<?php echo $_SESSION['config']['lang'] ?>">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta http-equiv="Content-Language" content="<?php echo $_SESSION['config']['lang'] ?>" />
	<link rel="stylesheet" type="text/css" href="<?php echo $_SESSION['config']['css']; ?>" media="screen" />
	<!--[if lt IE 7.0]>  <link rel="stylesheet" type="text/css" href="<?php echo $_SESSION['config']['css_IE']; ?>" media="screen" />  <![endif]-->
	<!--[if gte IE 7.0]>  <link rel="stylesheet" type="text/css" href="<?php echo $_SESSION['config']['css_IE7']; ?>" media="screen" />  <![endif]-->
	<script type="text/javascript" src="js/functions.js"></script>
	<script language="javascript">
	function break_cache(page_href){
	
		var rep = page_href.replace(/(&breakcache=[0-9]*)/g,"&breakcache=<?php echo rand(); ?>");
	
		if( rep != page_href) return rep;
		else 	return page_href + '&breakcache=<?php echo rand(); ?>';
	}
	
	function break_get(page_href){
	
		return page_href.replace(/(&action=(.{3}))/g,"");
	}
	</script>
	
<!-- 
############################################################
############################################################
### Ajout du Css, de Jquery et le rendre compatible avec Prototype
### Mathieu OLIVE - Mairie de Saint-Nazaire
############################################################
############################################################
 -->
	<script language="javascript" type="text/javascript" src="js/jquery.js"></script>
	<script language="javascript" type="text/javascript" src="js/fonction_ajouter.js"></script>
	<script language="javascript" type="text/javascript">
		function unckecknoaw(){
			document.getElementById('none').checked=false;
		}
	</script>
				
	
	<link type="text/css" rel="stylesheet" media="all" href="css/style_ajouter.css" />
<!-- 
############################################################
############################################################
 -->
	
	
<title><?php echo _TITLE_PROCESS;?></title>
</head>

<body id="iframe"
<?php 
	if(isset($_SESSION['current_basket']['locktime']) && $_SESSION['current_basket']['locktime'] > 0) 
	{
		$_SESSION['reload'] = true;
		echo "onLoad=\"window.parent.opener.location.href = break_cache(break_get(window.parent.opener.location.href)); 
		setTimeout(function(){
			window.parent.opener.location.href = break_cache(break_get(window.parent.opener.location.href));
			window.parent.close();},".($_SESSION['current_basket']['locktime'] * 60 * 1000).");\"";
	}
	?>
>
<div id="content_process">
<?php if($_SESSION['courrier']['status'] <> 'COU' && $_SESSION['courrier']['status'] <> 'NEW' && $_SESSION['courrier']['status'] <> 'RSV' && $_SESSION['courrier']['status'] <> 'WAI' && $_SESSION['courrier']['status'] <> 'RJT' && $_SESSION['courrier']['status'] <> 'RJV' && $_SESSION['courrier']['status'] <> 'FVA') 
{
?>
	<div>
		<h1 class="tit" id="action_title"><img src="<?php echo $_SESSION['config']['img'];?>/file_index_b.gif"  align="middle" alt="" /><?php echo _N_PROCESS_FOLDER." ".$_SESSION['courrier']['res_id'] ;?></h1>
		<div>
		<?php 
		if(	$_SESSION['courrier']['status'] == 'MEP')
			{
			echo $_SESSION['courrier']['type_id'].' '._ERROR_STATUS_PROCESS_1;
			}
		else
		{
		if(	$_SESSION['courrier']['status'] == 'RJD')
			{
			echo $_SESSION['courrier']['type_id'].' '._ERROR_STATUS_PROCESS_2;
			}
		}
		?>
		</div>
		<div><input type="button" name="close" id="close" value="<?php echo _CLOSE_WINDOW;?>" class="button" onclick="javascript:window.top.close();"/></div>
	</div>
<?php }
else
{?>
<?php 
	if(!$locked || $_SESSION['current_basket']['is_global'] == "N")
	{
	?>
	<h2 class="tit"><!--<img src="<?php echo $_SESSION['config']['img'];?>/picto_menu_postindex.gif"  align="middle" alt="" />--><?php echo _N_PROCESS_FOLDER." ".$_SESSION['courrier']['res_id']  ; ?></h2>
	<?php if ($_SESSION['courrier']['status'] == "WAI")
	{ ?>
		<p class="advert"><?php echo _WAITINGDOC_PROCESS_IN_PROGRESS; ?></p><?php } ?> 
	<?php if ($_SESSION['courrier']['status'] == "FVA")
	{ ?>
		<p class="advert"><?php echo _VALIDATE_PROCESS_IN_PROGRESS; ?></p><?php } ?> 
	<?php if ($_SESSION['courrier']['status'] == "RJT")
	{ ?>
		<p class="advert"><?php echo _REJECTED_1_PROCESS_IN_PROGRESS; ?></p><?php } ?>
	<?php if ($_SESSION['courrier']['status'] == "RJV")
	{ ?>
		<p class="advert"><?php echo _REJECTED_2_PROCESS_IN_PROGRESS; ?></p><?php } ?>
		
	  <div class="error"><?php echo $_SESSION['error'];  $_SESSION['error'] = "";?></div>
	<form name="traitement" method="post" id="traitement" enctype="multipart/form-data" action="valid_popup.php" >

	<div class="bloc_trait">
	<h2 class="sstit"><?php echo _GENERAL_INFO_LETTER;?></h2>
		<table width="98%" align="center" border="0">
			<?php if($_SESSION['config']['gdi_index'] == "true"){ ?>
			<tr>
				<td ><span class="form_title"><?php echo _GID_ID;?> :</span></td>
				<td colspan="3"><?php echo $_SESSION['gid_id']; ?></td>
			</tr> <?php } ?>

			<tr>
				<td ><span class="form_title"><?php echo _PRIORITY;?> :</span></td>
				<td colspan="3"><?php echo $_SESSION['priority'][$_SESSION['courrier']['prio']]['label']; ?></td>
			</tr>
			<tr>
				<td valign="top"><span class="form_title"><?php echo _OBJECT;?> :</span></td>
				<td colspan="3"><?php echo $_SESSION['courrier']['description'];?></td>
			</tr>
			 <tr>
				<td><span class="form_title"><?php echo _TYPE;?> :</span></td>
				<td colspan="3"><?php echo $_SESSION['courrier']['type_label'];?></td>
			</tr>
			 <tr>
				<td><span class="form_title"><?php echo _SHIPPER;?> :</span></td>
				<td colspan="3"><?php echo $_SESSION['courrier']['civ']." ".$_SESSION['courrier']['author']." ".$_SESSION['courrier']['prenom'];?></td>
			</tr>
			<!-- <tr>
				<td><span class="form_title"><?php echo _N_GED._OF_FIRST_DOC;?> :</span></td>
				<td><?php echo $_SESSION['courrier']['res_id'];?></td>
			</tr> -->
			 <tr>
				<td><span class="form_title"><?php echo _DOC_DATE;?> :</span></td>
				<td><?php echo $_SESSION['courrier']["doc_date"];?></td>
				  <td>&nbsp;</td>
				<td><span class="form_title"><?php echo _DATE_START;?> :</span></td>
				<td><?php echo $_SESSION['courrier']['date_arrivee'];?></td>
			</tr>
			<tr>
				<td><span class="form_title"><?php echo _DL_DATE;?> :</span></td>
				<td><?php echo $_SESSION['courrier']['date_creation'];?></td>
				 <td>&nbsp;</td>
				<?php if ($_SESSION['courrier']['status'] == "WAI")
				{ ?>
					<td><span class="form_title"><?php echo _WAITINGDOC_STARTDATE;?> :</span></td>
					<td><?php echo $_SESSION['courrier']['waitingdoc_startdate'] ;?></td> <?php }
				else
				{ ?>
					<td><span class="form_title"><?php echo _LIMIT_DATE_PROCESS;?> :</span></td>
					<td><?php echo $_SESSION['courrier']['date_limite'];?></td> <?php } ?>
			</tr>

			  <tr>
					<td><span class="form_title"><?php echo _DEPARTMENT;?> :</span></td>
				<td colspan="3"><?php echo str_replace('\\', '', $_SESSION['courrier']['service_label']);?></td>
			</tr>
			<?php 
			if ($_SESSION['config']['enable_topics'] == "true" && !empty($_SESSION['courrier']['theme']))
			{
				$dom = new domain();
			?>
			<tr>
				<td><span class="form_title"><?php echo _DOMAIN;?> :</span></td>
				<td colspan="4"><?php echo $dom->get_domain_label($_SESSION['courrier']['theme']);?></td>
			</tr>
			<?php
			}
			
			if ($_SESSION['config']['collectivities'] == "true")
			{
				include_once($_SESSION['config']['includedir']."/addon_collectivities.php");
				 ?>
			<tr>
				<td><span class="form_title"><?php echo _COLL;?> :</span></td>
				<td colspan="3"><?php echo get_label_collectivity($_SESSION['courrier']['entity']);?></td>
			</tr>
			<?php }


			if($_SESSION['config']['corporate'] == "true")
			{?>
			<tr>
				<td><span class="form_title"><?php echo _SOCIETY;?> :</span></td>
				<td colspan="3"><?php echo $_SESSION['courrier']['societe'];?></td>
			</tr>
			<?php } ?>
			<tr>
				<td>
					<img src="<?php echo $_SESSION['config']['img'];?>/arrow_primary.gif" width="16" height="16" align="middle" alt="" />
					&nbsp;<span class="form_title"><?php echo _MAIL_ACTIONS?> :</span>
				</td>
				<td colspan="4"><?php echo $_SESSION['mail_action'][$_SESSION['courrier']['mail_action']]['label']; ?></td>
			</tr>
		</table>
	</div>
	
	<div class="bloc_trait">
	<h2 class="sstit"><?php echo _MORE_ACTIONS;?></h2>
		<a href="javascript://" onclick="window.open('popup_diff.php?add_only_copy=Y','', 'scrollbars=yes,menubar=no,toolbar=no,resizable=yes,status=no,width=900,height=600');"><img src="<?php echo $_SESSION['config']['img'];?>/picto_primarygroup.gif"><em> <?php echo _SHOW_LETTER_RECEIVER_LIST_SHORT; ?> </em></a>
		&nbsp;&nbsp;
		<a href="javascript://" onclick="window.open('hist_courrier.php?title=on&id=<?php echo $_SESSION['courrier']['res_id'];?>','', 'scrollbars=yes,menubar=no,toolbar=no,resizable=yes,status=no,width=850,height=900');"><img src="<?php echo $_SESSION['config']['img'];?>/picto_primarygroup.gif"><em> <?php echo _SHOW_LETTER_HISTORY_LIST_SHORT; ?> </em></a>
<?php
	if($courr->have_mail_send($_SESSION['courrier']['res_id'])){
?>
		&nbsp;&nbsp;
		<a href="javascript://" onclick="window.open('mail_send.php?title=on&id=<?php echo $_SESSION['courrier']['res_id'];?>','', 'scrollbars=yes,menubar=no,toolbar=no,resizable=yes,status=no,width=820,height=400');"><img src="<?php echo $_SESSION['config']['img'];?>/picto_primarygroup.gif"><em> <?php echo _SHOW_MAIL_SEND; ?> </em></a>
<?php
	}
	
	if($_SESSION['config']['enablefolder'] == "true" && $_SESSION['user']['folder_rights'] === true ){
		?>
		&nbsp;&nbsp;
		<a href="javascript://" onclick="window.open('folders_put.php', '', 'width=1050px,height=890px,scrollbars=no,menubar=no,toolbar=no,resizable=no,status=no');"><img src="<?php echo $_SESSION['config']['img'];?>/picto_add.gif"><em> <?php echo _PUT_FOLDER; ?> </em></a>
		<?php
	}
	
	if ($_SESSION['user']['mail_rights']){
?>
		&nbsp;&nbsp;
		<a href="javascript://" onClick="window.open('send_doc.php?folder_id=<?php echo $_SESSION['courrier']['res_id'];?>', 'ww', 'scrollbars=yes,menubar=no,toolbar=no,resizable=yes,status=no,width=660,height=630');"><img src="<?php echo $_SESSION['config']['img'];?>/picto_primarygroup.gif" />&nbsp;<em><?php echo _SEND_BY_MAIL2; ?> </em></a>
<?php
	}
?>
	</div>

	<!--<hr width="90%" align="center" />-->

	<div class="bloc_trait">
		<h2 class="sstit"><?php echo _ANSWERS_CREATED; ?> :</h2>

		<div id="rep">
				<?php // Gestion du 'pas de reponse' par défaut
				unset($no_defined_aw);
				if($_SESSION['courrier']['rep_direct'] != "true" && $_SESSION['courrier']['rep_fax'] != "true" && $_SESSION['courrier']['rep_mail'] != "true" && $_SESSION['courrier']['rep_courrier_simple'] != "true" && $_SESSION['courrier']['rep_AR'] != "true" &&	$_SESSION['courrier']['no_rep'] != "true" && $_SESSION['courrier']['rep_autre'] != "true"):
					
					$no_defined_aw = "true";
				endif;
				
				?>

				<p>
					<label for="direct"><?php echo _DIRECT_CONTACT; ?></label>
					 <input type="checkbox" name="direct" id="direct" value="true" onclick="unckecknoaw();" <?php if ($_SESSION['courrier']['rep_direct'] == "true") {echo "checked=\"checked\"";}?> />
				</p>
				<p>
					<label for="fax"><?php echo _FAX; ?></label>
					<input type="checkbox" name="fax" id="fax" value="true" onclick="unckecknoaw();" <?php if ($_SESSION['courrier']['rep_fax'] == "true") {echo "checked=\"checked\"";}?> />
				</p>
				<p>
					<label for="mail"><?php echo _MAIL; ?></label>
					<input type="checkbox" name="mail" id="mail" value="true" onclick="unckecknoaw();" <?php if ($_SESSION['courrier']['rep_mail'] == "true") {echo "checked=\"checked\"";}?> />
				</p>
				<p>
					<label for="rep_courrier"><?php echo _SIMPLE_MAIL; ?> </label>
					<input type="checkbox" name="rep_courrier" id="rep_courrier" value="true" onclick="unckecknoaw();" <?php if ($_SESSION['courrier']['rep_courrier_simple'] == "true") {echo "checked=\"checked\"";}?> />
				</p>

				<p>
					<label for="rep_AR"><?php echo _REGISTERED_MAIL; ?> </label>
					<input type="checkbox" name="rep_AR" id="rep_AR" value="true" onclick="unckecknoaw();"  <?php if ($_SESSION['courrier']['rep_AR'] == "true") {echo "checked=\"checked\"";}?> />
				</p>
				<p>
					<label for="none"><?php echo _NO_ANSWER; ?></label>
					<input type="checkbox" name="none" id="none" value="true"  <?php if ($_SESSION['courrier']['no_rep'] == "true" || $no_defined_aw =="true") {echo "checked=\"checked\"";}?> />
				</p>

				<p>
					<label for="autre"><?php echo _OTHER; ?></label>
					<input type="checkbox" name="autre" id="autre" value="true" onclick="unckecknoaw();" <?php if ($_SESSION['courrier']['rep_autre'] <> "false") {echo "checked=\"checked\"";}?> />
					<input name="info_autre" type="text" value="<?php if(!empty($_SESSION['courrier']['rep_autre']) && $_SESSION['courrier']['rep_autre'] <> "false"){ echo $_SESSION['courrier']['rep_autre']; } else{ echo "["._DEFINE."]";} ?>" onfocus="if(this.value=='<?php echo "["._DEFINE."]";?>'){this.value='';}" />
				</p>

		</div>

		<div id="nota_bene">

			<p>
				<label ><?php echo _PROCESS_NOTES; ?>: </label>
				 <textarea name="notes" cols="30" rows="8"><?php echo $_SESSION['courrier']['notes'];?></textarea>
			</p>
		</div>

		<iframe src="managing_answers.php" name="reponses" width="100%" height="100" scrolling="auto" frameborder="0"  id="reponses"></iframe>

	</div>
	
	<?php
	
	#############################################################################
	### Création et listages des demandes d'un courrier donné
	#############################################################################
	
	if($_SESSION['config']['gdd']=="true")
	{
		include("modules/gdd/class/class_gdd.php");
		include("include/fonction.php");

		#######################################################
		### Recherche de la liste des demandes
		#######################################################
		
		$res_liste_demande = $db->query("
		SELECT 
			gdd.id,
			gdd.titre_demande,
			gtd.abreviation,
			gdd.annee,
			gdd.numero,
			gdd.date_creation,
			u.firstname,
			u.lastname
		FROM 
			gdd_demande gdd,
			gdd_type_demande gtd,
			users u
		WHERE
			gdd.fkid_courrier = ".$_SESSION['courrier']['res_id']."
			AND gdd.fkid_type_demande = gtd.id
			AND gdd.fkid_user_createur = u.user_id
		ORDER BY
			gdd.id DESC	
		");
		
		$Vli_nbre_demande = $db->nb_result();
		
		#######################################################	
		
		echo"
		<div class=\"bloc_gdd\" align=\"center\">
		
			<table border=\"0\" class=\"table_titre\">
			<tr>
				<td>
					<h2 class=\"sstit\">
						<img src=\"modules/gdd/images/demande.png\" border=\"0\" alt=\"\" width=\"20\"/>
						"._GDD." :
					</h2>
				</td>
				";
				
		if ($_SESSION['user']['gdd']==1)
		{
			echo"
				<td>
				
					<a href=\"javascript://\" class=\"choice\" onclick=\"ouvreFenetre('gdd.php?id=". $s_id."&op=creation_demande', '900, 700')\">
						<img src=\"". $_SESSION['config']['img']."/modif_liste.png\" border=\"0\" alt=\"\" />
							"._ADD_GDD."
					</a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
					
				</td>
			";
		}	
				
		echo "
			</tr>
			</table>
			
			<div style=\"clear: both;\"></div>
			
			<div class=\"groupe_carousel\">
			
				<table border=\"0\">
				<tr>
					<td valign=\"top\">
						<table border=\"0\" class=\"carousel_precedent\">
						<tr>
							<td valign=\"middle\">
								<img src=\"modules/gdd/images/precedent.png\" title=\""._GDD_PRECEDENT."\" alt=\""._GDD_PRECEDENT."\"  onclick=\"carrousel.prev();\" />
							</td>
						</tr>
						</table>
					</td>
					<td>
		";
			
					######################################################################
					### Affichage du carrousel
					######################################################################
					
					echo "
					<div id=\"carrousel\">
					";
					
					$cpt_slide=1;
					$cpt_nbre_demande = 1;
					
					$gdd = new gdd();
			
					while($val_liste_demande = $db->fetch_array())
					{
						$Vli_id_demande = $val_liste_demande[0];
						$Vls_titre_demande = $val_liste_demande[1];
						$Vls_abr_type_demande = $val_liste_demande[2];
						$Vls_annee_demande = $val_liste_demande[3];
						$Vls_num_demande = $val_liste_demande[4];
						$Vld_date_creation_demande = $val_liste_demande[5];
						$Vls_prenom_createur = $val_liste_demande[6];
						$Vls_nom_createur = $val_liste_demande[7];
						
						################################################
						
						$gdd->set_chiffre($Vls_num_demande);
						$gdd->set_annee($Vls_annee_demande);
						$gdd->set_type_label($Vls_abr_type_demande);
						
						################################################			
					
						$Vls_tableau_demande = "
						<tr>
							<td class=\"date_creation\">".date_sans_heure($Vld_date_creation_demande)."</td>
							<td class=\"numero_demande\">".$gdd->afficher_numero_gdd()."</td>
							<td class=\"titre\">".$Vls_titre_demande."</td>
							<td class=\"bouton\">
								<a href=\"javascript://\" class=\"choice\" onclick=\"ouvreFenetre('gdd.php?id_demande=". $Vli_id_demande."&op=modifier_demande', ', ')\">
									<img src=\"modules/gdd/images/open_doc.png\" width=\"20\" title=\""._GDD_OPEN." ".$gdd->afficher_numero_gdd()."\" alt=\""._GDD_OPEN." ".$gdd->afficher_numero_gdd()."\"  onclick=\"\" />
								</a>
							</td>
						</tr>
						";
					
						if($cpt_nbre_demande==1)
						{
							echo "
							<div id=\"slide".$cpt_slide."\" class=\"slide\">
								<table class=\"liste_gdd\" cellspacing=\"0\" cellpadding=\"0\" border=\"0\" width=\"100%\"> 
								<tr>
									<th>"._GDD_DATE_CREATION."</th>
									<th>"._GDD_NUMERO_DEMANDE."</th>
									<th>"._GDD_TITLE."</th>
									<th></th>
								</tr>
								$Vls_tableau_demande
							";
							
							$cpt_nbre_demande++;
						}
						elseif($cpt_nbre_demande==4)
						{
							echo "
									$Vls_tableau_demande
								</table>
							</div>
							";
							
							$cpt_nbre_demande = 1;
							$cpt_slide++;
						}
						else
						{
							echo "
							$Vls_tableau_demande
							";
						
							$cpt_nbre_demande++;
						}
						
						
					}
					
					##################################################################################################
					### On ferme le tableau et le div si le nombre total de demande n'est pas un multiple de 3
					##################################################################################################
					
					if($cpt_nbre_demande!=1 AND $Vli_nbre_demande!=0)
					{
						echo "
							</table>
						</div>
						";
					}
					
					if($Vli_nbre_demande==0)
					{
						echo"
						<div id=\"slide1\" class=\"slide\">
							<table class=\"liste_gdd\" cellspacing=\"0\" cellpadding=\"0\" border=\"0\" width=\"100%\"> 
								<tr>
									<th>"._GDD_DATE_CREATION."</th>
									<th>"._GDD_NUMERO_DEMANDE."</th>
									<th>"._GDD_TITLE."</th>
									<th></th>
								</tr>
							</table>
						</div>
						";
					}
					/*
						#############################################
						
						### création du contenu news
						
						echo "
						<div id=\"slide".$cpt."\" class=\"slide\">
							page 1
						</div>
						<div id=\"slide2\" class=\"slide\">
							page 2
						</div>
						<div id=\"slide3\" class=\"slide\">
							page 3
						</div>
						<div id=\"slide4\" class=\"slide\">
							page 4
						</div>
						";
						
						$cpt++;
					*/
					
					echo"
					</div>
					";
					
					############################################################################
				
				echo "
					</td>
					<td valign=\"top\">
						<table border=\"0\" class=\"carousel_suivant\">
						<tr>
							<td valign=\"middle\">
								<img src=\"modules/gdd/images/suivant.png\" title=\""._GDD_SUIVANT."\" alt=\""._GDD_SUIVANT."\" onclick=\"carrousel.next();\" />
							</td>
						</tr>
						</table>
					</td>
				</tr>
				</table>
			</div>
			
		</div>
		<br />
		";
		
	
	}	
	
	#############################################################################
	
	?>
	
	
	<div class="bloc_trait">
				 <table border="0">
					<tr>
					<td>
						<h2 class="sstit"><img src="<?php echo $_SESSION['config']['img'];?>/ico_notes.gif" alt="" /> <?php echo _NOTES; ?> :</h2>
					</td>
					<td>
						<?php 
							if($_SESSION['config']['private_notes'] == "true")
							{
								$windowSize = '500, 700';
							}
							else{
								$windowSize = '500, 250';
							}
						?>
						<a href="javascript://" class="choice" onclick="ouvreFenetre('notes_add.php?id=<?php echo $s_id; ?>', <?php echo $windowSize;?>)">
						<img src="<?php echo $_SESSION['config']['img'];?>/modif_liste.png" border="0" alt="" />
							<?php echo _ADD_NOTE;?>
						</a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
						<a href="javascript://" class="choice" onclick="ouvreFenetre('print_notes.php?id=<?php echo $s_id; ?>', 850, 900)">
						<img src="<?php echo $_SESSION['config']['img'];?>/printer.png" border="0" alt="" />
							<?php echo _PRINT_NOTE;?>
						</a>
					</td>
					</tr>
				</table>
				<p class="forms">
					<iframe src="notes_courrier.php?id=<?php echo $s_id; ?>" name="notes_courrier" width="550" height="120" scrolling="auto" frameborder="1" class="forms" id="notes_courrier"  ></iframe>
				</p>
	</div>
	<!--<hr width="90%" align="center" />
	-->
	
	<?php
	if( $_SESSION['config']['hide_addtional_info'] != "true" )
	{
	?>
		<div class="bloc_trait">
			<h2 class="sstit"><?php echo _MORE_INFORMATIONS;?>:</h2>

		<?php 
		if($_SESSION['config']['corporate'] == "true" && $_SESSION['config']['borough'] == "false")
		{
			include("process_corp_infos.php");
		}
		elseif($_SESSION['config']['corporate'] == "false" && $_SESSION['config']['borough'] == "false")
		{
			include("process_non_corp_infos.php");
		}

		if($_SESSION['config']['borough'] == "true")
		{
		?>
			<br/>
			<p>
				<label for="qualite"><?php echo _QUALITY;?> :</label>
				<input type="text" name="qualite" id="qualite"value="<?php if( isset($_SESSION['courrier']['qualite']) ) echo $_SESSION['courrier']['qualite'];?>" />
			</p>
			<br/>
			<p>
					<div class="borough">
						<?php echo _NUM; ?><br/>
						<input name="num" id="num" type="text" value="<?php if( isset($_SESSION['courrier']['num_rue']) ) echo $_SESSION['courrier']['num_rue'];?>"  size="8"/>
					</div>
					<div class="borough">
						<?php echo _ROAD; ?><br/>
						<input name="rue" id="rue" type="text" autocomplete="off"  value="<?php if( isset($_SESSION['courrier']['rue']) ) echo $_SESSION['courrier']['rue']; ?>" size="50"/>
						<div class="autocomplete" id="autocomplete_rue" style="position: absolute; left: 599px; top: 100px; width: 115px; display: none;"></div>
						<?php
						if( isset($_SESSION['street_commune_id']) && is_array($_SESSION['street_commune_id']) )
						{
							?>
							<script>
							new Ajax.Autocompleter("rue","autocomplete_rue","street_autocomplete.php",{
								method:'get',
								paramName:'street',
								minChars: 1,
								afterUpdateElement : function(input,li){
									var infos = li.id.evalJSON();
									if( infos.commune_label)
									{
										$('commune').value = infos.commune_label;
									}
									if( infos.postal_code)
									{
										$('cp2').value = infos.postal_code;
									}
								}
							});
							
							
							</script>
							<?php
						}
						?>
					</div>
					<div style="clear:both;"></div>
					<div class="borough">
						<?php echo _POSTAL_CODE; ?><br/>
						<input name="cp2"  id="cp2" type="text" value="<?php if( isset($_SESSION['courrier']['code']) ) echo $_SESSION['courrier']['code']; ?>" size="13" maxlength="5"/>
					</div>
					<span id="complement">
					<div class="borough" id="borough_ajax_com">
						<?php echo _COMMUNE;?><br/>
						<input name="commune"  type="text" id="commune" value="<?php if( isset($_SESSION['courrier']['ville']) ) echo $_SESSION['courrier']['ville']; ?>" size="26"/>
					</div>
					<div id="borough_ajax_all">
						<div style="clear:both;"></div>
						<div class="borough">
							<?php echo _BOROUGH;?><br/>
							<input name="arrondissement" id="arrondissement" type="text" value="<?php if( isset($_SESSION['courrier']['arrondissement']) ) echo $_SESSION['courrier']['arrondissement'];?>" size="26"/>
						</div>
						<div class="borough">
							<?php echo _CANTON;?><br/>
							<input name="canton" id="canton" type="text" value="<?php if( isset($_SESSION['courrier']['canton'] )) echo $_SESSION['courrier']['canton']; ?>" size="26"/>
						</div>
						<div class="borough">
							<?php echo _EPCI;?><br/>
							<input name="epci" id="epci" type="text" value="<?php if(isset($_SESSION['courrier']['epci'])) echo $_SESSION['courrier']['epci']; ?>" size="26" maxlength="5"/>
						</div>
					</div>
					<script>repost('borough_ajax.php',new Array('borough_ajax_com'),new Array('cp2'),'keyup',250);</script>
					</span>
			</p>
			<div style="clear:both;"></div>
			<br/>
		<?php 
		}
		?>

		</div>
	<?php
	}
	else
	{
		if($_SESSION['config']['corporate'] == "true" && $_SESSION['config']['borough'] == "false")
		{
			include("process_corp_infos.php");
		}
		elseif($_SESSION['config']['corporate'] == "false" && $_SESSION['config']['borough'] == "false")
		{
			include("process_non_corp_infos.php");
		}
		
		if($_SESSION['config']['borough'] == "true")
		{
		?>
			<input type="hidden" name="qualite" value="<?php if( !empty($_SESSION['courrier']['qualite']) )  echo $_SESSION['courrier']['qualite'];?>" />
			<input type="hidden" name="num" value="<?php if( !empty($_SESSION['courrier']['num_rue']) ) echo $_SESSION['courrier']['num_rue'];?>" />
			<input type="hidden" name="rue" value="<?php if( !empty($_SESSION['courrier']['rue']) ) echo $_SESSION['courrier']['rue'];?>" />
			<input type="hidden" name="cp2" value="<?php if( !empty($_SESSION['courrier']['code']) ) echo $_SESSION['courrier']['code'];?>" />
			<input type="hidden" name="commune" value="<?php if( !empty($_SESSION['courrier']['ville']) ) echo $_SESSION['courrier']['ville'];?>" />
			<input type="hidden" name="arrondissement" value="<?php if( !empty($_SESSION['courrier']['arrondissement']) ) echo $_SESSION['courrier']['arrondissement'];?>" />
			<input type="hidden" name="canton" value="<?php if( !empty($_SESSION['courrier']['canton']) ) echo $_SESSION['courrier']['canton'];?>" />
			<input type="hidden" name="epci" value="<?php if( !empty($_SESSION['courrier']['epci']) ) echo $_SESSION['courrier']['epci'];?>" />
		
		<?php
		}
	}	
	?>
	  <!--<hr width="90%" align="center" />-->

	<p align="center">
	<b><?php echo _ACTIONS; ?> :</b>
	<select name="finish">
	<?php 
		if($_SESSION['current_basket']['can_redirect'] == 'Y'){
	?>
			<option value="redirect"><?php echo _REDIRECT; ?></option>
	<?php 
		}
		else{ ?>
			<option value="redirect_courrier"><?php echo _LETTER_SERVICE_REDIRECT; ?></option>
	<?php 
		}
		if ($_SESSION['courrier']['status'] == 'WAI'){
			echo '<option value="continue_process" selected="selected" >'._CONTINUE_PROCESS.'</option>';
		}
		else{
			
			if($_SESSION['config']['workflow'] == "true" && $workf->type_have_workflow($_SESSION['courrier']['type_id'])){
				echo '<option value="valid_without_change_status" selected="selected" >'._ACCEPT_UPDATE.'</option>';
				
				if ($_SESSION['user']['reject_rights'] && $_SESSION['courrier']['status'] != 'RJT')
				{
					if($_SESSION['courrier']['status'] == 'FVA'){
				?>
					<option value= "reject2"><?php echo _REJECT_INVOICE; ?></option>
				<?php 
					}
					else{
				?>
					<option value= "reject"><?php echo _REJECT_INVOICE; ?></option>
				<?php 
					}
				}
				
				/*if ($_SESSION['user']['def_reject_rights'] && ($_SESSION['courrier']['status'] == 'RJT' || $_SESSION['courrier']['status'] == 'FVA'))
				{
				?>
					<option value= "def_reject"><?php echo _DEFINITIVELY_REJECT_INVOICE; ?></option> 
				<?php 
				}*/
				if ($_SESSION['user']['reject_rights'] && ($_SESSION['courrier']['status'] == 'RJT' || $_SESSION['courrier']['status'] == 'FVA'))
				{
				?>
					<option value= "def_reject"><?php echo _DEFINITIVELY_REJECT_INVOICE; ?></option> 
				<?php 
				}
				
				if ($_SESSION['user']['def_reject_rights'] && $_SESSION['courrier']['status'] == 'FVA')
				{
				?>
					<option value= "setting_payment"><?php echo _SETTING_PAYMENT; ?></option> 
				<?php 
				}
				
				if ($_SESSION['user']['validate_rights'] && $_SESSION['courrier']['status'] != 'FVA' && $workf->have_tiket($_SESSION['courrier']['res_id']))
				{
				?>
					<option value= "validate"><?php echo _VALIDATE_INVOICE; ?></option> 
				<?php 
				}
			}
			else{
				echo '<option value="valid" selected="selected" >'._ACCEPT_UPDATE.'</option>';
			}
			
			if ($_SESSION['config']['action_waitingdoc'] == "true" && $_SESSION['courrier']['status'] != 'FVA')
			{
				echo '<option value="waitingdoc">'._WAITINGDOC_PROCESS.'</option>';
			}
			
			if ($_SESSION['user']['close_rights'] == true)
			{
			?>
				<option value= "cloture"><?php echo _CLOSE_LETTER; ?></option> 
			<?php 
			}
		}
		?>
	</select>

	<input name="send" type="submit" value="<?php echo _VALIDATE; ?>" class="button"/>
	<input name="close" type="submit" value="<?php echo _CLOSE; ?>" class="button"/>
	
	</form>
	</p>
	<?php 
	}
	else
	{
	
		$by_user_id  = $courr->test_reserved_time($_SESSION['courrier']['res_id'], $table);
		$db->query("select firstname, lastname from ".$_SESSION['tablename']['users']." where user_id = '".$by_user_id."'");
		
		if($db->nb_result() > 0)
		{
			$resu = $db->fetch_object();
			$locking_user = $resu->firstname.' '.$resu->lastname;
		}
	?>
		<div style="margin-left:10px;">
			<h1 class="tit" id="action_title"><img src="<?php echo $_SESSION['config']['img'];?>/file_index_b.gif"  align="middle" alt="" /><?php echo _N_PROCESS_FOLDER." ".$_SESSION['courrier']['res_id'] ;?></h1>
			
			<div><?php echo _DOC_ALREADY_RSV.' ('.$locking_user.')';?>.</div>
			<div align="center"><input type="button" name="close_window" id="close_window" value="<?php echo _CLOSE_WINDOW;?>" class="button" onclick="javascript:window.parent.close();"/></div>
		</div>
	<?php 
	}
}
	?>
	<br/><br/><br/>
	<br/><br/><br/>
	<br/>
	<?php if($_SESSION['config']['debug'] == "true")
	{
		?>
		<div id="debug">
			<div id="debugheader">COOKIE</div>
				<?php $func->show_array($_COOKIE);
				?>
			<div id="debugheader">POST</div>
				<?php $func->show_array($_POST);
				?>
			<div id="debugheader">SESSION</div>
				<?php $func->show_array($_SESSION);
				?>
			<div id="debugfooter">Debug Mode</div>
		</div>
		<?php }
	?>
</div>
</body>
</html>
