<?php 
/**
* File : red_doc_popup.php
*
* Pop up to redirect mail in basket
*
* @package Maarch LetterBox 2.3
* @version 1.0
* @since 10/2007
* @license GPL
* @author  Claire Figueras  <dev@maarch.org>
* @author  Loic Vinet
*/

require("class_functions.php");
require_once("class_db.php");
require_once("class_letterbox.php");
require_once("class_diffusion.php");
include("session.php");

if(file_exists($_SESSION['config']['lang'].'.php'))
{
	include($_SESSION['config']['lang'].'.php');
}
else
{
	$_SESSION['error'] = "Language file missing...<br/>";
}
$lb = new letterbox();

if($_SESSION['current_basket']['is_global'] == "Y")
{

	//Verifier que l'un des documents n'est pas dj reserv
	$courr = new LetterBox();
	$locktime = $_SESSION['current_basket']['locktime'];
	$reserved = false;
	
	for($i=0;$i < count($_SESSION['chosen_doc']);$i++)
	{
		$by_user_id = $courr->test_reserved_time($_SESSION['chosen_doc'][$i],"res_x");
		
		if( $by_user_id != null && $by_user_id != $_SESSION['user']['UserId'] )
			$reserved = true;
	}
	//Reserv
	if($reserved)
	{
		?>
		<div style="margin-left:10px;">
			<h1 class="tit" id="action_title"><img src="<?php echo $_SESSION['config']['img'];?>/file_index_b.gif"  align="middle" alt="" /></h1>
			
			<div><?php echo _DOC_ALREADY_RSV;?>.</div>
			<div align="center"><input type="button" name="close_window" id="close_window" value="<?php echo _CLOSE_WINDOW;?>" class="button" onClick="javascript:window.parent.close();"/></div>
		</div>
		<?php 
	}
	//Non reserv
	else
	{
		//On reserve les courriers
		for($i=0;$i < count($_SESSION['chosen_doc']);$i++)
		{
			$courr->is_locked($_SESSION['chosen_doc'][$i],"res_x",$locktime);
		}
	}
}
if(isset($_REQUEST['cancel']))
{
	
	if($_SESSION['current_basket']['is_global'] == "Y")
	{
		//Libre les documents
		for($i=0;$i < count($_SESSION['chosen_doc']);$i++)
		{
			$courr->release($_SESSION['chosen_doc'][$i],"res_x");
		}
		
		$_SESSION['chosen_doc'] = array();
	
		?>	
		<script type="text/javascript" language="javascript">
		window.parent.opener.location.reload();
		window.close();
		</script>
		<?php 
		exit;
	}
	else
	{
		$_SESSION['chosen_doc'] = array();
		
		?>	
		<script type="text/javascript" language="javascript">
		window.close();
		</script>
		<?php 
		exit;
		
	}
}

$db = new dbquery();
$db->connect();
$connexion = new dbquery();
$connexion->connect();
$func = new functions();
$services = array();
$users = array();


$_SESSION["diffusion"] = 
new diffusion($db,$_SESSION['user']['UserId'],$_SESSION['user']['delete_copy_rights'],$_SESSION['config']['modifycopylist'],
$_SESSION['config']['redirect_list'],$_SESSION['config']['tag100_for_copy']);
$_SESSION["diffusion"]->load_from_db("res_x",$_SESSION['chosen_doc'][0]);
//$_SESSION["diffusion"]->reset();

if(!empty($_SESSION['current_basket']['redirect_services']) && $_SESSION['current_basket']['can_redirect'] == 'Y')
{
	$db->query("select * from ".$_SESSION['tablename']['services']." where ID in (".$_SESSION['current_basket']['redirect_services'].") and ENABLED = 'Y'");

	while($res = $db->fetch_object())
	{
		array_push($services, array( 'ID' => $res->ID, 'LABEL' => $res->SERVICE));
	}
	function cmp($a, $b)
	{
   	 return strcmp($a["LABEL"], $b["LABEL"]);
	}
	usort($services, "cmp");

}

if(!empty($_SESSION['current_basket']['redirect_users']) && $_SESSION['current_basket']['can_redirect'] == 'Y')
{
	$db2 = new dbquery();
	$db2->connect();
	
	$sql_users = "select DISTINCT uc.USER_ID, u.LASTNAME from ".$_SESSION['tablename']['usergroup_content']." uc, ".$_SESSION['tablename']['users']." u where GROUP_ID in (".$_SESSION['current_basket']['redirect_users'].") and u.USER_ID = uc.USER_ID  and u.ENABLED = 'Y'";
	$order_by = "order by u.LASTNAME asc";
	
	if($_SESSION['config']['show_only_elu_in_mailing_list'] == 'true')
		$sql_users .= "AND u.ELU = 'Y' ";
	
	$db->query($sql_users." ".$order_by);
	
	while($res = $db->fetch_object())
	{
		$db2->query("select LASTNAME, FIRSTNAME from ".$_SESSION['tablename']['users']." where USER_ID = '".$res->USER_ID."' and USER_ID <> ''");
		
		$res2 = $db2->fetch_object();
		array_push($users, array( 'ID' => $res->USER_ID, 'NOM' => $res2->LASTNAME, "PRENOM" => $res2->FIRSTNAME, "SERVICE" => $res->DEPARTMENT));
	}

}


if(isset($_REQUEST['valid1']))
{
	for($i=0;$i < count($_SESSION['chosen_doc']);$i++)
	{	
		$_SESSION["diffusion"]->load_from_db("res_x",$_SESSION['chosen_doc'][$i]);
		$_SESSION["diffusion"]->redirect_to_user("courrier");
		$_SESSION["diffusion"]->store();

		$lb->release($_SESSION['chosen_doc'][$i],"res_x");
		
	}

		$_SESSION['chosen_doc'] = array();
		unset($_SESSION["diffusion"]);
		
		if($_REQUEST['process'] <> "true" || !isset($_REQUEST['process']))
		{
		?>
		<script language="javascript" type="text/javascript">window.opener.location.reload();self.close();</script>
		<?php 
		exit;
		}
        else
		{
		?>
		<script language="javascript" type="text/javascript">window.opener.top.opener.location.reload();window.opener.top.close();self.close();</script>
		<?php 
		exit;
		}
}
$erreur = "";
if(isset($_REQUEST['valid2']) )
{
	if(isset($_REQUEST['service']) && !empty($_REQUEST['service']))
	{
		for($i=0;$i<count($_SESSION['chosen_doc']);$i++)
		{
			if(empty($_SESSION['error']))
			{
				if( isset($_REQUEST['mail_action_service']) && !empty($_REQUEST['mail_action_service']) )
					$mail_action = $_REQUEST['mail_action_service'];
				else
					$mail_action = null;
			
			
				$_SESSION["diffusion"]->load_from_db("res_x",$_SESSION['chosen_doc'][$i]);
				$_SESSION["diffusion"]->redirect_to_service($_REQUEST['service'],$mail_action);
				$_SESSION["diffusion"]->store();
			
			}
			
			$lb->release($_SESSION['chosen_doc'][$i],"res_x");
		}
		
		$_SESSION['chosen_doc'] = array();
		if($_REQUEST['process'] <> "true" || !isset($_REQUEST['process']))
		{
			?>
			<script language="javascript" type="text/javascript">window.opener.location.reload();self.close();</script>
			<?php 
			exit;
		}
		else
		{
			?>
			<script language="javascript" type="text/javascript">window.parent.top.close();window.parent.top.opener.location.reload();</script>
			<?php 
			exit;
		}
	}
	else
	{
		$erreur .= _CHOOSE_DEP."!<br/>";
	}
}
if(isset($_REQUEST['valid3']) )
{
	if(isset($_REQUEST['user']) && !empty($_REQUEST['user']))
	{
		for($i=0;$i < count($_SESSION['chosen_doc']);$i++)
		{
			if( isset($_REQUEST['mail_action_user']) && !empty($_REQUEST['mail_action_user']) )
				$mail_action = $_REQUEST['mail_action_user'];
			else
				$mail_action = null;
		

			$_SESSION["diffusion"]->load_from_db("res_x",$_SESSION['chosen_doc'][$i]);
			$_SESSION["diffusion"]->redirect_to_user($_REQUEST['user'],$mail_action);
			$_SESSION["diffusion"]->store();						  
					
			$lb->release($_SESSION['chosen_doc'][$i],"res_x");
		}

		$_SESSION['chosen_doc'] = array();
		if($_REQUEST['process'] <> "true" || !isset($_REQUEST['process']))
		{
		?>
		<script language="javascript" type="text/javascript">window.opener.location.reload();self.close();</script>
		<?php 
		exit;
		}
        else
		{

		?>
		<script language="javascript" type="text/javascript">window.opener.top.opener.location.reload();window.opener.top.close();self.close();</script>
		<?php 
		exit;
		}
	}
	else
	{
		$erreur .= _CHOOSE_USER."!<br/>";
	}
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $_SESSION['config']['lang'] ?>" lang="<?php echo $_SESSION['config']['lang'] ?>">
<head>
	<title><?php echo $_SESSION['config']['applicationname']; ?></title>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta http-equiv="Content-Language" content="<?php echo $_SESSION['config']['lang'] ?>" />
	<link rel="stylesheet" type="text/css" href="<?php echo $_SESSION['config']['css']; ?>" media="screen" />
	<!--[if lt IE 7.0]>  <link rel="stylesheet" type="text/css" href="<?php echo $_SESSION['config']['css_IE']; ?>" media="screen" />  <![endif]-->
	<!--[if gte IE 7.0]>  <link rel="stylesheet" type="text/css" href="<?php echo $_SESSION['config']['css_IE7']; ?>" media="screen" />  <![endif]-->
	<script type="text/javascript" src="js/functions.js"></script>
	<script type="text/javascript" src="js/prototype.js"></script>
	<script language="javascript">
	function break_cache(page_href){
	
		var rep = page_href.replace(/(&breakcache=[0-9]*)/g,"&breakcache=<?php echo rand(); ?>");
	
		if( rep != page_href) return rep;
		else 	return page_href + '&breakcache=<?php echo rand(); ?>';
	}
	
	function break_get(page_href){
	
		return page_href.replace(/(&action=(.{3}))/g,"");
	}
	</script>
</head>
<body
<?php
if(isset($_SESSION['current_basket']['locktime']) && $_SESSION['current_basket']['locktime'] > 0) 
{
	$_SESSION['reload'] = true;
	echo " 	onLoad=\"window.opener.location.href = break_cache(break_get(window.opener.location.href));
			setTimeout(function(){window.parent.top.close();},".($_SESSION['current_basket']['locktime'] * 60 * 1000).");\"";
}
?>>
<br/>
<br/>
<div class="error"><?php echo $erreur; $erreur= "";?></div>
<h2 class="title"><?php echo _REDIRECT_MAIL;?>
<?php echo $_SESSION['chosen_doc'][0];
for($i=1; $i < count($_SESSION['chosen_doc']);$i++)
{
	echo ', '.$_SESSION['chosen_doc'][$i];
}
?></h2>
<br/>
<br/>
<?php if( $_SESSION['current_basket']['can_redirect'] == 'Y')
{

	if( $_SESSION['config']['hide_letter_service_redirect'] != "true" )
	{
	?>
	<div id="form1">
	<form name="red_form1" id="red_form1" method="post" class="forms">
	<p ><label> <?php echo _LETTER_SERVICE_REDIRECT;?> :</label>
	<input type="submit" name="valid1" id="valid1" value="<?php echo _REDIRECT;?>" class="button" /></p>
	</form>
	</div>
	<?php
	}
	?>
<?php if(!empty($_SESSION['current_basket']['redirect_services']))
{
?>
<hr />
<div id="form2">
<form name="red_form2" id="red_form2" method="post" class="forms">
<p>
	<label> <?php echo _REDIRECT_TO_OTHER_DEP;?> :</label>
	<select name="service" id="service" onchange="$('list_diff').src='liste_diffusion.php?reset=Y&service_change='+$('service').value+'&mail_action='+$('mail_action_service').value;" >
			<option value="-1"><?php echo _CHOOSE_DEPARTMENT;?></option>
		   <?php for($i=0; $i < count($services); $i++)
		   {
		   
			?>
			<option value="<?php echo $services[$i]['ID'];?>"><?php echo $func->show($services[$i]['LABEL']);?></option>
			<?php 
			
		   }
	   ?>
	</select>
	<input type="submit" name="valid2" value="<?php echo _REDIRECT;?>" id="valid2" class="button" />
</p>
<p>
	<label><?php echo _MAIL_ACTIONS;?> :</label>
	<select name="mail_action_service" id="mail_action_service" onchange="$('list_diff').src='liste_diffusion.php?reset=Y&service_change='+$('service').value+'&mail_action='+$('mail_action_service').value;">
	<?php 
	foreach($_SESSION['mail_action'] as $key => $value)
	{
		if(is_array($_SESSION['mail_action'][$key]) && !empty($value['label']) )
		{
			?>
		   <option value="<?php echo $key;?>"><?php echo $value['label']; ?></option>
		   <?php
		}
	}
	?>
	</select>
	&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
</p>
<p><br/><iframe name="list_diff" id="list_diff" src="liste_diffusion.php"  height="180" width="370" scrolling="auto"  frameborder="1"></iframe></p>
		<!--
		<p>
				 <img src="<?php echo $_SESSION['config']['img'];?>/modif_liste.png" border="0" alt="" /><em>
		 		 <a href="javascript://" onclick="javascript:ouvreFenetre('popup_diff.php?redirect', 900, 650)"><?php echo _UPDATE_DIFFUSION_LIST;?></a></em>
	 	</p>
		-->
</form>
</div>
<?php 
}
if(!empty($_SESSION['current_basket']['redirect_users']))
{
?>
<hr />
<div id="form3">
<form name="red_form3" id="red_form3" method="post" class="forms">
<p>
	<label><?php echo _REDIRECT_TO_USER;?> :</label>
    <select name="user" id="user" onchange="$('list_diff').src='liste_diffusion.php?reset=Y&user_change='+$('user').value+'&mail_action='+$('mail_action_user').value;">
     <option value=""><?php echo _CHOOSE_USER2;?></option>
	   <?php for($i=0; $i < count($users); $i++)
	   {
		?>
		<option value="<?php echo $users[$i]['ID'];?>"><?php echo $users[$i]['NOM'].' '.$users[$i]['PRENOM'];?></option>
		<?php 
	   }
	   ?>
    </select>
    <input type="submit" name="valid3" id="valid3" value="<?php echo _REDIRECT;?>" class="button" />
</p>
<p>
	<label><?php echo _MAIL_ACTIONS;?> :</label>
	<select name="mail_action_user" id="mail_action_user" onchange="$('list_diff').src='liste_diffusion.php?reset=Y&user_change='+$('user').value+'&mail_action='+$('mail_action_user').value;">
	<?php 
	foreach($_SESSION['mail_action'] as $key => $value)
	{
		if(is_array($_SESSION['mail_action'][$key]) && !empty($value['label']) )
		{
			?>
	       <option value="<?php echo $key;?>"><?php echo $value['label']; ?></option>
	       <?php
		}
	}
	?>
	</select>
	&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
</p>
</form>
</div>
<?php } ?>
<hr />
<div>
<form name="formcancel" id="formcancel" method="post" >
<input type="submit" name="cancel" id="cancel" class="button"  value="<?php echo _CANCEL;?>" />
</form>
</div>
<?php }
else
{
	?>
    <div><?php echo _NO_REDIRECT_RIGHT;?>.</div>
    <?php 
}
?>
</body>
</html>
