<?php /**
* File : search_doc_result.php
*
* Result of the search form search_doc.php
*
* @package Maarch LetterBox 2.3
* @version 1.0
* @since 10/2007
* @license GPL
* @author  Claire Figueras  <dev@maarch.org>
*/
  
 include("session.php");
 require("class_functions.php");
 require("class_db.php");
require("class_search.php");

if(file_exists($_SESSION['config']['lang'].'.php'))
{
	include($_SESSION['config']['lang'].'.php');
}
else
{
	$_SESSION['error'] = "Language file missing...<br/>";
}
$func = new functions();
$the_search = new search();
$fields = "";
$orderby = "";


// define the row of the start
if(isset($_GET['start']))
{
	$start = $_GET['start'];
}
else
{
	$start = 0;
}
$_SESSION['attach_doc'] = array();
$where_request = "";

/*
 * Recherche suivant le champ emetteur
 * 
 */
if(($_GET['emetteur']) <> "")
{
	$s_emetteur = $func->wash($_GET['emetteur'],"no",_SHIPPER,"no");
	$_SESSION['attach_doc']['emetteur_search']= $s_emetteur;
	$where_request .= "AUTHOR LIKE  '%".$s_emetteur."%' ";
	$where_request .=" and  ";
}
elseif(isset($_SESSION['attach_doc']['emetteur_search']) && !empty($_SESSION['attach_doc']['emetteur_search']))
{
	$where_request .= "AUTHOR LIKE  '%".$_SESSION['attach_doc']['emetteur_search']."%' ";
	$where_request .=" and  ";
}
else
{
	$s_emetteur= "";
	$_SESSION['attach_doc']['emetteur_search']="";
}

/*
 * Recherche suivant l'affaire
 * 
 */ 	
if(($_GET['numcourrier']) <> "")
{
	$s_numcourrier = $func->wash($_GET['numcourrier'], "no", _MAIL_IDENTIFIER,"no");
	$_SESSION['attach_doc']['numcourrier'] = $s_numcourrier;
	$where_request .= "IDENTIFIER LIKE '%".$s_numcourrier."%' and ";
}
elseif(isset($_SESSION['attach_doc']['numcourrier']) && !empty($_SESSION['attach_doc']['numcourrier']))
{
	$where_request .= "IDENTIFIER LIKE '%".$_SESSION['attach_doc']['numcourrier']."%' and ";
}
else
{
	$s_numcourrier = "";
	$_SESSION['attach_doc']['numcourrier'] = "";
}

/* 
 * Recherche suivant le numéro de l'affaire
 * 
 */ 
if(($_GET['numged']) <> "")
{
	$s_numged = $func->wash($_GET['numged'], "no", _N_GED,"no");
	$_SESSION['attach_doc']['numged'] = $s_numged;
	$where_request .= "RES_ID = ".$s_numged." and ";
}
elseif(isset($_SESSION['attach_doc']['numged']) && !empty($_SESSION['attach_doc']['numged']))
{
	$where_request .= "RES_ID = ".$_SESSION['attach_doc']['numged']." and ";
}
else
{
	$s_numged = "";
	$_SESSION['attach_doc']['numged'] = "";
}

/* 
 * Recherche suivant le destinataire
 * 
 */ 
if(($_GET['destinataire']) <> "")
{
	$s_destinataire = $func->wash($_GET['destinataire'], "no", _RECIPIENT , "no");
	$_SESSION['attach_doc']['destinataire'] = $s_destinataire;
	$where_request .= "DEST_USER LIKE '%".$s_destinataire."%' and ";
}
elseif(isset($_SESSION['attach_doc']['destinataire']) && !empty($_SESSION['attach_doc']['destinataire']))
{
	$where_request .= "DEST_USER LIKE '%".$_SESSION['attach_doc']['destinataire']."%' and ";
}
else
{
	$s_destinataire = "";
	$_SESSION['attach_doc']['destinataire'] = "";
}

/* 
 * Recherche suivant l'objet de l'affaire
 * 
 */ 
if(isset($_GET['objet']) && !empty($_GET['objet']) )
{
	$_SESSION['attach_doc']['objet'] = $_GET['objet'];
	$where_request .= "DESCRIPTION LIKE '%".$_SESSION['attach_doc']['objet']."%' and ";
}
elseif(isset($_SESSION['attach_doc']['objet']) && !empty($_SESSION['attach_doc']['objet']))
{
	$where_request .= "DESCRIPTION LIKE '%".$_SESSION['attach_doc']['objet']."%' and ";
}
else
{
	$s_objet = "";
	$_SESSION['attach_doc']['objet'] = "";
}

/*
 * Recherche suivant le type de l'affaire
 * 
 */  
if(	($_GET['type']) <> "")
{
	$s_type = $func->wash($_GET['type'], "no", _DOCTYPE,"no");
	$_SESSION['attach_doc']['type'] = $s_type;
	$where_request .= "TYPE_ID = '".$s_type."' and ";
}
elseif(isset($_SESSION['attach_doc']['type']) && !empty($_SESSION['attach_doc']['type']))
{
	$where_request .= "TYPE_ID = '".$_SESSION['attach_doc']['type']."' and ";
}
else
{
	$s_type = "";
	$_SESSION['attach_doc']['type'] = $s_type;
}


/* 
 * Recherche suivant la nature de l'envoi
 * 
 */ 
if(($_GET['naturesend']) <> "")
{
	$s_naturesend = $func->wash($_GET['naturesend'], "no", _INVOICE_TYPE,"no");
	$_SESSION['attach_doc']['naturesend'] = $s_naturesend;
	$where_request .= "CUSTOM_T2 = '".$s_naturesend."' and ";
}
elseif(isset($_SESSION['attach_doc']['naturesend']) && !empty($_SESSION['attach_doc']['naturesend']))
{
	$where_request .= "CUSTOM_T2 = '".$_SESSION['attach_doc']['naturesend']."' and ";
}
else
{
	$s_naturesend = "";
	$_SESSION['attach_doc']['naturesend'] = $s_naturesend;
}


$_SESSION['attach_doc']['enr_from']="";

/*
 * Recherche suivant la date de début d'enregistrement
 * 
 */ 
if($_GET['enr_from']<>'')
{
	$tmp = $func->inverse_date($_GET['enr_from']);
	if( preg_match("/^[1-2][0-9][0-9][0-9]-[0-1][0-9]-[0-3][0-9]$/",$tmp)==false )
	{
		$_SESSION['error'] .= _WRONG_DATE_FORMAT.' : '.$_GET['enr_from'];
	}
	else
	{
		$enr_from = "";
		$enr_from = str_replace('-','',$tmp);
		$_SESSION['attach_doc']['enr_from'] = $_GET['enr_from'] ;
		$where_request .= " (CREATION_DATE > ".$enr_from.") and ";
	}
}
elseif(isset($_SESSION['attach_doc']['enr_from']) && !empty($_SESSION['attach_doc']['enr_from']))
{
	$tmp = $func->inverse_date($_SESSION['attach_doc']['enr_from']);
	$enr_from = "";
	$enr_from = str_replace('-','',$tmp);
	$where_request .= " (CREATION_DATE > ".$enr_from.") and ";
}
else
{
	$_SESSION['attach_doc']['enr_from']= "";
}

$_SESSION['attach_doc']['enr_to']="";

/* 
 * Recherche suivant la date de fin d'enregistrement
 * 
 */ 
if($_GET['enr_to']<>'')
{
	$tmp = $func->inverse_date($_GET['enr_to']);
	if( preg_match("/^[1-2][0-9][0-9][0-9]-[0-1][0-9]-[0-3][0-9]$/",$tmp )==false )
	{
		$_SESSION['error'] .= _WRONG_DATE_FORMAT.' : '.$_GET['enr_to'];
	}
	else
	{
		$enr_to = "";
		$enr_to = str_replace('-','',$tmp);
		$_SESSION['attach_doc']['enr_to'] = $_GET['enr_to'];
		$where_request .= " (CREATION_DATE <	".$enr_to.") and ";
	}
}
elseif(isset($_SESSION['attach_doc']['enr_to']) && !empty($_SESSION['attach_doc']['enr_to']))
{
	$tmp = $func->inverse_date($_SESSION['attach_doc']['enr_to']);
	$enr_to = "";
	$enr_to = str_replace('-','',$tmp);
	$where_request .= " (CREATION_DATE < ".$enr_to.") and ";
}
else
{
	$_SESSION['attach_doc']['enr_to']= "";
}

$_SESSION['attach_doc']['trait_from']="";


/* 
 * Recherche suivant la date de début de traitement
 * 
 */ 
if($_GET['trait_from']<>'')
{
	$tmp = $func->inverse_date($_GET['trait_from']);
	if( preg_match("/^[1-2][0-9][0-9][0-9]-[0-1][0-9]-[0-3][0-9]$/",$tmp)==false )
	{
		$_SESSION['error'] .=  _WRONG_DATE_FORMAT.' : '.$_GET['trait_from'];
	}
	else
	{
		$trait_from = "";
		$trait_from = str_replace('-','',$tmp);
		$_SESSION['attach_doc']['trait_from'] = $_GET['trait_from'];
		$where_request .= " (CUSTOM_D3 > ".$trait_from.") and ";
	}
}
elseif(isset($_SESSION['attach_doc']['trait_from']) && !empty($_SESSION['attach_doc']['trait_from']))
{
	$tmp = $func->inverse_date($_SESSION['attach_doc']['trait_from']);
	$trait_from = "";
	$trait_from = str_replace('-','',$tmp);
	$where_request .= " (CUSTOM_D3 > ".$trait_from.") and ";
}
else
{
	$_SESSION['attach_doc']['trait_from']= "";
}

$_SESSION['attach_doc']['trait_to']="";

/*
 * Recherche suivant le numéro de gid
 * 
 */ 
if(($_GET['gid_id']) <> "")
{
	$s_gid_id = $_GET['gid_id'];
	$_SESSION['search_gid_id'] = $s_gid_id;
	$where_request .= "r.GID_ID LIKE '%".$s_gid_id."%' and ";
}
else
{
	$s_gid_id = "";
	$_SESSION['search_gid_id'] = "";
}

/* 
 * Recherche suivant la date de fin de traitement
 * 
 */ 
if($_GET['trait_to']<>'')
{
	$tmp = $func->inverse_date($_GET['trait_to']);
	if( preg_match("/^[1-2][0-9][0-9][0-9]-[0-1][0-9]-[0-3][0-9]$/",$tmp)==false )
	{
		$_SESSION['error'] = _WRONG_DATE_FORMAT.' : '.$_GET['trait_to'];
	}
	else
	{
		$trait_to = "";
		$trait_to = str_replace('-','',$tmp);
		$_SESSION['attach_doc']['trait_to'] = $_GET['trait_to'];
		$where_request .= " (CUSTOM_D3 < ".$trait_to.") and ";
	}
}
elseif(isset($_SESSION['attach_doc']['trait_to']) && !empty($_SESSION['attach_doc']['trait_to']))
{
	$tmp = $func->inverse_date($_SESSION['attach_doc']['trait_to']);
	$trait_from = "";
	$trait_to = str_replace('-','',$tmp);
	$where_request .= " (CUSTOM_D3 < ".$trait_to.") and ";
}
else
{
	$_SESSION['attach_doc']['trait_to']= "";
}

/*
 * Traitement suivant le service traitant
 * 
 */ 
if(($_GET['services']))
{
	$s_services = $func->wash($_GET['services'], "no", _DEPARTMENT,"no");
	$_SESSION['attach_doc']['services'] = $s_services;
	$where_request .= "DESTINATION = '".$s_services."' and ";
}
elseif(isset($_SESSION['attach_doc']['services']) && !empty($_SESSION['attach_doc']['services']))
{
	$where_request .= "DESTINATION = '".$_SESSION['services']."' and ";
}
else
{
	$s_services = "";
	$_SESSION['attach_doc']['services'] = $s_services;
}

/*
 * Traitement suivant le statut
 * 
 */ 
if(($_GET['status']))
{
	$s_status = $func->wash($_GET['status'], "no", _STATUS ,"no");
	$_SESSION['attach_doc']['status'] = $s_status;
	if (($_GET['status']=="REL1"))
	{

	//$datenow=date("Y-m-d") ;
	$where_request .="( date(CUSTOM_D4) <= CURDATE() and date(CUSTOM_D5) > CURDATE() and STATUS <> 'END' and STATUS <> 'OUT' ) and ";
	}
	else
	{
		if (($_GET['status']=="REL2"))
		{
			//$datenow=date("d-m-Y") ;
			$where_request .="( CURDATE() >= date(CUSTOM_D5) and STATUS <> 'END' and STATUS <> 'OUT' ) and ";
		}
		else
		{		
			if($_GET['status']<>"OUT")
			{
				$where_request .= " STATUS = '".$s_status."' and STATUS <> 'OUT' and ";
			}
			else
			{
				//$where_request .= " STATUS = '".$s_status."' and IS_INGOING = 'N' and";
				$where_request .= " IS_INGOING = 'N' and";
			}
		}
	}	
}
elseif(isset($_SESSION['attach_doc']['status']) && !empty($_SESSION['attach_doc']['status']))
{
	if (($_SESSION['attach_doc']['status']=="REL1"))
	{

	//$datenow=date("Y-m-d") ;
	$where_request .="( date(CUSTOM_D4) <= CURDATE() and date(CUSTOM_D5) > CURDATE() and STATUS <> 'END' and STATUS <> 'OUT' ) and ";
	}
	else
	{
		if (($_SESSION['attach_doc']['status']=="REL2"))
		{
			//$datenow=date("d-m-Y") ;
			$where_request .="( CURDATE() >= date(CUSTOM_D5) and STATUS <> 'END' and STATUS <> 'OUT' ) and ";
		}
		else
		{		
			if($_SESSION['attach_doc']['status']<>"OUT")
			{
				$where_request .= " STATUS = '".$_SESSION['attach_doc']['status']."' and STATUS <> 'OUT' and ";
			}
			else
			{
				//$where_request .= " STATUS = '".$s_status."' and IS_INGOING = 'N' and";
				$where_request .= " IS_INGOING = 'N' and";
			}
		}
	}	
}
else
{
	$s_status = "";
	$_SESSION['attach_doc']['status'] = $s_status;
}

if($_REQUEST['find_folder'] == true)
{
	$where_request .= " IS_FOLDER = 'Y' and";
}

if($_REQUEST['find_folder'] == true)
{
	$where_request .= " IS_FOLDER = 'Y' and";
}

$redirect_page = '';
if(isset($_REQUEST['redirect_page']) && !empty($_REQUEST['redirect_page']))
{
	$redirect_page = $_REQUEST['redirect_page'];
}

$_SESSION['doc_to_attach'] = '';
if(isset($_REQUEST['doc_to_attach']) && !empty($_REQUEST['doc_to_attach']))
{
	$_SESSION['doc_to_attach'] = $_REQUEST['doc_to_attach'];
	$where_request .= " r.RES_ID <> '".$_SESSION['doc_to_attach']."' and";
}


require("load_extensions.php");

if ($_SESSION['tablechoice'] == "")
{
	$_SESSION['tablechoice'] = $_SESSION['ressources'][0]['tablename'];
}



if(!empty($_SESSION['error']))
{
	$func->echo_error(_ADV_SEARCH_TITLE, "<br /><div class=\"error\">"._MUST_CORRECT_ERRORS." : <br /><br /><strong>".$_SESSION['error']."<br /><a href=\"search_doc.php\">"._CLICK_HERE_TO_CORRECT."</a></strong></div>");
}
else
{
	$fields .= "r.RES_ID,r.TITLE,r.DESCRIPTION,date(r.CREATION_DATE),r.FORMAT,r.AUTHOR,r.RIGHTS,r.DEST_USER,r.STATUS, r.TYPE_ID,r.DESTINATION, r.IDENTIFIER ";
	
	for($i=0;$i<count($_SESSION['columnsresults']);$i++)
	{
		$fields .= $_SESSION['columnsresults'][$i]['tablename'].",";
	}
	
	$fields = substr($fields,0,strlen($fields)-1);
	
	$where_request = trim($where_request);
	$where2 = "";
	
	for($i=0; $i < count($_SESSION['user']['security']); $i++)
	{
		if($_SESSION['tablechoice'] == $_SESSION['user']['security'][$i]['table'])
		{
			if($s_where == "" && $no_format && $no_type && $_SESSION['datefin'] == "" &&  $_SESSION['datestart'] =="")
			{
				$where2 = " ( ".$_SESSION['user']['security'][$i]['where']." ) ";
			}
			else
			{
				$where2 = " ( ".$_SESSION['user']['security'][$i]['where']." ) ";
			}
		}
	}
	
	
	$_SESSION['where_request']=$where_request;

	
	$connexion = new dbquery();
	$connexion->connect();

	
	$connexion->query("select count(*) as TOTAL  from ".$_SESSION['tablechoice']." r where status <> 'DEL' and status <> 'REP' and status <> 'ATT' and status <> 'RSV' and DEST_USER <> 'courrier' and status <> 'OUT' and status <> 'END' and status <> 'RJD' and status <> 'MEP' and IS_FOLDER='Y'  and ".$where_request." ".$where2." limit 0,500 ");
	

	$res = $connexion->fetch_object();
	$nb_total = $res->TOTAL;
	$label_nb_total = $res->TOTAL;
	if($nb_total > 500)
	{
		$nb_total = 500;
		$label_nb_total = '> &agrave; 500';
	}
		
	$orderby = $the_search->define_order();
	
	
	$connexion->query("select ".$fields." from ".$_SESSION['tablechoice']." r where ".$where_request."  ".$where2."  and status <> 'DEL' and status <> 'REP' and status <> 'OUT' and DEST_USER <> 'courrier' and status <> 'END' and IS_FOLDER='Y' and status <> 'ATT' and status <> 'RSV'  and status <> 'RJD' and status <> 'MEP' ".$orderby." limit ".$start.",".$_SESSION['config']['nblinetoshow']);
		
	//$connexion->show();
		if($connexion->nb_result() > 0)
		{
			$tab=array();
			$val=array();
			$i=0;
			
			while ($value = $connexion->fetch_array())
			{
				
				$val[$i]=array("RES_ID" => $value[0],"TITLE" => $value[1],"DESCRIPTION" => $value[2],"CUSTOM_D1" => $value[3],"FORMAT" => $value[4],"AUTHOR" => $value[5],"DEST_USER"	 => $value[7],"STATUS" => $value[8], "LIB_TYPE" => $value[9], "DESTINATION" => $value[10], "IDENTIFIER" => $value[11]);
				
				array_push($tab,$val[$i]);
				$i++;
			}
			
			$table ="";
			for($i=0; $i < count($_SESSION['ressources']); $i++)
			{
				if($_SESSION['tablechoice'] == $_SESSION['ressources'][$i]['tablename'])
				{
					$table = $_SESSION['ressources'][$i]['comment'];
					break;
				}
			}
			
			$title = _SEARCH_RESULTS ;
			if($nb_total > 1)
			{
				$title .= " (".$label_nb_total." "._DOCUMENTS.")";
			}
			$the_search->reset();
			$the_search->list_doc2($tab,$nb_total,$title,$s_search,"search", $_REQUEST['find_folder'], $redirect_page);
		}
		else
		{
			//$func->echo_error(_ADV_SEARCH_TITLE,"<p class=\"error\"><img src=\"".$_SESSION['config']['img']."/noresult.gif\" /><br />"._NO_RESULTS."</p>");?>
			<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $_SESSION['config']['lang'] ?>" lang="<?php echo $_SESSION['config']['lang'] ?>">
<head>
	<title><?php echo $_SESSION['config']['applicationname']; ?></title>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<meta http-equiv="Content-Language" content="<?php echo $_SESSION['config']['lang'] ?>" />
	<link rel="stylesheet" type="text/css" href="<?php echo $_SESSION['config']['css']; ?>" media="screen" />
	<!--[if lt IE 7.0]>  <link rel="stylesheet" type="text/css" href="<?php echo $_SESSION['config']['css_IE']; ?>" media="screen" />  <![endif]-->
	<!--[if gte IE 7.0]>  <link rel="stylesheet" type="text/css" href="<?php echo $_SESSION['config']['css_IE7']; ?>" media="screen" />  <![endif]-->
	<script type="text/javascript" src="js/functions.js"></script>
</head>
<body id="validation_page">
	<?php 
		echo '<h1>'._SEARCH_RESULTS.'</h1><br/><br/><div align="center"><p class="error"><img src="'.$_SESSION['config']['img'].'/noresult.gif" /><br />'._NO_RESULTS.'</p><br/><br/>';
		
	?>
	<input type="button" name="close" onclick="self.close();" value="<?php echo _CLOSE_WINDOW;?>" class="button" />
	<input type="button" name="search" onclick="javascript:window.location.href='search_doc.php';" value="<?php echo _NEW_SEARCH;?>" class="button" />
	</div>
	
</body>
</html>
<?php 
		}
}
?>
