<?php /**
* File : send_doc.php
*
* Send a document by mail to a sender list
*
* @package Maarch LetterBox 2.7
* @version 1.0
* @since 06/2009
* @license GPL
* @author  Jimmy Cdric Ndoumba  <dev@maarch.org>
*/ 

include("session.php");

if(file_exists($_SESSION['config']['lang'].'.php'))
{
	include($_SESSION['config']['lang'].'.php');
}
else
{
	$_SESSION['error'] = "Language file missing...<br/>";
}

require_once("class_functions.php");
require_once("class_db.php");
require_once("class_letterbox.php");
$letter = new LetterBox();
$func = new functions();

$table ="";
if(isset($_SESSION['tablechoice']) && !empty($_SESSION['tablechoice']))
{
	$table = $_SESSION['tablechoice'];
}
else
{
	$table = $_SESSION['ressources'][0]['tablename'];
}

$redirect = '';
if(isset($_REQUEST['redirect']) && !empty($_REQUEST['redirect']))
{
	$redirect = $_REQUEST['redirect'];
}

$relation = '';
if(isset($_REQUEST['docID']) && !empty($_REQUEST['docID']))
{
	$relation = $_REQUEST['docID'];
}

//Destinataire
$_SESSION['send_doc']['to'] = isset($_REQUEST['to'])? $_REQUEST['to'] :'';
//En copie
$_SESSION['send_doc']['cc'] = isset($_REQUEST['cc'])? $_REQUEST['cc'] :'';
//Blind copie
$_SESSION['send_doc']['cci'] = isset($_REQUEST['cci'])? $_REQUEST['cci'] :'';
//Subject
$_SESSION['send_doc']['subject'] = isset($_REQUEST['subject'])? str_replace("\\","",$_REQUEST['subject']) :'';

//Document li
$lstFilesJoinID = '';
if(isset($_REQUEST['docJoin']) && !empty($_REQUEST['docJoin'])){
	//Is Array?
	$docjoin = array();
	
	if(is_array($_REQUEST['docJoin'])){
		$docjoin = $_REQUEST['docJoin'];
	}
	else{
		$docjoin = split(',', trim($_REQUEST['docJoin']));
	}
	
	//Save It
	$_SESSION['send_doc']['docJoin'] = $docjoin;
}
else{
	$_SESSION['send_doc']['docJoin'] = array();
}

//Message
$_SESSION['send_doc']['message'] = '';
$_SESSION['send_doc']['mailType'] = '';
if(isset($_REQUEST['mailType']) && $_REQUEST['mailType'] == 'adv'){
	//$mailType = 'adv';
	$_SESSION['send_doc']['mailType'] = 'adv';
	$isHtml = true;
	if(isset($_REQUEST['advmessage']) && !empty($_REQUEST['advmessage'])){
		// il faut remplacer les tags
		$_SESSION['send_doc']['message'] = $func->show($_REQUEST['advmessage']);
	}
}
else {
	//$mailType = 'spl';
	$_SESSION['send_doc']['mailType'] = 'spl';
	$isHtml = false;
	if(isset($_REQUEST['splmessage']) && !empty($_REQUEST['splmessage'])){
		$_SESSION['send_doc']['message'] = str_replace("\\","",$_REQUEST['splmessage']);
	}
}

//Annotations
$notes = '';
$whereNote = '';
if(isset($_REQUEST['noteJoin']) && !empty($_REQUEST['noteJoin'])){
	//Is Array?
	$noteJoin = array();
	
	if(is_array($_REQUEST['noteJoin'])){
		$noteJoin = $_REQUEST['noteJoin'];
		$whereNote = " AND i.ID IN (".implode(",", $_REQUEST['noteJoin']).") ";
	}
	else{
		$noteJoin = split(',', trim($_REQUEST['noteJoin']));
		$whereNote = " AND i.ID = '".$_REQUEST['noteJoin']."' ";
	}
	//Save It
	$_SESSION['send_doc']['noteJoin'] = $noteJoin;
	
	
	$db = new dbquery();
	$db->connect();
	$db->query("select i.ID, i.INFO, i.DATE, i.USER_ID,  u.LASTNAME, u.FIRSTNAME from ".$_SESSION['tablename']['notes']." i inner join ".$_SESSION['tablename']['users']." u on i.USER_ID = u.USER_ID WHERE RECORD_ID = ".$relation." AND ((i.ACCESS_SERVICES = 'all' AND i.ACCESS_USERS = 'all') OR (i.ACCESS_USERS = 'not' AND i.ACCESS_SERVICES LIKE '%".$_SESSION['user']['department']."%') OR (i.ACCESS_SERVICES = 'not' AND i.ACCESS_USERS LIKE '%".$_SESSION['user']['UserId']."%')) ".$whereNote." ORDER BY i.DATE desc");
	
	if($isHtml){
		$retourChariot = '<br />';
		$noteTitle = _NOTE_ADDED;
	}
	else{
		$retourChariot = "\n\r";
		$noteTitle = html_entity_decode(_NOTE_ADDED);
	}
	
	$notes = $retourChariot.$retourChariot.'---------- '. $noteTitle .' ----------'.$retourChariot.$retourChariot;
	while ($res = $db->fetch_object()){
		$notes .= _FROM .' '. $res->FIRSTNAME .' '. $res->LASTNAME .' : '. $func->dateformat($res->DATE) . $retourChariot . $func->show($res->INFO) . $retourChariot . $retourChariot;
	}
}
else{
	$_SESSION['send_doc']['noteJoin'] = array();
}

// Vrification des champs obligatoire
if(!isset($_SESSION['send_doc']['to']) || empty($_SESSION['send_doc']['to'])){
	$_SESSION['error'] = _CHOOSE_RECEIPT.'<br/>';
	?><script language="javascript">window.location = '<?php echo 'send_doc.php?'.$redirect;?>';</script><?php 
	exit;
}
elseif(!isset($_SESSION['send_doc']['subject']) || empty($_SESSION['send_doc']['subject'])){
	$_SESSION['error'] = _EMPTY_MAIL_SUBJECT.'<br/>';
	?><script language="javascript">window.location = '<?php echo 'send_doc.php?'.$redirect;?>';</script><?php 
	exit;
}

$_SESSION['send_doc']['files'] = array();

for ($i=0; $i<count($_SESSION['send_doc']['docJoin']); $i++)
{
	$theFile = array();

	$theFile = $letter->get_file($_SESSION['send_doc']['docJoin'][$i], $table);
	
	array_push($_SESSION['send_doc']['files'], array("NAME" => $theFile['filename'], "PATH" => $theFile['path'], "TYPEMIME" => $theFile['mime']));
}

//That's the end
if(!empty($_SESSION['error'])){
	?><script language="javascript">window.location = '<?php echo 'send_doc.php?'.$redirect; ?>';</script><?php 
	exit;
}
else{
	//Enregistrement du contenu du mail dans un fichier ####################################################
	$the_ext = 'txt';
	$nomFichier = 'Mail_tmp.' . $the_ext;
	//$tmpPath = 'tmp/'.$nomFichier;
	$tmpPath = $_SESSION['config']['tmpdir'] . DIRECTORY_SEPARATOR . $nomFichier;
	
	//Creation du fichier temporaire
	if (!$handle = fopen($tmpPath, 'w')) {
		$_SESSION['error'] = _FILE_OPEN_ERROR;
		?><script language="javascript">window.location = '<?php echo 'send_doc.php?'.$redirect; ?>';</script><?php 
		exit;
	}
	else{
		// Ecriture dans le fichier temporaire
		if (fwrite($handle, $_SESSION['send_doc']['message']) === FALSE) {
			// Fermeture du fichier temporaire
			fclose($handle);
			$_SESSION['error'] = _FILE_OPEN_ERROR;
			?><script language="javascript">window.location = '<?php echo 'send_doc.php?'.$redirect; ?>';</script><?php 
			exit;
		}
		else{
			// Fermeture du fichier temporaire
			fclose($handle);
			
			require("load_extensions.php");
			$ext_ok = false;
			
			for($i=0;$i<count($ext_list);$i++){
				if($ext_list[$i]['name'] == strtoupper($the_ext)){
					$ext_ok = true;
					$_SESSION['upfile']['format'] = $ext_list[$i]['name'];
					$i = count($ext_list);
					break;
				}
			}
			
			if($ext_ok === false){
				$_SESSION['error'] = _WRONG_FILE_TYPE;
				?><script language="javascript">window.location = '<?php echo 'send_doc.php?'.$redirect; ?>';</script><?php 
				exit;
			}
			else{
				$conn = new dbquery();
				$conn->connect();
				
				if(isset($_SESSION['send_doc']['messageFile']) && !empty($_SESSION['send_doc']['messageFile'])){
					$conn->query("SELECT DOCSERVER_ID, PATH_TEMPLATE, SIZE_LIMIT, ACTUAL_SIZE FROM ".$_SESSION['tablename']['docservers']." WHERE DOCSERVER_ID = '".$_SESSION['send_doc']['docServer']."' ");
					
					if($conn->nb_result() == 0){
						$_SESSION['error'] = _NO_AVAILABLE_DOCSERVER;
						?><script language="javascript">window.location = '<?php echo 'send_doc.php?id='.$_SESSION['send_doc']['resId'].'&task=up'; ?>';</script><?php 
						exit;
					}
					else{
						$info = $conn->fetch_object();
						//$_SESSION['send_doc']['docServer'] = $info->DOCSERVER_ID;
						$tailleFichier = filesize($tmpPath);
						$docserver_size = $info->ACTUAL_SIZE + $tailleFichier - $_SESSION['send_doc']['messageFileSize'];
						
						if($info->SIZE_LIMIT > 0 && $docserver_size >= $info->SIZE_LIMIT){
							$_SESSION['error'] = _NO_AVAILABLE_DOCSERVER;
							?><script language="javascript">window.location = '<?php echo 'send_doc.php?id='.$_SESSION['send_doc']['resId'].'&task=up'; ?>';</script><?php 
							exit;
						}
						else{
							if(!is_file($tmpPath)){
								$_SESSION['error'] = _FILE_NOT_SEND.'. '._TRY_AGAIN;
								?><script language="javascript">window.location = '<?php echo 'send_doc.php?id='.$_SESSION['send_doc']['resId'].'&task=up'; ?>';</script><?php 
								exit;
							}
							else{
								if(!is_file($_SESSION['send_doc']['messageFile'])){
									$_SESSION['error'] = _NO_DOC_OR_NO_RIGHTS."...";
									?><script language="javascript">window.location = '<?php echo 'send_doc.php?id='.$_SESSION['send_doc']['resId'].'&task=up'; ?>';</script><?php 
									exit;
								}
								else{
									$myfile = fopen($_SESSION['send_doc']['messageFile'], "w");
									fwrite($myfile, $_SESSION['send_doc']['message']);
									fclose($myfile);
								}
							}
						}
					}
				}
				else{
					$conn->query("SELECT DOCSERVER_ID, PATH_TEMPLATE, SIZE_LIMIT, ACTUAL_SIZE FROM ".$_SESSION['tablename']['docservers']." WHERE IS_READONLY = 'N' AND ENABLED = 'Y' ");
					
					if($conn->nb_result() == 0){
						$_SESSION['error'] = _NO_AVAILABLE_DOCSERVER;
						?><script language="javascript">window.location = '<?php echo 'send_doc.php?'.$redirect; ?>';</script><?php 
						exit;
					}
					else{
						$info = $conn->fetch_object();
						$_SESSION['send_doc']['docServer'] = $info->DOCSERVER_ID;
						$tailleFichier = filesize($tmpPath);
						$docserver_size = $info->ACTUAL_SIZE + $tailleFichier;
						
						if($info->SIZE_LIMIT > 0 && $docserver_size >= $info->SIZE_LIMIT){
							$_SESSION['error'] = _NO_AVAILABLE_DOCSERVER;
							?><script language="javascript">window.location = '<?php echo 'send_doc.php?'.$redirect; ?>';</script><?php 
							exit;
						}
						else{
							if(!is_file($tmpPath)){
								$_SESSION['error'] = _FILE_NOT_SEND.'. '._TRY_AGAIN;
								?><script language="javascript">window.location = '<?php echo 'send_doc.php?'.$redirect; ?>';</script><?php 
								exit;
							}
							else{
								$path_template = $info->PATH_TEMPLATE;
								require("class_docserver.php");
								
								$docserver = new docserver();
								
								$docinfo = $docserver->store($_SESSION['send_doc']['docServer'],trim($info->PATH_TEMPLATE),$tmpPath,$the_ext,$tailleFichier);
								if( !is_array($docinfo) || count($docinfo) < 2 )
								{
									$_SESSION['error'] = $docserver->get_last_error()." <a href=\"mailto:".$_SESSION['config']['adminmail']."\">".$_SESSION['config']['adminname']."</a>.<br/>";
									?><script language="javascript">window.location = '<?php echo 'send_doc.php?'.$redirect; ?>';</script><?php 
									exit;
								}
								
								$_SESSION['send_doc']['messagePath'] = $docinfo['destination_rept'];
								$file_destination_name = $docinfo['file_destination_name'];
							}
						}
					}
				}
				
				//suppression du fichier temporaire
				unlink($tmpPath);
				
				$db = new dbquery();
				$db->connect();
				
				if(isset($_SESSION['send_doc']['messageFile']) && !empty($_SESSION['send_doc']['messageFile'])){
					//MAJ
					$db->query("UPDATE `".$table."` SET 
					`DESCRIPTION` = '".addslashes($_SESSION['send_doc']['subject'])."', 
					`CUSTOM_T1` = '".$_SESSION['send_doc']['to']."', 
					`CUSTOM_T2` = '".$_SESSION['send_doc']['cc']."', 
					`CUSTOM_T3` = '".$_SESSION['send_doc']['cci']."', 
					`CUSTOM_T4` = '".implode(",", $_SESSION['send_doc']['docJoin'])."', 
					`CUSTOM_T5` = '".implode(",", $_SESSION['send_doc']['noteJoin'])."', 
					`CUSTOM_T6` = '".$_SESSION['send_doc']['mailType']."', 
					`FORMAT` = '".$_SESSION['upfile']['format']."', 
					`FILESIZE` = '".$tailleFichier."', 
					`DOCSERVER_ID` = '".$_SESSION['send_doc']['docServer']."', 
					`FILENAME` = '".$_SESSION['send_doc']['messageFileName']."', 
					`PATH` = '".$_SESSION['send_doc']['messagePath']."' 
					WHERE RES_ID = '".$_SESSION['send_doc']['resId']."' ");
					
					//Historisation de l'envoi du mail
					if($_SESSION['history']['mailup'] == "true"){
						require_once("class_history.php");
						$hist = new history();
						$hist->add($table, $relation,"ADD",_MAIL_RESEND." "._TO." : ".$_SESSION['send_doc']['to']." ; "._OBJECT." : ".addslashes($_SESSION['send_doc']['subject']));
					}
				}
				else{
					//AJOUT
					$destination_rept = substr($_SESSION['send_doc']['messagePath'] ,strlen($path_template), 4);
					$destination_rept = str_replace(DIRECTORY_SEPARATOR,'#', $destination_rept);
					
					$db->query("INSERT INTO `".$table."` 
					(`TYPE_ID`, `CREATION_DATE`, `DESTINATION`, `DESCRIPTION`, `AUTHOR`, `RELATION`, `CUSTOM_T1`, `CUSTOM_T2`, `CUSTOM_T3`,`CUSTOM_T4`,`CUSTOM_T5`, `STATUS`, `IS_FOLDER`, `CUSTOM_T6`, `FORMAT`, `FILESIZE`, `DOCSERVER_ID`, `FILENAME`, `PATH`) 
					VALUES (
					'MAIL', 
					'".date("Y-m-d H:i:s")."', 
					'".addslashes($_SESSION['send_doc']['destination'])."', 
					'".addslashes($_SESSION['send_doc']['subject'])."', 
					'".$_SESSION['user']['UserId']."', 
					'".$relation."', 
					'".$_SESSION['send_doc']['to']."', 
					'".$_SESSION['send_doc']['cc']."', 
					'".$_SESSION['send_doc']['cci']."', 
					'".implode(",", $_SESSION['send_doc']['docJoin'])."', 
					'".implode(",", $_SESSION['send_doc']['noteJoin'])."', 
					'MEL', 
					'".$_SESSION['send_doc']['is_folder']."', 
					'".$_SESSION['send_doc']['mailType']."', 
					'".$_SESSION['upfile']['format']."', 
					'".$tailleFichier."', 
					'".$_SESSION['send_doc']['docServer']."', 
					'".$file_destination_name.".".$the_ext."', 
					'".$destination_rept."')");
					
					//Historisation de l'envoi du mail
					if($_SESSION['history']['mailadd'] == "true"){
						require_once("class_history.php");
						$hist = new history();
						$hist->add($table, $relation,"ADD",_MAIL_SEND." "._TO." : ".$_SESSION['send_doc']['to']." ; "._OBJECT." : ".addslashes($_SESSION['send_doc']['subject']));
					}
					
					//$_SESSION['send_doc']['messageFile'] = $file_destination_name.".".$the_ext;
				}
				
				require_once($_SESSION['mailer']['path_to_mailer']."/class_mailer.php");
				$mail = new Mailer(".");
				$mailsent = $mail->send_simple(
					$_SESSION['user']['Mail'],
					$_SESSION['user']['FirstName']." ".$_SESSION['user']['LastName'],
					array($_SESSION['send_doc']['to']),
					array($_SESSION['send_doc']['cc']),
					array($_SESSION['send_doc']['cci']),
					$_SESSION['send_doc']['subject'],
					$_SESSION['send_doc']['message'] . $notes,
					true,
					$_SESSION['send_doc']['files']
				);
				
				if($mailsent !== "OK"){
					$msg = $mailsent;
				}
				else{
					$msg = _MAIL_SEND;
				}
				
				$new_doc_date = explode("-", $_SESSION['courrier']['doc_date']);
				$modified_doc_date = $new_doc_date[2].$new_doc_date[1].$new_doc_date[0];
				
				$new_custom_d1 = explode("-", $_SESSION['courrier']['date_arrivee']);
				$modified_custom_d1 = $new_custom_d1[2].$new_custom_d1[1].$new_custom_d1[0];
				
				$new_custom_d2 = explode("-", $_SESSION['courrier']['date_limite']);
				$modified_custom_d2 = $new_custom_d2[2].$new_custom_d2[1].$new_custom_d2[0];

				$md5 = md5($_SESSION['send_doc']['messagePath'].$file_destination_name.".".$the_ext);
				$conn->query("UPDATE ".$_SESSION['tablename']['docservers']." SET ACTUAL_SIZE=".$docserver_size." WHERE DOCSERVER_ID='".$_SESSION['send_doc']['docServer']."'");
				$_SESSION['send_doc']['messagePath'] = substr($_SESSION['send_doc']['messagePath'],strlen($path_template),4);
				
				$_SESSION['send_doc']['messagePath'] = str_replace(DIRECTORY_SEPARATOR,'#',$_SESSION['send_doc']['messagePath']);
				
				$_SESSION['courrier']['description'] = addslashes($_SESSION['courrier']['description']);
				/*
				$conn->query("INSERT INTO ".$table." ( TITLE, RELATION, DESCRIPTION, FORMAT, CREATION_DATE,
				DOC_DATE,  DOCSERVER_ID, PATH, FILENAME, FILESIZE,  STATUS,  TYPIST,
				TYPE_ID, CUSTOM_T3, CUSTOM_T4, AUTHOR, CUSTOM_D1, CUSTOM_D2,  DESTINATION, DEST_USER, SOURCE, GID_ID, ORIGIN ) 
				
				VALUES
				
				('".addslashes($nomFichier)."', '".$_SESSION['courrier']['res_id']."','".addslashes($_SESSION['courrier']['description'])."', '".strtoupper($the_ext)."', now() , '".$modified_doc_date."','".$_SESSION['send_doc']['docServer']."','"
				.$_SESSION['send_doc']['messagePath']."','".$file_destination_name.".".strtolower($the_ext)
				."',".$tailleFichier
				.",'REP','".$_SESSION['user']['UserId']
				."','".$_SESSION['courrier']['type_id']."','".addslashes($_SESSION['courrier']['civ'])."',
				 '".addslashes($_SESSION['courrier']['prenom'])."', '".addslashes($_SESSION['courrier']['author'])."',
				 '".$modified_custom_d1."', '".$modified_custom_d2."' ,
				  '".addslashes($_SESSION['courrier']['service'])."', '".$_SESSION['courrier']['dest']."', 'Local File', 'R".date('Y').$_REQUEST['gid_id']."', '".$_GET['id']."' )");
				
				
				$conn->query("select res_id from ".$table." where DOCSERVER_ID = '".$_SESSION['send_doc']['docServer']."' and  PATH = '".$_SESSION['send_doc']['messagePath']."' and  FILENAME = '".$file_destination_name.".".strtolower($the_ext)."'" );
				$res = $conn->fetch_object();
				$id_rep = $res->res_id;
				$conn->query("update ".$table." set fingerprint = '".$md5."' where res_id = ".$id_rep);
				
				if($_SESSION['history']['resadd'] == "true"){
					require_once("class_history.php");
					$users = new history();
					$users->add($table, $_SESSION['courrier']['res_id'],"ADD", _TICKET_ADDITION." : ".$_SESSION['courrier']['identifier']." (".$_SESSION['courrier']['type_id'].")");
				}
				*/
				
				unset($_SESSION['courrier']['reponses']);
				$_SESSION['courrier']['reponses'] = array();
				$db->query("select RES_ID, TITLE, CREATION_DATE, SOURCE, ORIGIN from ".$table." where RELATION = '".$_SESSION['courrier']['res_id']."' order by CREATION_DATE asc ");
				
				while($line = $db->fetch_object()){
					array_push($_SESSION['courrier']['reponses'], array( "ID" => $line->RES_ID, "TITRE" => stripslashes($line->TITLE), "DATE" => $line->CREATION_DATE, 'SOURCE' => $line->SOURCE, "TICKET" => $line->ORIGIN));
				}
			}
		}
	}
	
	//Clean Up
	$_SESSION['send_doc'] = array();
	$_SESSION['send_doc']['to'] = '';
	$_SESSION['send_doc']['cc'] = '';
	$_SESSION['send_doc']['cci'] = '';
	$_SESSION['send_doc']['subject'] = '';
	$_SESSION['send_doc']['destination'] = '';
	$_SESSION['send_doc']['message'] = '';
	$_SESSION['send_doc']['files'] = '';
	$_SESSION['send_doc']['docJoin'] = array();
	$_SESSION['send_doc']['noteJoin'] = array();
	$_SESSION['send_doc']['is_folder'] = '';
	$_SESSION['send_doc']['mailType'] = '';
	$_SESSION['send_doc']['docServer'] = '';
	$_SESSION['send_doc']['messagePath'] = '';
	$_SESSION['send_doc']['messageFileSize'] = '';
	$_SESSION['send_doc']['resId'] = '';
	$_SESSION['send_doc']['messageFile'] = '';
	$_SESSION['send_doc']['messageFileName'] = '';
	
?>
		<script language="javascript">alert("<?php echo utf8_encode(html_entity_decode($msg)); ?>");self.close();</script>
<?php 
}
?>