<?php /**
* File : validation.php
*
* Validation page
*
* @package Maarch LetterBox 2.3
* @version 2.0
* @since 06/2007
* @license GPL
* @author  Claire Figueras  <dev@maarch.org>
* @author  Loïc Vinet  <dev@maarch.org>
*/  
require_once("class_diffusion.php");
require("class_functions.php");
require_once("class_db.php");
include("session.php");
require_once("class_letterbox.php");

if(file_exists($_SESSION['config']['lang'].'.php'))
{
	include($_SESSION['config']['lang'].'.php');
}
else
{
	$_SESSION['error'] = "Language file missing...<br/>";
}

$_SESSION['origin'] = "validation";
$_SESSION["popup_suite"] = false;
$_SESSION['change_model'] = false;

unset($_SESSION['new_emet']);
unset($_SESSION['new_exp']);
unset($_SESSION['emet_id']);
unset($_SESSION['exp_id']);

if(isset($_GET['id']))
{
	$s_id = $_GET['id'];
}
else
{
	$s_id = "";
}
//$s_id = $_GET['id'];

$func = new functions();

$db = new dbquery();
$db->connect();

$_SESSION["diffusion"] = 
new diffusion($db,$_SESSION['user']['UserId'],$_SESSION['user']['delete_copy_rights'],$_SESSION['config']['modifycopylist'],
$_SESSION['config']['redirect_list'],$_SESSION['config']['tag100_for_copy']);

$_SESSION["diffusion"]->load_from_db("res_x",$s_id);


$_SESSION['courrier'] = array();
$_SESSION['courrier']['new_folder'] = TRUE;
//$_SESSION['courrier']["is_ingoing"]= TRUE;
if(isset($_GET['id']) && !empty($_GET['id']))
{
	$table = "res_x";
	$db = new dbquery();
	$db->connect();
	$db->query("select date_format(DOC_DATE, '%d') as DOC_DAY, date_format(DOC_DATE, '%m') as DOC_MONTH,
	 year(DOC_DATE) as DOC_YEAR, date_format(CREATION_DATE, '%d') as ARRIVEE_DAY,
	  date_format(CREATION_DATE, '%m') as ARRIVEE_MONTH, year(CREATION_DATE) as ARRIVEE_YEAR, CUSTOM_T3, 
	  AUTHOR, CUSTOM_T4, CUSTOM_T2, DESCRIPTION, date(CUSTOM_D2) as LIM, TYPE_ID, DEST_USER, DESTINATION, IDENTIFIER, 
	 date_format(custom_d2, '%d') as DAY_LIM ,  date_format(custom_d2, '%m') as MONTH_LIM ,year(custom_d2) as YEAR_LIM  ,
	  PRIORITY, FORMAT, SOCIETE, IS_INGOING, COLL_ID, WAIT_ACTION, SENDER_ID, CUSTOM_T9, CUSTOM_T10, CUSTOM_T11, CUSTOM_T12, CUSTOM_T13 from ".$table." where RES_ID = ".$_GET['id']);
	//$db->show();
	$line = $db->fetch_object();
	
	$_SESSION['courrier']['id']  = $_GET['id'];
	$_SESSION['courrier']['jour_courrier'] = $line->DOC_DAY;
	$_SESSION['courrier']['mois_courrier'] = $line->DOC_MONTH;
	$_SESSION['courrier']['annee_courrier'] = $line->DOC_YEAR;
	$_SESSION['courrier']['jour_arrivee'] = $line->ARRIVEE_DAY;
	$_SESSION['courrier']['mois_arrivee'] = $line->ARRIVEE_MONTH;
	$_SESSION['courrier']['annee_arrivee'] = $line->ARRIVEE_YEAR;
	$_SESSION['courrier']['civ'] = $line->CUSTOM_T3;
	$_SESSION['courrier']['nom'] = $line->AUTHOR;
	$_SESSION['courrier']['prenom'] = $line->CUSTOM_T4;
	$_SESSION['courrier']['nature'] = $line->CUSTOM_T2;
	$_SESSION['courrier']['societe'] = $line->SOCIETE;
	$_SESSION['courrier']['objet'] = stripslashes($line->DESCRIPTION);
	$_SESSION['courrier']['type_courrier'] = $line->TYPE_ID;
	$_SESSION['courrier']['service'] = $line->DESTINATION;
	$_SESSION['courrier']['dest_user'] = $line->DEST_USER;
	$_SESSION['courrier']['identifier'] = $line->IDENTIFIER;
	$_SESSION['courrier']['prio'] = $line->PRIORITY;
	$_SESSION['courrier']['format'] = $line->FORMAT;
	$_SESSION['courrier']["entity"] = $line->COLL_ID;
	$_SESSION['courrier']["wait_action"] = $line->WAIT_ACTION;
	
	if($line->LIM != NULL )
	{
		$_SESSION['courrier']["jour_limite"] = $line->DAY_LIM;
		$_SESSION['courrier']["mois_limite"] = $line->MONTH_LIM;
		$_SESSION['courrier']["annee_limite"] = $line->YEAR_LIM;
		$_SESSION['courrier']["date_limite"] = $db->inverse_date($line->LIM);
		$_SESSION['courrier']['chk_date_limite'] = 'Y';
	}
	else
	{
		$_SESSION['courrier']['chk_date_limite'] = 'N';
	}
	
	if($line->IS_INGOING == 'Y')
	{
		$_SESSION['courrier']["is_ingoing"]= TRUE;
		
		//Emetteur
		if($line->SENDER_ID != 0)
		{
			$_SESSION['emet_id'] = $line->SENDER_ID;
		}
		else
		{
			$_SESSION['new_emet']['LASTNAME'] = $line->AUTHOR;
			$_SESSION['new_emet']['FIRSTNAME'] = $line->CUSTOM_T4;
			$_SESSION['new_emet']['CIVILITY'] = $line->CUSTOM_T3; //fonction en mode corporate
			$_SESSION['new_emet']['SOCIETY'] = $line->SOCIETE;
			$_SESSION['new_emet']['FUNCTION'] = $line->CUSTOM_T9; //CUSTOM_T9
			$_SESSION['new_emet']['STREET_NUM'] = $line->CUSTOM_T10; //CUSTOM_T10
			$_SESSION['new_emet']['STREET'] =  $line->CUSTOM_T11; //CUSTOM_T11
			$_SESSION['new_emet']['TOWN'] =  $line->CUSTOM_T12; //CUSTOM_T12
			$_SESSION['new_emet']['CP'] =  $line->CUSTOM_T13; //CUSTOM_T13
		}
	}
	else
	{
		$_SESSION['courrier']["is_ingoing"]= FALSE;
		
		//Expediteur
		if($line->SENDER_ID != 0)
		{
			$_SESSION['exp_id'] = $line->SENDER_ID;
		}
		else
		{
			$_SESSION['new_exp']['LASTNAME'] = $line->AUTHOR;
			$_SESSION['new_exp']['FIRSTNAME'] = $line->CUSTOM_T4;
			$_SESSION['new_exp']['CIVILITY'] = $line->CUSTOM_T3; //fonction en mode corporate
			$_SESSION['new_exp']['SOCIETY'] = $line->SOCIETE;
			$_SESSION['new_exp']['FUNCTION'] = $line->CUSTOM_T9; //CUSTOM_T9
			$_SESSION['new_exp']['STREET_NUM'] =  $line->CUSTOM_T10; //CUSTOM_T10
			$_SESSION['new_exp']['STREET'] =  $line->CUSTOM_T11; //CUSTOM_T11
			$_SESSION['new_exp']['TOWN'] =  $line->CUSTOM_T12; //CUSTOM_T12
			$_SESSION['new_exp']['CP'] =  $line->CUSTOM_T13; //CUSTOM_T13
		}
	}
	
	if($line->WAIT_ACTION == 'Y')
	{
		$_SESSION['courrier']["wait_action"]= true;
	}
	else
	{
		$_SESSION['courrier']["wait_action"]= false;
	}
	
	
	$doctypes = array();
	
	if($_SESSION['courrier']['format'] == 'MAARCH')
	{
		$query = "select TYPE_ID, DESCRIPTION from ".$_SESSION['tablename']['doctypes']." where GENERATE = 'Y' and ENABLED = 'Y'";
	}
	else
	{
		$query = "select TYPE_ID, DESCRIPTION from ".$_SESSION['tablename']['doctypes']." where GENERATE = 'N' and ENABLED = 'Y'";
	}
	
	$db->query($query);
	while($res = $db->fetch_object())
	{
		array_push($doctypes, array('ID' => $res->TYPE_ID, 'LABEL' => $res->DESCRIPTION));
	}
	
	$locked = false;

	if($_SESSION['current_basket']['is_global'] == "Y")
	{
		$debug_locktime = $_SESSION['current_basket']['locktime'];
		$courr = new LetterBox();
		$locked = $courr->is_locked($_SESSION['courrier']['id'], $table, $debug_locktime);
	}
	}
	else
	{
		$_SESSION['error'] = _ID.' '._MISSING;
	}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $_SESSION['config']['lang'] ?>" lang="<?php echo $_SESSION['config']['lang'] ?>">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta http-equiv="Content-Language" content="<?php echo $_SESSION['config']['lang'] ?>" />
	<link rel="stylesheet" type="text/css" href="<?php echo $_SESSION['config']['css']; ?>" media="screen" />
	<!--[if lt IE 7.0]>  <link rel="stylesheet" type="text/css" href="<?php echo $_SESSION['config']['css_IE']; ?>" media="screen" />  <![endif]-->
	<!--[if gte IE 7.0]>  <link rel="stylesheet" type="text/css" href="<?php echo $_SESSION['config']['css_IE7']; ?>" media="screen" />  <![endif]-->
	<script type="text/javascript" src="js/functions.js"></script>
	<script language="javascript">
	function break_cache(page_href){
	
		var rep = page_href.replace(/(&breakcache=[0-9]*)/g,"&breakcache=<?php echo rand(); ?>");
	
		if( rep != page_href) return rep;
		else 	return page_href + '&breakcache=<?php echo rand(); ?>';
	}
	
	function break_get(page_href){
	
		return page_href.replace(/(&action=(.{3}))/g,"");
	}
	</script>
	<title><?php echo _MAIL_VALIDATION;?></title>
</head>

<body id="validation_page" onload="valid_load('viewframe');
	<?php 
		if(isset($_SESSION['current_basket']['locktime']) && $_SESSION['current_basket']['locktime'] > 0) 
		{
			$_SESSION['reload'] = true;
			echo " window.opener.location.href = break_cache(break_get(window.opener.location.href)) 
			setTimeout(function(){
				window.opener.location.href = break_cache(break_get(window.opener.location.href)); 
				window.close();},".($_SESSION['current_basket']['locktime'] * 60 * 1000).");\"";
			echo ">";
		}
		else
		{
			echo "\">";
		}
		?>
<br/>
<div>
<table border="0" cellpadding="0" cellspacing="0" width="100%">
	<tr valign="top">
		<td >
		
    	<h2 class="tit"><?php echo _MAIL_VALIDATION;?> n&deg;<?php echo $s_id;?></h2>
		<form name="indexation" id="indexation" method="post" enctype="multipart/form-data" action="file_index.php" class="forms">
			<input type="hidden" name="id" value="<?php echo $s_id;?>" />
			<input type="hidden" name="identifier" value="<?php echo $_SESSION['courrier']['identifier'];?>" />
			
			<div class="error"><?php echo $_SESSION['error'];  $_SESSION['error'] = "";?></div>
			
			<?php 
			if(!$locked || $_SESSION['current_basket']['is_global'] == "N")
			{
			?>
				<p align="center">
		            <input type="submit" name="valid" value="<?php echo _MAIL_VALIDATE;?>" class="button" />
					<input type="submit" name="cancel" value="<?php echo _CANCEL;?>" onclick="javascript:self.close();" class="button" />
				</p>
				<br/>
			<?php 
			}
			?>
			<div class="bloc_trait">
			
					<span class="sstit"><?php echo _GENERAL_INFO_LETTER;?> : </span>
		
					<p>
					<label><?php echo _PRIORITY;?> :</label>
					
					 <select name="priority" id="priority" >
						<?php 
						foreach($_SESSION['priority'] as $k_pt => $d_pt)
						{
							if( is_array($d_pt) && !empty($d_pt['label']) )
							{
							?>
								<option value="<?php echo $k_pt;?>"<?php if( $k_pt == $_SESSION['courrier']['prio']) { echo 'selected="selected"'; } ?>><?php echo $d_pt['label']; ?></option>
							<?php 
							}
						}
						?>
						</select>
						<span class="red_asterisk"> *</span>
					</p>
					<p>
					<label><?php echo _MAIL_DATE;?> :</label>
					
						<i><?php echo _DAY;?></i> : <input name="jour_courrier" id="jour_courrier" type="text" class="small" value="<?php echo($_SESSION['courrier']['jour_courrier']);?>" maxlength="2" /> 
	     				<i><?php echo _MONTH;?></i> : <input name="mois_courrier" id="mois_courrier" type="text" class="small" value="<?php echo($_SESSION['courrier']['mois_courrier']);?>" maxlength="2" />
						<i><?php echo _YEAR;?> </i>  : <input name="annee_courrier" id="annee_courrier" type="text" class="year" value="<?php echo($_SESSION['courrier']['annee_courrier']);?>"  maxlength="4" />
						<span class="red_asterisk">*</span>
					</p>
					<p>
					<label><?php echo _DATE_START;?> :</label>
					
						<i><?php echo _DAY;?></i> : <input name="jour_arrivee" id="jour_arrivee" type="text" class="small" value="<?php print($_SESSION['courrier']['jour_arrivee']);?>" maxlength="2" /> 
						<i><?php echo _MONTH;?></i> : <input name="mois_arrivee" id="mois_arrivee" type="text" class="small" value="<?php print($_SESSION['courrier']['mois_arrivee']);?>" maxlength="2" />
						<i><?php echo _YEAR;?> </i>  : <input name="annee_arrivee" id="annee_arrivee" type="text" class="year" value="<?php print($_SESSION['courrier']['annee_arrivee']);?>" maxlength="4" />
						<span class="red_asterisk">*</span>
					</p>
					<p>
						<iframe name="emet_index_list" id="emet_index_list" src="emet_index_list.php" frameborder="0" width="100%" height="80" scrolling="no"></iframe>
					</p>
					<p>
					<label><?php echo _INVOICE_TYPE;?> :</label>
				
					 <select name="nature" id="nature" >
						<option value=""><?php echo _CHOOSE_INVOICE_TYPE;?></option>
						<?php for($i=0; $i < count($_SESSION['nature']);$i++)
	                    {
	                    ?>
	                    <option value="<?php echo $_SESSION['nature'][$i];?>" <?php if($_SESSION['nature'][$i] == $_SESSION['courrier']['nature']){ echo "selected=\"selected\"";} ?>><?php echo $_SESSION['nature'][$i];?></option>
	                    <?php }
	                    ?>
					</select><span class="red_asterisk"> *</span>
					</p>
				 <?php if ($_SESSION['config']['before_waiting_doc'] == "true")
				 { ?>
				
						<iframe name="wait_action" id="wait_action" class="frameform" src="<?php echo $_SESSION['config']['includedir']; ?>/addon_wait_action_display.php" frameborder="0" height="30" width="100%" scrolling="no"   ></iframe>
					
				
				 <?php 
				 } 
				?>
				
						<iframe  name="type_choice" id="type_choice" src="type_choice.php" frameborder="0"  width="100%" scrolling="no"   ></iframe>
				<p>
					<label><?php echo _OBJECT;?> :</label>
					
						<textarea name="objet" cols="45" rows="4" ><?php echo $_SESSION['courrier']['objet'];?></textarea>
					
						<?php   
						if ($_SESSION['config']['collectivities'] =="true")
							$value_height = "45px";
						else
							$value_height = "30px"; ?>
			
						<iframe  name="service_choice" class="" src="service_choice.php" frameborder="0" height="<?php echo $value_height; ?>" width="100%" scrolling="no"   ></iframe>
				</p>		
				<?php
				 if ($_SESSION['config']['enable_topics'] == "true")
				{
				 ?>
				 	<p>
						<iframe  name="domain_choice" class="frameform" src="domain_choice.php" frameborder="0" height="30" width="100%" scrolling="no"   ></iframe>
					</p>
				<?php
				}
				?>
					<p>
						<iframe name="date_limite" id="" src="date_limite.php" frameborder="0" width="90%" height="45" scrolling="no"></iframe>
					</p>
			</div>

			<div class="bloc_trait">
			 
						<h2 class="sstit"> <?php echo _NOTES; ?> :</h2>
						
						<?php 
						if($_SESSION['config']['private_notes'] == "true")
						{
							$windowSize = '500, 700';
						}
						else{
							$windowSize = '500, 250';
						}
						?>
						<p>
						<img src="<?php echo $_SESSION['config']['img'];?>/modif_liste.png" border="0" alt="" /> 
						<a href="javascript://" class="choice" onclick="ouvreFenetre('notes_add.php?id=<?php echo $s_id; ?>&validation=1',<?php echo $windowSize;?>)">
							<?php echo _ADD_NOTE;?>
						</a>
						</p>
					
						<iframe src="notes_courrier.php?id=<?php echo $s_id; ?>" name="notes_courrier" width="550" height="180" scrolling="auto" frameborder="1" class="forms" id="notes_courrier"  ></iframe>
				
		</div>
		
		<div class="bloc_trait">
		
				<h2 class="sstit"><?php echo _DIFFUSION_LIST;?> :<span class="red_asterisk">*</span></h2>
				<p>
				<img src="<?php echo $_SESSION['config']['img'];?>/modif_liste.png" border="0" alt="" /><em><a href="javascript://"  onclick="ouvreFenetre('popup_diff.php?redirect', 900, 750)"><?php echo _UPDATE_DIFFUSION_LIST;?></a></em>
				</p>
			
				<iframe name="list_diff" id="list_diff" src="liste_diffusion.php?reset"  height="180" width="550" scrolling="yes"  frameborder="1" ></iframe>
		
		 </div>
		 
		  <?php 
			if(!$locked || $_SESSION['current_basket']['is_global'] == "N")
			{
			?>
				<p align="center">
		             <input type="submit" name="valid" value="<?php echo _MAIL_VALIDATE;?>" class="button" />
					<input type="submit" name="cancel" value="<?php echo _CANCEL;?>" onclick="javascript:self.close();" class="button" />
				</p>
			<?php 
			}
			else
			{
				$db->query("select firstname, lastname from ".$_SESSION['tablename']['users']." where user_id = '".$_SESSION['courrier']['dest_user']."'");
				if($db->nb_result() > 0)
				{
					$resu = $db->fetch_object();
					$locking_user = $resu->firstname.' '.$resu->lastname;
				}
				
			?>
			<div style="margin-left:10px;">
				<h1 class="tit" id="action_title"><img src="<?php echo $_SESSION['config']['img'];?>/file_index_b.gif"  align="middle" alt="" /><?php echo _QUALIF_TITLE." ".$_GET['id'] ;?></h1>
				<div><?php echo _DOC_ALREADY_RSV.' ('.$locking_user.')';?>.</div>
				<div><input type="button" name="close_window" id="close_window" value="<?php echo _CLOSE_WINDOW;?>" class="button" onclick="javascript:self.close();"/></div>
			</div>
			<?php 
			}
			?>
	</form>
</td>
<td>
<?php if(!empty($s_id))
{?>
     <iframe src="show_folder_doc.php?id=<?php echo $s_id;?>" name="viewframe" id="viewframe" width="100%" height="950"  scrolling="auto" frameborder="0" ></iframe>
 <?php }
 else
 {
 	echo _ID.' '._MISSING;
 }   ?> 
 
</div>
</td>
</table>

<?php if ($_SESSION['config']['debug'] == "true")
{
	
?>
		<div id="debug">
			<div id="debugheader">COOKIE</div>
				<?php $db->show_array($_COOKIE);
				?>
			<div id="debugheader">POST</div>
				<?php $db->show_array($_POST);
				?>
			<div id="debugheader">SESSION</div>
				<?php $db->show_array($_SESSION);
				?>
			<div id="debugfooter">Debug Mode</div>
		</div>
		<?php }
?>

</body>
</html>
