<?php

class maarch_ezcWebdavFileBackend extends ezcWebdavFileBackend
{
	private $debug = array( "propFind" => false,
							"put" => false,	
							"get" => false,
							"test" => false );
							
	private $webdav_id;
	private $wedavtools;

	public function __construct($root,$id)
	{
		parent::__construct($root);
		$this->webdav_id = $id;
		$this->wedavtools = new webdav_tools("../..");
	}
	
	public function write_log($method,$data,$log = "webdav.log")
	{
		if( $this->debug[$method] == true )
		{
			file_put_contents(dirname( __FILE__ ) . '/'.$log,
				date("Y-m-d H:i:s")."\n:".$data."\n-----------------------------------------------------------------------------\n",FILE_APPEND);
		}
	}
	
	//------------ Redifined existing methods(overload) ----------------// 
	
	public function propFind( ezcWebdavPropFindRequest $request )
	{
		$this->write_log("propFind","-------- propFind -----------\n ".var_export($request,true));
		$return = parent::propFind( $request ); 
		
		return $return;
	}
	
	public function put( ezcWebdavPutRequest $request )
	{
		$this->write_log("put","-------- put -----------\n ".var_export($request,true));
		$return = parent::put( $request );
		
		//Save
		$this->wedavtools->save($this->webdav_id);
		
		return $return;
	}
	
	public function get( ezcWebdavGetRequest $request )
	{
		$this->write_log("get","-------- get -----------\n ".var_export($request,true));
		$return = parent::get( $request );
					
		return $return;
	}
}

?>